
local ActUtil = class( "ActUtil" )

function ActUtil.GetPrestigeProgress( act_id )
    local unlocked = TheGame:GetGameProfile():GetAdvancementLevel( act_id )
    local total = TheGame:GetGameProfile():GetMaxAdvancement( act_id )
    return unlocked, total
end

function ActUtil.GetUnlocksProgress( character_id )
    local unlocked = TheGame:GetGameProfile():GetNumUnlocked( character_id )
    local track = Content.GetUnlockTrack( character_id )
    local total = track and #track or 0
    return unlocked, total
end

function ActUtil.GetOutfitsProgress( character_id )
    local unlocked = 0
    local total = 0
    for k, outfit_data in ipairs( Content.GetOutfitsForCharacter( character_id ) ) do
        
        if outfit_data.unlocked or TheGame:GetGameProfile():HasUnlock( outfit_data.id ) then
            unlocked = unlocked + 1
        end
        total = total + 1
    end
    
    if TheGame:GetGameProfile():IsCharacterLocked( character_id ) then
        -- Return zero progress if this character is still locked 
        return 0, total
    else
        return unlocked, total
    end
end
