local Ambience = class("Ambience")

function Ambience:init()
    self.param_vals = {}
end

function Ambience:ToggleLocMute()
    self.loc_mute = not self.loc_mute
    if self.ambience_event then
        self.ambience_event:SetVolume(self.loc_mute and 0 or 1)
    end
end

function Ambience:Clear()
    if self.ambience_event then
        self.ambience_event:Stop()
        self.ambience_event:Release()
        self.ambience_event = nil
    end
    self.ambience_event_id = nil
    table.clear(self.param_vals)
end

function Ambience:SetParameter(name, val)
   -- print("***************************", name, val)
    self.param_vals[name] = val
    
    if self.ambience_event then
        self.ambience_event:SetParameterValue(name, val)                
    end
end

function Ambience:SetAmbience(ambience)
    if self.ambience_event_id then
        if self.ambience_event_id == ambience then
            return
        end

        if self.ambience_event then
            self.ambience_event:Stop()
            self.ambience_event:Release()
            self.ambience_event = nil
        end
    end

    self.ambience_event_id = ambience
    
    if ambience then
        self.ambience_event = AUDIO:CreateEventInstance(ambience)
        
        if self.ambience_event then
            local is_day = TheGame:GetGameState() == nil or TheGame:GetGameState():GetDayPhase() == DAY_PHASE.DAY 
            self:SetParameter("time_of_day", is_day and 1 or 3)

            for k,v in pairs(self.param_vals) do
                self.ambience_event:SetParameterValue(k, v)                
            end

            self.ambience_event:Start()
            if self.loc_mute then
                self.ambience_event:SetVolume(0)
            end


        end
    end
end
