
local BrawlSchedule = class("BrawlSchedule")

function BrawlSchedule:init()
    self.events = {}
end

function BrawlSchedule:Night()
    table.insert( self.events, {id="night"})
    return self
end

function BrawlSchedule:Sleep()
    table.insert( self.events, {id="sleep"})
    return self
end

function BrawlSchedule:Quest(id, rank, params)
    table.insert( self.events, {id="quest", quest = id, rank = rank, params = params})
    return self
end

function BrawlSchedule:Quests(ids, rank, params)
    table.insert( self.events, {id="quests", ids = ids, rank = rank, params = params})
    return self
end

function BrawlSchedule:QuestPhase(id)
    table.insert( self.events, {id="quest_phase", objective = id})
    return self
end

function BrawlSchedule:SetCurrentHome(id)
    table.insert( self.events, {id="set_home", cast_id = id})
    return self
end

function BrawlSchedule:Bonus(options, num)
    table.insert( self.events, {id="bonus", options = options, num = num or 1})
    return self
end

function BrawlSchedule:SetDifficulty(diff)
    table.insert( self.events, {id="difficulty", diff = diff})
    return self
end

function BrawlSchedule:Merchants(opts)
    table.insert( self.events, {id="merchants", vendors=opts})
    return self
end

function BrawlSchedule:Win(num)
    table.insert( self.events, {id="win"})
    return self
end

function BrawlSchedule:Boss(boss_def, give_graft)
    table.insert( self.events, {id="boss", def = boss_def, give_graft = give_graft})
    return self
end

