-- Common interface for cast members (things that are casted by a QuestDef)



local CastMember = {}

function CastMember.AddInterface( class )
    for k, v in pairs( CastMember ) do
        if v ~= CastMember.AddInterface then
            assert( class[k] == nil or error( string.format( "Duplicate definition for '%s' for class '%s'", k, class._classname )))
            class[k] = v
        end
    end
end

function CastMember:AssignMembership( quest )
    if self.quest_membership == nil then
        self.quest_membership = {}
    end
    --assert_warning( table.arrayfind( self.quest_membership, quest ) == nil, tostring(quest) )
    table.insert( self.quest_membership, quest )
end

function CastMember:UnassignMembership( quest )
    table.arrayremove( self.quest_membership, quest )
end

function CastMember:GetQuestMembership()
    return self.quest_membership or table.empty
end

return CastMember