--engine.inst:ProfilerPush("atlases")
--
--global_atlases = 
--{
--    ui = engine.asset.Atlas('atlases/UI.xml'),
--    icons = engine.asset.Atlas( "atlases/icons.xml" ),
--    debug = engine.asset.Atlas('atlases/debug.xml'),
--    negotiation = engine.asset.Atlas( "atlases/negotiation.xml" ),
--    cards = engine.asset.Atlas( "atlases/cards.xml" ),
--}
--engine.inst:ProfilerPop()
--

engine.inst:ProfilerPush("images")
if SPECIAL_BUILD_TYPE == (1024+64) then
    device_map =
    {
        ["nx_joycon"] = "icons_nxjoycon/",
        ["nx_pro"] = "icons_nxpro/",
    }
else
    device_map =
    {
        ["PS4 Controller"] = "icons_ps4/",
        ["XInput Controller"] = "icons_xbox360/",
        ["Nintendo Switch Pro Controller"] = "icons_nspro/"
    }
end

global_images =
{
    zero = engine.asset.Texture ("images/zero.tex"),
    black = engine.asset.Texture ("images/black.tex"),
    grey = engine.asset.Texture ("images/grey.tex"),
    white = engine.asset.Texture ("images/white.tex"),
    default = engine.asset.Texture( "images/default.tex"),
    circle = engine.asset.Texture ("images/circle.tex"),
    pentagon = engine.asset.Texture("images/pentagon.tex"),
    
    -- CONVO ACTIONS
    pause = engine.asset.Texture ("UI/ic_nav_pause.tex"),
    warning = engine.asset.Texture ("UI/ic_nav_warning.tex"),
    question = engine.asset.Texture ("UI/ic_question.tex"),
    combat = engine.asset.Texture ("UI/ic_subcard_fight.tex"),
    buycombat = engine.asset.Texture ("UI/ic_buy_combat.tex"),
    removecombat = engine.asset.Texture ("UI/ic_levelup_removecombat.tex"),
    upgradecombat = engine.asset.Texture ("UI/ic_levelup_upgradecombat.tex"),
    negotiation = engine.asset.Texture ("UI/ic_subcard_negotiation.tex"),
    balanced = engine.asset.Texture ("UI/ic_nav_balanced.tex"),
    boss = engine.asset.Texture ("UI/ic_nav_boss.tex"),
    fail = engine.asset.Texture ("UI/ic_failed.tex"),
    success = engine.asset.Texture ("UI/ic_success.tex"),
    perk = engine.asset.Texture( 'UI/perks_icon.tex'),
    buynegotiation = engine.asset.Texture ("UI/ic_buy_negotiation.tex"),
    removenegotiation = engine.asset.Texture ("UI/ic_levelup_removenegotiation.tex"),
    upgradenegotiation = engine.asset.Texture ("UI/ic_levelup_upgradenegotiation.tex"),
    shop = engine.asset.Texture ("UI/ic_nav_shop.tex"),
    back = engine.asset.Texture ("UI/ic_mainmenu_back.tex"),
    backpack = engine.asset.Texture ("UI/ic_options_apply.tex"),
    close = engine.asset.Texture( "UI/ic_nav_close.tex" ),
    cancel = engine.asset.Texture( "UI/ic_options_revert.tex" ),
    accept = engine.asset.Texture( "UI/ic_nav_accept.tex" ),
    mettle = engine.asset.Texture( "UI/ic_mettle.tex" ),
    reject = engine.asset.Texture( "UI/ic_quest_drop.tex" ),
    shills = engine.asset.Texture( "UI/ic_nav_shills.tex" ),
    sleep = engine.asset.Texture( "UI/ic_nav_rest.tex" ),
    heal = engine.asset.Texture("UI/ic_nav_heal.tex"),
    heallittle = engine.asset.Texture("UI/ic_nav_heallittle.tex"),
    restoreresolve = engine.asset.Texture("UI/ic_nav_restoreresolve.tex"),
    restoreresolvelittle = engine.asset.Texture("UI/ic_nav_restoreresolvelittle.tex"),
    hire = engine.asset.Texture("UI/ic_nav_hire.tex"),
    buying = engine.asset.Texture("UI/ic_nav_buy.tex"),
    flourish = engine.asset.Texture("UI/ic_flourish.tex"),
    giving = engine.asset.Texture("UI/ic_nav_give.tex"),
    receiving = engine.asset.Texture("UI/ic_nav_receive.tex"),
    rob = engine.asset.Texture("UI/ic_rob.tex"),
    item = engine.asset.Texture("UI/ic_nav_item.tex"),
    food = engine.asset.Texture("UI/ic_food.tex"),
    petcall = engine.asset.Texture("UI/ic_pet_call.tex"),
    petname = engine.asset.Texture("UI/ic_pet_id.tex"),
    outfit = engine.asset.Texture("UI/ic_outfit.tex"),
    outfit_selected = engine.asset.Texture("UI/ic_outfit_selected.tex"),
    invite = engine.asset.Texture("UI/ic_invite.tex"),
    order = engine.asset.Texture("UI/ic_nav_evict.tex"),
    wait = engine.asset.Texture("UI/ic_nav_wait.tex"),
    quest = engine.asset.Texture("UI/ic_nav_quests.tex"),
    default_quest_icon = engine.asset.Texture("icons/quests/default.tex"),
    drink = engine.asset.Texture("UI/ic_nav_drinks.tex"),
    recharge = engine.asset.Texture("UI/ic_nav_recharge.tex"),
    agents = engine.asset.Texture("UI/ic_agents.tex"),
    graft = engine.asset.Texture("UI/ic_nav_graft.tex"),
    coin = engine.asset.Texture("UI/ic_nav_coin.tex"),
    blaster = engine.asset.Texture("UI/ic_nav_blaster.tex"),
    mutators = engine.asset.Texture("UI/ic_nav_mutators.tex"),
    like = engine.asset.Texture("UI/ic_nav_like.tex"),
    dislike = engine.asset.Texture("UI/ic_nav_dislike.tex"),

    tooltipbg = engine.asset.Texture("UI/tooltip_bg.tex"),
    unknown_trait = engine.asset.Texture( "icons/aspects/unknown_trait.tex" ),
    money = engine.asset.Texture( "UI/money.tex" ),
    cardex = engine.asset.Texture("UI/ic_nav_cardex.tex"),

    health = engine.asset.Texture( "UI/ic_health.tex"),
    resolve = engine.asset.Texture( "UI/ic_resolve.tex"),
    day = engine.asset.Texture( "UI/ic_day.tex"),
    
    -- square background
    relationship_level =
    {
        [RELATIONSHIP.HATED] = engine.asset.Texture( "UI/opinion_level_hated.tex"),
        [RELATIONSHIP.DISLIKED] = engine.asset.Texture( "UI/opinion_level_disliked.tex"),
        [RELATIONSHIP.NEUTRAL] = engine.asset.Texture( "UI/opinion_level_neutral.tex"),
        [RELATIONSHIP.LIKED] = engine.asset.Texture( "UI/opinion_level_liked.tex"),
        [RELATIONSHIP.LOVED] = engine.asset.Texture( "UI/opinion_level_loved.tex"),
    },

    -- no background on these
    relationship_icons =
    {
        [RELATIONSHIP.HATED] = engine.asset.Texture( "UI/opinion_icon_hated.tex"),
        [RELATIONSHIP.DISLIKED] = engine.asset.Texture( "UI/opinion_icon_disliked.tex"),
        [RELATIONSHIP.NEUTRAL] = engine.asset.Texture( "UI/opinion_icon_neutral.tex"),
        [RELATIONSHIP.LIKED] = engine.asset.Texture( "UI/opinion_icon_liked.tex"),
        [RELATIONSHIP.LOVED] = engine.asset.Texture( "UI/opinion_icon_loved.tex"),
    },

    graft_icons =
    {
        [RELATIONSHIP.HATED ] = engine.asset.Texture( "UI/ic_socialgraft_hated.tex" ),
        [RELATIONSHIP.DISLIKED ] = engine.asset.Texture( "UI/ic_socialgraft_disliked.tex" ),
        [RELATIONSHIP.NEUTRAL ] = engine.asset.Texture( "UI/ic_socialgraft_neutral.tex" ),
        [RELATIONSHIP.LIKED ] = engine.asset.Texture( "UI/ic_socialgraft_liked.tex" ),
        [RELATIONSHIP.LOVED ] = engine.asset.Texture( "UI/ic_socialgraft_loved.tex" ),
    },

    card_rarity_icons =
    {
        [CARD_RARITY.BASIC] = engine.asset.Texture("UI/rarity_basic.tex"),
        [CARD_RARITY.COMMON] = engine.asset.Texture("UI/rarity_common.tex"),
        [CARD_RARITY.UNCOMMON] = engine.asset.Texture("UI/rarity_uncommon.tex"),
        [CARD_RARITY.RARE] = engine.asset.Texture("UI/rarity_rare.tex"),
        [CARD_RARITY.UNIQUE] = engine.asset.Texture("UI/rarity_unique.tex"),
        [CARD_RARITY.BOSS] = engine.asset.Texture("UI/rarity_boss.tex"),
        [CARD_RARITY.COSMIC] = engine.asset.Texture("UI/rarity_cosmic.tex"),
    },

    notifications =
    {
    },
}
engine.inst:ProfilerPop()

engine.inst:ProfilerPush("shaders")
global_shaders =
{
    FX = engine.asset.Effect('Particle', 'particle.vs', 'particle.ps'),
    FX_ERODE = engine.asset.Effect('Particle_Erode', 'particle.vs', 'particle.ps', nil, {"EROSION"}),
    
    ANIM_OUTLINE = engine.asset.Effect('ANIM_OUTLINE', 'anim.vs', 'anim.ps', nil, {"OUTLINE"}),

    UI_HSVADJUST = engine.asset.Effect('UI_HSVADJUST', 'textured_unlit.vs', 'textured_unlit.ps', nil, { "HSVADJUST" } ),
    UI = engine.asset.Effect('UINORMAL', 'textured_unlit.vs', 'textured_unlit.ps', nil),
    
    UI_BLOOMMAP = engine.asset.Effect('UIBLOOM', 'textured_unlit.vs', 'textured_unlit.ps', nil, {"BLOOM_MAP"} ),
    UI_BLOOMMAP_HSVADJUST = engine.asset.Effect('UIBLOOMHSV', 'textured_unlit.vs', 'textured_unlit.ps', nil, {"BLOOM_MAP", "HSVADJUST"} ),
    UI_BLOOMMAP_HSVADJUST_VIG = engine.asset.Effect('UIBLOOMHSVVIG', 'textured_unlit.vs', 'textured_unlit.ps', nil, {"BLOOM_MAP", "HSVADJUST", "VIGNETTE"} ),
    UI_BLOOMMAP_VIG = engine.asset.Effect('UIBLOOMVIG', 'textured_unlit.vs', 'textured_unlit.ps', nil, {"BLOOM_MAP", "VIGNETTE"} ),

    UI_MASK = engine.asset.Effect('UIMASK', 'textured_unlit.vs', 'uimask.ps' ),
    UI_ALPHA_MASK = engine.asset.Effect('UIALPHAMASK', 'textured_unlit.vs', 'uialphamask.ps' ),

    UI_ANIM = engine.asset.Effect('UIANIM', 'anim.vs', 'anim.ps'),
    UI_ANIM_HSV = engine.asset.Effect('UIANIM_HSV', 'anim.vs', 'anim.ps', nil, { "HSVADJUST" }),
    UI_ANIM_XRAY = engine.asset.Effect('UIANIM_XRAY', 'anim.vs', 'anim.ps', nil, { "HSVADJUST", "XRAY_LOOK" }),
    UI_ANIM_XRAY_SELECTED = engine.asset.Effect('UIANIM_XRAYSEL', 'anim.vs', 'anim.ps', nil, { "HSVADJUST", "SELECT_LOOK", "XRAY_LOOK" }),
    UI_ANIM_MASK = engine.asset.Effect('UIANIM_MASK', 'anim.vs', 'anim_mask.ps'),
    UI_DISSOLVE = engine.asset.Effect('FSQDISSOLVE', 'composite.vs', 'composite_dissolve.ps'),

    --UI_BLUR = engine.asset.Effect('UIBLUR', 'blur.vs', 'blur.ps'),
    UI_BLUR_NICE = engine.asset.Effect('UIBLUR_NICE', 'ndc.vs', 'blur9tap.ps'),
    UI_BLUR_FAST = engine.asset.Effect('UIBLUR_FAST', 'ndc.vs', 'blur5tap.ps'),

    FX_ANIM_PREMULT = engine.asset.Effect('FX_ANIM_PREMULT', 'anim.vs', 'anim.ps', nil, {"PREMULTIPLY"}),
    FX_ANIM_ERODE = engine.asset.Effect('FX_ANIM_ERODE', 'anim.vs', 'anim.ps', nil, {"PREMULTIPLY", "ALPHA_ERODE"}),

    OVERLAY = engine.asset.Effect('OVERLAYEFFECT', 'overlayeffect.vs', 'overlayeffect.ps'),
}
engine.inst:ProfilerPop()

FONT_SIZE =
{
    SCREEN_TITLE = 56, -- Main title of a screen, title font, all caps
    SCREEN_SUBTITLE = 46, -- Main descriptor of a screen, title font, not caps
    SCREEN_TABS = 32, -- Navigation tab's text, title font

    ITEM_LABEL = 28, -- Small all-caps label above an item/element/option, title font
    ITEM_NAME = 44, -- Selectable item/location/agent's name on screen, title font
    ITEM_SUBTITLE = 32, -- Descriptor/type/category/rarity for an item, title font. Also list-item title, if it has no subtitle
    ITEM_DESC = 28, -- Info text about an item, body font. List-item text
    
    BUTTON = 26, -- Icon/panel buttons
    SMALL_TEXT = 24, -- Small block of text, body font. For labels, small buttons, counters
    BODY_TEXT = 28, -- Regular block of text, body font
}

LINE_HEIGHT_TITLE_MULT = 0.8 -- For titles, all-caps, languages without descenders
LINE_HEIGHT_TEXT_MULT = 0.9 -- For blocks of text with descenders

SPACING =
{
    TITLE_DESC = 4, -- Vertical offset for text right under a title
    TITLE_SUBTITLE = 8, -- Vertical offset for a subtitle right under a screen title
    M05 = 40, -- Large spacing unit. Separating large pieces of content
    M1 = 20, -- Standard spacing unit. Padding inside list items, margin around most items, content under screen title
}

SCREEN_MODE = MakeEnum{ "MONITOR", "SMALL", "TV" }
SCREEN_MODE_INDEX = {
    [1] = SCREEN_MODE.MONITOR,
    [2] = SCREEN_MODE.TV,
    [3] = SCREEN_MODE.SMALL
}
LAYOUT_SCALE =
{
    [SCREEN_MODE.MONITOR] = 1,
    [SCREEN_MODE.TV] = 1.3,
    [SCREEN_MODE.SMALL] = 1.4,
}
