require "component"

local SoundListener = class("SoundListener", Component)

function SoundListener:OnAddedToEntity()
	--print(self.entity, "SoundListener:OnSpawn()")
	self:StartTickUpdating()
end

function SoundListener:OnDespawn()
	--print(self.entity, "SoundListener:OnSpawn()")
	self:StopTickUpdating()
end

function SoundListener:UpdatePos()
	-- print("SoundListener:UpdatePos()", self.entity)
	local avatar = self.sim:GetAvatar()
	if avatar then
		local x, y, z = avatar:GetWorldPosition()
		if x and y and z then
			engine.sound:SetListenerPosUpFwd(x, y+5, z, 0, 1, 0,  0, 0, -1)
			--print (x,y,-z)
		end
	end
end

function SoundListener:UpdateTime()
--	engine.sound:SetGlobalRTPC("TimeOfDay", timeofday)
end

function SoundListener:OnTickUpdate(dt)
	-- print("SoundListener:OnTickUpdate()", dt)
	if TheGame.local_settings.NO_SOUND then return end

	self:UpdateTime()
	self:UpdatePos()
end
