require "component"

local TextRenderer = class("TextRenderer", Component)

function TextRenderer:init()
    TextRenderer._base.init(self)  
    self.model = engine.rendering.TextNode()
    self.node = engine.rendering.SceneGraphNode() 
    self.node:SetModel(self.model)
end

function TextRenderer:OnAddedToEntity()
    self.entity.cmp.Transform:AddChildNode(self.node)
end


function TextRenderer:SetFont(font)
    self.font = font
    self.model:SetFont(font)
end

function TextRenderer:SetText(text)
    text = text or ""
    if text ~= self.text then
        self.text = text
        SetFormattedText( self.model, text )
    end
end

function TextRenderer:SetFontSize(sz)
    self.model:SetFontSize(sz)
end

function TextRenderer:SetGlyphColour( r, g, b )
    self.model:SetGlyphColour( r, g, b )
end

function TextRenderer:SetOutlineColour( r, g, b )
    self.model:SetOutlineColour( r, g, b )
end

function TextRenderer:EnableOutline( enable )
    self.model:EnableOutline( enable )
end