local battle_defs = require "battle/battle_defs"
local CARD_FLAGS = battle_defs.CARD_FLAGS
local BATTLE_EVENT = battle_defs.BATTLE_EVENT

local attacks =
{
   
    -- debug_morale = 
    -- {
    --     name = "DEBUG MORALE",
    --     icon = "battle/throw_dust.tex",
    --     anim = "throw",
    --     desc = "DEBUG: Increase morale by 10",

    --     rarity = CARD_RARITY.BASIC,
    --     cost = 0,
    --     flags = CARD_FLAGS.RANGED | CARD_FLAGS.SPECIAL,
    --     min_damage = 0,
    --     max_damage = 0,

    --     OnPostResolve = function( self, battle, attack )
    --         attack.target:ApplyMoraleDamage(10)
    --         battle:DrawCards(1)
    --     end
    -- },

    -- debug_damage = 
    -- {
    --     name = "DEBUG DAMAGE",
    --     icon = "battle/throw_rock.tex",
    --     anim = "throw",
    --     desc = "DEBUG",

    --     rarity = CARD_RARITY.BASIC,
    --     cost = 0,
    --     flags = CARD_FLAGS.RANGED | CARD_FLAGS.SPECIAL,
    --     min_damage = 2,
    --     max_damage = 2,

    --     OnPostResolve = function( self, battle, attack )
    --         battle:DrawCards(1)
    --     end
    -- },
    -- anim_debug_double_stab = 
    -- {
    --     name = "ANIM DEBUG",
    --     desc = "IF YOU SEE THIS IN GAME, SOMETHING IS WRONG",
    --     anim = "double_stab",

    --     cost = 0,
    --     min_damage = 5,
    --     max_damage = 5,

    --     flags = CARD_FLAGS.MELEE | CARD_FLAGS.SPECIAL,

    --     OnPostResolve = function( self, battle, attack )
    --         battle:DrawCards(1)
    --     end
    -- },

    -- anim_debug_punch = 
    -- {
    --     name = "ANIM DEBUG",
    --     desc = "IF YOU SEE THIS IN GAME, SOMETHING IS WRONG",
    --     anim = "punch",

    --     cost = 0,
    --     min_damage = 5,
    --     max_damage = 5,

    --     flags = CARD_FLAGS.MELEE | CARD_FLAGS.SPECIAL,

    --     OnPostResolve = function( self, battle, attack )
    --         battle:DrawCards(1)
    --     end
    -- },

    -- anim_debug_attack1 =
    -- {
    --     name = "ANIM DEBUG",
    --     desc = "IF YOU SEE THIS IN GAME, SOMETHING IS WRONG",
    --     anim = "attack1",

    --     cost = 0,
    --     min_damage = 5,
    --     max_damage = 5,

    --     flags = CARD_FLAGS.MELEE | CARD_FLAGS.SPECIAL,

    --     OnPostResolve = function( self, battle, attack )
    --         battle:DrawCards(1)
    --     end
    -- },

    -- anim_debug_attack2 =
    -- {
    --     name = "ANIM DEBUG",
    --     desc = "IF YOU SEE THIS IN GAME, SOMETHING IS WRONG",
    --     anim = "attack2",

    --     cost = 0,
    --     min_damage = 5,
    --     max_damage = 5,

    --     flags = CARD_FLAGS.MELEE | CARD_FLAGS.SPECIAL,

    --     OnPostResolve = function( self, battle, attack )
    --         battle:DrawCards(1)
    --     end
    -- },


    -- Basically a "pass" action.
    taunt =
    {
        name = "Taunt",
        anim = "taunt",

        flags = CARD_FLAGS.SPECIAL,
    },

    counter_attack =
    {
        name = "Counter Attack",
        anim = "riposte",

        hit_tags = {"riposte"},
        quip = "counter_attack",

        flags = CARD_FLAGS.SPECIAL | CARD_FLAGS.MELEE,
        no_modifiers = true,
    },

    drunk = 
    {
        name = "Tipsy",
        remove_on_rest = true,
        rarity = CARD_RARITY.BASIC,
        anim = "tipsy",
        flavour = "'What do you mean I've had enough? I just got here!'",
        cost = 1,
        flags = CARD_FLAGS.STATUS | CARD_FLAGS.CONSUME | CARD_FLAGS.SLEEP_IT_OFF,
        target_type = TARGET_TYPE.SELF,
    },

    bloated = 
    {
        name = "Bloated",
        remove_on_rest = true,
        rarity = CARD_RARITY.BASIC,
        anim = "bloated",
        flavour = "'Delicious, can I see the dessert menu?'",
        cost = 2,
        flags = CARD_FLAGS.STATUS | CARD_FLAGS.CONSUME | CARD_FLAGS.SLEEP_IT_OFF,
        target_type = TARGET_TYPE.SELF,
    },
    

    weary = 
    {
        name = "Weary",
        remove_on_rest = true,
        rarity = CARD_RARITY.BASIC,
        desc = "When drawn, lose 1 action.",
        anim = "taunt",
        flavour = "'I must have been here before, this tree looks familiar.'",
        cost = 1,
        flags = CARD_FLAGS.STATUS | CARD_FLAGS.CONSUME | CARD_FLAGS.SLEEP_IT_OFF,
        target_type = TARGET_TYPE.SELF,
        event_handlers =
        {
            [ BATTLE_EVENT.CARD_MOVED ] = function( self, card, source_deck, source_idx, target_deck, target_idx )
                if card == self and target_deck == self.engine:GetHandDeck() then
                      card:NotifyTriggered()
                      self.engine:ModifyActionCount( -1 )                  
                end
            end
        },
    },
    
    haste = 
    {
        name = "Hasten",
        anim = "taunt",
        flavour = "'Fast as lightning.'",
        desc = "Gain 1 Action.",

        flags = CARD_FLAGS.EXPEND | CARD_FLAGS.STATUS | CARD_FLAGS.REPLENISH,
        target_type = TARGET_TYPE.SELF,

        OnPostResolve = function( self, battle, attack)
            battle:ModifyActionCount( 1 )
        end
    },

    status_winded = 
    {
        name = "Winded",
        desc = "At the end of your turn, {EXPEND} this card.",
        flavour = "'I'm going to need a second...'",

        flags = CARD_FLAGS.UNPLAYABLE | CARD_FLAGS.STATUS,

        event_handlers =
        {
            [ BATTLE_EVENT.END_PLAYER_TURN ] = function( self, battle )
                battle:ExpendCard(self)
            end
        },
    },

    status_injury = 
    {
        cost = 1,
        name = "Injury",
        flavour = "'Ouch.'",
        anim = "shake_it_off",
        target_type = TARGET_TYPE.SELF,
        flags = CARD_FLAGS.STATUS | CARD_FLAGS.EXPEND,
    },

    status_pinned = 
    {
        name = "Pinned",
        flavour = "'Bandit crossbows have such a high rate of fire, their targets rarely get a chance to organize a counterattack.'",
        desc = "Play this card to return {card.{1}} to your hand.",
        desc_fn = function(self, fmt_str)
            if self.pinned_card then
                return loc.format(fmt_str, self.pinned_card and self.pinned_card.id or "")
            else
                return self.def:GetLocalizedString( "NO_CARD" )
            end
        end,
        loc_strings =
        {
            NO_CARD = "Play this card to return a stolen card to your hand.",
        },
        icon = "battle/pinned.tex",

        cost = 2,

        target_type = TARGET_TYPE.SELF,

        flags = CARD_FLAGS.STATUS | CARD_FLAGS.EXPEND,
        deck_handlers = { DECK_TYPE.DRAW, DECK_TYPE.DISCARDS },
        
        event_handlers = 
        {
            [ BATTLE_EVENT.FIGHTER_KILLED ] = function ( self, fighter )
                if self.pinner == fighter then
                    self.engine:ExpendCard( self )
                    self:UnpinCard()
                end
            end,
        },

        DoPinning = function( self, battle, target, cost )
            assert( self.deck == nil ) -- This card should not have been added yet.
            local pinned_card = self:FindCardToPin( target )
            if pinned_card then
                self:TransferCard( battle:GetDiscardDeck() )
                self:PinCard( pinned_card )
                if cost then
                    self.cost = cost
                end
            end
        end,

        FindCardToPin = function( self, target )
            local cards = target.battle:GetCardsOwnedBy( target )
            table.shuffle(cards)

            local RARITY_SORT = 
            {
                [CARD_RARITY.BASIC] = 0,
                [CARD_RARITY.COMMON] = 1,
                [CARD_RARITY.UNCOMMON] = 2,
                [CARD_RARITY.RARE] = 2,
                [CARD_RARITY.UNIQUE] = 2,
                [CARD_RARITY.BOSS] = 2,
            }

            table.stable_sort(cards, function(a, b) return RARITY_SORT[a.rarity] > RARITY_SORT[b.rarity] end)

            for i, card in ipairs(cards) do
                if not CheckBits( card.flags, CARD_FLAGS.STATUS ) then
                    return card
                end
            end
        end,

        PinCard = function( self, card, pinner )
            self.pinned_card = card
            self.pinner = pinner
            card:RemoveCard()
            self.engine:BroadcastEvent( BATTLE_EVENT.CARD_PINNED, card, self )
        end,

        UnpinCard = function( self )
            if self.pinned_card then
                self.engine:BroadcastEvent( BATTLE_EVENT.DELAY, 0.5 )
                self.pinned_card:TransferCard( self.engine:GetHandDeck() )
                self.pinned_card = nil
                self.pinner = nil
            end
        end,

        OnPostResolve = function ( self, battle, attack )
            self:UnpinCard()
        end,
    },

    status_bleed = 
    {
        name = "Bleed",
        flavour = "'I'm getting a little light headed...'",
        desc = "At the end of your turn, take {1} damage and {EXPEND} this card.",
        desc_fn = function(self, fmt_str)
            return loc.format(fmt_str, self.bleed_damage)
        end,

        played_sound = SoundEvents.battle_status_bleed,

        target_type = TARGET_TYPE.SELF,
        bleed_damage = 2,

        flags =  CARD_FLAGS.STATUS | CARD_FLAGS.UNPLAYABLE,

        event_priorities =
        {
            [ BATTLE_EVENT.END_PLAYER_TURN ] = 11, -- after skeletal suspension
        },

        event_handlers =
        {
            [ BATTLE_EVENT.END_PLAYER_TURN ] = function( self, battle )
                if not battle:CheckGameOver() then
                    self:NotifyTriggered()
                    self.owner:ApplyDamage( self.bleed_damage, nil, nil, nil, {"bleed"} )
                    if not self.owner:HasCondition("cleaved_player") then
                        battle:ExpendCard(self)
                    end
                end
            end
        },
    },

    execute =
    {
        name = "Execute",
        flavour = "'Finish them!'",
        desc = "Kills target surrendered enemy.",
        flags = CARD_FLAGS.MELEE | CARD_FLAGS.FREEBIE,
        anim = "execute",

        PostPresAnim = function( self, anim_fighter )
            if self.engine then
                self.engine:BroadcastEvent( BATTLE_EVENT.SOUND,  "event:/sfx/battle/gen/execute")
            end
        end,

        played_sound = "event:/sfx/battle/cards/battle/play/execute_card",

        OnPostResolve = function( self, battle, attack )
            if attack.target and attack.target:IsAlive() then
                attack.target:Kill( self.owner )
                TheGame:AddGameplayStat( "executions", 1 )
            end
        end
    },

    gnarled_effigy =
    {
        name = "Gnarled Effigy",
        flavour = "'It's horrible to hang onto this thing, but even worse if you throw it away.'",
        desc = "While this is in your hand, take 1 damage whenever you play a card.",

        flags = CARD_FLAGS.STATUS | CARD_FLAGS.UNPLAYABLE | CARD_FLAGS.BURNOUT,

        cost = 0,

        deck_handlers = { DECK_TYPE.IN_HAND },
        event_handlers = 
        {
            [ BATTLE_EVENT.POST_RESOLVE ] = function( self, battle, attack )
                if attack.attacker == self.owner and not battle:CheckGameOver() then
                    self.owner:ApplyDamage(1, self.owner, self)
                end
            end
        },
    },

    cancel_toolbox = 
    {
        name = "Cancel",
        desc = "Cancel.",
        hide_in_cardex = true,
        manual_desc = true,

        flags = CARD_FLAGS.UNPLAYABLE,
        cost = 0,
    },

    shredded =
    {
        name = "Shredded",
        desc = "While this is in your hand, bleed cards deal 2 bonus damage.",

        hide_in_cardex = true,

        cost = 2,
        flags = CARD_FLAGS.STATUS | CARD_FLAGS.EXPEND | CARD_FLAGS.STICKY,
        target_type = TARGET_TYPE.SELF,

        bonus_damage =  2,

        deck_handlers = { DECK_TYPE.DISCARDS },

        event_handlers = 
        {
            [ BATTLE_EVENT.DRAW_CARD ] = function( self, battle, card, start_of_turn )
                if card == self then
                    self.affected_cards = self.affected_cards or {}
                    local cards = battle:GetCardsOwnedBy(self.owner)
                    for i,card in ipairs(cards) do
                        if card.id == "status_bleed" and not table.contains(self.affected_cards, card) then
                            card.bleed_damage = card.bleed_damage + self.bonus_damage
                            table.insert(self.affected_cards, card)
                        end
                    end
                end
            end,

            [ BATTLE_EVENT.CARD_DEALT ] = function( self, card, deck )
                if self.deck == self.engine:GetHandDeck() then
                    self.affected_cards = self.affected_cards or {}
                    if card.id == "status_bleed" and not table.contains(self.affected_cards, card) then
                        card.bleed_damage = card.bleed_damage + self.bonus_damage
                        table.insert(self.affected_cards, card)
                    end
                end
            end,
 
            [ BATTLE_EVENT.CARD_MOVED ] = function( self, card, source_deck, source_idx, target_deck, target_idx )
                if card == self and target_deck ~= self.engine:GetHandDeck() and self.affected_cards then
                    for i,card in ipairs(self.affected_cards) do
                        card.bleed_damage = card.bleed_damage - self.bonus_damage
                    end
                    self.affected_cards = nil
                end
            end
        }
    },

    off_hand = 
    {
        name = "Off Hand",
        anim = "punch",
        flavour = "'Hey, at least he’s trying.'",

        cost = 0,
        flags = CARD_FLAGS.EXPEND | CARD_FLAGS.MELEE | CARD_FLAGS.DUD,

        min_damage = 2,
        max_damage = 2,
    },
}


for id, data in pairs(attacks) do
    data.cost = data.cost or 0
    data.rarity = data.rarity or CARD_RARITY.UNIQUE
    data.series = CARD_SERIES.GENERAL

    Content.AddBattleCard(id, data)
end

