-------------------------------------------------------------------------------------
-- Data for unique gameplay achivemenets.

local ACHIEVEMENTS = {
    AchievementDef{
        -- bronze
        id = "fist_o_bricks",
        name = "Fist o' Bricks",
        desc = "Apply {1} or more damage with a single hit.",
        desc_fn = function( self, fmt_str )
            return loc.format( fmt_str, self.count )
        end,
        count = 100,
    },
    
    AchievementDef{ 
        -- bronze
        id = "no_upgrades",
        name = "No Upgrades",
        desc = "Complete the campaign or brawl without upgrading any cards.",
    },

    AchievementDef{ 
        -- silver
        id = "total_upgrades",
        name = "Total Upgrades",
        desc = "Complete the campaign or brawl with all your cards and grafts upgraded.",
    },

    AchievementDef{ 
        -- bronze
        id = "soluble_fish",
        name = "Soluble Fish",
        desc = "Incept {1} Doubt upon a single opponent.",
        desc_fn = function( self, fmt_str )
            return loc.format( fmt_str, self.count )
        end,
        count = 99,
    },

    AchievementDef{ 
        -- silver
        id = "just_cards",
        name = "Just Cards",
        desc = "Beat the campaign without installing any grafts or assigning any perks.",
    },

    AchievementDef{ 
        -- bronze
        id = "brawler",
        name = "Brawler",
        desc = "Beat any brawl on maximum prestige.",
    },

    AchievementDef{ 
        -- bronze
        id = "beloved",
        name = "Beloved",
        desc = "Get {1} people to love you in campaign or brawl.",
        desc_fn = function( self, fmt_str )
            return loc.format( fmt_str, self.count )
        end,
        count = 20,
    },

    AchievementDef{ 
        -- bronze
        id = "archenemy",
        name = "Archenemy",
        desc = "Get {1} people to hate you in campaign or brawl.",
        desc_fn = function( self, fmt_str )
            return loc.format( fmt_str, self.count )
        end,
        count = 20,
    },

    AchievementDef{ 
        -- bronze
        id = "machinist",
        name = "Machinist",
        desc = "Win a combat by playing only item cards.",
    },

    AchievementDef{ 
        -- silver
        id = "efficiency",
        name = "Efficiency",
        desc = "Win any campaign or brawl with {1} or less cards in your battle deck.",
        desc_fn = function( self, fmt_str )
            return loc.format( fmt_str, self.count )
        end,
        count = 7,
    },

    AchievementDef{ 
        -- bronze
        id = "counterplay",
        name = "Counter-Play",
        desc = "Defeat a boss without playing any attack cards.",
    },

    -- AchievementDef{ 
    --     id = "green_stream",
    --     name = "Green Stream",
    --     desc = "Win any campaign or brawl without any attack cards in your deck.",
    -- },

    -- AchievementDef{ 
    --     id = "old_faithful",
    --     name = "Old Faithful",
    --     desc = "Complete the Rook campaign with your basic coin only.",
    -- },

    AchievementDef{ 
        -- bronze
        id = "impervious",
        name = "Impervious",
        desc = "Gain {1} Defense in battle.",
        desc_fn = function( self, fmt_str )
            return loc.format( fmt_str, self.count )
        end,
        count = 99,
    },

    AchievementDef{ 
        -- gold
        id = "to_the_oshnudrome",
        name = "To The Oshnudrome!",
        desc = "Win any campaign in under {1} minutes.",
        desc_fn = function( self, fmt_str )
            return loc.format( fmt_str, math.ceil( self.count / 60 ))
        end,
        count = 60 * 30
    },

    -- AchievementDef{ 
    --     id = "completionist",
    --     name = "Completionist",
    --     desc = "Unlock all other achievements and 100% of the Compendium",
    -- },
}

for i, def in pairs( ACHIEVEMENTS ) do
   Content.AddAchievement( def )
end
