-------------------------------------------------------------------------------------
-- Grifts are achievement-style milestones that bestow Perk Points when completed.

local GRIFTS = {
    GriftDef{ 
        id = "win_battle_1",
        next_id = "win_battle_2",
        name = "Win 10 Battles",
        perk_points = 1,
        progress = function( self, stats )
            return stats:GetStat( "battles_won" ), 10
        end
    },
    
    GriftDef{ 
        id = "win_battle_2",
        next_id = "win_battle_3",
        name = "Win 50 Battles",
        perk_points = 3,
        progress = function( self, stats )
            return stats:GetStat( "battles_won" ), 50
        end
    },

    GriftDef{ 
        id = "win_battle_3",
        name = "Win 250 Battles",
        perk_points = 5,
        progress = function( self, stats )
            return stats:GetStat( "battles_won" ), 250
        end
    },

    GriftDef{ 
        id = "win_negotiation_1",
        next_id = "win_negotiation_2",
        name = "Win 10 Negotiations",
        perk_points = 1,
        progress = function( self, stats )
            return stats:GetStat( "negotiations_won" ), 10
        end
    },
    GriftDef{ 
        id = "win_negotiation_2",
        next_id = "win_negotiation_3",
        name = "Win 50 Negotiations",
        perk_points = 3,
        progress = function( self, stats )
            return stats:GetStat( "negotiations_won" ), 50
        end
    },
    GriftDef{ 
        id = "win_negotiation_3",
        name = "Win 250 Negotiations",
        perk_points = 5,
        progress = function( self, stats )
            return stats:GetStat( "negotiations_won" ), 250
        end
    },

    GriftDef{ 
        id = "install_grafts_1",
        next_id = "install_grafts_2",
        name = "Install 10 Grafts",
        perk_points = 1,
        progress = function( self, stats )
            return stats:GetStat( "grafts_installed" ), 10
        end
    },

    GriftDef{ 
        id = "install_grafts_2",
        name = "Install 100 Grafts",
        perk_points = 3,
        progress = function( self, stats )
            return stats:GetStat( "grafts_installed" ), 100
        end
    },

    GriftDef{ 
        id = "beat_sparky",
        name = "Beat Sparky",
        perk_points = 2,
        progress = function( self, stats )
            return stats:GetStat( "defeated_SPARK_BARON_BOSS" ), 1
        end
    },

    GriftDef{ 
        id = "beat_jeol",
        name = "Beat Jeol",
        perk_points = 2,
        progress = function( self, stats )
            return stats:GetStat( "defeated_DRONE_GOON" ), 1
        end
    },

    GriftDef{ 
        id = "beat_eonwe",
        name = "Beat Gorgula",
        perk_points = 2,
        progress = function( self, stats )
            return stats:GetStat( "defeated_HESH_BOSS" ), 1
        end
    },

    GriftDef{ 
        id = "beat_threekwa",
        name = "Beat Threekwa",
        perk_points = 2,
        progress = function( self, stats )
            return stats:GetStat( "defeated_RENTORIAN_BOSS" ), 1
        end
    },

    GriftDef{ 
        id = "complete_quests_1",
        next_id = "complete_quests_2",
        name = "Complete {1} Quest",
        count = 1,
        perk_points = 1,
        progress = function( self, stats )
            return stats:GetStat( "quest_complete" ), self.count
        end
    },

    GriftDef{ 
        id = "complete_quests_2",
        next_id = "complete_quests_3",
        name = "Complete {1} Quests",
        count = 25,
        perk_points = 3,
        progress = function( self, stats )
            return stats:GetStat( "quest_complete" ), self.count
        end
    },

    GriftDef{ 
        id = "complete_quests_3",
        name = "Complete {1} Quests",
        count = 100,
        perk_points = 5,
        progress = function( self, stats )
            return stats:GetStat( "quest_complete" ), self.count
        end
    },

    -- GriftDef{ 
    --     id = "hated",
    --     name = "Become Hated {1} Times",
    --     count = 20,
    --     perk_points = 2,
    --     progress = function( self, stats )
    --         return stats:GetStat( "loved" ), self.count
    --     end
    -- },

    GriftDef{
        id = "upgrade_card_1",
        next_id = "upgrade_card_2",
        name = "Upgrade 5 cards",
        perk_points = 1,
        progress = function( self, stats )
            return stats:GetStat( "cards_upgraded" ), 5
        end
    },

    GriftDef{
        id = "upgrade_card_2",
        next_id = "upgrade_card_3",
        name = "Upgrade 25 cards",
        perk_points = 2,
        progress = function( self, stats )
            return stats:GetStat( "cards_upgraded" ), 25
        end
    },

    GriftDef{
        id = "upgrade_card_3",
        next_id = "upgrade_card_4",
        name = "Upgrade 100 cards",
        perk_points = 3,
        progress = function( self, stats )
            return stats:GetStat( "cards_upgraded" ), 100
        end
    },

    GriftDef{
        id = "upgrade_card_4",
        name = "Upgrade 500 cards",
        perk_points = 5,
        progress = function( self, stats )
            return stats:GetStat( "cards_upgraded" ), 500
        end
    },

    GriftDef{
        id = "damage_1",
        next_id = "damage_2",
        name = "Deal 500 damage",
        perk_points = 1,
        progress = function( self, stats )
            return stats:GetStat( "damage_dealt" ), 500
        end
    },

    GriftDef{
        id = "damage_2",
        name = "Deal 2500 damage",
        perk_points = 3,
        progress = function( self, stats )
            return stats:GetStat( "damage_dealt" ), 2500
        end
    },

    GriftDef{
        id = "resolve_damage_1",
        next_id = "resolve_damage_2",
        name = "Deal 250 resolve damage",
        perk_points = 1,
        progress = function( self, stats )
            return stats:GetStat( "resolve_damage_dealt" ), 250
        end
    },


    GriftDef{
        id = "resolve_damage_2",
        name = "Deal 1500 resolve damage",
        perk_points = 3,
        progress = function( self, stats )
            return stats:GetStat( "resolve_damage_dealt" ), 1500
        end
    },

    GriftDef{
        id = "shopper",
        name = "Buy {1} cards",
        count = 30,
        perk_points = 3,
        progress = function( self, stats )
            return stats:GetStat( "cards_bought" ), self.count
        end
    },

    GriftDef{
        id = "employer",
        name = "Hire {1} helpers",
        count = 10,
        perk_points = 2,
        progress = function( self, stats )
            return stats:GetStat( "hired_help" ), self.count
        end
    },

    GriftDef{
        id = "daily_challenger_1",
        next_id = "daily_challenger_2",
        name = "Complete {1} Daily Challenge",
        count = 1,
        perk_points = 3,
        progress = function( self, stats )
            return stats:GetStat( "complete_daily" ), self.count
        end
    },

    GriftDef{
        id = "daily_challenger_2",
        name = "Complete {1} Daily Challenges",
        count = 10,
        perk_points = 5,
        progress = function( self, stats )
            return stats:GetStat( "complete_daily" ), self.count
        end
    },

    GriftDef{
        id = "complete_brawl",
        name = "Win a Brawl with any character",
        count = 1,
        perk_points = 3,
        progress = function( self, stats )
            return stats:GetStat( "complete_brawl" ), self.count
        end
    },

    GriftDef{
        id = "complete_campaign",
        name = "Win any character's campaign",
        count = 1,
        perk_points = 2,
        progress = function( self, stats )
            return stats:GetStat( "complete_campaign" ), self.count
        end
    },

    GriftDef{
        id = "money_maven_1",
        next_id = "money_maven_2",
        name = "Gain {1} Total Shills",
        count = 1000,
        perk_points = 2,
        progress = function( self, stats )
            return stats:GetStat( "money_gained" ), self.count
        end
    },

    GriftDef{
        id = "money_maven_2",
        next_id = "money_maven_3",
        name = "Gain {1} Total Shills",
        count = 10000,
        perk_points = 5,
        progress = function( self, stats )
            return stats:GetStat( "money_gained" ), self.count
        end
    },

    GriftDef{
        id = "money_maven_3",
        name = "Gain {1} Total Shills",
        count = 100000,
        perk_points = 8,
        progress = function( self, stats )
            return stats:GetStat( "money_gained" ), self.count
        end
    },

    GriftDef{
        id = "executor",
        name = "Execute {1} enemies",
        count = 100,
        perk_points = 3,
        progress = function( self, stats )
            return stats:GetStat( "executions" ), self.count
        end
    }

}

for i, def in pairs( GRIFTS ) do
    Content.AddGrift( def )
end
