
local STARTING_MONEY = 75

AddPlayerCharacter(
    PlayerBackground{
            id = "ROOK",
            --vo = "event:/vo/narrator/character/sal",
            sort_key = 1,
            unlock_id = "ROOK_PLAYABLE",
            player_agent = "ROOK",
            name = "Rook",
            title = "The Spy",
            desc = "A veteran with conflicting loyalties always on the lookout for one more score.",
            advancement = DEFAULT_ADVANCEMENT,
            
            pre_battle_music = "event:/music/dailyrun_precombat_rook",
            deck_music = "event:/music/viewdecks_rook",

            battle_music = "event:/music/adaptive_battle_rook",
            boss_music = "event:/music/adaptive_battle_boss_rook",
            negotiation_music = "event:/music/adaptive_negotiation_barter_rook",
            negotiation_music_night = "event:/music/adaptive_negotiation_barter_rook_night",


            ambush_neutral = "event:/music/stinger/ambush_neutral_rook",
            ambush_bad = "event:/music/stinger/ambush_bad_rook",
        }

        :AddAct{
            id = "ROOK",
            
            name = "The Bog Job",
            title = "Rook in Grout Bog",
            desc = "Rook arrives in a company town on the brink of revolt to work a mysterious contract.",
            
            act_image = engine.asset.Texture("UI/char_2_campaign.tex"),
            colour_frame = "0xFFDE5Aff",
            colour_text = "0xFFFF94ff",
            colour_background = "0xFFA32Aff",
            
            story_image = engine.asset.Texture("UI/char_2_story.tex"),
            story_colour_frame = "0x09E1DCff",
            story_colour_text = "0xA1FFFDff",
            story_colour_background = "0x0CD8A1ff",

            select_screen_plax = "REGION_GROUT_BOG",
            world_region = "grout_bog",
            story_mode = true,
            
            travel_sound = "event:/ui/overworld/fast_travel_bog",

            main_quest = "ROOK_STORY",
            game_type = GAME_TYPE.CAMPAIGN,

            slides = {
                "starting_rook_slides",
            },
            
            starting_fn = function(agent) 
                agent:DeltaMoney( STARTING_MONEY )
            end,

            score_modifiers = 
            {
                money = -STARTING_MONEY,
                --expected_relationships = { "FSSH", "KASHIO" },
            }

        }

        :AddAct{
            id = "ROOK_BRAWL",
            unlock_id = "ROOK_BRAWL_PLAYABLE",
            name = "Brawl",
            title = "Working All of the Sides",
            desc = "Survive an escalating series of Rook's schemes.",

            game_type = GAME_TYPE.BRAWL,
            
            act_image = engine.asset.Texture("UI/char_2_brawl.tex"),
            colour_frame = "0xA866F3ff",
            colour_text = "0xE4BFFFff",
            colour_background = "0xFF31E4ff",

            world_region = "brawl_region",
            main_quest = "ROOK_BRAWL",
            --major_factions = {"ADMIRALTY", "BANDITS"},
            }

        :AddAct{
            id = "ROOK_DAILY",
            name = "Daily",
            title = "",
            desc = "",
            game_type = GAME_TYPE.DAILY,
            
            act_image = engine.asset.Texture("UI/char_2_daily.tex"),
            colour_frame = "0x0CD864ff",
            colour_text = "0x9BEFD8ff",
            colour_background = "0xFFDE5Aff",
            
            world_region = "brawl_region",
            }
    )
