require "ui/widgets/chargecell"

local MOD =
{
	id = "ROOK",
	
	OnBattleEvent = function( self, screen, eventname, ... )

		if eventname == "CONDITION_ADDED" then
			local fighter, condition, stacks, source = ...
			local unitframe = screen.status_widgets[ fighter ]
			if condition.id == "malfunctioning_charge_cells" then
				if screen.cell_ui then
					screen.cell_ui:SetDamaged(true)
				end
			end
			if condition.id == "lumin_tracker" then
				local widget = Widget.ChargeCell()
				widget.fighter = fighter
				unitframe:AddCustomStatusEffectWidget( widget, true )
				widget:UpdateCells( condition:GetCharges() )
				screen.cell_ui = widget
			end
			if condition.id == "SURGE" then
				if screen.cell_ui then
					screen.cell_ui:UpdateSurge( condition.stacks )
					unitframe:DoLayout()
				end
			end
		elseif eventname == "CONDITION_REMOVED" then
			local fighter, condition, stacks, source = ...
			local unitframe = screen.status_widgets[ fighter ]
			if condition.id == "SURGE" then
				if screen.cell_ui then
					screen.cell_ui:UpdateSurge( condition.stacks )
					unitframe:DoLayout()
				end
			end
			if condition.id == "malfunctioning_charge_cells" then
				if not fighter:HasCondition("malfunctioning_charge_cells") then
					if screen.cell_ui then
						screen.cell_ui:SetDamaged(false)
						unitframe:DoLayout()
					end
				end
			end
		elseif eventname == "LUMIN_CHARGED" then
			local battle, charges, max_cells = ...
			local unitframe = screen.status_widgets[ screen.cell_ui.fighter ]
			if screen.cell_ui then
				screen.cell_ui:UpdateCells( charges, max_cells )
		        screen.cards:RefreshCards( battle )
				unitframe:DoLayout()
			end

		elseif eventname == "LUMIN_SPENT" then
			local battle, charges, max_cells = ...
			local unitframe = screen.status_widgets[ screen.cell_ui.fighter ]
			if screen.cell_ui then
				screen.cell_ui:UpdateCells( charges, max_cells )
		        screen.cards:RefreshCards( battle )
				unitframe:DoLayout()
			end
		elseif eventname == "PRIMED_GAINED" then
			if screen.cell_ui then
				screen.cell_ui:AnimatePrimed()
				local unitframe = screen.status_widgets[ screen.cell_ui.fighter ]
				unitframe:DoLayout()
			end
		end
	end,
}

Content.RegisterMod( MOD )
