
local STARTING_MONEY = 75

AddPlayerCharacter(
    PlayerBackground{
            id = "SAL",
            sort_key = 0,
            vo = "event:/vo/narrator/character/sal",
            player_agent = "SAL",
            name = "Sal ik-Derrick",
            title = "The Bounty Hunter",
            desc = "An up-and-comer looking to make her mark on the world.",
            advancement = DEFAULT_ADVANCEMENT,
            
            pre_battle_music = "event:/music/dailyrun_precombat_sal",
            deck_music = "event:/music/viewdecks_sal",
            boss_music = "event:/music/adaptive_battle_boss",
            battle_music = "event:/music/adaptive_battle",
            negotiation_music = "event:/music/adaptive_negotiation_barter",
            negotiation_music_night = "event:/music/adaptive_negotiation_barter_night",

            ambush_neutral = "event:/music/stinger/ambush_neutral",
            ambush_bad = "event:/music/stinger/ambush_bad",
        }

        :AddAct{
            id = "SAL",
            
            name = "Hunting Kashio",
            title = "Sal In Murder Bay",
            desc = "Sal escapes a life of servitude to claim the ultimate bounty—and get her revenge.",
            
            act_image = engine.asset.Texture("UI/char_1_campaign.tex"),
            colour_frame = "0xFFDE5Aff",
            colour_text = "0xFFFF94ff",
            colour_background = "0xFFA32Aff",

            story_image = engine.asset.Texture("UI/char_1_story.tex"),
            story_colour_frame = "0x09E1DCff",
            story_colour_text = "0xA1FFFDff",
            story_colour_background = "0x0CD8A1ff",

            world_region = "murder_bay",
            story_mode = true,
            
            main_quest = "SAL_STORY",
            game_type = GAME_TYPE.CAMPAIGN,

            slides = {
                "starting_sal_slideshow",
                "starting_sal_slideshow_2",
                "starting_sal_slideshow_3",
                "starting_sal_slideshow_4",
            },
            
            starting_fn = function(agent) 
                agent:DeltaMoney( STARTING_MONEY )
            end,

            score_modifiers = 
            {
                money = -STARTING_MONEY,
                expected_relationships = { "FSSH", "KASHIO" },
            }

        }
        :AddAct{
            id = "SAL_BRAWL",
            unlock_id = "SAL_BRAWL_PLAYABLE",
            name = "Brawl",
            title = "Havarian Gig Economy",
            desc = "Survive an escalating series of jobs as Sal works for a living.",

            act_image = engine.asset.Texture("UI/char_1_brawl.tex"),
            colour_frame = "0xA866F3ff",
            colour_text = "0xE4BFFFff",
            colour_background = "0xFF31E4ff",

            world_region = "brawl_region",
            main_quest = "SAL_BRAWL",
            game_type = GAME_TYPE.BRAWL,

            --major_factions = {"ADMIRALTY", "BANDITS"},
            }
        :AddAct{
            id = "SAL_DAILY",
            name = "Daily",
            title = "",
            desc = "",
            game_type = GAME_TYPE.DAILY,
            
            act_image = engine.asset.Texture("UI/char_1_daily.tex"),
            colour_frame = "0x0CD864ff",
            colour_text = "0x9BEFD8ff",
            colour_background = "0xFFDE5Aff",
            
            world_region = "brawl_region",
            }
        )

