require "content/worldregion"

local murder_bay =
{
    name = "Murder Bay",
    plax = "REGION_MURDERBAY1",
    desc = [[New Deltree, nestled on the shores of Murder Bay, is capital city of the Feud. The Admiralty rules the cities with an iron fist, but they have blind spots in the outlying areas.]],

    default_outdoor_location = "MURDER_BAY_ROAD",

    outdoor_locations = 
    {
        "MURDER_BAY_SHORE",
        "MURDER_BAY_ROAD",
        "MURDER_BAY_FOREST",
        "MURDER_BAY_CITY",
    },

    locations = {
        "MURDERBAY_NOODLE_SHOP",
        "NEWDELTREE_OUTFITTERS",
        "MURDER_BAY_CHEMIST",
        "GROG_N_DOG",
        "LIGHTHOUSE",
        "MURDERBAY_LUMIN_DOCKS",                
        "MURDER_BAY_HARBOUR",
        "SPREE_INN",
        "ADMIRALTY_BARRACKS",
        "MARKET_STALL",
        "MB_METTLE_SHOP",
        "MURDER_BAY_HESH_OUTPOST",
        "MURDER_BAY_RISE_OUTPOST",
    },

    population = {
        "BANDIT_GOON",
        "BANDIT_GOON2",
        "BANDIT_RAIDER",
        "BANDIT_CAPTAIN",
        "ZEALOT",
        "PRIEST",
        "LABORER",
        "HEAVY_LABORER",
        "FOREMAN",
        "BARTENDER",
        "JAKES_RUNNER",
        "JAKES_SMUGGLER",
        "POOR_MERCHANT",
        "WEALTHY_MERCHANT",
        "ADMIRALTY_GOON",
        "ADMIRALTY_GUARD",
        "ADMIRALTY_PATROL_LEADER",
        "ADMIRALTY_CLERK",
    },

    home_generator = function(agent) 
        
        if agent:GetFactionID() == "ADMIRALTY" then
            return "BASIC_DORM"
        end

        if agent:GetFactionID() == "BANDITS" then
            return "SPREE_TENT"
        end

        if agent:HasTag("wealthy") then
            if agent:GetFaction():IsLawful() then
                return "FEUD_DOMICILE_NICE"
            end
        end

        return "FEUD_DOMICILE"
    end,
}

Content.AddWorldRegion( WorldRegion.Create("murder_bay", murder_bay) )


