
local STARTING_MONEY = 75

AddPlayerCharacter(
    PlayerBackground{
            id = "SMITH",
            --vo = "event:/vo/narrator/character/sal",
            sort_key = 2,
            player_agent = "SMITH",
            unlock_id = "SMITH_PLAYABLE",
            name = "Smith",
            title = "The Wastrel",
            desc = "A ne'er-do-well with a heart of gold and three livers of cast iron.",
            advancement = DEFAULT_ADVANCEMENT,

            negotiation_music = "event:/music/adaptive_negotiation_barter_smith",
            negotiation_music_night = "event:/music/adaptive_negotiation_barter_smith_night",            
            battle_music = "event:/music/adaptive_battle_smith",
            boss_music = "event:/music/adaptive_battle_boss_smith",
            deck_music = "event:/music/viewdecks_smith",
            pre_battle_music = "event:/music/dailyrun_precombat_smith",
            ambush_neutral = "event:/music/stinger/ambush_neutral_smith",
            ambush_bad = "event:/music/stinger/ambush_bad_smith",

        }

        :AddAct{
            id = "SMITH",
            title = "Smith in Pearl-on-the-Foam",
            name = "The Inheritance",
            desc = "Smith goes home and finds some stuff out.",
            
            act_image = engine.asset.Texture("UI/char_3_campaign.tex"),
            colour_frame = "0xFFDE5Aff",
            colour_text = "0xFFFF94ff",
            colour_background = "0xFFA32Aff",
            
            story_image = engine.asset.Texture("UI/char_3_story.tex"),
            story_colour_frame = "0x09E1DCff",
            story_colour_text = "0xA1FFFDff",
            story_colour_background = "0x0CD8A1ff",

            select_screen_plax = "REGION_GROUT_BOG",
            
            world_region = "pearl_on_foam",
            story_mode = true,
            
            travel_sound = "event:/ui/overworld/fast_travel_bog",
            
            main_quest = "SMITH_STORY",
            game_type = GAME_TYPE.CAMPAIGN,

            slides = {
                "starting_smith_slides",
            },
            
            starting_fn = function(agent) 
                agent:DeltaMoney( STARTING_MONEY )
            end,

            score_modifiers = 
            {
                money = -STARTING_MONEY,
            }
        }
        :AddAct{
            id = "SMITH_DAILY",
            name = "Daily",
            title = "",
            desc = "",
            game_type = GAME_TYPE.DAILY,
            
            act_image = engine.asset.Texture("UI/char_3_daily.tex"),
            colour_frame = "0xFFF45Aff",
            colour_text = "0xFFFF94ff",
            colour_background = "0xFFF45Aff",
            
            world_region = "brawl_region",
            }

        :AddAct{
            id = "SMITH_BRAWL",
            unlock_id = "SMITH_BRAWL_PLAYABLE",
            name = "Brawl",
            title = "Smith's Brawl",
            desc = "Survive an escalating series of Smith's misadventures.",

            game_type = GAME_TYPE.BRAWL,
            
            act_image = engine.asset.Texture("UI/char_3_brawl.tex"),
            colour_frame = "0x0CD864ff",
            colour_text = "0x9BEFD8ff",
            colour_background = "0xFFDE5Aff",

            --upcoming = true,
            world_region = "brawl_region",
            main_quest = "SMITH_BRAWL",
            --major_factions = {"ADMIRALTY", "BANDITS"},
            }

    )

