require "ui/widgets/moxiewidget"

local MOD =
{
	id = "SMITH",
	
	OnBattleEvent = function( self, screen, eventname, ... )
		if eventname == "CONDITION_ADDED" then
			local fighter, condition, stacks, source = ...
			local unitframe = screen.status_widgets[ fighter ]
			if condition.id == "smith_regeneration" then
				local widget = Widget.MoxieWidget( fighter )
				unitframe:AddCustomStatusEffectWidget( widget )
				screen.moxie_ui = widget
			end
		elseif eventname == "REFRESH_CONDITIONS" then
			if screen.moxie_ui then screen.moxie_ui:Refresh() end
		elseif eventname == "ACTIVATED_FIGHTER" then
			local fighter = ...
			if fighter.agent:GetContentID() == "SMITH" then
				screen.cardspanel.bottles_draw_indicator:Show()
				screen.cardspanel.bottles_discard_indicator:Show()
				screen.cardspanel:LayoutButtons()
			end
		elseif eventname == "CARD_MOVED" then
			local card, old_deck, old_idx, new_deck, new_idx = ...
			if card.id == "empty_bottle" then
				if old_deck and old_deck.deck_type == DECK_TYPE.DRAW then
					screen.cardspanel.bottles_draw_indicator:Refresh(screen.cardspanel.bottles_draw_indicator.count - 1)
						:GrabAttention()
				elseif old_deck and old_deck.deck_type == DECK_TYPE.DISCARDS then
					screen.cardspanel.bottles_discard_indicator:Refresh(screen.cardspanel.bottles_discard_indicator.count - 1)
						:GrabAttention()
				end

				if new_deck and new_deck.deck_type == DECK_TYPE.DRAW then
					screen.cardspanel.bottles_draw_indicator:Refresh(screen.cardspanel.bottles_draw_indicator.count + 1)
						:GrabAttention()
				elseif new_deck and new_deck.deck_type == DECK_TYPE.DISCARDS then
					screen.cardspanel.bottles_discard_indicator:Refresh(screen.cardspanel.bottles_discard_indicator.count + 1)
						:GrabAttention()
				end
			end
		end
	end
}

Content.RegisterMod( MOD )
