------------------------------------------------------------------------
-- Unlocks can be of the following types:
--
--      player_background: specifies the id of a starting character
--
--      battle_card: specifies the id of a Battle.Card
--
--      negotiation_card: specifies the id of a Negotiation.Card
--
--      graft_id: specifies the id of a graft
--
--      unlock_id: an arbitrary (not-clashing) string identifier for a "generic" unlock.
--          icon: a texture path to represent this generic unlock

--      deck_id: a starting deck


local SMITH_TRACK = UnlockTrackDef{
    -- UnlockableDef{ 
    --     --ONE
    --     id = "simth_temp_unlock",
    --     name = "TEMP",
    --     negotiation_name = "TEMP",
    --     battle_name = "TEMP",
    --     icon = "battle/decks/card_unlock_sal.tex",
    --     icon_locked = "battle/decks/card_unlock_sal_locked.tex",
    --     pts = 1,
    --     items = 
    --     {
    --         { outfit_id = "smith_outfit_01" },
    --         { outfit_id = "smith_outfit_02" },
    --         { outfit_id = "smith_outfit_03" },
    --     }
    -- },


    UnlockableDef{ 
        --ONE
        id = "the_classic",
        name = "The Classic and Onslaught",
        negotiation_name = "The Classic",
        battle_name = "Onslaught",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 500,
        items = 
        {
            { negotiation_card = "classic_smith"},
            { negotiation_card = "crass"},
            { negotiation_card = "barrage"},
            { battle_card = "knuckle_down"},
            { battle_card = "hurricane"},
            { battle_card = "desperation"},
        }
    },
    
    UnlockableDef{
        --TWO
        id = "vip",
        name = "VIP and Circulation",
        negotiation_name = "VIP",
        battle_name = "Circulation",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 1000,
        items = 
        {
            { negotiation_card = "associates"},
            { negotiation_card = "executive"},
            { negotiation_card = "high_places"},
            { battle_card = "slug_smash"},
            { battle_card = "bloodflow"},
            { battle_card = "meditation"},
            { outfit_id = "smith_outfit_01" },
        }
    },
    
    UnlockableDef{
        --THREE
        id = "duplicity",
        name = "Duplicity and Weight",
        negotiation_name = "Duplicity",
        battle_name = "Weight",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 1600,
        items = 
        {
            { negotiation_card = "double_down"},
            { negotiation_card = "dissect"},
            { negotiation_card = "insistence"},
            { battle_card = "final_blow"},
            { battle_card = "power_trip"},
            { battle_card = "the_pinto_pour"},
            { outfit_id = "smith_outfit_02" },
        }
    },

    UnlockableDef{
        --FOUR
        id = "elitist",
        name = "Elitist and Salvager",
        negotiation_name = "Elitist",
        battle_name = "Salvager",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 2250,
        items = 
        {
            { negotiation_card = "refusal"},
            { negotiation_card = "immunity"},
            { negotiation_card = "stool_pigeon"},
            { battle_card = "reduce"},
            { battle_card = "reuse"},
            { battle_card = "recycle"},
            { outfit_id = "smith_outfit_03" },
        }
    },

    UnlockableDef{
        --FIVE
        id = "convergence",
        name = "Convergence and Bottoms Up",
        negotiation_name = "Convergence",
        battle_name = "Bottoms Up",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 2900,
        items = 
        {
            { negotiation_card = "carbon_copy"},
            { negotiation_card = "amplify"},
            { negotiation_card = "rehearsal"},
            { battle_card = "mouthwash"},
            { battle_card = "right_in_the_face"},
            { battle_card = "endless_supply"},
        }
    }, 

    UnlockableDef{
        --SIX
        id = "self_destruct",
        name = "Self-Destruct and Bounce Back",
        negotiation_name = "Self-Destruct",
        battle_name = "Bounce Back",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 3600,
        items = 
        {
            { negotiation_card = "boiler"},
            { negotiation_card = "circle_back"},
            { negotiation_card = "plastered"},
            { battle_card = "clean_house"},
            { battle_card = "frenzy"},
            { battle_card = "bottomless_vial"},
        }
    },
    
    UnlockableDef{
        --SEVEN
        id = "self_deprecation",
        name = "Self-Deprecation and Preparation",
        negotiation_name = "Self-Deprecation",
        battle_name = "Preparation",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 4400,
        items = 
        {
            { negotiation_card = "degrade"},
            { negotiation_card = "hot_air"},
            { negotiation_card = "slick"},
            { battle_card = "shelve"},
            { battle_card = "intensify"},
            { battle_card = "stoke"},
        }
    },
    
    UnlockableDef{
        --EIGHT
        id = "ad_lib",
        name = "Ad Lib and Titan",
        negotiation_name = "Ad Lib",
        battle_name = "Titan",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 5200,
        items = 
        {
            { negotiation_card = "pursue"},
            { negotiation_card = "cachet"},
            { negotiation_card = "ditch"},
            { battle_card = "raw_power"},
            { battle_card = "smash"},
            { battle_card = "gumption"},
        }
    },

    UnlockableDef{
        --NINE
        id = "destructive",
        name = "Destructive and Bulwark",
        negotiation_name = "Destructive",
        battle_name = "Bulwark",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 6000,
        items = 
        {
            { negotiation_card = "instigate"},
            { negotiation_card = "chase"},
            { negotiation_card = "topple"},
            { battle_card = "thickness"},
            { battle_card = "conquer"},
            { battle_card = "pivot"},
        }
    },

    UnlockableDef{
        --TEN
        id = "creschendo",
        name = "Crescendo and The Pain Train",
        negotiation_name = "Crescendo",
        battle_name = "The Pain Train",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 7000,
        items = 
        {
            { negotiation_card = "rescind"},
            { negotiation_card = "who"},
            { negotiation_card = "escalate"},
            { battle_card = "the_pain_train"},
            { battle_card = "scream"},
            { battle_card = "callus"},
        }
    },
}


Content.AddUnlockTrack("SMITH", SMITH_TRACK)
