require "aspect"
local negotiation_defs = require "negotiation/negotiation_defs"
local battle_defs = require "battle/battle_defs"

local ALL_TRAITS = 
{
}

for aspect_id, trait in pairs(ALL_TRAITS) do

    if trait.negotiation_modifier and not trait.OnStartNegotiation then
        trait.OnStartNegotiation = function (self, minigame)
            minigame:GetNegotiator( self.agent ):AddModifier( self.negotiation_modifier.id, 1 )
        end
    end

    local aspect = class("Aspects." .. aspect_id, Aspect)

    for k, v in pairs(trait) do
        aspect[k] = v
    end

    aspect.trait = true

    function aspect:GetDesc()
        return trait.desc
    end
    Content.AddAspect( aspect_id, aspect )
end
