local Mole = class("Aspect.Mole", Aspect)

function Mole:init( agent, for_faction_id, known_to_player )
    Mole._base.init( self, agent)
    self.faction = for_faction_id
    self.known_to_player = known_to_player
end

function Mole:IsUnknownTrait()
    return not self.known_to_player
end

function Mole:OnGainAspect()
    self.action_time = Now() + 2 + math.random(5) --this will come back on you if you do it early enough in the act.
end

function Mole:OnUpdate()
    if self.action_time and self.action_time <= Now() then
        local overrides = { cast = { mole = self.agent } }
        local quest = QuestUtil.SpawnQuest("MOLE_DISCOVERED", overrides)
        if quest then
            self.action_time = nil
        end
    end
end

Content.AddAspect( "mole", Mole )