local Sympathizer = class("Aspect.Sympathizer", Aspect)
Sympathizer.trait = true
function Sympathizer:init( agent, for_faction_id, known_to_player )
    Sympathizer._base.init( self, agent)
    self.faction = for_faction_id
    self.known_to_player = known_to_player
end

function Sympathizer:GetName()
    if self.faction then
        return loc.format("{1#faction} Sympathizer", TheGame:GetGameState():GetFaction(self.faction))
    else
        return "Sympathizer"
    end
end

function Sympathizer:GetDesc()
    return loc.format("Sympathetic to the {1#faction}", TheGame:GetGameState():GetFaction(self.faction))
end

function Sympathizer:IsUnknownTrait()
    return not self.known_to_player
end

function Sympathizer:GetTexture() 
    return TheGame:GetGameState():GetFaction( self.faction ):GetIcon()
end


Content.AddAspect( "sympathizer", Sympathizer )