
Content.AddCharacterDef
(
	CharacterDef("BASE",
	{
		renown = 1,
		combat_strength = 1,
		is_template = true,

		faction_id = NEUTRAL_FACTION,

		fight_data = FIGHT_DATA.NONE,   

		text_colour = 0x23c9a7FF,

	})
)

Content.AddCharacterDef
(
	CharacterDef("PLAYER_BASE",
	{
		is_template = true,
		renown = 1,
		fight_data = FIGHT_DATA.NONE,   

		faction_id = PLAYER_FACTION,

		tags = {"PC"},
		aspects = { social_connections = true, battler = true, negotiator = true, graft_owner = true, mettle_handler = true },

		on_init = function( agent )
			local chargen = require "charactergen" 
			chargen.ApplyBuild( agent )
	   end
	})
)


Content.AddCharacterDef
(
	CharacterDef("NPC_BASE",
	{
		base_def = "BASE",
		is_template = true,
	    skinnable = true,

    	death_money = DEATH_MONEY_MEDIUM,
    	death_item = nil,

		possible_species =
		{
			[SPECIES.HUMAN] = 3,
			[SPECIES.KRADESHI] = 1,
			[SPECIES.SHROKE] = 1,
			[SPECIES.JARACKLE] = 1,
			--[SPECIES.PHICKET] = 1,
		},

		aspects = {
			social_connections = true,
		},

		negotiation_data = table.empty,
		
		on_init = function( agent )
			local chargen = require "charactergen"

			local gender = agent.gender
			if gender == nil then
				if agent.species == SPECIES.MECH then
					gender = GENDER.UNDISCLOSED
				else
					gender = math.random() > .5 and GENDER.MALE or GENDER.FEMALE
				end
				agent.gender = gender
			end

			if agent.species then
				-- Already determined
			elseif agent.possible_species then
				agent.species = table.tablepick( agent.possible_species )
			else
				agent.species = SPECIES.HUMAN
			end

			chargen.ApplyBuild( agent )

			if agent.name == nil then
				agent:GenerateRandomName()
			end
		end,
	})
)

