Content.AddCharacterDef
(
	CharacterDef("ROOK",
	{
		base_def = "PLAYER_BASE",

		name = "Rook",
		title = "Veteran",
		alias = "ROOK", 
        player_quip_tag = "player_rook",
        voice_actor = "rook",
        battle_tutorial = "rook_battle_tutorial",
        negotiation_tutorial = "rook_negotiation_tutorial",
        title_screen_plax = "title_screen_rook",

		max_grafts = {
			[GRAFT_TYPE.COMBAT] = 4,
			[GRAFT_TYPE.COIN] = 1,
			[GRAFT_TYPE.BLASTER] = 1,
			[GRAFT_TYPE.NEGOTIATION] = 4,
		},

		starting_grafts = {"spare_coin","rook_blasters", "flourish_tracker"},
		required_grafts = {"flourish_tracker"},

		basic_flourishes =
		{
			BATTLE = "salvo",
			NEGOTIATION = "trickster",
		},

        emote_foley_overrides = {
            fight = {
                angry_fight_pre = "event:/sfx/general/conversation/foley/unique/fight_pre_rook",
                angry_fight_pst = "event:/sfx/general/conversation/foley/unique/fight_post_rook",
            }
        },

        battle_preview_anim_fn = function( build )
        	local anims = {
        		["rook_base"] = { anim = "anim/hero_rook_outfit1_slide.zip", offset = { x = -160, y = 65, scale = 1 }, glow = { colour = 0x57FFFBFF, bloom = 0.2, threshold = 0.02 }, audio = nil },
        		["rook_outfit_01"] = { anim = "anim/hero_rook_outfit2_slide.zip", offset = { x = -300, y = 40, scale = 1 }, glow = { colour = 0x57FFFBFF, bloom = 0.2, threshold = 0.02 }, audio = nil },
        		["rook_outfit_02"] = { anim = "anim/hero_rook_outfit3_slide.zip", offset = { x = -160, y = 15, scale = 1 }, glow = { colour = 0x57FFFBFF, bloom = 0.2, threshold = 0.02 }, audio = nil },
        		["rook_outfit_03_build"] = { anim = "anim/hero_rook_outfit4_slide.zip", offset = { x = -210, y = 0, scale = 1.1 }, glow = { colour = 0xf5a858FF, bloom = 0.15, threshold = 0.02 }, audio = nil },
        	}
        	return anims[build] or anims["rook_base"]
    	end,
     
		max_resolve = 36,

		aspects = {
		},

		fight_data = 
		{
            MAX_HEALTH = 52,

            status_widget_dx = 0.5,

			anim_mapping =
			{
				riposte = "whip",
				taunt2 = "taunt",
				taunt3 = "taunt",
				targetpractice1 = "idle",
			},
			hit_sounds =
			{
				-- "SHARP", "DULL", "BULLET", "BOTTLESMSH", "PUNCH"
				punch = DAMAGE_TYPE.PUNCH,
				blast = DAMAGE_TYPE.BULLET,
				burner = DAMAGE_TYPE.BULLET,
				dynamo = DAMAGE_TYPE.BULLET,
				execute = DAMAGE_TYPE.BULLET,
				hammer = DAMAGE_TYPE.BULLET,
				kick = DAMAGE_TYPE.PUNCH,
				kick2 = DAMAGE_TYPE.DULL,
				mark = DAMAGE_TYPE.BULLET,
				punch = DAMAGE_TYPE.DULL,
				shoot = DAMAGE_TYPE.BULLET,
				surge = DAMAGE_TYPE.BULLET,
				whip = DAMAGE_TYPE.DULL,


			},
			
			ranged_riposte = false,

			behaviour =
			{
				OnActivate = function( self )
					self.fighter:AddCondition("lumin_tracker")
				end,
			},
		},

		negotiation_data =
		{
			behaviour =
			{
				OnInit = function( self, difficulty )
					self.negotiator:AddModifier( "LUCKY_COIN" )
				end,
			}
		},

		gender = GENDER.MALE,
		species = SPECIES.HUMAN,
        hair_colour = 0x382919ff,
        skin_colour = 0xA37E55ff,
		head = "head_rook",
		build = "rook",

		card_series = { "ROOK", "GENERAL" },
		graft_series = { "ROOK", "GENERAL" },


		anims = { "anim/weapon_blaster_rook.zip","anim/med_dial_rook.zip"},
		combat_anims = { "anim/med_combat_rook.zip" },

		negotiation_card_select_sound = "event:/sfx/battle/cards/neg/character/rook/select_card_rook",
		negotiation_card_play_sound = "event:/sfx/battle/cards/neg/character/rook/play_card_rook",
        negotiation_flourish_gain_sound = "event:/sfx/battle/atk_anim/general/flourish_rookSFX",

	})
)

-------------------------------------------------------------------------

local decks = 
{
    NegotiationDeck("rook_negotiation_A", "ROOK")
        :AddCards{ 
        	pleasantries = 3,
        	grumble = 2,
        	rationale = 3,
	        trickery = 1,
	        call_it = 2,
        },
    
    BattleDeck("rook_battle_basic", "ROOK")
        :AddCards{ 
            blast = 3,
            kick = 2,
            hunker_down = 3,
            ammo_pouch = 1,
            -- rooks_gear = 1,        
            hair_trigger = 1,
            crank = 1,
        },
}

for k,v in ipairs(decks) do
    Content.AddDeck(v)
end
