Content.AddCharacterDef
(
    CharacterDef("SAL",
    {
        base_def = "PLAYER_BASE",
        name = "Sal",
        title = "Grifter",
        alias = "SAL", 
        player_quip_tag = "player_sal",
        title_screen_plax = "title_screen",

        max_grafts = {
            [GRAFT_TYPE.COMBAT] = 3,
            [GRAFT_TYPE.NEGOTIATION] = 3,
            [GRAFT_TYPE.COIN] = 0,
        },

        max_resolve = 30,

        tags = {"derrick"},
        gender = GENDER.FEMALE,
        species = SPECIES.HUMAN,

        starting_grafts = {"flourish_tracker"},
        required_grafts = {"flourish_tracker"},

        basic_flourishes =
        {
            BATTLE = "hail_of_blades",
            NEGOTIATION = "trounce",
        },
        
        head = "head_sal_build",

        emote_foley_overrides = {
            fight = {
                angry_fight_pre = "event:/sfx/general/conversation/foley/unique/fight_pre_sal",
                angry_fight_pst = "event:/sfx/general/conversation/foley/unique/fight_post_sal",
            }
        },

        battle_preview_anim_fn = function( build )
            local anims = {
                ["sal_base"] = { anim = "anim/hero_sal_outfit1_slide.zip", offset = { x = -320, y = -25, scale = 1 }, glow = { colour = 0x11FFFEFF, bloom = 0.35, threshold = 0.02 }, audio = nil },
                ["sal_outfit_01"] = { anim = "anim/hero_sal_outfit2_slide.zip", offset = { x = -520, y = 25, scale = 1 }, glow = { colour = 0x08FEF5FF, bloom = 0.35, threshold = 0.02 }, audio = nil },
                ["sal_outfit_02"] = { anim = "anim/hero_sal_outfit3_slide.zip", offset = { x = -500, y = 5, scale = 1 }, glow = { colour = 0x22F6F0FF, bloom = 0.4, threshold = 0.02 }, audio = nil },
                ["sal_outfit_03"] = { anim = "anim/hero_sal_outfit4_slide.zip", offset = { x = -480, y = 5, scale = 1.15 }, glow = { colour = 0x11FFFEFF, bloom = 0.4, threshold = 0.02 }, audio = nil },
            }
            return anims[build] or anims["sal_base"]
        end,

        fight_data = 
        {
            MAX_HEALTH = 58,
            anim_mapping =
            {
                riposte = "targetpractice1",
                execute = "gash",
            },
            hit_sounds =
            {
                -- "SHARP", "DULL", "BULLET", "BOTTLESMSH", "PUNCH"
                punch = DAMAGE_TYPE.PUNCH,
                blast = DAMAGE_TYPE.BULLET,
                elbow_strike = DAMAGE_TYPE.DULL,
                fightdirty = DAMAGE_TYPE.DULL,
                hitbash = DAMAGE_TYPE.DULL,
                shoot = DAMAGE_TYPE.BULLET,
                stomp = DAMAGE_TYPE.PUNCH,
                trip = DAMAGE_TYPE.DULL,
            },
            ranged_riposte = true,
            actions = 3,
            formation = FIGHTER_FORMATION.FRONT_X,
        },

        negotiation_data =
        {
            behaviour =
            {
                OnInit = function( self, difficulty )
                    self.negotiator:AddModifier( "GRIFTER" )
                end,
            }
        },

        anims = { "anim/weapon_knife_guard_lumin.zip","anim/weapon_blaster_sal.zip", "anim/med_dial_sal.zip"},
        card_series = { "SAL", "GENERAL" },
        graft_series = { "SAL", "GENERAL" },

        build = "sal",
        combat_anims = { "anim/med_combat_sal.zip" },
        voice_actor = "sal",

        hair_colour = 0xCB5D3Cff,
        skin_colour = 0xd2a18cff,

        text_colour = 0xd16160FF,
        
        faction_id = PLAYER_FACTION,
        
        bio = "Sold as a child to the lumin derricks out on the open sea, Sal was destined for a life of hard labor. But she was small and quick and smart, and she made herself useful to powerful criminals until she grew clever enough to collect on bounties instead.",  -- Update this also for NPC_SAL

        negotiation_card_select_sound = "event:/sfx/battle/cards/neg/character/sal/select_card_sal",
        negotiation_card_play_sound = "event:/sfx/battle/cards/neg/character/sal/play_card_sal",
        negotiation_flourish_gain_sound = "event:/sfx/battle/atk_anim/general/flourish_salSFX",

    })
)

--------------------------------------------------------------------------------

local decks = 
{
    NegotiationDeck("sal_negotiation_A", "SAL")
        :AddCards{ 
            fast_talk = 3,
            threaten = 2,
            deflection = 3,
            quick_thinking = 1,
            sals_instincts = 1,
        },
    
    BattleDeck("sal_battle_basic", "SAL")
        :AddCards{ 
            stab = 3,
            elbow_strike = 2,
            feint = 4,            
            fightdirty = 1,
            sals_daggers = 1,
        },
}

for k,v in ipairs(decks) do
    Content.AddDeck(v)
end
