Content.AddCharacterDef
(
	CharacterDef("SMITH",
	{
		base_def = "PLAYER_BASE",
		name = "Smith",
		alias = "SMITH",
		voice_actor = "smith",
		desc = "Fearsome Kra'deshi", -- Update this also for NPC_SMITH
		title_screen_plax = "title_screen_smith",
        player_quip_tag = "player_smith",
		battle_tutorial = "smith_battle_tutorial",
        title = "The Wastrel",
		-- title_fn = function()
		-- 	local titles = {
		-- 		"Drunkard",
		-- 		"Reprobate",
		-- 		"Layabout",
		-- 		"Burnout",
		-- 		"Waster",
		-- 		"Degenerate",
		-- 		"Party Animal",
		-- 		"Classic",
		-- 		"Cult Classic",
		-- 		"Confident",
		-- 		"Charmer",
		-- 		"Profligate",
		-- 		"Feckless",
		-- 		"Grandiloquent",
		-- 		"Ineffable",
		-- 	}
		-- 	return table.arraypick(titles)
		-- end,
		max_grafts = {
			[GRAFT_TYPE.COMBAT] = 3,
			[GRAFT_TYPE.COIN] = 0,
			[GRAFT_TYPE.BLASTER] = 0,
			[GRAFT_TYPE.NEGOTIATION] = 3,
		},

		card_series = { "SMITH", "GENERAL" },
		graft_series = { "SMITH", "GENERAL" },

		starting_grafts = {"flourish_tracker"},
		required_grafts = {"flourish_tracker"},

		basic_flourishes =
		{
			BATTLE = "all_rounder",
			NEGOTIATION = "claim_to_fame",
		},

		max_resolve = 30,

        battle_preview_anim_fn = function( build )
        	local anims = {
        		["smith"] = { anim = "anim/hero_smith_outfit1_slide.zip", offset = { x = -370, y = -20, scale = 1 }, glow = { colour = 0x66FFFFFF, bloom = 0.2, threshold = 0.02 }, audio = nil },
        		["smith_outfit_01_build"] = { anim = "anim/hero_smith_outfit2_slide.zip", offset = { x = -370, y = 30, scale = 1.1 }, glow = { colour = 0x66FFFFFF, bloom = 0.2, threshold = 0.02 }, audio = nil },
        		["smith_outfit_02_build"] = { anim = "anim/hero_smith_outfit3_slide.zip", offset = { x = -550, y = 0, scale = 1 }, glow = { colour = 0x57FFFBFF, bloom = 0.2, threshold = 0.02 }, audio = nil },
        		["smith_outfit_03_build"] = { anim = "anim/hero_smith_outfit4_slide.zip", offset = { x = -400, y = 10, scale = 1.15 }, glow = { colour = 0x57FFFBFF, bloom = 0.2, threshold = 0.02 }, audio = nil },
        		["smith_outfit_04_build"] = { anim = "anim/hero_smith_outfit5_slide.zip", offset = { x = -450, y = 5, scale = 1.1 }, glow = { colour = 0x0CFFFFFF, bloom = 0.2, threshold = 0.02 }, audio = nil },
        	}
        	return anims[build] or anims["smith"]
    	end,

		fight_data = 
		{
			MAX_HEALTH = 60,
			death_fade_delay = 1,
			can_alleviate = true,

			anim_mapping =
			{
				-- riposte = "",
				execute = "heavy_smash",
			},
			hit_sounds =
			{
				-- "SHARP", "DULL", "BULLET", "BOTTLESMSH", "PUNCH"
				heavy_smash = DAMAGE_TYPE.DULL,
				smash = DAMAGE_TYPE.DULL,
				punch = DAMAGE_TYPE.PUNCH,
				knee = DAMAGE_TYPE.PUNCH,
				dropkick = DAMAGE_TYPE.PUNCH,
				super_smash = DAMAGE_TYPE.DULL,
				cheers_smash = DAMAGE_TYPE.DULL,
				bash = DAMAGE_TYPE.DULL,
				headbutt = DAMAGE_TYPE.DULL,
				back_hamm = DAMAGE_TYPE.DULL,
				hammer_throw = DAMAGE_TYPE.DULL,
				stab = DAMAGE_TYPE.SHARP,
				bottle_throw_quick = DAMAGE_TYPE.BOTTLESMSH,
				bottle_throw = DAMAGE_TYPE.BOTTLESMSH,
			},

			behaviour =
			{
				OnActivate = function( self )
					self.fighter:AddCondition("smith_regeneration")
					self.fighter:AddCondition("BOTTLE_TRACKER")
				end,
			},

			healthbar_class = function( fighter )
				return Widget.SmithHealthBar(fighter)
			end,
		},
			

		negotiation_data =
		{
			behaviour =
			{
				OnInit = function( self, difficulty )
					self.negotiator:AddModifier( "confrontational" )
				end,
			}
		},

		gender = GENDER.MALE,
		species = SPECIES.KRADESHI,

		skin_colour = 0x7b8c5bff,--mid green
		eye_colour = 0xfffe8bff,

		head = "head_smith",
		text_colour = 0x86f39bFF,

		build = "smith",

		combat_anims = {"anim/med_combat_smith.zip"},
		anims = { "anim/weapon_hammer_smith.zip" },


		negotiation_card_select_sound = "event:/sfx/battle/cards/neg/character/smith/select_card_smith",
		negotiation_card_play_sound = "event:/sfx/battle/cards/neg/character/smith/play_card_smith",

        negotiation_flourish_gain_sound = "event:/sfx/battle/atk_anim/general/flourish_smithSFX",

	})
)

local decks = 
{
    NegotiationDeck("smith_negotiation_A", "SMITH")
        :AddCards{ 
        	brag = 3,
        	bully = 3,
        	bewilder = 3,
        	name_drop = 2,
        	nepotism = 1,
        },
    
    BattleDeck("smith_battle_basic", "SMITH")
        :AddCards{ 
            bash = 2,
            dropkick = 2,
            toughen_up = 3,
            smiths_flask = 1,
            smiths_arsenal = 1,
        },
}

for k,v in ipairs(decks) do
    Content.AddDeck(v)
end