local function IsAuthorizationGraft( graft )
    if graft.id == "authorization" then
        return not graft:GetDef().OnCooldown( graft )
    end
    return false
end

Convo("AUTHORIZATION_GRAFT_CHAT")

    :Loc{
        OPT_AUTHORIZATION = "[{1#graft}] Ask {agent} to help you out...",
        OPT_AUTHORIZATION_TT = "{agent} will help you in any negotiation or any fight",

        DIALOG_AUTHORIZATION = [[
            player:
                You're to help me out, on {1#agent}'s orders.
            agent:
                !shrug
                Well, orders are orders!
        ]],

        REQ_ALREADY_BRIBED = "Already bribed",
        REQ_ALREADY_USED = "Already used today",
    }

    :Hub(function(cxt, who)
        local agent = cxt:GetAgent()
        local graft = cxt.player.graft_owner:FindGraft( IsAuthorizationGraft )
        if not graft then
            return
        end

        if agent == nil or agent:GetFactionID() ~= "ADMIRALTY" then
            return
        end

        if AgentUtil.IsNegotiationTarget( agent ) or AgentUtil.IsCombatTarget( agent ) or agent:IsQuestProvider() then
            return
        end

        local can_bribe_combat, can_bribe_negotiation, can_payoff_combat, can_payoff_negotiation
            = AgentUtil.GetLocationSupport( agent )

        if can_bribe_combat or can_bribe_negotiation or can_payoff_combat or can_payoff_negotiation then
            local bribed = agent:GetAspect("bribed")
            local source = graft.userdata.agents[1]
            cxt:Opt("OPT_AUTHORIZATION", graft )
                :PostText("OPT_AUTHORIZATION_TT")
                :ReqCondition( not bribed, "REQ_ALREADY_BRIBED" )
                :ReqCondition( not graft:GetDef().OnCooldown( graft ), "REQ_ALREADY_USED" )
                :Dialog("DIALOG_AUTHORIZATION", source)
                :Fn(function()
                    graft:GetDef().StartCooldown( graft ) 
                    agent:AddAspectStacks("bribed")
                end)
        end
    end)

