Convo("EVICT_PATRON_CHAT")

    :Loc{
        OPT_EVICT_PATRON = "Convince {agent} to eject a patron...",
        TT_EVICT_PATRON = "{agent} is willing to eject a patron on your behalf.",
        TT_EVICT_AGENT = "{1#agent} is {2:of little importance|of some importance|of high importance|of very high repute|known by all}:",
        REQ_PATRONS = "There are no patrons here",
        OPT_EVICT_AGENT = "Evict {1#agent}",
        DIALOG_EJECT= [[
            agent:
                $neutralDirect
                Alright. They're good as gone.
                !exit
            player:
                !exit
            * {agent} walks over to {target}.
            target:
                !right
            agent:
                !left
                $neutralDirect
                Time to go, buddy.
            target:
                $miscEmbarrassed
                What? What did I do?
            agent:
                $miscPersuasive
                We've had, uh... complaints.
            target:
                !angry
                $angryHostile
                This is outrageous!
            target:
                !exit
            agent:
                !exit
            * {target} is led to the door, their pathetic protestations peeling the paint as they pass by.
            player:
                !left
            agent:
                !right
                $happyThanks
                The trash has been taken out!
        ]],
        DIALOG_PICK = [[
            agent:
                $neutralDubious
                Is someone acting up?
        ]],
        REQ_COOLDOWN = [[You already did that here]],
        REQ_MUST_LIKE_YOU = [[{agent} will only do that for {agent.hisher} friends]],
    }
    :RequireFlags( CONVERSATION_FLAGS.ROOT )
    :Hub(function(cxt)
        local agent = cxt:GetAgent()
        if agent and agent:GetBrain():IsOnDuty() and agent:GetRoleAtLocation() == CHARACTER_ROLES.GUARD and cxt.location:GetNumCurrentPatrons() > 0 then

            cxt:Opt("OPT_EVICT_PATRON")
                :IsHubOption( true )
                :ReqCondition( agent:GetBrain():IsOnDuty() , "REQ_DUTY" )
                :ReqCondition(cxt.location:GetNumCurrentPatrons() > 0, "REQ_PATRONS")
                :ReqCondition( agent:GetRelationship() > RELATIONSHIP.NEUTRAL, "REQ_MUST_LIKE_YOU")
                :ReqCondition(not cxt:GetAgent():HasMemory("DID_EJECTION", 1), "REQ_COOLDOWN")
                :PostText( "TT_EVICT_PATRON" )
                :PreIcon( global_images.order )
                :LoopingFn(function() 
                    if cxt:FirstLoop() then
                        cxt:Dialog("DIALOG_PICK")
                    end
                    
                    for _,agent in cxt.location:Agents() do
                        if agent ~= cxt:GetAgent() and not agent:IsInPlayerParty() and agent:IsSentient() and agent:GetRoleAtLocation() == CHARACTER_ROLES.PATRON then
                            local modifiers = {}
                            if AgentUtil.IsNegotiationTarget(agent) or AgentUtil.IsCombatTarget(agent) then
                                table.insert(modifiers, { text = LOC"MODIFIER_VIP", value = 30 })
                            end

                            local cost = agent:GetRenown()

                            cxt:Opt("OPT_EVICT_AGENT", agent)
                                :SetPortrait(agent)
                                :Fn(function() cxt:GetAgent():Remember("DID_EJECTION") end)
                                :PostText( "TT_EVICT_AGENT", agent, agent:GetRenown() )
                                :RequireResolve( cost )
                                :Fn( function( cxt )
                                    cxt:ReassignCastMember("target", agent)
                                    cxt:Dialog("DIALOG_EJECT")
                                    -- ccc: feels lame the target "knew" you were the reason.
                                    -- agent:OpinionEvent(OPINION.GOT_KICKED_OUT)
                                    agent:GetBrain():MoveToHome()
                                end )
                                :DeltaResolve(-cost)
                        end
                    end
                    
                    StateGraphUtil.AddBackButton(cxt)
                end)
        end
    end)
