Convo("IMPROVE_RELATIONSHIP_CHAT")
    :Priority(CONVO_PRIORITY_HIGH)
    :Loc{
        OPT_BUY_DRINK_FOR = "Share a drink with {agent}",
        REQ_TOO_SOON = "You already bought {agent} a drink",
        DIALOG_DRINKS = [[
            * You order drinks for you both.
            * {agent} greedily accepts.
            player:
                !cheers
            agent:
                !cheers
                %had_a_drink
        ]],

        OPT_IMPROVE_RELATIONSHIP = "Gift {2#money} to your friend (grants {1#graft})",
        OPT_IMPROVE_RELATIONSHIP_NOGRAFT = "Gift {2#money} to your friend",
    }
    :Hub(function(cxt)
        if cxt:GetAgent() then
            local rel = cxt:GetAgent():GetRelationship()
            if cxt.location and cxt.location:HasTag("tavern") and cxt:GetAgent() and cxt:GetAgent():GetBrain():IsPatronizing() and not AgentUtil.HasPlotArmour(cxt:GetAgent()) then
                
                if rel == RELATIONSHIP.NEUTRAL or rel == RELATIONSHIP.DISLIKED then
                    cxt:Opt("OPT_BUY_DRINK_FOR")
                        :Dialog("DIALOG_DRINKS")
                        :ReceiveOpinion( OPINION.BOUGHT_DRINK )
                        :Fn(function() TheGame:GetGameProfile():SetDrankWith( cxt:GetAgent():GetUniqueID() ) end)
                        :DoDrink( BAR_DRINK_COST * 2, math.max( 5, DRINK_RESTORE_RESOLVE_AMOUNT - 5 ), cxt:GetAgent() )
                end
            end

            -- CalculatePayment without an agent, so we only pull Prestige modifier, not relationship.
            local LOVED_GIFT_COST, modifiers = CalculatePayment( nil, 50 * math.max(2, math.max(cxt:GetAgent():GetRenown(), cxt:GetAgent():GetCombatStrength() )))
            local loved_gift_data = {
                cost = LOVED_GIFT_COST,
                agent = cxt:GetAgent()
            }

            TheGame:GetEvents():BroadcastEvent( "calc_love_gift", loved_gift_data ) 
            if rel == RELATIONSHIP.LIKED and not AgentUtil.HasPlotArmour(cxt:GetAgent()) then
                local boon = cxt:GetAgent():GetSocialGraft(RELATIONSHIP.LOVED)
                cxt:Opt( boon == nil and "OPT_IMPROVE_RELATIONSHIP_NOGRAFT" or "OPT_IMPROVE_RELATIONSHIP",  boon, loved_gift_data.cost)
                    :PreIcon( global_images.giving )
                    :PostText( table.concat( modifiers, "\n" ))
                    :DeliverMoney(loved_gift_data.cost, {no_scale = true})
                    :Quip( cxt.player, "gifted" )
                    :Quip( cxt:GetAgent(), "gift_received" )
                    :ReceiveOpinion( OPINION.DEEPENED_RELATIONSHIP )
            end
        end
    end)
