
Convo("MANIPULATE_CHAT")

    :Loc{


        OPT_PAYOFF = "Pay {agent} to look the other way...",
        OPT_PAYOFF_TT = "{agent} will stay out of any negotiation or battle.",

        DIALOG_PAYOFF = [[
            player:
                Might be a bit of trouble coming. You're not going to interfere, are you?
            agent:
                !take
                You do what you want. I won't try to stop you.
        ]],

        OPT_BRIBE = "Pay {agent} to help you",
        OPT_BRIBE_TT = "{agent} will help you out in any negotiation or battle.",

        DIALOG_BRIBE = [[
            player:
                Might be a bit of trouble coming. You looking to make some cash?
            agent:
                !take
                If you're paying, I'm helping.
        ]],
    }

    :Hub(function(cxt, who)
        local agent = cxt:GetAgent()
        
        if not agent or AgentUtil.IsNegotiationTarget( agent ) or AgentUtil.IsCombatTarget( agent ) or agent:IsQuestProvider() then
            return
        end

        local can_bribe_combat, can_bribe_negotiation, can_payoff_combat, can_payoff_negotiation
            = AgentUtil.GetLocationSupport( agent )

        local diff = TheGame:GetGameState():GetCurrentBaseDifficulty() 
        local payoff_amt = 30 + (diff-1)*10
        local bribe_amt = math.floor( 1.5* payoff_amt )
        local bribe_params = {
            payoff_amt = payoff_amt,
            bribe_amt = bribe_amt,
            disable = false,
            disable_reason = nil,
            hidden = false,
        }
        TheGame:GetEvents():BroadcastRegisteredEvent( "manipulate_chat", bribe_params, cxt )
        if bribe_params.hidden then
            return
        end

        -- Paying off: prevent them from hindering you.
        if can_payoff_combat or can_payoff_negotiation then
            if not agent:HasAspect("paidoff") and not agent:HasAspect( "bribed" ) then
                cxt:Opt("OPT_PAYOFF")
                    :PostText("OPT_PAYOFF_TT")
                    :IsHubOption(true)
                    :PostText(LOC"ASPECT.PAIDOFF.DESC")
                    :ReqRelationship( RELATIONSHIP.DISLIKED )
                    :ReqCondition( not bribe_params.disable, bribe_params.disable_reason )
                    :Dialog("DIALOG_PAYOFF")
                    :DeliverMoney( bribe_params.payoff_amt )
                    :Fn(function() 
                        agent:AddAspectStacks("paidoff", 1)
                    end)
            end

        -- Bribing: get them to help you.
        elseif can_bribe_combat or can_bribe_negotiation then
            if not agent:HasAspect("paidoff") and not agent:HasAspect( "bribed" ) then
                cxt:Opt("OPT_BRIBE")
                    :PostText("OPT_BRIBE_TT")
                    :PreIcon( global_images.hire )
                    :ReqRelationship( RELATIONSHIP.DISLIKED )
                    :ReqCondition( not bribe_params.disable, bribe_params.disable_reason )
                    :Dialog("DIALOG_BRIBE")
                    :DeliverMoney( bribe_params.bribe_amt )
                    :Fn(function() 
                        agent:AddAspectStacks("bribed", 2)
                    end)
            end
        end
    end)

