
return {
    neutral =
    {
        mood = MOOD.NEUTRAL,
        default_hold_time = 0,
    },
    angry =
    {
        mood = MOOD.ANGRY,
        default_hold_time = 0,
    },
    happy =
    {
        mood = MOOD.HAPPY,
        default_hold_time = 0,
    },
    scared =
    {
        mood = MOOD.SCARED,
        default_hold_time = 0,
    },
    shrug = 
    {
        sound = "event:/sfx/general/conversation/foley/some_armor/shrug",
        
        pre = "neutral_shrug_pre",
        pst = "neutral_shrug_pst",
        hold = "neutral_shrug",
        --hold_mood = MOOD.HAPPY,
        mood = MOOD.NEUTRAL,
        --noeyes = true,
        default_hold_time = 1,

    },
    angry_shrug = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/angry_shrug",
        pre = "angry_shrug_pre",
        pst = "angry_shrug_pst",
        hold = "angry_shrug",
        --hold_mood = MOOD.HAPPY,
        mood = MOOD.ANGRY,
        --noeyes = true,
        default_hold_time = .3,

    },
    angry_accuse = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/angry_accuse",
        pre = "angry_accuse_pre",
        pst = "angry_accuse_pst",
        hold = "angry_accuse",
        --hold_mood = MOOD.HAPPY,
        mood = MOOD.ANGRY,
        --noeyes = true,
        default_hold_time = .3,

    },
    angry_permit = 
    {
        --pre = "angry_accuse_pre",
        --pst = "angry_accuse_pst",
        sound = "event:/sfx/general/conversation/foley/some_armor/angry_permit",
        pre = "angry_permit",
        --hold_mood = MOOD.HAPPY,
        mood = MOOD.ANGRY,
        --noeyes = true,
        default_hold_time = 1.7,

    },
    scared_shrug = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/scared_shrug",
        pre = "scared_shrug_pre",
        pst = "scared_shrug_pst",
        hold = "scared_shrug",
        --hold_mood = MOOD.HAPPY,
        mood = MOOD.SCARED,
        --noeyes = true,
        default_hold_time = 1,

    },
    coin_toss =
    {
        sound = "event:/ui/main/gen/coinflip_emote",
        pre = "happy_coin_pre",
        pst = "happy_coin_pst",
        hold = "happy_coin_idle",
        mood = MOOD.HAPPY,
        default_hold_time = 0,
    },
    gun_idle =
    {
        sound = "event:/sfx/general/conversation/foley/unique/rook_pistolscreen",
        pre = "gun_taunt",
        hold = "idle_gun",
        default_hold_time = 99999999,
    },
    threaten = 
    {
    	-- sound = "event:/sfx/general/conversation/foley/some_armor/threaten",
        foley = {
          angry_threaten_pre = "event:/sfx/general/conversation/foley/some_armor/threaten_pre",
          angry_threaten_pst = "event:/sfx/general/conversation/foley/some_armor/threaten_post",
        },
        pre = "angry_threaten_pre",
        pst = "angry_threaten_pst",
        hold = "angry_threaten",
        mood = MOOD.ANGRY,
        default_hold_time = 2.5,
    },
    bark = 
    {
        sound = "event:/sfx/general/conversation/foley/some_armor/threaten",
        --pre = "angry_threaten_pre",
        --pst = "angry_threaten_pst",
        hold = "bark",
        mood = MOOD.NEUTRAL,
        default_hold_time = 1.4,
    },
    greeting = 
    {
        -- sound = "event:/sfx/general/conversation/foley/some_armor/greeting",
        foley = {
          happy_greeting_pre = "event:/sfx/general/conversation/foley/some_armor/greeting_pre",
          happy_greeting_pst = "event:/sfx/general/conversation/foley/some_armor/greeting_post",
        },
        pre = "happy_greeting_pre",
        pst = "happy_greeting_pst",
        hold = "happy_greeting",
        mood = MOOD.HAPPY,
        noeyes = true,
        default_hold_time = .2,
    },
    burp = 
    {
        sound = "event:/sfx/general/conversation/foley/some_armor/burp",
        pre = "drunk_burp",
        mood = MOOD.DRUNK,
        noeyes = true,
        default_hold_time = 1.5,
    },

    crossed = 
    {
        -- sound = "event:/sfx/general/conversation/foley/some_armor/crossed",
        foley = {
          neutral_crossed_pre = "event:/sfx/general/conversation/foley/some_armor/crossed_pre",
          neutral_crossed_pst = "event:/sfx/general/conversation/foley/some_armor/crossed_post",
        },
        pre = "neutral_crossed_pre",
        pst = "neutral_crossed_pst",
        hold = "neutral_crossed",
        mood = MOOD.NEUTRAL,
        --noeyes = true,
        default_hold_time = 2.7,
    },


    happy_call_pet = 
    {
        --sound = "event:/sfx/general/conversation/foley/some_armor/crossed",
        pre = "happy_call_pet",
        --pst = "neutral_crossed_pst",
        --hold = "neutral_crossed",
        mood = MOOD.HAPPY,
        --noeyes = true,
        --default_hold_time = 10,
    },
    happy_pet = 
    {
        --sound = "event:/sfx/general/conversation/foley/some_armor/crossed",
        --pre = "happy_pet",
        --pst = "neutral_crossed_pst",
        hold = "pet",
        -- mood = MOOD.HAPPY,
        --noeyes = true,
        --default_hold_time = 10,
    },


    outfit_change = 
    {
        --sound = "event:/sfx/general/conversation/foley/some_armor/crossed",
        pre = "outfit_change",
        --pst = "neutral_crossed_pst",
        --hold = "neutral_crossed",
        mood = MOOD.HAPPY,
        --noeyes = true,
        --default_hold_time = 10,
    },
    outfit_change2 = 
    {
        --sound = "event:/sfx/general/conversation/foley/some_armor/crossed",
        pre = "outfit_change2",
        --pst = "neutral_crossed_pst",
        --hold = "neutral_crossed",
        mood = MOOD.HAPPY,
        --noeyes = true,
        --default_hold_time = 10,
    },

    chuckle = 
    {

        --sound = "event:/sfx/general/conversation/foley/some_armor/chuckle",
        foley = {
          happy_chuckle_pre = "event:/sfx/general/conversation/foley/some_armor/chuckle_pre",
          happy_chuckle_pst = "event:/sfx/general/conversation/foley/some_armor/chuckle_post",
        },
        pre = "happy_chuckle_pre",
        pst = "happy_chuckle_pst",
        hold = "happy_chuckle",
        
        mood = MOOD.HAPPY,
        noeyes = true,
        default_hold_time = 2.6,
    },
    cruel = 
    {
        
        sound = "event:/sfx/general/conversation/foley/some_armor/cruel",
        pre = "neutral_cruel_pre",
        pst = "neutral_cruel_pst",
        hold = "neutral_cruel",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        --hold_mood = MOOD.HAPPY,
        face_mood = MOOD.HAPPY,
        default_hold_time = 1,
    },
    clap = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/clap",
        pre = "happy_clap",
        mood = MOOD.HAPPY,
        noeyes = true,
        --hold_mood = MOOD.HAPPY,
        face_mood = MOOD.HAPPY,
        default_hold_time = 2.3,
    },
    dubious = 
    {
        -- sound = "event:/sfx/general/conversation/foley/some_armor/dubious",
        foley = {
          neutral_dubious_pre = "event:/sfx/general/conversation/foley/some_armor/dubious_pre",
          neutral_dubious_pst = "event:/sfx/general/conversation/foley/some_armor/dubious_post",
        },
        pre = "neutral_dubious_pre",
        pst = "neutral_dubious_pst",
        hold = "neutral_dubious",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = 2.2,
    },
    give = 
    {

        sound = "event:/sfx/general/conversation/foley/some_armor/give",
        pre = "neutral_give_pre",
        pst = "neutral_give_pst",
        hold = "neutral_give",
        mood = MOOD.NEUTRAL,
        --noeyes = true,
        default_hold_time = .3,
    },
    take = 
    {
        
        sound = "event:/sfx/general/conversation/foley/some_armor/take",
        pre = "neutral_take_pre",
        pst = "neutral_take_pst",
        hold = "neutral_take",
        mood = MOOD.NEUTRAL,
        hold_mood = MOOD.HAPPY,
        face_mood = MOOD.HAPPY,
        --noeyes = true,
        default_hold_time = .3,
    },
    hips = 
    {
        
        sound = "event:/sfx/general/conversation/foley/some_armor/hips",
        pre = "neutral_hips_pre",
        pst = "neutral_hips_pst",
        hold = "neutral_hips",
        mood = MOOD.NEUTRAL,
        --noeyes = true,
        default_hold_time = 90,
    },
    eureka = 
    {
        
        -- sound = "event:/sfx/general/conversation/foley/some_armor/eureka",
        foley = {
          neutral_eureka_pre = "event:/sfx/general/conversation/foley/some_armor/eureka_pre",
          neutral_eureka_pst = "event:/sfx/general/conversation/foley/some_armor/eureka_post",
        },
        pre = "neutral_eureka_pre",
        pst = "neutral_eureka_pst",
        hold = "neutral_eureka",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = .2,
    },

    flinch = 
    {
    	-- sound = "event:/sfx/general/conversation/foley/some_armor/flinch",
        foley = {
          scared_flinch_pre = "event:/sfx/general/conversation/foley/some_armor/flinch_pre",
          scared_flinch_pst = "event:/sfx/general/conversation/foley/some_armor/flinch_post",
        },
        pre = "scared_flinch_pre",
        pst = "scared_flinch_pst",
        hold = "scared_flinch",
        mood = MOOD.SCARED,
        noeyes = true,
        default_hold_time = 2.1,
    },
    
    laugh = 
    {
    	-- sound = "event:/sfx/general/conversation/foley/some_armor/laugh",
        foley = {
          happy_laugh_pre = "event:/sfx/general/conversation/foley/some_armor/laugh_pre",
          happy_laugh_pst = "event:/sfx/general/conversation/foley/some_armor/laugh_post",
        },
        pre = "happy_laugh_pre",
        pst = "happy_laugh_pst",
        hold = "happy_laugh",
        mood = MOOD.HAPPY,
        noeyes = true,
        default_hold_time = 1,
    },
    fight = 
    {
    	-- sound = "event:/sfx/general/conversation/foley/some_armor/fight",
        foley = {
          angry_fight_pre = "event:/sfx/general/conversation/foley/some_armor/fight_pre",
          angry_fight_pst = "event:/sfx/general/conversation/foley/some_armor/fight_post",
        },
        pre = "angry_fight_pre",
        pst = "angry_fight_pst",
        hold = "angry_fight",
        mood = MOOD.ANGRY,
        noeyes = true,
        default_hold_time = 2,
    },
    thought = 
    {
    	--sound = "event:/sfx/general/conversation/foley/some_armor/thought",
        foley = {
          neutral_thought_pre = "event:/sfx/general/conversation/foley/some_armor/thought_pre",
          neutral_thought_pst = "event:/sfx/general/conversation/foley/some_armor/thought_post",
        },
        pre = "neutral_thought_pre",
        pst = "neutral_thought_pst",
        hold = "neutral_thought",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = 3,
    },
    thumb = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/thumb",
        pre = "neutral_thumb_pre",
        pst = "neutral_thumb_pst",
        hold = "neutral_thumb",
        mood = MOOD.NEUTRAL,
        --noeyes = true,
        default_hold_time = 1,
    },
    handwring = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/handwring",
        --pre = "neutral_interest_pre",
        --pst = "neutral_interest_pst",
        pre = "neutral_handring",
        mood = MOOD.NEUTRAL,
        face_mood = MOOD.HAPPY,
        --noeyes = true,
        default_hold_time = 2,
    },
    handwave = 
    {
       
        sound = "event:/sfx/general/conversation/foley/some_armor/handwave",
        pre = "neutral_handwave",
        mood = MOOD.NEUTRAL,
        
        noeyes = true,
        default_hold_time = 1.5,
    },
    interest = 
    {
    	-- sound = "event:/sfx/general/conversation/foley/some_armor/interest",
        foley = {
          neutral_interest_pre = "event:/sfx/general/conversation/foley/some_armor/interest_pre",
          neutral_interest_pst = "event:/sfx/general/conversation/foley/some_armor/interest_post",
        },
        pre = "neutral_interest_pre",
        pst = "neutral_interest_pst",
        hold = "neutral_interest",
        mood = MOOD.NEUTRAL,
        --noeyes = true,
        default_hold_time = 2.4,
    },
    injured = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/injured",
        mood = MOOD.INJURED,
        default_hold_time = 0,
    },
    injured_shrug = 
    {
        sound = "event:/sfx/general/conversation/foley/some_armor/injured_shrug",
        pre = "injured_shrug",
        mood = MOOD.INJURED,
        noeyes = true,
        
        default_hold_time = 1.5,
    },
    injured_palm = 
    {
        sound = "event:/sfx/general/conversation/foley/some_armor/injured_palm",
        pre = "injured_palm",
        mood = MOOD.INJURED,
        noeyes = true,
        
        default_hold_time = 1.9,
    },
    drunk = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/drunk",
        mood = MOOD.DRUNK,
        face_mood = MOOD.HAPPY,
        default_hold_time = 0,
        noeyes = true,
    },
    drunk_hiccup = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/drunk_hiccup",
        pre = "drunk_hiccup",
        face_mood = MOOD.HAPPY,
        default_hold_time = 0.6,
    },
    
    agree = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/agree",
        pre = "neutral_agree_pre",
        pst = "neutral_agree_pst",
        hold = "neutral_agree",
        mood = MOOD.NEUTRAL,
        --noeyes = true,
        default_hold_time = .1,
    },
    point = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/point",
        pre = "neutral_point_pre",
        pst = "neutral_point_pst",
        hold = "neutral_point",
        mood = MOOD.NEUTRAL,
        --noeyes = true,
        default_hold_time = 1.5,
    },
    permit = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/permit",
        pre = "neutral_permit_pre",
        pst = "neutral_permit_pst",
        hold = "neutral_permit",
        mood = MOOD.NEUTRAL,
        --noeyes = true,
        default_hold_time = 1,
    },
    disappoint = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/dissapoint",
        pre = "neutral_disappoint_pre",
        pst = "neutral_disappoint_pst",
        hold = "neutral_disappoint",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = .6,
    },
    overthere = 
    {
        
        sound = "event:/sfx/general/conversation/foley/some_armor/overthere",
        pre = "neutral_overthere",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = 2.0,
    },
    palm = 
    {
        
        -- sound = "event:/sfx/general/conversation/foley/some_armor/palm",
        foley = {
          neutral_palm_pre = "event:/sfx/general/conversation/foley/some_armor/palm_pre",
          neutral_palm_pst = "event:/sfx/general/conversation/foley/some_armor/palm_post",
        },
        pre = "neutral_palm_pre",
        pst = "neutral_palm_pst",
        hold= "neutral_palm",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = .2,
    },
    sigh = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/sigh",
        pre = "neutral_sigh_pre",
        --pst = "neutral_sigh_pst",
        --hold = "neutral_sigh",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = 1.0,
    },
    spit = 
    {
        
        sound = "event:/sfx/general/conversation/foley/some_armor/spit",
        pre = "neutral_spit",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = 1,
    },
    bashful = 
    {
        
        sound = "event:/sfx/general/conversation/foley/some_armor/bashful",
        pre = "neutral_bashful",
        mood = MOOD.NEUTRAL,
        hold_mood = MOOD.HAPPY,
        noeyes = true,
        default_hold_time = 2,
    },
    salute = 
    {
        
        -- sound = "event:/sfx/general/conversation/foley/some_armor/salute",
        foley = {
          neutral_salute_pre = "event:/sfx/general/conversation/foley/some_armor/salute_pre",
          neutral_salute_pst = "event:/sfx/general/conversation/foley/some_armor/salute_post",
        },
        pre = "neutral_salute_pre",
        pst = "neutral_salute_pst",
        hold = "neutral_salute",
        mood = MOOD.NEUTRAL,
        --noeyes = true,
        default_hold_time = 3,
    },
    surprised = 
    {
        
        sound = "event:/sfx/general/conversation/foley/some_armor/surprised",
        pre = "neutral_surprised",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = 1.8,
    },
    throatcut = 
    {
        
        -- sound = "event:/sfx/general/conversation/foley/some_armor/throatcut",
        foley = {
          angry_throatcut_pre = "event:/sfx/general/conversation/foley/some_armor/throatcut_pre",
          angry_throatcut_pst = "event:/sfx/general/conversation/foley/some_armor/throatcut_post",
        },
        pre = "angry_throatcut_pre",
        pst = "angry_throatcut_pst",
        hold = "angry_throatcut",
        mood = MOOD.ANGRY,
        noeyes = true,
        default_hold_time = .2,
    },
    wink = 
    {
        
        sound = "event:/sfx/general/conversation/foley/some_armor/wink",
        pre = "neutral_wink",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = .6,
    },
    placate = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/placate",
        pre = "neutral_placate",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = 1.5,
    },
    tired = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/tired",
        pre = "neutral_tired",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = 2,
    },
    wince = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/wince",
        pre = "neutral_wince",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = 1.7,
    },
    wince2 = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/wince2",
        pre = "neutral_wince2",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = 1.7,
    },
    wince_critical = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/wince_critical",
        pre = "neutral_wince_critical",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = 1.7,
    },
    neutral_notepad = 
    {
        --sound = "event:/sfx/general/conversation/foley/some_armor/angry_accuse",
        pre = "neutral_notepad",
        mood = MOOD.NEUTRAL,
        default_hold_time = .6,
    },
    cagey = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/cagey",
        pre = "neutral_cagey",
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = 2.2,
    },
    drink = 
    {
        sound = "event:/sfx/general/conversation/foley/some_armor/drink",
        pre = "neutral_drink_drunk",
        builds = {"anim/grog_beer_glass2.zip"},
        mood = MOOD.NEUTRAL,
        end_mood = MOOD.DRUNK,
        noeyes = true,
        default_hold_time = 2.2,
    },
    drink_not_drunk = 
    {
        sound = "event:/sfx/general/conversation/foley/some_armor/drink",
        pre = "neutral_drink",
        builds = {"anim/grog_beer_glass3.zip"},
        mood = MOOD.NEUTRAL,
        noeyes = true,
        default_hold_time = 2.2,
    },
    cheers = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/cheers",
        pre = "neutral_cheers",
        mood = MOOD.DRUNK,
        builds = {"anim/grog_beer_glass4.zip"},
        --end_mood = MOOD.DRUNK,
        noeyes = true,
        default_hold_time = 2.2,
    },
    forgetful = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/forgetful",
        pre = "neutral_forgetful",
        mood = MOOD.NEUTRAL,
        --builds = {"anim/grog_beer_glass2.zip"},
        --end_mood = MOOD.DRUNK,
        noeyes = true,
        default_hold_time = 2,
    },
    graft = 
    {
    	sound = "event:/sfx/general/conversation/foley/some_armor/graft",
        pre = "neutral_graft",
        mood = MOOD.NEUTRAL,
        fx = { animfile = "anim/graft_install_fx.zip", anim = "neutral_graft", bloom = 0.2 },
        --builds = {"anim/grog_beer_glass2.zip"},
        --end_mood = MOOD.DRUNK,
        noeyes = true,
        default_hold_time = 2,
    },
    hesh_greeting =
    {
        pre = "neutral_hesh_greeting",
        mood = MOOD.NEUTRAL,
        default_hold_time = 2,
        noeyes = true,
    },

    disgust =
    {
        pre = "neutral_disgust",
        mood = MOOD.NEUTRAL,
        noeyes = true,
    },

    humouring =
    {
        pre = "neutral_humouring",
        mood = MOOD.NEUTRAL,
        noeyes = true,
    },
    impressed =
    {
        pre = "neutral_impressed",
        mood = MOOD.NEUTRAL,
        noeyes = true,
    },

    nudge_nudge =
    {
        pre = "neutral_nudge_nudge",
        mood = MOOD.NEUTRAL,
        noeyes = true,
    },
    suspicious =
    {
        pre = "neutral_suspicious",
        mood = MOOD.NEUTRAL,
        noeyes = true,
    },
    reach_weapon =
    {
        pre = "neutral_reach_weapon",
        mood = MOOD.NEUTRAL,
        noeyes = true,
    },
    dust_off =
    {
        pre = "neutral_dust_off",
        mood = MOOD.NEUTRAL,
        noeyes = true,
    },
    neutral_burp =
    {
        pre = "neutral_burp",
        mood = MOOD.NEUTRAL,
        --noeyes = true,
    },
    flourish =
    {
        pre = "flourish",
        mood = MOOD.NEUTRAL,
        --noeyes = true,
    },
    vix_transform = 
    {
        sound = "event:/sfx/general/conversation/foley/unique/vixtransform",
        pre = "transform",
        --builds = {"anim/grog_beer_glass3.zip"},
        mood = MOOD.NEUTRAL,
        --noeyes = true,
        --default_hold_time = 2.2,
    },    
}

--[[
THESE ARE THE $voice deliveries
    
    "angryDefault",
    "angryAside",
    "angryCruel",
    "angryGreeting",
    "angryHostile",
    "angryPatienceLost",
    "angryReluctant",
    "angrySeething",
    "angryTakenAback",
    "angryThanks",
    
    "happyDefault",
    "happyAmazed",
    "happyCocky",
    "happyGreeting",
    "happyJoke",
    "happyResigned",
    "happyTakenAback",
    "happyThanks",
    
    "miscAlluring",
    "miscDepressed",
    "miscEmbarrassed",
    "miscHopeless",
    "miscHushedUrgent",
    "miscMischievous",
    "miscMocking",
    "miscNostalgic",
    "miscPersuasive",
    "miscRelieved",
    
    "neutralDefault",
    "neutralAside",
    "neutralDirect",
    "neutralDubious",
    "neutralGreeting",
    "neutralJoke",
    "neutralResigned",
    "neutralTakenAback",
    "neutralThanks",
    "neutralThoughtful",
    "neutralWhatever",
    
    "scaredDefault",
    "scaredAnguished",
    "scaredFearful",
    "scaredGreeting",
    "scaredPowerless",
    "scaredStammering",
    "scaredTakenAback",
    "scaredThanks",
--]]

