local FACTION_COLOUR = 0xcbfbecFF

local FEUD_CITIZEN =
{
    id = "FEUD_CITIZEN",
    name = "Civilian",
    desc = "",
    icon = engine.asset.Texture( "UI/faction_citizen.tex" ),
    colour = 0xC6D27DFF,
    colour_bg = 0x4F2F40FF,
    
    base_builds = 
    {
        [GENDER.MALE] = "medium_male",
        [GENDER.FEMALE] = "medium_female",
    },
    
    mutual_defence = function(protector, victim) 
        return protector:HasTag("wealthy") == victim:HasTag("wealthy")
    end,
    
    relationships =
    {
        ADMIRALTY = RELATIONSHIP.LIKED,
        CULT_OF_HESH = RELATIONSHIP.LIKED,
        SPARK_BARONS = RELATIONSHIP.LIKED,
        
        BANDITS = RELATIONSHIP.HATED,
        --JAKES = RELATIONSHIP.DISLIKED,
    }
}

local ADMIRALTY =
{
    id = "ADMIRALTY",
    name = "Admiralty",
    desc = "",
    icon = engine.asset.Texture( "UI/faction_newdeltree.tex" ),
    
    mutual_defence = true,
    base_builds = 
    {
        [GENDER.MALE] = "guard_male_offduty",
        [GENDER.FEMALE] = "guard_female_offduty",
    },
    
    power = 0.25,
    colour = 0xF9CD56ff,
    colour_bg = 0x404267FF,
    relationships =
    {
        DELTREAN = RELATIONSHIP.LOVED,

        CULT_OF_HESH = RELATIONSHIP.DISLIKED,
        SPARK_BARONS = RELATIONSHIP.DISLIKED,
        
        JAKES = RELATIONSHIP.LIKED,
        BANDITS = RELATIONSHIP.HATED,
    },

}

local CULT_OF_HESH =
{
    id = "CULT_OF_HESH",
    name = "Cult of Hesh",
    desc = "",
    icon = engine.asset.Texture( "UI/faction_cult_of_hesh.tex" ),
    mutual_defence = true,
    colour = 0x7FFFFEff,
    colour_bg = 0x318DA7FF,


    relationships =
    {
        DELTREAN = RELATIONSHIP.LIKED,

        SPARK_BARONS = RELATIONSHIP.DISLIKED,
        BANDITS = RELATIONSHIP.HATED,
    },
}

local SPARK_BARONS =
{
    id = "SPARK_BARONS",
    name = "Spark Barons",
    desc = "",
    icon = engine.asset.Texture( "UI/faction_tycoon_clust.tex" ),
    mutual_defence = true,
    colour = 0xF19443ff,
    colour_bg = 0x395963ff,
    
    relationships =
    {
        RISE = RELATIONSHIP.HATED,
        BANDITS = RELATIONSHIP.HATED,
    },
}

local RISE =
{
    id = "RISE",
    name = "Rise",
    desc = "",
    unlawful = true,
    mutual_defence = true,
    icon = engine.asset.Texture( "UI/faction_rise.tex" ),
    colour = 0x808848ff,
    colour_bg = 0x47322Cff,

    relationships =
    {
    }
}

local BILEBROKERS =
{
    id = "BILEBROKERS",
    name = "Bilebrokers",
    desc = "",
    unlawful = false,
    icon = engine.asset.Texture( "UI/faction_bilebrokers.tex" ),
    colour = 0xCEBB5Fff,
    colour_bg = 0x435021ff,

    relationships =
    {
        JAKES = RELATIONSHIP.LIKED,
    }

}

local BOGGERS =
{
    id = "BOGGERS",
    name = "Boggers",
    desc = "",
    icon = engine.asset.Texture( "UI/faction_boggers.tex" ),
    unlawful = true,
    mutual_defence = true,
    unlawful = true,

    relationships =
    {
        SPARK_BARONS = RELATIONSHIP.DISLIKED,
        RISE = RELATIONSHIP.DISLIKED,
        FEUD_CITIZEN = RELATIONSHIP.DISLIKED,
    }
    
}

local BANDITS =
{
    id = "BANDITS",
    name = "Spree",
    desc = "",
    unlawful = true,
    mutual_defence = true,
    icon = engine.asset.Texture( "UI/faction_bandits_fleadhusk.tex" ),
    colour = 0xCB6E56ff,
    colour_bg = 0x293236ff,

    relationships =
    {
        JAKES = RELATIONSHIP.NEUTRAL,
        BILEBROKERS = RELATIONSHIP.DISLIKED,
    }

}

local JAKES =
{
    id = "JAKES",
    name = "Jakes",
    desc = "",
    unlawful = true,
    mutual_defence = true,
    icon = engine.asset.Texture( "UI/faction_smugglers_jakes.tex" ),
    colour = 0xCFA266ff,
    colour_bg = 0x3D4731ff,

}

local RENTORIAN =
{
    id = "RENTORIAN",
    name = "Rentorians",
    desc = "",
    icon = engine.asset.Texture( "UI/faction_rentorian.tex" ),
    colour = 0xCEBB5Fff,
    colour_bg = 0x001720ff,
}

local DELTREAN =
{
    id = "DELTREAN",
    name = "Deltreans",
    desc = "",
    icon = engine.asset.Texture( "UI/faction_deltrean.tex" ),
    colour = 0xCEBB5Fff,
    colour_bg = 0x001720ff,
}

local GRIFTER =
{
    id = "GRIFTER",
    name = "Grifter",
    desc = "",
    icon = engine.asset.Texture( "UI/faction_grifter.tex" ),
    colour = 0x93A7B1ff,
    colour_bg = 0x1B1A22ff,

}

local PLAYER =
{
    id = "DEFAULT_PLAYER",
    player = true,
    silent = true,
    icon = engine.asset.Texture( "UI/faction_player.tex" ),
    colour = 0x09E1DCff,
    colour_bg = 0x09E1DCff,

}

local MONSTER =
{
    id = "MONSTER",
    unlawful = true,
    silent = true,
    hostile = true,
}

local NEUTRAL =
{
    id = "NEUTRAL",
    silent = true,
}

--basic

Content.AddFaction( FEUD_CITIZEN )
Content.AddFaction( PLAYER )
Content.AddFaction( GRIFTER )
Content.AddFaction( MONSTER )
Content.AddFaction( NEUTRAL )

-- big three
Content.AddFaction( ADMIRALTY )
Content.AddFaction( CULT_OF_HESH )
Content.AddFaction( SPARK_BARONS )

--international
Content.AddFaction( BILEBROKERS )
Content.AddFaction( BOGGERS )
Content.AddFaction( RENTORIAN )
Content.AddFaction( DELTREAN )

-- minor powers

Content.AddFaction( JAKES )
Content.AddFaction( BANDITS )
Content.AddFaction( RISE )

