local house_name = function(location) 
    local occupant = location:GetPrimaryRoomOccupant()
    if occupant then
        return loc.format(LOC"GENERAL.ROOM_FMT", occupant:GetName())
    else
        return LOC"GENERAL.TERRIBLE_HOUSE"
    end
end
-------------------------------------------------------------
-- These are locations that can be assigned as people's homes!


Content.AddLocationContent{

    id = "FEUD_DOMICILE",

    name = "",
    name_fn = house_name,

    plax = "INT_PoorTennement",
    icon = engine.asset.Texture("UI/location_feuddomicile.tex"),

    show_agents = true,
    
    desc =  "A small personal dwelling in the bad part of town.",
    --entry_scenario = "SLUMS_DOOR_ENCOUNTER",
    exterior_loc = "BUILDING_EXTERIOR",
    on_violence = function(location, victim) 
        if TheGame:GetGameState():GetPlayerBackgroundID() == "SAL" then
            QuestUtil.SpawnQuest("VIOLENCE_FOLLOWUP", {parameters = { response_team = "ADMIRALTY_PATROL", location = location, victim = victim } })
        end
    end,
    map_tags = {"slum"},
    flags = LOCFLAGS.HOME,
    indoors = true,
}

--TODO: make this one higher security
Content.AddLocationContent{
    id = "FEUD_DOMICILE_NICE",
    name = "",
	name_fn = house_name,

    plax = "INT_RichHouse_1",
    icon = engine.asset.Texture("UI/location_feuddomicilenice.tex"),

    show_agents = true,
    
    desc =  "A relatively nice home, providing a degree of comfort and security for its owner.",
    --entry_scenario = "SLUMS_DOOR_ENCOUNTER",
    exterior_loc = "BUILDING_EXTERIOR",
    on_violence = function(location, victim) 
        if TheGame:GetGameState():GetPlayerBackgroundID() == "SAL" then
            QuestUtil.SpawnQuest("VIOLENCE_FOLLOWUP", {parameters = { response_team = "ADMIRALTY_PATROL", location = location, victim = victim } })
        end
    end,

    map_tags = {"residence"},
    flags = LOCFLAGS.HOME,
    indoors = true,
}

Content.AddLocationContent{
    desc =  "A simple tent.",
    id = "SPREE_TENT",
    name = "{1#agent}'s Campsite",
	name_fn = function(location, fmt_str) return loc.format(fmt_str, location:GetPrimaryRoomOccupant() )end,
    icon = engine.asset.Texture("UI/location_camp.tex"),

    show_agents = true,

    plax = "EXT_SpreeCampsite_1",

    entry_scenario = "BANDIT_TENT_ENCOUNTER",
    on_violence = function(location, victim) 
        QuestUtil.SpawnQuest("VIOLENCE_FOLLOWUP", {parameters = { response_team = "BANDIT_PATROL", location = location, victim = victim } })
    end,

    map_tags = {"tents"},
    flags = LOCFLAGS.HOME,
    indoors = false,
}

Content.AddLocationContent{
	id = "BASIC_DORM",
    name = "{1#agent}'s Dorm",
	name_fn = function(location, fmt_str) return loc.format(fmt_str, location:GetPrimaryRoomOccupant() )end,
    plax = "INT_Admiralty_Dorm",
    icon = engine.asset.Texture("UI/location_basicdorm.tex"),

    show_agents = true,

    desc = "A standard-issue admiralty dorm.",
    entry_scenario = "ADMIRALTY_DORM_ENCOUNTER",
    on_violence = function(location, victim) 
        QuestUtil.SpawnQuest("VIOLENCE_FOLLOWUP", {parameters = { response_team = "ADMIRALTY_PATROL", location = location, victim = victim } })
    end,
    map_tags = {"barracks"},

    flags = LOCFLAGS.HOME,
    indoors = true,
}


Content.AddLocationContent{

    id = "SPARK_BARON_RESIDENCE",

    name = "{1#agent}'s Cube",
    name_fn = function(location, fmt_str) return loc.format(fmt_str, location:GetPrimaryRoomOccupant() )end,
    plax = "INT_SB_StaffRes",--"INT_SB_Res_1",
    show_agents = true,
    desc =  "Spark Baron Dormitories.",
    entry_scenario = "BARON_DORM_ENCOUNTER",
    on_violence = function(location, victim) 
        QuestUtil.SpawnQuest("VIOLENCE_FOLLOWUP", {parameters = { response_team = "SPARK_BARON_PATROL", location = location, victim = victim } })
    end,
    map_tags = {"barracks"},
    flags = LOCFLAGS.HOME,
    indoors = true,
}

Content.AddLocationContent{

    id = "FANCY_BOG_RES",

    name = "{1#agent}'s Private Residence",
    name_fn = function(location, fmt_str) return loc.format(fmt_str, location:GetPrimaryRoomOccupant() )end,
    plax = "INT_SB_Res_1",
    show_agents = true,
    desc =  "As nice a place to live as one can find in the Bog.",
    on_violence = function(location, victim) 
        QuestUtil.SpawnQuest("VIOLENCE_FOLLOWUP", {parameters = { response_team = "SPARK_BARON_PATROL", location = location, victim = victim } })
    end,

    map_tags = {"barracks"},
    flags = LOCFLAGS.HOME,
    indoors = true,
}


Content.AddLocationContent{
    id = "BOG_CAMPSITE",
    name = "{1#agent}'s Campsite",
    name_fn = function(location, fmt_str) return loc.format(fmt_str, location:GetPrimaryRoomOccupant() )end,
    plax = "EXT_RISE_CAMPSITE",
    show_agents = true,
    desc =  "A patch of bog to call one's own.",
    map_tags = {"bog"},
    flags = LOCFLAGS.HOME,
    indoors = false,
}

