local fun = require "util/fun"


local QDEF = QuestDef.Define
{
    title = "Very Convincing",
    icon = engine.asset.Texture("icons/quests/sal_story_act1_huntingkashio.tex"),
    desc = [[Convince {target} to do something.]],
    act_filter = "SAL_BRAWL",
    cooldown = EVENT_COOLDOWN.NONE, 
    focus = QUEST_FOCUS.NEGOTIATION,
    qtype = QTYPE.SIDE,
}

:AddCast{
    cast_id = "target",
    cast_fn = function(quest, t)
        local def_id = fun(Content.GetAllCharacterDefs())
                            :filter(function(v) return not v.is_template and v.renown and v.species == nil and not v.boss and not v.unique and math.abs(v.renown - quest:GetRank()) <= 1 and QuestUtil.FilterPromoted(v) end)
                            :keys()
                            :randomPick()
        if def_id then
            table.insert( t, quest:CreateSkinnedAgent( def_id ) )
        end
    end,
}


:AddObjective{
    id = "start",
    title = "Convince {target}",
}


QDEF:AddConvo("start")
    :ConfrontState("CONF")
        :Loc{
            DIALOG_INTRO = [[
                target:
                    !right
                * You find {target}.
                player:
                    !left
                target:
                    What do <i>you</> want?
            ]],

            OPT_ATTACK = "Convince!",
            DIALOG_ATTACK = [[
                player:
                    !fight
                target:
                    !right
            ]],

            DIALOG_SUCCESS = [[
                target:
                    You make a good point.
            ]],

            DIALOG_FAILURE = [[
                agent:
                    You're not the boss of me!
            ]],

        }
        :Fn(function(cxt) 
            
            cxt.encounter:DoLocationTransition(TheGame:GetGameState():GetMainQuest():DefFn("GetRandomLocation"))
            cxt:TalkTo('target')

            cxt:Dialog("DIALOG_INTRO")

            cxt:Opt("OPT_ATTACK")
                :Dialog("DIALOG_ATTACK")
                :Negotiation{}
                    :OnSuccess()
                        :Fn(function() 
                                ConvoUtil.GiveQuestRewards(cxt)
                                cxt.quest:Complete()
                        end)
                    :OnFailure()
                        :Fn(function() 
                                cxt.quest:Fail()
                        end)
        end)