local fun = require "util/fun"


local QDEF = QuestDef.Define
{
    title = "Kill Some Monsters",
    icon = engine.asset.Texture("icons/quests/sal_story_act1_huntingkashio.tex"),
    act_filter = "SAL_BRAWL",
    desc = [[Wipe out a nest of monsters.]],
    cooldown = EVENT_COOLDOWN.NONE, 
    focus = QUEST_FOCUS.COMBAT,
    qtype = QTYPE.SIDE,
}

    
:AddObjective{
    id = "start",
    title = "Attack the monsters",
}


QDEF:AddConvo("start")
    :ConfrontState("CONF")
        :Loc{
            DIALOG_INTRO = [[
                player:
                    !left
                agent:
                    !right
                * You find the monsters.
            ]],

            OPT_ATTACK = "Attack!",
            DIALOG_ATTACK = [[
                player:
                    !fight
                agent:
                    !right
            ]],

            DIALOG_WON = [[
                * You've won the battle.
            ]],

        }
        :Fn(function(cxt) 
            


            cxt.encounter:DoLocationTransition(TheGame:GetGameState():GetMainQuest():DefFn("GetRandomLocation"))
            local monsters = CreateCombatParty("MONSTERS", cxt.quest:GetRank(), cxt.location)
            cxt:TalkTo(monsters[1])
            cxt:Dialog("DIALOG_INTRO")

            cxt:Opt("OPT_ATTACK")
                :Dialog("DIALOG_ATTACK")
                :Battle{
                    no_oppo_limit = true,
                    flags = BATTLE_FLAGS.SELF_DEFENCE
                }

                    :OnWin()
                        :Fn(function() 
                            cxt:Dialog("DIALOG_WON")
                            ConvoUtil.GiveQuestRewards(cxt)
                            cxt.quest:Complete()
                        end)
        end)