local QDEF = QuestDef.Define{
        title = "Boss Previewer",
        qtype = QTYPE.EXPERIMENT,
        icon = engine.asset.Texture("icons/quests/sal_story_act1_huntingkashio.tex"),
        rank = 1,
        act_filter = "SMITH",
        dev_only = true,
        hidden = true,
    }
    :AddLocationDefs{
        AUCTION_HOUSE =
        {
            name = "Auction House",
            desc = "The room where the auction is taking place.",
            show_agents = true,
            indoors = true,
            no_exit = true,
            plax = "EXT_NadanFight",
        }
    }
    :AddObjective{
        id = "test",
        title = "Test the preview for each boss.",
        state = QSTATUS.ACTIVE,
    }

QDEF:AddConvo("test")
    :ConfrontState("INTRO")
        :Fn(function(cxt)
            cxt.encounter:DoLocationTransition(  cxt.quest:SpawnTempLocation("AUCTION_HOUSE") )
            cxt:GoTo("STATE_INTRO") 
        end)

    :State("STATE_INTRO")
        :Loc{
            DIALOG_INTRO = [[
                * This experiment is simply for testing the battle previews for all the bosses.
            ]],
            OPT_BOSS = "Fight {1}",
            OPT_NEXT = "Next",
            OPT_PREVIOUS = "Previous",
        }
        :SetLooping()
        :Fn(function(cxt) 
            if cxt:FirstLoop() then
                cxt:Dialog("DIALOG_INTRO")
                cxt.quest.param.boss_defs = {}
                for k,v in pairs(Content.GetAllCharacterDefs()) do
                    if v.boss and v.battle_preview_anim then
                        table.insert(cxt.quest.param.boss_defs, k)
                    end
                end
                cxt.quest.param.start_index = 0
            end

            for i,def_id in ipairs(cxt.quest.param.boss_defs) do
                if i > cxt.quest.param.start_index and i <= 4 + cxt.quest.param.start_index then
                    local enemy = {cxt.quest:CreateSkinnedAgent(def_id)}
                    cxt:Opt("OPT_BOSS", enemy[1])
                        :Battle{
                            flags = BATTLE_FLAGS.ISOLATED | BATTLE_FLAGS.NO_FLEE | BATTLE_FLAGS.SELF_DEFENCE | BATTLE_FLAGS.BOSS_FIGHT,
                            enemies = enemy,
                            IS_EXPERIMENT = true,
                            on_experiment_done = function( cxt, battle )
                            end,
                        }
                end
            end

            if cxt.quest.param.start_index > 0 then
                cxt:Opt("OPT_PREVIOUS")
                    :Fn(function(cxt)
                        cxt.quest.param.start_index = cxt.quest.param.start_index - 4
                    end)
            end
            if cxt.quest.param.start_index + 4 < #cxt.quest.param.boss_defs then
                cxt:Opt("OPT_NEXT")
                    :Fn(function(cxt)
                        cxt.quest.param.start_index = cxt.quest.param.start_index + 4
                    end)
            end

        end)