local QDEF = QuestDef.Define{
        title = "Smith Boss Fight",
        qtype = QTYPE.EXPERIMENT,
        icon = engine.asset.Texture("icons/quests/sal_story_act1_huntingkashio.tex"),
        rank = 1,
        act_filter = "SMITH",
        dev_only = true,
        disabled = true,
    }
    :AddLocationDefs{

        AUCTION_HOUSE =
        {
            name = "Auction House",
            desc = "The room where the auction is taking place.",
            show_agents = true,
            indoors = true,
            no_exit = true,
            plax = "EXT_NadanFight",
        }
        
    }
    :AddCastByAlias{
        cast_id = "weezil",
        alias = "WEEZIL",
    }
    :AddObjective{
        id = "test",
        title = "Fight the boss, and provide feedback!",
        state = QSTATUS.ACTIVE,
    }

QDEF:AddConvo("test")
    :ConfrontState("INTRO")
        :Fn(function(cxt)
            cxt.quest:SetRank(1)
            TheGame:GetGameState():SetDifficulty(1)
            cxt.quest.param.seed = 0
            cxt.encounter:DoLocationTransition(  cxt.quest:SpawnTempLocation("AUCTION_HOUSE") )
            cxt:GoTo("STATE_INTRO") 
        end)

    :State("STATE_INTRO")
        :Loc{
            DIALOG_INTRO = [[* This is a dev only fight experiment meant for testing only.]],
        }
        :SetLooping()
        :Fn(function(cxt) 
            if cxt:FirstLoop() then
                cxt.enc:GetScreen():ClearHistory()
                cxt.enc:SetPrimaryCast(cxt.quest:GetCastAgent("weezil"))
                cxt:Dialog("DIALOG_INTRO")
                cxt:GoTo("STATE_DO_FIGHT")
            end
        end)

        :State("STATE_DO_FIGHT")
            :Loc{
                DIALOG_INTRO = [[
                    player:
                        !left
                        !fight
                    agent:
                        !right
                        !fight
                ]],
                OPT_FIGHT = "Fight!",
                DIALOG_DONE_FIGHT = [[
                    left:
                        !happy
                    right:
                        !greeting
                    * Thanks for testing! Now would be a great time to submit some feedback about that fight! (Your seed was: {1})
                ]],
                OPT_RETRY = "Retry this exact fight",
                OPT_AGAIN = "Start over",
                DIALOG_AGAIN = [[
                    player:
                        !exit
                    agent:
                        !exit
                ]],
                OPT_FEEDBACK = "Tell us how that went!"
            }
            :Fn(function(cxt) 
                cxt:Dialog("DIALOG_INTRO")
                local ally = cxt.quest:CreateSkinnedAgent( "JAKES_SMUGGLER" )
                cxt:Opt("OPT_FIGHT")
                    :Battle{
                        flags = BATTLE_FLAGS.ISOLATED | BATTLE_FLAGS.NO_FLEE | BATTLE_FLAGS.SELF_DEFENCE | BATTLE_FLAGS.BOSS_FIGHT,
                        allies = {ally},
                        IS_EXPERIMENT = true,
                        on_experiment_done = function( cxt, battle )
                            local boss = cxt:GetAgent()
                            if boss then
                                boss:MoveToLimbo()
                            end
                        end,
                    }
                    
                    
                    :Fn(function() 
                        cxt:Dialog("DIALOG_DONE_FIGHT", cxt.quest.param.seed)

                        cxt:RunLoopingFn(function() 
                            cxt:Opt("OPT_AGAIN")
                                :Fn(function(cxt)
                                    cxt.quest:UnassignCastMember("weezil")
                                    cxt.quest:AssignCastMember("weezil")
                                end)
                                :Dialog("DIALOG_AGAIN")
                                :GoTo("STATE_INTRO")
                        end)
                    end)
            end)