local QDEF = QuestDef.Define{
    title = "Beach Party",
    icon = engine.asset.Texture("icons/quests/oppo_beach_goo.tex"),
    qtype = QTYPE.OPPORTUNITY,
}

:AddQuestLocation{
    cast_id = "location",
    name = "Beach",
    plax = "EXT_SMITH_BEACHCREATURE",
    map_tags = {"beach"},
}


:AddObjective{
    id = "investigate",
    state = QSTATUS.ACTIVE,
    hide_in_overlay = true,
    title = "Crash the party",
    desc = "There's a party at the beach. You love parties. You should go.",
    mark = {"location"},
    terminal = true
}

--[[
:AddOpinionEvents{
    offered_coilgun =  
    {
        delta = OPINION_DELTAS.NEUTRAL,
        txt = "Was offered a gift.",
    },
}-]]

QDEF:AddConvo()
    :ConfrontState("CONFRONT", function(cxt) return cxt.location == cxt.quest:GetCastMember("location") end)
        :Loc{
            DIALOG_INTRO = [[
                * You find a small group of disheveled people sitting around some rocks.
                player:
                    !left
                    !happy
                    This looks like a fun party!
                agent:
                    !right
                    !happy
                    Hey, man.
                    Are you here to lick the goo?
                player:
                    !dubious
                    Excuse me?
                agent:
                    The goo!
                    Ever since the Beaching, it's been washing up on those rocks.
                player:
                    !thought
                    And you <i>lick</> it?
                agent:
                    !clap
                    Yes!
                    But you have to pick a color, first!
                player:
                    Well, that's interesting.
            ]],

            OPT_ASK_ABOUT_GOO = "Ask where the goo comes from",
            DIALOG_ASK_ABOUT_GOO = [[
                player:
                    So this goo... what is it?
                agent:
                    It's a gift from the sea!
                player:
                    And it's coming offa that big dead jellyfish?
                agent:
                    Yes!
                    
                    The jellyfish that comes from the sea!
            ]],

            OPT_ASK_TAUPE = "Ask about taupe",
            DIALOG_ASK_TAUPE = [[
                player:
                    Have you tried the taupe?
                agent:
                    That one's a real trip. It makes you forget your violent impulses.
                player:
                    Do you have a lot of violent impulses?
                agent:
                    Not anymore!
            ]],
            OPT_ASK_CHARTREUSE = "Ask about chartreuse",
            DIALOG_ASK_CHARTREUSE = [[
                player:
                    What does the chartreuse do?
                agent:
                    That's the color of words.
                player:
                    Which words?
                agent:
                    !interest
                    <i>Powerful words.</>
                player:
                    I see.
                agent:
                    !happy
            ]],
            OPT_ASK_MAUVE = "Ask about mauve",
            DIALOG_ASK_MAUVE = [[
                player:
                    Ok, what happens with mauve?
                agent:
                    !cagey
                    Oh. I wouldn't do that if I were you.
                player:
                    Why not?
                agent:
                    Just take my word for it.
                    Don't pick mauve.
            ]],

            OPT_MULTIPLE_COLOURS = "Ask about multiple colors",
            DIALOG_MULTIPLE_COLOURS = [[
                player:
                    What happens if you lick all of the colors?
                agent:
                    !neutral
                    You can't do that!
                player:
                    Why not?
                agent:
                    !interest
                    Because that would be <i>greedy</>.
            ]],

            OPT_ASK_QUESTIONS = "Ask questions first...",
            DIALOG_ASK_QUESTIONS = [[
                {first?
                    player:
                        I'm not saying <i>no</> to licking strange ocean goo off of a rock, but I have questions first.
                    agent:
                        Asking questions is the first step to getting answers!
                }
                
                {not first?
                    player:
                        I'm not quite sold yet...
                }
            ]],


            DIALOG_LEAVE = [[
                player:
                    You know what? 
                    !placate
                    I'm good.
                agent:
                    That's too bad, man. You don't know what you're missing out on.
                    !shrug
                    More goo for us, then.
                    !exit
                * {agent} stumbles back to the circle, and sits back down.
            ]],

            DIALOG_LEAVE_AFTER = [[
                player:
                    That was alright!
                agent:
                    !right
                    !happy
                    Tell your friends!
                player:
                    !exit
            ]],

            OPT_LICK_CHARTREUSE = "Lick the chartreuse goo",
            DIALOG_LICK_CHARTREUSE = [[
                player:
                    Oooh, chartreuse!
                    That's my favorite color!
                agent:
                    !overthere
                    Enjoy!
                    !exit
                * You find an undisturbed patch of chartreuse ichor and have a taste.
                * It's not half bad!
            ]],

            OPT_LICK_TAUPE = "Lick the taupe goo",
            DIALOG_LICK_TAUPE = [[
                player:
                    !thought
                    I'm feeling rather taupe today.
                agent:
                    !permit
                    An excellent choice!
                    !exit
                * You find an undisturbed patch of taupe ichor and have a taste.
                * It's... an acquired taste.
            ]],

            OPT_LICK_MAUVE = "Lick the mauve goo",
            DIALOG_LICK_MAUVE = [[
                player:
                    !thought
                    ...
                    !point
                    Make mine mauve!
                agent:
                    !surprised
                    No!
                    That's the most dangerous color!
                    You really shouldn't!
            ]],
            OPT_YES = "Insist upon mauve",
            
            DIALOG_YES = [[
                player:
                    !hips
                    I have a hankerin' for mauve, Heshdammit!
                agent:
                    !point
                    Don't say I didn't warn you!
                    !exit
                * You find an undisturbed patch of mauve ichor and have a taste.
                * Everything goes dark.
            ]],
            OPT_NO = "Reconsider your choice of color",
            DIALOG_NO = [[
                player:
                    Lemme think that one through again.
                agent:
                    !sigh
                    Oh good. We still haven't cleaned up the mess from the last time.
            ]],
            DIALOG_LICK_MAUVE_2 = [[
                player:
                    !surprised
                * Your head feels like the weight of the entire ocean is crushing down on it.
                * Through the pain, you hear a scuttling...

            ]],

            DIALOG_WON = [[
                player:
                    !neutral
                * You catch your breath, as reality returns.
            ]],
            DIALOG_WON_2 = [[
                agent:
                    !right
                    !interest
                    You OK?
                player:
                    Actually, yeah...
                    !happy
                    I feel stronger than ever!
                agent:
                    !happy
                    The goo <i>is</> good!
                    !exit
            ]],
            DIALOG_DEFEND = [[
                player:
                    Oh no!
                    !fight
                    Goo monsters!
            ]],

            OPT_DECLINE = "Decline to lick the goo",

            --DIALOG_LICK_MAUVE
            --DIALOG_WON


        }
        :Fn(function(cxt)
            
            local health_gain = 10

            cxt.quest:Complete()
            cxt.quest.param.talker = TheGame:GetGameState():AddSkinnedAgent("FOREMAN")
            cxt:TalkTo(cxt.quest.param.talker)
            cxt:Dialog("DIALOG_INTRO")

            cxt:RunLoopingFn(function() 
            
                cxt:Opt("OPT_ASK_QUESTIONS")
                    :IsHubOption(true)
                    :Dialog("DIALOG_ASK_QUESTIONS")
                    :Fn(function()  
                        cxt:RunLoopingFn(function() 
                            cxt:Question("OPT_ASK_CHARTREUSE", "DIALOG_ASK_CHARTREUSE")
                            cxt:Question("OPT_ASK_TAUPE", "DIALOG_ASK_TAUPE")
                            cxt:Question("OPT_ASK_MAUVE", "DIALOG_ASK_MAUVE")
                            cxt:Question("OPT_MULTIPLE_COLOURS", "DIALOG_MULTIPLE_COLOURS")
                            StateGraphUtil.AddBackButton(cxt)
                        end)
                    end)


                cxt:Opt("OPT_LICK_CHARTREUSE")
                    :Dialog("DIALOG_LICK_CHARTREUSE")
                    :Fn( function( cxt )
                        cxt:Wait()
                        AgentUtil.UpgradeNegotiationCard( function( card )
                            cxt.enc:ResumeEncounter( card )
                        end )
                        cxt.enc:YieldEncounter()
                    end)
                    :Dialog("DIALOG_LEAVE_AFTER")
                    :Travel()


                cxt:Opt("OPT_LICK_TAUPE")
                    :Dialog("DIALOG_LICK_TAUPE")
                    :Fn( function( cxt )
                        cxt:Wait()
                            AgentUtil.RemoveBattleCard( cxt.player, function( card_id )
                                cxt.enc:ResumeEncounter()
                            end)
                        cxt.enc:YieldEncounter()

                    end )
                    :Dialog("DIALOG_LEAVE_AFTER")
                    :Travel()

                cxt:Opt("OPT_LICK_MAUVE")
                    :Dialog("DIALOG_LICK_MAUVE")
                    :Fn(function() 
                        
                        cxt:Opt("OPT_YES")
                            :Dialog("DIALOG_YES")
                            :FadeOut()
                            :Dialog("DIALOG_LICK_MAUVE_2")
                            :Fn(function() 
                                cxt.location:SetPlax("INT_BOG_MINE")
                                cxt:FadeIn()
                                local monsters = CreateCombatParty("MONSTER_MASH", TheGame:GetGameState():GetCurrentBaseDifficulty()+1, cxt.location)
                                cxt:TalkTo(monsters[1])
                                cxt:Opt("OPT_DEFEND")
                                    :Dialog("DIALOG_DEFEND")
                                    :Battle{ 
                                        no_oppo_limit = true,
                                        flags = BATTLE_FLAGS.SELF_DEFENCE,
                                    }
                                        :OnWin()
                                            :FadeOut()
                                            :Fn(function() 
                                                cxt.enc:GetScreen():Fade( 0)
                                                cxt.location:SetPlax() 
                                                cxt:TalkTo(cxt.quest.param.talker)

                                            end)
                                            :Dialog("DIALOG_WON")
                                            :FadeIn()
                                            :Dialog("DIALOG_WON_2")
                                            :Fn(function(cxt)
                                                cxt.player.health:AddStatModifier( "EVENT_BEACH_GOO", health_gain )
                                                TheGame:GetGameState():LogNotification( NOTIFY.HEALTH_UPGRADED, health_gain )
                                            end)
                                            :Travel()                            
                            end)

                        cxt:Opt("OPT_NO")
                            :PreIcon( global_images.back )
                            :Dialog("DIALOG_NO")
                    

                    end)

                cxt:Opt("OPT_DECLINE")
                    :Dialog("DIALOG_LEAVE")
                    :Travel()
                --StateGraphUtil.AddLeaveLocation(cxt)
                    

            end)


        end)