local QDEF = QuestDef.Define
{
    qtype = QTYPE.SCENARIO, 
}

:AddLocationCast
{
    cast_id = "location",
    on_assign = function(quest) 
        TheGame:GetGameState():GetCaravan():MoveToLocation( quest:GetCastMember("location") )
    end,
}


QDEF:AddConvo()
    :Priority( CONVO_PRIORITY_HIGHEST )
    :Confront(function(cxt, agent)
        if cxt.location == cxt.quest:GetCastMember("location") and agent ~= nil and not agent:IsInPlayerParty() and agent:GetFactionID() == "ADMIRALTY" then 
            return "STATE_CONFRONT"
        end
    end)

    :State("STATE_CONFRONT")
        :SetLooping()
        :Loc{
            DIALOG_INTRO = [[
                * You track down {agent}'s quarters within the sprawling military complex.
                * The place is crawling with Admiralty. It would be suicide to start a fight here.
            ]]
        }

        :Fn(function(cxt)
            cxt.quest:Complete()

            local to_move_away = {}
            local guards_in_location = 0
            for _, agent in cxt.location:Agents() do
                if agent ~= cxt:GetAgent() and not agent:IsInPlayerParty() then
                    if agent:GetRoleAtLocation() == CHARACTER_ROLES.GUARD then
                        guards_in_location = guards_in_location + 1
                    else
                        table.insert(to_move_away, agent)
                    end
                end
            end
            table.arrayfunction(to_move_away, function(agent) agent:MoveToLimbo() end)

            local guards = CreateCombatParty("INVARIANT_ADMIRALTY_GUARDS", cxt.quest:GetRank(), cxt.location, true, function(agent) return agent ~= cxt:GetAgent() end)
            for k,v in ipairs(guards) do
                if guards_in_location > 0 then
                    guards_in_location = guards_in_location - 1
                    v:MoveToLimbo()
                else
                    v:SetLocationRole(CHARACTER_ROLES.GUARD)
                end
            end
            
            cxt:Dialog("DIALOG_INTRO")
            StateGraphUtil.AddEndOption(cxt)
            --cxt.enc:RunHub( DefaultHub( cxt.enc, true ))
        end)

