local QDEF = QuestDef.Define
{
    qtype = QTYPE.SCENARIO, 
}

:AddLocationCast
{
    cast_id = "location",
    on_assign = function(quest) 
        TheGame:GetGameState():GetCaravan():MoveToLocation( quest:GetCastMember("location") )
    end,
}


QDEF:AddConvo()
    :Priority( CONVO_PRIORITY_HIGHEST )
    :SetFlag( CONVO_FLAGS.NO_PRESENT)
    :Confront(function(cxt, agent)
        if not cxt.quest:IsDone() then
            if cxt.location == cxt.quest:GetCastMember("location") and agent ~= nil and not agent:IsInPlayerParty() and agent:GetFactionID() == "BANDITS" then 
                return "STATE_CONFRONT"
            end
        end
    end)

    :State("STATE_CONFRONT")
        :Loc{
            DIALOG_INTRO_BUSY = [[
                * {agent}'s camp is small, but {agent.heshe} isn't alone when you arrive. The voices settle as you approach.
            ]],
            DIALOG_INTRO_BUSY_2 = [[
                agent:
                    !right
                    Quiet. Someone's coming. 
                player:
                    !left
            ]],
            DIALOG_INTRO = [[
                * You approach the meager bandit camp. {agent} doesn't look too concerned as you approach.
                agent:
                    !right
                player:
                    !left
            ]],
        }

        :Fn(function(cxt)
            -- DBG(cxt.quest)
            cxt.quest:Complete()
            
            cxt.quest.param.busy = not cxt.location:HasMemory("VISITED", 3) and math.random() > .5
            
            if cxt.quest.param.busy then
                cxt.enc.scratch.response_team = CreateCombatParty("BANDIT_PATROL", cxt.quest:GetRank(), cxt.location, true, function(agent) return agent ~= cxt:GetAgent() end)
            end

            cxt.location:Remember("VISITED")

            if cxt.quest.param.busy then
                cxt:Dialog( "DIALOG_INTRO_BUSY")
                cxt:Dialog( "DIALOG_INTRO_BUSY_2")
            else
                cxt:Dialog("DIALOG_INTRO")
            end
            
            cxt.enc:RunHub( DefaultHub( cxt.enc ))
        end)
