local QDEF = QuestDef.Define
{
    qtype = QTYPE.SCENARIO, 
}

:AddLocationCast
{
    cast_id = "location",
    on_assign = function(quest) 
        TheGame:GetGameState():GetCaravan():MoveToLocation( quest:GetCastMember("location") )
    end,
}


QDEF:AddConvo()
    :Priority( CONVO_PRIORITY_HIGHEST )
    :Confront(function(cxt, agent)
        if cxt.location == cxt.quest:GetCastMember("location") and agent ~= nil and not agent:IsInPlayerParty() and agent:GetFactionID() == "SPARK_BARONS" then 
            return "STATE_CONFRONT"
        end
    end)

    :State("STATE_CONFRONT")
        :SetLooping()
        :Loc{
            DIALOG_INTRO = [[
                * You find {agent}'s home address in the Baron pod battery.
                * You feel electronic eyes tracking your every move. You had best be on good behavior here.
            ]]
        }

        :Fn(function(cxt)
            cxt.quest:Complete()

            local to_move_away = {}
            local guards_in_location = 0
            for _, agent in cxt.location:Agents() do
                if agent ~= cxt:GetAgent() and not agent:IsInPlayerParty() then
                    if agent:GetRoleAtLocation() == CHARACTER_ROLES.GUARD then
                        guards_in_location = guards_in_location + 1
                    else
                        table.insert(to_move_away, agent)
                    end
                end
            end
            table.arrayfunction(to_move_away, function(agent) agent:MoveToLimbo() end)
            if guards_in_location == 0 then
                local guards = CreateCombatParty("INVARIANT_BARON_GUARDS", cxt.quest:GetRank(), cxt.location)
                table.arrayfunction(guards, function(agent) agent:SetLocationRole(CHARACTER_ROLES.GUARD) end)
            end
            
            cxt:Dialog("DIALOG_INTRO")
            StateGraphUtil.AddEndOption(cxt)
            --cxt.enc:RunHub( DefaultHub( cxt.enc, true ))
        end)

