local QDEF = QuestDef.Define
{
    qtype = QTYPE.SCENARIO, 
}

--------------------------------------------------------------------

QDEF:AddConvo()
    :Confront(function(cxt, who)
        return "STATE_ACCOST"
    end)

    :State("STATE_ACCOST")
        :Loc{
            DIALOG_INTRO = [[
                player:
                    !left
                agent:
                    !right
                * {agent} arrives, having heard a commotion.
                agent:
                    !angry
                    What's going on here?
            ]],
            DIALOG_WIN = [[
                agent:  
                    !exit
                * You clear the area, fearing reinforcements.
                player:
                    !exit
            ]],
            DIALOG_WIN_NEGOTIATION = [[
                agent:
                    Ok. Carry on, then.
                    !exit
                * You clear the area before {agent.heshe} changes {agent.hisher} mind.
                player:
                    !exit
            ]],
            DIALOG_LOSE_NEGOTIATION = [[
                agent:
                    Nice try, grifter.
                    !fight
            ]],
            OPT_NEGOTIATE = "Talk your way out of trouble",
            DIALOG_SECOND_BREAK_IN = [[
                player:
                    !left
                agent:
                    !right
                * {agent} finds you again.

                agent:
                    You again?
                    That's it!
                    !fight
            ]],
            OPT_DEFEND_SELF = "Defend yourself",

            OPT_PAY_BRIBE = "Pay a bribe",
            DIALOG_BRIBE = [[
                player:
                    Here's some money that says you didn't see anything.
                    !give
                agent:
                    !take
                    Alright. Carry on.
            ]],

        }
        :SetLooping()
        :Fn(function(cxt) 
                local rank = math.max(1, cxt.quest:GetRank() - 1)

                if cxt:FirstLoop() then
                    cxt.quest:Complete()
                    --local rank = math.floor( TheGame:GetGameState():GetCurrentBaseDifficulty() + .5)   
                    cxt.enc.scratch.response_team = CreateCombatParty(cxt.quest.param.response_team, rank, cxt.location, true, function(agent) return agent:GetLocation() ~= cxt.quest.param.location and agent ~= cxt.quest.param.victim end)
                    cxt.enc.scratch.leader = cxt.enc.scratch.response_team[1]
                    cxt.enc:SetPrimaryCast(cxt.enc.scratch.leader)

                    if cxt.enc.scratch.leader:HasMemory("RESPONDED_TO_BREAK_IN", 1) and cxt.enc.scratch.leader:GetRelationship() <= RELATIONSHIP.NEUTRAL then
                        cxt:Dialog("DIALOG_SECOND_BREAK_IN")
                        cxt:Opt("OPT_DEFEND_SELF")
                            :Battle{
                                flags = BATTLE_FLAGS.SELF_DEFENCE,
                                on_win = function(cxt) 
                                    cxt:Dialog("DIALOG_WIN")
                                    StateGraphUtil.AddLeaveLocation(cxt)
                                end
                        }
                    else
                        cxt:Dialog("DIALOG_INTRO")
                        cxt.enc.scratch.leader:Remember("RESPONDED_TO_BREAK_IN")
                    end
                end


                cxt:Opt("OPT_NEGOTIATE")
                    :Negotiation{
                        on_success = function() 
                            cxt:Dialog("DIALOG_WIN_NEGOTIATION")
                            StateGraphUtil.AddLeaveLocation(cxt)
                        end,
                        on_fail = function() 
                            cxt:Dialog("DIALOG_LOSE_NEGOTIATION")
                            cxt:Opt("OPT_DEFEND_SELF")
                                :Battle{
                                    flags = BATTLE_FLAGS.SELF_DEFENCE,
                                    on_win = function(cxt) 
                                        cxt:Dialog("DIALOG_WIN")
                                        StateGraphUtil.AddLeaveLocation(cxt)
                                    end
                                }   
                        end,
                    }

                cxt:Opt("OPT_PAY_BRIBE")
                    :PreIcon( global_images.giving )
                    :Dialog("DIALOG_BRIBE")
                    :DeliverMoney(math.floor( rank*50) )
                    :Travel()
                    

                cxt:Opt("OPT_FIGHT")
                    :Battle{
                        flags = BATTLE_FLAGS.SELF_DEFENCE,
                        on_win = function(cxt) 
                            cxt:Dialog("DIALOG_WIN")
                            StateGraphUtil.AddLeaveLocation(cxt)
                        end
                    }

            end)

