local QDEF = QuestDef.Define
{
    qtype = QTYPE.SCENARIO, 
}

:AddLocationCast
{
    cast_id = "location",
    on_assign = function(quest) 
        TheGame:GetGameState():GetCaravan():MoveToLocation( quest:GetCastMember("location") )
    end,
}


QDEF:AddConvo()
    :Priority( CONVO_PRIORITY_HIGHEST )
    :Confront(function(cxt)
        if cxt.location == cxt.quest:GetCastMember("location") then 
            return "STATE_CONFRONT"
        end
    end)

    :State("STATE_CONFRONT")
        :SetLooping()
        :Loc{
            DIALOG_INTRO = [[
                * You find {agent}'s hovel amidst the sprawl.
            ]]
        }

        :Fn(function(cxt)
            cxt.quest:Complete()
            cxt.enc:SetPrimaryCast(cxt.location:GetPrimaryRoomOccupant())

            if not cxt.location:HasMemory( "POPULATED_QUARTERS", 1 ) then
                local to_move_away = {}
                for _, agent in cxt.location:Agents() do
                    if agent ~= cxt:GetAgent() and not agent:IsInPlayerParty() then
                        table.insert(to_move_away, agent)
                    end
                end
                table.arrayfunction(to_move_away, function(agent) agent:MoveToLimbo() end)
                
                local agents = {}
                local to_spawn = math.random(2, 3)
                for k = 1, to_spawn do
                    table.insert( agents, AgentUtil.GetFreeAgent(math.random() < .2 and "HEAVY_LABORER" or "LABORER", function(agent) return table.arrayfind(agents, agent) == nil end))
                end

                for k,agent in ipairs(agents) do
                    agent:MoveToLocation(cxt.location)
                    agent:SetLocationRole(CHARACTER_ROLES.VISITOR)
                end

                cxt.location:Remember( "POPULATED_QUARTERS" )
            end
            
            cxt:Dialog("DIALOG_INTRO")
            StateGraphUtil.AddEndOption(cxt)
            --cxt.enc:RunHub( DefaultHub( cxt.enc, true ))
        end)

