local MANIFESTO_COST = 50

local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT,
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
}

:AddOpinionEvents{
    
--[[    refused_manifesto = {
        delta = OPINION_DELTAS.DISLIKE,
        txt = "Refused to buy their manifesto",
    },
--]]    
}


local convo = QDEF:AddConvo()
    :ConfrontState("CONFRONT", function(cxt) return cxt.location:HasTag("in_transit")  end)
        :Loc{
            
            DIALOG_INTRO = [[
                * A Baron Patrol stops you.
                
                player:
                    !left
                agent:
                    !right
                    
                    !point
                    What are <i>you</> doing here in the Bog? 
                    You're probably working with the Rise, I bet.
                    Or maybe you're just a grifter who's up to no good.
                    !hips
                    Either way, if I bring you in my quota's filled for the week.
                *** {agent} is trying to arrest you (with no proof) for working with the Rise.
            ]],

            OPT_CONVINCE_THEM_TO_LEAVE_YOU_ALONE = "Convince them to leave you alone",
            DIALOG_CONVINCE_THEM_TO_LEAVE_YOU_ALONE = [[
                player:
                    Let's not be too hasty, friend.
            ]],
            DIALOG_CONVINCE_THEM_TO_LEAVE_YOU_ALONE_SUCCESS = [[
                agent:
                    Alright, you have a point. 
                    Now how am I going to fill that quota?
                    !sigh
                    Life is so hard.
            ]],
            DIALOG_CONVINCE_THEM_TO_LEAVE_YOU_ALONE_FAIL = [[
                agent:
                    That all sounds like something a member of the Rise would say.
                    I thought I was just making stuff up, but now it looks like I've actually caught one!
            ]],


            OPT_FIGHT = "Resist arrest",
            DIALOG_FIGHT = [[
                player:
                    !fight
                    I have more important things to do than be shaken down by the likes of you.
            ]],

            DIALOG_FIGHT_KILLED = [[
                * {agent} doesn't have to worry about {agent.hisher} quota now, at least.
            ]],

            DIALOG_FIGHT_ALIVE = [[
                agent:
                    !injured
                player:
                    If I <i>were</> with the Rise, I would have killed you. Don't cross me again.
                agent:
                    Y- Yes, sir.
                    !exit
                * {agent} limps away.

            ]],

            OPT_OFFER_A_DONATION = "Offer a 'donation'",
            DIALOG_OFFER_A_DONATION = [[
                player:
                    I have no sympathy for the Rise.
                    In fact, I'd like to donate to the, uh, security fund, to show my support.
                    !give
                agent:
                    !take
                    Ah. Well. Yes, I appear to have been mistaken.
                    As you were, citizen.
                    !exit
                * {agent} leaves, pocketing the 'donation'.
            ]]
        }
        :SetLooping()
        :Fn(function(cxt)
            
            if cxt:FirstLoop() then
                cxt.quest:Complete()
                cxt.enc.scratch.patrol = CreateCombatParty("SPARK_BARON_PATROL", cxt.quest:GetRank(), cxt.location, true, function(agent) return agent:GetRelationship() <= RELATIONSHIP.NEUTRAL end)
                cxt.enc:SetPrimaryCast(cxt.enc.scratch.patrol[1])
                cxt:Dialog("DIALOG_INTRO")
            end

            
            cxt:Opt("OPT_CONVINCE_THEM_TO_LEAVE_YOU_ALONE")
                :Dialog("DIALOG_CONVINCE_THEM_TO_LEAVE_YOU_ALONE")
                :Negotiation{
                    on_success = function() 
                        cxt:Dialog("DIALOG_CONVINCE_THEM_TO_LEAVE_YOU_ALONE_SUCCESS")
                        StateGraphUtil.AddLeaveLocation(cxt)
                    end,

                    on_fail = function() 
                        cxt:Dialog("DIALOG_CONVINCE_THEM_TO_LEAVE_YOU_ALONE_FAIL")
                    end,
                }

            cxt:Opt("OPT_FIGHT")
                :Dialog("DIALOG_FIGHT")
                :Battle{
                    flags = BATTLE_FLAGS.SELF_DEFENCE,
                    on_win = function() 
                        cxt:Dialog(cxt:GetAgent():IsDead() and "DIALOG_FIGHT_KILLED" or "DIALOG_FIGHT_ALIVE")
                        StateGraphUtil.AddLeaveLocation(cxt)
                    end,
                }
            
            cxt:Opt("OPT_OFFER_A_DONATION")
                :DeliverMoney( 25 + cxt.quest:GetRank()*25)
                :Dialog("DIALOG_OFFER_A_DONATION")
                :Travel()

        end)
