local HEALTH_LOSS = 10
local RESOLVE_GAIN = 5

local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT, 
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    cooldown = EVENT_COOLDOWN.SHORT,
    precondition = function( quest )
        return TheGame:GetGameState():GetPlayerAgent():GetAspect("negotiator"):HasCardID("horrible_rash") and TheGame:GetGameState():GetPlayerAgent():GetHealth() > HEALTH_LOSS and #TheGame:GetGameState():GetActiveQuestWithContentID("oppo_bog_shaman") == 0
    end
}

:AddCast{
    cast_id = "healer",
    cast_fn = function(quest, t)
        local def = "PRIEST"
        local agent = quest:CreateSkinnedAgent( def )
        table.insert( t, agent )
    end,
}

QDEF:AddConvo()
    :Confront(function(cxt, who)
        return "STATE_MEET_HEALER"
    end)

    :State("STATE_MEET_HEALER")
        :Loc{
            DIALOG_INTRO = [[
                player:
                    !left
                * Walking down the road you spot a person searching around in the bushes by the side of the road.
                * They look almost frantic in their searching and just as you're about to take another route around they spot you.
                healer:
                    !right
                    !greeting
                    Well hello! Looking for some--
                * They stop midsentence and stare intently at your face.
                    Ahh, looks like you've been messing with plants you shouldn't have..
                player:
                    Excuse me?
                healer:
                    That rash. That's why you should stay away from the flowers. Lucky for you, I know how to treat it. Let it make you stronger even.
                    It'll hurt a bit but you'll come out stronger afterwards.
            ]],
            OPT_LET_THEM_HEAL_YOU = "Let them help you",
            OPT_HEAL_TT = "Upgrade your max resolve by {1}",
            DIALOG_LET_THEM_HEAL_YOU = [[
                player:
                    Alright, but this better work.
                healer:
                    Don't worry, just hold still and we'll have this fixed in no time.
                * {healer} pulls out a small jar with a salve in it. {healer.HeShe} applies it to your rash in a thick layer.
                * The salve slowly begins to sting, building up to a searing pain, but soon it's over and you feel nothing where your rash used to be.
                player:
                    !wince
            ]],
            DIALOG_LET_THEM_HEAL_YOU_2 = [[
                player:
                    Not exactly pleasant. How do I look?
                healer:
                    I did tell you it would sting, but it's over now. Your body can now accept the positive effects of the flower without any rashes or pain.
            ]],
            OPT_DECLINE = "Decline their help",
            DIALOG_DECLINE = [[
                player:
                    Uhh, I think I'm okay. 
                healer:
                    I promise you it wont be that bad, just give me a chance.
            ]],
            OPT_INSIST = "Insist that you don't want the help",
            DIALOG_INSIST = [[
                player:
                    I said no. I'm not interested in your voodoo.
                healer:
                    So be it. I guess you'll never be rid of that rash.
                * They wave you off and go back to foraging in the shrubbery.
            ]],
        }
        :SetLooping()
        :Fn(function(cxt)
            if cxt:FirstLoop() then
                cxt.quest:Complete()
                cxt:Dialog("DIALOG_INTRO")
            end

            cxt:Opt("OPT_LET_THEM_HEAL_YOU")
                :Dialog("DIALOG_LET_THEM_HEAL_YOU")
                :PreIcon( global_images.restoreresolve )
                :PostText( "OPT_HEAL_TT", RESOLVE_GAIN )
                :DeltaHealth(- HEALTH_LOSS)
                :Fn(function( cxt )
                    cxt:Dialog("DIALOG_LET_THEM_HEAL_YOU_2")
                    cxt.caravan:UpgradeResolve( RESOLVE_GAIN )
                    local negotiator = TheGame:GetGameState():GetPlayerAgent():GetAspect("negotiator")
                    local card = negotiator:FindCardByID("horrible_rash")
                    if card then
                        negotiator:RemoveCard(card)
                    end
                    StateGraphUtil.AddLeaveLocation(cxt)
                end)

            if not cxt.enc.scratch.declined then
                cxt:Opt("OPT_DECLINE")
                    :Dialog("DIALOG_DECLINE")
                    :Fn(function(cxt) 
                        cxt.enc.scratch.declined = true
                    end)
            else
                cxt:Opt("OPT_INSIST")
                    :Dialog("DIALOG_INSIST")
                    :Fn(function(cxt) 
                        StateGraphUtil.AddLeaveLocation(cxt)
                    end)
            end
        end)

