local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT,
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    cooldown = EVENT_COOLDOWN.LONG,
    rank = {1, 5},
}

QDEF:AddCastByAlias{
    cast_id = "merchant",
    alias = "BRAVE_MERCHANT",
}

QDEF:AddOpinionEvents{
    helped_spread_bog=  
    {
        delta = OPINION_DELTAS.LIKE,
        txt = "Helped them spread the word of the Bog",
    },
    annoyed_worker=  
    {
        delta = OPINION_DELTAS.DISLIKE,
        txt = "Tried to talk Bog to them",
    },
    made_bogger_leave=  
    {
        delta = OPINION_DELTAS.LIKE,
        txt = "Saved them from a Bog botherer",
    },
    stopped_talk_of_bog=  
    {
        delta = OPINION_DELTAS.DISLIKE,
        txt = "Interfered with them spreading the word of the Bog",
    },
    insulted_bog=  
    {
        delta = OPINION_DELTAS.MAJOR_BAD,
        txt = "Insulted the Bog",
    },
    defended_from_bogger=  
    {
        delta = OPINION_DELTAS.MAJOR_GOOD,
        txt = "Defended them from the boggers",
    },
    abandoned_to_bogger=  
    {
        delta = OPINION_DELTAS.MAJOR_BAD,
        txt = "Abandoned them to an angry bogger",
    }
}

QDEF:AddConvo()
    :Priority(CONVO_PRIORITY_HIGHEST)
    :ConfrontState("FOO", function(cxt) return cxt.location:HasTag("in_transit") end)
        :Loc{
            DIALOG_INTRO = [[
                worker:
                    !right
                bogger:
                    !left
                    Free yourself, laborer! The Bog is not something to be feared, but to be embraced!
                worker:
                    !threaten
                    Aw, shut up, will you?
                player:
                    !left
                worker:
                    {liked ? 
                        Hey {player}, help me out here. This lunatic won't stop trying to convert me. |
                        Hey grifter, why don't you do something useful and send this lunatic packing?
                    }
            ]],
            OPT_ASK_WORKER = "Ask {worker} what the problem is",
            DIALOG_ASK_WORKER = [[
                worker:
                    !right
                player:
                    What's the problem here?
                worker:
                    The problem is I'm just trying to get to work, and this Bog-head won't stop following me around talking up {bogger.hisher} oshnu dung religion.
                bogger:
                    !right
                    It is not a religion. It is the truth!
                worker:
                    !right
                    !sigh
                    See what I mean? I don't even have time for Hesh. I sure as hell ain't going to worship a patch of mud instead.
            ]],

            OPT_ASK_BOGGER = "Ask {bogger} why {bogger.heshe} is bothering {worker}",
            DIALOG_ASK_BOGGER = [[
                bogger:
                    !right
                player:
                    Why are you bothering people?
                bogger:
                    I'm not bothering anyone! I'm saving them!
                player:
                    Saving them from what?
                bogger: 
                    !clap
                    From a life encumbered with the burden of flesh! The Bog offers Consumption! Consumption offers Transformation! Transformation offers-
                player:
                    And this differs from Hesh... how?
                bogger:
                    It's totally different. The Bog is on land.
            ]],


            OPT_LEAVE_PAIR = "Leave the two to sort out their differences",
            DIALOG_LEAVE_PAIR = [[
                player:
                    I'm going to leave you two to work things out.
                worker:
                    !right
                    Thanks for nothing, grifter.
                bogger:
                    !right
                    May your foot sink ever deeper into the Bog.
                player:
                    !exit
            ]],

            OPT_CONVINCE_WORKER_TO_LISTEN = "Convince {worker} to listen to {bogger}",
            DIALOG_CONVINCE_WORKER_TO_LISTEN = [[
                worker:
                    !right
                player:
                    Maybe you should just hear {bogger.himher} out? What do you have to lose?
            ]],

            DIALOG_CONVINCE_WORKER_TO_LISTEN_SUCCESS = [[
                worker:
                    Fine. I'll listen. It's probably more interesting than my job, at least.
                bogger:
                    !left
                    !happy
                    Have I told you about the fifteen sacred fluids yet?
                worker:
                    ...
                * You leave the pair to continue their theological discussion.
            ]],
            DIALOG_CONVINCE_WORKER_TO_LISTEN_FAILURE = [[
                worker:
                    I'm as open-minded as the next person, but this fool's just peddling nonsense.
                    I've wasted enough time already. Good day, sir!
                bogger:
                    !right
                    Would <i>you</> like to hear-
                player:
                    !exit
            ]],

            OPT_CONVINCE_BOGGER_TO_LEAVE = "Scare away {bogger}",
            DIALOG_CONVINCE_BOGGER_TO_LEAVE = [[
                bogger:
                    !right
                player:
                    Now listen here, friend.
                    !threaten
                    I'm pretty sure {worker} here isn't interested in your philosophy. How about you just keep it to yourself?
            ]],
            DIALOG_CONVINCE_BOGGER_TO_LEAVE_SUCCESS = [[
                bogger:
                    !angry
                    The Bog will remember this.
                    !exit
                * {bogger} trods off into the Bog, leaving a trail of quickly-filling, self-righteous footprints.
                worker:
                    !right
                    !happy
                    Thanks for that. It's bad enough I have to work in the damned bog, the last thing I want to do is start eating it, or... whatever it is they do.
            ]],
            DIALOG_CONVINCE_BOGGER_TO_LEAVE_FAILURE = [[
                bogger:
                    !fight
                    You will accept the Bog, or it will accept YOU!
            ]],
            OPT_DEFEND = "Defend yourself",
            DIALOG_DEFEND = [[
                player:
                    !fight
                    Watch out!
            ]],

            OPT_RUN = "Trip {worker} and run",
            DIALOG_ON_RUN = [[
                player:
                    How about...
                    !exit
                worker:
                    !left
                    !angry
                    Hey! What?!
                * You don't stick around to see what happens next.
            ]],
            DIALOG_ON_WIN = [[
                {bogger_dead and worker_dead?
                    * {bogger} and {worker} both lay face-down in the mire, continuing their conversation for all time.
                }

                {bogger_dead and not worker_dead?
                    worker:
                        !right
                        Those Boggers are maniacs! Thank you, grifter.
                }

                {worker_dead and not bogger_dead?
                    bogger:
                        !right
                        !injured
                    * {bogger} considers the coprse of {worker}, already sinking into the mire.
                    bogger:
                        The Bog will feast on {worker.hisher} body, if not {worker.hisher} soul!
                        !exit
                }

                {not worker_dead and not bogger_dead?
                    bogger:
                        !right
                        !injured
                        The Bog will consume you both! There is still time to accept it willingly!
                        !exit
                    * {bogger} scampers off. 
                    worker:
                        !right
                        Thanks for that {player}. I just hope I don't run into {bogger.himher} again.
                }
            ]]
        }
        :Fn(function(cxt)
            cxt.quest:Complete()
            --cxt:TalkTo("merchant")
            local worker = AgentUtil.GetFreeAgent("HEAVY_LABORER")
            worker:MoveToLocation(cxt.location)

            local bogger = AgentUtil.GetFreeAgent(cxt.quest:GetRank() <= 2 and "BOGGER_CULTIVATOR" or "BOGGER_CLOBBER")
            bogger:MoveToLocation(cxt.location)

            cxt:ReassignCastMember('worker', worker)
            cxt:ReassignCastMember('bogger', bogger)
            
            cxt:Dialog("DIALOG_INTRO")  

            cxt:RunLoop(function() 
                cxt:Question("OPT_ASK_WORKER", "DIALOG_ASK_WORKER")
                cxt:Question("OPT_ASK_BOGGER", "DIALOG_ASK_BOGGER")


                cxt:Opt("OPT_CONVINCE_WORKER_TO_LISTEN")
                    :Fn(function() cxt:TalkTo(worker) end)
                    :Dialog("DIALOG_CONVINCE_WORKER_TO_LISTEN")                
                    :Negotiation{ target_agent = worker}
                        :OnSuccess()
                            :Dialog("DIALOG_CONVINCE_WORKER_TO_LISTEN_SUCCESS")
                            :ReceiveOpinion("helped_spread_bog", nil, bogger)
                            :Travel()

                        :OnFailure()
                            :Dialog("DIALOG_CONVINCE_WORKER_TO_LISTEN_FAILURE")
                            :ReceiveOpinion("annoyed_worker", nil, worker)
                            :Travel()

                cxt:Opt("OPT_CONVINCE_BOGGER_TO_LEAVE")
                    :Fn(function() cxt:TalkTo(bogger) end)
                    :Dialog("DIALOG_CONVINCE_BOGGER_TO_LEAVE")
                    :Negotiation{
                        target_agent = bogger,
                        flags = NEGOTIATION_FLAGS.INTIMIDATION
                        }
                        :OnSuccess()
                            :Dialog("DIALOG_CONVINCE_BOGGER_TO_LEAVE_SUCCESS")
                            :ReceiveOpinion("made_bogger_leave", nil, worker)
                            :ReceiveOpinion("stopped_talk_of_bog", nil, bogger)
                            :Travel()

                        :OnFailure()
                            :Dialog("DIALOG_CONVINCE_BOGGER_TO_LEAVE_FAILURE")
                            :ReceiveOpinion("insulted_bog", nil, bogger)
                            :Fn(function() 
                                cxt:Opt("OPT_DEFEND")
                                    :ReceiveOpinion("defended_from_bogger", nil, worker)
                                    :Dialog("DIALOG_DEFEND")
                                    :Battle{
                                        flags = BATTLE_FLAGS.SELF_DEFENCE,
                                        enemies = {bogger},
                                        allies = {worker},
                                    }
                                        :OnWin()
                                            :Fn(function() 
                                                cxt.enc.scratch.bogger_dead = bogger:IsDead()
                                                cxt.enc.scratch.worker_dead = worker:IsDead()
                                            end)
                                            :Dialog("DIALOG_ON_WIN")
                                            :Travel()
                                
                                cxt:Opt("OPT_RUN")
                                    :Dialog("DIALOG_ON_RUN")
                                    :ReceiveOpinion("abandoned_to_bogger", nil, worker)
                                    :Travel()
                            end)


                cxt:Opt("OPT_LEAVE_PAIR")
                    :Dialog("DIALOG_LEAVE_PAIR")
                    :Travel()
            end)
        end)
--QDEF:AddDebugOption("shel_wins_fight", {false, true})

