local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT, 
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    cooldown = EVENT_COOLDOWN.SHORT,
}

-------------------------------------------------------------------
QDEF:AddConvo()
    :ConfrontState("CONF", function(cxt) return cxt.location:HasTag("in_transit") end)
        :Loc{
            DIALOG_INTRO = [[
                * You notice something glinting in the mud.
                player:
                    !left
                * It's a graft! 
                * It looks pretty dirty, but it might still work.
                player:
                    !thought


            ]],

            OPT_TAKE_GRAFT = "Take {1#graft}",
            DIALOG_TAKE_GRAFT = [[
                player:
                    !take
                * You pick up the graft. It is intact, but it looks like it's been out here for a long time.
                * It glistens with the fluids of the bog. 
                player:
                    !handwring
                * Your attempts to wipe it clean only succeed in getting your hands dirty.
            ]],

            OPT_INSTALL_GRAFT = "Shove it in your head",
            DIALOG_INSTALL_GRAFT = [[
                * You install the questionably hygienic graft, and hope for the best.
                player:
                    ...
                    * When the pain subsides, you take stock.
                    * The good news is that the graft still works!
                    * The bad news is that it really was quite dirty after all, and now so are you.
            ]],

            OPT_PUT_BACK = "Drop it before you catch something from it",
            DIALOG_PUT_BACK = [[
                * You drop the graft and wipe your hands carefully on your pants. Some things just aren't worth the risk.
            ]],

            OPT_LEAVE_GRAFT = "Leave it",
            DIALOG_LEAVE_GRAFT = [[
                * You decide that it's not worth the risk, and leave the graft in the mud.
            ]],
        }
        :Fn(function(cxt)
            cxt.quest:Complete()

            cxt.enc.scratch.graft = RewardUtil.GetGrafts(math.min( cxt.quest:GetRank()+1, 5), 1, TheGame:GetGameState():GetPlayerAgent())[1]            
            
            cxt:Dialog("DIALOG_INTRO")
            cxt:Opt("OPT_TAKE_GRAFT", cxt.enc.scratch.graft)
                :Dialog("DIALOG_TAKE_GRAFT")
                :Fn(function()
                    cxt:Opt("OPT_INSTALL_GRAFT")
                        :Fn(function()
                            local installed = ConvoUtil.GiveGraft(cxt, cxt.enc.scratch.graft)
                            if installed then
                                cxt:Dialog("DIALOG_INSTALL_GRAFT")
                                local card_id = table.arraypick{"twig", "stem"}
                                cxt:GainCards{card_id}
                                StateGraphUtil.AddLeaveLocation(cxt) 
                            else
                                cxt:Dialog("DIALOG_LEAVE_GRAFT")
                                StateGraphUtil.AddLeaveLocation(cxt) 
                            end
                        end)
                    cxt:Opt("OPT_PUT_BACK")
                        :Dialog("DIALOG_PUT_BACK")
                        :Travel()
                end)
                
            cxt:Opt("OPT_LEAVE_GRAFT")
                :Dialog("DIALOG_LEAVE_GRAFT")
                :Travel()
        end)




