
local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT, 
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    cooldown = EVENT_COOLDOWN.LONG,
    precondition = function(quest) 
        return true
    end,
}
--------------------------------------------------------------------

:AddCast{
    cast_id = "priest",
    cast_fn = function(quest, t)
        local def = "PRIEST"
        local agent = quest:CreateSkinnedAgent( def )
        table.insert( t, agent )
    end,
}

QDEF:AddConvo()
    :Confront(function(cxt, who)
        return "STATE_START"
    end)

        :State("STATE_START")
        :Loc{
            DIALOG_INTRO = [[
                player:
                    !left
                    !happy
                agent:
                    !right
                    !happy
                * As you're walking down the road, you spot a Heshian Priest approaching you.
                agent:
                    !hesh_greeting
                    Greetings!
                    Have you accepted Hesh into your soul?
                player:
                    !forgetful
                    Uhh, can't say I have, no.
                agent:
                    Well today is your lucky day. Sit with me and I will guide you through a meditation that is sure to connect you to the powers of Hesh.
                    It can help you hone your skills or clear your mind of the burdens of the past.
            ]],
            OPT_ACCEPT = "Meditate with the priest",
            TT_ACCEPT = "Duplicate a chosen battle card",
            DIALOG_ACCEPT = [[
                player:
                    I don't suppose it would do any harm.
                * The priest gestures to a soft patch of moss and you both sit down.
                agent:
                    Close your eyes and listen to my voice, and Hesh will come to you.
                * You close your eyes and listen to the priest for a long while.
            ]],
            DIALOG_ACCEPT2 = [[
                * When you finally open your eyes again you feel different, wiser. Although you feel no closer to Hesh or any other immortal being.
                player:
                    Huh.. That was.. Interesting.
                agent:
                    Do not try to understand, just accept it and remember your connection to Hesh.
                * The priest picks up {agent.hisher} belongings and continues down the road.
            ]],
            OPT_FORGET = "Clear your mind",
            TT_FORGET = "Remove a chosen battle card",
            DIALOG_FORGET = [[
                player:
                    I suppose we can give it a shot.
                * You sit with the priest for a while and meditate, listening to {agent.hisher} prayers.
            ]],
            DIALOG_FORGET2 = [[
                * When you open your eyes, your mind feels a little clearer, as if a burden had been lifted.
                agent:
                    Feel better?
                player:
                    You know, I actually do...
                agent:
                    Safe travels, grifter.
            ]],
            OPT_DECLINE = "Decline the offer",
            DIALOG_DECLINE = [[
                player:
                    Ehh, sorry I prefer not to take a side in these things.
                agent:
                    Ah, a great shame. Perhaps some day you will see the light.
                    Until then, I bid you farewell.
            ]],
            DIALOG_FORGET_DID_NOT_PICK = [[
                agent:
                    Please, Hesh waits for no one.
            ]],
        }
        :SetLooping()
        :Fn(function(cxt)
            if cxt:FirstLoop() then
                cxt.quest:Complete()
                cxt.enc:SetPrimaryCast(cxt.quest:GetCastAgent("priest"))
                cxt:Dialog("DIALOG_INTRO")
            end
            
            cxt:Opt("OPT_ACCEPT")
                :PostText("TT_ACCEPT")
                :Dialog("DIALOG_ACCEPT")
                :Fn(function( cxt )
                    cxt:Wait()
                    AgentUtil.ChooseBattleCard( cxt.player, function( card )
                        cxt.enc:ResumeEncounter( card )
                        cxt.enc.scratch.chosen_card = card
                    end)
                    
                    local card = cxt.enc:YieldEncounter()
                    if card then
                        cxt:Dialog("DIALOG_ACCEPT2")
                        local added_card = cxt:GainCards{cxt.enc.scratch.chosen_card.id}[1]
                        added_card:AddXP(cxt.enc.scratch.chosen_card.userdata.xp)
                        StateGraphUtil.AddLeaveLocation(cxt)
                    end
                end)

            cxt:Opt("OPT_FORGET")
                :PreIcon( global_images.removecombat )
                :PostText( "TT_FORGET" )
                :Dialog("DIALOG_FORGET")
                :Fn( function( cxt )
                    cxt:Wait()
                    AgentUtil.RemoveBattleCard( cxt.player, function( card )
                        cxt.enc:ResumeEncounter( card )
                    end)
                    
                    local card = cxt.enc:YieldEncounter()
                    if card then
                        cxt:Dialog("DIALOG_FORGET2")
                        StateGraphUtil.AddLeaveLocation(cxt)
                    else
                        cxt:Dialog("DIALOG_FORGET_DID_NOT_PICK")
                    end

                end )

            cxt:Opt("OPT_DECLINE")
                :Dialog("DIALOG_DECLINE")
                :Travel()
        end)

