local QDEF = QuestDef.Define
{
    qtype = QTYPE.STORY,
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    cooldown = EVENT_COOLDOWN.LONG,
    priority = QEVENT_PRIORITY.HIGH,
    precondition = function(quest) 
        local main_quest = TheGame:GetGameState() and TheGame:GetGameState():GetMainQuest()
        if main_quest and main_quest.param.start_on_day and main_quest.param.start_on_day > 2 then
            return false
        end
        return true
    end,   
}


local convo = QDEF:AddConvo()
    :ConfrontState("CONFRONT", function(cxt) return cxt.location:HasTag("in_transit")  end)
        :Loc{
            
            DIALOG_INTRO = [[
                * You suddenly feel a white-hot stinger on the back of your neck.
                
                player:
                    !left
                    %angryTakenAback
                    Hesh spit! 
            ]],
            OPT_FEEL_NECK = "Feel your neck",
            DIALOG_FEEL_NECK = [[
                player:
                    !bashful
                * You carefully probe the area with your fingers. Whatever bit you is long gone, leaving only the slightest smear of whatever it left behind.
            ]],
            DIALOG_FEEL_NECK_2 =
            [[
                * A cool wave of euphoria radiates into the base of your skull, clearing your mind of any further thoughts about the incident.
            ]],
            DIALOG_FEEL_NECK_3 = [[
                player:
                    !shrug
                * There's nothing else to do here, so you continue on your way.
            ]]

        }
        :Fn(function(cxt)
            cxt.quest:Complete()
            cxt:Dialog("DIALOG_INTRO")
            cxt:Opt("OPT_FEEL_NECK")
                :Dialog("DIALOG_FEEL_NECK")
                :Fn(function() 
                    cxt:Dialog("DIALOG_FEEL_NECK_2")
                    ConvoUtil.DoResolveDelta(cxt, 5)
                    cxt:GainCards{"twig", "stem"}
                    cxt:Dialog("DIALOG_FEEL_NECK_3")
                    StateGraphUtil.AddLeaveLocation(cxt)
                end)
        end)
