local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT,
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
}


:AddOpinionEvents{
    
    defended_them = {
        delta = OPINION_DELTAS.MAJOR_GOOD,
        txt = "Defended them from the Rise",
    },
    did_not_defend_them = {
        delta = OPINION_DELTAS.MAJOR_BAD,
        txt = "Let the Rise beat them",
    },
    got_their_money_back = {
        delta = OPINION_DELTAS.MAJOR_GOOD,
        txt = "Got their money back from the Jakes",
    },
}



QDEF:AddConvo()
    :ConfrontState("CONFRONT", function(cxt) return cxt.location:HasTag("in_transit") end)
        :Loc{
            DIALOG_INTRO = [[
                * A lone Jake confronts you.
                player:
                    !left
                jake:
                    !right
                    !scared
                    Back me up and I'll pay.
                player:
                    Back you up with what?
                jake:
                    You'll see.
                    !exit
                * The jake exhales, and steps behind you. Before you can question {jake.himher} further, you are joined by the Rise.
                rise:
                    !right
                    !point
                    There {jake.heshe} is!
                    Out of the way, grifter. We have business to discuss with that Jake. 
                *** A jake has asked you to help them out of a tricky situation with the Rise. {jake.HeShe} is offering an un-agreed-upon sum of money for your trouble.
            ]],

            OPT_ASK_RISE_WHATS_UP = "Ask {rise} what they want with {jake}",
            DIALOG_ASK_RISE_WHATS_UP = [[
                rise:
                    !right
                player:
                    What did {jake} do to you?
                rise:
                    If you must know, {jake.heshe} sold us a load of defective weapons.
                    It almost got me killed by Barons!
                    I want my money back, <b>and</> weapons that work.
            ]],

            OPT_ASK_JAKE_WHATS_UP = "Ask {jake} why {rise} is angry",
            DIALOG_ASK_JAKE_WHATS_UP = [[
                jake:
                    !right
                player:
                    What's your part in this?
                jake:
                    This oshnu bought a load of surplus Admiralty weapons, and then charged into battle without testing them first.
                    They were <i>surplus</> weapons, and were priced accordingly. 
                    I'm not surprised they didn't work! I was upfront about the risks!
                    I'm just the middleman, here.
            ]],

            OPT_CONVINCE_JAKE_TO_MAKE_GOOD = "Convince {jake} to pay {rise} back",
            DIALOG_CONVINCE_JAKE_TO_MAKE_GOOD = [[
                jake:
                    !right
                player:
                    That sounds like a bum deal, {jake}.
            ]],
            DIALOG_CONVINCE_JAKE_TO_MAKE_GOOD_SUCCESS = [[
                jake:
                    Alright, alright. I'll pay them back.
                    It's going to ruin me, but I'd rather not die over this.
                    !exit
                rise:
                    !right
                    Thank you, grifter. This money will go a long way.
            ]],
            DIALOG_CONVINCE_JAKE_TO_MAKE_GOOD_FAIL = [[
                jake:
                    !crossed
                    No way. A deal is a deal.
            ]],

            OPT_CONVINCE_RISE_TO_BACK_OFF = "Convince {rise} to back off",
            DIALOG_CONVINCE_RISE_TO_BACK_OFF = [[
                rise:
                    !right
                player:
                    Beating up your supplier sounds like a good way to find yourself without supplies.
            ]],
            
            DIALOG_CONVINCE_RISE_TO_BACK_OFF_SUCCESS = [[
                rise:
                    Maybe we are being a bit hasty.
                jake:
                    !right
                    Let's meet back at the market, and we can discuss a discount on your next shipment.
                rise:
                    !right
                    !point
                    Agreed. But this shipment better work.
                    !exit
                * The Rise melts back into the bog.
                jake:
                    !right
                    Thanks for that. Some people take business transactions too personally.
            ]],
            
            DIALOG_CONVINCE_RISE_TO_BACK_OFF_FAIL = [[
                rise:
                    !right
                    Are you working with the Barons? Why are you trying to undermine us?
            ]],

            OPT_DEFEND_JAKE = "Defend {jake}",
            DIALOG_DEFEND_JAKE = [[
                player:
                    The full might of the Rise against one little Jake? That's hardly a fair fight.
                    !fight
                    Let's make it more interesting.
            ]],
            DIALOG_FOUGHT_RISE_JAKE_ALIVE = [[
                player:
                    !neutral
                jake:
                    !right
                    Wow, thanks for that, grifter. I was a goner for sure if you didn't step up.
            ]],
            DIALOG_FOUGHT_RISE_JAKE_DEAD = [[
                right:
                    !exit
                * {jake} is dead, and so is your chance to get paid for that fight.
            ]],



            OPT_LET_RISE_TAKE_JAKE = "Let {rise} deal with {jake}",
            DIALOG_LET_RISE_TAKE_JAKE = [[
                rise:
                    !right
                player:
                    This isn't my fight.
                    !exit
                jake:
                    !left
                    !scared
                    Oh Hesh.
                rise:
                    Now, about those weapons...

                jake:
                    !exit
                rise:
                    !exit
                * You leave, following the path of least resistance.
            ]]
        }

        :SetLooping()
        :Fn(function(cxt)
            local PAYMENT = 100
            
            if cxt:FirstLoop() then
                cxt.quest:Complete()
                cxt.enc.scratch.jake = TheGame:GetGameState():AddSkinnedAgent( "JAKES_RUNNER" ) --new guy, not relationship
                cxt:ReassignCastMember("jake", cxt.enc.scratch.jake)
                cxt.enc:SetPrimaryCast( cxt.enc.scratch.jake )

                cxt.enc.scratch.patrol = CreateCombatParty("RISE_PATROL", math.max(2, cxt.quest:GetRank()), cxt.location, true, function(agent) return agent:GetRelationship() <= RELATIONSHIP.NEUTRAL end)
                cxt:ReassignCastMember("rise", cxt.enc.scratch.patrol[1])

                cxt:Dialog("DIALOG_INTRO")
            end

            cxt:Question("OPT_ASK_RISE_WHATS_UP", "DIALOG_ASK_RISE_WHATS_UP")
            cxt:Question("OPT_ASK_JAKE_WHATS_UP", "DIALOG_ASK_JAKE_WHATS_UP")

            cxt:Opt("OPT_CONVINCE_JAKE_TO_MAKE_GOOD")
                :Dialog("DIALOG_CONVINCE_JAKE_TO_MAKE_GOOD")
                :Negotiation{
                    helpers = {cxt.enc.scratch.patrol[1]},
                    target_agent = cxt.enc.scratch.jake,
                    on_success = function() 
                        cxt.enc.scratch.patrol[1]:OpinionEvent( cxt.quest:GetQuestDef():GetOpinionEvent("got_their_money_back"))
                        cxt:Dialog("DIALOG_CONVINCE_JAKE_TO_MAKE_GOOD_SUCCESS")
                        StateGraphUtil.AddLeaveLocation(cxt)
                    end,
                    on_fail = function() 
                        cxt:Dialog("DIALOG_CONVINCE_JAKE_TO_MAKE_GOOD_FAIL")
                    end,
                }

            cxt:Opt("OPT_CONVINCE_RISE_TO_BACK_OFF")
                :Dialog("DIALOG_CONVINCE_RISE_TO_BACK_OFF")
                :Negotiation{
                    helpers = {cxt.enc.scratch.jake},
                    target_agent = cxt.enc.scratch.patrol[1],
                    on_success = function() 
                        cxt:Dialog("DIALOG_CONVINCE_RISE_TO_BACK_OFF_SUCCESS")
                        cxt:GoTo("STATE_JAKE_REWARD")
                    end,
                    on_fail = function() 
                        cxt:Dialog("DIALOG_CONVINCE_RISE_TO_BACK_OFF_FAIL")
                    end,
                }

            cxt:Opt("OPT_DEFEND_JAKE")
                :Dialog("DIALOG_DEFEND_JAKE")
                :Battle{
                    flags = BATTLE_FLAGS.SELF_DEFENCE,
                    allies = {cxt.enc.scratch.jake},
                    enemies = cxt.enc.scratch.patrol,
                    on_win = function() 
                        if cxt.enc.scratch.jake:IsDead() then
                            cxt:Dialog("DIALOG_FOUGHT_RISE_JAKE_DEAD")
                            StateGraphUtil.AddLeaveLocation(cxt)
                        else
                            cxt:Dialog("DIALOG_FOUGHT_RISE_JAKE_ALIVE")
                            cxt:GoTo("STATE_JAKE_REWARD")
                        end

                    end
                }

            cxt:Opt("OPT_LET_RISE_TAKE_JAKE")
                :Dialog("DIALOG_LET_RISE_TAKE_JAKE")
                :ReceiveOpinion( cxt.quest:GetQuestDef():GetOpinionEvent("did_not_defend_them"), nil, cxt.enc.scratch.jake )
                :Travel()

        end)

        :State("STATE_JAKE_REWARD")
            :Loc{
                DIALOG_JAKE_REWARD = [[
                    jake:
                        Now, as for payment...
                        I think {1#money} is fair.
                ]],
                OPT_TAKE_PAYMENT = "Take {1#money}",
                DIALOG_TAKE_PAYMENT = [[
                    jake:
                        !give
                    player:
                        !take
                        It's not enough to retire on, but it will do.
                ]],
                OPT_DEMAND_MORE_MONEY = "Demand {1#money}",
                DIALOG_DEMAND_MORE_MONEY = [[
                    player:
                        I saved your life, friend. Don't be so stingy.
                ]],
                DIALOG_DEMAND_MORE_MONEY_SUCCESS = [[
                    jake:
                        Alright, you earned it. Have {1#money}.
                        !give
                    player:
                        !take
                        That's more like it.


                ]],
                DIALOG_DEMAND_MORE_MONEY_FAIL = [[
                    jake:
                        No, I won't be extorted.
                ]],
                DIALOG_LEAVE = [[
                    jake:
                        !exit
                    * {jake} leaves in search of another deal.
                ]]

            }
            :SetLooping()
            :Fn(function(cxt) 
                local reward = 25*cxt.quest:GetRank()
                local more_reward = math.floor( reward*2 )

                if cxt:FirstLoop() then
                    cxt.enc.scratch.jake:OpinionEvent( cxt.quest:GetQuestDef():GetOpinionEvent("defended_them") )
                    cxt:Dialog("DIALOG_JAKE_REWARD", reward)
                end
                
                cxt:Opt("OPT_TAKE_PAYMENT", reward)
                    :Dialog("DIALOG_TAKE_PAYMENT")
                    :ReceiveMoney(reward)
                    :Dialog("DIALOG_LEAVE")
                    :Travel()

                cxt:Opt("OPT_DEMAND_MORE_MONEY", more_reward)
                    :Dialog("DIALOG_DEMAND_MORE_MONEY")
                    :Negotiation{
                        target_agent = cxt.enc.scratch.jake,
                        on_success = function() 
                            cxt:Dialog("DIALOG_DEMAND_MORE_MONEY_SUCCESS", more_reward)
                            cxt.caravan:AddMoney(more_reward)
                            cxt:Dialog("DIALOG_LEAVE")
                            StateGraphUtil.AddLeaveLocation(cxt)                        
                        end,
                        on_fail = function()
                            cxt:Dialog("DIALOG_DEMAND_MORE_MONEY_FAIL")
                        end
                    }
            end)
    