
local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT,
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    disabled = true,
}

:AddCastByAlias{
    cast_id = "smith",
    alias = "NPC_SMITH",
}


QDEF:AddConvo():ConfrontState("CONFRONT", function(cxt) return cxt.location:HasTag("in_transit") end)
    :Loc{
        DIALOG_INTRO = [[
            * A loud commotion draws your attention to the side of the road. 
            * A grifter clambers out of the ditch, brushes {agent.himher}self off, and blocks your path.
            player:
                !left
                !dubious
                ...
            smith:
                !right
                !drunk
                Whoa. Where'd you come from?
            player:
                The path.
            smith:
                There's a <i>path</i>?!
                I spent the whole damn night sleeping in the mud.
            player:
                !humouring
                $happyJoke
                You can't tell.
            smith:
                You seem like a smart guy.
                With your eyes, and that thing on your face.
                Maybe you can help me out, huh?
        ]],

        OPT_SMELL = "Ask about the smell",
        DIALOG_SMELL = [[
            player:
                What in Hesh's terrible name is that smell? 
            smith:
                !dubious
                $neutralWhatever
                I don't smell nothing. 
                Why do all the smells hafta be my fault anyhow?
                !point
                Maybe the problem is you.
            player:
                !crossed
            * You are completely certain the problem is not you.
        ]],

        OPT_AGREE = "Hear {agent} out",
        DIALOG_AGREE = [[
        ]],

        OPT_DISAGREE = "Pretend you didn't notice {agent.himher}",
        DIALOG_DISAGREE = [[
        ]]
    }
    :Fn(function(cxt)
        cxt.quest:Complete()
        
        cxt.quest:GetCastMember("smith"):MoveToLocation(cxt.location)
        cxt:TalkTo(cxt.quest:GetCastMember("smith"))

        cxt:Dialog("DIALOG_INTRO")
        
        cxt:RunLoop(function() 
            cxt:Opt("OPT_SMELL")
                :Dialog("DIALOG_SMELL")
            
            cxt:Opt("OPT_AGREE")
                :Dialog("DIALOG_AGREE")
                :Travel()

            cxt:Opt("OPT_DISAGREE")
                :Dialog("DIALOG_DISAGREE")
                :Travel()
        end)

    end)
    --[[:AskAboutHub("STATE_QUESTIONS", 
    {
    })    
    --]]

