local TITHE_AMT = 25

local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT, 
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    cooldown = EVENT_COOLDOWN.LONG,
    --is_negative = true,

    on_init = function(quest)
    end,
}

:AddCast{
    cast_id = "target",
    condition = function(agent, quest) 
        return agent:GetRelationship() >= RELATIONSHIP.LOVED and agent:GetFactionID() ~= "CULT_OF_HESH"
    end,
}
--------------------------------------------------------------------

QDEF:AddConvo()
    :ConfrontState("CONF", function(cxt) return cxt.location:HasTag("in_transit") end)
        :Loc{
            DIALOG_INTRO = [[
                player:
                    !left
                * One of the cult's zealots approaches, flanked by an honor guard of steel-clad Luminari.
                agent:
                    !right
                    One of your associates has come under suspicion for heresy.
                    I am investigating the matter. You will give me the information that I require.
                player:
                    !happy
                    Very little assistance is given for free in these parts...
                agent:
                    !point
                    I am authorized to compel you to help. You do not want that to happen.
                player:
                    !neutral
                    Very well. What do you need to know?
                agent:
                    Your friend {target} has been spreading lies about the cult.
                    Sign these papers to confirm.
                player:
                    !dubious
                    And then what?
                agent:
                    And then they will be executed, of course. Hesh demands compliance.
            ]],

            OPT_GIVE_UP_FRIEND = "Sign {target}'s death warrant",
            DIALOG_GIVE_UP_FRIEND = [[
                player:
                    !neutral_notepad
                    You give me little choice.
                agent:
                    That's the idea.
                    !hesh_greeting
                    Hesh would thank you for your service, if such matters were not beneath Hesh.
                    !exit
                * The cultists head off in the direction of {target}'s home. 
            ]],

            OPT_PROTECT_FRIEND = "Convince {agent} {target} is innocent",
            DIALOG_PROTECT_FRIEND = [[
                player:
                    I think you have it all wrong. {target} would never do such a thing...
            ]],
            DIALOG_PROTECT_FRIEND_SUCCESS = [[
                agent:
                    Are you done?
                    !sigh
                    ...
                    You're right. I'm just trying to make quota. 
                    !shrug
                    You know how it is.
                    !point
                    No one is to know about this. Understand?
                    !exit
                * The cultists leave, and the wind starts again.
            ]],

            DIALOG_PROTECT_FRIEND_FAILURE_1 = [[
                agent:
                    Are you done?
                player:
                    I guess so?
                agent:
                    Hit him.
                * One of the heavies hits you in the gut. Hard.
            ]],
            DIALOG_PROTECT_FRIEND_FAILURE_2 = [[
                player:
                    !injured
                agent:
                    Now, are you going to sign or not?
            ]],

            OPT_GIVE_ANOTHER_NAME = "Give another name...",
            DIALOG_GIVE_ANOTHER_NAME = [[
                player:
                    {target} is innocent. But I know someone else who isn't!
                agent:
                    I'm listening...
            ]],
            OPT_NAME = "Name {1}",
            DIALOG_NAME = [[
                player:
                    I've heard {1} talking about how the Bog is stronger than Hesh...
            ]],
            DIALOG_GIVE_ANOTHER_NAME_SUCCESS = [[
                agent:
                    I've heard enough. I can make a conviction stick with that.
                    !hesh_greeting
                    Hesh shrugs at you.
                    !exit
                * You feel like you just fed two crayotes with the same bone.
            ]],
            DIALOG_GIVE_ANOTHER_NAME_FAILURE = [[
                agent:
                    Stop.
                    You're not very good at this.
                    Hit him.
                    * One of the cultists slams you in the gut.
            ]],
            DIALOG_GIVE_ANOTHER_NAME_FAILURE_2 = [[
                player:
                    !injured
                agent:
                    Now are you going to sign this, or are we going to have to hit you again?
            ]],
            OPT_NEVER_MIND = "Never mind...",
            DIALOG_NEVER_MIND = [[
                player:
                    Actually, no.
                agent:
                    !crossed
                    Stop wasting my time.
            ]],
            OPT_REFUSE = "Refuse to help {agent}",
            DIALOG_REFUSE = [[
                player:
                    !fight
                    I must respectfully decline your gracious offer.
            ]],
            DIALOG_FOUGHT = [[
                {dead? 
                    * The bog gurgles with satisfaction as {agent}'s body slowly sinks. You wonder which afterlife {agent.heshe} is headed for.
                }
                {not dead?
                    agent:
                        !injured
                    player:
                        I suggest you leave before Hesh notices your incompetence.
                    agent:
                        !exit
                }
            ]],


        }
        :Fn(function(cxt) 
                cxt.quest:Complete()
                local zealot = TheGame:GetGameState():AddSkinnedAgent("ZEALOT")
                zealot:MoveToLocation(cxt.location)
                local BACKUP_TABLE = {1, 1, 2, 2, 3}
                local num_backup = BACKUP_TABLE[math.min(#BACKUP_TABLE, cxt.quest:GetRank())]
                for k = 1, num_backup do
                    local agent = TheGame:GetGameState():AddAgent( Agent("LUMINARI" ))
                    agent:MoveToAgent(zealot)
                    agent:JoinParty(zealot)
                end
                cxt:TalkTo(zealot)
                

                cxt:Dialog("DIALOG_INTRO")
         
                --local friends = cxt.player.social_connections:GetConnections(function(agent, rel) return rel > RELATIONSHIP.NEUTRAL and agent:GetFactionID() == "CULT_OF_HESH" end)

                local enemies = cxt.player.social_connections:GetConnections(function(agent, rel) return not agent:IsDead() and rel <= RELATIONSHIP.NEUTRAL and agent:GetFactionID() ~= "CULT_OF_HESH" and AgentUtil.CanBePicked(agent) end)
                table.sort(enemies, function(a,b) 
                    return a:GetRelationship() < b:GetRelationship()
                end)

            
                cxt:RunLoop(function() 
                    local health, max_health = TheGame:GetGameState():GetPlayerAgent():GetHealth()        
                    
                    cxt:Opt("OPT_GIVE_UP_FRIEND")
                        :Dialog("DIALOG_GIVE_UP_FRIEND")
                        :Fn(function() 
                            TheGame:GetGameState():LogNotification( NOTIFY.FRIEND_KILLED, cxt.quest:GetCastMember("target")) 
                            cxt.quest:GetCastMember("target"):Kill()
                        end)
                        :Travel()

                    cxt:Opt("OPT_PROTECT_FRIEND")
                        :Dialog("DIALOG_PROTECT_FRIEND")
                        :Negotiation{}
                            :OnSuccess()
                                :Dialog("DIALOG_PROTECT_FRIEND_SUCCESS")
                                :Travel()
                            :OnFailure()
                                :Dialog("DIALOG_PROTECT_FRIEND_FAILURE_1")
                                :DeltaHealth(math.max( -5, - (health-1) ))
                                :Dialog("DIALOG_PROTECT_FRIEND_FAILURE_2")

                    cxt:Opt("OPT_GIVE_ANOTHER_NAME")
                        :IsHubOption(true)
                        :Dialog("DIALOG_GIVE_ANOTHER_NAME")
                        :Fn(function() 
                                
                                local max_to_consider = 4
                                for k = 1, math.min(#enemies, max_to_consider) do
                                    local enemy = enemies[k]
                                    
                                    cxt:Opt("OPT_NAME", enemy)
                                        :Dialog("DIALOG_NAME", enemy)
                                        :Negotiation{}
                                            :OnSuccess()
                                                :Dialog("DIALOG_GIVE_ANOTHER_NAME_SUCCESS", enemy)
                                                :Fn(function() 
                                                    TheGame:GetGameState():LogNotification( NOTIFY.ENEMY_KILLED, enemy) 
                                                    enemy:Kill()
                                                end)
                                                :Travel()
                                            :OnFailure()
                                                :Dialog("DIALOG_GIVE_ANOTHER_NAME_FAILURE")
                                                :DeltaHealth(math.max( -5, - (health-1) ))
                                                :Dialog("DIALOG_GIVE_ANOTHER_NAME_FAILURE_2")

                                end
                                cxt:Opt("OPT_NEVER_MIND")
                                    :Dialog("DIALOG_NEVER_MIND")
                        end)

                    cxt:Opt("OPT_REFUSE")
                        :Dialog("DIALOG_REFUSE")
                        :Battle{
                            no_oppo_limit = true,
                            flags = BATTLE_FLAGS.SELF_DEFENCE,
                        }
                            :OnWin()
                                :Dialog("DIALOG_FOUGHT")
                                :Travel()



                end)

            end)

