local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT,
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    precondition = function(quest)
        return not TheGame:GetGameState():GetPlayerAgent():HasMemory("DANGEROUS_GOODS_SELLER")
    end,

    on_init = function(quest)
        quest.param.item_id = table.arraypick{"bile_grenade", "serrated_dirk"}
        quest.param.cost = 20
    end,
}

QDEF:AddCastByAlias{
    cast_id = "stranger",
    alias = "DANGEROUS_STRANGER",
}


QDEF:AddConvo()
    :Priority(CONVO_PRIORITY_HIGHEST)
    :ConfrontState("FOO", function(cxt) return cxt.location:HasTag("in_transit") end)
        :Loc{
            DIALOG_INTRO = [[
                player:
                    !left
                agent:
                    !right
                * A mysterious figure approaches you.
                agent:
                    Greetings, grifter. 
                    You look like you could use an edge.
                player:
                    !dubious
                    I've got two already, friend.
                agent:
                    I don't under—
                    Oh. 
                    You're referring to your blades, while <i>I'm</i> referring to specially imported battle goods from the Roaloch.
                    Are you interested?
            ]],
            
            OPT_BUY_GOODS = "Buy {1#card}",
            
            DIALOG_BUY_GOODS = [[
                player:
                    Yeah, I'll take that.
                    !take
                agent:
                    !give
                    Thank you. Please use it responsibly.
                    !exit

            ]],
            OPT_ASK_WHY_CHEAP = "Ask about the price",
            DIALOG_ASK_WHY_CHEAP = [[
                player:
                    !dubious
                    That's... suspiciously cheap.
                    What's the deal?
                agent:
                    You may take the deal or leave it. 
                    !crossed
                    My reasons are my own.
            ]],

            OPT_DECLINE = "Decline the offer",
            DIALOG_DECLINE = [[
                player:
                    I'm not interested.
                agent:
                    Then that is your loss, grifter.
                    !exit
                * The mysterious figure leaves as silently as {agent.heshe} arrived.
            ]]
        }

        :SetLooping(true)
        :Fn(function(cxt)
            if cxt:FirstLoop() then
                cxt.quest:GetCastMember("stranger"):MoveToLocation(cxt.location)
                cxt.enc:SetPrimaryCast(cxt.quest:GetCastMember("stranger"))
                cxt.quest:Complete()
                cxt:Dialog("DIALOG_INTRO")  
            end

            cxt:Opt("OPT_BUY_GOODS", cxt.quest.param.item_id)
                :Dialog("DIALOG_BUY_GOODS")
                :PreIcon( global_images.buycombat )
                :GainCards{cxt.quest.param.item_id}
                :DeliverMoney(cxt.quest.param.cost or 100)
                :Fn(function(cxt) 
                    cxt.player:Remember("DANGEROUS_GOODS_SELLER", {cost = cxt.quest.param.cost, item_id = cxt.quest.param.item_id})
                end)
                :Travel()

            cxt:Question("OPT_ASK_WHY_CHEAP", "DIALOG_ASK_WHY_CHEAP")

            cxt:Opt("OPT_DECLINE")
                :Dialog("DIALOG_DECLINE")
                :Travel()
        end)
