local TITHE_AMT = 25

local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT, 
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    cooldown = EVENT_COOLDOWN.LONG,
    is_negative = true,
    precondition = function(quest)
        return TheGame:GetGameState():GetCaravan():GetMoney() >= quest:GetRank()*TITHE_AMT * 2
    end,

    on_init = function(quest)
    end,
}

--------------------------------------------------------------------

QDEF:AddConvo()
    :ConfrontState("CONF", function(cxt) return cxt.location:HasTag("in_transit") end)
        :Loc{
            DIALOG_INTRO = [[
                player:
                    !left
                * You are approached by a member of the cult, the fire of conviction burning brightly in {agent.hisher} eyes.
                agent:
                    !right
                    !threaten
                    You! You have rejected the indifference of the mighty Hesh!
                    You must pay for your impudence!
            ]],

            OPT_DEFEND = "Defend yourself",
            DIALOG_DEFEND = [[
                player:
                    If you love 'Hesh's indifference' so much, how about I send you to meet him?
                    !fight
            ]],

            DIALOG_FOUGHT = [[
                {dead?
                    * {agent}'s body falls to the ground, lumin stained hands clutching at nothing.
                    * A flash of sheer ecstatic terror passes over {agent.hisher} face in the last second before the light leaves {agent.hisher} eyes.
                    * You wonder what {agent.heshe} saw.
                    player:
                        !thought
                        Creepy.
                }
                {not dead?
                    agent:
                        !injured
                        Why do you show mercy? Do you expect Hesh to show you the same?
                        You will be disappointed.
                    player:
                        I grew up on your damned derricks. I know all about Hesh's lack of mercy.
                        Get out of here before I make an example of you.
                }
            ]],

            OPT_PAY = "Pay a tithe",
            DIALOG_PAY = [[
                player:
                    How about we skip the theatrics and I just pay with shills. Does Hesh accept shills?
                agent:
                    ...
                    !hesh_greeting
                    Yes. Yes he does.
                    !exit
                * You hear {agent}'s faith jingling in {agent.hisher} pocket as {agent.heshe} leaves.
            ]],

            OPT_CONVINCE = "Convince {agent} you are faithful to Hesh",
            DIALOG_CONVINCE = [[
                player:
                    Rejected Hesh? Me?!
                    I am shocked! <i>Shocked</> that you would make such a claim!
            ]],
            DIALOG_WON_NEGOTIATION = [[
                agent:
                    I have misjudged you, sister.
                    !hesh_greeting
                    May Hesh's wrath fall upon your enemies before it falls upon you.
                    !exit
            ]],
            DIALOG_LOST_NEGOTIATION = [[
                agent:
                    !threaten
                    You dare try to quote Hesh's words back to me?
                    You will pay mightily for this insult!
            ]],

            REQ_NO_HESH_FRIENDS = "You have no friends in the cult",
            OPT_DROP_NAME = "Tell {agent} that {1} will vouch for you",
            OPT_DROP_NAME_NOBODY = "Drop the name of a friendly Cult member",
            DIALOG_DROP_NAME = [[
                player:
                    Do you know {1}?
                agent:
                    Of course. {1.HeShe} is a member beyond reproach.
                player:
                    Yeah, well {1} is a good friend of mine.
                agent:
                    ...
                    I see.
                    !hesh_greeting
                    May Hesh devour your enemies slowly.
                    !exit
            ]],


        }
        :Fn(function(cxt) 
                cxt.quest:Complete()
                local zealot = TheGame:GetGameState():AddSkinnedAgent("ZEALOT")
                zealot:MoveToLocation(cxt.location)
                

                local BACKUP_TABLE = {1, 1, 2, 2, 3}
                local num_backup = BACKUP_TABLE[math.min(#BACKUP_TABLE, cxt.quest:GetRank())]

                for k = 1, num_backup do
                    local agent = TheGame:GetGameState():AddAgent( Agent("LUMINARI" ))
                    agent:MoveToAgent(zealot)
                    agent:JoinParty(zealot)
                end
                cxt:TalkTo(zealot)
                

                cxt:Dialog("DIALOG_INTRO")
         
                local names_to_drop = cxt.player.social_connections:GetConnections(function(agent, rel) return rel > RELATIONSHIP.NEUTRAL and agent:GetFactionID() == "CULT_OF_HESH" and agent ~= zealot end)

                cxt:RunLoop(function() 
                    
                    
                    local drop = cxt:Opt(#names_to_drop > 0 and "OPT_DROP_NAME" or "OPT_DROP_NAME_NOBODY", names_to_drop[1])
                                    :Dialog("DIALOG_DROP_NAME", names_to_drop[1])
                                    :ReqCondition(#names_to_drop > 0, "REQ_NO_HESH_FRIENDS")
                                    :Travel()


                    cxt:Opt("OPT_DEFEND")
                        :Dialog("DIALOG_DEFEND")
                        :Battle{
                            no_oppo_limit = true,
                            flags = BATTLE_FLAGS.SELF_DEFENCE,
                            on_win = function(cxt) 
                                cxt:Dialog("DIALOG_FOUGHT")
                                StateGraphUtil.AddLeaveLocation(cxt)
                                
                            end
                        }
                    
                    local amt = cxt.quest:GetRank()*TITHE_AMT
                    
                    cxt:Opt("OPT_PAY")
                        :Dialog("DIALOG_PAY")
                        :DeliverMoney(amt)
                        :Travel()

                    cxt:Opt("OPT_CONVINCE")
                        :Dialog("DIALOG_CONVINCE")
                        :Negotiation{}
                            :OnSuccess()
                                :Dialog("DIALOG_WON_NEGOTIATION")
                                :Travel()
                            
                            :OnFailure()
                                :Dialog("DIALOG_LOST_NEGOTIATION")
                                :ReceiveOpinion(OPINION.INSULT)
                end)

            end)
