local SAL_MONEY = 200

local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT,
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    rank = {2, 5},
    cooldown = EVENT_COOLDOWN.LONG,    

    on_init = function(quest) 
    end,
}


QDEF:AddConvo():ConfrontState("CONFRONT", function(cxt) return cxt.location:HasTag("in_transit") end)
    :Loc{
        DIALOG_INTRO = [[
            clerk:
                !right
                !injured
            * An injured Admiralty clerk stumbles toward you, clutching something to {clerk.hisher} chest.
            * It's not exactly an unusual sight in Murder Bay, but it still catches you a little off-balance.
            player:
                !left
                !surprised
                Whoa. Alright, there, officer?
            clerk:
                Grifter! Y-you're a hunter, right?
                !injured_palm
                I'm not going to make it. You s-should take this.
            * {clerk.HeShe} presses a torn and bloodied envelope into your hands.
            player:
                !take
        ]],
        
        OPT_ASK_ABOUT_ENVELOPE = "Ask about the envelope",
        DIALOG_ASK_ABOUT_ENVELOPE = [[
            player:
                !dubious
                What is this? What am I supposed to—
        ]],
        OPT_ASK_ABOUT_INJURIES = "Ask about {clerk.hisher} injuries",
        DIALOG_ASK_ABOUT_INJURIES = [[
            player:
                !placate
                Are you alright? How did you get—
        ]],

        DIALOG_DIES = [[
            clerk:
                !exit
            * Words make for poor dressings. {clerk} succumbs to {clerk.hisher} injuries.
        ]],

    }
    :Fn(function(cxt)
        cxt.quest:Complete()
        
        local dead_admiralty = TheGame:GetGameState():AddSkinnedAgent( "ADMIRALTY_CLERK")
        cxt:ReassignCastMember("clerk", dead_admiralty)
        cxt:TalkTo(dead_admiralty)
        cxt:Dialog("DIALOG_INTRO")
        cxt:GainCards{"sealed_admiralty_envelope"}

        cxt:Opt("OPT_ASK_ABOUT_ENVELOPE")
            :Dialog("DIALOG_ASK_ABOUT_ENVELOPE")
            :Dialog("DIALOG_DIES")
            :Fn(function(cxt)
                cxt:GetAgent():Kill()
            end)
            :GoTo("STATE_MONSTER_FIGHT")
        
        cxt:Opt("OPT_ASK_ABOUT_INJURIES")
            :Dialog("DIALOG_ASK_ABOUT_INJURIES")
            :Dialog("DIALOG_DIES")
            :Fn(function(cxt)
                cxt:GetAgent():Kill()
            end)
            :GoTo("STATE_MONSTER_FIGHT")
    end)
    :State("STATE_MONSTER_FIGHT")
        :Loc{
            DIALOG_INTRO = [[
                * What's inside will have to wait, because you're soon set upon by the creatures that did in {clerk}.
                agent:
                    !right
            ]],
            OPT_DEFEND = "Defend yourself",
            DIALOG_DEFEND = [[
                !fight
                * You can't argue with nature.
            ]],
            DIALOG_WON = [[
                * You look down at the envelope that was bought with so much bloodshed.
                * You can't open it normally without breaking the seal. You'll need to hang on to it for a while to learn its secrets.
            ]],
        }
        :Fn(function(cxt) 
            local animals = CreateCombatParty("MONSTERS", cxt.quest:GetRank(), cxt.location)
            cxt:TalkTo(animals[1])
            cxt:Dialog("DIALOG_INTRO")
            cxt:Opt("OPT_DEFEND")
                :Dialog("DIALOG_DEFEND")
                :Battle{
                    flags = BATTLE_FLAGS.SELF_DEFENCE,
                }
                    :OnWin()
                        :Dialog("DIALOG_WON")
                        :Travel()

        end)