
local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT,
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
}

QDEF:AddConvo()
    :Confront(function(cxt, who)
        return "STATE_CONFRONT"
    end)

    :State("STATE_CONFRONT")
        :Loc{
            DIALOG_INTRO = [[
                * Just when you're hoping for a nice, leisurely walk, you find yourself interrupted by a Spark Baron.
                * {baron.HeShe} looks fearful, which {baron.heshe} should, given that {baron.heshe} had the gall to interrupt your pace.
            ]],
            DIALOG_HELP_ME = [[
                player:
                    !left
                baron:
                    !right
                    !scared
                    Grifter! Help me! The fleads have it out for my blood.
                player:
                    !interest
                    The <i>fleads</i>?
                * You can hear the sound of them crashing through the bush. 
                * Something's got the pests mighty riled, and you'd guess it's the blood on the Spark Baron's uniform.
            ]],
            
            OPT_HELP_THE_BARON = "Help the Spark Baron",
            DIALOG_HELP = [[
                player:
                    !shrug
                    Not the weirdest rescue I've ever orchestrated. So sure, why not?
                flead:
                    !right
                player:
                    !fight
                * The fleads attack, and you jump into the thick of the frenzy.
            ]],

            DIALOG_KILLED_FLEADS = [[
                * You rifle through {baron}'s pockets, and find a few shills.
            ]],

            DIALOG_HELPED_DIED = [[
                * You rifle through {baron}'s pockets, and find a few shills.
            ]],


            DIALOG_HELPED_SURVIVED = [[
                player:
                    !tired
                    $miscRelieved
                    Never seen 'em so ravenous. You must have tasty blood.
                baron:
                    !right
                    !dubious
                    $neutralDubious
                    That's a weird compliment, grifter, but you saved my skin so I'll allow it. 
            ]],
            OPT_DEMAND_PAYMENT = "Ask for payment",
            DIALOG_DEMAND = [[  
                player:
                    !crossed
                    Speaking of, I don't usually work for <i>free</i>...
                baron:
                    !sigh
                    $neutralResigned
                    Uh, right. That's how it goes out here, huh?
                    !give
                    I don't have much, but, I have this...
            ]],
            
            OPT_PAYMENT_MONEY = "Take money",
            OPT_PAYMENT_ITEM = "Take {1#card}",
            DIALOG_TAKE_PAYMENT = [[
                player:
                    !take
                    $happyThanks
                    Thank you kindly. Always pleased to have a satisfied customer.
                baron:
                    !agree
                    Yeah, yeah. Won't get no buyer's remorse from me.
                    !greeting
                    See you around, grifter.
                    !exit
            ]],
            

            OPT_DEMAND_ALL = "Demand it all",
            DIALOG_DEMAND_ALL = [[
                player:
                    !angry
                    $angryDefault
                    Something tells me you're holding out on me.
                    $angryCruel
                    I saved your life. If you don't wanna pay for my services, then I'll have to <i>undo</i> my good work, won't I?
            ]],
            DIALOG_DEMAND_ALL_2 = [[
                baron:
                    !scared_shrug
                    $scaredDefault
                    But that's everything I have!
                * {baron} considers the daggers at your hips and {baron.hisher} own injuries.
                baron:
                    !angry
                    Fine. Take it. 
                    $angryDefault
                    And people think the Spark Barons are mercenary. Fah!
                * The Baron makes for the hills, nursing whatever wounds you left {baron.himher} with.
                    !exit
            ]],




            OPT_LET_THEM_GO = "Let {baron} go without paying you",
            DIALOG_LET_GO = [[
                player:
                    !handwave
                    Naw. I couldn't just let you die, could I? 
                    Hard enough to sleep at night as it is. 
            ]],
            DIALOG_LET_GO_2 = [[                    
                baron:
                    $happyThanks
                    Well that's... unexpected. Especially in the griftlands.
                    !overthere
                    You ever find yourself in Grout Bog?
                player:
                    !forgetful
                    $miscEmbarrassed
                    I, uh—no. Not really. 
                baron:
                    !happy
                    $happyDefault
                    Well, if you ever make your way out there, hit me up. I'll make sure you're taken care of. 
                player:
                    $neutralThanks
                    Uh, thanks. 
                baron:
                    !greeting
                    $happyGreeting
                    Be seeing you, friend.
                * The Baron makes for the hills, leaving you to untangle that complicated feeling in your gut. 
                    !exit
            ]],




            OPT_WATCH_THE_FIGHT = "Wait and see how this ends",
            DIALOG_WATCH = [[
                baron:
                    !exit
                * You stay back, watching as the fight pans out. After all, it's what the Spark Barons used to do when you were young.
            ]],

            DIALOG_FLEADS_WIN = [[
                * The hapless Spark Baron falls as the fleads desiccate the corpse.
                flead:
                    !right
                * But they work fast, and quickly turn their hunger on you. 
                player:
                    !palm
                    Well, should've seen <i>this</i> coming.
            ]],
            DIALOG_BARON_WIN = [[
                * The injured Spark Baron finishes off the last of the fleads.
                baron:
                    !right
                    !injured
                    You have fun watching that, grifter? You <i>amused</i>?
                player:
                    !happy 
                    $neutralJoke
                    Yes, actually. Nice to see a Spark Baron struggling in the dirt for a change.
                baron:
                    !angry_accuse
                    $angryDefault
                    Sod off. And you ever find yourself in Grout Bog, I'll make sure to return the favor. 
                    Thanks for nothing, grifter.
                * The Baron leaves you with only your self-satisfied smirk for company.
                    !exit
            ]],
            OPT_DEFEND = "Defend yourself",


            OPT_BACK_OFF = "Leave in a hurry",
            DIALOG_BACK_OFF = [[
                player:
                    !angry_shrug
                    Barons have a habit of expecting something for nothing. And I don't work for free.
                    !exit
                baron:
                    !exit
                * You leave quietly, and the fleads seem content to pursue the Baron deeper into the bush. 
            ]],
        }
        :Fn(function(cxt)
            cxt.quest:Complete()

            local REWARD_MONEY = math.round(math.randomGauss(40, 80))
            


            local fleads = CreateCombatParty(
                function() 
                    local t = {}
                    local num_fleads = math.min( 1+cxt.quest:GetRank(), 3)
                    for k = 1, num_fleads do
                        table.insert(t, "FLEAD")
                    end
                    return t 
                end, cxt.quest:GetRank(), cxt.location)
            
            cxt:ReassignCastMember("flead", fleads[1])

            local content_id = cxt.quest:GetDifficulty() <= 3 and "SPARK_BARON_GOON" or "SPARK_BARON_PROFESSIONAL"
            local baron = cxt.quest:CreateSkinnedAgent( content_id )
            baron:MoveToLocation( cxt.location )
            TheGame:GetGameState():AddAgent( baron )

            cxt:ReassignCastMember("baron", baron)
            baron:GetAspect("health"):SetPercent(.33)
            
            cxt:Dialog("DIALOG_INTRO")

            cxt.enc:SetPrimaryCast(baron)
            
            cxt:Dialog("DIALOG_HELP_ME")
            cxt:Opt("OPT_HELP_THE_BARON")
                :Dialog("DIALOG_HELP")
                :Battle{
                    flags = BATTLE_FLAGS.SEND_TO_LIMBO,
                    allies = {baron},
                    enemies = fleads,
                    on_win = function(cxt) 
                        if baron:IsDead() then
                            
                            cxt:Dialog("DIALOG_HELPED_DIED")
                            cxt.encounter:GainMoney( REWARD_MONEY )
                            StateGraphUtil.AddLeaveLocation(cxt)
                        else
                            cxt:Dialog("DIALOG_HELPED_SURVIVED")

                            cxt:Opt("OPT_DEMAND_PAYMENT")
                                :Dialog("DIALOG_DEMAND")
                                :Fn(function(cxt) 

                                        local items = {"vroc_whistle", "lumin_grenade", "shrapnel_grenade"}
                                        local item = table.remove(items, math.random(#items))
                                        local item2 = table.remove(items, math.random(#items))

                                        cxt:Opt("OPT_PAYMENT_MONEY")
                                            :ReceiveMoney(REWARD_MONEY)
                                            :Dialog("DIALOG_TAKE_PAYMENT")

                                        cxt:Opt("OPT_PAYMENT_ITEM", item)
                                            :GainCards{item}
                                            :Dialog("DIALOG_TAKE_PAYMENT")

                                        cxt:Opt("OPT_PAYMENT_ITEM", item2)
                                            :GainCards{item2}
                                            :Dialog("DIALOG_TAKE_PAYMENT")

                                        cxt:Opt("OPT_DEMAND_ALL")
                                            :Dialog("DIALOG_DEMAND_ALL")
                                            :ReceiveMoney(REWARD_MONEY)
                                            :GainCards{item, item2}
                                            :ReceiveOpinion(OPINION.ROBBED)
                                            :Dialog("DIALOG_DEMAND_ALL_2")

                                    end)

                                :Fn(function(cxt)
                                    StateGraphUtil.AddLeaveLocation(cxt)
                                end )

                            

                            cxt:Opt("OPT_LET_THEM_GO")
                                :Dialog("DIALOG_LET_GO")
                                :Dialog("DIALOG_LET_GO_2")
                                :ReceiveOpinion(OPINION.SAVED_LIFE)
                                :Fn(function()
                                    StateGraphUtil.AddLeaveLocation(cxt)
                                end)
                        end
                    end,
                }

            cxt:Opt("OPT_WATCH_THE_FIGHT")
                :Dialog("DIALOG_WATCH")
                :Fn(function() 
                        if math.random() < .5 then
                            cxt:Dialog("DIALOG_BARON_WIN")
                            baron:OpinionEvent(OPINION.DID_NOT_HELP)
                            StateGraphUtil.AddLeaveLocation(cxt)
                        else
                            cxt:Dialog("DIALOG_FLEADS_WIN") 
                            baron:Kill()
                            for k,v in pairs(fleads) do
                                v:GetAspect("health"):SetPercent(math.randomGauss(.4, .8))
                            end

                            cxt:Opt("OPT_DEFEND")
                                :Battle{
                                    flags = BATTLE_FLAGS.SEND_TO_LIMBO | BATTLE_FLAGS.SELF_DEFENCE,
                                    enemies = fleads,
                                    on_win = function(cxt) 
                                        cxt:Dialog("DIALOG_KILLED_FLEADS")
                                        cxt.encounter:GainMoney( REWARD_MONEY )
                                        StateGraphUtil.AddLeaveLocation(cxt)
                                    end,
                                }

                        end

                    end)


            cxt:Opt("OPT_BACK_OFF")
                :Dialog("DIALOG_BACK_OFF")
                :ReceiveOpinion(OPINION.DID_NOT_HELP)
                :Fn(function()
                    StateGraphUtil.AddLeaveLocation(cxt)
                end)
        end)

