local MAX_RESOLVE_GAIN = 4
local CARD_ID = "aerostat_coilgun"

local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT, 
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    cooldown = EVENT_COOLDOWN.LONG,
}
--------------------------------------------------------------------

QDEF:AddConvo()
    :Confront(function(cxt, who)
        return "STATE_START"
    end)

        :State("STATE_START")
        :Loc{
            DIALOG_INTRO = [[
                * Traipsing through the road-side brush, you find two dead bodies slumped against a partially dug grave.
                * One of them still clutches what looks to be a valuable coil gun.
            ]],

            OPT_TAKE = "Pry the {1#card} from the corpse",
            DIALOG_TAKE = [[
                * You're forced to break some of the corpse's fingers to pry the weapon from its grasp. You finish the botched burial afterwards, but can't help but feel a little insincere.
            ]],

            OPT_LEAVE = "Finish the burial and depart with a clear conscience",
            OPT_LEAVE_TT = "Upgrade your max resolve by {1}",
            DIALOG_LEAVE = [[
                * You spend some time finishing the burial job, leaving the bodies with their possessions. Despite everything you've been through, at least you can still trust your intentions. 
            ]],
        }
        :Fn(function(cxt)
            cxt:Dialog( "DIALOG_INTRO" )

            cxt:Opt("OPT_TAKE", CARD_ID )
                :PreIcon( global_images.item )
                :Dialog( "DIALOG_TAKE" )
                :GainCards{ CARD_ID }
                :CompleteQuest()
                :Travel()
            
            cxt:Opt("OPT_LEAVE")
                :PreIcon( global_images.restoreresolve )
                :PostText( "OPT_LEAVE_TT", MAX_RESOLVE_GAIN )
                :Dialog( "DIALOG_LEAVE" )
                :Fn( function( cxt )
                    cxt.caravan:UpgradeResolve( MAX_RESOLVE_GAIN )
                end )
                :CompleteQuest()
                :Travel()
        end)

