local function GetOpinionEvent(agent)
    return agent.social_connections and (agent.social_connections:FindOpinionEvent( TheGame:GetGameState():GetPlayerAgent(), OPINION.KILLED_FRIEND, nil, 1, function(ev) return ev.data == nil or ev.data.acted_upon ~= true end ))
                   
end


local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT, 
    --event_type = "revenge",
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    is_negative = true,
}
:AddCast{
    cast_id = "revenger",
    condition = function(agent, quest) 
        local opinion = GetOpinionEvent(agent) 
        --print (agent, opinion)
        return opinion and not opinion.acted_upon and agent.combat_backup and agent:GetRelationship() <= RELATIONSHIP.NEUTRAL
    end,
}


QDEF:AddConvo()
    :ConfrontState("STATE_CONFRONT", function(cxt) return cxt.location:HasTag("in_transit") end)
        :Loc{
            DIALOG_INTRO = [[
                player:
                    !left
                * {agent} stops you.
                agent:
                    !right
                    !angry
                    You! You're the one who killed my friend {1#agent}!
                    I demand satisfaction!
            ]],
            OPT_PAY_RESTITUTION = "Pay {agent} for {agent.hisher} loss",
            DIALOG_PAY = [[
                * You shove a fistfull of hard-earned shills at {agent}.
                player:
                    I'm sorry for your loss.
                agent:
                    You think I can be bought off so easily?
                * {agent} quickly counts the money.
                agent:
                    Well, you're right.
                    !exit
                * {agent} steps aside, letting you go.
            ]],
            
            OPT_CONVINCE = "Convince {agent} to leave you alone",
            DIALOG_CONVINCE = [[
                player:
                    Yeah, I did it. But you better keep walking.
            ]],
            DIALOG_CONVINCE_SUCCESS = [[
                agent:
                    This isn't over.
                    !exit
                * {agent} skulks off, and you continue.
            ]],
            DIALOG_CONVINCE_FAIL = [[
                agent:
                    No, you have to answer for this!
            ]], 
            DIALOG_WON_KILLED = [[
                * {agent} is dead. This feud is over.
            ]],
            DIALOG_WON_LIVED = [[
                player:
                    Come after me again, and I <b>will</> kill you!
                agent:
                    I... I understand.
                    !exit
            ]],
            OPT_FIGHT = "Defend yourself",
            DIALOG_FIGHT = [[   
                player:
                    !fight
                    I think you'll find that threatening me is hazardous to your health!
            ]]
        }
        :SetLooping(true)
        :Fn(function(cxt)
                if cxt:FirstLoop() then
                    cxt.quest:Complete()
                    local opinion = GetOpinionEvent(cxt.quest:GetCastMember("revenger"))
                    cxt.enc.scratch.subject = opinion.data.revenge_agent

                    opinion.data.acted_upon = true
                    cxt.enc.scratch.amt = 150 * TheGame:GetGameState():GetCurrentBaseDifficulty()
                    cxt.quest:GetCastMember("revenger"):MoveToLocation(cxt.location)
                    cxt.enc:SetPrimaryCast(cxt.quest:GetCastMember("revenger"))
                    CreateCombatBackup(cxt:GetAgent(), cxt:GetAgent().combat_backup, cxt.quest:GetRank())
                    cxt:Dialog( "DIALOG_INTRO", cxt.enc.scratch.subject)
                end
                
                
                cxt:Opt("OPT_PAY_RESTITUTION")
                    :DeliverMoney(cxt.enc.scratch.amt, {no_scale = true})
                    :Travel()

                
                cxt:Opt( "OPT_CONVINCE")
                    :Dialog("DIALOG_CONVINCE")
                    :Negotiation{
                        flags = NEGOTIATION_FLAGS.INTIMIDATION,
                        subject = cxt.enc.scratch.subject,
                        on_success = function(cxt) 
                            cxt:Dialog("DIALOG_CONVINCE_SUCCESS")
                            StateGraphUtil.AddLeaveLocation(cxt)                            
                        end,
                        
                        on_fail = function(cxt) 
                            cxt:Dialog("DIALOG_CONVINCE_FAIL")
                        end,
                    }

                cxt:Opt("OPT_FIGHT")
                    :Dialog("DIALOG_FIGHT")
                    :Battle{
                        flags = BATTLE_FLAGS.SELF_DEFENCE,
                        on_win = function(cxt) 
                            cxt:Dialog(cxt:GetAgent():IsDead() and "DIALOG_WON_KILLED" or "DIALOG_WON_LIVED")
                            StateGraphUtil.AddLeaveLocation(cxt)
                        end,
                    }
            end)

