local QDEF = QuestDef.Define
{
    title = "Rise Outpost",
    icon = engine.asset.Texture("icons/quests/sal_rise_outpost.tex"),
    home = true, -- If this shows a yellow-colored icon, with a yellow arrow under it
    qtype = QTYPE.STORY,

    plot_armour_fn = function(quest, agent)
        if agent == quest:GetCastMember("rebel1") then
            return true
        end
    end,
    
    --Want to keep them here. maybe these should be jobs instead?
    collect_agent_locations = function(quest, t)
        table.insert (t, { agent = quest:GetCastMember("rebel1"), location = quest:GetCastMember("home"), role = CHARACTER_ROLES.PROPRIETOR } )
    end,

}

:AddLocationCast{
    cast_id = "home",
    cast_fn = function(quest, t)
        table.insert(t, TheGame:GetGameState():GetLocation("MURDER_BAY_RISE_OUTPOST"))
    end,
}

:AddCastByAlias{
    cast_id = "rebel1",
    alias = "RISE_OUTPOST_REBEL1",
    no_validation = true,
    on_assign = function(quest, agent)
        agent:GainAspect("cardshop")
        agent:GetAspect("cardshop"):SetStockID("SAL_RISE_OUTPOST_CARD_SHOP")
        agent:SetLocationRole(CHARACTER_ROLES.PROPRIETOR)
    end

}


:AddObjective{
    id = "visit",
    title = "Visit the Rise Camp",
    desc = "{rebel1} sells illicit Spark Baron goods from Grout Bog, and recycled mechs.",
    hide_in_overlay = true,
    low_priority = true,
    state = QSTATUS.ACTIVE,
    mark = {"home"}
}

QDEF:AddConvo("visit", "rebel1")
    :Priority(CONVO_PRIORITY_LOW)
    :Loc{

        OPT_BUY_AN_AUTODOG = "Buy an autodog",
        DIALOG_BUY_AUTODOG = [[
            player:
                You have any more of those mechs?
            agent:  
                I have crates of 'em!
            autodog:
                !right
            * The autodog activates and starts following you.
            autodog:
                WOOF
            agent:
                !right
        ]],
    }

    :Hub( function(cxt, who)

            cxt:Opt("OPT_ASK_ABOUT")
                :IsHubOption(true)
                :GoTo("STATE_QUESTIONS")

            local can_own, reason = cxt.caravan:CanOwnPet()

            cxt:Opt("OPT_BUY_AN_AUTODOG")
                :DeliverMoney(250, { is_shop = true })
                :ReqCondition( can_own, reason )
                :Fn(function() 
                    local autodog = cxt.quest:CreateSkinnedAgent( "AUTODOG" )
                    autodog:MoveToLocation( cxt.location )
                    TheGame:GetGameState():AddAgent( autodog )
                    autodog:Recruit(PARTY_MEMBER_TYPE.CREW)
                    cxt:ReassignCastMember("autodog", autodog)
                end)
                :Dialog("DIALOG_BUY_AUTODOG")
                
        end
    )

    :AskAboutHub("STATE_QUESTIONS", 
    {

        "Ask {agent} about this place",
        [[
            player:
                What are you doing here in Murder Bay?
            agent:
                Why, Rising hell, of course.
                !interest
                That's a Rise joke.
        ]],

    })

