
local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT,
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    precondition = function(quest)
        local player = TheGame:GetGameState():GetPlayerAgent()
        return player.battler:GetCardCount( "drunk" ) > 1
    end,
}

:AddCast{
    cast_id = "teacher",
    condition = function(agent, quest)
        return agent:GetFactionID() == "DREDGER"
    end,
}
:AddCastFallback( "CHEMIST" )

:AddObjective{
    id = "intro",
    state = QSTATUS.ACTIVE,
}


QDEF:AddConvo("intro")
    :ConfrontState("CONF")
        :Loc{
            DIALOG_INTRO = [[
                player:
                    !left
                    !drunk
                teacher:
                    !right
                    !drunk
                    Ah, there you are, y'old sassafrassmagass. 
                player:
                    !suspicious
                    Who you callin' a sassawhass, y'old muffinstuffin?
                    ...
                    Have we—<i>*hic*</i>—met?
                teacher:
                    Naw.
                    But I know you.
                * {teacher} leans in close, red eyes staring sleepily into yours.
                    I know you, Smith Banquod.
                * {teacher.HisHer} breath smells like swill. You could really go for some swill right now.
                    Lemme show you somethin'.
                player:
                    Okay, but if it's one of those eyeball puzzles you should know I punched the last one.
                teacher:
                    No! It's the way.
                    I gotta show you... <i>the way</i>.
                    !drunk_hiccup
            ]],

            OPT_LEARN = "Learn the way",
            TT_LEARN = "Exchange {1}x {2#card} for {1}x {3#card}",
            DIALOG_LEARN = [[
                player:
                    Show me! I gotta know.
                teacher:
                    !drunk_hiccup
                    You wan' be the best? Then you gotta take that weakness--
                player:
                    Bah! Weakness! Who needs it!
                teacher:
                    Thas right. Take that weakness and turn it over.
                player:
                    For a good kickin'.
                teacher:
                    When you get good and sach... sasquatch... <i>saturated</i>, then just wring yourself out.
                    Bam!
                player:
                    Gah!
                teacher:
                    Good as new.
                    !fade
                player:
                    !surprised
                * Your stupor is gone but then, so is the raging headache between your eyestalks.
                player:
                    Guess that means there's a bar stool somewhere with my name on it.
            ]],

            OPT_PASS = "Pass on the offer",
            DIALOG_PASS = [[
                player:
                    Naw, I know the way.
                    Issatway.
                * You take a step in the wrong direction.
                player:
                    No no no. Fool me <i>once</i>, road.
                * You turn yourself around and leave {teacher} and {teacher.hisher} wisdom behind.
                    !exit
            ]]
        }
        :Fn(function(cxt)
            cxt.quest:Complete()
            cxt:Dialog("DIALOG_INTRO")

            local count = cxt.player.battler:GetCardCount( "drunk" )

            cxt:Opt( "OPT_LEARN" )
                :PostText( "TT_LEARN", count, "drunk", "drunken_master" )
                :Dialog("DIALOG_LEARN")
                :Fn(function(cxt)
                    local cards = {}
                    for i, card in ipairs(cxt.player.battler:GetCards()) do
                        if card.id == "drunk" then
                            table.insert(cards, card)
                        end
                    end

                    cxt:LoseCards(cards)
                    cxt.enc:Wait(0.7)

                    local cards = {}
                    for i = 1, count do
                        table.insert( cards, "drunken_master" )
                    end
                    cxt:GainCards( cards )
                end )
                :Travel()

            cxt:Opt( "OPT_PASS" )
                :Dialog("DIALOG_PASS")
                :Travel()
        end )

