local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT,
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
}

:AddOpinionEvents{
    robbed = {
        delta = OPINION_DELTAS.MAJOR_BAD,
        txt = "Robbed them",
    },
}


local convo = QDEF:AddConvo()
    :ConfrontState("CONFRONT", function(cxt) return cxt.location:HasTag("in_transit")  end)
        :Loc{
            DIALOG_INTRO = [[
                * You've been out of the Foam long enough to dilute your recollection, but it's not long before you see a familiar face.
                * If memory serves, it's one of the many hangers-on in your parents' social orbit.
                * But there was also a rumor, wasn't there? Some sort of falling out? 
                player:
                    !left
                    !greeting
                    {agent.name}!
                agent:
                    !right
                    !surprised
                    Oh?
                    !thought
                    {player.name}, isn't it? 
                    !hesh_greeting
                    My condolences for what happened to your parents.
                player:
                    !sigh
                    You'd be the first to say so. 
                    Say, speaking of my parents. Did you ever settle up with them?
                    You know, after the, uh... whatever it was.
                agent:
                    !handwave
                    Settle up? You mean with the--
                    !placate
                    Well, we had an understanding. I'd stay out of their way and they'd--
                    You know, I'm actually late for a meeting. I should really run. Wonderful to see you, of course.
                    !overthere
                player:
                    !happy
                * You smell an opportunity, and it's not just the off-brand perfume {agent.heshe}'s wearing.
            ]],

            OPT_PLAY_ON_SYMPATHIES = "Play upon {agent}'s sympathies",
            DIALOG_PLAY_ON_SYMPATHIES = [[
                player:
                    !sigh
                    Of course, I was the black sheep of the family.
                    And they never treated either of us all that great, did they?
            ]],
            DIALOG_PLAY_ON_SYMPATHIES_SUCCESS = [[
                player:
                    Folks like us gotta stick together, you know. What with the state of things being so... upheavally. 
                    For what it's worth, I'm willing to let bygones be bygones. 
                    There's no bad blood between you and me, far as I figure.
                agent:
                    That--that's kind, Smith.
                    Suspiciously so, seeing as it's the Foam.
                    But in honor of those words... here. 
                    It's not much. But hopefully it'll see you to better days.
                player:
                    You're right: it's not much!
                    But I'll take it. Thanks for the boost, pal.
                agent:
                    !exit
            ]],
            DIALOG_PLAY_ON_SYMPATHIES_FAILURE = [[
                player:
                    My brother Theroux always had a thing for you, you know. Maybe I could put in a good word, smooth things over with the brood.
                agent:
                    You've been disowned, yes? Word travels fast in the Foam. 
                    So it strikes me that a good word from you might be poison in his ear. 
                    I'd rather leave my fate to the Abyssal tides, thank you.
                    !exit
                player:
                    !permit
                * {agent} insinuates {agent.himher}self into the distance before you can change tack. 
                * You win some, you lose most.
            ]],

            OPT_INSINUATE = "Threaten {agent} with blackmail",
            DIALOG_INSINUATE = [[
                player:
                    You know, with the change of hands on family affairs, some information might slip between the cracks.
                    Say, weren't you in business with my old lady?
                agent:
                    Well, yes. At one point. 
                player:
                    I don't much pay attention to that stuff too much, being the unfavored son and all.
                    But it's hard not to listen when your ma's boiled red and screaming like a tea kettle.
                    Now, what was she so mad about...
            ]],
            DIALOG_INSINUATE_SUCCESS = [[
                player:
                    Seems like maybe that business ended in a bad way.
                    The kinda way that might rough up a reputation if word got out.
                    What's your reputation worth these days, huh?
                agent:
                    !scared
                    You've made your point, Smith.
                    I'm not stupid. You think you're the first Banquod to blackmail me today?
                    Take this.
                    !give
                player:
                    !take
                    !happy
                    Sure!
                agent:
                    !point
                    I've paid for your silence. My business with any of your brood is complete, do you understand?
                player:
                    Uh-huh. See you later, friend.
                agent:
                    !exit
                * {agent} leaves, glaring back over {agent.hisher} shoulder at you.
            ]],
            DIALOG_INSINUATE_FAILURE = [[
                player:
                    Seems like maybe that business ended in a bad way.
                    A way that would be bad. For you. If folks knew how bad you are.
                agent:
                    Seems to me that you perhaps don't remember any of the details.
                player:
                    Well--
                agent:
                    It also seems to me that I already settled up with the <i>new</i> head of the Banquod family.
                    Meaning anything you try to pull will be outweighed by the <i>esteemed</i> members of your brood.
                player:
                    Hey, I got clout! 
                agent:
                    Yes, and I'm sure the Murder Bay sludgepool where you hold court is very impressed with it.
                    Good day, Smith. 
                    !exit
                player:
                    !shrug
                * You forgot what your parents' dinner parties used to be like, but this was a small reminder.
            ]],
            OPT_DEMAND_MONEY = "Demand money",
            DIALOG_DEMAND_MONEY = [[
                player:
                    Sure, sure. I'll let you go.
                    Just, you know, pay me what you owe and we'll call it fair.
                agent:
                    !surprised
                    Pay you?
                player:
                    My folks are dead now, so they can't have an "understanding" with nobody.
                    Now the brood's left to fend for ourselves. And here I am. Fending.
                    So you gonna pay quick or do I gotta hit you until coins come out?
                agent:
                    !spit
                    !angry
                    Take your money then, sludgespawn.
                    You best be careful what you do with that name of yours.
                    Whatever arrangement you have with the rest of the brood, they won't let you run wild for long.
                    !exit
                * {agent} throws {agent.hisher} money to the ground and quickly leaves you behind.
                player:
                    !happy
                * It's a living.
            ]],

            OPT_LET_PASS = "Let {agent} go",
            
            DIALOG_LET_PASS = [[
                player:
                    Oh! Business!
                    !wink
                    Far be it from me to stand in the way of business.
                agent: 
                    Yes. Well. It's been... pleasant. 
                    Goodbye, {player}. And good luck.
                    !exit
                player:
                    !neutral
                * You decide to leave that particular ledger unbalanced for now.
            ]],
                

        }
        :Fn(function(cxt)
            
            local amt = cxt.quest:GetRank()*60

            if cxt:FirstLoop() then
                cxt.quest:Complete()
                cxt:TalkTo(TheGame:GetGameState():AddSkinnedAgent( "WEALTHY_MERCHANT" ))
                cxt:Dialog("DIALOG_INTRO")
            end

            cxt:Opt("OPT_PLAY_ON_SYMPATHIES")
                :Dialog("DIALOG_PLAY_ON_SYMPATHIES")
                :PostText( "RECEIVE_MONEY", amt )
                :Negotiation{}
                    :OnSuccess()
                        :Dialog("DIALOG_PLAY_ON_SYMPATHIES_SUCCESS")
                        :ReceiveMoney(amt)
                        :Travel()
                    :OnFailure()
                        :Dialog("DIALOG_PLAY_ON_SYMPATHIES_FAILURE")
                        :Travel()

            cxt:Opt("OPT_INSINUATE")
                :Dialog("DIALOG_INSINUATE")
                :PostText( "RECEIVE_MONEY", 2*amt )
                :Negotiation{
                    flags = NEGOTIATION_FLAGS.INTIMIDATION
                }
                    :OnSuccess()
                        :Dialog("DIALOG_INSINUATE_SUCCESS")
                        :ReceiveMoney(2*amt)
                        :Travel()
                    :OnFailure()
                        :Dialog("DIALOG_INSINUATE_FAILURE")
                        :Travel()

            cxt:Opt("OPT_DEMAND_MONEY")
                :Dialog("DIALOG_DEMAND_MONEY")
                :ReceiveOpinion("robbed")
                :ReceiveMoney(3*amt)
                :Travel()

            cxt:Opt("OPT_LET_PASS")
                :Dialog("DIALOG_LET_PASS")
                :Travel()

        end)

