
local function CalcTitheAmt(quest)
    return quest:GetRank()*20
end

local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT,
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
    is_negative = true,
}


:AddOpinionEvents{
    robbed = {
        delta = OPINION_DELTAS.MAJOR_BAD,
        txt = "Robbed them",
        precondition = function(quest) 
            return TheGame:GetGameState():GetCaravan():GetMoney() >= CalcTitheAmt(quest)
        end,        
    },
}


local convo = QDEF:AddConvo()
    :ConfrontState("CONFRONT", function(cxt) return cxt.location:HasTag("in_transit")  end)
        :Loc{
            DIALOG_INTRO = [[
                * You are approached by a wild-eyed member of the Cult.
                agent:
                    !right
                    !point
                    You there!
                player:
                    !left
                    !happy
                    Who, me?
                agent:
                    Yeah. You with the big, dumb grin. What are you doing right now to prepare for Hesh's surfacing?
                player:
                    !shrug
                    Eh... I changed my underclothes a week ago. I won't taste <i>too</> bad.
                agent:
                    That's not enough!
                    !hesh_greeting
                    Fortunately for you, Hesh cares not who does the preparing, so long as the preparing gets done.
                    We can make up the difference for you for a, uh, nominal tithe.
                player:
                    !interest
                    Of course you will.
                agent:
                    !cruel
                    Nominal, and non-optional, if you catch my drift.
            ]],

            OPT_NEGOTIATE = "Engage in a theological debate",
            DIALOG_NEGOTIATE = [[
                player:
                    Now, I haven't read the Waterlogged Tomes since I was but a tadpole, but I think you're making a slight error in your theological analysis.
                agent:
                    I am a full-fledged member of the Cult! You are a filthy grifter! What can <i>you</> tell <i>me</> about the terror Hesh!?
                player:
                    Well, you see...
            ]],
            DIALOG_NEGOTIATE_SUCCESS = [[
                * You regale {agent} with as much Hesh-lore as you can remember from interminable afternoons spent listening to your creche-tutors.
                * You also make up some particularly nasty bits just to scare {agent.himher}.
                agent:
                    !impressed
                    Yeah, OK. You know your stuff.
                player:
                    So I don't owe you a tithe?
                agent:
                    !bashful
                    Actually, I was just shaking you down for drinking money.
                    The Cult don't pay as well as you'd think.
                player:
                    !happy
                    I respect the effort, friend, but you really do need to up your game if you're going to grift a grifter.
                    !cruel
                    Now get out of here before I get any ideas about reporting you for heresy.
                agent:
                    !exit
            ]],
            
            DIALOG_NEGOTIATE_FAILURE = [[
                * Your parents spent a small fortune on a series of sour-faced Cult tutors when you were young, trying to instill a working knowledge of the faith on you and your siblings.
                * You probably should have paid more attention.
                agent:
                    !dubious
                    You really don't know what you're talking about, do you?
                player:
                    !neutral
                    Is it that obvious?
                agent:
                    Hand over the tithe, grifter, before things get physical.
            ]],

            OPT_REFUSE = "Demand money",
            DIALOG_REFUSE = [[
                player:
                    I have a counter-proposal...
                    !fight
                    I kick your arse, and see if any money falls out.
                agent:
                    !exit
            ]],
            DIALOG_WON = [[
                {dead?
                    * {agent} is dead. You wonder what Hesh would think about that.
                    player:
                        !hesh_greeting
                    * You're pretty sure Hesh wouldn't care.
                }
                {not dead?
                    agent:
                        !right
                        !scared
                    player:
                        !angry
                        Who are you afraid of now?
                    agent:
                        Y-you?!
                    player:
                        !happy
                        Smart little Heshie. 
                        !cruel
                        Now get out of here, before my wrathfulness overcomes my natural slothfulness.
                    agent:
                        !exit
                    * You continue, untroubled by the Cult.
                }
            ]],

            OPT_GIVE_MONEY = "Give a tithe",
            DIALOG_GIVE_MONEY = [[
                player:
                    Who am I to refuse the whims of Hesh?
                    !give
                agent:
                    Really?
                    !take
                    I mean, yes. Exactly right.
                * You watch your hard-earned money walk away.
            ]],
        }
        :Fn(function(cxt)
            
            local amt = cxt.quest:GetRank()*60

            if cxt:FirstLoop() then
                cxt.quest:Complete()
                local monsters = CreateCombatParty("HESH_PATROL", cxt.quest:GetRank(), cxt.location)
                cxt:TalkTo(monsters[1])
                cxt:Dialog("DIALOG_INTRO")
            end

            cxt:RunLoop(function() 

                cxt:Opt("OPT_NEGOTIATE")
                    :Dialog("DIALOG_NEGOTIATE")
                    :Negotiation{}
                        :OnSuccess()
                            :Dialog("DIALOG_NEGOTIATE_SUCCESS")
                            :Travel()
                        :OnFailure()
                            :Dialog("DIALOG_NEGOTIATE_FAILURE")

                cxt:Opt("OPT_REFUSE")
                    :Dialog("DIALOG_REFUSE")
                    :Battle{}
                        :OnWin()
                            :Dialog("DIALOG_WON")
                            :Travel()

                cxt:Opt("OPT_GIVE_MONEY")
                    :DeliverMoney( 10 )
                    :Dialog("DIALOG_GIVE_MONEY")
                    :Travel()
            end)
        end)

