
local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT,
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
}

:AddOpinionEvents{
    did_not_help = {
        delta = OPINION_DELTAS.DISLIKE,
        txt = "Did not defend them from the Cult",
    },
    rescued = {
        delta = OPINION_DELTAS.MAJOR_GOOD,
        txt = "Saved them from a Cult beating",
    }
    --]]
}


local convo = QDEF:AddConvo()
    :ConfrontState("CONFRONT", function(cxt) return cxt.location:HasTag("in_transit")  end)
        :Loc{
            
            DIALOG_INTRO = [[
                * The streets are often slick with salt brine, but the commotion is new. 
                * You're too curious not to look, so you follow the ruckus to its end and find a Spark Baron locked in a Luminitiate's unforgiving grapple.
                spark:
                    !left
                    !injured
                lumin:
                    !right
                    !angry
                    !cruel
                    Heathen feet don't belong on anointed soil.
                    What are you here for, Baron? You trying to poison the behemoth? 
                spark:
                    !spit
                    I live here, you idiot! I pay my tithes, same as any other resident.
                * You don't make an effort to hide your amusement, and that's enough to draw their attention.
                player: 
                    !happy
                    !left
                
                {liked?
                    lumin:
                        Step carefully, {player}. You have no idea what nefarious toxins these heretics carry.
                }
                
                {not liked?
                    lumin:
                        !point
                        You with {spark.himher}, grifter? Here to help {spark.himher} taint the waters?
                }

        ]],

            OPT_ASK_LUMIN = "Ask {lumin} what {spark} did",
            DIALOG_ASK_LUMIN = [[
                player:
                    Barons were moving in to the Foam even when I was last here.
                    S'what comes from them having the shills for it.
                    What did this one do to make you so angry?
                
                {liked?
                    lumin:
                        !laugh
                        Barons are nothing but scavenging opportunists. 
                        They look at the behemoth and see nothing but profit.
                        They're saboteurs, not neighbors.
                    player:
                        Huh.
                        Not sure that's how that works, but then, I've never been the neighborly type myself.
                }
                
                {not liked?
                    lumin:
                        If you have to ask, then it's clear you don't walk in the shallows.
                        Unbelievers and abominations walk hand in hand.
                        I suggest you leave before I deal with you, as well.
                }
            ]],

            OPT_ASK_SPARK = "Ask {spark} why {lumin} is angry",
            DIALOG_ASK_SPARK = [[
                * You turn to {spark}.
                spark:
                    !right
                    !injured
                player:
                    You gotta be stupid to mess with the Cult on their own turf, right?
                spark:
                    This is Pearl-on-the-Foam! Not Supplicant City.
                    What difference does it make if it's me or a pilgrim? 
                    The behemoth rots on the beach while they tap it for lumin and make grand statements.
                    But we could actually be <i>learning</i> something from the creature, if we act fast.
                player:
                    Ah, so you <i>are</i> messing with the blob, huh?
                lumin:
                    !right
                    !threaten
                    The truth comes out!
            ]],

            OPT_CONVINCE_LET_GO = "Convince {lumin} to let {spark} go",
            DIALOG_CONVINCE_LET_GO = [[
                player:
                    Alright, I get your problem. But those bruises speak for themselves, huh?
                    You've taught the Baron a lesson. So why not just let {spark.himher} go?
            ]],
            DIALOG_CONVINCE_LET_GO_SUCCESS = [[
                player:
                    I'm not much of a diplomat, but the Spark Barons and the Cult got a truce, yeah?
                    If you kill this one then I'm pretty sure that's gonna make at least one of your superiors pretty angry.
                lumin:
                    !angry_shrug
                    If Hesh wills it...
                player:
                    Then there wouldn't be a truce?
                lumin:
                    ...
                    !sigh 
                    I suppose you're right. 
                spark:
                    !left
                    !injured
                lumin:
                    !threaten
                    You're living here on borrowed time, {spark}.
                    Best run back to Grout Bog before we seize your assets and bar your kind for good.
                    !exit
                player:
                    !left
                * {lumin} turns on {lumin.hisher} heel, and marches off in a haze of self-righteousness.
                spark:
                    !right
                    !injured
                    I wouldn't call that a happy ending. But it's not an ending at all, and that's happy enough for me.
            ]],
            DIALOG_CONVINCE_LET_GO_FAILURE = [[
                player:
                    What harm can {spark.heshe} do, anyhow?
                {liked?
                    lumin:
                        Plenty. You are soft-hearted, {player}, and I can't hold that against you.
                        But I also can't allow {spark.himher} to desecrate a miracle.
                }

                {not liked?
                    lumin:
                        Plenty, and plenty more with soft-headed sympathizers like you in tow.
                        You have a choice, grifter. Do you walk in the shallows? Or do you thrash against the tide?
                }
            ]],

            OPT_DEFEND_SPARK = "Defend {spark}",
            DIALOG_DEFEND_SPARK = [[
                {liked?
                    player:
                        !fight
                        Sorry, {lumin}. But this ain't right, and I gotta take a stand, here.
                }
                {not liked?
                    player:
                        !fight
                        You better be good for this, {spark}!
                }
            ]],
            DIALOG_WON = [[
                {dead?
                    * {lumin} slumps to the ground, but it's not like you were in Hesh's good books anyway.
                }
                {not dead?
                    player:
                        Had enough, Heshian?
                    lumin:
                        O-only Hesh will tell. But I'll withdraw... for now.
                        !exit
                    * {lumin} limps off, quick enough to put distance between you.
                }
                player:
                    !normal
            ]],
            DIALOG_POST_WON = [[
                {dead?
                    * You give {spark}'s corpse a little kick, just to make sure. 
                    player:
                        !shrug
                    * Yup. {spark.HeShe}'s dead.
                }
                {not dead?
                    player:
                        Alright there, Baron?
                    spark:
                        !right
                        !injured
                    I wouldn't call that a happy ending. But it's not an ending at all, and that's happy enough for me.
                }
            ]],

            OPT_KEEP_WALKING = "Mind your own business",
            DIALOG_KEEP_WALKING = [[
                spark:
                    !right
                player:
                    Sorry, {spark}. This ain't my dust-up.
                    !shrug
                    Have fun with the opposing philosophies and somesuch.
                    !exit
                spark:
                    !scared
                lumin:
                    !left
                    !cruel
                    Now, where were we?
            ]],
                

        }
        :SetLooping(true)
        :Fn(function(cxt)
            
            if cxt:FirstLoop() then
                cxt.quest:Complete()

                local spark = TheGame:GetGameState():AddSkinnedAgent( "SPARK_BARON_GOON" )
                cxt:ReassignCastMember("spark", spark) --new spark baron. Nobody you can know.
                spark.health:SetPercent(.333)
                cxt.enc.scratch.hesh = CreateCombatParty("HESH_PATROL", cxt.quest:GetRank(), cxt.location, true) --could be an existing relationship
                cxt:ReassignCastMember("lumin", cxt.enc.scratch.hesh[1])
                
                cxt:TalkTo("lumin")
                cxt:Dialog("DIALOG_INTRO")
            end

            cxt:Question("OPT_ASK_LUMIN", "DIALOG_ASK_LUMIN")
            cxt:Question("OPT_ASK_SPARK", "DIALOG_ASK_SPARK")
            
            cxt:Opt("OPT_CONVINCE_LET_GO")
                :Dialog("DIALOG_CONVINCE_LET_GO")
                :Negotiation{
                    helpers = {"spark"},
                }
                    :OnSuccess()
                        :Dialog("DIALOG_CONVINCE_LET_GO_SUCCESS")
                        :Fn(function() for k,v in pairs(cxt.enc.scratch.hesh) do v:MoveToLimbo() end end)
                        :GoTo("STATE_RESCUED")
                    :OnFailure()
                        :Dialog("DIALOG_CONVINCE_LET_GO_FAILURE")

            cxt:Opt("OPT_DEFEND_SPARK")
                :Dialog("DIALOG_DEFEND_SPARK")
                :Battle{
                    allies = {"spark"},
                }
                    :OnWin()
                        :Dialog("DIALOG_WON")
                        :Fn(function() 
                            if not cxt:GetCastMember("spark"):IsDead() then
                                cxt:TalkTo("spark") 
                            end
                            cxt:Dialog("DIALOG_POST_WON")
                            for k,v in pairs(cxt.enc.scratch.hesh) do v:MoveToLimbo() end
                            if cxt:GetCastMember("spark"):IsDead() then
                                StateGraphUtil.AddLeaveLocation(cxt)
                            else
                                cxt:GoTo("STATE_RESCUED")
                            end
                        end)

            cxt:Opt("OPT_KEEP_WALKING")
                :PreIcon(global_images.back)
                :Dialog("DIALOG_KEEP_WALKING")
                :ReceiveOpinion("did_not_help", nil, "spark")
                :Travel()

        end)

    :State("STATE_RESCUED")
        :Loc{

            DIALOG_REWARD = [[
                spark:
                    !permit
                    Since you're clearly on the side of science... perhaps you'd be interested in a few of the samples I took from the beach?
                player:
                    Like guts and stuff? Sounds gross.
                spark:
                    Only if you're insufficiently curious. 
                    Go on, take a look.
            ]],
            DIALOG_POST_LOOT = [[
                player:
                    !thought
                    Guess that behemoth was a bottom-feeder, huh?
                spark:
                    Not a bad hypothesis. 
                    But only research can say for certain.
                    !exit
                * {spark} leaves you to contemplate the belly of the beast.
            ]]
        }
        :Fn(function(cxt)
            
            cxt:TalkTo("spark")
            cxt:Dialog("DIALOG_REWARD")
            cxt:GetAgent():OpinionEvent(cxt.quest:GetQuestDef():GetOpinionEvent("rescued"))
            local loot = {money = 0, items = {"krill_ichor", "lumicyte_dorsal_spines", "heshian_amulet"}}
            cxt.enc:AwardLoot(loot, { found=true } )

            cxt:Dialog("DIALOG_POST_LOOT")
            StateGraphUtil.AddLeaveLocation(cxt)

        end)