local QDEF = QuestDef.Define
{
    qtype = QTYPE.EVENT,
    spawn_event_mask = QEVENT_TRIGGER.TRAVEL,
}

:AddOpinionEvents{
    participated_in_scam = 
    {
        delta = OPINION_DELTAS.LIKE,
        txt = "Went along with their obvious, and inept scam",
    },
}

local convo = QDEF:AddConvo()
    :ConfrontState("CONFRONT", function(cxt) return cxt.location:HasTag("in_transit")  end)
        :Loc{
            
            DIALOG_INTRO = [[
                player:
                    !left
                * You find a small bag, looking sad and lonesome on the ground.
                player:
                    !thought
                * Someone even took the time to write "munney" on it, in unpracticed letters.
            ]],

            OPT_TAKE_THE_MONEY = "Take the bag of munney",
            DIALOG_TAKE_THE_MONEY = [[
                player:
                    There there, little guy. I'll take you home.
                * The bag looks plump, but when you pull it open there's not much inside except wadding and a couple of clinking shills.
            ]],
            DIALOG_TAKE_THE_MONEY_2 = [[
                * The sound seems enough to draw a switch from thin air. 
                agent:
                    !right
                    !cruel
                    Ha! Caught you red-handed, thief!
                player:
                    !dubious
                    Say what now?
                agent:
                    That's stolen money! You stole it!
                    Now I'm going to arrest you!
            ]],
            

            OPT_ASK_ABOUT_MONEY = "Ask about the money",
            DIALOG_ASK_ABOUT_MONEY = [[
                player:
                    How do you figure this is stolen?
                agent:
                    !point
                    Look at it!
                    It's a bag of money labelled money!
                    Who else but a thief would be found carrying that?
            ]],

            OPT_LEAVE_THE_MONEY = "Leave it where it is",
            DIALOG_LEAVE_THE_MONEY = [[
                * You decide it's not worth the trouble.
            ]],

            OPT_GIVE_THE_MONEY_BACK = "Offer to give the money back...",
            DIALOG_GIVE_THE_MONEY_BACK = [[
                player:
                    How about I just give the money back to you?
                agent:
                    That's acceptable. 
                    But only if you give back the full amount of {scam_amt#money}.
                player:
                    Uh, I don't think so. There was only...
                agent:
                    !crossed
                    Exactly {scam_amt#money}.
            ]],
            OPT_GIVE_IT = "Hand over the money",
            DIALOG_GIVE_IT = [[
                player:
                    I'm pretty sure your math is off.
                    !give
                agent:
                    !happy
                    I'm pretty sure your face is off!
                player:
                    !disappoint
                    I—aw, forget it. Take your damn change.
                * You decide it's not worth it.
                player:
                    !exit
                * As you leave, you see {agent} set up {agent.hisher} munney trap again.
            ]],
            OPT_DO_NOT_GIVE_IT = "Reconsider",
            DIALOG_DO_NOT_GIVE_IT = [[
                player:
                    On second thought...
                agent:
                    Oh ho! You'd rather I arrest you, then?
            ]],


            OPT_CONVINCE_LET_GO = "Convince {agent} to let you go",
            
            DIALOG_CONVINCE_LET_GO = [[
                player:
                    You expect <i>that</> to hold up in court?
            ]],
            DIALOG_CONVINCE_LET_GO_SUCCESS = [[
                player:
                    Look, pal, I ain't been back to the neighborhood in a while, but you gotta know better than to pick on the havbreeds.
                    Grifters and pilgrims are one thing. But me? I come from stock. 
                    Not a good look for you.
                agent:
                    !placate
                    Oh, a noble, huh? I'll let you in on a little secret.
                    This whole thing?
                    !impressed
                    <i>It's a trap.</>
                player:
                    !dubious
                    Really! You don't say?
                agent:
                    But don't go telling anyone! We can't have the rabble learning our methods!
                player:
                    I'll keep your secret.
                    !point
                    But I'm also keeping this money!
                agent:
                    ...
                    Fair enough.
                    !exit
                * {agent} retreats, digging through {agent.hisher} pockets for more 'munney'.
            ]],
            DIALOG_CONVINCE_LET_GO_FAILURE = [[
                player:
                    As far as traps go, this one was pretty pathetic.
                agent:
                    !angry
                    T-trap? Says who? Says you!
                    Are you questioning my integrity?!
                player:
                    !dubious
                    See, that sounds like <i>another</i> trap.
                agent:  
                    !neutral
                    Correct!
                    Now, if you'd kindly put these handcuffs on...
            ]],

            OPT_DEFEND = "Defend yourself",
            DIALOG_DEFEND = [[
                player:
                    !fight
                    You're not taking me alive!
                agent:
                    !surprised_scared
                    Whoa, really?
                    !fight
                    Okay, then!
            ]],
            DIALOG_WON = [[
                {dead?
                    * {agent} is dead. {agent.HeShe}'s not the first switch you had to kill, but {agent.heshe} might have been the dumbest.
                }
                {not dead?
                    agent:
                        !injured
                        Okay, okay, geez! You can go!
                        You can even keep the money! So's there's no hard feelings!
                    player:
                        !neutral
                        Gee, thanks. I'll try not to spend it all in one place.
                }
            ]],


        }
        :SetLooping(true)
        :Fn(function(cxt)
            
            local amt = 30
            cxt.quest.param.scam_amt = amt*2

            cxt.quest:Complete()
            cxt:Dialog("DIALOG_INTRO")
            
            cxt:Opt("OPT_TAKE_THE_MONEY")
                :Dialog("DIALOG_TAKE_THE_MONEY")
                :ReceiveMoney(amt)
                :Fn(function() 
                    local ads =  CreateCombatParty("ADMIRALTY_PATROL", cxt.quest:GetRank(), cxt.location, true) --could be an existing relationship
                    cxt:TalkTo(ads[1])
                    cxt:Dialog("DIALOG_TAKE_THE_MONEY_2")
                    cxt:RunLoopingFn(function() 
                        cxt:Question("OPT_ASK_ABOUT_MONEY", "DIALOG_ASK_ABOUT_MONEY")

                        cxt:Opt("OPT_GIVE_THE_MONEY_BACK")
                            :Dialog("DIALOG_GIVE_THE_MONEY_BACK")
                            :IsHubOption(true)
                            :Fn(function() 
                                
                                cxt:Opt("OPT_GIVE_IT")
                                    :ReceiveOpinion("participated_in_scam")
                                    :Dialog("DIALOG_GIVE_IT")
                                    :DeliverMoney(cxt.quest.param.scam_amt, {no_scale=true})
                                    :Travel()
                                
                                cxt:Opt("OPT_DO_NOT_GIVE_IT")
                                    :PreIcon( global_images.back )
                                    :Dialog("DIALOG_DO_NOT_GIVE_IT")
                            end)

                        cxt:Opt("OPT_CONVINCE_LET_GO")
                            :Dialog("DIALOG_CONVINCE_LET_GO")
                            :Negotiation{}
                                :OnSuccess()
                                    :Dialog("DIALOG_CONVINCE_LET_GO_SUCCESS")
                                    :Travel()
                                :OnFailure()
                                    :Dialog("DIALOG_CONVINCE_LET_GO_FAILURE")

                        cxt:Opt("OPT_DEFEND")
                            :Dialog("DIALOG_DEFEND")
                            :Battle{flags = BATTLE_FLAGS.SELF_DEFENCE}
                                :OnWin()
                                    :Dialog("DIALOG_WON")
                                    :Travel()

                    end)

                end)
            

            cxt:Opt("OPT_LEAVE_THE_MONEY")
                :Dialog("DIALOG_LEAVE_THE_MONEY")
                :PreIcon( global_images.back )
                :Travel()


        end)

