local QDEF = QuestDef.Define{
    title = "Swamp Cache",
    icon = engine.asset.Texture("icons/quests/swamp_schematics.tex"),
    qtype = QTYPE.SIDE,
    tags = {"manual_spawn"},
    
}

:AddLocationCast{
    cast_id = "location",
    cast_fn = function(quest, t)
        table.insert(t,  quest:SpawnTempLocation("FOREST_LOCATION"))
    end,
}

:AddObjective{
    id = "investigate",
    state = QSTATUS.ACTIVE,
    hide_in_overlay = true,
    title = "Swamp Cache",
    desc = "Your Swamp Schematics showed a hidden weapons cache here.",
    mark = {"location"},
    terminal = true
}

:AddLocationDefs{
    FOREST_LOCATION = {
        name = "In The Bog",
        map_tags = {"forest"},
        plax = "EXT_Bog_Forest_01",
        indoors = false,
    },
}
QDEF:AddConvo():ConfrontState("CONFRONT", function(cxt) return cxt.location == cxt.quest:GetCastMember("location") end)
    :Loc{
        DIALOG_INTRO = [[
            player:
                !left
            * You follow the instructions on your Swamp Schematics and eventually find a small chest of weapons.
        ]],
        OPT_TAKE_ITEM = "Pick up {1#card}",
        OPT_LEAVE = "Leave the rest",
        DIALOG_LEAVE = [[
        * You leave the rest of the items in the bog and continue on your way.
        ]],
    }
    :Fn(function(cxt)
        if cxt:FirstLoop() then
            cxt.quest:Complete()
            cxt:Dialog("DIALOG_INTRO")
        end

        local cards = {}
        for i,card in ipairs(BattleCardCollection.AllLocalItems():Pick(4)) do
            table.insert(cards, card.id)
        end
        cxt:RunLoopingFn(function()
            if #cards == 0 then
                StateGraphUtil.AddLeaveLocation(cxt)
            else
                for i,card in ipairs(cards) do
                    cxt:Opt("OPT_TAKE_ITEM", card)
                    :Fn(function(cxt)
                        cxt:GainCards({card})
                        table.remove(cards, i)
                    end)
                end

                cxt:Opt("OPT_LEAVE")
                    :Dialog("DIALOG_LEAVE")
                    :Travel()
            end
        end)
    end)
