local QDEF = QuestDef.Define{
        title = "A Very Cold Dish",
        qtype = QTYPE.SIDE,
        rank = {1, 5},
        desc = [[{andwanette} wants you to help {andwanette.himher} get revenge on some old business partners.]],
        icon = engine.asset.Texture("icons/quests/side_smith_a_very_cold_dish.tex"),
        --disabled = true,
        focus = QUEST_FOCUS.BALANCED,
        tags = {"ANDWANETTE_JOB"},
        act_filter = "SMITH",

        --this is a little bit of boilerplate that lets us test the quest directly from the quest menu
        on_debug_start = function(quest)
            TheGame:GetGameState():GetCaravan():MoveToLocation(TheGame:GetGameState():GetLocation("PEARL_OSHNUDROME"))
            UIHelpers.DoSpecificConvo( quest:GetCastMember("andwanette"), "DEBUG_SIDE_JOB", "STATE_RUN_JOB", nil, quest )
        end,

        collect_agent_locations = function(quest, t)
            --table.insert (t, { agent = quest:GetCastMember("assassin"), location = quest:IsActive("meet_assassin_post_kill") and quest:GetCastMember("cliffside") or quest:GetCastMember("park"), role = CHARACTER_ROLES.VISITOR} )
        end,

        avoids = {
        }
    }

    :AddCastByAlias{
        cast_id = "andwanette",
        alias = "ANDWANETTE",
        provider = true,
        no_validation = true,
    }


    :AddDefCastSpawn("merchant", "WEALTHY_MERCHANT")
    :AddDefCastSpawn("priest", "PRIEST")
    :AddDefCastSpawn("admiralty", "ADMIRALTY_PATROL_LEADER")

    
    :AddObjective{
        id = "start",
        hide_in_overlay = true,
        
        on_activate = function(quest) 
            quest:Activate("deal_with_merchant")
            quest:Activate("deal_with_admiralty")
            quest:Activate("deal_with_priest")
        end,

        events = {
            quests_changed = function(quest, event_quest) 
                if event_quest == quest then
                    if quest:IsComplete("deal_with_merchant") and quest:IsComplete("deal_with_admiralty") and quest:IsComplete("deal_with_priest") then
                        quest:Complete('start')
                    end
                end
            end           
        },
        on_complete = function(quest)
            quest:Activate("return_to_anwanette")
        end,

    }

    :AddObjective{
        id = "deal_with_merchant",
        title = "Get money from {merchant}",
        desc = "{merchant} bankrolled the heist. Make {merchant.himher} pay!",
        mark = {"merchant"},
        collect_agent_locations = function(quest, t)
            table.insert (t, { agent = quest:GetCastMember("merchant"), location = quest:GetCastMember("merchant_place")} )        
        end,
    }

    :AddObjective{
        id = "deal_with_admiralty",
        title = "Beat up {admiralty}",
        desc = "{admiralty} was the muscle. Make {admiralty.himher} hurt!",
        mark = {"admiralty"},
        collect_agent_locations = function(quest, t)
            table.insert (t, { agent = quest:GetCastMember("admiralty"), location = quest:GetCastMember("admiralty_place")} )        
        end,
    }


    :AddObjective{
        id = "deal_with_priest",
        title = "Expose {priest}",
        desc = "{priest} was the person on the inside. Expose {priest.himher}!",
        mark = {"priest"},
        collect_agent_locations = function(quest, t)
            table.insert (t, { agent = quest:GetCastMember("priest"), location = quest:GetCastMember("priest_place")} )        
        end,
    }
    

    :AddObjective{
        id = "return_to_anwanette",
        title = "Return to {andwanette}",
        desc = "The issues have been contained. Go tell {andwanette} the good news.",
        mark = {"andwanette"},
    }


    :AddQuestLocation{
        cast_id = "priest_place",
        name = "Heshian Gathering",
        plax = "EXT_SMITH_BEACHCREATURE",
        map_tags = {"beach"},
    }

    :AddQuestLocation{
        cast_id = "merchant_place",
        name = "Shady Dock",
        plax = "EXT_SMITH_WARF",
        map_tags = {"port"},
        indoors = false,
    }


    :AddQuestLocation{
        cast_id = "admiralty_place",
        name = "Busy Streetcorner",
        plax = "EXT_SMITH_Nightlife_Street",
        map_tags = {"street"},
        indoors = false,
    }
    

------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------
    

    :AddOpinionEvents{
        discredited = 
        {
            delta = OPINION_DELTAS.MAJOR_BAD,
            txt = "Discredited them in front of their flock",
        },
        
        ruined_deal = 
        {
            delta = OPINION_DELTAS.MAJOR_BAD,
            txt = "Ruined their business deal",
        },
        got_arrested =
        {
            delta = OPINION_DELTAS.MAJOR_BAD,
            txt = "Got them arrested by their own patrol",
        },
        freed_them_from_arrest = 
        {
            delta = OPINION_DELTAS.MAJOR_GOOD,
            txt = "Fought to save them from arrest",
        },

    }

------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------

QDEF:AddIntro(
    --attract spiel
    [[
        andwanette:
            Some former, ah, <i>colleagues</i> of mine have been making waves in the gossip columns.
            Now, I'm not one to hold a grudge, of course, but "colleague" is a euphemism.
        player:
            Let me guess. You actually hate 'em?
        andwanette: 
            No, no. Hate is far too common.
            It's a deep, succulent, long-cultivated loathing. 
            Since the public eye is upon them, now would be an <i>excellent</i> time to serve them a come-uppance. 
            Our falling out was much discussed--if they were to suffer now, I'd surely be asked to comment.
    ]],
    
    --on accept
    [[
        andwanette:
            Now just to be clear, because I suspect you might be overeager: this isn't a "hit", as you might call it.
            It's a <i>character assassination</i>. We're not killing our enemies, dear, we're simply destroying them. 
            The beasts have scattered like droppings, of course, but you'll find one in the Cult, one in the Admiralty, and one in the merchant district.
    ]],
    "start")

--just a lil' bit of that hot goss...
QDEF:AddConvo(nil, "andwanette")
    :Loc{
        
        OPT_ASK_ABOUT_PRIEST = "Ask about the Heshian",
        DIALOG_ASK_ABOUT_PRIEST = [[
            player:
                What did the Heshian do? Accidentally wear the same snotty expression at a party?
            andwanette:
                Very droll. I was invited to dine at the estate of an esteemed Spark Baron.
                So I dressed in relics, of course: a headdress made of automech, and spark upon my brow.
                Only it turns out, as {priest} neglected to warn me, that the Baron's property had been seized by the Cult.
                My <i>actual</i> host was a Deltrean emissary who had leased the property for their Havarian sojourn.
            player:
                Hah! That's a good prank.
            andwanette:
                No doubt {priest} thought the same. 
        ]],

        OPT_ASK_ABOUT_ADMIRALTY = "Ask about the Admiralty",
        DIALOG_ASK_ABOUT_ADMIRALTY = [[
            player:
                What's up with the Admiralty? You run afoul of the law?
            andwanette:
                Never! Though I'm prized by hosts for the risque atmosphere I contribute to a gathering.
                {admiralty} once gifted me an exquisite diadem, which I promptly wore to a lawn banquet. 
                Little did I know, the guest of honor had gifted that very same diadem to {admiralty}--and the transience of the gift revealed the fickle state of {admiralty.hisher} affections.

        ]],
        
        OPT_ASK_ABOUT_MERCHANT = "Ask about the merchant",
        DIALOG_ASK_ABOUT_MERCHANT = [[
            player:
                You hate a merchant? Did they sell you a fake or something?
            andwanette:
                Why, yes. Exactly so.
            player:
                Huh. I guessed right?
            andwanette: 
                Sometimes it really is as simple as that. 
        ]],
    }
    :Hub(function(cxt) 
        if cxt.quest:IsActive("deal_with_priest") then
            cxt:Question("OPT_ASK_ABOUT_PRIEST", "DIALOG_ASK_ABOUT_PRIEST")
        end
        if cxt.quest:IsActive("deal_with_admiralty") then
            cxt:Question("OPT_ASK_ABOUT_ADMIRALTY", "DIALOG_ASK_ABOUT_ADMIRALTY")
        end
        if cxt.quest:IsActive("deal_with_merchant") then
            cxt:Question("OPT_ASK_ABOUT_MERCHANT", "DIALOG_ASK_ABOUT_MERCHANT")
        end
    end)



QDEF:AddConvo("deal_with_priest", "priest")
    :ConfrontState("CONF")
        :Loc{
            DIALOG_INTRO = [[
                {first_time?
                    * It's always the flip of a coin whether you'll find a Heshian tending to the wounded, or berating them.
                    * {priest}, when you find {priest.himher}, seems to be engaged in the former.
                    player:
                        !left
                        !happy
                        'Scuse me, your brininess. 
                        Got a moment for a poor reprobate like me?                   
                    agent:
                        !right
                        !dubious
                        Are you from the daily columns? The piece you published yesterday brought many pilgrims. 
                    player:
                        Uh, yeah. Sure. Mind if I ask some questions?
                        The readers want a follow-up. 
                    agent:
                        The water is inviting, if you walk in the shallows, my child.
                }
                {not first_time?
                    player:
                        !left
                    agent:
                        !right
                        I see you've returned, grifter.
                }
            ]],

            OPT_Q1 = "Ask what {agent} is doing",
            DIALOG_A1 = [[
                player:
                    You look pretty busy. 
                agent:
                    Ah, yes. I opened this clinic shortly after the Beaching, and the influx of pilgrims has kept me occupied.
                player:
                    Ain't there any other Heshians around who can take a load off?
                agent:
                    The Abyss reaches for each of us in our own time, child. My actions are the compulsion of Hesh's whims.
                    And the actions of my peers are the same. It's not my place to summon, or to judge.
                    The tides will go where they will. 
            ]],
            OPT_Q2 = "Ask about {andwanette}",
            DIALOG_A2 = [[
                player:
                    I hear you were quite the prankster back in the day, huh?
                agent:
                    Ah, yes. I did like my japes. 
                    One of the reasons I was drawn to Hesh was because the Cult taught me that everything happens for a reason.
                    If someone suffered because of my actions, that was not my will, but Hesh's. 
                    The Abyss gives us purpose. Then, I was an agent of malice--I punished the wicked.
                player:
                    Oh yeah? And what did "wickedness" look like?
                agent:
                    Vanity and pride are frequent vices in this part of the world. 
                    Social climbers were especially displeasing: havbreeds with no Deltrean connections, greedily clawing their way to favor.
                    Hesh puts us in our place, and fighting the current only disturbs the waters.
            ]],


            OPT_DISCREDIT = "Discredit {agent} in front of the workers",
            DIALOG_DISCREDIT = [[
                player:
                    Well, this is a good operation. With all these folks indebted to you, you stand to make a tidy profit.
                agent:
                    I beg your pardon?
                player:
                    The Spark Barons! Grout Bog! Ringing any bells? You promised them a shipment of grifters and their debts. 
                    Or do you not remember signing that contract, huh?
            ]],
            DIALOG_DISCREDIT_SUCCESS = [[
                player:
                    Look, if we don't have these people in shackles in the next hour then I'll be behind schedule.
                    Then I gotta dock your pay. 
                agent:  
                    !scared
                    But... but!
                worker:
                    !right
                    !angry
                    Hey, is that all true? {agent.HeShe} was gonna try and sell off our debts?
                    Thought this was a charity service!
                player:
                    Didn't you hear {agent.himher}? Nothing's for free in this world.
                    Hesh puts you in your place for a reason.
                worker:
                    Hah! Guess that reason is the Cult's coffers. 
                    We're out of here!
                    !exit
                * The pilgrims leave with enough commotion that it won't be long before the real press arrives to document.
            ]],
            DIALOG_DISCREDIT_PST = [[
                agent:
                    !right
                player: 
                    !left
                    !happy
                    Chin up, pal. It's just a prank.
                    {andwanette} sends her regards.
                agent:
                    !angry
                    Ah. Suddenly everything seems clear.
                    I suppose she didn't warn you that I used to be quite the duelist, hm?
                    !fight
                    My gut tells me Hesh would like to see you killed for this slight.
            ]],
            DIALOG_DISCREDIT_FAILURE = [[
                player:
                    Remember that deal you made? With the Spark Barons? 
                    Where you would get these poor slabs into indentured contracts?
                agent:
                    No, I don't. Because I have no idea what you're talking about.
                    These people owe me nothing, they have signed no contract.
                    I don't even know their names. 
                    What <i>is</> your angle, anyway?
            ]],

            OPT_DEFEND = "Defend yourself!",
            DIALOG_DEFEND = [[
                player:
                    !fight
                    Alright, we can do this if you want to.
            ]],

            DIALOG_WON_DEFEND = [[
                {dead?
                    * {agent} is dead. That's not what {andwanette} wanted, but this probably will get covered in the papers.
                }
                {not dead?
                    agent:
                        !injured
                        Stop this at once. Hesh doesn't wish me to die today.
                    player:
                        !shrug
                        Yeah? Then he shouldn't have "willed you" to throw the first punch.
                    agent:
                        !exit
                }
            ]],

            OPT_ATTACK = "Attack {agent}",
            DIALOG_ATTACK = [[
                player:
                    Uh, well...
                    !fight
                    {andwanette} says you need some bruises to go with your true colors!
                agent:
                    !scared
                    Is that it? You seek revenge for a pretender to greatness?
                    Hesh has other plans for me, I'm afraid.

            ]],
            DIALOG_WON_ATTACK = [[
                {dead?
                    * {agent} is dead. {andwanette} didn't want you to go that far, but you do what you want, regardless of the tides.
                }
                {not dead?
                    agent:
                        !injured
                        Please, don't hurt us any more.
                        If Andwanette wants to see me discredited, then it's done. 
                        Release me once more to the tides.
                    player:
                        !neutral
                        You Heshians always have the weirdest way of figurin' what <i>is</i> or <i>isn't</i> Hesh's will.
                        Who's to say <i>you</i> haven't been shown your place, huh?
                    agent:
                        !exit
                    * The remnants of the flock disperse. Your work here is done.
                }
            ]]
        }
        :Fn(function(cxt) 
            cxt.quest.param.priest_workers = cxt.quest.param.priest_workers or CreateCombatBackup(cxt:GetAgent(), {"LABORER", "HEAVY_LABORER"})
            local enemies = {cxt:GetAgent()}
            for k,v in ipairs(cxt.quest.param.priest_workers) do
                table.insert(enemies, v)
            end

            cxt:ReassignCastMember("worker", cxt.quest.param.priest_workers[1])
            cxt:Dialog("DIALOG_INTRO")
            cxt:RunLoop(function() 

                cxt:Question("OPT_Q1", "DIALOG_A1")
                cxt:Question("OPT_Q2", "DIALOG_A2")

                cxt:BasicNegotiation("DISCREDIT", {hinders = cxt.quest.param.priest_workers})
                    :OnSuccess()
                        :ReceiveOpinion("discredited")
                        :Dialog("DIALOG_DISCREDIT_PST")
                        :Fn(function() 
                            cxt.quest.param.priest_disgraced = true
                            for k,v in pairs(cxt.quest.param.priest_workers) do v:MoveToLimbo() end
                            cxt:Opt("OPT_DEFEND")
                                :Dialog("DIALOG_DEFEND")
                                :Battle{flags = BATTLE_FLAGS.SELF_DEFENCE}
                                    :OnWin()
                                        :CompleteQuest("deal_with_priest")
                                        :Dialog("DIALOG_WON_DEFEND")
                                        :Fn(function() 
                                            if cxt:GetAgent():IsDead() then
                                                cxt.quest.param.priest_killed = true
                                                cxt.quest.param.priest_disgraced = false
                                            end
                                        end)
                                        :Travel()

                        end)

                cxt:Opt("OPT_ATTACK")
                    :Dialog("DIALOG_ATTACK")
                    :Battle{ enemies = enemies}
                        :OnWin()
                            :CompleteQuest("deal_with_priest")
                            :Dialog("DIALOG_WON_ATTACK")
                            :Fn(function() 
                                if cxt:GetAgent():IsDead() then
                                    cxt.quest.param.priest_killed = true
                                else
                                    cxt.quest.param.priest_beat = true
                                end
                            end)
                            :Travel()

                StateGraphUtil.AddLeaveLocation(cxt)
            end)
        end)


QDEF:AddConvo("deal_with_merchant", "merchant")
    :ConfrontState("CONF")
        :Loc{
            DIALOG_INTRO = [[
                {first_time?
                    * You find {merchant} exactly where you'd expect a money-grubber to be--yoke-deep in a negotiation with jakes.
                    jake:
                        !left
                    agent:
                        !right
                        !happy
                        What I am proposing is exclusivity. 
                        Channel my goods and <i>block</i> my competitor's.
                    jake:
                        And why would we do that when we can take a cut of both?
                    agent:
                        <i>Because</i> I'm going to ruin him! And then my goods will be more successful!
                    jake:
                        Kinda relies on us doing what you want though, doesn't it?
                    player:
                        !left
                        !cough
                        Uh, hey, either one of you {merchant}?
                    agent:
                        !dubious
                        Yes? What do you--
                        Oh! Are you with that firm? The one that handles, ah... what was it... public relations?
                    player:
                        Uh, sure. Yeah. That sounds like a thing.
                        Just need to get some information from you and I can start...
                        Relating you. To the public.
                }
                {not first_time?
                    player:
                        !left
                    agent:
                        !right
                        Back to it, eh?
                }
            ]],

            OPT_Q1 = "Ask what {agent} is doing",
            DIALOG_A1 = [[
                player:
                    So, uh, what is it I can help you with?
                agent:
                    Well, a fellow I know in New Deltree started a rather novel business idea--
                    Imagine a pot made of humble terracotta.
                player:
                    Okay...
                agent:
                    But to appeal to an elite clientele, the pot is cast in the most unique of shapes! 
                    An oshnu, perhaps, or even a yote pup! Elevated from your lowly farmer's pot.
                    But you sow it with small seeds, water it but infrequently--and voila! Your terracotta oshnu is now covered in moss!
                player:
                    ... that's the idea? The whole idea?
                agent:
                    It's brilliant! So naturally, I took it for my own.
                    Obviously, the idea was very profitable. And <i>I</i> wanted those profits.
                    Unfortunately the original creator is trying to pursue me. Legally!
                player:
                    Huh. What would that look like?
                agent:
                    I have no idea. Can you even imagine the chaos such a precedent would wreak upon the entrepreneurial spirit?
                    All the same, I feel like this could tarnish my reputation before sales can really take flight. 
                    Though that may be leaping before the ledge, considering I'm still in delicate negotiations with these jakes.

            ]],
            OPT_Q2 = "Ask about {andwanette}",
            DIALOG_A2 = [[
                player:
                    I suppose your business has usually been on the level, yeah?
                    Never sold any forgeries, or taken advantage of customers?
                agent:
                    What? N-no, never!
                    I'm completely legitimate, and these "Cheapa Pets", as I'm calling them, are guaranteed to work every time.
                * You don't know anything about terracotta pots, but you do know a liar.
            ]],


            OPT_DISCREDIT = "Spoil the deal",
            DIALOG_DISCREDIT = [[
                player:
                    Really? 'Cause I have it on good authority that you peddle cheap counterfeits.
                    Seems to me any business of yours would be a dead end, once word got out.
                agent:
                    Blasphemy! Who said this?
            ]],
            DIALOG_DISCREDIT_SUCCESS = [[
                player:
                    I have it on good authority from my own brother, Theroux.
                    Master tradesman. You know him?
                    He said he wouldn't go anywhere near a stinker like you.
                agent:
                    How <i>dare</i> you! 
                jake:
                    !right
                    Yeah, I think we're done here, mate.
                    !exit
                * The jakes leave {agent} holding the bag.
                agent:
                    !right
                    I've never even <i>worked</i> with Theroux Banquod.
                player: 
                    !left
                    !happy
                    No, but this time tomorrow, {andwanette}'s gonna be his wife.
                    Maybe he'll reach out to that terracotta pot guy, and see if he wants distribution.
                agent:
                    This idea isn't over! My Cheapa Pets will dominate the market!
                player:
                    Yeah, yeah. Get outta here before I dominate your face.
                agent:
                    !exit
                player:
                    That's what I thought!

            ]],
            DIALOG_DISCREDIT_FAILURE = [[
                player:
                    Just what I heard. You jakes don't wanna work with a counterfeiter, do you?
                jake:
                    !right
                    Doesn't make much difference to me, if the goods sell all the same.
                    Hey, {merchant}. You got one of those terracotta pots?
                    Sounds like a good present for me maw.
                agent:
                    !right
                    !handwring
                    Yes, yes, of course! Happy to provide you with a free sample. 
                    And as for <i>you</i>...
                    I'm not sure I'll be needing your "Public Relations" services if that's the kind of attitude you bring. 
            ]],

            OPT_ATTACK = "Attack {agent}",
            DIALOG_ATTACK = [[
                player:
                    !fight
                    Maybe I'm just here to cause a scene, huh?
                    What would you prefer I break? The pots, or your face?
                agent:
                    !scared
                    H-hey! You can't do that here. This is a jake space!
                player:
                    A what space?
                jake:
                    !right
                    !threaten
                    If {merchant}'s payin', then we're protecting. 
            ]],
            DIALOG_WON_ATTACK = [[
                {dead?
                    * {agent} is dead. That's a little more revenge than {andwanette} ordered. 
                }
                {not dead?
                    agent:
                        !right
                        !injured
                        Please, I beg of you!
                        I'll drop the business proposal, if you just leave me out of it.
                    player:
                        !neutral
                        Makes no difference to me. {andwanette} on the other hand will be pretty pleased, though.
                    agent:
                        A-Andwanette? <i>She</i> sent you?!
                        All this because I sold some rouge made of bilebroker toxin?
                    player:
                        Kinda seems fair, actually.
                    agent:
                        I beg to differ! Good day, sir!
                    player:
                        What? That's all you gotta say?
                    agent:
                        I said good day!
                        !exit
                }
            ]]
        }
        :Fn(function(cxt) 
            cxt.quest.param.merchant_jakes = cxt.quest.param.merchant_jakes or CreateCombatBackup(cxt:GetAgent(), {"JAKES_RUNNER", "JAKES_LIFTER"})
            local enemies = {cxt:GetAgent()}
            for k,v in ipairs(cxt.quest.param.merchant_jakes) do
                table.insert(enemies, v)
            end

            cxt:ReassignCastMember("jake", cxt.quest.param.merchant_jakes[1])
            cxt:Dialog("DIALOG_INTRO")
            cxt:RunLoop(function() 

                cxt:Question("OPT_Q1", "DIALOG_A1")
                cxt:Question("OPT_Q2", "DIALOG_A2")

                cxt:BasicNegotiation("DISCREDIT", {hinders = cxt.quest.param.merchant_jakes})
                    :OnSuccess()
                        :Fn(function() cxt.quest.param.merchant_ruined = true end)
                        :ReceiveOpinion("ruined_deal")
                        :CompleteQuest("deal_with_merchant")
                        :Travel()
                        
                cxt:Opt("OPT_ATTACK")
                    :Dialog("DIALOG_ATTACK")
                    :Battle{ enemies = enemies}
                        :OnWin()
                            :CompleteQuest("deal_with_merchant")
                            :Dialog("DIALOG_WON_ATTACK")
                            :Fn(function() 
                                if cxt:GetAgent():IsDead() then
                                    cxt.quest.param.merchant_killed = true
                                else
                                    cxt.quest.param.merchant_beat = true
                                end
                            end)
                            :Travel()

                StateGraphUtil.AddLeaveLocation(cxt)
            end)
        end)



QDEF:AddConvo("deal_with_admiralty", "admiralty")
    :ConfrontState("CONF")
        :Loc{
            DIALOG_INTRO = [[
                {first_time?
                    * You find {admiralty} leading a patrol that seems to have had some success, as they have a bandit in tow.
                    bandit:
                        !left
                        !angry
                    agent:
                        !right
                        Settle, down, scum. 
                        !cruel
                        Wouldn't want to have to hurt you.
                    player:
                        !left
                        Good day, officer. Got a second for a law-"abiding" citizen of the Pearl?
                    agent:
                        !dubious
                        That's a strange emphasis you added there, citizen.
                        But a taxpayer has a right to Admiralty services.
                }
                {not first_time?
                    player:
                        !left
                    agent:
                        !right
                        You again? Don't you have a manager you could be complaining to somewhere?
                }
            ]],

            OPT_Q1 = "Ask what {agent} is doing",
            DIALOG_A1 = [[
                player:
                    I see you've arrested some sort of vagabond there.
                    Guess I'm wondering how a ruffian like that even got into the Pearl in the first place.
                agent:
                    A bandit, sir. They're sneaking in with the pilgrims.
                    I promise you that resident security is our highest priority at the moment.
            ]],
            OPT_Q2 = "Ask about {andwanette}",
            DIALOG_A2 = [[
                player:
                    What about you, officer? You're law-"abiding" too, right?
                agent:
                    Excuse me?
                player:
                    You'd never steal from the very people you're supposed to protect, would ya?
                    'Cause I expect that kind of behavior from the Admiralty in Murder Bay, but here in the Foam--excuse me, the <i>Pearl</i>...
                agent:
                    I don't much like what you're implying, <i>sir</i>.
                    Now if you'll excuse us...
            ]],


            OPT_ATTACK = "Help free {bandit}",
            DIALOG_ATTACK = [[
                player:
                    Hey, {bandit}. You feel like a crook?
                bandit:
                    !right
                    Naw. <i>Them's</i> the crooks. The Admiralty.
                    I'm just a pilgrim, right?
                player:
                    How about we fight some crime, then, huh?
                admiralty:
                    !right
                    !angry
                    That was your real goal, was it?
            ]],
            DIALOG_ATTACK_WON = [[
                {dead?
                    * You made your point, and a giant mess. {andwanette} isn't going to be happy that {agent} didn't survive to live in disgrace.
                }                
                
                {bandit_alive?
                    bandit:
                        !right
                        Hey, thanks for that help!
                        Didn't expect one of you Pearlies to be all right. 
                    player:
                        Yeah, well. I still wouldn't expect it.
                        Stay safe out there, bucko.
                }

                {not dead?
                    agent:
                        !right
                        !injured
                        What the Hesh do you think you're about, huh?
                        This organized crime?
                    player:
                        Naw. You'd be the one to know all about that.
                        {andwanette} sends her regards, switch.
                    agent:
                        !sigh
                        I--what? Andwanette sent you?
                        I haven't heard from her in <i>years</i>.
                        ...
                        Wait, does this mean she remembers me?
                    player:
                        Uh, I guess?
                    agent:
                        What did she say about me? Anything?
                    player:
                        Okay, I think we're done here.
                        !exit
                }

            ]],

            OPT_DISCREDIT = "Convince {agent}'s followers to arrest {agent.himher}, too",
            DIALOG_DISCREDIT = [[
                player:
                    Seems you mighta forgotten our deal there, {agent}.
                agent:
                    What deal?
                player:
                    Gonna make me spell it out for you in front of your friends, huh?
                    They on the take, too?
            ]],
            DIALOG_DISCREDIT_SUCCESS = [[
                player:
                    This bandit here belongs to the boss. We pay you specifically to stay outta our business.
                agent:
                    W-what?! I'm--I'm not on anyone's take! This is poppycock!
                ad2:
                    !left
                    {admiralty}, are you serious? You're dirty?
                agent:
                    !angry
                    This is ridiculous!
                    You know I wouldn't do that!
                    How long have you been in my patrol?!
                ad2:
                    !thought
                    ...
                    !cruel
                    Too long.
                player: 
                    !left
                    !happy
                    Looks like you should have treated your charges better, switch. 
                    But you were too much of an Oshnu's arse to them, and now they've turned on you.
                    I'm sure {andwanette} will enjoy that little detail.
                agent:
                    !angry
                    Bastard!
                    !exit
                * The patrol takes {bandit} and {agent} away.
            ]],
            DIALOG_DISCREDIT_FAILURE = [[
                ad2:
                    !right
                    The sarge is an ass, but I'm not about to throw away my career on the word of some grifter.
                agent:
                    !right
                    You're getting on my last nerve, grifter.
            ]],

            OPT_ATTACK = "Attack {agent}",

        }
        :Fn(function(cxt) 
            cxt.quest.param.admiralty_backup = cxt.quest.param.admiralty_backup or CreateCombatBackup(cxt:GetAgent(), {"ADMIRALTY_GOON", "ADMIRALTY_GOON"})
            
            cxt.quest.param.spree_bandit = AgentUtil.GetFreeAgent("BANDIT_RAIDER")
            
            local admiralty = {cxt:GetAgent()}
            for k,v in ipairs(cxt.quest.param.admiralty_backup) do
                table.insert(admiralty, v)
            end

            cxt:ReassignCastMember("ad2", cxt.quest.param.admiralty_backup[1])
            cxt:ReassignCastMember("bandit", cxt.quest.param.spree_bandit)
            
            cxt:Dialog("DIALOG_INTRO")
            
            cxt:RunLoop(function() 

                cxt:Question("OPT_Q1", "DIALOG_A1")
                cxt:Question("OPT_Q2", "DIALOG_A2")

                cxt:BasicNegotiation("DISCREDIT")
                    :OnSuccess()
                        :ReceiveOpinion("got_arrested")
                        :CompleteQuest("deal_with_admiralty")
                        :Fn(function() 
                            cxt:GetAgent():Retire()
                            cxt.quest.param.spree_bandit:Retire()
                            cxt.quest.param.admiralty_arrested = true
                        end)
                        :Travel()
                        
                cxt:Opt("OPT_ATTACK")
                    :Dialog("DIALOG_ATTACK")
                    :ReceiveOpinion("freed_them_from_arrest", nil, cxt.quest.param.spree_bandit)
                    :Battle{ enemies = admiralty, allies = {cxt.quest.param.spree_bandit}}
                        :OnWin()
                            :Fn(function() 
                                cxt.enc.scratch.bandit_alive = not cxt.quest.param.spree_bandit:IsDead()
                                if cxt:GetAgent():IsDead() then
                                    cxt.quest.param.admiralty_killed = true
                                else
                                    cxt.quest.param.admiralty_beat = true
                                end
                            end)
                            :CompleteQuest("deal_with_admiralty")
                            :Dialog("DIALOG_ATTACK_WON")
                            :Travel()

                StateGraphUtil.AddLeaveLocation(cxt)
            end)
        end)




QDEF:AddConvo("return_to_anwanette", "andwanette")
    :Loc{

        OPT_GIVE_REPORT = "Give {andwanette} your report",
        DIALOG_GIVE_REPORT = [[
            player:
                Well, sis, the deed is done. 
                Not exactly the strangest job I've ever had but... it was up there.
            agent:
                Oh, darling, you simply <i>have</i> to tell me everything. 
                Start with {priest}, the Heshian. Spare no detail.
            
            {priest_disgraced?
                player:
                    {priest.HeShe} seemed to be legit in {priest.hisher} faith.
                    But only 'cause it gave {priest.himher} an excuse for being a smug piece of work.
                    Made it look like {priest.heshe} was running a scam, and the pilgrims scattered.
                agent:
                    Hah! Nothing like a test of faith, hm? Excellent work.
            }
            {priest_beat?
                player:
                    There wasn't much to budge, spiritually. So I had to leave some bruises instead.
                agent:
                    Ah, well. Not as dramatic as I'd normally like.
                    But I hope it really stung that Hesh didn't choose to intervene.
            }
            {priest_killed?
                player:
                    Well, uh, I was just gonna rough {priest.himher} up a little...
                agent:
                    Yes?
                player:
                    But then {priest.heshe} just died.
                agent:
                    Just... died?
                player:
                    Yeah, it was the strangest thing!
                agent:
                    !facepalm
                    That... is not what we discussed. But I suppose {priest} was always weakly constitutioned. 
                player:
                    !shrug
            }

            agent:
                Now tell me what happened with {merchant}.

            {merchant_ruined?
                player:
                    Enh, {merchant.heshe} was trying to sell some business about... hairy pots?
                agent:
                    I beg your pardon?
                player:
                    I convinced the jakes that the deal was a bust. No supply lines for ol' {merchant}.
                agent:
                    {merchant.HeShe} was always weakest in {merchant.hisher} pockets.
                    Although I do feel a mite guilty, I suppose. It doesn't sound like {merchant} was of sound mind.
            }
            
            {merchant_beat?
                player:
                    Had to hit {merchant.himher} where it hurts.
                agent:
                    You mean in the pockets?
                player:
                    Huh? No.
                    !happy 
                    In the face!
                    That hurts way more than the pockets.
                agent:
                    Ah, well. One can't fault your charming enthusiasm, I suppose.

            }
            
            {merchant_killed?
                player:
                    Right, so, I was beating {merchant.himher} up...
                agent:
                    ...
                player:
                    And then {merchant.heshe} died.
                agent:
                    You understand that's what happens when you hurt someone too badly, yes?
                    It almost seems like you don't quite realize the connection between actions and consequences.
            }

            agent:
                And finally, tell me what happened to {admiralty}.

            {admiralty_arrested?
                player:
                    Well, simple. Made it out like {admiralty.heshe} was on the take from some criminal elements.
                    So the other grunts <i>had</i> to act, right?
                agent:
                    Arrested by {admiralty.hisher} own patrol! I couldn't imagine anything more delicious.
                player:
                    Really? Not even popped oshnu eyes?
                agent:
                    Not even!
            }
            {admiralty_beat?
                player:
                    {admiralty.HeShe}'s going to be off solid food for a while.
                    On account of the missing teeth.
                    And maybe the hole I punched in {admiralty.hisher} gut, too.
                agent:
                    Inelegant, but {admiralty} was always a bit of a bully.
                    But {admiralty.heshe} had the most dazzling smile.
                player:
                    Hah! Not anymore.
            }
            {admiralty_killed?
                player:
                    Hmmmm, {admiralty}?
                agent:
                    Yes? The third person you were meant to go after, you recall.
                player:
                    About yay high, dressed like an officer?
                agent:
                    Actually an officer, yes.
                player:
                    Yeah... I killed {admiralty.himher}.
                agent:
                    ...
                    I see.
                    This changes the way I'll respond to the press when questioned. 
                    But I suppose it'll have to be ... practice... for when you're finished with Theroux.
            }
        ]],

        DIALOG_GOOD = [[
            agent:
                An excellent state of affairs, I must say--I'm beginning to look forward to our future relationship, brother, dear.
                Just think of what we can accomplish at the Banquod table.
            player:
                Enh. Sometimes it was just enough to accomplish staying awake.
                But if you're happy, I'm happy.
        ]],
        DIALOG_MIXED = [[
            agent:
                I suppose we can classify this as a mixed success?
                Forgive my ambivalence, dear. It's terribly gauche, but you just haven't inspired my confidence.
                Hopefully we can fix that, hm?
        ]],
        DIALOG_BAD = [[
            agent:
                I don't want to do anything so untoward as raise my voice, Smith, but I must speak my displeasure.
                So here it is:
                I'm displeased.
            player:
                O-oh. Uh. Okay?
            agent:
                I do not wish to be displeased again. 
            player:
                Noted.
        ]],
    }
    :Hub(function(cxt) 
        
        cxt:Opt("OPT_GIVE_REPORT")
            :SetQuestMark()
            :PreIcon( global_images.hire )
            :Fn(function() 
                cxt:Dialog("DIALOG_GIVE_REPORT")
                local num_killed = (cxt.quest.param.merchant_killed and 1 or 0) + (cxt.quest.param.admiralty_killed and 1 or 0) and (cxt.quest.param.priest_killed and 1 or 0)
                
                if num_killed == 0 then
                    cxt:Dialog("DIALOG_GOOD")
                    ConvoUtil.GiveQuestRewards(cxt)
                    cxt.quest:Complete()
                elseif num_killed >= 2 then
                    cxt:Dialog("DIALOG_BAD")
                    cxt.quest:Fail()
                else
                    cxt:Dialog("DIALOG_MIXED")
                    cxt.quest.param.poor_performance = true
                    ConvoUtil.GiveQuestRewards(cxt)
                    cxt.quest:Complete()
                end
            end)


    end)

QDEF:AddTest{
    tests = {
        {name = "Random", reps = 10 }, --ehhh... should be enough
    }
}



    



