
--This quest is mechanically complete now! It will get a final dialog pass later, and we might circle back and add some followup consequences to some of the branches, if they make sense.
local QDEF = QuestDef.Define{
        title = "Forged Relics",
        qtype = QTYPE.SIDE,
        rank = {1, 5},
        desc = [[{denikus} wants you to investigate why his import business is held up.]],
        icon = engine.asset.Texture("icons/quests/side_smith_forged_relics.tex"),
        focus = QUEST_FOCUS.BALANCED,
        tags = {"DENIKUS_JOB"},
        act_filter = "SMITH",
        --this is a little bit of boilerplate that lets us test the quest directly from the quest menu
        on_debug_start = function(quest)
            TheGame:GetGameState():GetCaravan():MoveToLocation(TheGame:GetGameState():GetLocation("PEARL_OSHNUDROME"))
            UIHelpers.DoSpecificConvo( quest:GetCastMember("denikus"), "DEBUG_SIDE_JOB", "STATE_RUN_JOB", nil, quest )
        end,

        on_destroy = function(quest)
            if quest:GetCastMember("forger") and quest:GetCastMember("forger"):IsInPlayerParty() then
                quest:GetCastMember("forger"):Dismiss()
            end
        end,

        collect_agent_locations = function(quest, t)
            table.insert (t, { agent = quest:GetCastMember("importer"), location =  quest:GetCastMember("importer_camp"), role = CHARACTER_ROLES.PROPRIETOR} )
        end,

    }

    :AddCastByAlias{
        cast_id = "denikus",
        alias = "DENIKUS",
        provider = true,
        no_validation = true,
    }

    :AddDefCastSpawn("forger", "FOREMAN")
    :AddDefCastSpawn("importer", "BANDIT_RAIDER")
    
    :AddDefCast("buyer", "PRIEST")
    :AddDefCast("investigator", "ZEALOT")

------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------
    
    :AddObjective{
        id = "talk_to_importer",
        title = "Talk to {importer}",
        desc = [[Talk to {denikus}'s Spree contact {importer} to see why the goods have stopped flowing.]],
        mark = { "importer" },
        on_complete = function(quest)
            quest:Activate("talk_to_forger")
        end,
    }

    :AddObjective{
        id = "talk_to_forger",
        title = "Investigate {forger}",
        desc = [[Find out why {forger} has been so slow to produce fake relics lately.]],
        mark = { "forger" },
        collect_agent_locations = function(quest, t)
            table.insert (t, { agent = quest:GetCastMember("forger"), location =  quest:GetCastMember("forger_workshop"), role = CHARACTER_ROLES.PROPRIETOR} )
        end,

    }

    :AddObjective{
        id = "harvest_heshbladders",
        title = "Harvest Heshbladders",
        desc = [[{forger} needs some Water of Hesh to dye the relics the right shade of blue. Help {forger.himher} collect it from a colony of Heshbladders.]],
        mark = { "bladderspot" },
    }

    :AddObjective{
        id = "craft_time",
        title = "Finish the Forgeries",
        desc = [[Finish the forgeries for sale.]],
        mark = { "forger_workshop" },
    }

    :AddObjective{
        id = "sell_relics_to_buyer",
        title = "Sell Relics to {buyer}",
        desc = [[Take the fake relics to {buyer} and convince {buyer.himher} to pay top dollar.]],
        mark = { "buyer" },
    }

    :AddObjective{
        id = "deal_with_investigator",
        title = "Deal with {investigator}",
        desc = [[{investigator} is suspicious of {buyer}. Try not to let them find out about {denikus}'s forged relic business.]],
        mark = { "buyer" },
    }



    :AddObjective{
        id = "return_to_denikus",
        title = "Return to {denikus}",
        desc = [[Inform {denikus} how {denikus.hisher} business is doing.]],
        mark = { "denikus" },
    }

    :AddQuestLocation{
        cast_id = "importer_camp",
        name = "Importer Camp",
        plax = "EXT_SMITH_ISOLATED_DESERT",
        map_tags = {"port"},
    }

    :AddQuestLocation{
        cast_id = "forger_workshop",
        name = "Forger's Workshop",
        plax = "INT_SMITH_FORGERYWORKSHOP",
        map_tags = {"quarters"},
    }
    
    :AddQuestLocation{
        cast_id = "bladderspot",
        name = "Heshbladder colony",
        plax = "EXT_Smith_Cliffside",
        map_tags = {"cliffs"},
    }



    :AddOpinionEvents{
        defended_against_admiralty = 
        {
            delta = OPINION_DELTAS.MAJOR_GOOD,
            txt = "Defended them against the Admiralty",
        },
        sold_them_out_to_admiralty = 
        {
            delta = OPINION_DELTAS.MAJOR_BAD,
            txt = "Sold them out to the Admiralty",
        },
        helped_investigation = 
        {
            delta = OPINION_DELTAS.LIKE,
            txt = "Helped with their investigation",
        },
        got_them_out_of_trouble_with_admiralty = 
        {
            delta = OPINION_DELTAS.LIKE,
            txt = "Helped them avoid Admiralty trouble",
        },

        tried_to_sell_forgery = 
        {
            delta = OPINION_DELTAS.DISLIKE,
            txt = "Tried to sell them a forged artifact",
        },
        ratted_them_out_for_heresy = {
            delta = OPINION_DELTAS.MAJOR_BAD,
            txt = "Ratted them out for heresy",
        }
    }

------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------

QDEF:AddIntro(
    --attract spiel
    [[
        denikus:
            Now, before you came to me, I was in the middle of a small crisis.
            One of the ways I've been paying my expenses is in jeopardy.
        player:
            So I'm savin' the day, is that it?
        denikus:
            Since I'm in with the Spree, I often handle, enh, <i>imports</i> from Murder Bay. Chiefly waylaid relics.
        player:
            Relics, or "relics"?
        denikus:
            Well, one person's treasure... you know how it goes.
            Unfortunately with the glut of pilgrims and anxious Luminari about, my supply line has choked.
            Need you to investigate, find the clog, and clear it.
    ]],
    
    --on accept
    [[
        agent:
            My primary contact is {importer}. {importer.HeShe} should be holed up with {importer.hisher} oshnus out at the port.
    ]],
    "talk_to_importer")


--Get the low-down on the situation from the importer... and then get jumped on the way out! 
QDEF:AddConvo("talk_to_importer", "importer")
    :ConfrontState("STATE")
        :Loc{
            DIALOG_INTRO = [[
                player:
                    {denikus} wants to know why the 'import' part of his import enterprise isn't happening.
                agent:
                    Aw, Hesh. I knew he'd send someone eventually.
                    We're stalled out, but it's not my fault!
                player:
                    You know what? I don't really have time for the details. Just tell me who I need to pressure to make this problem go away.
                agent:
                    It's {forger}'s fault! 
                    {forger.HeShe}'s the one who gussies up the garbage we import so that it fools the customer into thinking it's the real deal.
                    But {forger.heshe}'s refusing to work!
                    Creative differences, or something.
                player:
                    Sigh. And I suppose I should go talk to them and or hit them repeatedly, right?
                agent:
                    Don't hurt {forger.himher}! {forger.HeShe} is a pain, but {forger.heshe} is the only one capable of doing the forgeries. 
                player:
                    !dismiss
                    Details.
            ]],
            OPT_LEAVE = "Leave",
            DIALOG_ON_LEAVE_ATTEMPT = [[
                player:
                    !exit
                agent:
                    !exit
                * You make for the exit, but you're pulled up short by an Admiralty patrol.
            ]],
            DIALOG_ON_LEAVE_ATTEMPT_2 = [[
                agent:
                    !right
                agent:
                    Hm. Seems our hunch was right. 
                    But let me guess: this isn't what it looks like.
            ]],
            

            OPT_DEFEND = "Defend {importer}",
            DIALOG_DEFEND = [[
                player:
                    !left
                    !fight
                    You're in the wrong place, switch, but I'd say it's exactly the right time.
            ]],
            DIALOG_WON = [[
                player:
                    !neutral
                {dead?
                    importer:
                        !right
                        Hesh, you sure know how to clean up, huh?
                }
                {not dead?
                    player:
                        You grunts know damn well it's money that makes the rules here.
                        Sod off, and find someone else to police.
                    agent:
                        !injured
                        R-right, sir. Sorry, sir. Didn't recognize you as s-someone... important.
                    player:
                        That's right!
                    agent:
                        !exit
                    importer:
                        !right
                        Well, that coulda gone worse. But I guess I'll need to find a new place to do business.
                        !exit
                }
                * You leave to find {forger}.
            ]],
            DIALOG_WON_IMPORTER_DEAD = [[
                {dead?
                    * You find yourself surrounded by dead bodies. 
                    * Again.
                    * It's becoming somewhat of a habit.
                }
                {not dead?
                    agent:
                        !injured
                    player:
                        Get out of here before I lose my patience!
                    agent:
                        !exit
                    * You're going to have to explain this to {denikus} when the job is done.
                }
                * You leave to find {forger}.
            ]],

            OPT_NEGOTIATION = "Convince {agent} there's nothing suspicious happening here",
            DIALOG_NEGOTIATION = [[
                player:
                    !left
                    Hey, bud, you got a problem with me and my friend, here?
                    Just hanging out, enjoying the scenery with our pedigree oshnus?
            ]],
            DIALOG_NEGOTIATION_SUCCESS = [[
                player:
                    These are rare, thoroughbred oshnus, ya know. They don't exercise themselves.
                    And as taxpayers you'd think we'd have the right to stroll without being harrassed, huh?
                agent:
                    Ah, I see.
                    Um, a misunderstanding, I suppose.
                player:
                    Yeah. Yours.
                agent:
                    Carry on.
                    !exit
                * {agent} leaves, side-eyeing the mottled oshnu as {agent.heshe} goes.
                importer:
                    !right
                    Thoroughbred oshnu! These mules?
                    Well, if you can sell that, you can probably sort out {forger} alright. 
                    Good luck.
                    !exit
                * You leave to find {forger}. 
            ]],
            DIALOG_NEGOTIATION_FAILURE = [[
                agent:
                    Oh yeah? If these are your oshnus, what's their pedigree, hm?
                player:
                    Uh--
                    Well, this one's Dappled Sue, sired by ... Rigamarolo the Green.
                    And that over there is Mercy Please, from the line of Fly-in-the-Ointment and--
                agent:
                    Hah! Fly-in-the-Ointment never went to stud! You're a liar!
                    Next time, don't go head-to-head with an active subscriber to Oshnu Fancy Weekly.
            ]],

            OPT_BRIBE = "Pay {agent} to leave",
            DIALOG_BRIBE = [[
                player:
                    !left
                    Officer! We're just two average joes enjoying the sights. 
                    Just two normal Pearlies. Look, we got this big pile of shills to prove it.
                    !give
                agent:
                    !take
                    Ah. I see. 
                    This, ah, <i>does</i> prove that you are perfectly normal residents minding your own business.
                    As you were, citizens.
                    !exit
                * The Admiralty leave, counting the shills between them.
                importer:
                    !right
                    That's one way to solve your problems.
                    !exit
                player:
                    !exit
                * You leave to find {forger}.
            ]],


            OPT_TURN_IN = "Turn over {importer}",
            DIALOG_TURN_IN = [[
                player:
                    !left
                    Officer, thank Hesh. I was just doing one of those, whatcha-call-it. Citizen arrests.
                    {importer} has some wares from Murder Bay, and they're suspicious, if you ask me.
                importer:
                    !right
                    I--what?!
                    That ain't fair! 
                player:
                    If you need me to give a statement, officer, then you can find me at the Banquod estate.
                agent:
                    !right
                    Thank you, citizen. I'm sure a statement won't be necessary--we've had our eye on this one for a while.
            ]],
            
            OPT_Q1 = "Ask about importing",
            DIALOG_A1 = [[
                player:
                    So these are fake relics? I gotta admit, they look pretty good.
                    Where do you get it?
                agent:
                    Landfill, mostly. I mean, Havaria is full of this refuse if you know where to look.
                    Barons and Heshians are only interested in the stuff that still works.
                player:
                    Wait, so this is legit Vagrant Age stuff? 
                agent:
                    Well, sure. The planet is lousy with it. 
                    Paint some lumin on, fake some of the weird scribbles, give it a spitshine, and voila. 
                    The average joe can't tell the difference between the good stuff and the garbage.
            ]],

            OPT_Q2 = "Ask about {forger}",
            DIALOG_A2 = [[
                player:
                    What can you tell me about {forger}?
                agent:
                    ...
                    {forger.HeShe} is really good at what {forger.heshe} does.
                player:
                    But?
                agent:
                    You'll see.
            ]],
        }
        :Fn(function(cxt)
            cxt:Dialog("DIALOG_INTRO")

            cxt:RunLoop(function() 
                cxt:Question("OPT_Q1", "DIALOG_A1")
                cxt:Question("OPT_Q2", "DIALOG_A2")

                cxt:Opt("OPT_LEAVE")
                    :MakeUnder()
                    :Dialog("DIALOG_ON_LEAVE_ATTEMPT")
                    :Fn(function() 
                        
                        local opfor = CreateCombatParty("ADMIRALTY_PATROL", cxt.quest:GetRank(), cxt.location, true) --might know them!
                        cxt:TalkTo(opfor[1])
                        cxt:Dialog("DIALOG_ON_LEAVE_ATTEMPT_2")
                        cxt:RunLoop(function() 

                            
                            cxt:Opt("OPT_DEFEND")
                                :Dialog("DIALOG_DEFEND")
                                :Battle{
                                    allies = {"importer"},
                                    flags = BATTLE_FLAGS.SELF_DEFENCE | BATTLE_FLAGS.ISOLATED,
                                }
                                    :OnWin()
                                        :Fn(function(cxt) 
                                            if cxt.quest:GetCastMember("importer"):IsDead() then
                                                cxt:Dialog("DIALOG_WON_IMPORTER_DEAD")
                                                cxt.quest.param.importer_died = true
                                            else
                                                cxt:Dialog("DIALOG_WON")
                                                cxt:Opinion("defended_against_admiralty", "importer")
                                            end
                                            for k,v in pairs(opfor) do v:MoveToLimbo() end
                                        end)
                                        :CompleteQuest("talk_to_importer")
                                        :Travel()
                                        
                            cxt:Opt("OPT_NEGOTIATION")
                                :Dialog("DIALOG_NEGOTIATION")
                                :Negotiation{}
                                    :OnSuccess()
                                        :Dialog("DIALOG_NEGOTIATION_SUCCESS")
                                        :CompleteQuest("talk_to_importer")
                                        :Fn(function(cxt) 
                                            cxt:Opinion("got_them_out_of_trouble_with_admiralty", "importer")
                                            for k,v in pairs(opfor) do v:MoveToLimbo() end
                                        end)
                                        :Travel()
                                    
                                    :OnFailure()
                                        :Dialog("DIALOG_NEGOTIATION_FAILURE")

                            
                            cxt:Opt("OPT_BRIBE")
                                :Dialog("DIALOG_BRIBE")
                                :ReceiveOpinion("got_them_out_of_trouble_with_admiralty",nil, "importer")
                                :CompleteQuest("talk_to_importer")
                                :DeliverMoney(cxt.quest:GetRank()*100)
                                :Fn(function() for k,v in pairs(opfor) do v:MoveToLimbo() end end)
                                :Travel()

                            --the quest will need to still function without importer, and denikus should be upset with you, probably.
                            cxt:Opt("OPT_TURN_IN")
                                :Dialog("DIALOG_TURN_IN")
                                :ReceiveOpinion("sold_them_out_to_admiralty", nil, "importer")
                                :ReceiveOpinion("helped_investigation")
                                :CompleteQuest("talk_to_importer")
                                :Fn(function() 
                                    cxt.quest.param.importer_arrested = true
                                    cxt.quest:GetCastMember("importer"):Retire()
                                    for k,v in pairs(opfor) do v:MoveToLimbo() end
                                end)
                                :Travel()

                        end)
                    end)
                end)
                

        end)



--Talk to the forger - you have to get those relics made one way or another.
QDEF:AddConvo("talk_to_forger", "forger")
    :ConfrontState("STATE")
        :Loc{
            DIALOG_INTRO = [[
                * You find the forger in {forger.hisher} workshop, surrounded by unfinished pieces.
                player:
                    Looks like you got a lot of crap here, {forger}.
                    {denikus} sent me. What's the hold up? 
                agent:
                    The "hold up"? What, like I'm a factory line needing maintenance?
                    I'm an <i>artist</i>. Interpreting the works of the Vagrants is a privilege. 
                    In order to pay homage to my ancient muse I must sit in quiet, uninterrupted contemplation.
                    And, of course, have access to the finest materials. 
                player:
                    Okay, so, whaddya need?
                agent:
                    Well... the quality of these pieces would undoubtedly be improved by the Water of Hesh.
            ]],

            OPT_Q1 = "Ask about {forger.hisher} art",
            DIALOG_A1 = [[
                player:
                    So, uh, you take this pretty seriously, huh?
                agent:
                    !happy
                    Wouldn't <i>you</i>? We live on a planet-wide ruin, the bones of a great star-conquering giant. 
                    The Vagrants were our forebears, but their voices are trapped in the past. 
                    My work is an instrument, and my craft is to tune it, so we might still hear their song. 
                player:
                    !thought
                    Always seemed to me the Vagrant Age probably wasn't all that great.
                    I mean, they got stuck here, didn't they? And now their stuff is all garbage.
                    Seems to me the <i>real</i> excitement's in the future. 
            ]],

            OPT_Q2 = "Ask why {forger} is working with criminals",
            DIALOG_A2 = [[
                player:
                    Why is a talented artist such as yourself working with a bunch of rough customers like {denikus} and {importer}?
                agent:
                    I may be an artist, but I still need to live. The muse keeps me occupied but it does not pay my rent.
                player:
                    Rude of it.
            ]],
            
            OPT_Q3 = "Ask about the Water of Hesh",
            DIALOG_A3 = [[
                player:
                    'Kay, what is this Water of Hesh stuff?
                    I mean, strictly speaking, ain't that just sea water?
                agent:
                    Ever seen a Heshbladder?
                player:
                    Yeah.
                agent:
                    Well...
                    Why do you think it's called a bladder?
                player:
                    !disgust
                    I get it, I get it. 
            ]],

            OPT_INTIMIDATE = "Intimidate {agent} into finishing the work",
            DIALOG_INTIMIDATE = [[
                player:
                    I don't care what it ends up looking like.
                    !threaten
                    Just get this done!
            ]],
            DIALOG_INTIMIDATE_SUCCESS = [[
                player:
                    Or should I break your hands, since you don't seem to be using them anymore?
                agent:
                    !angry
                    Philistine! Resorting to base threats in an attempt to provoke genius. 
                    Wait there, if you must. But don't touch anything!
                    !exit
                * {agent} quickly finishes with the pile of junk, grumbling all the while. The finished product looks good enough to your untrained eye.
                agent:
                    There. They're terrible. I hope you're happy.
                player:
                    !happy
                    I'm getting there!
            ]],
            DIALOG_INTIMIDATE_FAILURE =[[
                agent:
                    !crossed
                    I'm not convinced.
            ]],
            
            OPT_AGREE_TO_HELP = "Agree to help gather the materials",
            DIALOG_AGREE_TO_HELP = [[
                player:
                    I'll help you find what you need.
                agent:
                    A true patron of the arts!
                    I know the location of a Heshbladder colony.
                    Let's go!
                    !exit
            ]],

            DIALOG_DONE_NO_IMPORTER = [[
                * You take the relic. {importer} said something about selling this mess to {buyer}, so that's your next stop.
                player:
                    !exit
                agent:
                    Good riddance!
            ]],
            DIALOG_DONE_IMPORTER = [[
                * {importer} arrives.
                importer:
                    !left
                    Is it done?
                player:
                    It's done enough!
                importer:
                    Eh... not your best work, {forger}, but it'll probably do.
                forger:
                    !left
                    !spit
                    Genius is never appreciated in its own time!
                importer:
                    !left
                    Take it to {buyer} and convince {buyer.himher} it's real.
                player:
                    Will do!
                    !exit
            ]],
            SIT_MOD = "{agent} has artistic integrity!"
        }
        :Fn(function(cxt)
            cxt:Dialog("DIALOG_INTRO")

            cxt:RunLoop(function() 
                cxt:Question("OPT_Q1", "DIALOG_A1")
                cxt:Question("OPT_Q2", "DIALOG_A2")
                cxt:Question("OPT_Q3", "DIALOG_A3")


                cxt:Opt("OPT_INTIMIDATE")
                    :Dialog("DIALOG_INTIMIDATE")
                    :Negotiation{
                        flags = NEGOTIATION_FLAGS.INTIMIDATION,
                        situation_modifiers = { { value = 15, text = cxt:GetLocString("SIT_MOD") } }
                    }
                        :OnSuccess()
                            :Dialog("DIALOG_INTIMIDATE_SUCCESS")
                            :CompleteQuest("talk_to_forger")
                            :Fn(function() 
                                cxt.quest.param.poor_quality = true
                                cxt:Dialog(cxt.quest.param.importer_arrested and "DIALOG_DONE_NO_IMPORTER" or "DIALOG_DONE_IMPORTER" )
                                cxt.quest:Activate("sell_relics_to_buyer")
                            end)


                        :OnFailure()
                            :Dialog("DIALOG_INTIMIDATE_FAILURE")

                
                cxt:Opt("OPT_AGREE_TO_HELP")    
                    :SetQuestMark()
                    :Dialog("DIALOG_AGREE_TO_HELP")
                    :Fn(function() 
                        cxt:GetAgent():Recruit(PARTY_MEMBER_TYPE.ESCORT)
                        cxt.quest:Complete("talk_to_forger")
                        cxt.quest:Activate("harvest_heshbladders")                        
                    end)
                    :Travel()

            end)


        end)

--Go kill the heshbladders to get the water of hesh to make the relics smell right.
QDEF:AddConvo("harvest_heshbladders")
    :ConfrontState("STATE", function(cxt) return cxt.location == cxt.quest:GetCastMember("bladderspot") end)
        :Loc{
            DIALOG_INTRO = [[
                * You find the location of the Heshbladder colony.
                forger:
                    !right
                    !happy
                    Isn't it beautiful?
                player:
                    !left
                    Smells like New Deltree, where the sewage meets the sea.
                forger:
                    Perfect! That's how you know they're ripe.
                    !exit
                * You hold your breath and approach the nesting bladders.
                agent:
                    !right
                    Pllllllrrrrrr!
            ]],
            OPT_ATTACK = "Attack the bladders",
            DIALOG_ATTACK = [[
                forger:
                    !right
                    Try not to let any of the bladder water spill on you!
                agent:
                    !right
                player:
                    !left
                    !fight
                    That can happen?! 
            ]],
            DIALOG_WON_FORGER_DEAD = [[
                * {forger} died for {forger.hisher} art, in a puddle of spilled bladder water.
                * You're going to have to finish the forgeries yourself.
            ]],
            DIALOG_WON = [[
                player:
                    !neutral
                * {forger} rushes around, collecting Hesh's Water from puddles and corpses alike.
                forger:
                    !right
                    Wonderful! Nothing like fresh from the source. 
                player:
                    That's for sure. Can we go already?
            ]]
        }
        :Fn(function(cxt)
            local bladders = CreateCombatParty({"HESHBLADDER", "HESHBLADDER", "HESHBLADDER"}, 2, cxt.location)
            cxt:TalkTo(bladders[1])
            cxt:Dialog("DIALOG_INTRO")
            cxt:Opt("OPT_ATTACK")
                :Dialog("DIALOG_ATTACK")
                :Battle{
                    allies = {"forger"}
                }
                    :OnWin()
                        :Fn(function()
                            cxt.quest:Complete("harvest_heshbladders")
                            if cxt.quest:GetCastMember("forger"):IsDead() then
                                cxt.quest.param.forger_dead = true
                                cxt:Dialog("DIALOG_WON_FORGER_DEAD")
                            else
                                cxt:Dialog("DIALOG_WON")
                            end

                            cxt.quest:Activate("craft_time")
                        end)
                        :Travel()
        end)


QDEF:AddConvo("craft_time")
    :ConfrontState("STATE", function(cxt) return cxt.location == cxt.quest:GetCastMember("forger_workshop") end)
        :Loc{
            DIALOG_WITH_FORGER = [[
                * You arrive back at the workshop, and {forger} gets to work.
                player:
                    !left
                * It takes some time. You amuse yourself by seeing how long you can hold your breath.
                * This also helps with the smell.
                agent:
                    !right
                    It's finished!
                    My best work yet!
                * You inspect the presented forgeries.
                * They look the same to you, but they smell <i>terrible</>.
                agent:
                    !happy
                    It's multimodal.
            ]],

            DIALOG_ALONE = [[
                * You arrive at the workshop, and get to work.
                * It's been a while since you've done any arts and crafts, but it comes back quickly.
                * It feels good, doing something with you hands. 
                player:
                    !left
                    !happy
                    All done! And it looks real good, I think!
            ]],

            DIALOG_IMPORTER_FORGER = [[
                * {importer} arrives.
                importer:
                    !left
                    Is the work done?
                forger:
                    !right
                    It is a masterpiece!
                importer:
                    It's going to be a financialruinpiece if it doesn't sell. {player}, I need you to deliver these to {buyer} and make sure {buyer.heshe}'s happy.
                player:
                    !left
                    All in a day's work!
                * You heft the bladder-soaked relic and head out.
            ]],
            DIALOG_NO_IMPORTER_FORGER = [[
                forger:
                    There. Bask in it, my friend, for now it is naive in its nascency. 
                    Before you reduce it to consumer trash, of course. 
                player:
                    Hey, you got your kicks out of it. Now it's time for me to get mine.
                * You heft the bladder-soaked relic and head out.
            ]],
            DIALOG_NO_IMPORTER_NO_FORGER = [[
                * You suppose you ought to go try to complete the sale, now.
                * You heft the bladder-soaked relic and head out.
            ]],
            DIALOG_IMPORTER_NO_FORGER = [[
                * {importer} arrives and takes in the work you've piled up.
                importer:
                    !left
                    Where's {forger}?
                    Did... did <i>you</i> do these?
                player:
                    !hips 
                    Why, yes I did.
                importer:
                    ...
                    They look <i>terrible</i>.
                player:
                    Oh. Well--
                    !angry
                    I tried my best, ya know!
                importer:
                    !facepalm
                    Okay, we'll do what we can here. Take it to {buyer} and see if you can trick {buyer.himher} into stil buying it.
                * You heft the bladder-soaked relic and head out.
            ]],


        }
        :Fn(function(cxt) 
            if cxt.quest:GetCastMember("forger"):IsInPlayerParty() then
                
                cxt:TalkTo("forger")
                cxt:Dialog("DIALOG_WITH_FORGER")
                cxt:Dialog(cxt.quest.param.importer_arrested and "DIALOG_NO_IMPORTER_FORGER" or "DIALOG_IMPORTER_FORGER")
                cxt.quest:GetCastMember("forger"):Dismiss()
            else
                cxt:Dialog("DIALOG_ALONE")
                cxt.quest.param.very_poor_quality = true
                cxt:Dialog(cxt.quest.param.importer_arrested and "DIALOG_NO_IMPORTER_NO_FORGER" or "DIALOG_IMPORTER_NO_FORGER")
            end
            cxt.quest:Complete("craft_time")
            cxt.quest:Activate("sell_relics_to_buyer")
        end)


-- Convince buyer to buy your hesh-water-soaked fake relics
QDEF:AddConvo("sell_relics_to_buyer", "buyer")
    :Loc{

        OPT_SELL_RELIC = "Sell the Relic to {agent}",
        DIALOG_SELL_RELIC = [[
            player:
                {denikus} sent me. I have the goods!
            agent:
                Shhhh!
                Keep it down! I don't want anyone seeing me with you!
                Let me see it...
            {poor_quality?
                * You produce the rushed forgery.
                
                agent:
                    Is this genuine? It looks a bit fake.
            }
            {very_poor_quality?
                * You produce the forgery you made yourself.
                
                agent:
                    Is this a joke? That looks like literal garbage.
            }
            {not poor_quality and not very_poor_quality?
                * You produce the stinky forgery.
                
                agent:
                    Oh, it's beautiful. And the smell! Fantastic!
                    But how can I be sure this is the real deal?
            }
        ]],

        DIALOG_NEGOTIATION_SUCCESS = [[
            {poor_quality?
                player:
                    Uh... the imperfections prove it's real!
                    !eureka
                    Like a patina.
                agent:
                    Ah, of course. That makes sense! 
                    Tell {denikus} I'll send {denikus.himher} the money in the usual way.
            }
            {very_poor_quality?
                player:
                    Pretty sure <i>all</i> the Vagrant Age stuff is garbage when you think about it.
                    That's why it's buried. And dirty.
                agent:
                    I... suppose that's true. Fascinating implications, of course--that the Vagrants might have had craftspeople so incompetent.
                player:
                    Y-yeah.
                agent:
                    Tell {denikus} I'll send {denikus.himher} the money in the usual way.

            }
            {not poor_quality and not very_poor_quality?
                player:
                    I mean, just look at it. And that smell? You can't fake that smell.
                agent:
                    All good points! I'm a little embarrassed I even doubted you.
                    Tell {denikus} I'll send {denikus.himher} the money in the usual way.
            }
        ]],
        DIALOG_NEGOTIATION_FAILURE = [[
            {poor_quality?
                player:
                    Look, it's legit, alright? It glows and everything.
                * You point out a line of lumin painted on, and it flakes off under your grubby finger.
                player:
                    Uh--
                agent:
                    !angry
                    This is a forgery! I knew it!
                    You best leave before I call on the Admiralty.
            }
            {very_poor_quality?
                player:
                    Just... look closer! Looks can be deceiving, ya know.
                * {agent} peers more closely at the artifact.
                agent:
                    Your name is Smith Banquod, right?
                player:
                    Yeah?
                agent:
                    I can tell. Because you signed your work. 
                player:
                    I did?!
                    Man, that was stupid of me. 
                    !embarrassed
                    But I was real proud of it at the time.
                agent:
                    !angry
                    Get out.
                player:
                    Yeah, I guess that's fair.
            }
            {not poor_quality and not very_poor_quality?
                player:
                    'Course it's genuine. I saw some of the forgeries and they didn't look half as good as this one.
                agent:
                    !angry
                    Oh, I see. So I'm supposed to trust this is legitimate because it's been in the company of fakes?
                    Go! And don't come back!
            }
            * You back off, not wanting to escalate the situation.
        ]],
        SIT_MOD_POOR_QUALITY = "The forgery is of poor quality",
        SIT_MOD_VERY_POOR_QUALITY = "The forgery is very bad. It looks like it was done by not-particulary-artistic child."


    }
    :Hub(function(cxt)


            local sit_mods = {}
            if cxt.quest.param.poor_quality then
                table.insert(sit_mods, { value = 10, text = cxt:GetLocString("SIT_MOD_POOR_QUALITY") })
            elseif cxt.quest.param.very_poor_quality then
                table.insert(sit_mods, { value = 20, text = cxt:GetLocString("SIT_MOD_VERY_POOR_QUALITY") })
            end

            cxt:Opt("OPT_SELL_RELIC")
                :SetQuestMark()
                :Dialog("DIALOG_SELL_RELIC")
                :Negotiation{
                    situation_modifiers = sit_mods,
                }
                    :OnSuccess()
                        :Dialog("DIALOG_NEGOTIATION_SUCCESS")
                        :CompleteQuest("sell_relics_to_buyer")
                        :ActivateQuest("return_to_denikus")
                        :Fn(function() cxt.quest.param.zealot_pending = true end)
                        :DoneConvo()
                    
                    :OnFailure()
                        :Dialog("DIALOG_NEGOTIATION_FAILURE")
                        :ActivateQuest("return_to_denikus")
                        :Fn(function() cxt.quest.param.no_buy = true end)
                        :ReceiveOpinion("tried_to_sell_forgery")
                        :DoneConvo()
            
        end)





QDEF:AddConvo("return_to_denikus")
    :TravelConfront("STATE", function(cxt) return cxt.quest.param.zealot_pending end)
        :Loc{
            DIALOG_INTRO = [[
                {liked?
                    * You are approached by your friend, {agent}.
                    agent:
                        !right
                        {player}! I'm so glad to see you.
                    player:
                        !left
                        Have you been following me?
                    agent:
                        Maybe. A bit?
                        I'm investigating {buyer}. The Cult suspects {buyer.heshe} is involved with heresy and shady dealings.
                        Your presence almost confirms it!
                        No offense, of course.
                }
                {not liked?
                    * A zealot jumps you.
                    agent:
                        !right
                        Grifter!
                    player:
                        !left
                        How long have you been following me?
                    agent:
                        Long enough to know you've been consorting with the suspected heretic, {buyer}!
                        What was your business with {buyer.himher}?
                        Tell me, or I'll take you to Supplicant City, and you can tell me there!
                }

            ]],

            OPT_Q1 = "Ask about heresy",
            DIALOG_A1 = [[
                player:
                    What heresy is {buyer} suspected of?
                {liked?
                    agent:
                        I won't bore you with the liturgical details.
                        It involves fake relics, though.
                }
                {not liked?
                    agent:
                        It's bad!
                        That's all you need to know.
                }
            ]],

            OPT_TELL_ON_BUYER = "Tell {agent} about {buyer}'s relic",
            DIALOG_TELL_ON_BUYER = [[
                player:
                    Hey, I'm just the middleman.
                    But {buyer}'s into some weird stuff.
                    Buying fake Vagrant Age trinkets covered in pee.
                    Super weird, if you ask me.
                agent:
                    ...
                    It's worse than I suspected.
                    We'll talk again!
                    !exit
                * {buyer} is not going to be happy when {buyer.heshe} finds out what you said.
            ]],

            OPT_LIE = "Lie",
            DIALOG_LIE = [[
                player:
                    We were... just talking!
            ]],
            DIALOG_LIE_SUCCESS = [[
                {liked?
                    agent:
                        That doesn't sound right, but I know you wouldn't lie to me.
                        We're friends, right?
                        !exit
                }
                {not liked?
                    agent:
                        Well, you have an honest, if punchable face.
                        I'll accept that.
                        !exit
                }
            ]],
            DIALOG_LIE_FAILURE = [[
                {liked?
                    agent:
                        You're not trying to pull a fast one on me, are you?
                }
                
                {not liked?
                    agent:
                        No! No more lies!
                        Tell me the truth, or I'll paint you with the heretics and drown you in the surf!
                }
            ]],

            OPT_DEFEND = "Defend yourself",
            DIALOG_DEFEND = [[
                player:
                    !fight
                    I'm no rat!
            ]],
            
            DIALOG_WON = [[
                {dead?
                    * You killed a Cult zealot. 
                    * That's probably not great, but what are you gonna do?
                }
                {not dead?
                    agent:
                        !injured
                        We'll meet again, grifter!
                        !exit
                    player:
                        !shrug
                        Eh.
                }
            ]]

        }
        :Fn(function(cxt)
            cxt.quest.param.zealot_pending = false
            local zealot = AgentUtil.GetFreeAgent("ZEALOT")
            cxt:TalkTo(zealot)
            cxt:Dialog("DIALOG_INTRO")

            cxt:RunLoop(function()

                cxt:Question("OPT_Q1", "DIALOG_A1")

                cxt:Opt("OPT_TELL_ON_BUYER")
                    :Dialog("DIALOG_TELL_ON_BUYER")
                    :ReceiveOpinion("ratted_them_out_for_heresy", nil, "buyer")
                    :Travel()

                cxt:Opt("OPT_LIE")
                    :Dialog("DIALOG_LIE")
                    :Negotiation{}
                        :OnSuccess()
                            :Dialog("DIALOG_LIE_SUCCESS")
                            :Travel()
                        
                        :OnFailure()
                            :Dialog("DIALOG_LIE_FAILURE")


                cxt:Opt("OPT_DEFEND")
                    :Dialog("DIALOG_DEFEND")
                    :Battle{flags = BATTLE_FLAGS.SELF_DEFENCE}
                        :OnWin()
                            :Dialog("DIALOG_WON")
                            :Travel()
                    
            end)
        end)



QDEF:AddConvo("return_to_denikus", "denikus")
    :Loc{

        OPT_TELL_NO_BUY = "Tell {agent} the buyer didn't buy",
        DIALOG_TELL_NO_BUY = [[
            player:
                So, here's the relic.
                !give
            agent:  
                !take
                You weren't supposed to bring it to me...
                What happened with {buyer}?
            player:
                They're, uh, looking at other offers.
            agent:
                Twist it, {player}. I needed you to make the trade flow. 
            player:
                At least you have a nice shiny new fake relic to sell to some other sucker!
        ]],


        OPT_GET_PAID = "Get paid",
        DIALOG_PAID = [[
            player:
                The sale is done!
            {importer_arrested?
                agent:
                    What happend to {importer}?
                player:
                    Legal issues. You might want to find another importer.
                agent:
                    That won't be easy, but it's not like I didn't know that could happen.
            }
            {forger_dead?
                agent:
                    I haven't heard from {forger}...
                player:
                    And you won't!
                    Unless you can talk to ghosts.
                agent:  
                    What the--how'd my forger end up <i>dead</i>?
                player:
                    Hey, don't look at me. {forger.HeShe}'s the one who absolutely had to have monster pee for {forger.hisher} work.
                agent:
                    !sigh
                    This isn't even the first time this has happened.
                player:
                    Sounds rough, man. 
            }
            {buyer_arrested?
                player:
                    Enh, unfortunately your buyer got caught holding the bag. 
                    Pretty sure you won't be selling to them again anytime soon.
                agent:
                    Hey, as long as the sale went through.
                    Not like I get many repeat customers anyway.
            }

            agent:
                Here's your pay.
        ]],
    }
    :Hub(function(cxt) 
        
        if cxt.quest.param.no_buy then
            
            cxt:Opt("OPT_TELL_NO_BUY")
                :SetQuestMark()
                :Dialog("DIALOG_TELL_NO_BUY")
                :FailQuest()

        else
            cxt:Opt("OPT_GET_PAID")
                :SetQuestMark()
                :PreIcon( global_images.hire )
                :Dialog("DIALOG_PAID")
                :Fn(function() ConvoUtil.GiveQuestRewards(cxt) end)
                :CompleteQuest()
        end


    end)





    
