
--this quest isn't done yet!

local QDEF = QuestDef.Define{
        title = "Public Relations",
        qtype = QTYPE.SIDE,
        rank = {1, 5},
        desc = [[{andwanette} needs you to clean up after some messy business dealings.]],
        icon = engine.asset.Texture("icons/quests/public_relations.tex"),
        focus = QUEST_FOCUS.BALANCED,
        tags = {"ANDWANETTE_JOB"},
        act_filter = "SMITH",

        --this is a little bit of boilerplate that lets us test the quest directly from the quest menu
        on_debug_start = function(quest)
            TheGame:GetGameState():GetCaravan():MoveToLocation(TheGame:GetGameState():GetLocation("PEARL_OSHNUDROME"))
            UIHelpers.DoSpecificConvo( quest:GetCastMember("andwanette"), "DEBUG_SIDE_JOB", "STATE_RUN_JOB", nil, quest )
        end,

        on_destroy = function(quest)
            if quest:GetCastMember("investigator") and quest:GetCastMember("investigator"):IsInPlayerParty() then
                quest:GetCastMember("investigator"):Dismiss()
            end
        end,

        collect_agent_locations = function(quest, t)
            
            table.insert (t, { agent = quest:GetCastMember("assassin"), location = quest:IsActive("meet_assassin_post_kill") and quest:GetCastMember("cliffside") or quest:GetCastMember("park"), role = CHARACTER_ROLES.VISITOR} )
        end,

        avoids = {
            {"andwanette", "investigator"},
            {"andwanette", "assassin"},
            {"andwanette", "buyer"},
            {"andwanette", "caterer"},

            {"investigator", "assassin"},
            {"investigator", "buyer"},
            {"investigator", "caterer"},

            {"assassin", "buyer"},
            {"assassin", "caterer"},

            {"buyer", "caterer"},
        }
    }

    :AddCastByAlias{
        cast_id = "andwanette",
        alias = "ANDWANETTE",
        provider = true,
        no_validation = true,
    }


    :AddDefCastSpawn("buyer", "WEALTHY_MERCHANT")
    :AddDefCastSpawn("caterer", "BARTENDER")
    :AddDefCastSpawn("rival", "WEALTHY_MERCHANT")
    :AddDefCast("investigator", "ADMIRALTY_INVESTIGATOR")
    
    :AddCast{
        cast_id = "assassin_target",
        when = QWHEN.MANUAL,
        no_validation = true,
    }

    :AddCast{
        cast_id = "assassin",
        cast_fn = function(quest, t)

            for k,v in ipairs{"JAKES_ASSASSIN", "JAKES_ASSASSIN2"} do
                local agent = AgentUtil.GetFreeAgent(v)
                if agent then
                    table.insert( t, agent )
                end
            end
            
            --hopefully don't get here
            if #t == 0 then
                table.insert(t, quest:CreateSkinnedAgent( "JAKES_SMUGGLER" ) )
            end
        end,
    }



    :AddObjective{
        id = "start",
        hide_in_overlay = true,
        
        on_activate = function(quest) 
            quest:GetCastMember("rival"):Kill()
            quest:Activate("deal_with_buyer")
            quest:Activate("deal_with_assassin")
            quest:Activate("deal_with_caterer")
            quest:Activate("talk_to_investigator")
            
        end,
        events = {
            quests_changed = function(quest, event_quest) 
                if event_quest == quest then
                    if quest:IsComplete("deal_with_buyer") and quest:IsComplete("deal_with_caterer") and (quest:IsComplete("deal_with_assassin") or quest:IsComplete("meet_assassin_post_kill")) then
                        quest:Complete('start')
                        quest:Activate("return_to_anwanette")
                    end
                end
            end           
        },

    }

    :AddObjective{
        id = "deal_with_buyer",
        title = "Deal with {buyer}",
        desc = "{buyer} is threatening to tell the local merchants that {andwanette} has been selling stolen goods.",
        mark = {"buyer"},
        negotiation_targets = {"buyer"},
        combat_targets = {"buyer"},

        --state = QSTATUS.ACTIVE,
    }

    :AddObjective{
        id = "deal_with_assassin",
        title = "Deal with {assassin}",
        desc = "{assassin} is trying to shake down {andwanette}, threatening to tell everyone that {andwanette} hired {assassin.himher} to kill {rival}.",
        mark = {"assassin"},
        negotiation_targets = {"assassin"},
        combat_targets = {"assassin"},
        collect_agent_locations = function(quest, t)
            table.insert (t, { agent = quest:GetCastMember("assassin"), location = quest:GetCastMember("park"), role = CHARACTER_ROLES.VISITOR} )
        end,
        --state = QSTATUS.ACTIVE,
    }


    :AddObjective{
        id = "deal_with_caterer",
        title = "Deal with {caterer}",
        desc = "{caterer} got stuck with the bill and the blame when {rival} was killed, and is telling anyone who will listen that {andwanette} isn't to be trusted.",
        mark = {"caterer"},
        negotiation_targets = {"caterer"},
        combat_targets = {"caterer"},
        --state = QSTATUS.ACTIVE,
    }
    
    :AddObjective{
        id = "talk_to_investigator",
        title = "Talk to {investigator}",
        desc = "{investigator} is looking into the {andwanette} situation. You might be able to exploit that.",
        mark = function(quest, t, in_location)
            if quest.param.have_poison and quest.param.fingerprints == nil and quest.param.showed_poison then
                -- showed poison, investigator not impressed.  remove quest mark.
            else
                table.insert(t, quest:GetCastMember("investigator"))        
            end
        end,
        negotiation_targets = {"investigator"},
        collect_agent_locations = function(quest, t)
            table.insert (t, { agent = quest:GetCastMember("investigator"), location = quest:GetCastMember("station"), role = CHARACTER_ROLES.VISITOR} )
        end,

        --state = QSTATUS.ACTIVE,
    }

    :AddObjective{ 
        id = "meet_assassin_post_kill",
        title = "Meet with {assassin}",
        desc = "{assassin} has done your dirty work for you. Now they need to be paid.",
        mark = {"cliffside"},
        negotiation_targets = {"assassin"},
        combat_targets = {"assassin"},
        collect_agent_locations = function(quest, t)
            table.insert (t, { agent = quest:GetCastMember("assassin"), location = quest:GetCastMember("cliffside"), role = CHARACTER_ROLES.VISITOR} )
        end,
    }
    


    :AddObjective{
        id = "return_to_anwanette",
        title = "Return to {andwanette}",
        desc = "The issues have been contained. Go tell {andwanette} the good news.",
        mark = {"andwanette"},
        on_activate = function(quest) 
            quest:Cancel("talk_to_investigator")
        end,
        --state = QSTATUS.ACTIVE,
    }

    
    :AddExistingLocation("park", "PEARL_PARK")
    :AddExistingLocation("station", "PEARL_ADMIRALTY_STATION")
    :AddQuestLocation{
        cast_id = "cliffside",
        name = "Deserted Cliffside",
        plax = "EXT_Smith_Cliffside",
        map_tags = {"cliffs"},
    }

------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------
    

    :AddOpinionEvents{

        got_commendation = 
        {
            delta = OPINION_DELTAS.LIKE,
            txt = "Helped them take down a dangerous criminal",
        },
        
        got_promotion = 
        {
            delta = OPINION_DELTAS.MAJOR_GOOD,
            txt = "Helped them bring in a dangerous criminal",
        },
    }

------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------

QDEF:AddIntro(
    --attract spiel
    [[
        
        andwanette:
            It seems my wide social net has caught up to me, and I've been looped into a scandal.
        player:
            Kinda got the impression that's the sort of thing you enjoy?
        andwanette:
            I want the <i>spotlight</i>, dear, and this is nothing but a tedious affair with a view from the sidelines.
            A <i>dear friend</i> of mine was killed recently while dining in my company.
            This seems to me like a simple case of food poisoning, and naturally I dismissed the caterer and considered it an unfortunate tragedy.
        player:
            Uh. Was it?
        andwanette:
            Darling, sometimes the simplest answer is simply correct. {caterer} was a good caterer, but mistakes happen. 
            The death was a tragic accident. But one that I refuse to pay for.
        player:
            Ah... so you stiffed the caterer? And now {caterer.heshe}'s demanding payment, huh?
        andwanette:
            At the very least I needed to save a shill to place upon the corpse's brow.
            But {caterer} isn't my only problem, because I'm unfortunate enough to be surrounded by ingrates.
            I did {buyer} a favor by helping {buyer.himher} acquire an extremely rare product. 
            Now {buyer.heshe}'s claiming the goods were stolen property, and demanding I compensate {buyer.himher} for the trouble.
            All I did was make the connection--{buyer} was the one who finalized the deal. The onus of legality falls squarely upon {buyer.himher}.
        player:
            Yeah, I get it. It's a pickle, but not a delicious one.
        andwanette:
            And lastly--
        player:
            Hesh's bell, there's more?!
        andwanette:
            A veritable typhoon, darling. I'm being blackmailed.
        player:
            For what?
        andwanette:
            I don't know! Perhaps I diddled somewhere where I shouldn't have dawdled?
            The letter was non-specific. But if you could sort it out with the blackmailer, I'd be much obliged.
        player:
            This is a lot, ya know.
        andwanette:
            Free up my social calendar and my reputation so I can indulge in better pursuits--like marrying your brother.
            
    ]],
    
    --on accept
    [[
        player:
            So am I solving these mysteries, or just making them go away?
        agent:
            I don't have a preference on how the cookie crumbles, my dear--I just don't want any crumbs in my collar.
        player:
            Fool on you--that's how you get surprise snacks later.
    ]],
    "start")




QDEF:AddConvo("deal_with_caterer", "caterer")
    :AttractState("foo")
        :Loc{
            DIALOG_INTRO = [[
                {first_time?
                    * The caterer isn't hard to find, thanks to the aura of doom-and-gloom leaking of out {caterer.hisher} pores.
                    player:
                        Hey, friend. Why the long face?
                    agent:
                        Huh? Oh. The usual. 
                        You cater to the whims of the rich and famous, and all you get is a kick in the pants when you fall afoul of their politics.
                        Want my advice? Don't ever work for {andwanette}.
                }                
                {not first_time?
                    agent:
                        Oh, you're back.
                        Unless you have a way to get {andwanette} to pay me, I don't know why you keep bugging me.
                }
            ]],

            OPT_Q1 = "Ask about {andwanette}",
            DIALOG_A1 = [[
                player:
                        Whoa, sounds... complicated.
                agent:
                        Not that complicated, really.
                        My boss had a party. Her guest got poisoned.
                        I got blamed and dismissed without pay.
                player:
                        Well, that seems... kinda fair, don't it?
                agent:
                    Fair? What's not <i>fair</i> is my entire livelihood is ruined because {andwanette} has lax security.
                    You wanna know what I think? 
                    I think her guest was <i>assassinated</i>.
                player:
                    Really? 
                agent: 
                    Couldn't have been my food. For one thing, {andwanette} also ate it. 
                    And I ate it. And my kitchen staff ate some, too. None of them got sick!
                    Sometimes, the simplest answer is simply correct.

            ]],

            OPT_INTIMIDATE = "Intimidate {caterer}",
            DIALOG_INTIMIDATE = [[
                player:
                    !angry
                    Look, pal. You got nothing to back you up. So you better stop dragging {andwanette}'s name around like it's a yote on a leash.
            ]],

            DIALOG_INTIMIDATE_SUCCESS = [[
                player:
                    Otherwise I'm gonna leash you, you understand? Real tight.
                agent:
                    Alright! Fine!
                    I'll shut my mouth!
                    But {andwanette} better watch herself, 'cause it won't be long before the assassin comes for her.
                    And I won't be sorry!
            ]],
            DIALOG_INTIMIDATE_FAILURE = [[
                player:
                    Or you'll never work in this town again!
                agent:
                    You thick or something? I won't work anyway!
                    The only hope I have left is to clear my name. So I'll tell anyone who listens.
                    {andwanette} did me dirty, and nobody's safe if they dine with her.
            ]],

            OPT_ATTACK = "Attack {caterer}",
            DIALOG_ATTACK = [[
                player:
                    !fight
                    I'm going to skip straight to the punching part and save us both some time.
            ]],
            DIALOG_WON = [[
                {dead?
                    * {agent} is dead. That technically means {agent.heshe} can't say anything bad about {andwanette}, so you consider it a win.
                }
                {not dead?
                    agent:
                        !injured
                        Ow! Stop!
                        I don't wanna end up stiffed <i>and</i> a stiff.
                        {andwanette}? I don't know her. Never heard of her.
                    player:
                        !happy
                        See? Easy.
                }
            ]],

            OPT_SHOW_POISON = "Hand {agent} the poison",
            DIALOG_SHOW_POISON = [[
                player:
                    So I've been doing my own investigation.
                    I found this...
                    !give
                agent:
                    !take
                * {agent} takes the vial in hand and gives it a small shake.
                    What is...?
                    This is poison! I knew it!
                    Is this what the assassin used?
                player:
                    Yeah! I'm gonna take it to the Admiralty, show them that you were right. The guest really <i>was</i> murdered.
                agent:
                    That's great! 
                    It won't pay my bills, but it'll go a long way to getting people to trust my cooking again.
                    Tell me what they say about it!
                    !give
                player:
                    !take
                    Oh, don't worry, you'll be the first to know.
                * You pocket the vial, being careful not to smudge {agent}'s fingerprints.
            ]],
            SIT_MOD = "Has the truth on {agent.hisher} side.",

            OPT_OFFER_GOODS = "Offer the cheese ticket as payment for the catering",
            DIALOG_OFFER_GOODS = [[
                player:
                    I have the evidence receipt for a load of imported jelly cheese in the Admiralty lock-up.
                    {andwanette} wants to offer it to you as compensation for your troubles.
                agent:
                    ...
                    Is the cheese any good?
                player:
                    I don't use the word often, so appreciate how serious I am when I say: it is <i>exquisite.</>
                agent:
                    !happy
                    Deal. Tell {andwanette} there are no hard feelings.
                    Can't be easy watching your friend die right in front of you. 
                    Even if she is a spoiled debutante.
            ]],

            OPT_COVER_COSTS = "Cover {agent}'s costs",
            DIALOG_COVER_COSTS = [[
                player:
                    Look, you're right. {andwanette} realizes that you've been blamed unfairly. 
                    Here's the payment you were promised. 
                    !give
                agent:
                    Really?
                    About time!
                    !take
                    This barely covers my costs, but I just want to put this behind me.
                    Thanks, {player}.
            ]]

        }
        :Fn(function(cxt) 
            cxt:Dialog("DIALOG_INTRO")
            cxt:RunLoop(function() 
                
                if not cxt.quest.param.caterer_saw_poison then
                    cxt:Question("OPT_Q1", "DIALOG_A1")
                end

                if cxt.quest.param.have_poison and cxt.quest.param.fingerprints == nil then
                    cxt:Opt("OPT_SHOW_POISON")
                        :Dialog("DIALOG_SHOW_POISON")
                        :Fn(function() 
                            cxt.quest.param.fingerprints = "CATERER"
                            cxt.quest.param.caterer_saw_poison = true
                        end)
                end


                if cxt.quest.param.have_goods then
                    cxt:Opt("OPT_OFFER_GOODS")
                        :SetQuestMark()
                        :Dialog("DIALOG_OFFER_GOODS")
                        :Fn(function()
                            cxt.quest.param.have_goods = false
                            cxt.quest.param.caterer_gave_goods = true
                            cxt.quest:Complete("deal_with_caterer")
                        end)
                        :DoneConvo()
                end

                cxt:Opt("OPT_COVER_COSTS")
                    :Dialog("DIALOG_COVER_COSTS")
                    :DeliverMoney(300) --You really shouldn't pick this one.
                    :CompleteQuest("deal_with_caterer")
                    :DoneConvo()

                cxt:Opt("OPT_INTIMIDATE")
                    :Dialog("DIALOG_INTIMIDATE")
                    :Negotiation{
                        flags = NEGOTIATION_FLAGS.INTIMIDATION,
                        situation_modifiers =
                        {
                            { value = 10, text = cxt:GetLocString("SIT_MOD") }
                        },

                    }
                        :OnSuccess()
                            :Dialog("DIALOG_INTIMIDATE_SUCCESS")
                            :Fn(function() 
                                cxt.quest.param.caterer_intimidated = true
                                cxt.quest:Complete("deal_with_caterer")
                            end)
                            :DoneConvo()

                        :OnFailure()
                            :Dialog("DIALOG_INTIMIDATE_FAILURE")

                cxt:Opt("OPT_ATTACK")
                    :Dialog("DIALOG_ATTACK")
                    :Battle{}
                        :OnWin()
                            :Fn(function() 
                                cxt:Dialog("DIALOG_WON")
                                
                                if cxt:GetAgent():IsDead() then
                                    cxt.quest.param.caterer_killed = true
                                else
                                    cxt.quest.param.caterer_intimidated = true
                                end
                                cxt.quest:Complete("deal_with_caterer")


                            end)
                            :DoneConvo()
                
                StateGraphUtil.AddEndOption(cxt)
            end)
        end)


--intimidate, fight, give goods, frame with the poison
QDEF:AddConvo("deal_with_buyer", "buyer")
    :AttractState("foo")
        :Loc{
            DIALOG_INTRO = [[
                {first_time?
                    * It's easy to pick {buyer} out from a crowd, on account of how {buyer.heshe} looks as anxious as a brow-beaten derrick.
                    player:
                        Hey, you {buyer}?
                    agent:
                        What? No. Who told you? Do you have a warrant?
                    player:
                        !placate
                        Easy, buddy. I just wanted to talk.
                        I ain't with the Admiralty, if that's what you're worrying about.
                    agent:
                        O-oh. Good. 
                }                
                {not first_time?
                    agent:
                        Y-you're still not a cop, right? 
                }
            ]],

            OPT_Q1 = "Ask about the stolen goods",
            DIALOG_A1 = [[
                player:
                    You in trouble with the law, I take it?
                agent:
                    I'm an honest business person! I would never knowingly purchase stolen goods. 
                    Jelly cheese is an exquisite delicacy, all the way from the Deltrean Highlands.
                    It's carefully certified on import. I had every reason to assume it was legitimately procured!
                player:
                    Really? I only had jelly cheese once, but it's a texture you don't forget.
                agent:
                    Truly. Like chewing on ice cubes and gargling hot algae at the same time.
                player:
                    You kinda had to know it was stolen, though. The waitlist on jelly cheese is years long.
                agent:
                    My only crime is being optimistic. 
                    At least I now know {andwanette}'s in league with thieves. 
                    I shan't do business with her again, I say! I simply shan't!

            ]],

            OPT_INTIMIDATE = "Intimidate {agent}",
            DIALOG_INTIMIDATE = [[
                player:
                    Look, it sucks about the jelly cheese. But nobody forced you to buy it.
                    So as a courtesy, {andwanette} formally requests that you shut your damn lyin' mouth.
                    !angry
                    Do you need help with that?
                    
            ]],

            DIALOG_INTIMIDATE_SUCCESS = [[
                player:
                    'Cause if word gets out that you think {andwanette} keeps bad company...
                    Well, you know how many friends she's got. Do you think they're gonna like what you're suggesting?
                agent:
                    N-no. And of course, I don't mean to say that <i>all</i> of them are bad.
                    Barely any! ... Really, {andwanette} was as duped as I was!
                    Hoodwinked, the lot of us! 
                player:
                    !happy
                    That's right. 
            ]],
            DIALOG_INTIMIDATE_FAILURE = [[
                player:
                    Do you think anyone will do business with a liar?
                agent:
                    Seems to work out well for {andwanette}, I must say!
                    My reputation is on the line, sir, and I intend to defend it.
            ]],

            OPT_ATTACK = "Attack {agent}",
            DIALOG_ATTACK = [[
                player:
                    Alright, let me demonstrate how seriously {andwanette} is taking this.
                    !fight
                agent:
                    !scared
                    Huh?
            ]],
            DIALOG_WON = [[
                {dead?
                    * {agent} is dead. You may have just replaced one dirty rumor with another, but you technically did what you were told.
                }
                {not dead?
                    agent:
                        !injured
                        P-please, no more. I have come around on your argument. 
                        You and I both agree, it's for the best if I drop the issue entirely.
                    player:
                        !happy
                        Darn tootin'! 
                }
            ]],

            OPT_SHOW_POISON = "Hand {agent} the poison",
            DIALOG_SHOW_POISON = [[
                player:
                    You know, I've been looking into {andwanette}'s other business, and I found this.
                    !give
                agent:
                    !take
                * {agent} takes the vial in hand, holding it up against the light.
                    I don't understand. What is this?
                player:
                    It's poison. I think you were right, pal. She's been in cahoots with miscreants the whole time!
                agent:
                    !give
                    I knew it! I knew {andwanette} was rotten!
                    What are you going to do with this evidence?
                player:
                    I'm going straight to the Admiralty with it, of course.
                    It's all the proof they need to put someone away for a long time.
                agent:
                    Ah, sweet justice! It can't come soon enough.
                player:
                    Just you wait.
                * You pocket the vial, being careful not to smudge {agent}'s fingerprints.
            ]],
            
            SIT_MOD = "Pumped up on honesty",

            OPT_OFFER_GOODS = "Offer to return the goods.",
            DIALOG_OFFER_GOODS = [[
                player:
                    Here. This is the evidence receipt for the cheese. You can go pick it up when you're ready.
                agent:
                    Really? How did you do this?
                player:
                    I talked with the Admiralty and {andwanette}, and cleared up the details.
                    It was all just a big misunderstanding!
                agent:
                    !happy
                    R-really? Is that right?
                    The cheese was legitimately acquired all along?
                    O-oh dear. And all those things I said about Andwanette...
                player:
                    Yeah. It's a lot to take back, huh?
                agent:
                    But I <i>must</i> try. 
                    I'll hold a soiree in her honor! And serve the cheese, of course.
                    It is the least I can do.
            ]],

            OPT_COVER_COSTS = "Cover {agent}'s costs",
            DIALOG_COVER_COSTS = [[
                player:
                    {andwanette}'s reviewed her, uh, other transactions with the grifter that sold you that cheese.
                    And she's found evidence that this might not be the only time they've done a bad.
                    {andwanette} apologizes for your trouble, and would like to offer you this as payment.
                    !give
                agent:
                    !take
                    I see. I suppose... she isn't as experienced a trader as I.
                    If I could be so fooled, how should I expect more of her?
                    This might be enough to get me on the waitlist for more jelly cheese, when the bacteria ripens in twelve years.
                player:
                    Whatever makes you happy, I guess?
            ]]

        }
        :Fn(function(cxt) 
            cxt:Dialog("DIALOG_INTRO")
            cxt:RunLoop(function() 
                
                if not cxt.quest.param.caterer_saw_poison then
                    cxt:Question("OPT_Q1", "DIALOG_A1")
                end

                if cxt.quest.param.have_poison and cxt.quest.param.fingerprints == nil then
                    cxt:Opt("OPT_SHOW_POISON")
                        :Dialog("DIALOG_SHOW_POISON")
                        :Fn(function() 
                            cxt.quest.param.fingerprints = "BUYER"
                            cxt.quest.param.buyer_saw_poison = true
                        end)
                end


                if cxt.quest.param.have_goods then
                    cxt:Opt("OPT_OFFER_GOODS")
                        :Dialog("DIALOG_OFFER_GOODS")
                        :Fn(function()
                            cxt.quest.param.have_goods = false
                            cxt.quest.param.buyer_gave_goods = true
                            cxt.quest:Complete("deal_with_buyer")
                        end)
                        :DoneConvo()
                end

                cxt:Opt("OPT_COVER_COSTS")
                    :Dialog("DIALOG_COVER_COSTS")
                    :DeliverMoney(500) --You really shouldn't pick this one.
                    :CompleteQuest("deal_with_buyer")
                    :DoneConvo()

                cxt:Opt("OPT_INTIMIDATE")
                    :Dialog("DIALOG_INTIMIDATE")
                    :Negotiation{
                        flags = NEGOTIATION_FLAGS.INTIMIDATION,
                        situation_modifiers =
                        {
                            { value = 10, text = cxt:GetLocString("SIT_MOD") }
                        },

                    }
                        :OnSuccess()
                            :Dialog("DIALOG_INTIMIDATE_SUCCESS")
                            :Fn(function() 
                                cxt.quest.param.buyer_intimidated = true
                                cxt.quest:Complete("deal_with_buyer")
                            end)
                            :DoneConvo()

                        :OnFailure()
                            :Dialog("DIALOG_INTIMIDATE_FAILURE")

                cxt:Opt("OPT_ATTACK")
                    :Dialog("DIALOG_ATTACK")
                    :Battle{}
                        :OnWin()
                            :Fn(function() 
                                cxt:Dialog("DIALOG_WON")
                                if cxt:GetAgent():IsDead() then
                                    cxt.quest.param.buyer_killed = true
                                else
                                    cxt.quest.param.buyer_intimidated = true
                                end
                                cxt.quest:Complete("deal_with_buyer")


                            end)
                            :DoneConvo()
                
                StateGraphUtil.AddEndOption(cxt)
            end)
        end)


--fight, convince to give poison, convince to assassinate the buyer and/or caterer
QDEF:AddConvo("deal_with_assassin", "assassin")
    :AttractState("foo")
        :Loc{
            DIALOG_INTRO = [[
                {first_time?
                    agent:
                        You want something, pearl-sucker?
                    player:
                        Just trying to put two and two together.
                        Takin' me longer than I'd like, if I'm honest.   
                    agent:
                        Let me help you out: the answer is four.

                }

                {not first_time?
                    agent:
                        Do you make it a habit of bothering dangerous people?
                }

            ]],
            OPT_Q1 = "Ask about {andwanette}",
            DIALOG_A1 = [[
                player:
                    What's with the blackmail, bud? 
                agent:
                    Hah. So {andwanette} sent you, did she?
                    Seems she's smart enough to know when the dagger's pointed in her direction.
                player:
                    You're an assassin then, huh? Did you kill her dinner guest?
                agent:
                    !shrug
                    Maybe.
                    But tell {andwanette} the best protection she can hope for is to pay me to stay away--and stay quiet.
            ]],

            OPT_ATTACK = "Attack {agent}",
            DIALOG_ATTACK = [[
                player:
                    !fight
                    Put 'em up!
                agent:
                    Amateur.
            ]],
            DIALOG_WON = [[
                {dead?
                    * The assassin is dead. That's one less loose thread to worry about.
                }
                {not dead?
                    agent:
                        !injured
                        You're stronger than I thought.
                        Look like a pearlie, but fight like a grifter.
                    player:
                        Best of both worlds, ain't I?
                        Now, you gonna stop this blackmail business?
                    agent:
                        Sure. If you're her new security, she's got nothing to worry about from me.
                        But word of advice? Stay on her good side.
                        !exit
                    * {agent} melts into the shadows.
                }
            ]],

            OPT_CONVINCE_MORE_WORK = "Convince {agent} that {andwanette} has more work for {agent.himher}",
            DIALOG_CONVINCE_MORE_WORK = [[
                player:
                    If this can all be solved with shills, why not come on the payroll?
                    {andwanette}'s bound to have work for a skilled so-and-so like you.
                agent:
                    If {andwanette} has the work, why am I talking to you?
            ]],

            DIALOG_CONVINCE_MORE_WORK_SUCCESS = [[
                player:
                    {andwanette} sent me to hire you, actually. 'Cause of all the heat.
                agent:
                    Too much for her, is it? Maybe she should've stymied her ambitions.
                    Who does {andwanette} need killed?
                player:
                    O-oh. Wow. Right to the point, huh?
            ]],
            DIALOG_CONVINCE_MORE_WORK_FAILURE = [[
                player:
                    Because I'm... very persuasive?
                agent:
                    No. You aren't.
            ]],
            OPT_ASK_FOR_PROOF = "Ask {agent} to explain how {agent.heshe} did the job",
            DIALOG_ASK_FOR_PROOF = [[
                player:
                    {andwanette} needs proof that you actually killed her guest.
                    {andwanette.HeShe} wants to know how you did it.
                agent:
                    Hah! No she doesn't. She wants to know as little as possible.
                    You, on the other hand, are the one who's interested.
                player:
                    Can you blame a guy? It's tantalizing info.
            ]],
            DIALOG_ASK_FOR_PROOF_SUCCESS = [[
                player:
                    Come on. As one goon to another, you can tell me.
                agent:
                    Fine. I need to dispose of the evidence, anyway.
                    This is the poison that I used.
                    !give
                    As long as it's in the vial, it's safe. But it'll do the trick by ingestion or direct contact.
                    Hesh, even the fumes aren't for fun.
                player:
                    !take
                    Huh. Neat.
            ]],
            DIALOG_ASK_FOR_PROOF_FAILURE = [[
                agent:
                    !crossed
                    My word should be proof enough.
            ]],

            OPT_PICK_TARGET = "Pick an assassination target",
            DIALOG_PICK_TARGET = [[
                player:
                    I've figured out who needs to die.
                agent:
                    Hesh yeah, brother.
            ]],

        }
        :Fn(function(cxt) 
            cxt:Dialog("DIALOG_INTRO")
            cxt:RunLoop(function() 
                
                cxt:Question("OPT_Q1", "DIALOG_A1")

                cxt:Opt("OPT_ATTACK")   
                    :Dialog("DIALOG_ATTACK")
                    :Battle{}
                        :OnWin()
                            :Dialog("DIALOG_WON")
                            :Fn(function() 
                                cxt.quest:Complete("deal_with_assassin")
                                if not cxt:GetAgent():IsDead() then
                                    cxt:GetAgent():MoveToLimbo()
                                end
                            end)
                            :DoneConvo()


                if cxt.quest:IsActive("deal_with_buyer") or cxt.quest:IsActive("deal_with_caterer") then


                    if cxt.quest.param.assassin_will_work then
                        cxt:Opt("OPT_PICK_TARGET")
                            :Dialog("DIALOG_PICK_TARGET")
                            :GoTo("STATE_PICK_TARGET")
                    else

                        cxt:Opt("OPT_CONVINCE_MORE_WORK")
                            :Dialog("DIALOG_CONVINCE_MORE_WORK")
                            :Negotiation{}
                                :OnSuccess()
                                    :Dialog("DIALOG_CONVINCE_MORE_WORK_SUCCESS")
                                    :Fn(function() cxt.quest.param.assassin_will_work = true end)
                                    :GoTo("STATE_PICK_TARGET")

                                :OnFailure()
                                    :Dialog("DIALOG_CONVINCE_MORE_WORK_FAILURE")
                    end
                end

                cxt:Opt("OPT_ASK_FOR_PROOF")
                    :Dialog("DIALOG_ASK_FOR_PROOF")
                    :Negotiation{}
                        :OnSuccess()
                            :Dialog("DIALOG_ASK_FOR_PROOF_SUCCESS")
                            :Fn(function() 
                                cxt.quest.param.have_poison = true
                            end)
                        :OnFailure()
                            :Dialog("DIALOG_ASK_FOR_PROOF_FAILURE")
                            

                StateGraphUtil.AddEndOption(cxt)

            end)
        end)

    :State("STATE_PICK_TARGET")
        :Loc{
            OPT_BUYER = "Get {agent} to kill {buyer}",
            DIALOG_BUYER = [[
                player:
                    {andwanette} needs you to kill {buyer}.
                agent:
                    The merchant? Too easy.
                    I'll do it, but I almost feel bad for {buyer.himher}.
            ]],
            OPT_CATERER = "Get {agent} to kill {caterer}",
            DIALOG_CATERER = [[
                player:
                    {andwanette} needs you to kill {caterer}. Think you can do it?
                agent:
                    Yes, I can kill a bartender.
                    It's almost an insulting task for someone of my skills.
                    But you're paying, so who am I to quibble?
            ]],
            OPT_INVESTIGATOR = "Get {agent} to kill {investigator}",
            DIALOG_INVESTIGATOR = [[
                player:
                    {andwanette} wants {investigator} dead.
                agent:
                    Oh. An Admiralty officer.
                    Now that's a challenge worthy of my skills!
            ]],

            OPT_NEVER_MIND = "Never mind",
            DIALOG_NEVER_MIND = [[
                player:
                    On second thought, I'm not sure who the target is yet.
                agent:
                    You're an odd one, grifter.
                    Come back when you're more sure of your goals.
            ]],
            DIALOG_POST_HIRE = [[
                agent:
                    I will go do the deed, and meet you after at a nice, quiet place.
                    Bring my usual payment.
                player:
                    Yes. Your payment. I will bring it.
                agent:
                    !exit
                * {agent} skulks off, brimming with purpose. You suspect {agent.heshe} is not going to be very happy when you can't pay {agent.himher}.
            ]],


        }
        :Fn(function(cxt) 
            if cxt.quest:IsActive("deal_with_buyer") then
                cxt:Opt("OPT_BUYER")
                    :Dialog("DIALOG_BUYER")
                    :Fn(function() 
                        cxt.quest.param.assassin_will_work = false
                        cxt.quest.param.assassin_owed_money = true
                        cxt.quest.param.assassin_killed_buyer = true
                        cxt.quest:Complete("deal_with_buyer")
                        cxt:GetAgent():MoveToLimbo()
                        cxt.quest:AssignCastMember("assassin_target", cxt.quest:GetCastMember("buyer"))
                        cxt.quest:GetCastMember("buyer"):Kill()
                        cxt.quest:Activate("meet_assassin_post_kill")
                        cxt.quest:Cancel("deal_with_assassin")
                        cxt:Dialog("DIALOG_POST_HIRE")
                    end)
                    :DoneConvo()
            end
                
            if cxt.quest:IsActive("deal_with_caterer") then
                cxt:Opt("OPT_CATERER")
                    :Dialog("DIALOG_CATERER")
                    :Fn(function() 
                        cxt.quest.param.assassin_will_work = false
                        cxt.quest.param.assassin_owed_money = true
                        cxt.quest.param.assassin_killed_caterer = true
                        cxt.quest:Complete("deal_with_caterer")
                        cxt:GetAgent():MoveToLimbo()
                        cxt.quest:AssignCastMember("assassin_target", cxt.quest:GetCastMember("caterer"))
                        cxt.quest:GetCastMember("caterer"):Kill()
                        cxt.quest:Activate("meet_assassin_post_kill")
                        cxt.quest:Cancel("deal_with_assassin")
                        cxt:Dialog("DIALOG_POST_HIRE")
                    end)
                    :DoneConvo()
            end
            
            cxt:Opt("OPT_INVESTIGATOR")
                :Dialog("DIALOG_INVESTIGATOR")
                :Fn(function() 
                    cxt.quest.param.assassin_will_work = false
                    cxt.quest.param.assassin_owed_money = true
                    cxt.quest.param.assassin_killed_investigator = true
                    cxt:GetAgent():MoveToLimbo()
                    cxt.quest:AssignCastMember("assassin_target", cxt.quest:GetCastMember("investigator"))
                    cxt.quest:GetCastMember("investigator"):Kill()
                    cxt.quest:Activate("meet_assassin_post_kill")
                    cxt.quest:Cancel("deal_with_assassin")
                    cxt:Dialog("DIALOG_POST_HIRE")
                end)
                :DoneConvo()

            cxt:Opt("OPT_NEVER_MIND")
                :Dialog("DIALOG_NEVER_MIND")
                :DoneConvo()

        end)


-- tip off about assassin (and go fight them together), convince to hand over goods, bribe, give fake evidence about buyer/caterer, intimidate, fight
QDEF:AddConvo("talk_to_investigator", "investigator")
    :AttractState("foo")
        :Loc{
            DIALOG_INTRO = [[
                {first_time?
                    agent:
                        I'm quite busy, grifter.
                        Admiralty business.
                    player:
                        Is this about the death at Andwanette's place?
                    agent:
                        Okay, now you have my attention.
                        What do you know about that?
                }

                {not first_time?
                    agent:
                        Now what, grifter?
                }
            ]],

            OPT_GIVE_POISON = "Show {agent} the poison vial with {fingerprint}'s fingerprints on it",
            DIALOG_GIVE_POISON_ASSASSIN = [[
                player:
                    Here. I have proof that {assassin} did the murder.
                    !give
                agent:
                    Well-known professional assassin {assassin}, huh?
                player:
                    Yeah! And I have proof!
                agent:
                    !shrug
                    So do I. {assassin.HeShe} is a well-known professional assassin.
                    !give
                    I don't need your vial of poison to figure that out.
                * {agent} gives back the poison.
            ]],
            DIALOG_GIVE_POISON = [[
                player:
                    Here. I have proof that {fingerprint} did the murder.
                    !give
                agent:
                    Hmmm. Now this I can use.
                    I don't know if I trust your investigative methodology, but this will save me just enough paperwork not to care.
                * {agent} signals to a flunky, and hands off the poison.
                agent:
                    There. Legally speaking, you just solved a murder. 
                    Congratulations.
            ]],

            OPT_OFFER_HELP_KILL_ASSASSIN = "Offer to help entrap {assassin}",
            DIALOG_OFFER_HELP_KILL_ASSASSIN = [[
                {first_time? 
                    player:
                        I can help you capture {assassin}.
                    agent:
                        Really.
                        You'd need to get them to agree to a job, and then have them admit to doing it in front of me.
                        You think you can do that?
                    player:
                        !happy
                        I can do anything if I try!
                    agent:
                        Uh-huh. Come back if you're serious.
                }
                {not first_time?
                    player:
                        Seriously. I can help you with {assassin}.
                    agent:
                        Yeah, and seriously, we need a little more pretext than the fact that {assassin.heshe} is a known professional assassin.
                        Go convince {assassin.himher} to actually do something illegal, and then we can go after {assassin.himher} with proof.
                        !shrug
                        That's just the way the law works in the Pearl.

                }
            ]],

            OPT_START_ENTRAPMENT = "Tell {agent} that {assassin} killed {assassin_target}",
            DIALOG_START_ENTRAPMENT = [[
                player:
                    I can prove that {assassin} has killed {assassin_target}.
                agent:
                    Convince me...
            ]],
            DIALOG_START_ENTRAPMENT_SUCCESS = [[
                player:
                    ... and that's when {assassin.heshe} told me to meet {assassin.himher} and to come alone.
                agent:
                    Alright, I believe you. 
                    I mean, you're just as guilty as {assassin} is, but {assassin.heshe}'s more dangerous, so we'll deal with that first.
                    Go to the meeting, and get {assassin} to talk. We'll be watching from the side, and we'll intervene.
                    Got it?
                player:
                    !salute
                    Got it.
            ]],
            DIALOG_START_ENTRAPMENT_FAILURE = [[
                agent:
                    You expect me to believe that oshnu pile?
                    Stop wasting my time!
            ]],

            DIALOG_DO_ENTRAPMENT = [[
                agent:
                    What are you doing waiting around here?
                    !point
                    Go to the meeting with {assassin}!
                    !exit
            ]],

            OPT_CONVINCE_GET_GOODS = "Convince {agent} to return {buyer}'s confiscated goods",
            DIALOG_CONVINCE_GET_GOODS = [[
                player:
                    Hey, you got the goods from {buyer}? The stolen stuff?
                agent:
                    The jelly cheese? Yes. I'm sure it'll fetch a pretty penny the next time we auction off the evidence locker.
                player:
                    Yeah, uh, about that. That cheese belongs to {andwanette}, ya know?
                agent:
                    It does? But I thought she was the one to arrange the sale?
                player:
                    Lemme explain.
                    
            ]],
            DIALOG_CONVINCE_GET_GOODS_SUCCESS = [[
                player:
                    So you see, the goods <i>actually</i> belonged to her dinner guest. The one that was murdered!
                    Andwanette <i>didn't</i> know that the goods had been stolen from {rival.himher}. But she also didn't know {rival.heshe}'d intended to gift the cheese to her.
                    As an anniversary present. Of their friendship.
                agent:
                    That's... beautiful. The symbolism of jelly cheese...
                player:
                    Yeah. {rival.HeShe} might be dead, but their friendship lives on. In the cheese, ya see?
                agent:
                    Alright, well, take this receipt, then. {andwanette} can use it to collect the cheese.
                    You know, when she's ready. Emotionally.
            ]],
            DIALOG_CONVINCE_GET_GOODS_FAILURE = [[
                player:
                    The original owner woulda <i>wanted</i> Andwanette to have it.
                agent:
                    I'm sure that made sense in your head, but it makes absolutely no sense coming out of your mouth.
                    The cheese is staying right where it is.
            ]]

        }
        :Fn(function(cxt) 
            
            if cxt.quest.param.doing_entrapment then
                cxt:Dialog("DIALOG_DO_ENTRAPMENT")
                StateGraphUtil.AddEndOption(cxt)
                return
            end

            cxt:Dialog("DIALOG_INTRO")
            cxt:RunLoop(function() 
                
               cxt:Opt("OPT_ASK_ABOUT")
                   :IsHubOption(true)
                   :GoTo("STATE_QUESTIONS")     

                
                if cxt.quest.param.have_poison then
                    
                    if cxt.quest.param.fingerprints == nil then
                        if not cxt.quest.param.showed_poison then
                            cxt:ReassignCastMember("fingerprint", cxt.quest:GetCastMember("assassin"))
                            cxt:Opt("OPT_GIVE_POISON")
                                :Dialog("DIALOG_GIVE_POISON_ASSASSIN")
                                :Fn(function(cxt) cxt.quest.param.showed_poison = true end )
                        end
                    else
                        if cxt.quest.param.fingerprints == "CATERER" then
                            if cxt.quest:IsActive('deal_with_caterer') then
                                cxt:ReassignCastMember("fingerprint", cxt.quest:GetCastMember("caterer"))
                                cxt:Opt("OPT_GIVE_POISON")
                                    :Dialog("DIALOG_GIVE_POISON")
                                    :Fn(function() 
                                        cxt.quest.param.have_poison = false
                                        cxt.quest:Complete("deal_with_caterer")  
                                    end)
                            end
                        elseif cxt.quest.param.fingerprints == "BUYER" then
                            
                            if cxt.quest:IsActive('deal_with_buyer') then
                                cxt:ReassignCastMember("fingerprint", cxt.quest:GetCastMember("buyer"))
                                cxt:Opt("OPT_GIVE_POISON")
                                    :Dialog("DIALOG_GIVE_POISON")
                                    :Fn(function() 
                                        cxt.quest.param.have_poison = false
                                        cxt.quest:Complete("deal_with_buyer")  
                                    end)
                            end
                        end
                    end
                end

                if cxt.quest:IsActive("meet_assassin_post_kill") then
                    
                    cxt:Opt("OPT_START_ENTRAPMENT")
                        :Dialog("DIALOG_START_ENTRAPMENT")
                        :Negotiation{}
                            :OnSuccess()
                                :Dialog("DIALOG_START_ENTRAPMENT_SUCCESS")
                                :Fn(function() 
                                    cxt.quest.param.doing_entrapment = true
                                end)
                                :DoneConvo()

                            :OnFailure()
                                :Dialog("DIALOG_START_ENTRAPMENT_FAILURE")

                else
                    
                    if cxt.quest:IsActive("deal_with_assassin") then
                        cxt:Opt("OPT_OFFER_HELP_KILL_ASSASSIN")
                            :Dialog("DIALOG_OFFER_HELP_KILL_ASSASSIN")
                    end

                end


                if not cxt.quest.param.got_cheese then
                    cxt:Opt("OPT_CONVINCE_GET_GOODS")
                        :Dialog("DIALOG_CONVINCE_GET_GOODS")
                        :Negotiation{}
                            :OnSuccess()
                                :Dialog("DIALOG_CONVINCE_GET_GOODS_SUCCESS")
                                :Fn(function() 
                                    cxt.quest.param.got_cheese = true
                                    cxt.quest.param.have_goods = true
                                end)
                            :OnFailure()
                                :Dialog("DIALOG_CONVINCE_GET_GOODS_FAILURE")
                end

                StateGraphUtil.AddEndOption(cxt)
            end)
        end)

    :AskAboutHub("STATE_QUESTIONS", 
             {

                "Ask about {andwanette}",
                [[
                    player:
                        How do you think {andwanette} is mixed up in all this?
                    agent:
                        {andwanette} is mixed up in pretty much everything in the Pearl.
                        Besides, most of the involved parties are pointing figures squarely at {andwanette.himher}.
                ]],

                "Ask about {caterer}",
                [[
                    player:
                        Do you think {caterer}'s food killed {rival}?
                    agent:
                        Well it was the last thing {rival.heshe} ate.
                        What else could have poisoned {rival.himher}?
                ]],
                "Ask about {buyer}",
                [[
                    player:
                        Why did you confiscate {buyer}'s goods?
                    agent:
                        {buyer}'s business dealings stink worse than that load of stinking Oshnu cheese.
                        The fact that the cheese's last registered owner is {rival} sure paints {buyer} in a poor light.
                        {buyer} has been naming {andwanette} as the middleman, but {buyer.heshe} hasn't provided any proof.
                        So until something changes, my office smells like an Oshnu nursery.
                        Blech.
                ]],
                "Ask about {assassin}",
                [[
                    player:
                        What do you know about {assassin}?
                    agent:
                        {assassin} is a real rough customer.
                        I heard {assassin.heshe} was operating in the Pearl again, and now {assassin.hisher} name keeps popping up when I ask questions about {rival} and {andwanette}.
                        This is going to cause me all sorts of paperwork.
                ]],
                "Ask about {rival}",
                [[
                    player:
                        Who was {rival}, anyway?
                    agent:
                        Just another wannabe Pearl bigshot.
                        No ties to the Cult, though, so I don't know how {rival.heshe} expected to get very far.
                        Must have thought money and gumption would be enough.
                        Spoiler alert:
                        They were not.
                ]],

             })  


--fight, convince to give poison, convince to assassinate the buyer and/or caterer
QDEF:AddConvo("meet_assassin_post_kill", "assassin")
    :ConfrontState("foo")
        :Loc{
            DIALOG_INTRO = [[
                * {assassin} reveals {assassin.himher}self.
                assassin:
                    !right
                    The job is done. Now, time for payment.
                player:
                    !left
            ]],

            DIALOG_ENTRAPMENT = [[
                * {investigator} jumps out of the shadows!
                investigator:
                    !left
                    Is that so, {assassin}?
                    I'm going to get a raise for taking you down!
                assassin:
                    Betrayer!
                    I'll kill you both!
            ]],

            OPT_DEFEND = "Defend yourself!",
            DIALOG_DEFEND = [[
                player:
                    !left
                    !fight
                    Yeeeeeah!
            ]],
            
            DIALOG_WON_ENTRAPMENT = [[
                player:
                    !neutral
                {dead and investigator_dead?
                    * Both {investigator} and {assassin} are dead. That tidies itself up nicely.
                }
                {dead and not investigator_dead?
                    investigator:
                        !right
                        Thanks for your help with that, grifter.
                        There's one less dangerous assassin prowling around the Pearl, and one more commendation pending on my permanent record!
                        I'll clean up the mess. You should leave before other Admiralty arrive.
                }
                {not dead and investigator_dead?
                    assassin:
                        !injured
                        You play a duplicitous game, grifter.
                        At least I have the satisfaction of killing your partner.
                        Tell {andwanette} that our contract is fulfilled. I will be leaving town now.
                        !exit
                }
                {not dead and not investigator_dead?
                    investigator:
                        !right
                        !happy
                        We caught {assassin.himher} alive!
                        I'm going to get a promotion for this!
                        You should leave before other Admiralty arrive.
                }
            ]],

            OPT_PAY_FOR_KILL = "Pay {agent} with money",
            DIALOG_PAY_FOR_KILL = [[
                player:
                    A fair price for a fair job.
                agent:
                    Thank you, grifter.
                    Other business calls to me. I will be leaving the Pearl now. Tell {andwanette} that our contract is fulfilled.
                    !exit
            ]],
            
            OPT_PAY_FOR_KILL_CHEESE = "Pay {agent} with cheese",
            DIALOG_PAY_FOR_KILL_WITH_CHEESE = [[
                player:
                    I could give you money...
                    But!
                agent: 
                    ...
                player:
                    How about a load of cheese instead?
                
            ]],
            DIALOG_PAY_FOR_KILL_WITH_CHEESE_SUCCESS = [[
                agent:
                    Your payment is unconventional, but I will accept it.
                    I do quite enjoy a good cheese.
                    Other business calls to me. I will be leaving the Pearl now. Tell {andwanette} that our contract is fulfilled.
                    !exit
            ]],

            DIALOG_PAY_FOR_KILL_WITH_CHEESE_FAILURE = [[
                agent:
                    No. I do not perform murders for cheese.
                    Are you going to pay me now? Or do I have more murders to perform?
            ]],

            OPT_ATTACK = "Attack {agent}",
            DIALOG_ATTACK = [[
                player:
                    I'm going to pay you...
                    !fight
                    With this!
            ]],
            DIALOG_WON = [[
                {dead?
                    * You have assassinated {assassin}. If there's irony there, it's lost upon you.
                }
                {not dead?
                    assassin:
                        !injured
                        You have bested me, grifter.
                        I do not like that, but I respect it.
                        You may tell {andwanette} that our contract is fulfilled.
                        !exit
                    * {agent} limps off. You feel pretty proud of yourself, all things considered.


                }
            ]],

            OPT_Q1 = "Ask how {assassin_target} died",
            DIALOG_A1 = [[
                player:
                    What did you do to {assassin_target}?
                agent:  
                    A professional never discloses {agent.hisher} secrets.
                    Let's just say that I was thorough, and quiet.
            ]],
        }
        :Fn(function(cxt) 
            
            cxt:Dialog("DIALOG_INTRO")

            if cxt.quest.param.doing_entrapment then

                cxt:Dialog("DIALOG_ENTRAPMENT")

                cxt:Opt("OPT_DEFEND")
                    :Dialog("DIALOG_DEFEND")
                    :Battle{
                        flags = BATTLE_FLAGS.SELF_DEFENCE | BATTLE_FLAGS.ISOLATED,
                        allies = {"investigator"},
                    }
                        :OnWin()
                            :Fn(function() 
                                
                                if cxt.quest:GetCastMember("investigator"):IsDead() then
                                    cxt.enc.scratch.investigator_dead = true
                                end
                                cxt.quest:Cancel("talk_to_investigator")
                                cxt.quest:Complete("meet_assassin_post_kill")
                                
                                cxt:Dialog("DIALOG_WON_ENTRAPMENT")
                                if cxt.quest:GetCastMember("investigator"):IsAlive() then
                                    if cxt:GetAgent():IsDead() then
                                        cxt:Opinion("got_commendation", "investigator")
                                    else
                                        cxt:Opinion("got_promotion", "investigator")
                                    end
                                end


                                StateGraphUtil.AddLeaveLocation(cxt) 
                            end)
            else

                cxt:RunLoop(function() 
                    
                    cxt:Question("OPT_Q1", "DIALOG_A1")
                    cxt:Opt("OPT_PAY_FOR_KILL")
                        :Dialog("DIALOG_PAY_FOR_KILL")
                        :DeliverMoney(cxt.quest:GetCastMember("assassin_target") == cxt.quest:GetCastMember("investigator") and 1000 or 500)
                        :CompleteQuest("meet_assassin_post_kill")
                        :Travel()

                    if cxt.quest.param.have_goods then
                        cxt:Opt("OPT_PAY_FOR_KILL_CHEESE")
                            :Dialog("DIALOG_PAY_FOR_KILL_WITH_CHEESE")
                            :Negotiation{}
                                :OnSuccess()
                                    :Fn(function() cxt.quest.param.have_goods = false end)
                                    :Dialog("DIALOG_PAY_FOR_KILL_WITH_CHEESE_SUCCESS")
                                    :CompleteQuest("meet_assassin_post_kill")
                                    :Travel()
                                :OnFailure()
                                    :Dialog("DIALOG_PAY_FOR_KILL_WITH_CHEESE_FAILURE")
                    end
                        

                    cxt:Opt("OPT_ATTACK")
                        :Dialog("DIALOG_ATTACK")
                        :Battle{ flags = BATTLE_FLAGS.ISOLATED }
                            :Dialog("DIALOG_WON")
                            :CompleteQuest("meet_assassin_post_kill")
                            :Travel()

                    --stuff!
                end)

            end

        end)


--the investigator will accost you on the way back to the andwanette if you didn't fight the assassin with them, but you fought the caterer/buyer


QDEF:AddConvo("return_to_anwanette")
    :TravelConfront("STATE", function(cxt) return not cxt.quest.param.admiralty_intercepted and not cxt:GetCastMember("investigator"):IsDead() and ((cxt.quest.param.buyer_intimidated or cxt.quest.param.buyer_killed) or (cxt.quest.param.caterer_intimidated or cxt.quest.param.caterer_killed)) end)
        :Loc{
            
            DIALOG_INTRO = [[
                * You are stopped by {investigator}.
                player:
                    !left

                investigator:
                    !right
                    Hold up.
                    The investigation into {andwanette} isn't over.
                {buyer_killed or caterer_killed? 
                    You've been implicated in the death of at least one of the principals. | 
                    I have it on good authority that you've been intimidating witnesses. }

                {liked?
                    I like you, you know that.
                    Convince me that I should continue to like you.
                }
                
                {not liked?
                    What do you have to say for yourself, grifter?
                }
            ]],

            OPT_CONVINCE_INNOCENT = "Convince {agent} you're innocent",
            DIALOG_CONVINCE_INNOCENT = [[
                player:
                    It wasn't me!
            ]],
            
            DIALOG_CONVINCE_INNOCENT_SUCCESS = [[
                {liked?
                    agent:
                        Good, that's what I thought.
                        Take care of yourself, {player}.
                        !exit
                }
                {not liked?
                    agent:
                        Alright, you're in the clear.
                        But I'm watching you, grifter!
                }
            ]],
            DIALOG_CONVINCE_INNOCENT_FAILURE = [[

                {liked?
                    agent:
                        Listen, I want to believe you.
                        I'm trying to believe you.
                        But that was some seriously weak argumentation.
                        How am I supposed to sell that to my superiors?
                }
                {not liked?
                    agent:
                        Nice try, grifter.
                        But I'm smarter than that.
                }

            ]],

            OPT_BRIBE = "Bribe {agent}",
            DIALOG_BRIBE = [[
                player:
                    I wish I could help you.
                    How about I, uh.. "donate" to your investigation?
                    !give
                agent:
                    Yes. This "donation" should help me uncover the truth.
                    Thank you, grifter.
                    !exit
            ]],

            OPT_DEFEND = "Defend yourself",
            
            DIALOG_DEFEND = [[
                player:
                    !fight
                    I ain't talking to cops!
            ]],
            DIALOG_WIN = [[
                {dead?
                    * {investigator} is dead, and if you know anything about the internal politics of the Admiralty, so is {investigator.hisher} investigation.
                }
                {not dead?
                    agent:
                        !injured
                        I yield!
                        I'll find someone else to pin this on.
                        Tell {andwanette} that {andwanette.heshe} should be more cautious next time. And to hire a better class of goon.
                    player:
                        !happy
                        I'll have you know that I'm a very classy goon, thank you very much!
                    agent:
                        !exit
                }
            ]],
        }
        :Fn(function(cxt) 

            cxt.quest.param.admiralty_intercepted = true
            local backup = CreateCombatBackup(cxt.quest:GetCastAgent("investigator"),"ADMIRALTY_PATROL_BACKUP", cxt.quest:GetRank())
            cxt:TalkTo("investigator")
            cxt:Dialog("DIALOG_INTRO")

            cxt:RunLoop(function() 
                
                cxt:Opt("OPT_CONVINCE_INNOCENT")
                    :Dialog("DIALOG_CONVINCE_INNOCENT")
                    :Negotiation{}
                        :OnSuccess()
                            :Dialog("DIALOG_CONVINCE_INNOCENT_SUCCESS")
                            :Travel()
                        :OnFailure()
                            :Dialog("DIALOG_CONVINCE_INNOCENT_FAILURE")

                cxt:Opt("OPT_BRIBE")
                    :Dialog("DIALOG_BRIBE")
                    :DeliverMoney(200)
                    :Travel()

                cxt:Opt("OPT_DEFEND")
                    :Dialog("DIALOG_DEFEND")
                    :Battle{}
                        :OnWin()
                            :Dialog("DIALOG_WIN")
                            :Travel()
            end)

        end)



QDEF:AddConvo("return_to_anwanette", "andwanette")
    :Loc{

        OPT_GET_PAID = "Get paid",
        DIALOG_PAID = [[
            player:
                I took care of-
            agent:
                Shhh!
            player:
                !dubious
                I mean, the problems that you were-
            agent:
                Hush!
                I don't want to know the details!
                The more details I know, the more they can come back on me.
                Just take your money and receipt for 'image consultation services rendered'.
            player:
                This all sounds very corrupt.
            agent:
                That's the Pearl, honey. Try to keep up.
        ]],
    }
    :Hub(function(cxt) 
        
        cxt:Opt("OPT_GET_PAID")
            :SetQuestMark()
            :PreIcon( global_images.hire )
            :Dialog("DIALOG_PAID")
            :Fn(function() ConvoUtil.GiveQuestRewards(cxt) end)
            :CompleteQuest()


    end)

QDEF:AddTest{
    tests = {
        {name = "Random", reps = 10 }, --ehhh... should be enough
    }
}



    



