local QDEF = QuestDef.Define
{
    title = "The Bogger Raid",
    --desc = [[]],
    --icon = engine.asset.Texture("icons/quests/sal_story_act1_huntingkashio.tex"),
    qtype = QTYPE.STORY,
    icon = engine.asset.Texture("icons/quests/rook_story_bogger_raid.tex"),

    on_start = function(quest)

        if quest.param.working_for == "RISE" then
            quest:AssignCastMember("giver", TheGame:GetGameState():GetAgent("KALANDRA"))
        elseif quest.param.working_for == "SPARK_BARONS" then
            quest:AssignCastMember("giver", TheGame:GetGameState():GetAgent("SPARK_CONTACT"))
        end


        if quest:GetCastMember("giver"):GetFactionID() == "RISE" then
            quest:AssignCastMember("robot_shop", TheGame:GetGameState():GetLocation("RISE_TINKER_SHOP"))
            quest:AssignCastMember("robot_giver", quest:GetCastMember("robot_shop"):GetProprietor())
            quest:AssignCastMember("second", TheGame:GetGameState():GetAgent("RISE_SECOND"))
        else
            quest:AssignCastMember("robot_shop", TheGame:GetGameState():GetLocation("GB_AUTOMECH_FACTORY"))
            quest:AssignCastMember("robot_giver", quest:GetCastMember("robot_shop"):GetProprietor())
            quest:AssignCastMember("second", TheGame:GetGameState():GetAgent("SPARK_SECOND"))
        end

    end,

    on_destroy = function(quest)
       if quest.param.hired_goons then
           for k, v in ipairs(quest.param.hired_goons) do
                if v:IsInPlayerParty() then
                    v:Dismiss():MoveToLimbo()
                end
            end
        end
    end,
}

--INT_Rise_Tinkershop_1
:AddObjective{
    id = "get_robots",
    title = "Requisition automechs",
    desc = "{giver} has given you permission to take some robotic accompaniment on this mission",
    mark = {"robot_giver"},
    state = QSTATUS.ACTIVE,
}

:AddObjective{
    id = "go_to_the_bogger_hideout",
    title = "Go to the Bogger hideout",
    desc = "The Boggers have a cache of artifacts stockpiled at an encampment. {giver} wants you to secure them.", 
    mark = { "bogger_hideout"},
    state = QSTATUS.ACTIVE,
}

:AddCast{
    cast_id = "giver",
    provider = true,
    no_validation = true,
}

:AddCast{
    cast_id = "second",
    no_validation = true,
    when = QWHEN.MANUAL,
}

:AddCastByAlias{
    cast_id = "bog_boss",
    alias = "BOGGER_BOSS",
    no_validation = true,
}

:AddLocationCast{
    cast_id = "robot_shop",
    no_validation = true,
    when = QWHEN.MANUAL,
    on_assign = function(quest, location)
        location:DoHiring()
    end,

}

:AddCast{
    cast_id = "robot_giver",
    no_validation = true,
    when = QWHEN.MANUAL,
}

:AddLocationCast{
    cast_id = "bogger_hideout",
    cast_fn = function(quest, t)
        table.insert(t,  quest:SpawnTempLocation("BOGGER_HIDEOUT"))
    end,
}

:AddLocationDefs{
    BOGGER_HIDEOUT = {
        name = "Bogger Hideout",
        map_tags = {"forest"},
        plax = "EXT_BOGGER_HIDEOUT_01",
        indoors = false,
    },
}


--------------------------
-- Kalandra or Fellemo tell you to get some robots (because their memories can be wiped) and go try to steal the boggers' weapons.


QDEF:AddConvo( nil, nil, QUEST_CONVO_HOOK.INTRO )
    :Loc{
        DIALOG_INTRO = [[

            {rise?
                agent:
                    All right. This will be dangerous, even after the job is done.
                    Once you meet with the boggers, everyone in the Bog's gonna wanna know where they lay their heads.
                    So I'm going to send you with backup of the cobblebot sort.
                    That way we can wipe their memories after, and no one becomes a target.
                player:
                    Except me, of course.
                agent:
                    Except you. But that's exactly why you're paid. 
            }
            {spark_barons? 
                agent:
                    The time is almost upon us, but there's one thing we need to consider:
                    The location of the bogger camp will be highly desirable information. 
                    Something the Rise would do anything for. 
                    So to protect my agents, I'll be sending you with Automechs. 
                player:
                    To protect your agents, or your profits? 
                agent:
                    Yes, well, the fact that Automechs can have their memories wiped...
                    That's just an added benefit. No one needs to know this information except for you and I, after all.
            }
        ]],
    }
    :State("START")
    :Fn(function(cxt)
        cxt:Dialog("DIALOG_INTRO")
        StateGraphUtil.AddEndOption(cxt)                
        --[[cxt:RunLoop(function() 
            cxt:AskAbout(cxt:GetAgent():GetFactionID() == "RISE" and "STATE_QUESTIONS_RISE" or "STATE_QUESTIONS_BARONS")
                :Dialog("DIALOG_ASK_ABOUT")
        end)--]]
    end)


--------------------------
-- You go to your faction-dependent place to get robots. the person in charge there gives you a hard time, because this is griftlands.


QDEF:AddConvo( "get_robots", "robot_giver")
    :Loc{
        OPT_ASK_FOR_ROBOTS = "Requisition some backup",
        DIALOG_ASK_FOR_ROBOTS = [[
            {spark_barons?
                player: 
                    {giver} sent me. I'm supposed to pick up some backup.
                agent:
                    Is that so?
                    Robots don't grow on trees, you know. I guess I can give you a single autodog.
            }

            {rise?
                player: 
                    {giver} sent me. I'm supposed to pick up some backup.
                agent:
                    Is that so?
                    I don't have many to spare. I can give you a single cobbledog.
            }
        ]],
        OPT_TAKE_BAD_ROBOTS = "Take the single {rise?cobbledog|autodog}",
        DIALOG_TAKE_BAD_ROBOTS = [[
            player:
                I'll take what I can get, I suppose.
            {spark_barons?
                robot:
                    !right
                    THANK YOU FOR BELIEVING IN ME.
            }
            {rise?
                robot:
                    !right
                    THANK YOU FOR BELIEVING IN ME.
            }
            
        ]],

        OPT_DEMAND_MORE = "Demand more support",
        DIALOG_DEMAND_MORE = [[
            player:
                I'm on a personal mission from {giver}. Surely you can spare a little more?
        ]],
        DIALOG_DEMAND_MORE_SUCCESS = [[
            {spark_barons?
                agent:
                    Fine, take an Enforcer, too.
                robot:
                    !right
                    TODAY IS GOING TO BE A GOOD DAY.
            }
            {rise?
                agent:
                    Fine, take a cobblebot, too.
                robot:
                    !right
                    I THINK I WILL ENJOY YOUR COMPANY.
            }
            
        ]],
        DIALOG_DEMAND_MORE_FAIL = [[
            {spark_barons?
                agent:
                    Nope.
            }
            {rise?
                agent:
                    Nope.
            }
            
        ]],

    }
    :Hub(function(cxt) 
        cxt:Opt("OPT_ASK_FOR_ROBOTS")
            :Dialog("DIALOG_ASK_FOR_ROBOTS")
            :LoopingFn(function() 
                
                local rise = cxt:GetAgent():GetFactionID() == "RISE"

                cxt:Opt("OPT_TAKE_BAD_ROBOTS")
                    :Fn(function() 
                        local def = rise and "RISE_AUTODOG" or "AUTODOG"
                        local agent = TheGame:GetGameState():AddSkinnedAgent(def):Recruit( PARTY_MEMBER_TYPE.HIRED )
                        cxt:ReassignCastMember("robot", agent)
                        cxt.quest.param.robots = {agent}
                        cxt.quest.param.took_robots = true
                    end)                    
                    :Dialog("DIALOG_TAKE_BAD_ROBOTS")
                    :CompleteQuest("get_robots")
                    :Fn(function() StateGraphUtil.AddEndOption(cxt) end)

                cxt:Opt("OPT_DEMAND_MORE")
                    :Dialog("DIALOG_DEMAND_MORE")
                    :Negotiation{}
                        :OnSuccess()
                            :Fn(function() 
                                local robot1 = TheGame:GetGameState():AddSkinnedAgent(rise and "RISE_AUTOMECH" or "SPARK_BARON_AUTOMECH"):Recruit( PARTY_MEMBER_TYPE.HIRED )
                                local robot2 = TheGame:GetGameState():AddSkinnedAgent(rise and "RISE_AUTODOG" or "AUTODOG"):Recruit( PARTY_MEMBER_TYPE.HIRED )
                                cxt:ReassignCastMember("robot", robot1)
                                cxt.quest.param.robots = {robot1, robot2}
                                cxt.quest.param.took_robots = true
                            end)
                            :Dialog("DIALOG_DEMAND_MORE_SUCCESS")
                            :CompleteQuest("get_robots")
                            :End()

                        :OnFailure()
                            :Dialog("DIALOG_DEMAND_MORE_FAIL")
                    
                StateGraphUtil.AddEndOption(cxt)

            end)

    end)


-- You find the boggers' hideout, and confront the boggermeister. He knows what rook is actually after, and taunts him with the fact that it's out of his reach. Then he bond villans off, leaving
-- some bogger goons to take care of you. The appropriate lieutenant pops in, gives you a reward, and takes the robots back. 

QDEF:AddConvo( "go_to_the_bogger_hideout")
    :ConfrontState("CONFRONT", function(cxt) return cxt.location == cxt.quest:GetCastMember("bogger_hideout") end)
    :Loc{
        DIALOG_INTRO = [[
            * You arrive at the bogger hideout, but your handlers had reason to believe the boggers would appreciate the direct approach.
            * Instead of sneaking, you walk right in.
            bog_boss: 
                !right
                Hark! Whose footfalls fight against the sucking mouth of the Bog?
            player:
                !left
            bog_boss: 
                And who are you? You don't look like those who use the Spark, nor any of their unawakened pawns.
            player:
                I'm just here for the artifacts.
            bog_boss:
                Ah. You and many others before you. 
                Their bones have made the hearth of my home. But <i>your</i> bones...
                Yes, your bones will make a fine mantle! 
                !exit
            bog_goon:
                !right
                !fight
            * Your intel... was incorrect. You're soon flanked on all sides. The only way out is through combat.
        ]],
        DIALOG_DEFEND = [[
            player:
                !fight
                Why is this never straightforward?
        ]],
        DIALOG_WON = [[
            {spark_barons?
                player:
                    !left
                    !neutral

                * As the fight ends, {second} walks up to confront you.. 
                second:
                    !right
                player:
                    What are you doing here?
                second:
                    Making sure you do your job.

                {took_robots and robots_alive ?
                    * {second} gestures at your robots.

                    second:
                        I'll be taking back that Spark Baron property now.
                }

                {took_robots and not robots_alive ?
                    * {second} inspects the pile of debris that was your robots.
                    second:
                        I should invoice you for the robots you got killed.
                }

                {not took_robots ?
                    * {second} looks around, surprised that you handled the fight without the provided backup.
                    Didn't {giver} send you with some robots?
                }

                player:
                    So the weapons are somewhere else.
                second:
                    My team will analyze the site and find out where the boggers went.
                    You can leave now.
            }

            {rise?
                player:
                    !left
                    !neutral

                * As the fight ends, {second} walks up to confront you. 
                second:
                    !right
                player:
                    What are you doing here?
                second:
                    Making sure you do your job.

                {took_robots and robots_alive ?
                    * {second} gestures at your robots.

                    second:
                        Good. You didn't break your toys. 
                        I'll take those back now.
                }

                {took_robots and not robots_alive ?
                    * {second} inspects the pile of debris that was your robots.
                    second:
                        Those robots weren't easy to come by. This better have been worth it.
                }

                {not took_robots ?
                    * {second} looks around, surprised that you handled the fight without the provided backup.
                    Didn't {giver} send you with some robots?
                }

                player:
                    So the weapons are somewhere else.
                second:
                    My people will sniff around, and see if they can pick up the boggers' trail.
                    You can leave now.
            }
        ]],



    }
    :Fn(function(cxt) 
        
        local bog_goons = CreateCombatParty({"BOGGER_CULTIVATOR", "BOGGER_CLOBBER", "BOGGER_CLOBBER"}, cxt.quest:GetRank(), cxt.location)
        cxt:ReassignCastMember("bog_goon", bog_goons[1])
        cxt:TalkTo("bog_boss")
        cxt:Dialog("DIALOG_INTRO")
        cxt.quest:GetCastMember("bog_boss"):MoveToLimbo()
        cxt:TalkTo(bog_goons[1])
        cxt:Opt("OPT_DEFEND")
            :Dialog("DIALOG_DEFEND")
            :Battle{
                    no_oppo_limit = true,
                    flags = BATTLE_FLAGS.NO_FLEE | BATTLE_FLAGS.SELF_DEFENCE | BATTLE_FLAGS.ISOLATED,
                }
                :OnWin()
                    :Fn(function() 
                        cxt.quest:Complete()
                        if cxt.quest.param.robots then 
                            cxt.enc.scratch.robots_alive = false
                            for k,v in ipairs(cxt.quest.param.robots) do
                                if not v:IsDead() then
                                    cxt.enc.scratch.robots_alive = true
                                end
                            end
                        end
                        cxt:TalkTo("second")
                        cxt:Dialog("DIALOG_WON")
                        if cxt.quest.param.robots then
                            for k, v in ipairs(cxt.quest.param.robots) do
                                if v:IsInPlayerParty() then
                                    v:Dismiss()
                                end
                            end
                        end

                        StateGraphUtil.AddLeaveLocation(cxt)
                        --[[cxt:RunLoop(function() 
                            cxt:Question("OPT_QUESTION_1", "DIALOG_QUESTION_1")
                            cxt:Question("OPT_QUESTION_2", "DIALOG_QUESTION_2")
                            
                        end)-]]                            
                    end)
    end)



 QDEF:AddDebugOption("working_for", {"RISE", "SPARK_BARONS"})

