local QDEF = QuestDef.Define
{
    title = "The Expedition",
    --desc = [[]],
    --icon = engine.asset.Texture("icons/quests/sal_story_act1_huntingkashio.tex"),
    qtype = QTYPE.STORY,
    icon = engine.asset.Texture("icons/quests/rook_story_expedition.tex"),

    --put other handler into hiding once you've picked

  
    events = 
    {
        agent_retired = function( quest, agent ) 
            return
        end,
    },

    
    on_start = function(quest)
        quest:GetCastMember("rise_contact"):SetBuildOverride("female_rise_kalandra_build")
        quest:Activate("talk_to_hebbel")
        local faction = quest.param.force_faction_alliance or (TheGame:GetGameState():GetMainQuest() and TheGame:GetGameState():GetMainQuest().param.expedition_faction) or "RISE"
        quest:AssignCastMember("handler", faction == "RISE" and quest:GetCastMember("rise_contact") or quest:GetCastMember("spark_contact"))
        local second = faction == "RISE" and quest:GetCastMember("rise_second") or quest:GetCastMember("spark_second")
        if second then
            quest:AssignCastMember("faction_second", second )
        end
    end,


}

-------------
:AddLocationCast{
    cast_id = "baron_hq",
    cast_fn = function(quest, t)
        table.insert(t, TheGame:GetGameState():GetLocation("GB_BARON_HQ"))
    end,
}

:AddCastByAlias{
    cast_id = "spark_contact",
    alias = "SPARK_CONTACT",
    no_validation = true,
}

:AddCastByAlias{
    cast_id = "spark_second",
    optional = true,
    alias = "SPARK_SECOND",
    no_validation = true,
    no_cleanup = true,
}


-------------
:AddLocationCast{
    cast_id = "rise_hq",
    cast_fn = function(quest, t)
        table.insert(t, TheGame:GetGameState():GetLocation("GB_RISE_HQ"))
    end,
}

:AddCastByAlias{
    cast_id = "rise_contact",
    alias = "KALANDRA",
    no_validation = true,
}
:AddCastByAlias{
    cast_id = "rise_second",
    optional = true,
    alias = "RISE_SECOND",
    no_cleanup = true,
    no_validation = true,
}
-------------
:AddLocationCast{
    cast_id = "bar",
    cast_fn = function(quest, t)
        table.insert(t, TheGame:GetGameState():GetLocation("GB_NEUTRAL_BAR"))
    end,
}

:AddCastByAlias{
    cast_id = "hebbel",
    alias = "HEBBEL",
}

-----------------------------

:AddCast{
    cast_id = "handler",
    no_validation = true,
    when = QWHEN.MANUAL,
}

:AddCast{
    cast_id = "faction_second",
    optional = true,
    no_validation = true,
    
    when = QWHEN.MANUAL,
}

:AddLocationDefs{
    BOG_START = {
        name = "The Edge of the Bog",
        map_tags = {"bog"},
        plax = "EXT_Bog_Road_01",
    },
}

:AddLocationCast{
    cast_id = "bog_start",
    cast_fn = function(quest, t)
        table.insert(t, quest:SpawnTempLocation("BOG_START"))
    end,
}

-------------------------

:AddObjective{
    id = "talk_to_hebbel",
    hidden = true,
    on_complete = function(quest) 
        quest:Activate("go_to_bog")
        TheGame:GetGameState():AddPendingEvent()
    end,
}


:AddObjective{
    id = "go_to_bog",
    title = "Meet with {handler}",
    desc = "Meet up with {handler} at the edge of the Bog, and they will take you to the Bogger's inner sanctum.",

    collect_agent_locations = function(quest, t)
        table.insert (t, { agent = quest:GetCastMember("handler"), location = quest:GetCastMember("bog_start"), role = CHARACTER_ROLES.CONTACT} )
    end,

    events = 
    {
        caravan_move_location = function(quest, location)
            if location == quest:GetCastMember("bog_start") then
                quest:Complete("go_to_bog")
            end
        end,
    },
    mark = {"bog_start"},  
    on_complete = function(quest) 
        quest:Activate("do_expedition")
    end,
    is_in_hiding = function(quest, agent)
        return agent == quest:GetCastMember("faction_second")
    end,

}

:AddSubQuest{
    id = "do_expedition",
    quest_id = "ROOK_STORY_EXPEDITION",

    addParams = function(quest, params)
        params.working_with = quest:GetCastMember("handler"):GetFactionID()
    end,
}

------------------------------------------------------------------------------------------
--you wake up, and hebbel tells you where to go. This is the last time you'll ever see him.

QDEF:AddConvo("talk_to_hebbel", "hebbel")
    :ConfrontState("STATE_TALK")
        :Loc{
            DIALOG_INTRO = [[
                * You're so used to Hebbel's grim demeanor that it takes you a moment to realize he looks even grimmer than usual.

                player:
                    !left
                    All right, there, Hebbel?
                    No bog mites feasting on your horns this morning, I hope?
                hebbel:
                    !right
                    !cagey
                    {handler} wants to see you. 
                player:
                    $neutralResigned
                    Ah. I imagine it's... very important.
                hebbel:
                    $neutralWhatever
                    {handler.HeShe} left directions to some spot in the bog. 
                    The <i>Deep</i> Bog. 
                player:
                    !humouring
                    Does that worry you? I never thought we'd become so chummy, old chap.
                hebbel:
                    !point
                    $neutralDirect
                    Listen. Whatever you've gotten up to, I officially want no part of it.
                    Pack up your things. If you make it out of the Deep Bog alive, you ain't welcome at the Last Stand no more.
                player:
                    $neutralResigned
                    A rather ungracious dismissal, my good Hebbel.
                    But I'll honor your request, as a parting gift.
            ]],
            OPT_QUESTION_1 = "Ask about the Deep Bog",
            DIALOG_QUESTION_1 = [[
                player:
                    One thing, before I go...
                    !interest
                    What exactly are you so worried about, hm?
                    I'd rather meet my fate a bit more prepared.
                hebbel:
                    !neutralDirect
                    Anyone who goes into the Deep Bog doesn't come out alone. 
                    I don't want to meet the company you'll be keeping.
                player:
                    !dubious
                    $miscMischievous
                    Ominous. I look forward to deciphering exactly what you mean.
                    Be well, Hebbel. And as a word of kindness: be ready for change.
            ]],
        }
        :Fn(function(cxt) 
            cxt:Dialog("DIALOG_INTRO")
            cxt.quest:Complete("talk_to_hebbel")
            cxt:RunLoop(function() 
                cxt:Question("OPT_QUESTION_1", "DIALOG_QUESTION_1")
                StateGraphUtil.AddEndOption(cxt) 
            end)
        end)




QDEF:AddDebugOption("force_faction_alliance", {"RISE", "SPARK_BARONS"})

