--this is the day 1 boss fight
local QDEF = QuestDef.Define
{
    qtype = QTYPE.STORY,
    title = "Dead Drop",
    icon = engine.asset.Texture("icons/quests/rook_story_dead_drop.tex"),
    on_init = function(quest)
        if quest.param.force_boss == "HESH" then
           quest.param.hesh_boss = true
        elseif quest.param.force_boss == "MERCENARY" then
            quest.param.mercenary_boss = true
        elseif quest.param.force_boss == "RENTORIAN" then
            quest.param.rentorian_boss = true
        else
            local boss_def = TheGame:GetGameProfile():GetNoStreakRandom("ROOK_DAY_1_BOSS_PICK", {"hesh_boss", "rentorian_boss", "mercenary_boss"}, 2)
            quest.param[boss_def] = true
        end
    end,
}


:AddLocationCast{
    cast_id = "dead_drop_spot",
    cast_fn = function(quest, t)
        table.insert(t, TheGame:GetGameState():GetLocation("GB_DEAD_DROP_SPOT"))
    end,
}

:AddObjective{
    id = "file_report",
    title = "File A Report",
    desc = "Leave a report of your Grout Bog activities in the dead drop location.",
    mark = {"dead_drop_spot"},
    state = QSTATUS.ACTIVE,
}


QDEF:AddConvo("file_report")
    :ConfrontState("CONFRONT", function(cxt) return cxt.location == cxt.quest:GetCastMember("dead_drop_spot") end)
        :Loc{
            DIALOG_INTRO = [[
                * You arrive at the dead drop. It's much like all the others around Havaria: empty, but full of anticipation. 
                player:
                    !left
                    !neutral_notepad
                * You jot down a few notes about the Rise and the Spark Barons, and shove the wax envelope into the sealed canister.
                * If you were any less experienced, you wouldn't notice the sudden silence as someone approaches behind you.
            ]],
            DIALOG_CONFRONTATION = [[
                {rentorian_boss? 
                    player:
                        Strange place for a walk, isn't it?
                    agent:
                        !right
                        $happyCocky
                        Why, it's a well-worn trail. If you know how to find it. 
                        !cruel
                        Should've watched your back more carefully, "Rook". 
                        You made too many enemies to just quietly fade away.
                    player:
                        Ah. 
                        !dubious
                        And that includes you, I suppose? You seemed happy enough when I was paying you for Rentorian secrets.
                    agent:
                        Well, that's the problem, isn't it? You have too good a memory. Someone needs to wipe it clean.
                        $angryCruel
                        Besides, look at you. A bum leg. No pension, no friends. 
                        !throatcut
                        Maybe you should <i>let</i> me put you down. 
                }
                {hesh_boss?
                    player: 
                        You're well out of the shallows, Heshian.
                        !dubious
                        If you're looking for the Cult's secrets, I'm retired. I don't trade in those anymore.
                    agent:
                        !right
                        No? Secrets are the only things the heretics here accept as currency. 
                    player:
                        Is that why you've followed me here? It has nothing to do with you, {agent}. 
                        $miscPersuasive
                        !overthere
                        Remember the old times, hm? Our memories are all our masters let us keep for ourselves.
                    * You say the words, but you know {agent} too well to hold any real hope that {agent.heshe}'d neglect {agent.hisher} duty.
                }
                {mercenary_boss?
                    player:
                        You're <i>still</> too loud when you walk.
                    agent:
                        !right
                        You'll have to forgive me. My only teacher was a negligent old reprobate.
                    player:
                        !dubious
                        Aren't you a bit old now to still be blaming others for your shortcomings?
                    agent:
                        $angryCruel
                        You left us hanging.
                        Most of the crew didn't make it out alive.
                        !point
                        That's on you.
                        I'm here to speak for them.
                    * You always knew you'd have to reap the harvest you sowed back in the Bread Fields.
                }
            ]],
            DIALOG_DEFEND = [[
                {rentorian_boss? 
                    player:
                        $neutralResigned
                        Let's just begin, shall we?
                }

                {hesh_boss?
                    player:
                        $neutralResigned
                        Let's just begin, shall we?
                }
                
                {mercenary_boss?
                    player:
                        $neutralResigned
                        One more lesson, then? 
                        !fight
                        For old times.
                }
            ]],
            OPT_DEMORALIZE = "Intimidate {agent}",
            DIALOG_DEMORALIZE = [[
                {rentorian_boss? 
                    player:
                        That's just wishful thinking on your part, you know.
                }
                {hesh_boss? 
                    player:
                        There was a time when we could find common ground, even in the darkest days.
                }
                {mercenary_boss?
                    player:
                        I didn't abandon you. 
                        !cruel
                        You failed me.
                }
            ]],
            NEGOTIATION_REASON = "Gain advantage in battle and apply 1 {battle.DEFECT} to {1} for each {negotiation.FEAR} you destroy! ({2} so far)",
            DIALOG_DEMORALIZED = [[
                {rentorian_boss? 
                    player:
                        You might recall that time in Palketti, when you swore you'd never look at flayed oshnu the same again.
                        I can do that to your insides. You know I can.
                    agent:
                        Y-you... you're bluffing! 
                        It's just me and your trigger finger, and I know which one of us is faster. 
                }
                {hesh_boss?
                    player:
                        I seem to remember the time you let a heretic slip through your fingers with a holy relic.
                        Who helped you then, old friend? Your god? Or me?
                    agent:
                        You're only dragging out the inevitable. I wish you wouldn't.
                }
                {mercenary_boss?
                    player:
                        !angry
                        $miscMocking
                        All you had to do was remember your training and follow my orders.
                        !angry_shrug
                        $angryCruel
                        But you couldn't hack it, and your friends got killed.
                    agent:
                        !scared
                        $scaredStammering
                        No! That—that's not what happened!
                        $scaredPowerless
                        You abandoned us when we needed you the most!
                }
            ]],
            DIALOG_NOT_DEMORALIZED = [[
                {rentorian_boss? 
                    player:
                        Why, the bushes hide a dozen men, each of them trained to fire on my command.
                    agent:
                        I think that's the senility talking. 
                        Pathetic. This is a long time coming, I'm afraid.   
                }
                {hesh_boss?
                    player:
                        Would you really do me in now, {agent}? Just because I happen to be in Spark Baron territory?
                    agent:
                        As if anything you do is just by chance. 
                        You're here for a reason, I'm sure of it. And I can't let it happen. 
                }
                {mercenary_boss?
                    player:
                        You were the brightest of the bunch, {agent}, but that's not saying much.
                    agent:
                        !angry
                        No! You don't get to talk all superior! 
                        Those were good people, and they're dead because you didn't stick with us when things got tough.
                }
            ]],

            OPT_ATTACK_DEMORALIZED = "Attack {agent} in {agent.hisher} moment of doubt",

            DIALOG_ATTACK_DEMORALIZED = [[
                {rentorian_boss? 
                    player:
                        !fight
                        $neutralWhatever
                        As you like. 
                }
                
                {hesh_boss?
                    player:
                        !fight
                        $neutralWhatever
                        As you like. 
                }

                {mercenary_boss?
                    player:
                        !shrug
                        It appears that we see things differently.
                        !fight
                        But that's not going to matter any more in couple of minutes.

                }
            ]],

            OPT_DEFEND_SELF = "Defend yourself",
            DIALOG_ATTACK_NOT_DEMORALIZED = [[
                player:
                    !fight
            ]]
        }
        :Fn(function(cxt) 
            
            if not cxt.quest.param.hesh_boss and not cxt.quest.param.rentorian_boss and not cxt.quest.param.mercenary_boss then
                cxt.quest.param.rentorian_boss = true
            end

            cxt:Dialog("DIALOG_INTRO")
            local boss_def
            if cxt.quest.param.hesh_boss then
                boss_def = "HESH_BOSS"
            end
            if cxt.quest.param.rentorian_boss then
                boss_def = "RENTORIAN_BOSS"
            end
            
            if cxt.quest.param.mercenary_boss then
                boss_def = "MERCENARY_BOSS"
            end

            
            local rentorian = cxt.quest:CreateSkinnedAgent( boss_def )
            TheGame:GetGameState():AddAgent( rentorian )
            cxt.enc:SetPrimaryCast(rentorian)
            cxt:Dialog("DIALOG_CONFRONTATION")

            local won_bonuses = {}

            cxt:Opt("OPT_DEMORALIZE")
                :Dialog("DIALOG_DEMORALIZE")
                :Negotiation{
                    on_start_negotiation = function(minigame)
                        local mod = minigame.opponent_negotiator:CreateModifier("FEAR")
                        mod.result_table = won_bonuses
                    end,

                    reason_fn = function(minigame)
                        local total_amt = table.sum( won_bonuses )
                        return loc.format(cxt:GetLocString("NEGOTIATION_REASON"), minigame:GetOpponent():GetName(), total_amt )
                    end,

    
                    on_success = function(cxt) 
                        cxt:Dialog("DIALOG_DEMORALIZED")
                        cxt:Opt("OPT_ATTACK_DEMORALIZED")
                            :Dialog("DIALOG_ATTACK_DEMORALIZED")
                            :Battle{
                                flags = BATTLE_FLAGS.SELF_DEFENCE | BATTLE_FLAGS.BOSS_FIGHT | BATTLE_FLAGS.ISOLATED,
                                advantage = TEAM.BLUE,
                                on_start_battle = function(battle) 
                                    local total = table.sum( won_bonuses )
                                    if total > 0 then
                                        battle:GetTeam( TEAM.RED ):Primary():AddCondition( "DEFECT", total )
                                    end

                                end,
                                on_win = function(cxt) 
                                    cxt:GoTo("STATE_POST_FIGHT")
                                end,
                            }
                    end,
                    on_fail = function(cxt)
                        cxt:Dialog("DIALOG_NOT_DEMORALIZED")
                        cxt:Opt("OPT_DEFEND_SELF")
                            :Dialog("DIALOG_ATTACK_NOT_DEMORALIZED")
                            :Battle{
                                flags = BATTLE_FLAGS.SELF_DEFENCE | BATTLE_FLAGS.BOSS_FIGHT | BATTLE_FLAGS.ISOLATED,
                                advantage = TEAM.RED,
                                on_win = function(cxt) 
                                    cxt:GoTo("STATE_POST_FIGHT")
                                end,
                            }

                    end,
                }

            cxt:Opt("OPT_DEFEND_SELF")
                :Dialog("DIALOG_DEFEND")
                :Battle{
                    flags = BATTLE_FLAGS.SELF_DEFENCE | BATTLE_FLAGS.BOSS_FIGHT | BATTLE_FLAGS.ISOLATED,
                    on_win = function(cxt) 
                        cxt:GoTo("STATE_POST_FIGHT")
                    end,
                }

        end)

    :State("STATE_POST_FIGHT")
        :Loc{
            DIALOG_WON_FIGHT = [[
                {rentorian_boss?
                    agent:
                        !injured
                    player:
                        $miscMocking
                        Well, there you have it. Seems very little has changed.
                        But what am I to do with you now?
                    agent:
                        $scaredFearful
                        N-nothing. I'll leave the way I came. The bog will cover my tracks behind me.
                        Nobody has to know I was here, and I won't mention you to anyone. 
                }
                {hesh_boss?
                    agent:
                        !injured
                    player:
                        !shrug
                        Come now, old friend. Surely this has gone on long enough.
                    agent:
                        If I walk away now, it's to Hesh's judgment.
                        Surely you know that's worse than whatever fate you could deal me.
                }
                {mercenary_boss?
                    agent:
                        !injured
                    player:
                        You aren't half bad, you know that?
                        With a little more practice you might even get me to break a sweat.
                    agent:
                        How do you still move like that, after all of these years?
                }
            ]],
            OPT_LET_GO = "Let {agent} go",
            OPT_FINISH_OFF = "Finish {agent} off",
            DIALOG_FINISH_OFF = [[
                {rentorian_boss?
                    player:
                        $neutralResigned
                        Alas, I wish I could believe you, old friend.
                        But your memory is also too good. And I'd just rather be forgotten. 
                    agent:
                        !exit
                    * It's a quick pull of the trigger to finish {agent.himher} off, and easy work to drag the body into the brush. The scavengers will do the rest.
                }
                {hesh_boss?
                    player:
                        $neutralResigned
                        Yes, I suppose that's true. 
                        Consider this a small mercy, then. 
                    agent:
                        !exit
                    * It's a quick pull of the trigger to finish {agent.himher} off, and easy work to drag the body into the brush. The scavengers will do the rest.
                }
                {mercenary_boss?
                    player:
                        $neutralResigned
                        Clean living, {agent}.
                        And by that, I mean I've learned not to leave any more messes behind me.
                    agent:
                        !exit
                    * It's a quick pull of the trigger to finish {agent.himher} off, and easy work to drag the body into the brush. The scavengers will do the rest.
                }

            ]],
            DIALOG_LET_GO = [[
                {rentorian_boss? 
                    player:
                        $angrySeething
                        Next time you come wondering what I'm up to, remember the usual rewards that await a curious cat. 
                    agent:
                        $scaredFearful
                        J-just talk normal, you damn old coot. 
                        But fine, I get the picture. See you never—you can be sure of that. 
                        !exit
                }
                {hesh_boss ?
                    player:
                        I suppose so. But that will at least be of your own making.
                        May you keep to the shallows, as much as you're able.
                    agent:
                        !exit
                    * {agent} disappears into the trees, dragged along by the will of {agent.hisher} god.
                }
                {mercenary_boss?
                    player:
                        Listen, kid. You've survived this long, right?
                        Take that as the win that it is, and go make a life for yourself.
                        You can't live in the past. It'll eat you alive.
                    agent:
                        !exit
                    * {agent} scuttles off. You don't completely trust the mixture of hatred and admiration that you see in {agent.hisher} last backwards glance, but you've made your decision, and now you have to live with it.
                }
            ]],
            DIALOG_KILLED_BOSS = [[
                {rentorian_boss?
                    * That problem's dealt with. But if one shadow tracked you down, there may well be others.  
                }
                {hesh_boss?
                    * That problem's dealt with. But if one shadow tracked you down, there may well be others.  
                }
                {mercenary_boss?
                    * Despite your hardened exterior, you feel a pang of guilt as your erstwhile protégé fades into the darkness.
                }
            ]],
        }
        
        :SetLooping()
        :Fn(function(cxt) 
            if cxt:FirstLoop() then
                if cxt:GetAgent():IsDead() then
                    cxt:Dialog("DIALOG_KILLED_BOSS")
                    cxt.quest:Complete()
                    StateGraphUtil.AddLeaveLocation(cxt)
                else
                    cxt:Dialog("DIALOG_WON_FIGHT")
                end
                ConvoUtil.GiveBossRewards(cxt, GRAFT_TYPE.NEGOTIATION)
            end

            if not cxt:GetAgent():IsDead() then
                
                if cxt.quest.param.hesh_boss then
                    cxt:AskAbout("STATE_QUESTIONS_HESH")    
                end
                    
                if cxt.quest.param.rentorian_boss then
                    cxt:AskAbout("STATE_QUESTIONS_RENTORIAN")    
                end
                
                if cxt.quest.param.mercenary_boss then
                    cxt:AskAbout("STATE_QUESTIONS_MERCENARY")    
                end
                    
                cxt:Opt("OPT_FINISH_OFF")
                    :Dialog("DIALOG_FINISH_OFF")
                    :Fn(function() 
                        local death_item = cxt:GetAgent():GetDeathItem()
                        cxt:GainCards{death_item}
                        cxt:GetAgent():Kill()
                        cxt.quest:Complete()
                    end)
                    :Travel()
                
                cxt:Opt("OPT_LET_GO")
                    :Dialog("DIALOG_LET_GO")
                    :Fn(function() 
                        cxt:GetAgent():Retire()
                        cxt.quest:Complete()
                    end)
                    :Travel()
            else
                cxt:Travel()
            end
        end)


        :AskAboutHub("STATE_QUESTIONS_RENTORIAN", 
        {

            "Ask how {agent.heshe} found you",
            [[
                player:
                    $neutralDubious
                    Tell me, how <i>did</i> you know I was here?
                agent:
                    !dubious
                    $neutralDubious
                    You were only a shadow on the Rentorian side of the border. Once you came back, you were followed by paperwork.
                    Shame that the Admiralty cut you loose, after all you did for them...
                player:
                    So it goes. 
                agent:
                    Took a while to figure out who you were working for <i>now</i>, but once I did...
                    Well, they sure like to get their reports, don't they?
                player:
                    ...
            ]],
        })
        :AskAboutHub("STATE_QUESTIONS_HESH", 
        {

            "Ask how {agent.heshe} found you",
            [[
                player:
                    $neutralDubious
                    Tell me, how <i>did</i> you know I was here?
                agent:
                    !dubious
                    $neutralDubious
                    You were only a shadow on the Rentorian side of the border. Once you came back, you were followed by paperwork.
                    Shame that the Admiralty cut you loose, after all you did for them...
                player:
                    So it goes. 
                agent:
                    Took a while to figure out who you were working for <i>now</i>, but once I did...
                    Well, they sure like to get their reports, don't they?
                player:
                    ...
            ]],
        })
        :AskAboutHub("STATE_QUESTIONS_MERCENARY", 
        {

            "Ask how {agent.heshe} found you",
            [[
                player:
                    $neutralDubious
                    Tell me, how <i>did</i> you know I was here?
                agent:
                    !dubious
                    $neutralDubious
                    You're quiet. But not silent.
                    I know enough Admiralty and ex-Admiralty with information and grudges to put the pieces together.
                player:
                    !thought
                    I didn't know I was leaving a trail. I even grew this mustache to conceal my identity.
                agent:
                    ...
                    !dubious
                    That's what that's for?
            ]],
        })        

QDEF:AddDebugOption("force_boss", {"HESH", "RENTORIAN", "MERCENARY"})