

local QDEF = QuestDef.Define{
        title = "Auction Day",
        qtype = QTYPE.STORY,
        rank = 5,
        desc = "{handler} is waiting for you at the Auction. {handler.HeShe} is probably going to want something from you before {handler.heshe} lets you in.",
        icon = engine.asset.Texture("icons/quests/sal_story_auction_house_admiralty.tex"),

        on_start = function(quest) 
            quest.param.cross_quest_data = quest.param.cross_quest_data or {}
            local def = quest:GetQuestDef():GetLocationDef("ENTRANCE") --this is not a temp location because it needs to persist through some location transitions in some of the admiralty entrance quests
            local location = Location( def.id )
            TheGame:GetGameState():AddLocation(location)
            quest.param.entrance = location
            quest.param.cross_quest_data.other_guard = quest.param.entrance:GetWorkPosition("guard_1"):GetAgent()
        end,

        collect_agent_locations = function(quest, t)
            table.insert (t, { agent = quest:GetCastMember("handler"), location = quest.param.entrance, role = CHARACTER_ROLES.PROPRIETOR } )
        end,

    }
    :AddLocationDefs{
        ENTRANCE = {
            name = "Auction House Entrance",
            show_agents = true,
            indoors = false,
            no_exit = true,
            plax = "EXT_AuctionAdmiralty_1",
            work = {
                guard_1 = CreateLabourJob( PHASE_MASK_ALL, "Door Guard", CHARACTER_ROLES.GUARD, "ADMIRALTY_GUARD" ),
            },
        },
    }

    :AddCastByAlias{
        cast_id = "handler",
        alias = "MURDER_BAY_ADMIRALTY_CONTACT",
    }

    :AddObjective{
        id = "auction_arrival",
        terminal = true,
        title = "Report to {handler} at the auction site",
        mark = {"handler"},
        state = QSTATUS.ACTIVE,
    }

QDEF:AddConvo("auction_arrival", "handler")
    :ConfrontState("INTRO")
        :Loc{
            DIAL_ARRIVE_AT_AUCTION = [[
                player:
                    !left
                handler:
                    !right
                    !permit
                    $miscRelieved
                    <i>There</i> you are. Was a little worried you might be bleeding out in an alley somewhere.
                    Though after what you've survived I'd have found that hard to believe.
                player:
                    !cheerful
                    $miscNostalgic
                    That's cute, {handler}. Didn't know you'd come to care.
                handler:
                    !agree
                    You're fungal like that.
                handler:
                    !give
                    Here's your badge.
                * {handler} hands you a badge so shiny it leaves an afterimage. 
                player:
                    !take
                    $neutralDubious
                    Uh—
                handler:
                    $neutralDirect
                    You're on guard duty. And your shift starts now. 
                    !overthere
                    Handle the door for a few hours and then once the auction starts, I'll get someone to relieve you. 
                    No doubt Kashio will arrive fashionably late, so you'll still have time to get the jump on her. 
                player:
                    !salute 
                    Ay ay, Oolo.
                
                ** Oolo wants you to play bouncer before the auction starts. 
            ]],
        }
        :Fn(function(cxt) 
            cxt:TalkTo("handler")
            cxt:Dialog("DIAL_ARRIVE_AT_AUCTION")
            cxt.quest:Complete("auction_arrival")
        end)