------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


local QDEF = QuestDef.Define
{
    title = "The Auction",
    icon = engine.asset.Texture("icons/quests/sal_story_act1_huntingkashio.tex"),
    qtype = QTYPE.STORY,
    desc = [[ It's the day of the auction. ]],

    on_start = function(quest) 
        quest:Activate("start")
    end,
}

:AddCastByAlias{
    cast_id = "fssh",
    alias = "FSSH",
    no_validation = true,
}

:AddCast{
    cast_id = "handler",
    when = QWHEN.MANUAL,
    no_validation = true,
}


:AddObjective{
    id = "start",
    on_complete = function(quest)
        quest:Activate("go_to_auction")
    end,
    on_activate = function(quest)
        --do we want mercs on the last day? maybe? maybe not?
        --quest.param.merc_quest = QuestUtil.SpawnQuest("SAL_STORY_MERCS")
    end,

}

:AddSubQuest{
    id = "go_to_auction",
    quest_id = "SAL_STORY_FINALE",
    on_complete = function(quest)
        quest:Complete()
    end,
}


------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

QDEF:AddConvo("start", "fssh")
    :ConfrontState("START")
        :Loc{
            DIALOG_INTRO = [[
                * {fssh} has been waiting for you.
                player:
                    !left
                fssh:
                    !right
                fssh:
                    {handler} just sent word. 
                    The auction is starting—{handler.heshe} said to meet {handler.himher} right away.
            ]],
            
            OPT_DONE = "Head out",
            
            DIALOG_DONE = [[
                player:
                    !bashful
                    I'll be off, then. See you on the other side?
                fssh:
                    $neutralResigned
                    Be careful, Sal.
                    !exit
            ]],

            OPT_Q1 = "Ask about Fssh",
            DIALOG_Q1 = [[ 
                player:
                    $neutralResigned
                    This is it. No turning back now.
                    !humouring
                    What do you think you're gonna do with your share of the bounty?
                fssh:
                    I'm kinda into this boobytrapping hobby now.
                player:
                    $neutralDubious
                    <i>Hobby</i>?
                fssh:
                    !agree
                    Yeah. It's kinda satisfyin', building up my skills.
                    $neutralThoughtful
                    Each one a little bit better than the last.
                player:
                    How many have you done?
                fssh:
                    !thought
                    You know... I think I lost count.
                player:
                    !worry
                    That's bad. 
                fssh:
                    !happy
                    $happyJoke
                    At least we don't have to worry about things gettin' too boring once Kashio's outta the way, huh?
            ]],
            OPT_Q2 = "Ask about the annex",
            DIALOG_Q2 = [[ 
                player:
                    !shrug
                    $neutralDubious
                    I don't wanna sound full of myself, but me crashing the auction will probably mess up the annex talks.
                    You got a feeling on that one way or the other?
                fssh:
                    $neutralWhatever
                    Naw. Whatever happens, we'll do what we always do.
                    We get by.
                player:
                    !agree
                    $neutralThoughtful
                    That we do.
            ]],
            OPT_Q3 = "Ask about the bar",
            DIALOG_Q3 = [[ 
                player:
                    !humouring
                    I hope I haven't messed up your bar too bad these past few days.
                fssh:
                    !handwave
                    $neutralWhatever
                    It's Murder Bay—brawls break out, no matter who's at the center.
                player:
                    !permit
                    That stool over there has broken at least three times.
                    Don't know how many more repairs it's got in it. 
                fssh:
                    !overthere
                    Hey, if you wanna buy me a new stool, I won't say no.
                    $neutralDubious
                    But then it wouldn't match the others. I'd need a whole set.
                player:
                    $neutralDubious
                    They don't match now.
                fssh:
                    !happy
                    Sure they do. They're all broken. 
            ]],
        }
        :Fn(function(cxt)   
            cxt.quest:Complete("start")
            cxt:Dialog("DIALOG_INTRO")
            cxt.quest:Activate("go_to_auction")

            cxt:RunLoop(function() 

                cxt:QST("Q1")
                cxt:QST("Q2")
                cxt:QST("Q3")
                
                cxt:Opt("OPT_DONE")
                    :Dialog("DIALOG_DONE")
                    :Fn(function(cxt) cxt:End() end)

            end)
        end)



