

local FOOD_COST = FSSHCAKE_COST
local HEAL_AMOUNT = FSSHCAKE_HEAL


local QDEF = QuestDef.Define
{
    title = "Old Friends",
    icon = engine.asset.Texture("icons/quests/rook_story_living_at_bar.tex"),
    qtype = QTYPE.STORY,
    home = true,
}

:AddLocationCast{
    cast_id = "home",
    cast_fn = function(quest, t)
        table.insert(t, TheGame:GetGameState():GetLocation("MOREEF_BAR"))
    end,
}

:AddCastByAlias{
    cast_id = "moreef",
    alias = "SWEET_MOREEF",
    
}


:AddObjective{
    id = "visit",
    title = "Visit {moreef}",
    desc = "{moreef} sells refreshment and healing.",
    state = QSTATUS.ACTIVE,
    hide_in_overlay = true,
    low_priority = true,
    mark = {"moreef"},
}


QDEF:AddConvo("visit", "moreef")                
    :Priority(CONVO_PRIORITY_LOW)
    :Loc{
        OPT_BUY_FOOD = "Buy a meal",

        DIALOG_BUY_FOOD = [[
            player:
                $neutralResigned
                Hit me with the good slop, pal.
            agent:
                !give
                $happyGreeting
                Best in the house. Eat up.
                
        ]],

        DIALOG_PST = [[
            player:
                $neutralTakenAback
                Well, I've eaten worse.
                Eaten better, too.
        ]],
        DIALOG_CHANGE_OUTFIT = [[
            player:
                Don't mind me, pal. Just heading to my room.
            agent:
                !handwave
                Sure. Help yourself.
                !exit
        ]],

        REQ_TOO_FULL = "You have too many {1#card} cards in your deck already!",
        TT_FOOD = "Restore {1} health.\nInsert {2#card} to your battle deck.",

        OPT_CHANGE_OUTFIT = "Go to your room",

        TT_OUTFIT = "Change into another of {player}'s outfits.",
        TT_PET = "Play with {1#agent}.",
        TT_PETS = "Play with your pets.",
        TT_OUTFITPET = "Change into another of {player}'s outfits or play with {1#agent}.",
        TT_OUTFITPETS = "Change into another of {player}'s outfits or play with your pets.",
    }

    :Hub(function(cxt, who)
        local health_percent = TheGame:GetGameState():GetPlayerAgent():GetAspect("health"):GetPercent()
        

        local num_bloat = cxt.player.battler:GetCardCount("bloated")
        
        

        cxt:Opt("OPT_BUY_FOOD")
            :PreIcon( global_images.food )
            :Dialog( "DIALOG_BUY_FOOD" )
            :DoEat(FOOD_COST, HEAL_AMOUNT)
            :Dialog("DIALOG_PST")

        if not TheGame:GetGameState():GetMainQuest().param.restrict_room then
            local unlocked_outfits = 1
            for k,v in ipairs( Content.GetOutfitsForCharacter(cxt.player.id) ) do
                if v.unlocked or TheGame:GetGameProfile():HasUnlock( v.id ) then
                    unlocked_outfits = unlocked_outfits + 1
                end
            end
            local num_pets = #cxt.caravan:GetPets()
            local tt = ""

            if unlocked_outfits > 1 and num_pets == 1 then
                tt = loc.format( cxt:GetLocString( "TT_OUTFITPET" ), cxt.caravan:GetPets()[1] )
            elseif unlocked_outfits > 1 and num_pets > 1 then
                tt = loc.format( cxt:GetLocString( "TT_OUTFITPETS" ) )
            elseif unlocked_outfits > 1 then
                tt = cxt:GetLocString( "TT_OUTFIT" )
            elseif num_pets == 1 then
                tt = loc.format( cxt:GetLocString( "TT_PETS" ) )
            elseif num_pets > 0 then
                tt = loc.format( cxt:GetLocString( "TT_PET" ), cxt.caravan:GetPets()[1] )
            end
            if unlocked_outfits > 1 or num_pets > 0 then
                cxt:Opt("OPT_CHANGE_OUTFIT")
                    :PreIcon( global_images.backpack )
                    :PostText( tt )
                    :Dialog( "DIALOG_CHANGE_OUTFIT" )
                    :Fn(
                        function()
                            cxt.encounter:DoLocationTransition( TheGame:GetGameState():GetLocation("MOREEF_BAR.inn_room") )
                            cxt:End()
                        end
                    )
            end
        end
    end)
