
local QDEF = QuestDef.Define
{
    qtype = QTYPE.STORY,
    title = "Sweet Relief",
    icon = engine.asset.Texture("icons/quests/smith_story_homecoming.tex"),
    
    on_init = function(quest) 
    end,
    
    events = 
    {
        quests_changed = function(quest, event_quest) 
        end,
    },

}

:AddObjective{
    id = "start",
    title = "Go Drown Your Sorrows",
    desc = "Life's got you down. Time to hit the bar.",
    state = QSTATUS.ACTIVE,
    mark = { "moreef" },
}

:AddObjective{
    id = "pick_job",
    title = "Solve Moreef's Problems",
    desc = "Your best friend in the world needs your help. Go find a way to save his bar!",
    --state = QSTATUS.ACTIVE,
    --mark = { "moreef" },
}

:AddObjective{
    id = "do_job_1",
    hide_in_overlay = true,
    events = 
    {
        quests_changed = function(quest, event_quest)
            if quest.param.current_job == event_quest and not event_quest:IsActive() then
                quest:Complete("do_job_1")
                quest:Activate("talk_to_moreef_after_quests")
            end
        end
    },
}

--[=[
:AddObjective{
    id = "pick_job_2",
    hide_in_overlay = true,
    mark = {"moreef"},
}

:AddObjective{
    id = "do_job_2",
    hide_in_overlay = true,
    events = 
    {
        quests_changed = function(quest, event_quest)
            if quest.param.current_job == event_quest and not event_quest:IsActive() then
                quest:Complete("do_job_2")
                quest:Activate("talk_to_moreef_after_quests")
            end
        end
    },
}
--]=]

:AddObjective{
    id = "talk_to_moreef_after_quests",
    title = "Check in with Moreef",
    desc = "",
    --state = QSTATUS.ACTIVE,
    mark = { "moreef" },
}



:AddLocationCast{
    cast_id = "moreef_bar",
    cast_fn = function(quest, t)
        table.insert(t, TheGame:GetGameState():GetLocation("MOREEF_BAR"))
    end,
}

:AddCastByAlias{
    cast_id = "moreef",
    alias = "SWEET_MOREEF",
}




--function QuestUtil.AddSideJobChain(QDEF, num_jobs_to_spawn, num_jobs_to_do, end_objective, spawn_oppos, give_starting_bonus)

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


QDEF:AddConvo("start" )
    :ConfrontState("CONF", function(cxt) return cxt.location == cxt.quest:GetCastMember("moreef"):GetLocation() end) 
        :Loc{
            DIALOG_INTRO = [[
                * The Hideaway isn't your first choice of a bar, but it's the only one that doesn't have a bouncer at the door keeping "pilgrims" away.
                player:
                    !left
                    !sigh
                * Inside the air is humid and heavy, the way most kra'deshi like it. You take a deep breath to coat your lungs—and for the first time, you actually feel at home.
                agent:
                    !right
                    !tired
                * It takes a moment for you to notice the jarackle barkeep, hair slick with the heat.
                player:
                    !greeting
                    $neutralGreeting
                    Hey, barkeep. Whatever you got that's on the house. 
                    I'm in mourning. 
                agent:
                    !angry
                    On the house? You got another thing coming if you think—
                    !surprise
                    S-Smith? 
                player:
                    !dubious
                    Got it in one. Do I—
                * The nervous twitching of the jarackle's nose brings back fond memories of your school days.
                player:
                    !happy
                    Sweet Moreef! You ol' fluff. How ya been, buddy?
                    Boy, is it good to see a friendly face. I've had a hell of a week.
                agent:
                    !neutral_burp
                    Y-yeah? Well.
                    You and me both, I guess.
                    Is there something you want? Or are you just here to ask for free swill? 
                * Because you're extra sensitive, you notice that Sweet Moreef is looking a little limp.
            ]],

            OPT_OFFER_TO_HELP = "Offer to help your old friend",
            DIALOG_OFFER_TO_HELP = [[
                player:
                    !thumb
                    Yeah, well, whatever you're doin', count me in. We're friends, after all.
                agent:
                    !dubious
                    We are?
                player:
                    !agree
                    Old buds like you and me, we gotta stick together.
                agent:
                    $neutralDubious
                    We do?
                player:
                    !eureka
                    What can I do to help, huh? Just say the word and your old pal Smith will knock some heads for ya.
                agent:
                    $neutralTakenAback
                    Assuming this ain't some trick... I got a lead on something that might help. 
                    I just didn't have the muscle to see it done.
                player:
                    Hey, I got enough to spare. Leave it to me.
                agent:
                    S-sure, Smith. Whatever you say.

            ]]
        }

        :Fn(function(cxt) 
            cxt:TalkTo("moreef")
            cxt:Dialog("DIALOG_INTRO")
            QuestUtil.SpawnQuest("SMITH_LIVING_AT_BAR")
            cxt:RunLoop(function()
                cxt:Opt("OPT_ASK_ABOUT")
                    :IsHubOption(true)
                    :GoTo("STATE_QUESTIONS")

                cxt:Opt("OPT_OFFER_TO_HELP")
                    :SetQuestMark()
                    :Dialog("DIALOG_OFFER_TO_HELP")
                    :Fn(function() 
                        
                        local jobs = {}
                        for k = 1, 2 do
                            local new_job = TheGame:GetGameState():GetMainQuest():DefFn("SpawnPoolJob", "MOREEF_INTRO_JOB")
                            if new_job then
                                table.insert(jobs, new_job)
                            end
                        end
                        QuestUtil.PresentJobChoice(cxt, jobs, true, function(cxt, jobs_presented, job_picked) 
                            cxt.quest.param.current_job = job_picked
                            cxt.quest:Complete("start")
                            cxt.quest:Activate("do_job_1")
                            --cxt:PlayQuestConvo(cxt.quest.param.job, QUEST_CONVO_HOOK.INTRO)
                            StateGraphUtil.AddEndOption(cxt)
                        end)
                    end)
            end)
        end)

        :AskAboutHub("STATE_QUESTIONS", 
        {

            "Ask about Pearl-on-the-Foam",
            [[
                player: 
                    !overthere
                    What's the deal with all these pilgrims, anyhoo?
                    Not like the neighborhood to tolerate so much riffraff.
                agent:
                    It's the Great Beaching, of course. 
                player:
                    !dubious
                    The what-whatting?
                agent:
                    !suspicious
                    You... don't know? 
                    What are you back in town for, then?
                player:
                    My parents' funeral. You must'a heard.
                agent:
                    But that—that's the same thing. 
                    A Luminous behemoth beached itself on the shore about a week past. 
                    Just... sent out tentacles, anchored into the mud, and heaved itself onto land.
                    Everyone's sure it's some sign from Hesh. 
                player:
                    Huh. Wild. 
                    !shrug
                    What's that gotta do with my parents?
                agent:
                    !bashful
                    Well, geez. I hate to be the one to tell you this.
                    They were mudbathing on the shore when it... happened.
                player:
                    !thought
                    Oh, so—
                    Oh.
                agent:
                    !agree
                    Afraid so.
            ]],
            "Ask about the pilgrims",
            [[
                player:
                    !thought
                    With all these pilgrims, you'd think business would be hoppin'?
                agent:
                    You'd think. But the ones who mean it are only drinking saltwater.
                    !overthere
                    Normally I cater to, you know, nobles and such. 
                    But none of them want to be seen at a bar with no security, not when the huddled masses are about.
                player:
                    !hips
                    Hah! I ain't never been afraid of slumming. And look where it got me!
                agent:
                    W-word on the street is that you've been disowned.
                player:
                    That's got nothing to do with it!
                agent:
                    !shrug
                    Whatever you say, Smith.
            ]],
            "Ask about the business",
            [[
                player:
                    Anything you can do to entice folks back in?
                    !overthere
                    Bars in the south know how to stay competitive.
                agent:
                    Yeah, well. With the gates guarded it's a lot harder to get, uh, grey matter.
                    !suspicious
                    Stuff that falls outside the Cult's list of acceptable vices.
                    If I could get some of that... it might put me back on the map.
                player:
                    !interest
                    That can't be too hard—there's gotta be enough people paying bribes to keep the jakes in rotation.
                agent: 
                    !agree
                    Oh, definitely. But, uh, there's a lot more Luminari wandering around than usual. 
                    Admiralty I know how to handle, but Luminari... they never look the other way.
                player:
                    !handwave
                    Pah! I'm not afraid of no Heshian. My family's been in the Cult since I was a tadpole. 
                agent:
                    Well, mine were late converts. And I got the bald patches to show for it. 
            ]],
        })


--[=[
--bridge conversation that plays after you hand in the quest.
QDEF:AddConvo("pick_job_2", "moreef")
    :Attract(function(cxt) return "STATE_TALK" end)
    :Hub(function(cxt)
        cxt:GoTo("STATE_TALK")
    end)
    :State("STATE_TALK")
        :Loc{
            DIALOG_INTRO = [[
                
                {liked?
                    * You're not sure what the look of surprise on Sweet Moreef's face means, but it soon melts a bit.
                    moreef:
                        You really did that for me, huh? So this is what it feels like to be on the winning side of that arm...
                }
                {not liked?
                    * Sweet Moreef shrugs and shakes his head, as if he were trying to decide between two heavy burdens and decided to carry them both.
                    moreef:
                        You really are trying to help me out, huh? Did you finally sprout a conscience?
                }
                player:
                    Huh?
                moreef:
                    N-nothing! Just, you know—I was kinda scared of you when we were kids, haha. 
                player:
                    !angry_shrug
                    Scared?! Of me? 
                moreef:
                    !scared
                    ...
                player:
                    !chuckle
                    Hah, that's fair.
                moreef:
                    ...
                    You need more than just a place to lay low, right? You need help.
                    I can give it. But first, I need to make sure the bar's not pulled out from under me.
                player:
                    A tit for a tat. Say no more, pal.
                    Well, say <i>something</i> more, else I won't know what you need me to do.

            ]],

            OPT_GET_ANOTHER_JOB = "Agree to do another job",
            DIALOG_AGREE = [[
                player:
                    Whaddya got for me?
            ]],

        }
        :Fn(function(cxt) 
            --we can structure this however... depends on what kind of witty reparte rook has with each handler.
            cxt:Dialog("DIALOG_INTRO")
            
            cxt:Opt("OPT_GET_ANOTHER_JOB")
                :SetQuestMark()
                :Dialog("DIALOG_AGREE")
                :Fn(function() 
                    cxt.quest.param.current_job = TheGame:GetGameState():GetMainQuest():DefFn("SpawnPoolJob", "MOREEF_INTRO_JOB")
                    cxt:PlayQuestConvo(cxt.quest.param.current_job, QUEST_CONVO_HOOK.INTRO)
                    cxt:PlayQuestConvo(cxt.quest.param.current_job, QUEST_CONVO_HOOK.ACCEPTED)
                    cxt.quest:Complete("pick_job_2")
                    cxt.quest:Activate("do_job_2")
                    StateGraphUtil.AddEndOption(cxt)
                end)
        end)
--]=]




QDEF:AddConvo("talk_to_moreef_after_quests", "moreef")

    :Attract(function(cxt) return "STATE_TALK" end)
    :Hub(function(cxt)
        cxt:GoTo("STATE_TALK")
    end)

    :State("STATE_TALK")
        :Loc{

            DIALOG_INTRO = [[
                * Sweet Moreef somehow looks even more stressed than when you started the day.
                player:
                    You can relax, pal. The deed is done.
                    !overthere
                    Ready your butt, 'cause this business is about to boom.
                agent:
                    !dubious 
                    $neutralDubious
                    R-really? And you, uh, didn't make anyone mad?
                player:
                    $neutralTakenAback
                    Mad? What's the problem?
                agent:
                    !give
                * Sweet Moreef slides a crisp white card across the bar. 
                agent:
                    Someone came by asking questions. Looking for <i>you</i>.
                    They left directions.
            ]],

            OPT_GO_INVESTIGATE = "Go investigate the offer",
            DIALOG_GO_INVESTIGATE = [[
                player:
                    !shrug
                    Huh. Well, we ain't gonna get answers twiddlin' our eyestalks.
                    I'll go check it out.
                agent:
                    Yeah, sure. Sure.
                    If you come back—
                    I mean, ah, <i>when</i> you come back, I'll hook you up with a room in the back. 
            ]],

            DIALOG_ASK_ABOUT = [[
                player:
                    Waitaminnit. Let's take it slow.
            ]],
            DIALOG_INTRODUCE_SHOPPING = [[
                player:
                    Is there somewhere I can stock up before walking into this obvious trap?
                    Maybe a place that sells self-defense guides or, I dunno, grenades?
                moreef:
                    Supplies are a bit low right now, what with the pilgrims jamming up trade.
                    But if you need anything, just head to the party store.
                player:
                    !dubious
                    That place is still in business? 
                    And wait... what am I gonna do with party supplies? Stock up on paper hats?
                moreef:
                    Like most things in the Pearl, it's a front. Ask to see the "Special Reserve".
                player:
                    Oh, I get it. <i>Secret</i> hats.
                moreef:
                    Sure. Just don't run up a tab—you might think you have nothing to lose, but they'll find something.
            ]]

        }

        :Fn(function(cxt) 
            cxt:Dialog("DIALOG_INTRO")



            cxt:RunLoop(function()
                cxt:Opt("OPT_ASK_ABOUT")
                    :Dialog("DIALOG_ASK_ABOUT")
                    :IsHubOption(true)
                    :GoTo("STATE_QUESTIONS")

                cxt:Opt("OPT_GO_INVESTIGATE")
                    :SetQuestMark()
                    :Dialog("DIALOG_GO_INVESTIGATE")
                    :Fn(function() 
                        cxt:Dialog("DIALOG_INTRODUCE_SHOPPING")
                        QuestUtil.SpawnQuest("SMITH_PARTY_STORE")
                    end)
                    :CompleteQuest()
                    :DoneConvo()
            end)
            
        end)

        :AskAboutHub("STATE_QUESTIONS", 
        {

            "Ask about the stranger",
            [[
                player:
                    Did you recognize them? What'd they look like?
                agent:
                    !placate
                    They had their face covered with a hood. But they sounded... imperious. 
                player:
                    !joke
                    Well that don't narrow it down much. 
                    Everyone in the Pearl's got their heads so far up their own asses, their voice resonates.
                agent:
                    Well, they were dressed a bit ratty. Like a pilgrim. 
                    Not many around here who'd stoop to wearing rags.
                player:
                    !thumb
                    Guess that makes me special. 
            ]],
            "Ask about the directions",
            [[
                player:
                    You know where I'm meeting this stranger?
                agent:
                    !thought
                    Just about. I don't think there's anything there, though. 
                    Nothing memorable, anyway.
                player:
                    !sigh
                    A back alley deal. Figures.
                agent:
                    Maybe you don't have to go?
                player:
                    Hm. I suppose if I don't, they'll just have to come back here if they wanna talk to me so bad.
                    Then I might be able to set up an ambush or somethin'.
                agent:
                    !scared_shrug
                    On the other hand, information is power.
                    And the sooner you go, the sooner you'll have information.
                player:
                    !agree
                    Yeah. Plus, no waiting. 
                    I hate waiting. 
            ]],
        })

