local GOOD_AGGRO_HELPERS = {
    "weezil",
    "brut",
    "denikus",
    "eden",
    "mullifee",
}
local GOOD_DIPLO_HELPERS = {
    "andwanette",
    "theroux",
    "seemli",
    "bishop_of_foam"
}

local ALL_POSSIBLE_FRIENDS = {
    "weezil",
    "brut",
    "andwanette",
    "denikus",
    "theroux",
    "seemli",
    "eden",
    "mullifee",
    "tei",
    "bishop_of_foam"
}

local QDEF = QuestDef.Define
{
    title = "The Big Beach Party at the End of the World",
    qtype = QTYPE.STORY,
    on_init = function(quest) 
    end,
    icon = engine.asset.Texture("icons/quests/smith_story_beach_party.tex"),
    collect_agent_locations = function(quest, t)
    end,

    plot_armour_fn = function(quest, agent)
    end,

    restrict_exit = function(quest, location)
        if quest:IsActive('assemble_team') or quest:IsActive('head_to_beach') then
            return true
        end
        return false
    end,

    
    is_in_hiding = function(quest, agent)
        if quest:IsActive("start") then
            for k,v in ipairs(ALL_POSSIBLE_FRIENDS) do
                if agent == quest:GetCastMember(v) then
                    return true
                end
            end
        end
    end,

}

:AddCastByAlias{
    cast_id = "moreef",
    alias = "SWEET_MOREEF",
    no_validation = true,
}

--These are the people who might help you!


:AddCastByAlias{
    cast_id = "weezil",
    alias = "WEEZIL",
    filter_fn = function(agent) 
        return agent:GetRelationship() > RELATIONSHIP.NEUTRAL
    end,
    optional = true,
}

:AddCastByAlias{
    cast_id = "vixmalli",
    alias = "VIXMALLI",
    no_validation = true,
}

:AddCastByAlias{
    cast_id = "brut",
    alias = "BRUT",
    filter_fn = function(agent) 
        return agent:GetRelationship() > RELATIONSHIP.NEUTRAL
    end,
    optional = true,
}


:AddCastByAlias{
    cast_id = "andwanette",
    alias = "ANDWANETTE",
    filter_fn = function(agent) 
        return agent:GetRelationship() > RELATIONSHIP.NEUTRAL
    end,
    optional = true,
}

:AddCastByAlias{
    cast_id = "denikus",
    alias = "DENIKUS",
    filter_fn = function(agent) 
        return agent:GetRelationship() > RELATIONSHIP.NEUTRAL
    end,
    optional = true,
}

:AddCastByAlias{
    cast_id = "bishop_of_foam",
    alias = "BISHOP_OF_FOAM",
    filter_fn = function(agent) 
        return agent:GetRelationship() > RELATIONSHIP.NEUTRAL
    end,
    optional = true,
}

:AddCastByAlias{
    cast_id = "theroux",
    alias = "THEROUX",
    filter_fn = function(agent) 
        return agent:GetRelationship() >= RELATIONSHIP.NEUTRAL
    end,
    optional = true,
}

:AddCastByAlias{
    cast_id = "seemli",
    alias = "SEEMLI",
    filter_fn = function(agent) 
        return agent:GetRelationship() > RELATIONSHIP.NEUTRAL
    end,
    optional = true,
}

:AddCastByAlias{
    cast_id = "eden",
    alias = "EDEN",
    filter_fn = function(agent) 
        return agent:GetRelationship() > RELATIONSHIP.NEUTRAL
    end,
    optional = true,
}

:AddCastByAlias{
    cast_id = "mullifee",
    alias = "MULLIFEE",
    filter_fn = function(agent) 
        return agent:GetRelationship() >= RELATIONSHIP.NEUTRAL
    end,
    optional = true,
}

:AddCastByAlias{
    cast_id = "tei",
    alias = "TEI",
    filter_fn = function(agent) 
        return agent:GetRelationship() > RELATIONSHIP.NEUTRAL
    end,
    optional = true,
}


:AddCastByAlias{
  cast_id = "dignitary",
  alias = "DELTREAN_DIGNITARY",
  no_validation = true,
}



:AddCast{
    cast_id = "helper",
    when = QWHEN.MANUAL,
}


:AddObjective{
    id = "start",
    title = "Talk to Moreef",
    desc = "Retreat to the bar, to formulate a plan!",
    state = QSTATUS.ACTIVE,
    
    on_activate = function(quest)
        quest.param.extra_friends = {}
        quest.param.friends = {}
    end,

    on_complete = function(quest)
        quest:Activate("assemble_team")
    end,
}

:AddObjective{
    id = "assemble_team",
    title = "Talk to Moreef",
    desc = "You're going to need to call in some backup if you're going to save the world.",
}

:AddObjective{
    id = "head_to_beach",
}

:AddObjective{
    id = "party_1",
    on_complete = function(quest) 
        quest:Activate("party_2")
    end,
}

:AddObjective{
    id = "party_2",
    on_complete = function(quest) 
        quest:Activate("party_3")
    end,
}

:AddObjective{
    id = "party_3",
}

QDEF:AddQuestLocation{
    cast_id = "beach_entry",
    name = "Beach Party",
    plax = "EXT_SMITH_BEACHPARTY",
}

QDEF:AddQuestLocation{
    cast_id = "vix_confrontation",
    name = "Riding the Beast",
    plax = "EXT_SMITH_FINALBOSS1",
}

:AddOpinionEvents{

    reconcile =  
    {
        delta = OPINION_DELTAS.NEUTRALIZING,
        txt = "Reconciled",
    },

    attacked_vix =
    {
        delta = OPINION_DELTAS.MAJOR_BAD,
        txt = "Was attacked by you"
    },
    massive_bribe =
    {
        delta = OPINION_DELTAS.MAJOR_GOOD,
        txt = "Payed a massive bribe"
    }
}

------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

QDEF:AddAttract("start", "moreef",
    [[
        {first_time?
            agent:
                Smith? You look rough. 
                Did that bilebroker do something to you?
        }
        {not first_time?
            agent:
                You'll tell me when you know what you need, right?
        }
    ]])


QDEF:AddConvo("start", "moreef")
        :Loc{
            OPT_GIVE_MOREEF_THE_BEEF = "Tell {agent} about the upcoming apocalypse",
            DIALOG_GIVE_MOREEF_THE_BEEF = [[
                * You tell {moreef} what you just learned, and he takes it about as well as you did.
                agent:
                    So... <i>Vix</i> is gonna destroy the world?
                player:
                    That's what that bogger made it sound like. Only it's not him, is it?
                    It's the parasite, or whatever.
                agent:
                    Thought kra'deshi were good about getting dewormed.
                player:
                    I think this one might be a little tougher than that.
                agent:
                    So lemme get this straight. If you go ahead and beat up your brother--which you were planning to do anyway...
                player:
                    Then that'll make me some kinda hero, huh?
                    Guess I always knew I was destined for greatness.
                agent:
                    Or destined to be the first one to the slaughter, maybe. It's gotta be at that assembly tonight, yeah?
                    You're gonna need help. I'll put the word out, let your allies know they should gather.

            ]],

            OPT_TAKE_CARE_OF_STUFF = "Take care of some stuff first",
            DIALOG_TAKE_CARE_OF_STUFF = [[
                player:
                    Yeah, right. Good idea. I got some stuff I wanna see to.
                    I'll be back in a bit. Hold down the fort?
                agent:
                    You got it.
            ]],

            OPT_GET_YOUR_DRINK_ON = "Wait for the Deltrean assembly to start",
            DIALOG_GET_YOUR_DRINK_ON = [[
                player:
                    Ugh, I hate waiting. Gives me an upset stomach.
                agent:
                    Well, you are at a bar. And it wouldn't be like you to go into a fight responsibly.
                    Whaddya say? One last open tab?
                player:
                    Aw, Sweets. You... you're a good friend. 
                    If we both get mutated into some new kinda slime mold or something, I hope we're still pals.
                agent:
                    Yeah, I think so. You tend to grow on people.
                * You pass the hours fortifying yourself for the night ahead.
                player:
                    !exit
                agent:
                    !exit
            ]],
            DIALOG_GET_YOUR_DRINK_ON_2 = [[
                * Night falls, and the bar clears out. Seems all of Pearl-on-the-Foam is planning to be at the beach, if not take advantage of the empty streets.
            ]],
            DIALOG_GET_YOUR_DRINK_ON_3 = [[
                player:
                    !left
                    !drink 
                    Right, last one for the road. Can't put it off any longer.             
            ]],

            DIALOG_INTRO_FULL_FRIENDS = [[
                agent:
                    !right
                    Gotta say, {player}. It's always impressive how you can bring people under your wing.
                player:
                    !left
                    Oh yeah? Whaddya mean?
                agent:
                    Look around, bud. The word went out--and your allies showed up. 
                    Vix was a fool to think you couldn't step to his challenge.
            ]],
            DIALOG_INTRO_NO_FRIENDS = [[
                agent:
                    !right
                    Guess so, {player}. Only... you're gonna have to go it alone.
                player:
                    !left
                    What, <i>nobody</i> showed up?
                agent:
                    You get what you give, I guess. 
                    Just... be careful, alright? 
            ]],
            DIALOG_INTRO_NOT_MANY_FRIENDS = [[
                agent:
                    !right
                    Well, the reinforcements are here. Can't say it stands up to your schoolyard entourage but...
                    It's better than nothing?
                player:
                    !left 
                    What, this is everyone?
                agent:
                    Everyone who came when called, anyway.
                    Maybe there's a few people in the grave who might've had your back. But you can't ask them.
            ]],

            DIALOG_THE_PLAN = [[
                player:
                    !left
                moreef:
                    !right
                    So, whatcha thinking? You got a plan for getting close to Vix?
                player:
                    Gonna crash the party, aren't I? 
                moreef:
                    Everyone in the Pearl is gonna be there. Which means everyone who hates you will have the perfect chance to show it.
                    These friends you got here all have better ins than you do. Use 'em!
                player:
                    Guess I could send someone to waylay some other handsome kra'deshi and steal <i>his</i> invite.
                moreef:
                    Could do. Or maybe one of them can work with the caterers, get everyone a little <i>too</i> tipsy. 
                    Hard to see you if they've clouded their vision with drink.
                player:
                    Huh. You know, that's the exact kind of wishful thinking and foolish optimism that usually gets me where I'm going.
                moreef:
                    I know. I'm learning.
                * You look at the assembled crowd and consider your options.
            ]],

            OPT_HEAD_OUT = "Head out alone",
            DIALOG_HEAD_OUT = [[
                * You head out to face the world, flanked only by your fists.
            ]],

        }
        :Hub(function(cxt) 

            cxt:Opt("OPT_GIVE_MOREEF_THE_BEEF")
                :SetQuestMark()
                :Dialog("DIALOG_GIVE_MOREEF_THE_BEEF")
                :Fn(function() 

                    cxt:Opt("OPT_GET_YOUR_DRINK_ON")
                        :SetQuestMark()
                        :Dialog("DIALOG_GET_YOUR_DRINK_ON")
                        :FadeOut()
                        
                        :Dialog("DIALOG_GET_YOUR_DRINK_ON_2")
                        :Fn(function() 
                            cxt.quest.param.friends = {}
                            for _, id in ipairs(ALL_POSSIBLE_FRIENDS) do
                                local agent = cxt.quest:GetCastMember(id)
                                
                                if agent then
                                    table.insert(cxt.quest.param.friends, agent)
                                    cxt.quest.param[ id .. "_is_here"] = true
                                end
                            end
                            UIHelpers.PassTime(DAY_PHASE.NIGHT)
                            LocationUtil.SendPatronsAway(cxt.location)
                            for k,v in ipairs(cxt.quest.param.friends) do
                                v:MoveToLocation(cxt.location)
                            end
                            local screen = TheGame:FE():FindScreen( Screen.LocationScreen )
                            if screen then
                                screen:UpdateDayPhase()
                                screen:RefreshPlaxClickables(true)
                            end
                        end)
                        :FadeIn()
                        :CompleteQuest("start")
                        :Dialog("DIALOG_GET_YOUR_DRINK_ON_3")
                        :Fn(function()
                            local FULL_FRIENDS = #cxt.quest.param.friends >= 4
                            local NO_FRIENDS = #cxt.quest.param.friends == 0
                            local NOT_MANY_FRIENDS = #cxt.quest.param.friends <= 2

                            if FULL_FRIENDS then
                                cxt:Dialog("DIALOG_INTRO_FULL_FRIENDS")
                                cxt:Dialog("DIALOG_THE_PLAN")
                            elseif NO_FRIENDS then
                                cxt:Dialog("DIALOG_INTRO_NO_FRIENDS")
                                cxt.quest.param.ready_to_go = true
                            else
                                cxt:Dialog("DIALOG_INTRO_NOT_MANY_FRIENDS")
                                cxt:Dialog("DIALOG_THE_PLAN")
                            end

                            if cxt.quest.param.ready_to_go then
                                cxt:Opt("OPT_HEAD_OUT")
                                    :Dialog("DIALOG_HEAD_OUT")
                                    :Fn(function() 
                                        cxt.quest:Complete("assemble_team")
                                        cxt.encounter:DoLocationTransition(cxt.quest:GetCastMember("beach_entry"))
                                        cxt.quest:Activate("party_1")
                                        DoAutoSave()
                                        cxt:End()

                                    end)
                            else
                                if #cxt.quest.param.friends == 1 and cxt.quest.param.tei_is_here then
                                    cxt.quest.param.ready_to_go = true
                                end
                                StateGraphUtil.AddEndOption(cxt)
                            end
                    end)

                    cxt:Opt("OPT_TAKE_CARE_OF_STUFF")
                        :PreIcon( global_images.back )
                        :Dialog("DIALOG_TAKE_CARE_OF_STUFF")
                        :DoneConvo()

                end)
        end)            


local FRIEND_DIALOGS = {
    weezil = {
        DIALOG_INTRO = [[
            {first_time? 
                agent:
                    Moreef said you needed help. I figure, why the Hesh not, huh?
            }
            {not first_time?
                agent:
                    Whacha need?
            }
        ]],
        
        OPT_TALK = "Catch up with {agent}",
        DIALOG_TALK = [[
                player:
                    Wait, you're here? Why?
                agent:
                    You need help, don'tcha?
                player:
                    Yeah, but why are you giving it?
                agent:
                    Is that a trick question? You help your buds. That's all.           
        ]],

        OPT_NO_MISSION = "Tell {agent} to hang back",
        DIALOG_NO_MISSION = [[
            player:
                Just be cool when you get to the beach.
            agent:
                Sure. No problem.
        ]],

        OPT_SEND_ON_DIPLOMATIC_MISSION = "Recruit {agent} to compromise the catering",
        DIALOG_SEND_ON_DIPLOMATIC_MISSION = [[
            player:
                Hey, you know anyone in catering? I could use a guy on the inside.
                Especially if that guy knows how to liberally season a drink, if you know what I mean.
            agent:
                Uh, sure? Maybe? I'm more of a mixed martial arts kinda person myself.
                But I'll give it a shot.
        ]],

        OPT_SEND_ON_AGGRESSIVE_MISSION = "Recruit {agent} to steal ID for you",
        DIALOG_SEND_ON_AGGRESSIVE_MISSION = [[
            player:
                I need to score myself an invite to that party on the beach. Best way to do that is to take someone else's.
            agent:
                So you need me to find someone who looks like you, beat 'em up, and take their stuff?
                Easy enough.
        ]],

    },
    brut = {
        DIALOG_INTRO = [[
            {first_time? 
                agent:
                    Moreef said you needed help. I figure, why the Hesh not, huh?
            }
            {not first_time?
                agent:
                    Whacha need?
            }
        ]],
        
        OPT_TALK = "Catch up with {agent}",
        DIALOG_TALK = [[
                player:
                    Wait, you're here? Why?
                agent:
                    You need help, don'tcha?
                player:
                    Yeah, but why are you giving it?
                agent:
                    Is that a trick question? You help your buds. That's all.            
        ]],

        OPT_NO_MISSION = "Tell {agent} to hang back",
        DIALOG_NO_MISSION = [[
            player:
                Just be cool when you get to the beach.
            agent:
                Sure. No problem.
        ]],

        OPT_SEND_ON_DIPLOMATIC_MISSION = "Recruit {agent} to compromise the catering",
        DIALOG_SEND_ON_DIPLOMATIC_MISSION = [[
            player:
                Hey, you know anyone in catering? I could use a guy on the inside.
                Especially if that guy knows how to liberally season a drink, if you know what I mean.
            agent:
                Uh, sure? Maybe? I'm more of a mixed martial arts kinda person myself.
                But I'll give it a shot.
        ]],

        OPT_SEND_ON_AGGRESSIVE_MISSION = "Recruit {agent} to steal ID for you",
        DIALOG_SEND_ON_AGGRESSIVE_MISSION = [[
            player:
                I need to score myself an invite to that party on the beach. Best way to do that is to take someone else's.
            agent:
                So you need me to find someone who looks like you, beat 'em up, and take their stuff?
                Easy enough.
        ]],

    },
    andwanette = {
        DIALOG_INTRO = [[
            {first_time? 
                agent:
                    Well, dear brother, it seems you'll need my influence now more than ever.
                    I'll remind you that I'm a delicate rose, and this outfit is expensive. But I'll do what I can, if you ask.
            }
            {not first_time?
                agent:
                    Hello again, brother dear. Have you considered my role in this play?
            }
        ]],
        
        OPT_TALK = "Catch up with {agent}",
        DIALOG_TALK = [[
            player:
                You alright, Andwanette? 
            andwanette:
                I have to say, you made it impossible to meet with the other Banquods in the days after my nuptials.
                If I'd known you were planning on sending the whole family into chaos, I'd have hired a publicist.
            player:
                Sorry to let you down.
            andwanette:
                On the contrary! When this is over, I'll be the shine of the Pearl.
                Now, be a good boy and survive whatever it is you have planned tonight, hm? 
                I don't think I should have nearly as much fun being a Banquod without you.          
        ]],

        OPT_NO_MISSION = "Tell {agent} to hang back",
        DIALOG_NO_MISSION = [[
            player:
                Look, sis. Tonight's gonna get ugly.
                Probably best if you play it close. Stick with me at the beach, but don't go looking for trouble. 
            agent:
                Well, that's disappointing. But I know what it means to keep an ace in reserve.
                I'll trust your judgment, brother dear, but please don't squander me.
        ]],

        OPT_SEND_ON_DIPLOMATIC_MISSION = "Recruit {agent} to compromise the catering",
        DIALOG_SEND_ON_DIPLOMATIC_MISSION = [[
            player:
                You know the ins-and-outs of schmoozin' better than anyone. 
                Can you convince the caterers to spike the menu?
            agent:
                Hardly a test of my ability, darling, but I do love to show off. 
                Consider it done.
        ]],

        OPT_SEND_ON_AGGRESSIVE_MISSION = "Recruit {agent} to steal ID for you",
        DIALOG_SEND_ON_AGGRESSIVE_MISSION = [[
            player:
                What I really need is an identity I can borrow. Just for the night, mind!
                You must know someone who looks like me. Can you beat 'em up and nick me their invite?
            agent:
                I do know someone--not as handsome as you, dear brother, but close enough.
                I'll see it done, for your sake.
        ]],

    },
    denikus = {
        DIALOG_INTRO = [[
            {first_time? 
                denikus:
                    Alright, {player}? Looks like you've drawn even more attention to yourself since we last spoke.
            }
            {not first_time?
                denikus:
                    A clean slate, that's what you need. How can I help?
            }
        ]],
        
        OPT_TALK = "Catch up with {agent}",
        DIALOG_TALK = [[
            player:
                Surprised you're still around. Figured you'd have been halfway to Rentoria by now.
            denikus:
                I still got enemies. Best I stay under the Banquod protection for a little while longer.
                Don't worry--I know when I've outstayed my welcome. I'll be gone before then.
            player:
                Well, hey, no rush. Besides, I need every able body I can get.
            denikus:
                Is that right? 
        ]],

        OPT_NO_MISSION = "Tell {agent} to hang back",
        DIALOG_NO_MISSION = [[
            player:
                I want you watching my back tonight, so look sharp. I don't wanna throw any punches I don't have to.
            agent:
                Is that all? Well, sure. I'm a pro at lying low. 
        ]],

        OPT_SEND_ON_DIPLOMATIC_MISSION = "Recruit {agent} to compromise the catering",
        DIALOG_SEND_ON_DIPLOMATIC_MISSION = [[
            player:
                I could use your help with the party. I figure, if everyone's drunk, I can get into a lot of trouble before anyone objects.
            agent:
                Hm. So you need someone to parlay with the staff?
                I'll see what I can do.
        ]],

        OPT_SEND_ON_AGGRESSIVE_MISSION = "Recruit {agent} to steal ID for you",
        DIALOG_SEND_ON_AGGRESSIVE_MISSION = [[
            player:
                Actually, I could use a cover. An invite I can pass off as mine. 
            agent:
                Now that's easy--I've got a thing for faces, and know just the rube.
                Leave it to me, {player}.
        ]],

    },
    theroux = {
        DIALOG_INTRO = [[
            {first_time? 
                agent:
                    You can't be serious--taking on Vix directly? In front of Deltreans, no less?
                    Even if you survive, the family name certainly won't.
            }
            {not first_time?
                agent:
                    I don't like any of this. Tell me you have something planned.
            }
        ]],
        
        OPT_TALK = "Catch up with {agent}",
        DIALOG_TALK = [[
            player:
                Roux, you realize that if we don't do this, there won't be no family.
                Or there will be, but it'll just be a big pile of mutant.
                I'm not actually sure how this works. 
            agent:
                And yet I'm supposed to follow you into a confrontation?
                Against Vixmalli, no less?
            player:
                Hey, if you don't want to, don't let me stop you.
                I'm the last of us who should talk to you about duty or whatever.
            agent:
                !sigh 
                What, exactly, is your plan?            
        ]],

        OPT_NO_MISSION = "Tell {agent} to hang back",
        DIALOG_NO_MISSION = [[
            player:
                Look, I--I'm just gonna wing it. And I'd rather you stay outta trouble.
                At least one of us should still be around after this, right?
            agent:
                You and Fee always did this. Made me feel like a coward for not wanting to run headlong into danger.
            player:
                You're not a coward, Roux. You're just a goob.
                Stick close at the beach, and I'll keep anyone from knocking your head off. That's a promise.
        ]],

        OPT_SEND_ON_DIPLOMATIC_MISSION = "Recruit {agent} to compromise the catering",
        DIALOG_SEND_ON_DIPLOMATIC_MISSION = [[
            player:
                I wanna sneak in without roughing up too many Deltreans. Even I know that's not good for the family line.
                You think you can talk to the domestics? Get them to go heavy on the booze?
            agent:
                Well, certainly. I can even provide the booze, if that's all you need.
                I appreciate that you're thinking ahead. 
        ]],

        OPT_SEND_ON_AGGRESSIVE_MISSION = "Recruit {agent} to steal ID for you",
        DIALOG_SEND_ON_AGGRESSIVE_MISSION = [[
            player:
                I need an invite to the party. We got a cousin who looks kinda like me, don't we? 
                Think you could maybe, you know, lock him in a closet somewhere?
            agent:
                Certainly, he looks like you. And that includes your size. 
                I'm not sure what you expect me to do, but I'll... think of something.
        ]],

    },
    seemli = {
        DIALOG_INTRO = [[
            {first_time? 
                agent:
                    Hello, Smith. I see you continue to challenge the status quo in surprising ways!
            }
            {not first_time?
                agent:
                    Tell me what wrongs to right, my friend. I'm ready to go!
            }
        ]],
        
        OPT_TALK = "Catch up with {agent}",
        DIALOG_TALK = [[
            player:
                The revolution treating you alright, Seemli?
            agent:
                As well as can be expected. But if you really take down Vixmalli, I think I can expect a little bit more.
                How can I help?            
        ]],

        OPT_NO_MISSION = "Tell {agent} to hang back",
        DIALOG_NO_MISSION = [[
            player:
                I'm going right into the fire tonight. So if you're coming with me, you gotta be cool.
            agent:
                I'm a rebel in the heart of Havarian society, {player}. I know how to avoid notice.

        ]],

        OPT_SEND_ON_DIPLOMATIC_MISSION = "Recruit {agent} to compromise the catering",
        DIALOG_SEND_ON_DIPLOMATIC_MISSION = [[
            player:
                I need help from the other domestics. You got any Rise in the ranks who would be up for spiking the drinks at the assembly?
            agent:
                With alcohol, or poison?
            player:
                Er. Alcohol. Or, you know, some kinda hallucinogen that'll mess 'em up in the moment but sweat out before morning.
            agent:
                Oh, well. Hrm. Poison is easier.
            player:
                Not poison!
            agent:
                Alright, well. Yes, I do have Rise members at the assembly. And yes, they can manage.
        ]],

        OPT_SEND_ON_AGGRESSIVE_MISSION = "Recruit {agent} to steal ID for you",
        DIALOG_SEND_ON_AGGRESSIVE_MISSION = [[
            player:
                How would you feel about beating up a Pearly who looks just like me, huh?
            agent:
                Well, I suppose that would be fun. But I don't know any Pearlies who look just like you.
                Except you.
                And I don't think you're who you're talking about.
            player:
                You got time. Just look for a handsome kra'deshi. We can't be that rare.
            agent:
                !agree 
                I'll do my best.
        ]],

    },
    eden = {
        DIALOG_INTRO = [[
            {first_time? 
                agent:
                    Banquod.
                    Soon to be head of the family, it seems. I couldn't have plotted it better myself.
            }
            {not first_time?
                agent:
                    Well?
            }
        ]],
        
        OPT_TALK = "Catch up with {agent}",
        DIALOG_TALK = [[
            player:
                Kinda surprised to see you here, Eden.
            agent:
                I told you I'd repay you, didn't I?
            player:
                Yeah but you seem like the kinda boss who has grunts for that.
                Coming here in person? That's a nice touch.
            agent:
                Seeing is believing. And I find it difficult to believe you'll soon be the biggest Banquod in the Pearl.
                Conquer my skepticism, will you?          
        ]],

        OPT_NO_MISSION = "Tell {agent} to hang back",
        DIALOG_NO_MISSION = [[
            player:
                Right, well. Just try not to draw too much attention at the beach.
            agent:
                I'm Havarian Admiralty. To the locals, I'm wall dressing, and to Deltreans, I'm common muck.
                Trust me when I say I can handle the pressure.
        ]],

        OPT_SEND_ON_DIPLOMATIC_MISSION = "Recruit {agent} to compromise the catering",
        DIALOG_SEND_ON_DIPLOMATIC_MISSION = [[
            player:
                I need the drinks at the assembly spiked. Maybe the food, too, if you can get away with it.
            agent:
                And what, talk to the caterers? 
            player:
                Yeah. You know how to ... talk to folks, right?
            agent:
                Pearlescents, yes. <i>Folks</i>, as you say--no. Still, I suppose the domestics do understand the concept of an order.
        ]],

        OPT_SEND_ON_AGGRESSIVE_MISSION = "Recruit {agent} to steal ID for you",
        DIALOG_SEND_ON_AGGRESSIVE_MISSION = [[
            player:
                I need to steal someone's invite so I can get into the party without raising the alarm. Got any ideas?
            agent:
                Hah! You're asking if I have cause to arrest a boastful kra'deshi on this of all nights?
                Yes. I certainly do. You'll get your invite.
        ]],

    },
    mullifee = {
        DIALOG_INTRO = [[
            {first_time? 
                agent:
                    It's not true, is it? What Sweets said about Vix?
                    He's... sick? 
            }
            {not first_time?
                agent:
                    Talk to me, Smith. Information is power.
            }
        ]],
        
        OPT_TALK = "Catch up with {agent}",
        DIALOG_TALK = [[
            player:
                Yeah, Vix is sick. And he's ground zero for... something.
                Still not quite sure I get what.
            agent:
                What do you plan to do? Kill him?
            player:
                I guess I gotta. Unless you have any ideas?
            agent:
                Vix was as stubborn as a barnacle even before this.
                I suppose this explains his recent behavior. 
                When he wanted to expel you from the family... that was extreme, even for him.
            player:
                What, so the parasite made him do it?
            agent:
                No. But maybe a part of him wanted to be sure there'd be someone to put him down.          
        ]],

        OPT_NO_MISSION = "Tell {agent} to hang back",
        DIALOG_NO_MISSION = [[
            player:
                Look, Fee. You gotta play it safe tonight.
            agent:
                Like Hesh I do.
            player:
                I know you don't like it, but you've gotta be head of the family.
                That's what it was always for, right? All the pranks, the tricks? 
                You were practicing the game. A master manipulator, just like our pa.
            agent:
                Go shuck yourself, Smith. It was childhood mischief. I wasn't in it for some secret win.
                I want my life--the one I have, not whatever you're trying to fob off on me.
                Win your damn fight and <i>you</i> lead the family. And I'll be there to intimidate the salt out of anyone who steps up.
        ]],

        OPT_SEND_ON_DIPLOMATIC_MISSION = "Recruit {agent} to compromise the catering",
        DIALOG_SEND_ON_DIPLOMATIC_MISSION = [[
            player:
                Think you can spike the drinks? You did it often enough to Vix when we were pollywogs. 
            agent:
                Oh, sure. But that was when I was a child, and nobody paid too close attention.
            player:
                It's all muscle memory though, ain't it? You know what to do. 
        ]],

        OPT_SEND_ON_AGGRESSIVE_MISSION = "Recruit {agent} to steal ID for you",
        DIALOG_SEND_ON_AGGRESSIVE_MISSION = [[
            player:
                I need an invite. And an upstanding citizen to pretend to be.
            agent:
                Say no more. I happen to know an officer who is your spitting image.
                I've been keeping tabs on him, of course--just in case we ever needed to fake your death.
            player:
                Aw, Fee. You did that for me?
            agent:
                I just always like to have a plan B. And a plan C-through-F, for that matter.
        ]],

    },
    bishop_of_foam = {
        DIALOG_INTRO = [[
            {first_time? 
                agent:
                    I cannot believe Vixmalli himself is a threat to Hesh. 
            }
            {not first_time?
                agent:
                    What would you have me do?
            }
        ]],
        
        OPT_TALK = "Catch up with {agent}",
        DIALOG_TALK = [[
            player:
                You sure you're up for this, Bishop? 
            agent:
                It doesn't matter. Hesh has called upon me, and I am a servant of its will.
            player:
                You really believe that, huh? Even after you were taking bribes?
            agent:
                I--a life in the cult is a complicated thing, young Banquod. 
                Sometimes it's difficult to tell Hesh's influence from your own base desires.
            player:
                It's a giant jellyfish we're talking about here, right? Seems like pursuing base desires would be its jam.
            agent:
                You mean its jelly, yes?
            player:
                ...
                I don't get it.         
        ]],

        OPT_NO_MISSION = "Tell {agent} to hang back",
        DIALOG_NO_MISSION = [[
            player:
                If this all gets south, I'm gonna need a friend in the cult who can speak up for me.
                So don't go looking for trouble at the assembly--just stick close and keep your head down.
            agent:
                As you will.
        ]],

        OPT_SEND_ON_DIPLOMATIC_MISSION = "Recruit {agent} to compromise the catering",
        DIALOG_SEND_ON_DIPLOMATIC_MISSION = [[
            player:
                You got all that lumin wine, yeah? Can you maybe spike the drinks with it?
                If anyone catches you, you can just say it's abyssal waters or whatever.
            agent:
                Oh, certainly. Only some light blasphemy to get the evening started.
                I suppose the path of least resistance is often the wisest, however.
        ]],

        OPT_SEND_ON_AGGRESSIVE_MISSION = "Recruit {agent} to steal ID for you",
        DIALOG_SEND_ON_AGGRESSIVE_MISSION = [[
            player:
                I need to steal an invitation. Know a hapless rube who you can intimidate into giving theirs up?
            agent:
                Well, I--I suppose I do know a parishioner who bears a slight resemblance. Perhaps I can, ah, convince them to tend to their prayers.
            player:
                I suggest doin' it with fists.
            agent:
                I... see.
        ]],
    },
}

for _, cast_id, dialog_table in sorted_pairs(FRIEND_DIALOGS) do
    QDEF:AddConvo("assemble_team", cast_id)
        :AttractState("FOO")
            :Loc(dialog_table)
            :Fn(function(cxt) 
                cxt:Dialog("DIALOG_INTRO")
                cxt:RunLoopingFn(function() 
                    cxt:QST("TALK")
                    --cxt.quest.param.helper = cxt:GetAgent()
                    --cxt.quest.param.helper_strategy = "DIPLOMATIC" 

                    local on_quest = cxt.quest.param.helper == cxt:GetAgent()
                    local on_diplo = on_quest and cxt.quest.param.helper_strategy == "DIPLOMATIC" 
                    local on_aggro = on_quest and cxt.quest.param.helper_strategy == "AGGRESSIVE" 

                    if not on_diplo then
                        cxt:Opt("OPT_SEND_ON_DIPLOMATIC_MISSION")
                            :Dialog("DIALOG_SEND_ON_DIPLOMATIC_MISSION")
                            :Fn(function() 
                                cxt.quest.param.helper = cxt:GetAgent()
                                cxt.quest.param.helper_strategy = "DIPLOMATIC" 
                                cxt.quest.param.ready_to_go = true
                                cxt.quest.param.good_helper_match = table.arrayfind(GOOD_DIPLO_HELPERS, cast_id)
                            end)
                            :DoneConvo()
                    end

                    if not on_aggro then
                        cxt:Opt("OPT_SEND_ON_AGGRESSIVE_MISSION")
                            :Dialog("DIALOG_SEND_ON_AGGRESSIVE_MISSION")
                            :Fn(function() 
                                cxt.quest.param.helper = cxt:GetAgent()
                                cxt.quest.param.helper_strategy = "AGGRESSIVE" 
                                cxt.quest.param.ready_to_go = true
                                cxt.quest.param.good_helper_match = table.arrayfind(GOOD_AGGRO_HELPERS, cast_id)
                            end)
                            :DoneConvo()
                    end
                    
                    if on_quest then
                        cxt:Opt("OPT_NO_MISSION")
                            :Dialog("DIALOG_NO_MISSION")
                            :Fn(function() 
                                cxt.quest.param.helper = nil
                                cxt.quest.param.helper_strategy = nil
                                cxt.quest.param.ready_to_go = false
                            end)
                            :DoneConvo()
                    end

                    StateGraphUtil.AddEndOption(cxt)
                end)

            end)
    end

--moreef is special.
QDEF:AddAttract("assemble_team", "moreef",
    [[
        agent:
            Well, bud? You finding your footing with this ragtag team you've got?
    ]])


QDEF:AddConvo("assemble_team", "moreef")
    :Loc{
        -- OPT_Q1 = "Question 1",
        -- DIALOG_Q1 = [[* moreef! ]],
        -- OPT_Q2 = "Question 2",
        -- DIALOG_Q2 = [[* moreef! ]],


        OPT_ASK_ABOUT_FRIENDS = "Ask {agent} about a friend...",
        DIALOG_ASK_ABOUT_FRIENDS = [[
            {first_time?
                player:
                    {agent}, I gotta pick your brain.
                agent:
                    Hah! At least now I don't mind feeding you the answers. Whatcha need?
            }
            {not first_time?
                player:
                    So, about these fine people...
            }
        ]],


        OPT_TEI = "Ask about {tei}",
        DIALOG_TEI = [[ 
            agent:
                You know her better than I do. She's a Luminari, ain't she?
                A Heshian army knife, she can break open an oyster and shuck it, too.
                ]],
        OPT_BRUT = "Ask about {brut}",
        DIALOG_BRUT = [[
            agent:
                That goon? Muscle.
                ]],
        OPT_WEEZIL = "Ask about {weezil}",
        DIALOG_WEEZIL = [[ 
            agent:
                That goon? Muscle.
                ]],
        OPT_ANDWANETTE = "Ask about {andwanette}",
        DIALOG_ANDWANETTE = [[ 
            agent:
                Who knows how much of that charm is put on and how much is genuine?
                But I tell you, she can butter her way through anything. 
                ]],
        OPT_DENIKUS = "Ask about {denikus}",
        DIALOG_DENIKUS = [[ 
            agent:
                The thing about Denikus is he seems all debonair, but that's only until he gets close enough to slice your achilles.
                He's got a soft open, but it's the end-game where he really shines.
                ]],

        OPT_THEROUX = "Ask about {theroux}",
        DIALOG_THEROUX = [[
            agent:
                What, your brother? You want me to tell you about your own brother?
            player:
                Well, I mean... I been gone a while. He's grown up a bit since I last saw him.
            agent:
                I dunno, Smith. He's a bit of a homebody, I guess?
                Don't reckon he ever had many friends. Probably spent most of his time with the nanny.
                ]],

        OPT_SEEMLI = "Ask about {seemli}",
        DIALOG_SEEMLI = [[
            agent:
                Well, she's Rise, obviously. So she's probably a heavy hitter among the domestics.
                Can't say she's built for trouble, though.
                ]],

        OPT_EDEN = "Ask about {eden}",
        DIALOG_EDEN = [[ 
            agent:
                Eden is terrifying. I'm scared just being in the same room as her.
                ]],

        OPT_MULLIFEE = "Ask about {mullifee}",
        DIALOG_MULLIFEE = [[ 
            agent:
                Smith, come on. You were hatched from the same egg.
                What can I possibly add to your understanding?
            player:
                I dunno. Look, the past few days, maybe I'm realizing I took a lot for granted.
                You got an outsider's perspective.
            agent:
                !sigh
                She's you with a brain. Or without an ego. Take your pick.
            player:
                Ouch. 
                I mean, fair. But stab me in the heart, why don't ya.
                ]],

        OPT_BISHOP_OF_FOAM = "Ask about {bishop_of_foam}",
        DIALOG_BISHOP_OF_FOAM = [[
            agent:
                You think I rub elbows with someone like that?
                It's a priest. It's soft and squishy.
                Priests don't even torture heathens--they leave that up to the Luminari.
                ]],

    }
    :Hub(function(cxt) 
        -- cxt:QST("Q1")
        -- cxt:QST("Q2")
        cxt:Opt("OPT_ASK_ABOUT_FRIENDS")
            :Dialog("DIALOG_ASK_ABOUT_FRIENDS")
            :LoopingFn(function(cxt) 
                for k,v in ipairs(ALL_POSSIBLE_FRIENDS) do
                    if cxt.quest:GetCastMember(v) and cxt.quest:GetCastMember(v):GetLocation() == cxt.location then
                        cxt:QST(loc.toupper(v))
                    end
                end
                StateGraphUtil.AddBackButton(cxt)
            end)
    end)

--tei is special.
QDEF:AddConvo("assemble_team", "tei")
    :AttractState("FOO")
        :Loc{
            DIALOG_INTRO = [[
                {first_time?
                    agent:
                        I'm coming with you, of course.
                    player:
                        Suppose I don't get a say otherwise, huh?
                    agent:
                        No.
                    player:
                        Figures.
                }
                {not first_time?
                    agent:
                        You ready to head out?
                }
            ]],

            OPT_VIX = "Ask {tei} about {vixmalli}'s plan",
            DIALOG_VIX = [[
                player:
                    Did you know about this... thing?
                agent:
                    Did I know that your brother is infested with an ancient parasite that will alter the DNA of every creature on the planet?
                    I'm honored you think so much of my prescience.
                player:
                    That was a lot of big words when a "no" woulda done just fine.
                agent:
                    What we knew was that Vixmalli was behaving strangely. And that the Beaching was likely dangerous.
                    The two in combination warranted investigation. 
                    And sure enough, you've uncovered a threat to all Heshdom.
                    You should be proud.
                player:
                    So what next?
                agent:
                    If Vixmalli <i>is</i> going to unleash a mutagenic wave upon Havaria, tonight certainly seems like the night to do it. 
                    What with the Deltrean and Rentorian emissaries gathered, that's a good start. 
                    Whatever you do, you should keep him away from anyone he could infect. 
            ]],
            
            OPT_HERESY = "Ask {tei} about the Cult",
            DIALOG_HERESY = [[
                player:
                    You know, the bogger I talked to seemed to think maybe Hesh was just a leftover from the last time this happened.
                agent:
                    Is that right?
                player:
                    You don't seem all that fussed.
                agent:
                    The Roaloch and Hesh are both bigger things than I could ever claim to know.
                    But I've studied long and trained hard to be a servant of the Abyss. 
                    The meditations of some feral philosopher aren't exactly the stuff revelations are made of.
            ]],
        }
        :Fn(function(cxt) 
            cxt:RunLoopingFn(function()
                cxt:QST("VIX")
                cxt:QST("HERESY")
                StateGraphUtil.AddEndOption(cxt)
            end)
        end)


QDEF:AddConvo("assemble_team")
    :Loc{
        OPT_GO = "Give a rousing speech",
        REQ_NOT_READY = "You need to pick a helper to get you into the party, first!",
        TT_DIPLO = "{1} is going to go ahead to try to mellow the crowd",
        TT_AGGRO = "{1} is going ahead to 'obtain' some party credentials for you",
        TT_TEI = "{1} is going to travel with you",
        TT_OTHERS = "{1#agent_list} will blend into the party and be able to provide backup",

    }
    :Hub_Location( function(cxt) 
        local opt = cxt:Opt("OPT_GO")
            :ReqCondition(cxt.quest.param.ready_to_go, "REQ_NOT_READY")
            :CompleteQuest("assemble_team")
            :ActivateQuest("head_to_beach")
            :Fn(function() 
                
                cxt.quest.param.extra_friends = {}
                for k,v in ipairs(cxt.quest.param.friends) do
                    if v ~= cxt.quest.param.helper then
                        table.insert(cxt.quest.param.extra_friends, v)
                    end
                end
                cxt.quest:AssignCastMember("helper", cxt.quest.param.helper)
                TheGame:GetGameState():GetCaravan():CheckConfronts() 
            end)

        if cxt.quest.param.helper_strategy == "AGGRESSIVE" then
            opt:PostText("TT_AGGRO", cxt.quest.param.helper)
        elseif cxt.quest.param.helper_strategy == "DIPLOMATIC" then
            opt:PostText("TT_DIPLO", cxt.quest.param.helper)
        end

        if cxt.quest.param.helper_strategy then
            local t = {}
            for k,v in ipairs(cxt.quest.param.friends) do
                if v ~= cxt.quest:GetCastMember("tei") and v ~= cxt.quest.param.helper then
                    table.insert(t, v)
                end
            end
            if #t > 0 then
                opt:PostText("TT_OTHERS", t)
            end
        end

        if cxt.quest.param.tei_is_here then
            opt:PostText("TT_TEI", cxt.quest:GetCastMember('tei'))
        end

    end)
    

QDEF:AddConvo("head_to_beach")
    :ConfrontState("CONF")
        :Loc{
            DIALOG_INTRO = [[
                {has_helper?
                    * All eyes are on you. People are scared, and looking for leadership.
                    player:
                        !left
                        Well, uh, let's do this thing, I guess.
                        Are you ready, {helper}?
                    helper:
                        !right
                        Ready as I'm ever going to be. See you on the other side, grifter.
                        !exit
                    * The room empties.
                }
                {not has_helper?
                    player:
                        !left
                    * You probably need more help to pull this off, but you have to work with what you have.
                }
                moreef:
                    !right
                    Be careful, Smith.
                    It's - it's been nice having you back in town.
                player:
                    I've been in tougher scraps before. You don't need to worry about me.
                moreef:
                    !exit
                * {moreef} returns to the bar, and starts chopping onions for the night's stew.

                {tei_is_here?
                    tei:
                        !right
                        Let's go.
                    player:
                        Why is everyone being so serious? Not like we got the fate of the world to deal with, huh?
                        !exit
                }
                {not tei_is_here?
                    player:
                        !tired
                        T-those are some strong onions you got there, bud.
                        !exit
                }

            ]],
            OPT_GO = "Go save the Hesh-besotted world"
        }
        :Fn(function(cxt) 
            cxt.enc.scratch.has_helper = cxt.quest.param.helper ~= nil
            cxt:ReassignCastMember("helper", cxt.quest.param.helper)
            cxt:Dialog("DIALOG_INTRO")

            cxt:Opt("OPT_GO")
                :Fn(function() 
                    if cxt.quest.param.tei_is_here then
                        cxt.quest:GetCastMember("tei"):Recruit(PARTY_MEMBER_TYPE.HIRED)
                    end
                    cxt.encounter:DoLocationTransition(cxt.quest:GetCastMember("beach_entry"))
                    cxt.quest:Complete("head_to_beach")
                    cxt.quest:Activate("party_1")
                    cxt:End()
                end)
        end)


QDEF:AddConvo("party_1")
    :ConfrontState("CONF")
        :Fn(function(cxt) 
            
            if cxt.quest.param.extra_friends then
                for k,v in ipairs(cxt.quest.param.extra_friends) do
                    v:MoveToLocation(cxt.location)
                end
            end

            
            cxt.quest.param.entrance_opfor = CreateCombatParty("ADMIRALTY_PATROL", cxt.quest:GetRank(), cxt.location)
            cxt:TalkTo(cxt.quest.param.entrance_opfor[1])


            if cxt.quest.param.helper_strategy == "AGGRESSIVE" then
                
                
                --yeah, it's foolo. I think that works!
                local id_person = AgentUtil.GetFreeAgent("MURDER_BAY_ADMIRALTY_CONTACT_SIBLING")
                cxt:ReassignCastMember("id_person", id_person)
                
                if cxt.quest.param.good_helper_match then
                    cxt:GoTo("STATE_ID_GOOD_MATCH")
                else
                    cxt:GoTo("STATE_ID_BAD_MATCH")
                end
            else
                cxt:GoTo("STATE_NO_ID")
            end
        end)
    
    :State("STATE_ID_GOOD_MATCH")
        :Loc{
            DIALOG_INTRO = [[
                player:
                    !left
                * You get close to the party, and {helper} approaches you.
                helper:
                    !right
                    Here you go, one fresh invitation.
                    !give
                player:
                    !take
                    Hey, that's a pretty good match for me!
                    What happened to, uh, {id_person}?
                helper:
                    They've been... detained.
                    !exit
                player:
                    !exit
                * {helper} returns to the party. You wait for {helper.himher} to blend in, and then follow.
                player:
                    !left
                agent:
                    !right
                    Stop right there. This is an invitation-only event!
                player:
                    Good thing I have an invitation, then!
                    !give
                agent:
                    ...
                    Huh. They're just letting anyone in nowadays.
                    !exit
                * You're in!
            ]],

        }
        :Fn(function(cxt) 
            cxt:Dialog("DIALOG_INTRO")
            cxt.quest:Complete("party_1")
        end)

    :State("STATE_ID_BAD_MATCH")
        :Loc{
            DIALOG_INTRO = [[
                player:
                    !left
                * You get close to the party, and {helper} approaches you.
                helper:
                    !right
                    Uh. I got an invite.
                    !give
                player:
                    !take
                    Who is this? This doesn't look anything like me!
                helper:
                    Hey, I tried my best! Just... make it work!
                    !exit
                player:
                    !exit
                * {helper} returns to the party. You wait for {helper.himher} to blend in, and then follow.
                player:
                    !left
                agent:
                    !right
                    Stop right there. This is an invitation-only event!
                player:
                    I've got an invite... right here!
                    !give
                agent:
                    ...
                    This clearly isn't you.
                player:
                    Yeah, says you!
                id_person:
                    !right
                    !injured
                    Hey, that's my ID!
                agent:  
                    !right
                    Explain yourself, right now!
            ]],

            OPT_EXPLAIN = "Convince {agent} that that's totally your real ID",
            DIALOG_EXPLAIN = [[ 
                player:
                    Nu-uh! That's me!
            ]],
            DIALOG_EXPLAIN_SUCCESS = [[
                * You convince them that it is you on the invitation, somehow, and {id_person} gets the boot.
                * You're in!
                helper:
                    !right
                    Wow, that worked!
                    !exit
            ]],
            DIALOG_EXPLAIN_FAILURE = [[
                agent:
                    !fight
                    I'm taking you down!
            ]],

            OPT_DEFEND = "Fight your way in",
            DIALOG_WON = [[
                { helper_died?
                    * {helper} died, but there's no turning back the clock.
                }
                { tei_died?
                    * {tei} didn't make it. But she knew what she was fighting for, even if you didn't quite follow.
                }
                * You push your way in. Luckily, everyone at the party is too busy to notice your violence.
            ]],

            OPT_PAY_OFF_FOOLO = "Pay {id_person} to play along",
            DIALOG_PAY_OFF_FOOLO = [[
                id_person:
                    !right
                player:
                    Listen, buddy. I really need this. Maybe we can come to some kind of arrangement?
                id_person:
                    !crossed
                    I'm listening...
                player:
                    !happy
                    How about I give you a little pile of money, and you tell {agent} that's my ID after all?
                id_person:
                    !point
                    Do you think I'm so easily bought?
                    I-
                player:
                    Ok, how about a <b>lot</> of money...
                    !give
                id_person:
                    !take
                    ...
                    You're not so bad, grifter.
            ]],

            DIALOG_PAY_OFF_FOOLO_2 = [[
                agent:
                    !right
                    !angry
                    Excuse me? Wasn't I in the middle of kicking you out?
                id_person:
                    !left
                    Sorry, officer. There's been a mix-up. I was confused.
                agent:
                    So you <i>aren't</> 'Foolo Ollowano'?
                id_person:
                    !overthere
                    Of course not! Who looks more like a Foolo, me or <i>him</>?
                agent:
                    !dubious
                player:
                    !left
                    !neutral_burp
                    Huh?
                agent:
                    Good point. As you were.
                    !exit
                player:
                    !exit
                * You enter the party, your hide significantly more intact than your pride.
            ]]

        }
        :Fn(function(cxt) 
            cxt:Dialog("DIALOG_INTRO")

            cxt:Opt("OPT_PAY_OFF_FOOLO")
                :Dialog("DIALOG_PAY_OFF_FOOLO")
                :ReceiveOpinion("massive_bribe", nil, "id_person")
                :DeliverMoney(700)
                :Dialog("DIALOG_PAY_OFF_FOOLO_2")
                :GoTo("STATE_GET_IN")

            cxt:BasicNegotiation("EXPLAIN", {helpers = {"helper", "tei"}, hinders = {"id_person"}})
                :OnSuccess()
                    :GoTo("STATE_GET_IN")
                :OnFailure()
                    :Fn(function() 
                        
                        cxt:Opt("OPT_DEFEND")
                            :Battle{
                                flags = BATTLE_FLAGS.SELF_DEFENCE | BATTLE_FLAGS.NO_FLEE,
                                no_oppo_limit = true,
                                allies = cxt.quest.param.extra_friends,
                                enemies = {cxt:GetAgent(), "id_person"},
                            }
                                :OnWin()
                                    :Fn(function() 
                                        cxt.enc.scratch.tei_died = cxt.quest:GetCastMember("tei") and cxt.quest:GetCastMember("tei"):IsDead()
                                        cxt.enc.scratch.helper_died = cxt.quest:GetCastMember("helper") and cxt.quest:GetCastMember("helper"):IsDead()
                                        cxt:Dialog("DIALOG_WON")
                                    end)
                                    :GoTo("STATE_GET_IN")
                    end)
        end)

    :State("STATE_NO_ID")
        :Loc{
            DIALOG_INTRO = [[
                * You approach the party, and are stopped by face control.
                player:
                    !left
                agent:
                    !right
                    Stop right there, grifter. This event is invite only.
            ]],
            OPT_PAY = "Buy an invitation",
            DIALOG_PAY = [[
                player:
                    Oh, right. I forgot to RSVP in time, but, uh, I got my tithe right here.
                    You can take care of it for me, can't you, champ?
                agent:
                    Ah--yes. Certainly. You head on in, and leave your shills with me.
                * Only thing more reliable than the tide is the efficacy of a bribe in Pearl-on-the-Foam.
            ]],
            OPT_EXPLAIN = "Convince {agent} that you just lost your invite",
            DIALOG_EXPLAIN = [[ 
                player:
                    I <i>had</i> an invite, but my vroc ate it.
            ]],
            DIALOG_EXPLAIN_SUCCESS = [[
                player:
                    It's a designer vroc, see. One of them miniature teacup vrocs.
                    Bought it for a fashion show and the damn thing was out of style a week later.
                    All it did was poop in my shoes and chew up my very important invitation.
                agent:
                    Hesh, tell me about it. My sister did the exact same thing. 
                    Go on, then. And some advice?
                    If you roast them up in some bog mud, those teacup vrocs make a real treat.
                player:
                    Noted!
            ]],
            DIALOG_EXPLAIN_FAILURE = [[
                player:
                    I even dug through the garden to look for it at the other end.
                agent:
                    No wonder this all smells rotten. 
                    You're not getting in without your invitation. 
            ]],
            OPT_FORCE = "Force your way in",
            DIALOG_FORCE = [[
                player:
                    You don't understand...
                    !fight
                    I NEED TO PARTY!
            ]],
            DIALOG_WON = [[
                * Luckily for you, the revelers didn't notice your little pre-party.
                * You head in.
            ]],

        }
        :Fn(function(cxt) 
            

            cxt:Dialog("DIALOG_INTRO")
            cxt:RunLoopingFn(function() 

                cxt:Opt("OPT_PAY")
                    :Dialog("DIALOG_PAY")
                    :DeliverMoney(250)
                    :GoTo("STATE_GET_IN")

                cxt:BasicNegotiation("EXPLAIN", {helpers = {"tei"}})
                    :OnSuccess()
                        :GoTo("STATE_GET_IN")
                
                cxt:Opt("OPT_FORCE")
                    :Dialog("DIALOG_FORCE")
                    :Battle{
                        allies = cxt.quest.param.extra_friends,
                        flags = BATTLE_FLAGS.NO_FLEE,
                        noncombatants = {"helper"},
                        no_oppo_limit = true,
                    }
                        :OnWin()
                            :Fn(function() 
                                cxt.enc.scratch.tei_died = cxt.quest:GetCastMember("tei") and cxt.quest:GetCastMember("tei"):IsDead()
                                cxt:Dialog("DIALOG_WON")
                            end)
                            :GoTo("STATE_GET_IN")
            end)


        end)
    :State("STATE_GET_IN")
        :Fn(function(cxt) 

            for k,v in ipairs( cxt.quest.param.entrance_opfor ) do
                if v:IsAlive() then
                    v:MoveToLimbo()
                end
            end

            cxt.quest:Complete("party_1")
            cxt:End()            
        end)


QDEF:AddConvo("party_2")
    :ConfrontState("CONF")
        :Loc{
            DIALOG_INTRO = [[
                * You're in the party. The hoi-polloi of the Pearl are milling about, making shady deals, and generally having a good time.
                * And wait, what's this?
                player:
                    !left
                    Is that...
                    !happy
                    ...Free booze!?
                * Oh dear, it is.
            ]],
            OPT_TAKE_SOME_FREE_BOOZE = "Partake of the offered libations",
            DIALOG_TAKE_SOME_FREE_BOOZE = [[
                * You're having a big moment! You need to steady your resolve. Or something.
                    {mellow_booze?
                        player:
                            !drink
                            Heeeey, this is really really good stuff.
                        * Looks like {helper} succeeded with the caterers!
                    }

                    {angry_booze?
                        player:
                            !drink
                            Ew!
                            !disgust
                            I have really low standards, and this barely meets them! What the heck did {helper} do?
                    }
                    {not mellow_booze and not angry_booze?
                        player:
                            !drink
                            That hits the spot!
                    }
            ]],
            OPT_DO_NOT_TAKE_FREE_BOOZE = "Skip this round",
            DIALOG_DO_NOT_TAKE_FREE_BOOZE = [[
                * Uncharacteristically, you abstain.
                { mellow_booze or angry_booze?
                    * You're curious what {helper} managed to convince the caterers to do with the booze, but you don't want to cloud your thoughts.
                }

                !thought
                * Are you growing as a person?

            ]],


        }
        :Fn(function(cxt) 

            if cxt.quest.param.helper_strategy == "DIPLOMATIC" then
                cxt.quest.param.mellow_booze = cxt.quest.param.good_helper_match
                cxt.quest.param.angry_booze = not cxt.quest.param.good_helper_match
            end
            
            cxt:Dialog("DIALOG_INTRO")
            cxt:Opt("OPT_TAKE_SOME_FREE_BOOZE")
                :Dialog("DIALOG_TAKE_SOME_FREE_BOOZE")
                :DoDrink( 0, DRINK_RESTORE_RESOLVE_AMOUNT )
                :GoTo("STATE_DIG")
            
            cxt:Opt("OPT_DO_NOT_TAKE_FREE_BOOZE")
                :Dialog("DIALOG_DO_NOT_TAKE_FREE_BOOZE")
                :GoTo("STATE_DIG")


        end)

    :State("STATE_DIG")
        :Loc{
            DIALOG_BUMP_DIGNITARY = [[
                * Lost in thought, you bump someone's arm, causing them to spill their drink all over their fancy clothing.
                agent:
                    !right
                    !angry
                    Sir! I demand satisfaction!
                * You see through the haze of anger that it's some high muckity-muck straight from Deltree. 
                * Of all of the arms to bump, you had to choose the one that's an international incident!
                {mellow_booze?
                    * The crowd barely notices {agent}'s challenge. You might be able to talk this one down.
                }
                {angry_booze?
                    * The crowd closes ranks around you, sensing blood. This is going to have to end in violence.
                }
                {not mellow_booze and not angry_booze?
                    * Some members of the crowd turn to pay attention. You have an audience!
                }
            ]],

            OPT_NEGOTIATE = "Apologize to {agent}",
            DIALOG_NEGOTIATE = [[
                player:
                    I'm very sorry, your eminence...
            ]],
            DIALOG_NEGOTIATE_SUCCESS = [[
                agent:
                    I accept that.
                    !exit
                * {agent} stalks off to clean up.
                
                {mellow_booze?
                    helper:
                        !right
                        That was a close one, {player}!
                        Good thing the crowd was distracted by this excellent plonk!
                        !exit
                }
            ]],

            DIALOG_NEGOTIATE_FAILURE = [[
                agent:
                    You're just making it worse!
            ]],

            OPT_FIGHT_DUEL = "Accept the offer to duel",
            DIALOG_FIGHT_DUEL = [[
                player:
                    !fight
                    Alright! Let's do this!
            ]],
            DIALOG_WON_DUEL = [[
                {dead?
                    * You killed an official emissary from Deltree! That's not good!
                    * It was strictly legal, however, because it was a duel. {agent}'s friends are not happy, but they stow their revenge plans for now.
                }
                {not dead?
                    agent:
                        I yield!
                        You Havarians are as tough as you are rude.
                        !exit
                    player:
                        Yeah, well... you too, buddy!
                    * Nailed the comeback, as usual.
                }
            ]],

            OPT_FIGHT_BRAWL = "Defend yourself!",
            DIALOG_FIGHT_BRAWL = [[
                * {agent} may have wanted a duel, but the crowd is too worked up to keep it at that. A full-on brawl breaks out!
            ]],
            DIALOG_WON_BRAWL = [[
                left:
                    !exit
                right:
                    !exit
                {dead?
                    * {agent} goes down hard. You're probably not going to be able to visit Deltree anytime soon.
                }
                * Admiralty security forces clear out the brawlers and restore order. You manage to escape notice bravely hiding under a table.
                player:
                    !left
            ]],

            OPT_APOLOGIZE = "Apologize to the diplomat",
            DIALOG_APOLOGIZE = [[
                player:
                    I'm very sorry that you were in my way and I bumped you.
            ]],
            DIALOG_APOLOGIZE_SUCCESS = [[
                agent:
                    Hrmph!
                    I suppose I can't hold a Havarian to Deltrean standards!
                    !exit
            ]],
            DIALOG_APOLOGIZE_FAILURE = [[
                agent:
                    Not good enough!
                    I demand satisfaction, not excuses!
            ]],
            SIT_MOD_MELLOW_BOOZE = [[{helper} got the catering staff to break out the Good Stuff, and everyone's in a good mood.]],
            OPT_PAY = "Pay for cleaning",
            DIALOG_PAY = [[
                player:
                    Hey I can pay for that!
                agent:
                    That's acceptable.
                    !exit
                * Money. Is there anything it can't do?
            ]],

        }
        :Fn(function(cxt) 

            cxt:TalkTo("dignitary")
            cxt:Dialog("DIALOG_BUMP_DIGNITARY")
            if cxt.quest.param.angry_booze then
                local enemies = CreateCombatBackup(cxt:GetAgent(), {"PEARLIE", "WEALTHY_MERCHANT", "PRIEST"}, cxt.quest:GetRank())

                --brawl
                cxt:Opt("OPT_FIGHT_BRAWL")
                    :Dialog("DIALOG_FIGHT_BRAWL")
                    :Battle{
                        flags = BATTLE_FLAGS.SELF_DEFENCE | BATTLE_FLAGS.NO_FLEE,
                        allies = cxt.quest.param.extra_friends,
                        enemies = enemies,
                    }
                        :OnWin()
                            :Dialog("DIALOG_WON_BRAWL")
                            :GoTo("STATE_DONE_PARTY")

            elseif cxt.quest.param.mellow_booze then
                --apology
                cxt:RunLoopingFn(function() 
                    
                    cxt:BasicNegotiation("APOLOGIZE", {sit_mods =  { { value = -10, text = cxt:GetLocString("SIT_MOD_MELLOW_BOOZE") } } })
                        :OnSuccess()
                            :GoTo("STATE_DONE_PARTY")

                    cxt:Opt("OPT_FIGHT_DUEL")
                        :Dialog("DIALOG_FIGHT_DUEL")
                        :Battle{
                            flags = BATTLE_FLAGS.SELF_DEFENCE | BATTLE_FLAGS.NO_FLEE | BATTLE_FLAGS.NO_BYSTANDERS,
                        }
                            :OnWin()
                                :Dialog("DIALOG_WON_DUEL")
                                :GoTo("STATE_DONE_PARTY")
                end)

            else
                cxt:Opt("OPT_PAY")
                    :DeliverMoney(200)
                    :Dialog("DIALOG_PAY")
                    :GoTo("STATE_DONE_PARTY")

                cxt:Opt("OPT_FIGHT_DUEL")
                    :Dialog("DIALOG_FIGHT_DUEL")
                    :Battle{
                        flags = BATTLE_FLAGS.SELF_DEFENCE | BATTLE_FLAGS.NO_FLEE | BATTLE_FLAGS.NO_BYSTANDERS,
                    }
                        :OnWin()
                            :Dialog("DIALOG_WON_DUEL")
                            :GoTo("STATE_DONE_PARTY")
            end

            
        end)
    :State("STATE_DONE_PARTY")
        :Loc{
            DIALOG_INTRO = [[
                agent:
                    !exit
                player:
                    !exit
                * You blend back into the crowd. Eventually, the house music swells, and the crowd turns to face the Beaching. {vixmalli} himself saunters out onto a platform on top of the great beast...
            ]],
        }
        :Fn(function(cxt) 
            cxt:Dialog("DIALOG_INTRO")
            cxt.encounter:DoLocationTransition(cxt.quest:GetCastMember("vix_confrontation"))
            cxt.quest:Complete("party_2")
            cxt.quest:Activate("party_3")
            cxt:End()            
        end)


QDEF:AddConvo("party_3")
    :ConfrontState("CONF")
        :Loc{
            DIALOG_INTRO = [[
                * Vixmalli steps up to the mic, and if you train your eye real close you can almost see the way his skin shimmers.
                vixmalli:
                    !right
                    ...
                    Hesh was a gift. And we have spent a thousand years squandering it.
                    Perhaps the next time around, we will all learn to be just a bit more grateful.
                player:
                    Wait a minute!
                vixmalli:
                    !dubious
                    ...
                    ...
                    ...
                player:
                    !left
                    !tired
                    Hesh's stingers, that was a slippery climb.
                    Whose bright idea was to do this on top of the behemoth, anyway? Yours, or your hitchhiker's?
                vixmalli:
                    I see you saved up your irreverence for this occasion.
                player:
                    Hey, you're not the only one who can drop by unannounced with a mouthful of marbles.
                    You're sick, Vix. That's why you kicked me out of the family, right? 
                    I'm not mad anymore. I get it.
                vixmalli:
                    ...
                    I kicked you out of the family because you're a waste of sea salt. 
                    You're a parasite, sucking on resources and feeding your waste to whatever hangers-on you've attracted.
                    Mother always said you were good at making friends, that once you'd "sown your oats" you would benefit the family. 
                    But that's never been it. You just gather flies, eager to feast on whatever fester you've created.
                player:
                    Oh. 
                    Okay.
                    You know what?
                    I <i>am</i> still mad. 
            ]],
            OPT_NEGOTIATE = "Attempt to reconcile",
            DIALOG_NEGOTIATE = [[
                player:
                    Guess what, Vix? You've <i>always</i> been a jerk. And blaming it on some ancient Roaloch brainsucker isn't gonna change anything.
                    
            ]],
            DIALOG_NEGOTIATE_SUCCESS = [[
                player:
                    Me, Fee, Theroux--we all acted some way you hated. And you took it personally, like some chump who doesn't know the difference between spilt beer and a mug to the face.
                    But look where it got you, huh? Now you're under something else's thumb for the first time.
                    Don't feel so good, does it? 
                vixmalli:
                    It feels... alien.
                * That demands a pithy response, but before you can conjure one up, {vixmalli} staggers as if struck by an invisible blow.
                vixmalli:
                    !injured
                    Hrk!
                * The blubber of the behemoth's back seems to liquefy, swallowing Vixmalli in an instant. All that's left is a putrid smell and the faintest indentation where he sunk through.
                vixmalli:
                    !exit
                player:
                    Aw, no. No, come <i>on</i>.
                    I really don't wanna go in there.
                    Hesh dammit, Vix!
            ]],
            DIALOG_NEGOTIATE_FAILURE = [[
                player:
                    But maybe, if you looked inside yourself, you'd see the brother who still loves us, and doesn't want us to become weird monsters or whatever.
                vixmalli:
                    !angry
                    Enough. Just shut your gaping, guzzling mouth. 
                    You will be the first to be remade. And I cannot wait to be free of the you-that-was.
            ]],

            OPT_DEFEND = "Defend yourself",
            DIALOG_DEFEND = [[
                player:
                    !fight
                    Fine. 
            ]],

            OPT_WALK_AWAY = "Leave {vixmalli} to {vixmalli.hisher} fate",
            DIALOG_WALK_AWAY = [[
                player:
                    !shrug
                    Naaaaaah. I'm good.
                    !exit
                * You try to pick your way down the slippery side of the beast.
                player:
                    Ahhhhhhhhhh!
                * You lose your step and then fall in, yourself. It's slippery up here!
                * (Did you really think we'd let you skip the final boss fight?)
            ]],
            OPT_DIVE_IN = "Follow {vixmalli} into the beast",
            DIALOG_DIVE_IN = [[
                player:
                    I'm gonna regret this, I'm sure...
                    !exit
                * You dive into the blubber, and feel yourself enveloped by its warm, decaying embrace...
            ]],

            --this is if you fought both of vix's forms.
            DIALOG_WIN = [[
                agent:
                    !injured
                player:
                    Are we good now?
                    You're such an ass, Vix. Always were.
                    But I guess it takes one to know one.
                agent:
                    I... hrk!
                    !exit
                * Vix stumbles to the ground.
                player:
                    !exit
                * And then the ground opens up and swallows you both!
            ]],
            NEGOTIATION_REASON = "Reconcile with {agent}",
        }
        :Fn(function(cxt) 

            cxt:TalkTo("vixmalli")
            cxt:Dialog("DIALOG_INTRO")

            
            local RESOLVE = {70, 100, 120, 140}
            local resolve_required = RESOLVE[GetAdvancementModifier( ADVANCEMENT_OPTION.NPC_BOSS_DIFFICULTY )]

            --negotiate to skip the first part of the vix fight (really just a health tax)
            cxt:RunLoopingFn(function() 
                cxt:BasicNegotiation("NEGOTIATE", {
                    flags = NEGOTIATION_FLAGS.NO_IMPATIENCE | NEGOTIATION_FLAGS.NO_LOOT,
                    reason_txt = cxt:GetLocString("NEGOTIATION_REASON"),
                    enemy_resolve_required = resolve_required,
                    on_start_negotiation = function(minigame)
                    end,
                })
                    :OnSuccess()
                        :Fn(function() 
                            cxt:Opt("OPT_WALK_AWAY")
                                :Dialog("DIALOG_WALK_AWAY")
                                :GoTo("STATE_INNER_BATTLE")
                            
                            cxt:Opt("OPT_DIVE_IN")
                                :Dialog("DIALOG_DIVE_IN")
                                :GoTo("STATE_INNER_BATTLE")
                        end)


                --This is the fight that starts with vix outside, and then moves inside.
                cxt:Opt("OPT_DEFEND")
                    :Dialog("DIALOG_DEFEND")
                    :ReceiveOpinion( "attacked_vix" )
                    :Battle{
                        --gotta make sure vix doesn't actually die here somehow... TBD once we have actual assets ready
                        flags = BATTLE_FLAGS.ISOLATED | BATTLE_FLAGS.NO_BYSTANDERS | BATTLE_FLAGS.NO_REWARDS | BATTLE_FLAGS.NO_FLEE | BATTLE_FLAGS.BOSS_FIGHT | BATTLE_FLAGS.NO_DEATH,
                    }
                        :OnWin()
                            :Fn(function(cxt )
                                cxt:GetCastMember("vixmalli"):OpinionEvent(cxt.quest:GetQuestDef():GetOpinionEvent("reconcile"))
                            end)
                            :Dialog("DIALOG_WIN")
                            :GoTo("STATE_INNER_BATTLE")

            end)
        end)

    :State("STATE_INNER_BATTLE")
        :Loc{
            DIALOG_TRANSITION = [[
                * You fall for what feels like too long, and land with a squishy thud.
            ]],
            DIALOG_INTRO = [[
                * Just when you think you'll never breathe again, you land, ankle-deep, in sickening bile.
                * The belly of the beast lays open before you, and it is truly disgusting.
                player:
                    !left
                    Ugh, Hesh. If I get outta this, I swear I'll stop making Sweets do all the cleaning.
                    I'll do my fair share. I'll even--<i>gag</i>--clear out the shower drain. 
                    !cough 
                    Vix?! Vix, where are you? 
                agent:
                    !right
                    !vix_transform
                    S-Smith...
                player:
                    !surprised                        
                    Suckers of the Abyss. What the <i>Hesh</i>...
                    ...
                    We, uh, can probably fix this. This is probably fine, right? You just gotta, you know, throw it all up.
                agent:
                    I WILL CONSUME ME AND THE MEMORY OF ME AND THE MEMORY OF THE MEMORY--
                player:
                    Okay, I see we're going to have to do this the other way.
            ]],
            OPT_DEFEND = "Defeat mutant Vix",
            DIALOG_DEFEND = [[
                agent:
                    MY.VOICE.WILL.BE.ONE.WITH.THE. STARS.
                player:
                    !fight
                    And your head will be one with your ass if you don't shut up!
            ]],

            DIALOG_WON = [[
                agent:
                    !exit
                player:
                    !neutral
                {dead?
                    * {vixmalli} is dead, but you don't feel that you were the one to kill {vixmalli.himher}.
                }
                {not dead?
                    player:
                        Hang on, you're going to be okay!
                    * {vixmalli} begins to deflate. The un-transformation is not complete, but you see the sense of reason returning to his eyes.
                }
            ]],
            OPT_WIN = "Leave the beast",

        }
        :Fn(function(cxt) 
            cxt.enc:GetScreen():Fade( .5, false )
            cxt.enc:Wait(.5)
            cxt.enc:GetScreen():ClearHistory()
            cxt:Dialog("DIALOG_TRANSITION")
            cxt.location:SetPlax("INT_SMITH_FINALBOSS2") 
            cxt.enc:GetScreen():Fade( .25, true )
            cxt.enc:Wait(.25)
            -- cxt.enc:GetScreen():ClearHistory()


            local mutant = TheGame:GetGameState():AddAgent(Agent("MUTANT_VIX"))
            cxt:TalkTo(mutant)
            cxt:Dialog("DIALOG_INTRO")
            
            --this fight starts inside, with the monster
            cxt:Opt("OPT_DEFEND")
                :Dialog("DIALOG_DEFEND")
                :Battle{
                    flags = BATTLE_FLAGS.ISOLATED | BATTLE_FLAGS.NO_BYSTANDERS | BATTLE_FLAGS.NO_REWARDS | BATTLE_FLAGS.NO_FLEE | BATTLE_FLAGS.BOSS_FIGHT | BATTLE_FLAGS.NO_BACKUP,
                }
                    :OnWin()
                        :Dialog("DIALOG_WON")
                        :Fn(function()
                            
                            if mutant:IsDead() then
                                cxt:GetCastMember("vixmalli"):Kill()
                            end

                            cxt:Opt("OPT_WIN")
                                :GoTo("STATE_WIN")
                        end)

        end)

    :State("STATE_WIN")
        :Loc{
            DIALOG_INTRO = [[
                * You emerge from the behemoth's carcass to find yourself the centre of attention. Which makes sense, considered you're covered in rotting blubber.
                {vix_dead?
                    * When it's clear you're the only survivor, the crowd begins to turn on you in outrage. You scan the crowd for a friendly face, but you might just be alone.
                }
                * You're soon overshadowed, though--a sensation you're familiar with, growing up with the siblings you had. But this time, the shadow is literal.
                * You follow the gaze of the crowd up, as a giant tentacle erupts from the sea and, with puckers as red as the tide, latches onto the bloated carcass of the behemoth.
                * It drags the creature below the waves, leaving only an outline of rot where it lay. And you.

            ]],

            OPT_WIN = "Leave the beach",
        }
        :Fn(function(cxt) 
            cxt.encounter:DoLocationTransition(cxt.quest:GetCastMember("beach_entry"))

            cxt.quest.param.mullifee_here = cxt:GetCastMember("mullifee") and not cxt:GetCastMember("mullifee"):IsRetired()
            cxt.quest.param.theroux_here = cxt:GetCastMember("theroux") and not cxt:GetCastMember("theroux"):IsRetired()
            cxt.quest.param.tei_here = cxt:GetCastMember("tei") and not cxt:GetCastMember("tei"):IsRetired()
            
            cxt.quest.param.vix_dead = cxt:GetCastMember("vixmalli"):IsDead()

            cxt:Dialog("DIALOG_INTRO")
            cxt:Opt("OPT_WIN")
                :Fn(function() 
                    cxt.quest:Complete()
                    cxt:End()
                    if not TheGame:GetLocalSettings().ROBOTICS then
                        
                        local all_sib = (cxt:GetCastMember("mullifee") and cxt:GetCastMember("mullifee"):IsAlive()) and 
                                            (cxt:GetCastMember("theroux") and cxt:GetCastMember("theroux"):IsAlive()) and 
                                            cxt:GetCastMember("vixmalli"):IsAlive()

                        local flags = {
                            all_sib_slide = all_sib,
                            dead_sib_slide = not ( (cxt:GetCastMember("mullifee") and cxt:GetCastMember("mullifee"):IsAlive()) and (cxt:GetCastMember("theroux") and cxt:GetCastMember("theroux"):IsAlive()) and cxt:GetCastMember("vixmalli"):IsAlive() ),
                            theroux_slide = not all_sib and cxt:GetCastMember("theroux") and cxt:GetCastMember("theroux"):IsAlive(),
                            mullifee_slide = not all_sib and cxt:GetCastMember("mullifee") and cxt:GetCastMember("mullifee"):IsAlive(),
                            vix_alive = cxt:GetCastMember("vixmalli"):IsAlive(),
                            vix_dead = not cxt:GetCastMember("vixmalli"):IsAlive(),
                            denikus_slide = cxt.quest.param.denikus_is_here and cxt:GetCastMember("denikus"):IsAlive(),
                            andwanette_slide = cxt.quest.param.andwanette_is_here and cxt:GetCastMember("andwanette"):IsAlive(),
                            eden_slide = cxt.quest.param.eden_is_here and cxt:GetCastMember("eden"):IsAlive(),
                            seemli_slide = cxt.quest.param.seemli_is_here and cxt:GetCastMember("seemli"):IsAlive(),
                            tei_slide = cxt.quest.param.tei_is_here and cxt:GetCastMember("tei"):IsAlive(),
                        }
                        TheGame:GetGameState():AddScore("PROGRESS", 4)
                        cxt:AwardUnlock("SMITH_BRAWL_PLAYABLE", "SMITH", LOC"UI.CHARACTER_UNLOCKED.SMITH_BRAWL_TITLE", LOC"UI.CHARACTER_UNLOCKED.SMITH_BRAWL_BODY")
                        cxt.enc:ShowSlides("smith_ending_slideshow", flags, function() TheGame:Win() end )
                    end
                end)
        end)          


QDEF:AddTest{
    tests = {
        {name = "Random", reps = 10 }, --ehhh... should be enough
    }
}


