
local QDEF = QuestDef.Define
{
    title = "Homecoming",
    --desc = [[]],
    --icon = engine.asset.Texture("icons/quests/sal_story_act1_huntingkashio.tex"),
    qtype = QTYPE.STORY,
    icon = engine.asset.Texture("icons/quests/smith_story_homecoming.tex"),

    --put other handler into hiding once you've picked
    is_in_hiding = function(quest, agent)
    end,


    --put handlers in their houses before you've picked, and lock your pick in place once you make it
    collect_agent_locations = function(quest, t)
    end,

    on_start = function(quest)
        quest:Activate("starting_out")
    end,
    
    events = 
    {
    },
}



--[[
:AddCastByAlias{
    cast_id = "moreef",
    alias = "SWEET_MOREEF",
}--]]



--this gets you to the point where you're through the gate and you've talked to hebbel
:AddSubQuest{
    id = "starting_out",
    quest_id = "SMITH_ENTERING_PEARL_ON_FOAM",
    on_complete = function(quest)
        quest:Activate("meet_moreef")
        TheGame:GetGameState():AddPendingEvent()
    end,
}

:AddSubQuest{
    id = "meet_moreef",
    quest_id = "SMITH_MEET_MOREEF",
    on_complete = function(quest)
        quest:Activate("meet_tei")
        TheGame:GetGameState():AddPendingEvent()
    end,
}

:AddSubQuest{
    id = "meet_tei",
    quest_id = "SMITH_MEET_TEI",
    on_activate = function(quest)
        UIHelpers.PassTime(DAY_PHASE.NIGHT)
        QuestUtil.SpawnOpportunities()
    end,
    on_complete = function(quest)
        quest:Activate("defend_the_bar")
        TheGame:GetGameState():AddPendingEvent()
    end,
}

:AddSubQuest{
    id = "defend_the_bar",
    quest_id = "SMITH_DEFEND_BAR_DAY_1",
    on_complete = function(quest)
        quest:Complete()
    end,
}

