local QDEF = QuestDef.Define
{
    title = "A Match Made in Havaria",
    --desc = [[]],
    icon = engine.asset.Texture("icons/quests/smith_story_marriage_contract.tex"),
    qtype = QTYPE.STORY,

    --put other handler into hiding once you've picked
    is_in_hiding = function(quest, agent)
        if agent == quest:GetCastMember('theroux') then
            return true
        end
    end,


    --put handlers in their houses before you've picked, and lock your pick in place once you make it
    collect_agent_locations = function(quest, t)
    end,

    on_start = function(quest)
        quest:Activate("starting_out")
    end,

    plot_armour_fn = function(quest, agent)
        if not quest:IsActive("the_marriage_contract") then
            if agent == quest:GetCastMember("suitor") then
                return true
            end
        end
    end,
    
    events = 
    {
    },
}

--keep theroux out of trouble!
:AddCastByAlias{
    cast_id = "theroux",
    alias = "THEROUX",
    no_validation = true,
}

:AddCast{
    cast_id = "suitor",
    no_validation = true,
    when = QWHEN.MANUAL,
}


:AddSubQuest{
    id = "starting_out",
    quest_id = "SMITH_STORY_PICK_A_SUITOR",
    on_complete = function(quest)
        quest:Activate("deal_with_tei")
        UIHelpers.PassTime(DAY_PHASE.NIGHT)
        TheGame:GetGameState():AddPendingEvent()
    end,
}

:AddSubQuest{
    id = "deal_with_tei",
    quest_id = "SMITH_STORY_TEI_DAY_2",
    on_activate = function(quest)
        QuestUtil.SpawnOpportunities()
    end,
    on_complete = function(quest)
        quest:Activate("the_marriage_contract")
        --TheGame:GetGameState():AddPendingEvent()
    end,
}


:AddSubQuest{
    id = "the_marriage_contract",
    quest_id = "SMITH_STORY_MARRIAGE_CONTRACT",
    on_complete = function(quest)
        quest:Complete()
    end,
}

