local QDEF = QuestDef.Define
{
    title = "Class Conflict",
    --desc = [[]],
    --icon = engine.asset.Texture("icons/quests/smith_story_class_conflict.tex"),
    qtype = QTYPE.STORY,

    --put other handler into hiding once you've picked
    is_in_hiding = function(quest, agent)
        if agent == quest:GetCastMember('mullifee') then
            return true
        end
    end,


    --put handlers in their houses before you've picked, and lock your pick in place once you make it
    collect_agent_locations = function(quest, t)
    end,

    on_start = function(quest)
        quest:Activate("starting_out")
    end,

    plot_armour_fn = function(quest, agent)
        if not quest:IsActive("confront_mullifee") then
            if agent == quest:GetCastMember("mullifee") then
                return true
            end
        end

        if agent == quest:GetCastMember("partner") then
            return true
        end
    end,
    
    events = 
    {
    },
}

:AddCastByAlias{
    cast_id = "mullifee",
    alias = "MULLIFEE",
    no_validation = true,
}

:AddCastByAlias{
    cast_id = "seemli",
    alias = "SEEMLI",
    no_validation = true,
}

:AddCastByAlias{
    cast_id = "eden",
    alias = "EDEN",
    no_validation = true,
}

:AddCastByAlias{
    cast_id = "bishop",
    alias = "BISHOP_OF_FOAM",
    no_validation = true,
}


:AddCast{
    cast_id = "partner",
    no_validation = true,
    when = QWHEN.MANUAL,
}


:AddSubQuest{
    id = "starting_out",
    quest_id = "SMITH_STORY_PICK_A_SIDE",
    on_complete = function(quest)
        quest:Activate("mullifee_fight")
        UIHelpers.PassTime(DAY_PHASE.NIGHT)
        --TheGame:GetGameState():AddPendingEvent()
    end,
}

:AddSubQuest{
    id = "mullifee_fight",
    quest_id = "SMITH_STORY_DAY_3_MULLIFEE",
    on_activate = function(quest)
        --QuestUtil.SpawnOpportunities()
    end,
    on_complete = function(quest)
        quest:Activate("tei_finale")
        --TheGame:GetGameState():AddPendingEvent()
    end,
}


:AddSubQuest{
    id = "tei_finale",
    quest_id = "SMITH_STORY_TEI_DAY_3",
    on_complete = function(quest)
        quest:Complete()
    end,
}

