local QDEF = QuestDef.Define
{
    title = "Pick a Suitor",
    qtype = QTYPE.STORY,
    on_init = function(quest) 
        --TheGame:GetGameState():GetCaravan():MoveToLocation(TheGame:GetGameState():GetLocation("SMITH_HOME"):GetDoorLocation())
    end,
    icon = engine.asset.Texture("icons/quests/smith_story_marriage_contract.tex"),
    collect_agent_locations = function(quest, t)
        if not quest.param.andwanette then
            table.insert (t, { agent = quest:GetCastMember("denikus"), location = TheGame:GetGameState():GetLocation("PEARL_OSHNUDROME"), role = CHARACTER_ROLES.PATRON} )
        end
        if not quest.param.denikus then
            table.insert (t, { agent = quest:GetCastMember("andwanette"), location = quest:GetCastMember("andwanette_house"), role = CHARACTER_ROLES.PATRON} )
        end
    end,

    plot_armour_fn = function(quest, agent)
        if agent == quest:GetCastMember("suitor") then
            return true
        end
    end,
}

:AddCastByAlias{
    cast_id = "moreef",
    alias = "SWEET_MOREEF",
    no_validation = true,
}

:AddCastByAlias{
    cast_id = "denikus",
    alias = "DENIKUS",
    no_validation = true,
}

:AddCastByAlias{
    cast_id = "theroux",
    alias = "THEROUX",
    no_validation = true,
}


:AddCastByAlias{
    cast_id = "andwanette",
    alias = "ANDWANETTE",
    no_validation = true,
}

:AddCast{
    cast_id = "suitor",
    no_validation = true,
    when = QWHEN.MANUAL,
}

:AddObjective{
    id = "start",
    title = "Talk to Moreef",
    desc = "Figure out a course of action.",
    state = QSTATUS.ACTIVE,
    on_complete = function(quest)
        quest:Activate("pick_denikus") 
        quest:Activate("pick_andwanette") 
    end,
}

:AddObjective{
    id = "pick_denikus",
    title = "Contact {denikus}",
    icon = engine.asset.Texture("icons/quests/smith_story_pick_a_suitor.tex"),
    desc = "Convince {denikus} to help you get to {theroux}.",
    mark = {"denikus"},
    on_complete = function(quest)
        quest:Cancel("pick_andwanette")
        quest.param.denikus = true
        quest.param.parent_quest:AssignCastMember('suitor', quest:GetCastMember("denikus"))
        quest:AssignCastMember('suitor', quest:GetCastMember("denikus"))
    end,

}

:AddObjective{
    id = "pick_andwanette",
    title = "Contact {andwanette}",
    desc = "Convince {andwanette} to help you get to {theroux}.",
    mark = {"andwanette"},    
    on_complete = function(quest)
        quest:Cancel("pick_denikus")
        quest.param.andwanette = true
        quest.param.parent_quest:AssignCastMember('suitor', quest:GetCastMember("andwanette"))
        quest:AssignCastMember('suitor', quest:GetCastMember("andwanette"))
    end,

}

:AddObjective{
    id = "do_job_1",
    hide_in_overlay = true,
    events = 
    {
        quests_changed = function(quest, event_quest)
            if quest.param.current_job == event_quest and not event_quest:IsActive() then
                quest:Complete("do_job_1")
                quest:Activate("done_job_2")
            end
        end
    },
}

--[=[
:AddObjective{
    id = "pick_job_2",
    hide_in_overlay = true,
    mark = {"suitor"},
}

:AddObjective{
    id = "do_job_2",
    hide_in_overlay = true,
    events = 
    {
        quests_changed = function(quest, event_quest)
            if quest.param.current_job == event_quest and not event_quest:IsActive() then
                quest:Complete("do_job_2")
            end
        end
    },
    on_complete = function(quest)
        quest:Activate('done_job_2')
    end,
}
--]=]

:AddObjective{
    id = "done_job_2",
    hide_in_overlay = true,
    on_complete = function(quest) 
        quest:Complete()
    end,
    mark = {"suitor"}
}

:AddQuestLocation{
    cast_id = "andwanette_house",
    name = "Andwanette's House",
    plax = "INT_RichHouse_1",
    map_tags = {"quarters"},
    indoors = true,
}


------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------



QDEF:AddConvo("start", "moreef")
    :Confront(function(cxt)
        return "STATE_START"
    end)

    :State("STATE_START")
        :Loc{
            DIALOG_INTRO = [[
                player:
                    !happy
                    !left
                * You wake at the buttcrack of noon to hear the clamor of gossip in the bar downstairs. That's enough to get you out of bed quick. 
                player:
                    !left
                    Mornin', Sweets! What's the noise today?
                agent:
                    Seems your whole family is on the up. Not enough that Vixmalli is now one of the briniest of Heshians...
                    But Theroux's on the market. He just announced it. 
                player:
                    Hah! Theroux can't stand sharing a basket, let alone a whole household.
                    'Sides, our folks never approved him for a betrothal contract. And Vix always said he was too stupid to branch the dynasty.
                agent:
                    Must've changed his tune. Because Vix is the sponsor.
                    You know—maybe your siblings needed a bit of convincing to get on board with the whole "disown Smith" idea.
                    Maybe we could use this to get you back in the game.
                player:
                    Uh, if you're suggesting I marry my own brother...
                agent:
                    What?! No! 
                    But Theroux's about as bright as a lumin stain. We put forward a candidate for marriage, and you get a way in.
                    Blackmail, manipulation, or just a simple assassination with his spouse inheriting his place at the table...
                    I-I don't know. I'm just spitballing. Maybe I was out of line to say anything.
                player:
                    No, I'm listening. But you got someone in mind? 'Cause most of the social climbers in the Foam are too ambitious to wedge themselves under my thumb so easy.
                agent:
                    Well, in fact... 
                    I do know a couple of folks. {denikus}, or, Hesh, maybe even {andwanette}?
            ]],

            QUESTION_DENIKUS = "Ask about {denikus}",
            DIALOG_DENIKUS = [[
                player:
                    Who's this {denikus}?
                agent:
                    A con artist, plain and simple. {denikus.HeShe}'s been working Supplicant City but word is {denikus.heshe}'s in town.
                    You offer the shills or even the influence to work an even bigger scam, and {denikus} will listen.
                player:
                    Theroux's a charmer. If the face ain't pretty, he'll outmaneuver 'em. 
                agent:
                    Oh, {denikus} is pretty, alright. 
                    I mean, uh, so I've heard other people who are not me say.
            ]],
            QUESTION_ANDWANETTE = "Ask about {andwanette}",
            DIALOG_ANDWANETTE= [[
                player:
                    "Andwanette"? That name sounds familiar.
                agent:
                    Probably because {andwanette.heshe}'s only the biggest celebrity on this side of the salt?
                    {andwanette.HeShe}'s got influence and popularity, but no brood dynasty to call {andwanette.hisher} own.
                player:
                    So {andwanette.heshe} might wanna join the Banquods, huh?
                agent:
                    And if not, well, at least you can get an autograph.
            ]],

            OPT_SET_OUT = "Set out for the day",
            DIALOG_SET_OUT = [[
                player:
                    Alright, I'll go talk to one of these poor shlubs. 
                    Marrying Theroux? What a nightmare.
            ]],

        }
        :Fn(function(cxt) 
            
            cxt:Dialog("DIALOG_INTRO")
            cxt.quest:Complete("start")

            cxt:RunLoopingFn(function() 
                
                cxt:Question("QUESTION_ANDWANETTE", "DIALOG_ANDWANETTE")
                cxt:Question("QUESTION_DENIKUS", "DIALOG_DENIKUS")
                
                cxt:Opt("OPT_SET_OUT")
                    :SetQuestMark()
                    :Dialog("DIALOG_SET_OUT")
                    :DoneConvo()
            end)
        end)

----------------------------------------------------------------------------

QDEF:AddConvo("pick_andwanette", "andwanette")
    :AttractState("STATE_ATTRACT")    
    :Loc{
        DIALOG_INTRO = [[
            {first_time?
                player:
                    Uh, hey, are you, uh—whasyername? {andwanette}?
                    You looking to get hitched to a noble, is that right?
                agent:
                    If that's a proposal, honey, you'll need to rewind the clock and try again.
                    At the very least my <i>shoes</i> demand respect, even if my face doesn't.
                player:
                    You want respect, you're gonna need a name to command it. 
                    How'd you like to be a Banquod? My brother, Theroux, is on the market.
                    I wouldn't use the word "strapping", but I would say "available". He's an available young man.
                agent:
                    Theroux's brother? Something tells me you're not the Heshian. 
                    So are you the <i>disowned</i> one? What would a loose thread like you be doing representing your brother?
                player:
                    You're really up on your gossip columns, huh?
                agent:
                    I'm already in them, so why not?
                    But let's see if I can guess your intentions. You've been disinherited, so you need someone in the family trying to get you back in.
                    Or is it not that? Is it just petty revenge you're after?
                player:
                    Why not both, huh?
                agent:
                    Why not both indeed. Theroux is notorious in the gossip columns—the entrepreneurial playboy.
                    His siblings hate him, but he keeps the money coming in. Hm. 
                    I think I might be <i>very</i> interested, you sweet thing. Let's discuss.

            }
            {not first_time?
                agent:
                    My matchmaker! I'm glad you've returned.
            }
        ]],


        OPT_QUESTION = "Ask about {agent.hisher} intentions",
        DIALOG_QUESTION = [[
            player:
                I just wanna make sure we're on the same page.
            agent:
                Hesh, you make it sound so cloak and dagger!
                It's simple: I'll marry your brother. That gets you access to him. 
                Then you kill him, and I come home and find his poor, mutilated body.
            * {andwanette} contorts {andwanette.hisher} face in a facsimile of despair.
                "Darling, no! My beloved! Oh, evil day! Who would do such a thing?"
                I play the distraught widow, my name is whispered in every household from here to Deltree. The killer is never found! 
                Then when I sit on the family board as your beloved sister, I see you reinstated. And we're allied against the others.
            player:
                Err... yeah. That's about it. Have you, uh, thought about this before?
            agent:
                Only nightly since I was a child. 
                I'm a big advocate for visualizing the future you want to achieve.
        ]],

        OPT_LATER = "Consider your options",
        DIALOG_LATER = [[
            player:
                It's not that I don't like how enthusiastic you are about this, but, uh, it's a big commitment.
                Not every day you get a new sister and all. How about I think about it and get back to you?
            agent:
                Luckily for you, I enjoy the suspense. I'll be here when you've come to your senses.
        ]],


        OPT_AGREE = "Agree to help",
        DIALOG_AGREE = [[
            player:
                Well, hey, sounds like you're smart enough to bring on board, huh?
                I say let's go for it, "sis".
            agent:
                Hold on. It's not that simple. 
                Since we can't formalize this in a contract, I need a show of good faith.
                Do a little something for me and I'll see that your intentions are dedicated.
            player:
                There's always gotta be a thing.
            agent:
                Always. 
        ]]
    }

    :Fn(function(cxt, who)
        cxt:Dialog("DIALOG_INTRO")
        cxt:RunLoopingFn(function() 
            cxt:Question("OPT_QUESTION", "DIALOG_QUESTION")

            cxt:Opt("OPT_AGREE")
                :SetQuestMark()
                :Dialog("DIALOG_AGREE")
                :Fn(function()
                    cxt.quest.param.current_job = TheGame:GetGameState():GetMainQuest():DefFn("SpawnPoolJob", "ANDWANETTE_JOB", cxt:GetAgent())
                    cxt:PlayQuestConvo(cxt.quest.param.current_job, QUEST_CONVO_HOOK.INTRO)
                    cxt:PlayQuestConvo(cxt.quest.param.current_job, QUEST_CONVO_HOOK.ACCEPTED)
                    cxt.quest:Complete("pick_andwanette")
                    cxt.quest:Activate("do_job_1")
                    StateGraphUtil.AddEndOption(cxt)
                end)
                :DoneConvo()

            cxt:Opt("OPT_LATER")
                :PreIcon(global_images.back)
                :Dialog("DIALOG_LATER")
                :DoneConvo()

        end)
    end)


----------------------------------------------------------------------------



QDEF:AddConvo("pick_denikus", "denikus")
    :AttractState("STATE_ATTRACT")    
    :Loc{

        DIALOG_INTRO = [[
            {first_time?
                player:
                    Hey, bud. You don't know me, but I hear you're the kinda guy who likes an opportunity.
                agent:
                    You're right on the last half, anyway. 
                    Smith Banquod, right? The castaway son? 
                    We actually met once in Murder Bay, at a card table reserved for Admiralty.
                player:
                    We did?
                agent:
                    I wouldn't expect you to remember. I was going by a different name, and you were very, very drunk.
                    I'm glad to see you survived the alcohol poisoning. But it was a rough betrayal you came home to, eh?
                    This opportunity of yours have anything to do with that?
                player:
                    Matter of fact... I wanna get you hitched to my brother. 
                    Assuming you can, uh, clean up nice enough.
                agent:
                    I can clean up better than <i>you</i>, that's for sure. 
                    Fair warning, though: I don't do murder. So if you want him dead it's gotta be your hand on the hilt.

            }
            {not first_time?
                agent:
                    Back again, huh? Decided I was your best chance after all?
            }
        ]],

        OPT_QUESTION = "Ask about {agent.hisher} intentions",
        DIALOG_QUESTION = [[
            player:
                You seem awful quick to the chase, huh? 
                Any idea what you plan to get out of this?
            agent:
                Shills. What else? Your brother Theroux's turning water into brine the way he runs his business. 
                I'll sweep him off his feet and throw him into whatever pit of spikes you'll arrange. 
                I take what's mine and disappear, and you get the opportunity to sweep in and clean up.
                That'll get you back in your family's graces.
            player:
                I guess you've done this before, huh?
            agent:
                <i>This</i>? No, never. Something similar? Once or twice. 
        ]],

        OPT_LATER = "Consider your options",
        DIALOG_LATER = [[
            player:
                I dunno. I think I need to consider before I go in business with a con like you.
            agent:
                Again with the insults? You'll never make any friends that way.
                Decide quick, or I might choose to seize my own opportunity.
        ]],


        OPT_AGREE = "Agree to work together",
        DIALOG_AGREE = [[
            player:
                You know what, bud? I like the cut of your jib.
            agent:
                Unfortunately I don't know if I quite like yours. You've been awful rude to someone you want to bring into the family.
                How about you do something for me first? Convince me you've got my best interests at heart?
            player:
                Uh huh. And you got "something" in mind, right?
        ]]

    }
    :Fn(function(cxt, who)
        cxt:Dialog("DIALOG_INTRO")
        cxt:RunLoopingFn(function() 
            cxt:Question("OPT_QUESTION", "DIALOG_QUESTION")

            cxt:Opt("OPT_AGREE")
                :SetQuestMark()            
                :Dialog("DIALOG_AGREE")
                :Fn(function()
                        cxt.quest.param.current_job = TheGame:GetGameState():GetMainQuest():DefFn("SpawnPoolJob", "DENIKUS_JOB", cxt:GetAgent())
                        assert(cxt.quest.param.current_job)
                        if cxt.quest.param.current_job then
                            cxt:PlayQuestConvo(cxt.quest.param.current_job, QUEST_CONVO_HOOK.INTRO)
                            cxt:PlayQuestConvo(cxt.quest.param.current_job, QUEST_CONVO_HOOK.ACCEPTED)
                        end
                        cxt.quest:Complete("pick_denikus")
                        cxt.quest:Activate("do_job_1")
                        StateGraphUtil.AddEndOption(cxt)
                    end)
                :DoneConvo()

            cxt:Opt("OPT_LATER")
                :Dialog("DIALOG_LATER")
                :DoneConvo()

        end)
    end)


--[=[
--bridge conversation that plays after you hand in the first quest.
QDEF:AddConvo("pick_job_2", "suitor")
    :Attract(function(cxt) return "STATE_TALK" end)
    :Hub(function(cxt)
        cxt:GoTo("STATE_TALK")
    end)
    :State("STATE_TALK")
        :Loc{
            DIALOG_INTRO = [[
                {denikus?
                    player:
                        I get the feeling I'm being manipulated, and I'm not sure I like it.
                    agent:
                        It's the "not sure" part that gives me longevity.
                        You ready for the next job?
                    player:
                        Wait, the <i>next</i> job? I thought it was a one and done.
                    agent:
                        Excuse you, but you're the one asking me to enter a marriage negotiation.
                        I've sent word to your brother and we're in contract review. But time is money, and I'm spending <i>mine</i> on <i>you</i>.
                        Least you can do is repay the favor. 

                }

                {andwanette?
                    agent:
                        I have good news, my little errand-runner!
                        I've heard back from your brother on my proposal.
                    player:
                        What, already? That was quick.
                    agent:
                        Turns out he's quite the fan. I think he might like me to sign just so he can have my autograph.
                        Of course, that does mean I'm rather tied up in paperwork, so be a dear and run another little errand for me, won't you?
                    player:
                        What, there's more? 
                    agent:
                        Darling, we're embarking on a spiritual journey that will unite us as siblings.
                        The fact that we're making this the work of an afternoon is just testimony to the bond we'll share.
                }

            ]],

            OPT_GET_ANOTHER_JOB = "Agree to do another job",
            DIALOG_AGREE = [[
                player:
                    !sigh
                    Fine. Whaddya got for me?
                {denikus?
                    agent:
                        Hopefully something you'll enjoy a little more.
                        It'd be a shame if you didn't have happy memories of this partnership in years to come.
                }
                
                {andwanette?
                    agent:
                        Come closer. This one bears whispering most deliciously. 
                }
            ]],

            QUESTION_DENIKUS = "Ask {agent} about life",
            ANSWER_DENIKUS = [[
                player:
                    So, uh, what brought you to this line of work, huh?
                    And how do you not get caught?
                agent:
                    Getting caught would require someone report what I do.
                    And most folks don't report it.
                player:
                    They don't notice they been duped?
                agent:
                    Oh, they notice. But maybe I made off with more than their riches, ya know?
                    Maybe they hope I'll come back. 
                player:
                    Hah! What kinda sucker do you have to be to get conned and want more?
                agent:
                    Beats me. But when I find them, I know how to play them. 
                    
            ]],
            QUESTION_ANDWANETTE = "Ask {agent} about life",
            ANSWER_ANDWANETTE = [[
                player:
                    So, you're some kind of celebrity, right?
                    What are you famous for?
                agent:
                    Famous <i>for</i>?
                player:
                    Yeah, I mean, are you a lifestyle guru, or a fancy chef, or...
                agent:
                    No, none of those things--those are, ultimately, services.
                    And the people of the Pearl would never accept me if I was fundamentally a <i>service</i>.
                    The secret to being important is acting that way. This is something I'd think you'd understand perfectly.
                player:
                    Whaddya mean?
                agent:
                    You went gallivanting off across unsavory country with nothing but the silks on your back and your parents' pocketbook, yes?
                    Yet you didn't end up dead in a ditch somewhere, or rotting in an Admiralty brig.
                    The trick is to talk a big game. Even if people know it's bravado, you keep going long enough, and they'll be mesmerized.
                    I showed up at red carpets. I welcomed myself to exclusive parties.
                    You demand enough space, my sweet, and it yields. 

            ]],

        }
        :Fn(function(cxt) 
            --we can structure this however... depends on what kind of witty reparte rook has with each handler.
            cxt:Dialog("DIALOG_INTRO")
            

            cxt:RunLoopingFn(function() 
                if cxt.quest.param.denikus then
                    cxt:Question("QUESTION_DENIKUS", "ANSWER_DENIKUS")
                else
                    cxt:Question("QUESTION_ANDWANETTE", "ANSWER_ANDWANETTE")
                end

                cxt:Opt("OPT_GET_ANOTHER_JOB")
                    :SetQuestMark()
                    :Dialog("DIALOG_AGREE")
                    :Fn(function() 
                        cxt.quest.param.current_job = TheGame:GetGameState():GetMainQuest():DefFn("SpawnPoolJob", cxt.quest.param.denikus and "DENIKUS_JOB" or "ANDWANETTE_JOB", cxt:GetAgent())
                        if cxt.quest.param.current_job then
                            cxt:PlayQuestConvo(cxt.quest.param.current_job, QUEST_CONVO_HOOK.INTRO)
                            cxt:PlayQuestConvo(cxt.quest.param.current_job, QUEST_CONVO_HOOK.ACCEPTED)
                        end
                        cxt.quest:Complete("pick_job_2")
                        cxt.quest:Activate("do_job_2")
                        StateGraphUtil.AddEndOption(cxt)
                    end)

            end)
        end)

--]=]


--bridge conversation that plays after you hand in the second quest.
QDEF:AddConvo("done_job_2", "suitor")
    :Attract(function(cxt) return "STATE_TALK" end)
    :Hub(function(cxt)
        cxt:GoTo("STATE_TALK")
    end)
    :State("STATE_TALK")
        :Loc{
            DIALOG_INTRO = [[
                {denikus?
                    player:
                        It's gettin' late. Tell me you're done with the paperwork, yeah?
                        Reminds me why I never petitioned for a contract. So much fine print, not enough... wine sprint. 
                    agent:
                        Easy, brother. It's official. Theroux accepted my proposal.
                    player:
                        What?! You didn't even meet him! How'd you manage that?
                    agent:
                        He thinks I'm a Deltrean trade negotiator looking to invigorate the supply lines with Rentoria.
                        Theroux asked for exclusive first rights to all new trade contracts, and I said yes.
                    player:
                        What?! That's... surprisingly shrewd of him. 
                    agent:
                        Well, I also sent him a portfolio of self-portraits.
                        And a book of poems I wrote. I dedicated one to him in particular.
                        "Theroux, complexion dew, across the waves my heart seeks you."
                    player:
                        Hey, not bad.
                    agent:
                        It's terrible. But if he's smitten, I'm in business.
                    player:
                        Almost feel bad you're gonna break his heart.
                    agent:
                        I won't. That's your job, remember? 
                        You should move along, now. I need to get ready for our face-to-face. 
                        I'll come find you at the Hideaway when it's time.
                    player:
                        Sure, partner. Make yourself pretty, now.
                    agent:
                        Friend, I was born that way.
                    * You leave {denikus} to slick back his hair and turn himself into whatever will seal the deal.
                }
                {andwanette?
                    player:
                        Gimme the good news, sis. We in business?
                    agent:
                        Soon to be signed, sealed, and notarized, my dear. I'm sorry to say that if I'd wanted to, I could've done this without you.
                    player:
                        What, you cutting me out?
                    agent:
                        No, no! Goodness, no. I gave you my word and besides, I think we're birds of a feather, you and I.
                        We're going to get along smashingly.
                        Now I simply can't <i>wait</i> to meet Theroux. He has written me the dearest little billet-doux. 
                    player:
                        Theroux can write?
                    agent:
                        I must make myself the blushing bride, and forget my love will be dead by the morning. 
                        Give me time to prepare, brother dear. I'll meet you at that little bar of yours, the Hideaway.
                    player:
                        You ever get tired, talking that much?
                    agent:
                        How could I, when I have someone so supportive to listen? 
                        Adieu!
                    * You leave {andwanette} to powder her nose, or whatever it is that shroke debutantes get up to. 
                }
            ]],

            QUESTION_DENIKUS = "Ask {agent} about life",
            ANSWER_DENIKUS = [[
                player:
                    So, uh, what brought you to this line of work, huh?
                    And how do you not get caught?
                agent:
                    Getting caught would require someone report what I do.
                    And most folks don't report it.
                player:
                    They don't notice they been duped?
                agent:
                    Oh, they notice. But maybe I made off with more than their riches, ya know?
                    Maybe they hope I'll come back. 
                player:
                    Hah! What kinda sucker do you have to be to get conned and want more?
                agent:
                    Beats me. But when I find them, I know how to play them. 
                    
            ]],
            QUESTION_ANDWANETTE = "Ask {agent} about life",
            ANSWER_ANDWANETTE = [[
                player:
                    So, you're some kind of celebrity, right?
                    What are you famous for?
                agent:
                    Famous <i>for</i>?
                player:
                    Yeah, I mean, are you a lifestyle guru, or a fancy chef, or...
                agent:
                    No, none of those things--those are, ultimately, services.
                    And the people of the Pearl would never accept me if I was fundamentally a <i>service</i>.
                    The secret to being important is acting that way. This is something I'd think you'd understand perfectly.
                player:
                    Whaddya mean?
                agent:
                    You went gallivanting off across unsavory country with nothing but the silks on your back and your parents' pocketbook, yes?
                    Yet you didn't end up dead in a ditch somewhere, or rotting in an Admiralty brig.
                    The trick is to talk a big game. Even if people know it's bravado, you keep going long enough, and they'll be mesmerized.
                    I showed up at red carpets. I welcomed myself to exclusive parties.
                    You demand enough space, my sweet, and it yields. 

            ]],
        }
        :Fn(function(cxt) 
            --we can structure this however... depends on what kind of witty reparte rook has with each handler.
            cxt.quest:Complete("done_job_2")
            cxt:Dialog("DIALOG_INTRO")


            cxt:RunLoopingFn(function() 
                if cxt.quest.param.denikus then
                    cxt:Question("QUESTION_DENIKUS", "ANSWER_DENIKUS")
                else
                    cxt:Question("QUESTION_ANDWANETTE", "ANSWER_ANDWANETTE")
                end
                StateGraphUtil.AddEndOption(cxt)                
            end)
        end)
