local QDEF = QuestDef.Define
{
    qtype = QTYPE.STORY, 

    is_in_hiding = function(quest, agent)
        if agent == quest:GetCastMember("pet") then
            return true
        end
    end,
    on_start = function(quest)
        quest:Activate("wait_for_pet")
    end,
}

:AddDormancyState("wait_for_pet", "get_pet", false, 2, 4)
:AddObjective{
    id = "get_pet",
    hide_in_overlay = true,
}

--------------------------------------------------------------------

:AddCast{
    cast_id = "pet",
    no_validation = true,
}


QDEF:AddConvo("get_pet")
    :TravelConfront("STATE", function(cxt) return TheGame:GetGameState():CanSpawnTravelEvent() and TheGame:GetGameState():GetCaravan():CanOwnPet() end)
        :Loc{
            DIALOG_INTRO = [[
                player:
                    !left
                * You see {pet} cowering by the side of the road.
                player:
                    {pet}? Is that you?
                    !happy
                pet:
                    !right
                * {pet} recognizes you and comes bounding over.
            ]],

            OPT_TAKE_BACK_PET = "Take back {pet}",
            DIALOG_TAKE_BACK_PET = [[
                player:
                    C'mere, you!
                pet:
                    %happy_pet
                * {pet} joins your side once again. You vow to take better care of {pet.himher} this time.
            ]],
            OPT_LEAVE_PET = "Drive {pet} off",
            DIALOG_LEAVE_PET = [[
                player:
                    !threaten
                    Go on, get out of here!
                * Your pet looks up at you with {pet.hisher} big, dumb eyes. {pet.HeShe} doesn't understand much, but {pet.heshe} now understands that you never really loved {pet.himher}.
                pet:
                    !exit
                * {pet} sadly skulks off into the wilderness, to face {pet.hisher} fate alone.
                player:
                    And good riddance!
            ]]
        }
        :Fn(function(cxt)
            cxt.quest:Complete()
            local pet = cxt.quest:GetCastMember("pet")
            cxt.enc:SetPrimaryCast(pet)
            pet:MoveToLocation(cxt.location)
            pet:LeaveHiding()

            cxt:Dialog("DIALOG_INTRO")
            cxt:Opt("OPT_TAKE_BACK_PET")
                :Dialog("DIALOG_TAKE_BACK_PET")
                :Fn(function(cxt) 
                    pet:Recruit( PARTY_MEMBER_TYPE.CREW)
                    StateGraphUtil.AddLeaveLocation(cxt)
                end)
            
            cxt:Opt("OPT_LEAVE_PET")
                :Dialog("DIALOG_LEAVE_PET")
                :Fn(function(cxt) 
                    pet:MoveToLimbo()
                    pet:Retire()
                    StateGraphUtil.AddLeaveLocation(cxt)
                end)

        end)
