require "util/easing"

local DebugEasing = class( "DebugEasing", DebugNode )

function DebugEasing:RenderPanel( ui, panel )
	ui:PlotLines( self.label or "", "", self.values or table.empty, 0, 0, 1.0, 200 )

	local ease_idx = ui:Combo( "Easing", self.ease_idx or 1, self.ease_keys or table.empty )

	if ease_idx ~= self.ease_idx then
		self.ease_idx = ease_idx

		self.ease_keys = copykeys( easing )
		table.sort( self.ease_keys )

		self.ease_key = self.ease_keys[ self.ease_idx ]
		local easefn = easing[ self.ease_key ]
		self.values = {}
		for i = 1, 100 do
			table.insert( self.values, easefn( i, 0, 1.0, 100 ))
		end
	end
end
