local DebugUtil = require "debug/debug_util"
local debug_menus = require "debug/debug_menus"

--------------------------------------------------------------------
-- A debug source for the main map simulation

local DebugFX = class( "DebugFX", DebugNode )
DebugFX.REGISTERED_CLASS = FXManager

function DebugFX:init( fx_mgr )
	assert( is_instance( fx_mgr, FXManager ))
	self.fx_mgr = fx_mgr
end

function DebugFX:RenderPanel( ui, panel )
	ui:TextColored( 0x77CC00FF, string.format( "%d playing FX", #self.fx_mgr.playing_fx ))

	panel:AppendKeyValues( ui, self.fx_mgr )
end

----------------------------------------------------