local DebugUtil = require "debug/debug_util"
local debug_menus = require "debug/debug_menus"

--------------------------------------------------------------------
-- A debug source for Agents.

local DebugHUD = class( "DebugHUD", DebugNode )

DebugHUD.PANEL_AUTOSIZE = true

function DebugHUD:RenderPanel( ui, panel )
	local flags = TheGame:FE().hud_flags

	for i, str in ipairs( HUD_FLAGS_STRINGS ) do
		local enabled = CheckBits( flags, HUD_FLAGS[ str ])
		if enabled then
			ui:PushStyleColor( ui.Style_Button, 0x00AA00FF )
		else
			ui:PushStyleColor( ui.Style_Button, 0x555555FF )
		end
		if ui:Button( str ) then
			TheGame:FE():ToggleHUD( HUD_FLAGS[ str ] )
		end
		ui:PopStyleColor()
	end
end
