local DebugInput = class( "DebugInput", DebugNode )
DebugInput.can_reload = true
DebugInput.REGISTERED_CLASS = Input
--DebugInput.MENU_BINDINGS = { debug_menus.DEBUG_TOGGLES }

function DebugInput:init( input )
    self.input = input
    self.menu_params = { input }
    self.small_rumble = {}
    self.large_rumble = {}
    self.rumble_offset = 1
end

function DebugInput:RenderRumble( ui, panel )
    local MAX_FRAMES = 60 -- SAMPLE_FRAME * MAX_FRAMES duration (roughly...)

    self.small_rumble[self.rumble_offset] = self.input.small_rumble_value
    self.large_rumble[self.rumble_offset] = self.input.large_rumble_value
    self.rumble_offset = (self.rumble_offset % MAX_FRAMES) + 1


    if #self.small_rumble > 0 then
        local offset = 0
        if #self.small_rumble >= MAX_FRAMES then
            offset = self.rumble_offset - 1
        end
        local max = math.max( table.unpack( self.small_rumble ))
        ui:PlotLines("Small Motor", string.format( "%.1f", self.small_rumble[#self.small_rumble]), self.small_rumble, offset, 0, 1, 50)
    end

    if #self.large_rumble > 0 then
        local offset = 0
        if #self.large_rumble >= MAX_FRAMES then
            offset = self.rumble_offset - 1
        end
        local max = math.max( table.unpack( self.large_rumble ))
        ui:PlotLines("Large Motor", string.format( "%.1f", self.large_rumble[#self.large_rumble]), self.large_rumble, offset, 0, 1, 50)
    end
end

function DebugInput:RenderPanel( ui, panel )
    self:RenderRumble( ui, panel )

    self.speed = self.speed or 1
    self.speed = ui:SliderFloat( "Speed: ", self.speed, 0, 5)

    self.amp = self.amp or 1
    self.amp = ui:SliderFloat( "Amp: ", self.amp, 0, 5)
    
    for k, id in ipairs{"SMALL_HIT"} do
        if ui:Button(id) then
            TheGame:GetInput():PlayRumble(id, self.speed, self.amp)
        end
    end
    if ui:Button("STOP RUMBLES") then
        TheGame:GetInput():ClearRumble()
    end
end