local DebugUtil = require "debug/debug_util"
local debug_menus = require "debug/debug_menus"
--------------------------------------------------------------------

local DebugUnusedCardArt = class( "DebugUnusedCardArt", DebugNode )

function DebugUnusedCardArt:init()
	self.txt = {}
	for k, filename in pairs(engine.inst:ListFiles( '../contentsrc/images/negotiation/*.png')) do
		local found
		local path = string.format( "negotiation/%s", filename:gsub( ".png", ".tex" ))
		for i, def in ipairs (Content.GetAllNegotiationCards()) do
			if def.path_str == path then
				found = true
				break
			end
		end
		if not found then
			table.insert( self.txt, { icon = engine.asset.Texture( path ), txt = string.format( "NOT USED: %s", path )} )
		end
	end

	for k, filename in pairs(engine.inst:ListFiles( '../contentsrc/images/battle/*.png')) do
		local found
		local path = string.format( "battle/%s", filename:gsub( ".png", ".tex" ))
		for i, def in ipairs (Content.GetAllBattleCards()) do
			if def.path_str == path then
				found = true
				break
			end
		end
		if not found then
			table.insert( self.txt, { icon = engine.asset.Texture( path ), txt = string.format( "NOT USED: %s", path )} )
		end
	end
end

function DebugUnusedCardArt:RenderPanel( ui, panel )
	ui:Dummy( 600, 0 )
	ui:Columns( 2 )
	for i, v in ipairs( self.txt ) do
        ui:Image( v.icon, 128, 84 )
		ui:NextColumn()

		ui:Text( v.txt )
		ui:NextColumn()
	end
	ui:Columns( 1 )
end

