------------------------------------------------------------------

local quests_to_test = {}
local quests = Content.GetAllQuests()

for k,def in pairs(quests) do
    if def.tests and #def.tests > 0 then
        table.insert(quests_to_test, def)
    end
end


if #quests_to_test > 0 then 
    table.shuffle(quests_to_test)
    local idx = 1

    local function RunNextTest()
        quests_to_test[idx]:RunTests(function() 
            if idx < #quests_to_test then
                idx = idx + 1
                RunNextTest()
            else
                TheGame:Shutdown()
            end
        end)
    end
    RunNextTest()
end
