---------------------------------------------------------------

local GameStats = class( "GameStats", UserSettings )

function GameStats:init()
    UserSettings.init( self, "stats.lua", engine.settings )
    self:SetDefaults()
end

function GameStats:SetDefaults()
    self:VerifySetting( "card_stats", {} )
end

function GameStats:GetCardStats()
    return self:GetSetting( "card_stats" )
end

function GameStats:AddCardStats(stats)
    self:ApplySetting("card_stats", StatUtil.Reconcile(self:GetSetting( "card_stats" ), stats))
    self:SaveSettings()
end

function GameStats:GetStat( stat_id )
	return self:GetSetting( stat_id ) or 0
end

function GameStats:AddStat( stat_id, delta )
	self:ApplySetting( stat_id, self:GetStat( stat_id ) + delta )
end

function GameStats:Reset()
	self:ClearSettings()
    self:SetDefaults()
	self:SaveSettings()
end
