return {
        TITLE = "Griftlands",
        FEEDBACK = {
            VERY_BAD = "Very Bad",
            BAD = "Bad",
            NEUTRAL = "Neutral",
            GOOD = "Good",
            VERY_GOOD = "Very Good",
        },

        GRAFT_TYPES = {
            COMBAT = "Battle Graft",
            NEGOTIATION = "Negotiation Graft",
            MUTATOR = "Mutator",
            COIN = "Coin",
            BLASTER = "Pistol",
            FEAT = "Feat",
            PERK = "Perk",
            METTLE_UPGRADE = "Mettle Upgrade",
        },

    	LOCMACROS =
		{
            PERCENT = "{1%.0f}%",
            SPERCENT = "{1%+g}%",
            METTLE_FORMAT = "{1#thousands} Mettle",
            MONEY_FORMAT = "{1#thousands} {1*shill|shills}",
            CURRENCY_FORMAT = "{1*shill|shills}",
            RELTIME = 
            {
                NOW = "Now",
                IN_MORNING = "In the morning",
                TONIGHT = "Tonight",
                TOMORROW_NIGHT = "Tomorrow Night",
                TOMORROW_MORNING = "Tomorrow Morning",
                IN_DAYS = "In {1} {1*day|days}",
            },
			LIST_AND = "and",
            MULTI_CARD = "{1#card} (x{2})",
            MULTI_CARD_NONE = "None",

			DAY_PHASE =
			{
				DAY = "Day",
				DUSK = "Dusk",
				NIGHT = "Night",
			},

			SCHEDULE =
			{
				NEVER = "<#HILITE>Never</>",
				ALL_DAY = "<#HILITE>All day</>",
			},
            THOUSANDS_SEPARATOR = ",",
            POINTS = "<s><#SCORE>{1} PTS</></>",
            POINTS_BONUS = "<s><#SCORE>{1} + <#BONUS>{2}</> Pts</></>",
            POINTS_CALC_BONUS = "<s><#SCORE>{3} Pts (<#BONUS>{1}x{4}</>)</></>",
		},

        CONSTANTS =
        {
            CARD_RARITY_STRINGS = 
            {
                [CARD_RARITY.BASIC] = "Basic",
                [CARD_RARITY.COMMON] = "Common",
                [CARD_RARITY.UNCOMMON] = "Uncommon",
                [CARD_RARITY.RARE] = "Rare",
                [CARD_RARITY.UNIQUE] = "Unique",
                [CARD_RARITY.BOSS] = "Boss",
                [CARD_RARITY.COSMIC] = "Cosmic",
            },

            RELATIONSHIP_STRINGS =
            {
                [RELATIONSHIP.HATED] = "Hates",
                [RELATIONSHIP.DISLIKED] = "Dislikes",
                [RELATIONSHIP.NEUTRAL] = "Neutral",
                [RELATIONSHIP.LIKED] = "Likes",
                [RELATIONSHIP.LOVED] = "Loves",
            },

            RELATIONSHIP_PREVIEW_STRINGS =
            {
                [RELATIONSHIP.HATED] = "{1#agent} will hate you.",
                [RELATIONSHIP.DISLIKED] = "{1#agent} will dislike you.",
                [RELATIONSHIP.NEUTRAL] = "{1#agent} will be neutral to you.",
                [RELATIONSHIP.LIKED] = "{1#agent} will like you.",
                [RELATIONSHIP.LOVED] = "{1#agent} will love you.",
            },

            RELATIONSHIP_PLAYER_TOOLTIPS =
            {
                [RELATIONSHIP.HATED] = "<#TITLE><b>Hated</></>\nThis person hates you. They will go out of their way to act against you.",
                [RELATIONSHIP.DISLIKED] = "<#TITLE><b>Disliked</></>\nThis person dislikes you. They will make your life difficult if given the opportunity.",
                [RELATIONSHIP.NEUTRAL] = "<#TITLE><b>Neutral</></>\nThis person is neutral towards you. They're standoffish and rude - the default disposition of the Feud.",
                [RELATIONSHIP.LIKED] = "<#TITLE><b>Liked</></>\nThis person actually likes you, and might help you if you are in trouble.",
                [RELATIONSHIP.LOVED] = "<#TITLE><b>Loved</></>\nYou've managed to capture this person's loyalty. Don't waste it!",
            },

            RELATIONSHIP_CHANGED_MESSAGE = {
                [RELATIONSHIP.HATED] = "Now hates you",
                [RELATIONSHIP.DISLIKED] = "Now dislikes you",
                [RELATIONSHIP.NEUTRAL] = "Is now neutral to you",
                [RELATIONSHIP.LIKED] = "Now likes you",
                [RELATIONSHIP.LOVED] = "Now loves you",
            }
        },

        GENDER =
        {   
            FEMALE = "Female",
            MALE = "Male",
            UNDISCLOSED = "Undisclosed",
        },

        GENDER_NOUNS =
        {
            FEMALE =
            {
                gender = "female",
                fathermother = "mother",
                sondaughter = "daughter",
                boygirl = "girl",
                menwomen = "women",                
                heshe = "she",
                himher = "her",
                hisher = "her",
                hishers = "hers",
                self = "herself",
                HeShe = "She",
                HimHer = "Her",
                HisHer = "Her",
                HisHers = "Hers",
                Self = "Herself",
                honorific = "madam",
                informal = "lass",
            },
            MALE =
            {
                gender = "male",
                fathermother = "father",
                sondaughter = "son",
                boygirl = "boy",
                menwomen = "men",                
                heshe = "he",
                himher = "him",
                hisher = "his",
                hishers = "his",
                self = "himself",
                HeShe = "He",
                HimHer = "Him",
                HisHer = "His",
                HisHers = "His",
                Self = "Himself",
                honorific = "sir",
                informal = "fellow",
            },
            UNDISCLOSED =
            {
                gender = "person",
                fathermother = "parent",
                sondaughter = "child",
                boygirl = "one",
                menwomen = "people",                
                heshe = "they",
                himher = "them",
                hisher = "their",
                hishers = "theirs",
                self = "theirself",
                HeShe = "They",
                HimHer = "Them",
                HisHer = "Their",
                HisHers = "Theirs",
                Self = "Themself",
                honorific = "friend",
                informal = "person",
            },
        },
        
        SPECIES =
        {
            HUMAN = "human",
            KRADESHI = "kra'deshi",
            SHROKE = "shroke",
            JARACKLE = "jarackle",
            BEAST = "beast",
            MECH = "mech",
            PHICKET = "phicket",
            SNAIL = "oshnu",
        },

        ADVANCEMENT = 
        {
            ALL_MODIFIERS = "<#TITLE><b>All Modifiers:</></>",
            ALL_MODIFIERS_TITLE = "<#ADVANCEMENT><b>Prestige Level {1}</></>",

            ADVANCEMENT_LEVEL_0 = "INTRODUCTION",
            ADVANCEMENT_LEVEL_0_DESC = "The entry-level Griftlands experience. If you die, you can restart the day once only.",
            ADVANCEMENT_LEVEL_0_TT = "You cannot restart the day after dying.",
            ADVANCEMENT_LEVEL = "LEVEL {1}",
            ADVANCEMENT_NPC_PROMOTION_CHANCE = "Non-boss enemies have upgraded abilities, and have a chance to spawn as a promoted version.",
            ADVANCEMENT_LEVEL_WEAKER_ALLIES_DESC = "Allies are weaker in battle.",
            ADVANCEMENT_LEVEL_ENEMIES_COMBAT_DESC = "Non-boss enemies are stronger in battle.",
            ADVANCEMENT_LEVEL_ENEMIES_NEGOTIATION_DESC = "Negotiation opponents have increased resolve and damage.",
            ADVANCEMENT_LEVEL_BATTLE_RESOLVE_RESTORE = "Resolve is no longer restored after battle.",
            ADVANCEMENT_LEVEL_BOSSES_COMBAT_DESC = "Bosses are stronger in battle.",
            ADVANCEMENT_LEVEL_BOSSES_COMBAT_PLUS_DESC = "Bosses are even stronger in battle.",
            ADVANCEMENT_LEVEL_NPC_ARGUMENT_PLUS = "Negotiation opponents have improved arguments.",
            ADVANCEMENT_LEVEL_SLEEPING_DESC = "Only heal 50% of your health and resolve when sleeping.",
            ADVANCEMENT_LEVEL_HIGHER_PRICES_DESC = "Everything costs 25% more shills.",
            ADVANCEMENT_LEVEL_LOWER_MAX_HEALTH_DESC = "Start with 20% less maximum health.",
            ADVANCEMENT_LEVEL_LOWER_MAX_RESOLVE_DESC = "Start with 20% less maximum resolve.",
            ADVANCEMENT_LEVEL_FEWER_COMBAT_GRAFT_SLOTS_DESC = "Start with 1 fewer battle graft slots.",
            ADVANCEMENT_LEVEL_FEWER_NEGOTIATION_GRAFT_SLOTS_DESC = "Start with 1 fewer negotiation graft slots.",
            ADVANCEMENT_LEVEL_UPGRADED_SPECIES_BOONS = "Species boons are more powerful in battle.",
            -- NEW PRESTIGES
            PRESTIGE_1_NAME = "Level 1: The Griftlands strikes back",
            PRESTIGE_1_DESC = "You cannot restart the day when dying.\nNon-boss enemies have upgraded abilities, and have a chance to spawn as a promoted version.\nNegotiation opponents have improved arguments.",
            PRESTIGE_2_NAME = "Level 2: Play every card carefully",
            PRESTIGE_2_DESC = "Non-boss enemies are stronger in battle.\nNegotiation opponents have increased resolve and damage.\nBosses are stronger in battle.",
            PRESTIGE_3_NAME = "Level 3: Getting hurt hurts",
            PRESTIGE_3_DESC = "Resolve is no longer restored after battle.\nOnly heal 50% of your health and resolve when sleeping.",
            PRESTIGE_4_NAME = "Level 4: Combat is deadly",
            PRESTIGE_4_DESC = "Allies are weaker in battle.\nSpecies boons are more powerful in battle.\nBosses are even stronger in battle.",
            PRESTIGE_5_NAME = "Level 5: Strive for perfection",
            PRESTIGE_5_DESC = "Start with 20% less maximum health.\nStart with 20% less maximum resolve.",
            PRESTIGE_6_NAME = "Level 6: Do more with less",
            PRESTIGE_6_DESC = "Everything costs 25% more shills.\nStart with 1 fewer battle graft slots.\nStart with 1 fewer negotiation graft slots.",
            PRESTIGE_7_NAME = "Level 7: Test your mettle",
            PRESTIGE_7_DESC = "You no longer earn Mettle, and your Mettle upgrades are disabled.",
        },
        ROOK =
        {
            CELLS = "CHARGES",
            CELLS_TT_TITLE = "Charges",
            CELLS_TT_TEXT = "Rook can store <b>Charge</b> in his empty cells. <b>Charge</b> can be used by certain cards for additional effects.",
            CELLS_TT_CHARGES = "{1}/{2} CHARGES AVAILABLE",
            CELLS_TT_CHARGES_TEXT = "At the end of your turn, gain 1 <b>Defend</> per empty cell. At the start of your turn, gain 1 <b>Charge</b>.",
            CELLS_TT_CHARGES_PRIMED = "<#TITLE><b>Fully Charged:</> Some cards have additional effects when all cells are charged.</>\nAt the end of your turn, gain 1 <b>Defend</> per empty cell. At the start of your turn, gain 1 <b>Charge</b>.",
            CELLS_TT_SURGE = "{1} OVERCHARGE AVAILABLE",
            CELLS_TT_SURGE_TEXT = "<#TITLE>Increases max damage of all cards by 1 for each stack of <b>Overcharge</b></>.\nGaining <b>Charge</b> while <b>Fully Charged</> generates <b>Overcharge</>. Reduce <b>Overcharge</> by half at the end of your turn.",
            CELLS_TT_MALFUNCTION = "CHARGE CELLS MALFUNCTIONING",
            CELLS_TT_MALFUNCTION_TEXT = "You will take <#PENALTY>{1} Damage</> per charged cell at the end of your turn. (<#PENALTY>{2} Total Damage</>)",

        },
        SMITH =
        {
            MOXIE_TITLE = "Moxie",
            MOXIE_DESC_1 = "Whenever Smith takes damage on his turn, his <b>Moxie</b> increases by a random amount between 1 and {1}",
            MOXIE_LABEL = "{1} MOXIE AVAILABLE",
            MOXIE_DESC_2 = "At the end of his turn, Smith will <b>Heal</b> equal to the amount of <b>Moxie</b> he has. After healing, his <b>Moxie</b> is halved down to a minimum of {1}.",
        },
        UI =
        {

            SKIP_P0_TITLE = "Start at Level 1?",
            SKIP_P0_BODY = [[You are about to start a game at 'Introduction'. This difficulty level provides an introduction for players who are new to deckbuilders. If you die, you can restart the current day once.

Experienced players may wish to start at Level 1 for a more balanced challenge. This level has permadeath and no day restarts.

Which level would you like to start at?]],
            SKIP_P0_OPT1 = "Introduction",
            SKIP_P0_TT1 = [[This is a good choice for players who are new to deckbuilding games. Enemies are easier to defeat, and if you die, you will be able to continue once per story day.

<#aaaaaaff>You will unlock Level 1 when you beat Introduction, or if you opt to skip it when starting a new game.</>]],
            SKIP_P0_OPT2 = "Level 1",
            SKIP_P0_TT2 = [[This is a good choice for players experienced with deckbuilding. Enemies are more varied, and you will have to pay close attention to their behaviors. If you die, you will have to restart.

<#aaaaaaff>You can return to Prestige 0 whenever you start a new game.</>]],

            SMITH_ENDING = {
                TITLE = "Smith's Story",
                BODY = "Congratulations! You've made it to the end of Smith's story so far. Watch the Klei forums for updates - we'll be adding more soon!",
                BUTTON = "Continue",
            },
            BOONS_BANES_SCREEN = {
                TITLE = "{1}'s Social Boons and Banes",
                DESC = "When someone loves you very very much, their social boon will become active for you. This can affect your experience in positive ways. You'll also get a social bane when someone hates you.\n\n<#ffffffdd>There's no limit to how many you can accumulate.</>",
                SOCIAL_BOON = "{1#agent_list}'s social boon",
                SOCIAL_BANE = "{1#agent_list}'s social bane",
                CONTROLS_OPEN_GRAFT = "{1#binding} Show relationship",
            },
            ACHIEVEMENTS_SCREEN = {
                TITLE = "ACHIEVEMENTS",
                DESCRIPTION_NONE_COMPLETED = "Grifters are known by word of their achievements.\n<#ffffffdd>Guess your reputation is yet to be earned.</>",
                DESCRIPTION_SOME_COMPLETED = "Grifters are known by word of their achievements.\n<#ffffffdd>Yours is a name on the rise.</>",
                DESCRIPTION_ALL_COMPLETED = "Grifters are known by word of their achievements.\n<#ffffffdd>And you? You're a living legend.</>",
                EMPTY_TEXT = "NO ACHIEVEMENTS FOUND",
            },
            SIGN_IN_SCREEN = {
                DESC = "Press <c img='a'> to sign in",
                POPUP_TITLE = "Profile Signed Out",
                POPUP_DESC = "Do you wish to continue playing without a signed-in profile? Saving will be disabled.",
                POPUP_WRONG_USER_TITLE = "Invalid Profile",
                POPUP_WRONG_USER_DESC = "You must sign-in with the original profile to continue.",
                POPUP_SIGNIN = "Sign-In",
                ABANDON = "Abandon Game",
            },
            SAVE_POPUP = {
                TITLE = "Save Failed",
                BODY_NO_SPACE = "{1} additional storage space is necessary to save. Clear some data before retrying.",
                BODY_NO_CLOUD_SPACE = "{1} additional Cloud storage space is necessary to save. Clear data before retrying.",
                BODY_MAX_RUNS = "The maximum number of save files has been reached. Clear some data before retrying.",
                SAVE_CONTINUE = "Continue without saving",
                SAVE_RETRY = "Retry",
                MB = "{1%.2f} MB",
                KB = "{1} KB",
            },
            MOD_SCREEN = {
                TITLE = "MODS",
                DESCRIPTION = "Enable mods to experience Griftlands in whole new ways. New cards, characters, translations, or even entire quest lines let you customize your gameplay.",
                EMPTY_TEXT = "NO MODS FOUND",
                LOCAL_MOD = "LOCAL",
                WORKSHOP_MOD = "WORKSHOP",
                SUBSCRIBED = "Subscribed",
                ENABLED = "ENABLED",
                DISABLED = "ENABLE",
                UPDATE = "Update",
                UNSUBSCRIBE = "Unsubscribe",
                VIEW_IN_WORKSHOP = "View In Workshop",
                BROWSE_WORKSHOP = "Browse Workshop",
                RESTART_TITLE = "Restart Game?",
                RESTART_BODY = "Changes to mods won't take effect until the game restarts. Do you want to restart now?",
                MOD_TOOLTIP_FORMAT = "<b>{1}</b>\n\n{2}",
                CONTROLS_WORKSHOP = "{1#binding} Browse Workshop",
                CONTROLS_ENABLE = "{1#binding} Enable",
                CONTROLS_DISABLE = "{1#binding} Disable",
                CONTROLS_UNSUBSCRIBE = "{1#binding} Unsubscribe",
                CONTROLS_VIEW_IN_WORKSHOP = "{1#binding} View In Workshop",
            },
            PERK_SCREEN = {
                PERK_BALANCE = "{1} <p img='UI/ic_perks_icon.tex' scale=0.7>",

                SLOT_UNLOCK_THRESH = "Unlock this slot by unlocking {1} more {1*Perk|Perks}",
                SLOT_UNLOCKED = "Unlocked!",
                SLOT_TITLE = "PERK SLOT {1}",
                SLOT_TITLE_LOCKED = "<p img='UI/card_lock.tex' scale=0.7> LOCKED PERK SLOT {1}",

                UNLOCK_PERK = "Unlock for {1}<p img='UI/perks_icon.tex' scale=0.6>?",
                NOT_ENOUGH_POINTS = "You need {1}<p img='UI/perks_icon.tex' scale=0.6> to unlock",
                UNLOCK_BUTTON = "Unlock",
                CLOSE = "Close",
                TIER_UNLOCK = "<p img='UI/card_lock.tex' scale=0.7> Unlock {1} <#PERK>TIER {2}</> Perks to enable this tier.</>",
                TIER_UNLOCK_LIMIT = "<p img='UI/card_lock.tex' scale=0.7> Unlock {1} <#PERK>TIER {2}</> Perks to enable this tier.\n<#TOOLTIP_TEXT>You can install at most {3} {3*Perk|Perks} from this tier per run.</>",
                TIER_UNLOCKED_LIMIT = "{1} / {2} Perks unlocked\n<#TOOLTIP_TEXT>You can install at most {3} {3*Perk|Perks} from this tier per run.</>",
                TIER_UNLOCKED = "{1} / {2} Perks unlocked</>",
                TIER_LIMITS = "<#TOOLTIP_TEXT>You can install at most {1} {1*Perk|Perks} from this tier.</>",
                PERK_PLAYED_TT_SUFFIX = "\n\n<p img='UI/ic_checkmark_yellow.tex' scale=0.8> <#QUEST>Perk played</>\n<#QUEST_LIGHT>You've won the game using this perk.</>",

                PERK_SCREEN_TITLE = "{1#upper}'S ACTIVE PERKS",
            },
            METTLE_SCREEN = {
                METTLE_SCREEN_TITLE = "{1#upper}'S METTLE",
                METTLE_SCREEN_SUBTITLE = "{1#thousands} <p img='UI/mettle_screen_icon.tex' scale=0.8> available. Mettle Points that {2.name} earns are available only to {2.self}.\n<#ffffffdd>Use it to make {2.name} progressively more skilled. You can earn more Mettle by completing certain quests, killing specific targets, and defeating particular arguments.</>",
                METTLE_COST = "{1#thousands} <p img='UI/mettle_screen_icon.tex' scale=0.8>",
                CONFIRM_TITLE = "Acquire Mettle Upgrade?",
                CONFIRM_BODY = "Get upgrade level {1} for <#METTLE>{2#thousands}</> <p img='UI/mettle_screen.tex' scale=0.8>",
                CONTROLS_UNLOCK = "{1#binding} Unlock for {2} <p img='UI/mettle_screen.tex' scale=0.8>",
            },
            FLOURISH_SCREEN = {
                FLOURISH_SCREEN_TITLE = "{1#upper}'S FLOURISHES",
                FLOURISH_SCREEN_SUBTITLE = "{1#thousands} <p img='UI/prestigepoints_screen_icon.tex' scale=0.8> available. Prestige Points are shared between Sal, Rook and Smith.\n<#ffffffdd>You'll be able to play any of the unlocked Flourishes during battle or negotiation by filling your Flourish bar. Earn more Prestige Points when defeating each Boss in each Prestige level. Check the <!boss_compendium>Boss Compendium</> to track your progress per Boss.</>",
                FLOURISH_SCREEN_BOSSCOMPENDIUM_TOOLTIP = "Open the Boss Compendium",
                FLOURISH_COST = "{1#thousands} <p img='UI/prestigepoints_screen_icon.tex' scale=0.8>",
                BATTLE_FLOURISHES = "BATTLE FLOURISHES",
                NEGOTIATION_FLOURISHES = "NEGOTIATION FLOURISHES",
                
                CONFIRM_TITLE = "Acquire Flourish?",
                CONFIRM_BODY = "Get {1} for <#ADVANCEMENT>{2#thousands}</> <p img='UI/prestigepoints_screen.tex' scale=0.8>",

                BAR_VALUE = "{1%d}<#B9EBEBaa>/{2%d}</>",
                BAR_PERCENT = "{1#percent}",
                BAR_ACTIVATE_BUTTON = "PREPARE FLOURISH",
            },
            FLOURISH_POPUP = {
                TITLE = "{1#upper}'S FLOURISHES",
                BATTLE_SUBTITLE = "When the Flourish meter is full, you're able to trigger one of {1}'s Flourishes below. Accumulated Flourish persists between battles.\n<#09E1DCef>Look for the Flourish vendor to unlock Flourishes.</>",
                NEGOTIATION_SUBTITLE = "When the Flourish counter is full, you're able to trigger one of {1}'s Flourishes below. Accumulated Flourish persists between negotiations.\n<#09E1DCef>Look for the Flourish vendor to unlock Flourishes.</>",
                BATTLE_CRITERIA = "<#FLOURISH>+{1}x</> Card played\n<#FLOURISH>+{2}x</> Damage dealt\n<#FLOURISH>+{3}x</> Damage received\n<#FLOURISH>+{4}x</> Enemy killed",
                NEGOTIATION_CRITERIA = "<#FLOURISH>+{1}x</> Card played\n<#FLOURISH>+{2}x</> Damage dealt\n<#FLOURISH>+{3}x</> Damage mitigated\n<#FLOURISH>+{4}x</> Argument destroyed",
                CONFIRM_BTN = "Execute flourish",
            },
            NEGOTIATION_ALLY_SCARE_SHIELD = "Scare away at least one ally to drop the shield",
            PROGRESS = {
                TITLE = "BRAWL PROGRESS",
                CURRENT_DAY = "<#TITLE><b>NEXT EVENT</></>\n{1}",
                COMBAT_QUEST = "Combat",
                NEGOTIATION_QUEST = "Negotiation",
                BALANCED_QUEST = "Mixed",
                QUEST = "Quest!",
                BOSS_FIGHT = "Boss Fight",
                DAY = "DAY {1}",

                DAILY_BOSS = "Boss Fight: {1}",
            },
            CONTROLS = {
                FOCUS_NEXT = "{1#binding} Next",
                FOCUS_PREV = "{1#binding} Prev",
                NAV = "<c img='l_all'> Nav",
                DIALOG = "<c img='lt'><c img='r_all'> Scroll Dialog",
                SCROLL = "<c img='lt'><c img='r_all'> Scroll Info",
                BACK = "{1#binding} Back",
                SELECT = "{1#binding} Select",
                LEAVE = "{1#binding} Leave",
                TRAVEL = "{1#binding} Travel",
                CANCEL = "{1#binding} Cancel",
                UNSELECT = "{1#binding} Unselect",
                CLOSE = "{1#binding} Close",
                REVERT = "{1#binding} Revert",
                APPLY = "{1#binding} Apply",
                CONTINUE = "{1#binding} Continue",
                FIGHTER_INFO = "{1#binding} Fighter Details",
                CARD_INFO = "{1#binding} Card Details",
                GRAFT_INFO = "{1#binding} Graft Details",

                NEXT_LINE = "{1#binding} Next",
                CONVO_SKIP = "{1#binding} Skip",

                TALK_TO = "{1#binding} Talk to {2#agent}",
                INSPECT = "{1#binding} Inspect {2#agent}",
                CURSOR_MOVE = "<c img='r_all'> Move Cursor",
                CURSOR_SPEEDUP = "<c img='lt'><c img='rt'> Hold to Slow Cursor",

                NEXT_SLIDE = "{1#binding} Next",
                REWIND = "{1#binding} Rewind",
                SKIP_SLIDES = "{1#binding} Skip",
                DONE_SLIDES = "{1#binding} Close",
                OPEN_MENU = "{1#binding}",
                OPEN_OVERLAY_MENU = "{1#binding} Navigate Top Bar",
                NAV_BATTLE_DECK = "{1#binding} Show Battle Deck",
                NAV_NEGOTIATION_DECK = "{1#binding} Show Negotiation Deck",
                NAV_RELATIONSHIPS = "{1#binding} Relationships",

                BUY = "{1#binding} Buy",
                UNLOCK = "{1#binding} Unlock",
                VIEW_CARD = "{1#binding} View Card",
                PLAY_CARD = "{1#binding} Play Card",
                VIEW_UPGRADES = "{1#binding} View Upgrades",
                SELECT_CONTENT = "{1#binding} Close Sidebar",
                SELECT_SIDEBAR = "{1#binding} Open Sidebar",
                ACCEPT_JOB = "{1#binding} Accept Job",
                DECLINE_JOB = "{1#binding} Decline Job",
                VIEW_HAND = "{1#binding} View Hand",
                VIEW_CHOICES = "{1#binding} View Choices",
                TAKE_CARD_MONEY = "{1#binding} Take {2#money} instead",
                TAKE_POINTS = "{1#binding} Take {2#points_total} instead",
                ACCEPT_CARDS = "{1#binding} Accept cards",
                DRAFT_CARD = "{1#binding} Draft {2#card}",
                DRAFT_GRAFT = "{1#binding} Install {2#graft}",
                DRAFT_PACK = "{1#binding} Draft Pack",
                DRAFT_MULLIGAN = "{1#binding} Mulligan {2} cards",
                DRAFT_CARDS = "{1#binding} Draft Cards",
                TOGGLE_CARD = "{1#binding} Toggle Card",
                UPGRADE_CARD = "{1#binding} Pick Upgrade",
                CUSTOM = "{1#binding} {2}",
                ACCEPT = "{1#binding} Accept",
                HEAR_VOICE = "{1#binding} Hear Voice",
                SELECT_FIGHTER = "{1#binding} Select {2#agent}",

                START_GAME = "{1#binding} Start Game",
                DELETE_SAVE = "{1#binding} Delete Save",
                ENABLE_ALL = "{1#binding} Enable All",
                DISABLE_ALL = "{1#binding} Disable All",
                VIEW = "{1#binding} View",
                TOGGLE = "{1#binding} Toggle",
                ENABLE_RANDOM = "{1#binding} Random Select",
                OPEN_FILTERS = "{1#binding} Open Filters",
                OPEN_CARDS = "{1#binding} Close Filters",
                OTHER_DECK = "{1#binding} Switch Decks",
                TRASH_CARD = "{1#binding} Trash {2#card}",
                LEAVE_REWARDS = "{1#binding} Leave the rest",
                FAST_TRAVEL = "{1#binding} Faster!",
                DIALOG_OPTIONS = "{1#binding} Dialog options",
                VIEW_PEOPLE = "{1#binding} Nearby people",
                VIEW_FLOURISHES = "{1#binding} Flourishes",
                PLAY_FLOURISHES = "{1#binding} <#FLOURISH_LIGHT>Play Flourish!</>",
            },

            DEMO = {
                TITLE = "Thanks For Playing!",
                BODY = "There's a lot more where that came from. Play as Sal, Rook or Smith with their own unique stories and locations, or play Brawl Mode to focus on building powerful negotiation and combat decks.",
                BUTTON = "Get it now!",
                RESET = "Reset Demo",
            },

            CHARACTER_UNLOCKED = {
                ROOK_TITLE = "ROOK UNLOCKED",
                ROOK_BODY = "You've unlocked a new character with a whole new story and location, with unique cards and gameplay. Give it a try when starting a new run!\n\nPlaying Rook doesn't delete your progress with Sal.",

                SMITH_TITLE = "SMITH UNLOCKED",
                SMITH_BODY = "You've unlocked a new character with a whole new story and location, with unique cards and gameplay. Give it a try when starting a new run!\n\nPlaying Smith doesn't delete your progress with Rook or Sal.",

                SAL_BRAWL_TITLE = "SAL BRAWL UNLOCKED",
                SAL_BRAWL_BODY = "You've unlocked a new game mode for Sal! Focus on cardplay and test out new strategies in BRAWL the next time you start a run!",

                ROOK_BRAWL_TITLE = "ROOK BRAWL UNLOCKED",
                ROOK_BRAWL_BODY = "You've unlocked a new game mode for Rook! Focus on cardplay and test out new strategies in BRAWL the next time you start a run!",

                SMITH_BRAWL_TITLE = "SMITH BRAWL UNLOCKED",
                SMITH_BRAWL_BODY = "You've unlocked a new game mode for Smith! Focus on cardplay and test out new strategies in BRAWL the next time you start a run!",

                MUTATORS_TITLE = "MUTATORS UNLOCKED",
                MUTATORS_BODY = "You've unlocked gameplay mutators for all game modes! Customize your Griftlands experience.",

            },

            CARD_READY_TO_UPGRADE = "{1#card} is ready to upgrade!",
            CARD_WILD_DESC = "When this card levels up, it chooses from a random pool of cards.",
            CARD_WILD_TITLE = "???",
            BATTLE_GRAFT_XP = "This graft gains XP at the end of every battle.",
            NEGOTIATION_GRAFT_XP = "This graft gains XP at the end of every negotiation.",

            END_TURN_CONFIRM_BTN = "End Turn",
            END_TURN_CONFIRM_BODY = "You have playable cards remaining. Are you sure you want to end your turn?",
            END_TURN_CONFIRM_SKIP = "Yes. Don't show again",
            END_TURN_CONFIRM_INFO_TITLE = "Preference Saved",
            END_TURN_CONFIRM_INFO_BODY = "The confirm dialog won't show again.\nYou can change that in the Options screen.",

            NEGOTIATION_CARD_UPGRADES_READY = "{1} Negotiation {1*Card|Cards} ready to upgrade!",
            BATTLE_CARD_UPGRADES_READY = "{1} Battle {1*Card|Cards} ready to upgrade!",
            PROGRESS_INDICATOR = "<#QUEST_LIGHT><b>{1}</></>\nCurrent progress: {2#percent}",
            TO_DO_LIST_LABEL = "ACTIVE OBJECTIVE",
            MINIGAME_OBJECTIVE = "OBJECTIVE",

            TUTORIAL_COMPLETE_TITLE = "Tutorial Complete",
            TUTORIAL_COMPLETE_BODY = "You've completed the tutorial again. To continue the story with a fresh deck, and earn unlock XP, select Sal's portrait in the character select screen.",

            AGENT_RELATIONSHIP_REASON_TT = "<#TITLE>Reason:</> {1}",
            AGENT_RELATIONSHIP_HEADER_TT = "<#TITLE>{1}:</>",

            RELATIONSHIP_DISCOUNT = "<#BONUS>Relationship with {2#agent}: {1#percent} discount</>",
            RELATIONSHIP_SURCHARGE = "<#PENALTY>Relationship with {2#agent}: {1#percent} surcharge</>",

            RELATIONSHIP_PENALTY = "<#PENALTY>Relationship: {1#percent} penalty</>",
            RELATIONSHIP_BONUS = "<#BONUS>Relationship: {1#percent} bonus</>",

            PRESTIGE_SURCHARGE = "<#PENALTY>Prestige: {1}</>",
            AGGRESSIVE_ACTION = "<#PENALTY>This is an aggressive action!\nGain cards: {1#card}</>",
            
            REQ_MAX_PETS = "You can only have {1} {1*pet|pets}.",
            REQ_CANT_OWN_PET = "You can't own pets",  

            AGENT_TITLE_FORMAT_STR = "{2} {1}",
            WILD_PET = "Wild {1}",
            TRAINED_PET = "Trained {1}",
            UNTRAINED_PET = "Untrained {1}", 

            CARDSHOP =
            {
                BUY_BTN_BUY = "BUY CARD",
                FREE = "<#BONUS>FREE!<BONUS>",
                SOLD = "SOLD!",

                CONFIRM_TITLE = "Confirm Purchase",
                CONFIRM_BUY = "Purchase {1#card} for {2#money}?",

                CONTROLS_LEFT_SELECT = "<c img='l_all'> Select card",
                CONTROLS_RIGHT_BUY = "<c img='a'> Buy card",
                CONTROLS_RIGHT_UPGRADES = "<c img='rt'> Preview card upgrades",
            },
            GRAFTSLOT = 
            {
                EMPTY_COMBAT = "Empty Battle Graft Slot",
                EMPTY_NEGOTIATION = "Empty Negotiation Graft Slot",
                EMPTY_COIN = "Empty Lucky Coin Slot",
                UPGRADE_PROGRESS = "{1}/{2}",
                UPGRADE_READY = "100%",
            },


            CARD_UPGRADE_INDICATOR =
            {
                TT = "{1} {1*card|cards} ready to upgrade",
            },
            GRAFT_UPGRADE_INDICATOR =
            {
                TT = "{1} {1*graft|grafts} ready to upgrade",
            },

            PAUSEMENU =
            {
                TITLE = "PAUSED",
                RETURNTOMAINMENU = "RETURN TO MENU",
                RETURNTOMAINMENU_SAVE = "SAVE AND RETURN TO MENU",
                
                RETURNTODESKTOP = "QUIT TO DESKTOP",
                RETURNTODESKTOP_SAVE = "SAVE AND QUIT TO DESKTOP",



                ABANDONRUN = "<#PENALTY>ABANDON THIS RUN</>",
                TUTORIALS = "TUTORIALS",
                CARDCOMPENDIUM = "COMPENDIUM",
                NEGOTIATION = "NEGOTIATION",
                BATTLE = "BATTLE",
                ROOK_NEGOTIATION = "NEGOTIATION (Rook)",
                ROOK_BATTLE = "BATTLE (Rook)",
                SMITH_BATTLE = "BATTLE (Smith)",
                BACK = "BACK",
                ABANDONRUN_TITLE = "<#PENALTY>Abandon this run</>",
                ABANDONRUN_BODY = "<#PENALTY>WARNING</>\nAbandoning this run will end your game in a loss. You will gain XP rewards based on your actions so far, but your current run <#PENALTY><b>will be deleted</b></>.\n\nAre you sure you want to do this?",
                OPTIONS = "OPTIONS",
                RESUME = "RESUME",
                SAVE = "SAVE",
                EXIT = "EXIT",
                LOAD = "LOAD",
            },

            MAINMENU =
            {
                PROFILE_ERR_TITLE = "Profile Locked",
                PROFILE_ERR_BODY = "Your user profile failed to load because another process has locked the file. Try restarting the game.",

                DAILY_LOCKED_TT = "The daily challenge will be unlocked once you've played the campaign at least once!",
				EXPERIMENTAL_BRANCH_BTN = "EXPERIMENTAL BRANCH INFO",
                BETA_TITLE = "Welcome to the Griftlands!",
                EA_TITLE = "Welcome to the Griftlands Early Access!",
                BETA_BODY = "The Griftlands are a harsh and unforgiving land, where every decision matters and death comes easily to the unprepared.\n\nYou will fail, but keep trying and you may be able to bend fate to your favor.\n\nThis game is in active development. At any time, press <b>F8</> to send us feedback!",
                BETA_BUTTON = "OK",

                DEMO_TITLE = "Welcome to the Griftlands Demo!",
                DEMO_BODY = "Play as Sal the bounty hunter on the first day of her five day campaign in the harsh and unforgiving land of Griftlands.",
                DEMO_BUTTON = "OK",
                
                INCOMPLETE_LANGUAGE_TITLE = "This translation is incomplete",
                INCOMPLETE_LANGUAGE_BODY = "We are still working on this translation, and it is currently incomplete. You will find out-of-date strings, and the game will occasionally slip back into English. For more information, please visit our forums.",
                INCOMPLETE_LANGUAGE_BUTTON = "I understand",

                WELCOME = "Welcome to the Griftlands",
                TUTORIALS = "Tutorials",
                EXPERIMENTAL = "Experiments",
                HISTORY = "Run History",
                NEGOTIATION = "Basic Negotiation",
                BATTLE = "Basic Battle",
                ROOK_NEGOTIATION = "Rook's Negotiation",
                ROOK_BATTLE = "Rook's Battle",
                SMITH_NEGOTIATION = "Smith's Negotiation",
                SMITH_BATTLE = "Smith's Battle",
             -- “—I—”
                QUICKPLAY = "QUICK JUMP {1}",
                DAILY = "Daily Challenge",
                DAILY_CONTINUE = "Continue Daily Challenge",
                DAILY_HIGH_SCORE = "<i>Current best score: <#WHITE><b>{1#thousands} PTS</></></>",
                
                DAILY_CONTINUE_TITLE = "Daily Challenge",
                DAILY_CONTINUE_BODY = "You have a Daily Challenge already in progress.",
                DAILY_START_OVER = "Start Over",
                DAILY_CONTINUE = "Continue",


                DAILY_SUBTITLE = "<i>{1}</>",
				DAILY_TIMER_HOURS_MINUTES = "{1} {1*HOUR|HOURS} AND {2} {2*MINUTE|MINUTES} LEFT",
                DAILY_TIMER_MINUTES = "{1} {1*MINUTE|MINUTES} LEFT",
                PLAY = "Play Griftlands",
                PLAY_SAVEFILES = "<i>{1} {1*run|runs} in progress</>",
                PLAY_DEMO = "Play Demo",
                CARDCOMPENDIUM = "Compendium",
                ACHIEVEMENTS = "Achievements",
                PERKS = "Unlock Perks",
                FIGHTTEST = "FIGHT TEST",
                BUILDTEST = "BUILD TESTER",
                CONVOTEST = "CONVO TESTER",
                OPTIONS = "Options",
                QUIT = "Quit",
                MODS = "Manage Mods",
                NEW = "NEW GAME",
                LOAD = "LOAD GAME",
                CONTINUE = "Continue last run",
                CONTINUE_SAVEFILE = "<i>{1} - {2} {3} - {4#percent}</>",
                BACK = "Back",
                CLOSE = "Close",
                MORE_INFO = "More info",
                KLEI_GAMES = "MORE GAMES",
                KLEI_COMMUNITY = "GAME COMMUNITY",
                GAME_UPDATES = "GAME UPDATES",
                GAME_OPTIONS = "GAME OPTIONS",

                UPDATE_TITLE = "NEXT UPDATE",
                UPDATE_TEXT_RECENT = "JUST UPDATED!",
                UPDATE_TEXT = "NEXT UPDATE IMMINENT!",
                UPDATE_TEXT_DAYS = "NEXT UPDATE: {1} {1*DAY|DAYS}",
                UPDATE_TEXT_WEEKS = "NEXT UPDATE: {1} {1*WEEK|WEEKS}",
                UPDATE_TEXT_WEEKS_DAYS = "NEXT UPDATE: {1} {1*WEEK|WEEKS}, {2} {2*DAY|DAYS}",

                MOTD_LIST_POPUP_TITLE = "GAME UPDATES",
                MOTD_LIST_POPUP_SUBTITLE = "Latest news",

                INFO_TITLE = "DEVELOPMENT BUILD",
                INFO_TEXT = "This game is in active development. Stay up to date by joining our mailing list, or head on over to the forums and join the discussion.",
                INFO_BTN_FORUMS = "Forums",
                INFO_BTN_NOTES = "Patch notes",
            },

			HISTORY_SCREEN = 
            {
                TITLE = "RUN HISTORY",
                SUBTITLE = "Here you can see all the runs you've finished.",
                TOTAL_RUNS = "{1#thousands}",
                PROGRESS_DAILY_SUCCESS = "<p img='UI/ic_checkmark.tex' scale=0.7> Completed successfully with {1#thousands} PTS",
                PROGRESS_DAILY_DEATH = "<p img='UI/ic_deathloot.tex' scale=0.7> Died with {1#thousands} PTS",
                PROGRESS_SUCCESS = "<p img='UI/ic_checkmark.tex' scale=0.7> Completed successfully!",
                PROGRESS_DEATH_DAY = "<p img='UI/ic_deathloot.tex' scale=0.7> Died on day {1}",
                DETAILS_TYPE_DAILY = "{1} Daily - {2}",
                DETAILS_TYPE_CAMPAIGN = "{1} Campaign",
                DETAILS_TYPE_BRAWL = "{1}",
                RUN_DATE_TT = "When this run started",

                INFO_RESULT_SUCCESS_TITLE = "<p img='UI/ic_checkmark.tex' scale=0.7> Result",
                INFO_RESULT_SUCCESS_TEXT = "SUCCESS",
                INFO_RESULT_KILLEDBY_TITLE = "<p img='UI/ic_deathloot.tex' scale=0.7> Killed by {1.Who}",
                INFO_RESULT_KILLEDBY_TEXT = "DIED",
                INFO_RESULT_KILLED_TITLE = "<p img='UI/ic_deathloot.tex' scale=0.7> Result",
                INFO_RESULT_KILLED_TEXT = "DIED",
                INFO_HEALTH_TITLE = "<p img='UI/ic_hp.tex' scale=0.7> Health",
                INFO_HEALTH_TEXT = "{1%d}/{2%d}",
                INFO_RESOLVE_TITLE = "<p img='UI/ic_res.tex' scale=0.7> Resolve",
                INFO_RESOLVE_TEXT = "{1%d}/{2%d}",
                INFO_PRESTIGE_TITLE = "<p img='{1}' scale=1.0> Prestige",
                INFO_PRESTIGE_TEXT = "LEVEL {1}",
                INFO_STORY_TITLE = "<p img='UI/ic_story_mode.tex' scale=1.0> Difficulty",
                INFO_STORY_TEXT = "STORY",
                INFO_DIFFICULTY_TITLE = "<p img='{1}' scale=1.0> Difficulty",
                INFO_DIFFICULTY_TEXT = "{1}",
                INFO_SCORE_TITLE = "<p img='UI/ic_score.tex' scale=0.7> Score",
                INFO_SCORE_TEXT = "{1#thousands} PTS",
                INFO_BATTLES_TITLE = "<p img='UI/ic_subcard_fight.tex' scale=0.7> Battles Won",
                INFO_BATTLES_TEXT = "{1%d}",
                INFO_NEGOTIATIONS_TITLE = "<p img='UI/ic_subcard_negotiation.tex' scale=0.7> Negotiations Won",
                INFO_NEGOTIATIONS_TEXT = "{1%d}",
                INFO_MONEY_TITLE = "<p img='UI/ic_shills.tex' scale=0.7> Shills",
                INFO_MONEY_TEXT = "{1%d}",

                FEATS_TITLE = "Feats",
                FEATS_MISSING_DATA = "This run was saved with an older game version, so this data isn't available.",
                FEAT_COMPLETE = "<#BONUS>FEAT COMPLETED</>",
                FEAT_MISSED = "<#PENALTY>FEAT FAILED</>",

                RELATIONSHIPS_TITLE = "Relationships",
                RELATIONSHIPS_LOVED = "<p img='UI/ic_socialgraft_loved.tex' scale=1.0> Loved",
                RELATIONSHIPS_LIKED = "<p img='UI/ic_socialgraft_liked.tex' scale=1.0> Liked",
                RELATIONSHIPS_NEUTRAL = "<p img='UI/ic_socialgraft_neutral.tex' scale=1.0> Neutral",
                RELATIONSHIPS_DISLIKED = "<p img='UI/ic_socialgraft_disliked.tex' scale=1.0> Disliked",
                RELATIONSHIPS_HATED = "<p img='UI/ic_socialgraft_hated.tex' scale=1.0> Hated",
                RELATIONSHIPS_DEAD = "<p img='UI/ic_socialgraft_dead.tex' scale=1.0> Dead",
                RELATIONSHIPS_COUNT = "{1}",

                BATTLEDECK_TITLE = "{1} Battle {1*card|cards}",
                NEGOTIATIONDECK_TITLE = "{1} Negotiation {1*card|cards}",
                BATTLEGRAFTS_TITLE = "{1} Battle {1*graft|grafts}",
                NEGOTIATIONGRAFTS_TITLE = "{1} Negotiation {1*graft|grafts}",
                ROOKCOIN_TITLE = "Rook's Coin",
                PERKS_TITLE = "{1} {1*Perk|Perks}",
                MUTATORS_TITLE = "{1} {1*Mutator|Mutators}",


                CONTROLS_DETAILS = "{1#binding} Inspect Details",
                CONTROLS_LIST = "{1#binding} Inspect List",
            },

            RELATIONSHIP_SCREEN = 
            {
                TAB_HATED = "HATES\nYOU",
                TAB_DISLIKED = "DISLIKES\nYOU",
                TAB_LIKED = "LIKES\nYOU",
                TAB_LOVED = "LOVES\nYOU",
                TAB_DEAD = "DEAD",

                BOON_TITLE = "BOON",
                BANE_TITLE = "BANE",
                BOON_UNKNOWN_NAME = "???",
                BOON_UNKNOWN_DESC = "You haven't received this social boon yet. It'll unlock and activate when you make this person love you.",
                BANE_UNKNOWN_NAME = "???",
                BANE_UNKNOWN_DESC = "You haven't received this social bane yet. It'll unlock and activate when you make this person hate you.",

                EMPTY_TITLE = "NONE",
                EMPTY_SUBTITLE = "Nobody selected",
                EMPTY_DESC_HATED = "People who hate you will show up here.",
                EMPTY_DESC_DISLIKED = "People who dislike you will show up here.",
                EMPTY_DESC_LIKED = "People who like you will show up here.",
                EMPTY_DESC_LOVED = "People who love you will show up here.",
                EMPTY_DESC_DEAD = "People who died because of you will show up here.",

                ACTIVE = "ACTIVE",
                REASON = "{1}\n<#TITLE>Reason:</> {2}",

                CONTROLS_LABEL_TAB_LEFT = "<c img='lb'> ",
                CONTROLS_LABEL_TAB_RIGHT = " <c img='rb'>",
                CONTROLS_LEFT = "<c img='l_all'> Select person",
                CONTROLS_RIGHT_CLOSE = "<c img='b'> Close",
            },

            SOCIAL_GRAFT_SCREEN =
            {
                TITLE_LOVED = "{1.who} loves you",
                TITLE_HATED = "{1.who} hates you",
                SUBTITLE_LOVED = "You've managed to capture {1.hisher} loyalty. Don't waste it!",
                SUBTITLE_HATED = "You've incurred {1.hisher} fury, and will likely face the consequences.",
                REASON = "<#TITLE>Reason:</> <#TOOLTIP_TEXT>{1}</>",
                BOON_TITLE = "NEW SOCIAL BOON ACTIVE",
                BANE_TITLE = "NEW SOCIAL BANE ACTIVE",

                CONTROLS_RIGHT_BACK = "<c img='b'> Continue",
            },

            MAIN_OVERLAY =
			{
				VIEW_RELATIONSHIPS = "<#TITLE>View Relationships</>\n<p img='UI/opinion_icon_loved.tex' scale=0.7> <#RELATIONSHIP_LOVED>{1}</> {1*person loves|people love} you.\n<p img='UI/opinion_icon_liked.tex' scale=0.7> <#RELATIONSHIP_LIKED>{2}</> {2*person likes|people like} you.\n<p img='UI/opinion_icon_disliked.tex' scale=0.7> <#RELATIONSHIP_DISLIKED>{3}</> {3*person dislikes|people dislike} you.\n<p img='UI/opinion_icon_hated.tex' scale=0.7> <#RELATIONSHIP_HATED>{4}</> {4*person hates|people hate} you.\n<p img='UI/opinion_icon_dead.tex' scale=0.7> <#E25A4C>{5}</> {5*person|people} died because of you.",
                VIEW_NEGOTIATION_DECK = "<#TITLE>View Negotiation Deck</>\n{1} {1*card|cards}",
                VIEW_BATTLE_DECK = "<#TITLE>View Battle Deck</>\n{1} {1*card|cards}",
                VIEW_GRAFTS = "<#TITLE>View Grafts</>",
                VIEW_COIN = "<#TITLE>View Lucky Coin</>",
                VIEW_BLASTER = "<#TITLE>View Pistols</>",
                VIEW_MUTATORS = "<#TITLE>View Active Mutators</>",
                CREW_LABEL = "PARTY",
                QUESTS = "<#TITLE>View Active Quests</>",
                PAUSE = "<#TITLE>Show Pause Menu</>",
                FEEDBACK = "<#TITLE>Send Us Feedback!</>",

                HOTKEY_BINDING = "{1}\n\nHotkey: {2#binding}",
                
                CARD_BTN_TT_SUFFIX = "\n<#QUEST>{1} {1*card|cards} ready to upgrade</>",
                GRAFT_BTN_TT_SUFFIX = "\n<#QUEST>{1} {1*graft|grafts} ready to upgrade</>",

                ICONS_OVERFLOW = "+{1}",
                RELATIONSHIP_INDICATOR_LOVED = "<p img='UI/opinion_icon_loved.tex' scale=0.7>\n{1}",
                RELATIONSHIP_INDICATOR_LIKED = "<p img='UI/opinion_icon_liked.tex' scale=0.7>\n{1}",
                RELATIONSHIP_INDICATOR_DISLIKED = "<p img='UI/opinion_icon_disliked.tex' scale=0.7>\n{1}",
                RELATIONSHIP_INDICATOR_HATED = "<p img='UI/opinion_icon_hated.tex' scale=0.7>\n{1}",
                RELATIONSHIP_INDICATOR_DEAD = "<p img='UI/opinion_icon_dead.tex' scale=0.7>\n{1}",

                CONTROLLER_TOP_BAR_TOGGLE = "<c img='y' scale=1.0>",
                CONTROLLER_TOP_CONTROLS_LEFT = "<c img='l_all'> Select",
                CONTROLLER_TOP_CONTROLS_RIGHT_OPEN = "<c img='a'> Open",
                CONTROLLER_TOP_CONTROLS_RIGHT_CLOSE = "<c img='b'> Close menu bar",
                CONTROLLER_TOP_CONTROLS_RIGHT_PAUSE = "<c img='start'> Pause menu",
                CONTROLLER_TOP_CONTROLS_RIGHT_INFO = "<c img='x'> Show info",
                CONTROLLER_TOP_CONTROLS_RIGHT_INFO_HIDE = "<c img='x'> Hide info",
			},

            DIALOGS =
            {
                ABANDON_TITLE = "Abandon Run?",
                ABANDON_BODY = "This will delete the save file associated with this run. Are you sure you want to do this?",
                OVERWRITESAVE_TITLE = "SAVE GAME",
                OVERWRITESAVE_BODY = "Are you sure you want to overwrite this save file?",
                EXIT_LOAD_TITLE = "LOAD GAME",
                EXIT_TITLE = "QUIT TO MAIN MENU",
                EXIT_BODY = "Return to the main menu?\n\nYour progress will be saved.",
                EXIT_BODY_IN_CONVO = "Return to the main menu?\n\n<#PENALTY>Your progress was saved at the <i>end</> of your last conversation.</>",
                EXIT_BODY_NO_SAVE = "Return to the main menu?\n\nYou are not signed in, and any progress will be lost.",
                
                REBIND_TITLE = "Rebind: {1}",
                REBIND_DESC = "Press a key to rebind this input",

                INGAME_DESKTOP_BODY = "Exit to the desktop?\n\nYour progress will be saved.",
                INGAME_DESKTOP_BODY_IN_CONVO = "Exit to the desktop?\n\n<#PENALTY>Your progress was saved at the <i>end</> of your last conversation.</>",

                DELETE_TITLE = "DELETE SAVE GAME",
                DELETE_BODY = "Are you sure?",
                QUIT_TITLE = "QUIT",
                QUIT_BODY = "Leaving the Griftlands?",
                ACCEPT = "Accept",
                BACK = "Back",
                YES = "Yes",
                NO = "No",
                OK = "OK",
				CANCEL = "Cancel",
				CANCEL_TIMEOUT = "Cancel ({1})",
				CONTINUE = "Continue",
				CONFIRM = "Confirm",
                CUSTOM = "{1#binding} {2}",
            },

			OVERLAYS =
			{
				CLOSE = "Close",
				BACK = "Back",
				FORWARD = "Forward",
                CANCEL = "Cancel",
                START = "Start",
			},

            CARDS =
            {
                DRAW_DECK_TT = "<b><#TITLE>Draw Pile</></b>\nYou draw {1} cards per turn from this deck. Click to inspect.\n\nHotkey: {2#binding}",
                DRAW_DECK_GAMEPAD_TT = "<b><#TITLE>Draw Pile</></b>\nYou draw {1} cards per turn from this deck.",
                DISCARDS_DECK_TT = "<b><#TITLE>Discard</></b>\nClick to view cards in your discard pile. These cards are shuffled into your draw pile when it is empty.\n\nHotkey: {1#binding}",
                DISCARDS_DECK_GAMEPAD_TT = "<b><#TITLE>Discard</></b>\nClick to view cards in your discard pile. These cards are shuffled into your draw pile when it is empty.",
                TRASH_DECK_TT = "<b><#TITLE>Trash</></b>\nClick to view cards you've expended or destroyed. These cards are no longer in play.",
                BOTTLES_INDICATOR_TT = "<b><#TITLE>Empty Bottles</></b>\nThe number of Empty Bottle cards in this deck.",
                DRAW_DECK_DIALOG_TITLE = "Draw Pile",
                DRAW_DECK_DIALOG_SUBTITLE = "Cards are drawn from this deck on your turn. When you run out, your Discard Deck is shuffled back here.",
                DISCARDS_DECK_DIALOG_TITLE = "Discard",
                DISCARDS_DECK_DIALOG_SUBTITLE = "Played cards are moved here. They're shuffled into your Draw Deck when it is empty.",
                TRASH_DECK_DIALOG_TITLE = "Trash",
                TRASH_DECK_DIALOG_SUBTITLE = "Expended or Destroyed cards are shown here.",

				DISCARDED = "DISCARDED",
				DECK = "DRAW",
                OWNER = "owner",
                OPPONENT = "opponent",

                FLOURISH_PICK = "Pick a Flourish!",
				ACTIONS = "Actions",
				EXERTED = "Exerted",
				HAND_SIZE = "Hand Size",
				END_TURN = "END TURN",
                DEFAULT_COIN = "<b>Lucky Coin</b>",
                ARGUMENT_RESOLVE = "<b>{1}</b> is an argument with {2} resolve.",

                FEATURE_NAME_STACKS =  "{2} <b>{1}</b>",
                FEATURE_NAME_NOSTACKS = "<b>{1}</b>",

                APPLY_COMPOSURE = "Apply {1} {COMPOSURE}.",
                CONSUME_DESC = "{CONSUME} after {1} {1*use|uses}.",
                
                HATCH_DESC = "{HATCH_X} {1}",

				ADD_NEGOTIATION_CARD = "Add Negotiation Card",
				REMOVE_NEGOTIATION_CARD = "Choose a negotiation card to remove",
                UPGRADE_NEGOTIATION_CARD = "Choose a negotiation card to upgrade",
				ADD_BATTLE_CARD = "Add Battle Card",
				REMOVE_BATTLE_CARD = "Choose a battle card to remove",
                REMOVE_CARD_CONFIRM_TITLE = "Remove Card?",
                REMOVE_CARD_CONFIRM_TEXT = "Are you sure you want to remove {1}?",
                REMOVE_PARASITE_CONFIRM_TEXT = "Are you sure you want to remove {1}?\n<#PENALTY>The parasite will cause you to lose {2} max health.</>",
                UPGRADE_BATTLE_CARD = "Choose a battle card to upgrade",
				CHOOSE_BATTLE_CARD_TO_ADD = "CHOOSE ONE CARD TO ADD TO YOUR BATTLE DECK",
                CHOOSE_BATTLE_CARD = "Choose a battle card",
				CHOOSE_NEGOTIATION_CARD_TO_ADD = "CHOOSE ONE CARD TO ADD TO YOUR NEGOTIATION DECK",
				SKIP_REWARD_MONEY = "Skip (Gain {1#money})",
                TAKE_SUPPORTERS_NONEMPTY = "Start battle with {1#agent_list} on your side.\n<#PENALTY>This will end the negotiation.</>",
                TAKE_SUPPORTERS_EMPTY = "Start battle with any supporters you've won to your side.\n<#PENALTY>This will end the negotiation.</>",
            },

			LOOT_SCREEN = 
            {
                TITLE_FOUND = "FOUND LOOT!",
                TITLE_NEGOTIATION_VICTORY = "NEGOTIATION SUCCESSFUL!",
                TITLE_NEGOTIATION_DEFEAT = "NEGOTIATION FAILED",
                TITLE_BATTLE = "BATTLE WON!",
                SUBTITLE = "Pick the loot you want to keep",
                LOOT_TITLE = "LOOT",
                UPGRADES_TITLE = "UPGRADES AVAILABLE",

                CARD_NEGOTIATION_TITLE = "New Negotiation Card",
                MANDATORY_CARD_NEGOTIATION_TITLE = "New <b>Mandatory</> Negotiation Card",
                CARD_BATTLE_TITLE = "New Battle Card",
                MANDATORY_CARD_BATTLE_TITLE = "New <b>Mandatory</> Battle Card",
                GRAFT_NEGOTIATION_TITLE = "New Negotiation Graft",
                GRAFT_BATTLE_TITLE = "New Battle Graft",
                CARDS_NEGOTIATION_TITLE = "Pick a Negotiation Card",
                CARDS_NEGOTIATION_SUBTITLE = "Choose one of {1} negotiation cards",
                CARDS_BATTLE_TITLE = "Pick a Battle Card",
                CARDS_BATTLE_SUBTITLE = "Choose one of {1} battle cards",
                MONEY_TITLE = "Collect Money",
                METTLE_TITLE = "Earn Victory Mettle",
                METTLE_BONUS_TITLE = "Earn Bonus Mettle!",
                RESOLVE_TITLE = "Restore Resolve",
                RESOLVE_SUBTITLE = "Winning a battle has restored <b>{1} Resolve</>",
                HEALTH_TITLE = "Restore Health",
                HEALTH_SUBTITLE = "You rest and recover <b>{1} Health</>",
                CARDS_UPGRADE_BATTLE_TITLE = "Battle {1*Upgrade|Upgrades} Available",
                CARDS_UPGRADE_BATTLE_SUBTITLE = "{1#listing}",

                CARDS_UPGRADE_NEGOTIATION_TITLE = "Negotiation {1*Upgrade|Upgrades} Available",
                CARDS_UPGRADE_NEGOTIATION_SUBTITLE = "{1#listing}",

                CARDS_UPGRADE_GRAFT_TITLE = "Graft {1*Upgrade|Upgrades} Available",
                CARDS_UPGRADE_GRAFT_SUBTITLE = "{1#listing}",

                CARDS_SWAP_BATTLE_TITLE = "Swap {1} Battle {1*Card|Cards}",
                CARDS_SWAP_BATTLE_SUBTITLE = "Remove {1} Battle {1*Card|Cards} and draft {1} new {1*Card|Cards}",

                LOOT_REMAINING = "Collect all mandatory loot items before leaving.",
                LOOT_STOLEN_MONEY = "Collect Money (Stolen from you)",
                LEAVE = "Leave the rest",

                CONFIRM_TITLE = "Leave the rest?",
                CONFIRM_TEXT = "Are you sure you don't want the remaining loot?",

                CONTROLS_LEFT = "<c img='l_all'> Select",
                CONTROLS_RIGHT_CLAIM = "<c img='a'> Claim",
                CONTROLS_RIGHT_CLOSE = "<c img='b'> Leave the rest",
            },

            DAILY_CHALLENGE_SCREEN = {
                TITLE = "DAILY CHALLENGE",

                MUTATORS_TITLE = "ACTIVE MUTATORS",

                DIFFICULTY_TITLE = "SELECT DIFFICULTY",

                HIGH_SCORE_RANK = "<i>#{1}</>",
                HIGH_SCORE_VALUE = "<i>{1#thousands}</>",
                HIGH_SCORE_DESC = "<i>YOUR BEST SCORE</>",
                HIGH_SCORE_TOOLTIP_LINE = "<b>{1}</> <#WHITE>{2} PTS</>",
                HIGH_SCORE_TOOLTIP_DIFFICULTY = "<#QUEST>Difficulty Bonus ({1#percent})</>",
                HIGH_SCORE_BUTTON = "Leaderboards",
                HIGH_SCORE_HEADER = "LEADERBOARDS",

                FEATS_TITLE = "OPTIONAL FEATS",
                FEAT_TOOLTIP_SUCCESS = "<#TITLE><b>DAILY CHALLENGE OPTIONAL FEAT</b></>\n<#MUTATOR><b>{1}</b></>\n{2}\n{3#points_total}</>",
                FEAT_TOOLTIP_FAIL = "<#TITLE><b>DAILY CHALLENGE OPTIONAL FEAT</b></>\n<#PENALTY><b>{1} (FAILED)</b></>\n{2}\n{3#points_total}",
                FEAT_TOOLTIP_INCOMPLETE = "<#TITLE><b>DAILY CHALLENGE OPTIONAL FEAT</b></>\n<b>{1} (INCOMPLETE)</b>\n{2}\n{3#points_total}",
                FEAT_TOOLTIP_PROGRESS = "Progress: <#TITLE>{1}</>",

                DIFFICULTY_1_TITLE = "EASY",
                DIFFICULTY_1_DESC = "",
                DIFFICULTY_2_TITLE = "MEDIUM",
                DIFFICULTY_2_DESC = "+50% PTS",
                DIFFICULTY_3_TITLE = "HARD",
                DIFFICULTY_3_DESC = "+100% PTS",

                CONTROLLER_TOGGLE_LEADERBOARDS = "{1#binding} Leaderboards",
            },

            CONVERSATION_SCREEN =
			{
				CLICK_TO_CONTINUE = "CLICK TO CONTINUE",
                CLICK_TO_CONTINUE_GAMEPAD = "PRESS {1#binding} TO CONTINUE",
                CLICK_TO_CONTINUE_TOUCH = "TAP TO CONTINUE",
				PRESS_TO_SKIP = "<i>{1#binding} or <#WHITE>[RIGHT-CLICK]</> to skip</>",
                PRESS_TO_SKIP_GAMEPAD = "<i>{1#binding} to skip</>",

                CONTROLLER_TOGGLE_CONVO = "{1#binding}",
			},


			FIGHT_SCREEN =
			{
				HAND = "HAND",

                TUTORIAL_TITLE = "Battle Tutorial",
                TUTORIAL_BODY = "You are about to fight for the first time. Would you like to see a quick tutorial? You can review it at any time from the pause menu.",
                FLOURISH_TITLE_FIGHT = "Battle Flourish",
                FLOURISH_TITLE_NEGOTIATION = "Negotiation Flourish",
                FLOURISH_LABEL = "{1%d}/{2%d} FLOURISH AVAILABLE",
                FLOURISH_DESC_1_FIGHT = "Fill up the Flourish bar to trigger one of {1}'s Flourishes.\n<#09E1DCef>Flourish persists between battles.</>",
                FLOURISH_DESC_1_NEGOTIATION = "Fill up the Flourish bar to trigger one of {1}'s Flourishes.\n<#09E1DCef>Flourish persists between negotiations.</>",
                FLOURISH_DESC_2_FIGHT = "In battle, earn Flourish by playing cards, dealing damage, defending damage and by killing opponents.\n\n<#FLOURISH>+{1}x</> Card played\n<#FLOURISH>+{2}x</> Damage dealt\n<#FLOURISH>+{3}x</> Damage received\n<#FLOURISH>+{4}x</> Enemy killed",
                FLOURISH_DESC_2_NEGOTIATION = "In negotiation, earn Flourish by playing cards, dealing damage, mitigating damage and by destroying arguments.\n\n<#FLOURISH>+{1}x</> Card played\n<#FLOURISH>+{2}x</> Damage dealt\n<#FLOURISH>+{3}x</> Damage mitigated\n<#FLOURISH>+{4}x</> Argument destroyed",

                CHARACTER_TUTORIAL_TITLE = "{1} Battle Tutorial",
                CHARACTER_TUTORIAL_BODY = "You are about to fight as {1} for the first time. Would you like to see a quick tutorial about their unique mechanics?",

                TUTORIAL_NO = "No",
                RUN = "<b><#TITLE>Run away</></b>\nThe enemy team will execute their turn, and if you survive, you will run away.\nYou may fail your current job.",
                RUN_TOO_EARLY = "<b><#TITLE>Run away</></b>\n<#PENALTY>You can not run away until turn {1}</>",


				COST_TT = "<b><#TITLE>Action Cost</></b>\nThis card will reduce your available actions by the amount shown.",
                COST_TT_MODIFIED = "\nModified by:{1#concat_line}",
				DAMAGE_INFLICTED = "<b>Damage Inflicted</b>\nThis card will inflict damage by a random value within the range shown.",
				MODIFIERS = "\n\n<b>Modifiers:</b>\n{1}",
				ENEMY_ADVANTAGE = "ENEMY ADVANTAGE!",
				PLAYER_ADVANTAGE = "PLAYER ADVANTAGE!\n+1 Action",
				RESERVE_FIGHTERS = "RESERVE FIGHTERS",

                REINFORCEMENTS_ACTIVE = "<#PENALTY>ENEMY REINFORCEMENT HAS ACTIVATED!</>",
                REINFORCEMENTS_IN = "ENEMY REINFORCEMENT IN: <#PENALTY>{1} {1*TURN|TURNS} </>",

				END_TURN_TOOLTIP = "Passes this turn and redraws your hand.\nYour actions will be restored at the beginning of your next turn.\n\nHotkey: {1#binding}",
				ACCEPT_SURRENDER_TOOLTIP = "They've surrendered to you. You can end this fight now, if you want.",

                RUN_AWAY = "RUN AWAY",
                RUN_AWAY_TT = "At the beginning of your next turn, you will flee this battle.\nThis will cause any allies to dislike you!",

                RUN_CONFIRM_BTN = "Run Away",
                RUN_CONFIRM_BTN_TOOLTIP = "Are you sure you want to run away?\nYour allies will dislike you for abandoning them.",

                SURRENDER_TT = "{1} will {SURRENDER} after receiving <#TITLE>{2}</> more damage.",

                EXIT_DEMO = "Exit Demo",
				RESERVES_ARRIVE_TOOLTIP = "{1} will replace fallen comrades",
                TURNS_LEFT = "WIN IN {1} {1*TURN|TURNS}",
 
                EVADED = "<#SUBTITLE>Evade!</>",

				VICTORY = "VICTORY!",
                SURVIVED = "SURVIVED!",
				DEFEAT = "DEFEAT",

				CARD_TYPE =
				{
					TOOLTIP = "<b>Card Type</b>\n{1}",

					ATTACK_TOOLTIP = "Attack",
					RANGED_ATTACK_TOOLTIP = "Ranged",
					MANEUVER_TOOLTIP = "Maneuver",
					STATUS_TOOLTIP = "Status",
					SPECIAL_TOOLTIP = "Special",
                    ITEM_TOOLTIP = "Item",
                    PARASITE_TOOLTIP = "Parasite",
				},

                CONDITION = "CONDITION",

                FIGHTER_INFO_HEALTH = "{1}/{2} HEALTH",
                FIGHTER_INFO_DIFFICULTY = "Fighter Strength",
                FIGHTER_INFO_PANIC_LABEL = "{1} will <b>Panic</> after receiving {2} more damage.",
                FIGHTER_INFO_DEFEND_LABEL = "{1} will defend {2} damage this turn.",

                CONTROLS_RIGHT_ENDTURN = "{1#binding} End turn {2}",
                CONTROLS_RIGHT_RUNAWAY = "{1#binding} Run away",
                CONTROLS_RIGHT_ACCEPTSURRENDER = "{1#binding} Accept surrender",
                CONTROLS_LEFT_INSPECT_CARDS = "{1#binding} Inspect Cards",
                CONTROLS_LEFT_INSPECT_FIGHTERS = "{1#binding} Inspect Fighters",
			},

            SLOT_SELECT_SCREEN = {
                BACK = "Back",
                CONTINUE = "Continue",
                ABANDON = "Abandon",
                EMPTYSLOT_TITLE = "EMPTY RUN SLOT",
                EMPTYSLOT_DESC = "Start a new run",
                TITLE = "CURRENTLY ACTIVE RUNS",
                SUBTITLE = "{1}/{2} SLOTS USED",
                ADVANCEMENT_TT = "<#ADVANCEMENT>PRESTIGE</>\nLevel {1}",

                CONTROLS_LEFT = "<c img='l_all'> Select slot",
                CONTROLS_RIGHT_CONTINUE = "<c img='a'> Continue",
                CONTROLS_RIGHT_START = "<c img='a'> New run",
                CONTROLS_RIGHT_ABANDON = "<c img='rt'> Abandon run",
                CONTROLS_RIGHT_BACK = "<c img='b'> Back",
            },
            DAY_OVER_SCREEN = {
                TITLE = "END OF DAY",
                BAR_MAX_VALUE = "/{1} {2}",
                BAR_RESULT_HEALED = "SLEEP RESTORATION RATE: {1#percent}",
                BAR_RESULT_MAX = "ALREADY AT MAX",
                TITLE_HEALTH = "HEALTH",
                TITLE_RESOLVE = "RESOLVE",
                LOVED_GAINED = "NEW LOVED",
                LIKED_GAINED = "NEW LIKED",
                DISLIKED_GAINED = "NEW DISLIKED",
                HATED_GAINED = "NEW HATED",
                NEGOTIATION_GAINED = "NEGOTIATION CARDS GAINED",
                BATTLE_GAINED = "BATTLE CARDS GAINED",
                GRAFTS_GAINED = "GRAFTS GAINED",
                COUNTER_LABEL = "+{1}",
                HINT_TEXT = "<b><#TITLE>Hint:</></b> {1}",
                BUTTON_CONTINUE = "Continue",

                CONTROLS_LEFT = "<c img='l_all'> View details",
                CONTROLS_RIGHT_CONTINUE = "<c img='a'> Continue",
                CONTROLS_RIGHT_SKIP = "<c img='b'> Skip",
            },
			GAME_OVER_SCREEN = 
			{
				TITLE_SUCCESS = "SUCCESS!",
                TITLE_FAIL = "GAME OVER",
                PRESTIGE = "PRESTIGE LEVEL {1}",
				BODY_TXT = "<Game over placeholder text> <Game over placeholder text>",
				THANK_YOU = "Thank you!",
                POINTS = "{1} / {2}",
                AT_CAP = "At Cap",

                STATS_BATTLE_TITLE = "BATTLES",
                STATS_BATTLE_SUBTITLE = "WON",
                STATS_BATTLE_BUTTON = "Battle Deck",
                STATS_BATTLE_SCREEN_TITLE = "REVIEWING DECK",

                STATS_PROGRESS_TITLE = "DAYS",
                STATS_PROGRESS_SUBTITLE = "COMPLETED",
                STATS_PROGRESS_BUTTON = "Review Events",
                STATS_PROGRESS_BUTTON_HIDE = "Hide Events",
                STATS_NEGOTIATION_TITLE = "NEGOTIATIONS",
                STATS_NEGOTIATION_SUBTITLE = "WON",
                STATS_NEGOTIATION_BUTTON = "Negotiation Deck",
                STATS_NEGOTIATION_SCREEN_TITLE = "REVIEWING DECK",
                STATS_GRAFT_TITLE = "GRAFTS",
                STATS_GRAFT_SUBTITLE = "INSTALLED",
                STATS_GRAFT_BUTTON = "Grafts",
                STATS_JOB_TITLE = "JOBS",
                STATS_JOB_SUBTITLE = "COMPLETED",
                STATS_RELATIONSHIPS_TITLE = "LOVED",
                STATS_RELATIONSHIPS_SUBTITLE = "PEOPLE",
                STATS_RELATIONSHIPS_BUTTON = "Relationships",

                EXP_FLOATER = "PTS",
                EXP_FLOATER_VALUE = "+{1#thousands}",

                ADVANCEMENT_BONUS = "+{1#percent} PRESTIGE BONUS",
                NEXT_REWARD = "NEXT REWARD",
                REWARD_CHARACTER = "NEW CHARACTER",
                REWARD_COMBAT_CARD = "BATTLE CARD",
                REWARD_NEGOTIATION_CARD = "NEGOTIATION CARD",
                REWARD_COMBAT_GRAFT = "BATTLE GRAFT",
                REWARD_NEGOTIATION_GRAFT = "NEGOTIATION GRAFT",
                REWARD_OUTFIT = "OUTFIT",
                REWARD_COMBAT_DECK = "BATTLE DECK",
                REWARD_NEGOTIATION_DECK = "NEGOTIATION DECK",
                REWARD_UNLOCK = "NEW UNLOCK",
                REWARD_TT = "<b><#TITLE>{1}</></>\n{2}",

                ENEMY_TITLE = "KILLED BY {1.name}",
                ENEMY_SUBTITLE = "{1.HeShe} {1.gender:seems|seems|seem} to have that effect on people.",

                PRESTIGE_TITLE = "PRESTIGE UNLOCKED",
                PRESTIGE_SUBTITLE = "You can try Prestige {1} now!",
                PRESTIGE_BUTTON = "Continue",

                BUTTON_CONTINUE = "Continue",
                BUTTON_CLOSE = "Close",

                CONTROLS_LEFT = "<c img='l_all'> View details",
                CONTROLS_RIGHT_OPEN = "<c img='a'> Open",
                CONTROLS_RIGHT_CONTINUE = "{1#binding} Continue",
                CONTROLS_RIGHT_CLOSE = "<c img='b'> Close",
                CONTROLS_RIGHT_SKIP = "{1#binding} Skip",
			},

            DAILY_OVER_SCREEN =
            {
                SUBTITLE = "Daily Challenge - {1} - {2}",
                BATTLE_DECK_BTN = "Battle Deck",
                NEGOTIATION_DECK_BTN = "Negotiation Deck",
                GRAFT_DECK_BTN = "Grafts",
                FEAT_COMPLETE = "COMPLETED!",
                FEAT_MISSED = "FAILED",

                DIFFICULTY_BONUS = "Difficulty Bonus: <#BONUS>+{2} ({1#percent})</>",

                PTS_FLOATER = "PTS",
                PTS_FLOATER_VALUE = "+{1#thousands}",
                HIGH_SCORE_FLOATER = "<i>PTS</i>",
                POINTS = "{1} / {2}",
            },

            APPROACH_SCORE =
            {
                WON_TITLE = "VICTORY BONUS",
                WON_SUBTITLE = "Still alive!",
                LIKED_TITLE = "LIKED BY {1} {1*PERSON|PEOPLE}",
                LOVED_TITLE = "LOVED BY {1} {1*PERSON|PEOPLE}",
                UPGRADED_TITLE = "SCHOLAR",
                UPGRADED_SUBTITLE = "Upgraded {1} {1*card|cards}",
                MONEY_TITLE = "MONEY",
                MONEY_SUBTITLE = "Acquired {1} {1*shill|shills}",
                QUEST_TITLE = "QUESTS",
                QUEST_SUBTITLE = "Completed {1} {1*job|jobs}",
            },
            
            SCORE_DISPLAY = 
            {
                MONEY = "Money:",
                NUM_LIKED = "Number Liked",
                NUM_LOVED = "Number Loved",
                LEVEL = "Levels Gained:",
                BATTLES = "Battles Won:",
                NEGOTIATION = "Negotiations Won:",
                CARDS_UPGRADED = "Cards Upgraded:",
                JOBS_COMPLETED = "Jobs Completed:",
                SUCCESS_BONUS = "Success Bonus:",
                TOTAL = "TOTAL:",
            },

            UNLOCK_TRACK = 
            {
                UNLOCKED_ACTIVE_TOOLTIP = "<b><#TITLE>{1}</></>\n<b><#QUEST>ENABLED</></>\nYou've unlocked this set.\nThese items will be available in game.",
                UNLOCKED_DISABLED_TOOLTIP = "<b><#TITLE>{1}</></>\n<b><#PENALTY>DISABLED</></>\nYou've unlocked this set.\nThese items will not be available in game.",
                LOCKED_TOOLTIP = "<b><#TITLE>{1}</></>\n<b><#OBJECTIVE>LOCKED</></>\nYou haven't unlocked this set yet. When you do, the items therein will be available in game.",

                CONTROLS_TOOLTIP_SUFFIX = "\n\n<p img='icons_mouse/lmb.tex'> Show details",
                CONTROLS_DETAILS = "{1#binding} Show details",
            },

			FIGHT_RESULTS_SCREEN =
			{
				TITLE  = "Fight Results",
				BATTLE_WON = "You won the battle!",
				FACTION_RELATIONSHIPS = "Faction Relationships:",

				OPINION_HEADER = "{1#agent} remembers: {2}"
			},

			JOB_POPUP =
			{
				TT_TITLE_LABEL = "QUEST AVAILABLE",
                TT_TITLE_LABEL_DANGER = "<#PENALTY>CHALLENGING QUEST</>",
                TT_OPPORTUNITY = "<b><#f58509ff>*LIMITED TIME OPPORTUNITY*</></>\n<i>This opportunity will disappear if you don't seize it!\n</>",
                TITLE_LABEL = "NEW QUEST",
				RANK_LABEL = "DIFFICULTY",
                FOCUS_LABEL = "FOCUS",
                FOCUS_COMBAT = "BATTLE",
                FOCUS_COMBAT_TT = "This quest will likely demand more battle than negotiation skills",
                FOCUS_NEGOTIATION = "NEGOTIATION",
                FOCUS_NEGOTIATION_TT = "This quest will likely demand more negotiation than battle skills",
                FOCUS_MIXED = "BATTLE AND NEGOTIATION",
                FOCUS_MIXED_TT = "This quest will likely demand as much battle as negotiation skills",

				ACCEPT = "Accept",
				DECLINE = "Decline",

                CONTROLS_RIGHT_ACCEPT = "<c img='x'> Accept",
                CONTROLS_RIGHT_DECLINE = "<c img='b'> Decline",
			},

			MOVIE_SCREEN = { 
                SKIP = "Press {1#binding} to skip",
                SKIP_TOUCH = "Double tap to skip",
            },
			
            REPLACE_GRAFT_SCREEN = 
            {
                TITLE = "NEW {1#upper}",
                SUBTITLE = "To install this new {2}, you'll have to replace an existing one.",

                CONTROLS_LEFT_SELECT = "<c img='l_all'> Select graft",
                CONTROLS_RIGHT_ACCEPT = "<c img='a'> Replace graft",
                CONTROLS_RIGHT_BACK = "<c img='b'> Cancel",
            },

            GRAFT_SCREEN = 
            {
                TITLE = "Pick a Graft",
                CAN_NOT_INSTALL = "<#PENALTY>CAN NOT INSTALL\nNO EMPTY SLOT</>",
                SKIP_GRAFT = "Skip",
                DETAILS_SUBTITLE = "<#{1}>{2#upper}</>",

                CLASS_LABEL_NEGOTIATION = "NEGOTIATION GRAFT",
                CLASS_LABEL_BATTLE = "BATTLE GRAFT",

                BUTTON_CONTINUE = "Accept <b>{1}</b>",
                CONTROLS_LEFT_SELECT = "<c img='l_all'> Select graft",
                CONTROLS_RIGHT_ACCEPT = "<c img='x'> Pick graft",
                CONTROLS_RIGHT_MONEY = "<c img='b'> Decline (Gain {1} shills instead)",
                CONTROLS_RIGHT_NO_MONEY = "<c img='b'> Decline",
            },
            MUTATORS_SCREEN = 
            {
                TITLE = "{1#upper}'S ACTIVE MUTATORS",
                
            },
            COIN_SCREEN = 
            {
                TITLE = "{1#upper}'S LUCKY COIN",
                SUBTITLE = "{1}'s lived long enough to leave some things up to fate. When he doesn't like his odds, destiny may provide him with a chance to trade in his coin for another.",

                CONTROLS_FLIP_COIN = "{1#binding} Flip coin",
            },
            PICK_COIN_SCREEN = 
            {
                TITLE = "Pick a Lucky Coin",
                SUBTITLE = "Replace your current lucky coin with one of these",
                CAN_NOT_INSTALL = "<#PENALTY>CAN NOT INSTALL\nNO EMPTY SLOT</>",
                SKIP_GRAFT = "Skip",
                DETAILS_SUBTITLE = "<#{1}>{2#upper}</>",
                SLOT_SUBTITLE = "{3} <#{1}>{2} COIN</>", -- Rare Coin
                CURRENT_COIN = "CURRENT COIN",

                CONTROLS_LEFT_SELECT = "<c img='l_all'> Select coin",
                CONTROLS_RIGHT_ACCEPT = "<c img='x'> Pick coin",
                CONTROLS_RIGHT_MONEY = "<c img='b'> Decline (Gain {1} shills instead)",
                CONTROLS_RIGHT_NO_MONEY = "<c img='b'> Decline",
            },
            BLASTER_SCREEN = 
            {
                TITLE = "{1#upper}'S PISTOLS",
                SUBTITLE = "",
                CHARGES_TITLE = "CHARGE CHAMBERS: {1}",
                CHARGES_TITLE_EMPTY = "CHARGE CHAMBERS: NONE",
                CHARGES_TEXT = "Pistol chambers can hold Charge. Charge can be used in battle for additional effects. Empty chambers restore Charge over time, protecting Rook in the meanwhile.",
                OVERCHARGE_TITLE = "OVERCHARGE LIMIT: {1}",
                OVERCHARGE_TITLE_NOLIMIT = "OVERCHARGE LIMIT: NO LIMIT",
                OVERCHARGE_TEXT = "Gaining Charge while at full Charge generates Overcharge. Each Overcharge increases max damage by 1. It decays over time.",

                CONTROLS_FLIP_BLASTER = "{1#binding} Flip pistols",
            },
            GRAFT_COLLECTION = 
            {
                TITLE = "{1#upper}'S GRAFTS",
                DESC = "Grafts sound as crude as they are. Salvaged from Vagrant tech and plugged straight into your spinal cord, they come in holy, advanced, and black market bootstrap varieties, depending on your resources.",
                COMBAT_GRAFTS = "{1}/{2} BATTLE GRAFTS",
                NEGOTIATION_GRAFTS = "{1}/{2} NEGOTIATION GRAFTS",
                SLOT_EMPTY = "EMPTY",
                SLOT_EMPTY_SUBTITLE = "<#WHITE>NO GRAFT</>",
                SLOT_SUBTITLE = "{4} <#{1}>{2} {3}</>", -- Rare Battle Graft
                SLOT_TYPE_NONE = "GRAFT",
                SLOT_TYPE_COMBAT = "BATTLE GRAFT",
                SLOT_TYPE_NEGOTIATION = "NEGOTIATION GRAFT",
                SLOT_TYPE_SOCIAL_BOON = "SOCIAL BOON",
                SLOT_TYPE_SOCIAL_BANE = "SOCIAL BANE",
                SLOT_TYPE_MUTATOR = "MUTATOR",
                SLOT_TYPE_PERK = "PERK (TIER {1})",
                SLOT_TYPE_COIN = "LUCKY COIN",
                SLOT_TYPE_BLASTER = "PISTOLS",
                SLOT_UPGRADE_AVAILABLE = "UPGRADE AVAILABLE",

                BASIC =
                {
                    COMBAT = "BASIC BATTLE GRAFT",
                    NEGOTIATION = "BASIC NEGOTIATION GRAFT",
                    COIN = "BASIC LUCKY COIN",
                },
                COMMON =
                {
                    COMBAT = "COMMON BATTLE GRAFT",
                    NEGOTIATION = "COMMON NEGOTIATION GRAFT",
                    COIN = "COMMON LUCKY COIN",
                },
                UNCOMMON =
                {
                    COMBAT = "UNCOMMON BATTLE GRAFT",
                    NEGOTIATION = "UNCOMMON NEGOTIATION GRAFT",
                    COIN = "UNCOMMON LUCKY COIN",
                },
                RARE =
                {
                    COMBAT = "RARE BATTLE GRAFT",
                    NEGOTIATION = "RARE NEGOTIATION GRAFT",
                    COIN = "RARE LUCKY COIN",
                },
                UNIQUE =
                {
                    COMBAT = "UNIQUE BATTLE GRAFT",
                    NEGOTIATION = "UNIQUE NEGOTIATION GRAFT",
                    COIN = "UNIQUE LUCKY COIN",
                },
                BOSS =
                {
                    COMBAT = "BOSS BATTLE GRAFT",
                    NEGOTIATION = "BOSS NEGOTIATION GRAFT",
                    COIN = "BOSS LUCKY COIN",
                },
                COSMIC =
                {
                    COMBAT = "COSMIC BATTLE GRAFT",
                    NEGOTIATION = "COSMIC NEGOTIATION GRAFT",
                    COIN = "COSMIC LUCKY COIN",
                },

                CONTROLS_INSTALL = "{1#binding} Install Upgrade",
                CONTROLS_PREVIEW = "{1#binding} Preview Upgrade",
                CONTROLS_REPLACE = "{1#binding} Replace Graft",
            },

			OPTIONS_SCREEN =
			{
                SYSTEM_DEFAULT_AUDIO = "Use System Default",
                CURSOR = "Cursor",
                CURSOR_1 = "Size 1",
                CURSOR_2 = "Size 2",
                CURSOR_3 = "Size 3",
                CURSOR_4 = "Size 4",
                CURSOR_5 = "Size 5",
                CURSOR_6 = "Size 6",
                CURSOR_SYSTEM = "System",
                CURSOR_1_DESC = "The smallest cursor.",
                CURSOR_2_DESC = "Smaller cursor.",
                CURSOR_3_DESC = "The default cursor size.",
                CURSOR_4_DESC = "Larger cursor.",
                CURSOR_5_DESC = "Even larger cursor.",
                CURSOR_6_DESC = "The largest cursor.",
                CURSOR_SYSTEM_DESC = "Use the standard system cursor.",

                TAB_GRAPHICS = "GRAPHICS",
                TAB_AUDIO = "AUDIO",
                TAB_CONTROLS = "CONTROLS",
                TAB_OTHER = "OTHER",
                TAB_MODS = "MODS",
                TAB_GAMEPLAY = "GAMEPLAY",

                -- Tab Graphics
				FULLSCREEN = "Borderless Fullscreen",
                FULLSCREEN_ON = "ON",
                FULLSCREEN_ON_DESC = "The game window fills up your display.",
                FULLSCREEN_OFF = "OFF",
                FULLSCREEN_OFF_DESC = "The game window can be positioned and resized at will.",

                RESOLUTION = "Resolution",
                RESOLUTION_DESC = "The size of the game window in pixels.",
                CUSTOM_RESOLUTION = "Custom {1}x{2}",
                CUSTOM_RESOLUTION_DESC = "You're in fullscreen mode, so the game window uses the exact resolution of your display. To increase performance, decrease the <#SUBTITLE>Max Target Size</> below",

                LAYOUTSCALE = "UI Scaling",
                LAYOUTSCALE_MONITOR = "Normal",
                LAYOUTSCALE_MONITOR_DESC = "The UI elements and text on the screen show at the standard size.",
                LAYOUTSCALE_TV = "Big",
                LAYOUTSCALE_TV_DESC = "Most UI elements and text on the screen show 30% larger than usual.",
                LAYOUTSCALE_SMALL = "Bigger",
                LAYOUTSCALE_SMALL_DESC = "Most UI elements and text on the screen show 40% larger than usual.",

                FRAMELIMITER = "Framerate Limiter",
                FRAMELIMITER_OFF = "OFF",
                FRAMELIMITER_OFF_DESC = "The game will render as fast as the refresh rate of the monitor.",
                FRAMELIMITER_60HZ = "60Hz",
                FRAMELIMITER_60HZ_DESC = "The game will render at a maximum of 60 frames per second.",
                FRAMELIMITER_30HZ = "30Hz",
                FRAMELIMITER_30HZ_DESC = "The game will render at a maximum of 30 frames per second, possibly saving battery life on laptops.",

				MAXY = "Max Target Size",
                MAXY_DESC = "The game will render at a maximum of {1} vertical pixels. Higher values look better at the cost of performance.",

                COLOURBLIND = "Color Blind Settings",
                COLOURBLIND_TT = "{1} card color preview",
                COLOURBLIND_DEFAULT = "Default",
                COLOURBLIND_DEFAULT_DESC = "Cards are shown in their original colors",
                COLOURBLIND_PROTANOPIA = "Protanopia - Red/Green",
                COLOURBLIND_PROTANOPIA_DESC = "Hostility, Item and Attack card colors are tweaked to be more distinct",
                COLOURBLIND_DEUTERANOPIA = "Deuteranopia - Red/Green",
                COLOURBLIND_DEUTERANOPIA_DESC = "Diplomacy and Item card colors are tweaked to be more distinct",
                COLOURBLIND_TRITANOPIA = "Tritanopia - Blue/Yellow",
                COLOURBLIND_TRITANOPIA_DESC = "Maneuver, Attack and Item card colors are tweaked to be more distinct",

				BLOOM = "Bloom",
                BLOOM_ON = "ON",
                BLOOM_ON_DESC = "Shows some glow around various visual elements. <#SUBTITLE>Recommended.</>",
                BLOOM_OFF = "OFF",
                BLOOM_OFF_DESC = "Increased performance by hiding the glow.",

                FORCE_MONO = "Force Mono Mix",
                FORCE_MONO_ON = "ON",
                FORCE_MONO_ON_DESC = "Output a monaural audio mix.",
                FORCE_MONO_OFF = "OFF",
                FORCE_MONO_OFF_DESC = "Output a stereo audio mix.",

                MUTE_ON_LOSE_FOCUS = "Mute on Lose Focus",
                MUTE_ON_LOSE_FOCUS_ON = "ON",
                MUTE_ON_LOSE_FOCUS_ON_DESC = "Silence the game when other windows have focus.",
                MUTE_ON_LOSE_FOCUS_OFF = "OFF",
                MUTE_ON_LOSE_FOCUS_OFF_DESC = "Let the game make sound when other windows have focus.",


				DETAILLEVEL = "Level Of Detail",
                DETAILLEVEL_HIGH = "HIGH",
                DETAILLEVEL_HIGH_DESC = "High quality textures, fog and distance blur. More graphically demanding. Requires restarting the game to fully apply.",
                DETAILLEVEL_LOW = "LOW",
                DETAILLEVEL_LOW_DESC = "Increased performance by lowering the fog, texture resolution, and distance blur quality. Requires restarting the game to fully apply.",
                DETAILLEVEL_POPUP_TITLE = "RESTART REQUIRED",
                DETAILLEVEL_POPUP_TEXT = "Texture resolution changes will only come into effect after restarting the game.",

                -- Tab Audio
                AUDIO_DEVICE = "Output Device",
                MASTER = "Main Volume",
                MASTER_DESC = "The overall sound volume of the game.",
                MUSIC = "Music Volume",
                MUSIC_DESC = "The volume of music in the game.",
                VOICE = "Voice Volume",
                VOICE_DESC = "The volume of character and narrator voices.",
                FX = "Sound Effects Volume (select for specific categories)",
                FX_DESC = "The volume of sound effects.",
                FX_DROPDOWN_TT = "Advanced effect volume controls",
                FX_AMBIENCE = "Ambient Sounds",
                FX_AMBIENCE_DESC = "The volume of ambient sounds.",
                FX_ACTIONS = "Action Sounds",
                FX_ACTIONS_DESC = "The volume of action sounds (characters moving, weapons, hits, etc).",
                FX_CARDS = "Card Sounds",
                FX_CARDS_DESC = "The volume of card-playing sound effects.",
                FX_UI = "UI Sounds",
                FX_UI_DESC = "The volume of user interface sounds.",
                DISABLED_TT = "Not implemented yet",

                -- Tab Other
                METRICS = "Metrics",
                METRICS_ENABLED = "ENABLED",
                METRICS_ENABLED_DESC = "The game will send gameplay data to Klei's servers, to help us improve the game.",
                METRICS_DISABLED = "DISABLED",
                METRICS_DISABLED_DESC = "The game won't upload any gameplay data to Klei's servers.",
                LANGUAGES = "Languages",
                LANGUAGES_ENABLED = "ENABLED",
                LANGUAGES_DESC = "<#SUBTITLE>WARNING:</> Changing the language will require the game to re-launch. Make sure your progress is saved.",
                LANGUAGES_INCOMPLETE_DESC = "<#SUBTITLE>WARNING:</> This will re-launch the game. Make sure your progress is saved.\n\n<#PENALTY>This translation is incomplete!</>",
                CREDITS = "Credits",
                CREDITS_TITLE = "Roll credits",
                CREDITS_DESC = "See who made this game",
                RESET_PROFILE = "Reset Profile",
                RESET_PROFILE_TITLE = "Reset Profile",
                RESET_PROFILE_DISABLED = "Please return to the main menu before attempting to reset your profile.",
                RESET_PROFILE_DESC = "Reset all save games, unlocks, and stats.",
                RESET_PROFILE_DESC_LOCKED = "Reset all save games, unlocks, and stats. <b>You can't do this while you are in the middle of a run.</>",
                RESET_PROFILE_BODY = "<b><#PENALTY>WARNING:</></> This will reset all meta progression and delete existing save games. This action can not be undone. Are you <b>absolutely sure</> you want to do this?",
                RESET_PROFILE_CONFIRM_TITLE = "Profile Reset!",
                RESET_PROFILE_CONFIRM_BODY = "Your profile has been reset.",

                RESET_SETTINGS = "Reset Settings",
                RESET_SETTINGS_TITLE = "Revert to Defaults",
                RESET_SETTINGS_DESC = "Reset your user settings to their default values. This will leave your progression and any unlocks intact.",
                RESET_SETTINGS_BODY = "<b><#PENALTY>WARNING:</></> This will reset your user settings to default values. This action can not be undone. Are you sure you want to proceed?",

                -- Tab Controls
                CONTROL_REVERT_BINDINGS = "Restore all bindings",
                CONTROL_REVERT_BINDINGS_DESC = "Restore all bindings to their default values",
                CONTROL_DEFAULT = "Default: {1}",

                -- Tab Gameplay
                AUTO_SKIP = "Auto-Skip Dialog",
                AUTO_SKIP_ENABLED = "ENABLED",
                AUTO_SKIP_ENABLED_DESC = "The game will auto-skip dialog. You can still scroll back through dialog history.",
                AUTO_SKIP_DISABLED = "DISABLED",
                AUTO_SKIP_DISABLED_DESC = "The game will wait for you to advance the dialog.",

                FAST_MODE = "Fast Mode",
                FAST_MODE_ENABLED = "ENABLED",
                FAST_MODE_ENABLED_DESC = "The game will speed through map travel and some animations more quickly.",
                FAST_MODE_DISABLED = "DISABLED",
                FAST_MODE_DISABLED_DESC = "The game will play at normal speed.",

                NEGOTIATION_SPEED = "Negotiation Speed",
                NEGOTIATION_SPEED_DESC = "Governs the speed at which presentation occurs during negotiation.",

                BATTLE_SPEED = "Battle Speed",
                BATTLE_SPEED_DESC = "Governs the speed at which presentation occurs during battle.",

                SKIP_MOVIES = "Skip Cinematics",
                SKIP_MOVIES_ENABLED = "ENABLED",
                SKIP_MOVIES_ENABLED_DESC = "The game will skip cinematics.",
                SKIP_MOVIES_DISABLED = "DISABLED",
                SKIP_MOVIES_DISABLED_DESC = "The game will play cinematics.",

                CONFIRM_SELECT = "Confirm Card Selection",
                CONFIRM_SELECT_ENABLED = "ENABLED (DEFAULT)",
                CONFIRM_SELECT_ENABLED_DESC = "During card selection, you have to confirm your choice. Prevents accidental actions.",
                CONFIRM_SELECT_DISABLED = "DISABLED",
                CONFIRM_SELECT_DISABLED_DESC = "During card selection, a single click will select a card.",
                CONFIRM_SELECT_TOOLTIP = "You can disable confirmation buttons in\n<#TITLE>Options</> > <#TITLE>Gameplay</> > <#TITLE><b>Confirm Card Selection</></>",

                CONFIRM_ENDTURN = "Confirm End Turn",
                CONFIRM_ENDTURN_ENABLED = "ENABLED (DEFAULT)",
                CONFIRM_ENDTURN_ENABLED_DESC = "If you still have playable cards and select End Turn, you have to confirm that. Prevents accidental actions.",
                CONFIRM_ENDTURN_DISABLED = "DISABLED",
                CONFIRM_ENDTURN_DISABLED_DESC = "Selecting End Turn will end the turn, even if you still have playable cards.",

                STREAMER_MODE = "Streaming Mode",
                STREAMER_MODE_OVERLAY_TEXT = "SAFE AREA FOR STREAMING OVERLAY",
                STREAMER_MODE_ENABLED = "LEFT SIDE",
                STREAMER_MODE_ENABLED_DESC = "The game UI will leave a safe area on the bottom left corner for a camera feed overlay.",
                STREAMER_MODE_ENABLED_RIGHT = "RIGHT SIDE",
                STREAMER_MODE_ENABLED_DESC_RIGHT = "The game UI will leave a safe area on the bottom right corner for a camera feed overlay.",
                STREAMER_MODE_DISABLED = "DISABLED",
                STREAMER_MODE_DISABLED_DESC = "Default game UI.",

                TWITCH_MODE = "Twitch Mode",
                TWITCH_MODE_ENABLED = "ENABLED",
                TWITCH_MODE_ENABLED_DESC = "The game connects to the Twitch Griftlands Extension on your stream.",
                TWITCH_MODE_DISABLED = "DISABLED",
                TWITCH_MODE_DISABLED_DESC = "The game isn't being streamed on Twitch.",

                POWERSAVER = "Power Saver",
                POWERSAVER_OFF = "High Quality",
                POWERSAVER_OFF_DESC = "The game will display the best possible graphics.",
                POWERSAVER_ON = "Power Saving",
                POWERSAVER_ON_DESC = "The game will lower the graphic quality to save power.",

				APPLY = "Apply Changes",
				REVERT = "Revert Changes",

				CONFIRM_CLOSE = "Unsaved Changes",
				CONFIRM_CLOSE_DETAILS = "You have unsaved changes. Are you sure you want to close without applying them first?",

                CONTROLS_LABEL_TAB_LEFT = "<c img='lb'>",
                CONTROLS_LABEL_TAB_RIGHT = "<c img='rb'>",

                SCREEN_SWAY = "Screen Sway",
                SCREEN_SWAY_ON= "On",
                SCREEN_SWAY_OFF= "Off",
                SCREEN_SWAY_ON_DESC= "Conversation and location screens will move slightly with your mouse.",
                SCREEN_SWAY_OFF_DESC= "Conversation and location screens will stay still.",

                SCREEN_FLASH= "Screen Flash",
                SCREEN_FLASH_ON= "On",
                SCREEN_FLASH_OFF= "Off",
                SCREEN_FLASH_ON_DESC= "The screen will flash when characters take damage in fights or negotiations.",
                SCREEN_FLASH_OFF_DESC= "Screen flashes will be minimized.",

                SCREEN_SHAKE= "Screen Shake",
                SCREEN_SHAKE_ON= "On",
                SCREEN_SHAKE_OFF= "Off",
                SCREEN_SHAKE_ON_DESC= "The screen will shake when characters take damage in fights or negotiations.",
                SCREEN_SHAKE_OFF_DESC= "The screen will stay still.",

			},

            TWITCH =
            {
                NO_TWITCH_POPUP_TITLE = "No Twitch Account connected",
                NO_TWITCH_POPUP_TEXT = "You need to connect your Twitch account to your Klei account. That allows the game and the Twitch Extension to interact with each other. Connect now?",
                ERROR_TWITCH_POPUP_TITLE = "Error connecting to Twitch",
                OPTIONS_REFRESH_CONNECTION_TT = "Refresh connection",
                CONNECTED_POPUP_TITLE = "Account connected!",
                CONNECTED_POPUP_TEXT = "Your account is connected successfully, and the Griftlands Extension is able to interact with the game.",
            },

			LANGUAGES_SCREEN =
			{
				TITLE = "LANGUAGES",
				CHANGE_LANGUAGE_TITLE = "Pick a Language",
                CHANGE_LANGUAGE_CONFIRM_TITLE = "SELECT {1}",
				CHANGE_LANGUAGE_CONFIRM_TEXT = "Do you want to set the language to {1}?\nYou can change it later in Options > Other > Languages",
			},

            CREDITS_SCREEN = 
            {
                FMOD = "Made with FMOD Studio\nby Firelight Technologies Pty Ltd.",
                SKYMAP_TITLE = "Skymap Games",
                HUWIZ_TITLE = "HUWIZ QA/UX",
                POWERUP_TITLE = "Audio Design by",
                POWERUP_SUBTITLE = "POWER UP AUDIO",
                MUSIC_TITLE = "Music by",
                VOICE_TITLE = "Voices by",
                CONTROLS_RIGHT_CLOSE = "<c img='b'> Close",
                ADDITIONAL_SOUND = "With Additional Sound Design by\nKlei Entertainment",
                ADDITIONAL_MUSIC = "With Additional Music by\nKlei Entertainment",
            },
            
            FEEDBACK_SCREEN = 
            {
                TITLE = "Griftlands Feedback",
                ABOUT = "Notice something awful, strange, or wonderful? Tell us how you feel, and send us some diagnostic data so that we can look into the issue!",
                NAME_PROMPT = "Who are you?",
                SHORT_PROMPT = "Subject",
                IMG_PROMPT = "Screenshot",
                PROMPT = "Details (optional)",
                SUBMIT = "Submit",
                CANCEL = "Cancel",
                SUBMITTED_TITLE = "Feedback submitted",
                SUBMITTED_BODY = "Thank you for your feedback. You are helping to make this game better!",
                SEND_LOG = "Send Log",
                SEND_SCREENSHOT = "Send Screenshot",
                SEND_SAVE = "Send Latest Save",

                CATEGORIES = 
                {   
                    GAMEPLAY = "Gameplay",
                    STORY = "Story",
                    UI = "UI",
                    GRAPHICS = "Graphics",
                    AUDIO = "Audio",
                    OTHER = "Other",
                },
            },
			SHOP_SCREEN =
			{
				CARD_SHOP_TITLE = "Card Shop",
				CARD_SHOP_SUBTITLE = "{1} has these cards available for sale",
				LEAVE = "Leave",
				RESTOCK = "Restock",
			},


			SHOW_DECK_SCREEN = 
			{
                CARD_COUNT = "— {1} {1*CARD|CARDS}",
				NEGOTIATION_DECK_TITLE = "{1}'s Negotiation Deck",
				NEGOTIATION_DECK_UPPERCASE = "NEGOTIATION DECK",
				BATTLE_DECK_TITLE = "{1}'s Battle Deck",
				BATTLE_DECK_UPPERCASE = "BATTLE DECK",
				UPGRADE = "UPGRADE",
				PREVIEW = "PREVIEW UPGRADE",
				UPGRADE_TITLE = "UPGRADE PROGRESS",
				UPGRADE_READY = "UPGRADE READY",
				UPGRADE_PROGRESS = "{1%d}/{2%d}",
                DETAILS_NOCARDNAME = "No card selected",
				DETAILS_SUBTITLE = "<#{1}>{2#upper}</> <#{3}>{4#upper} CARD</>", -- Rare Hostility card
                DETAILS_SUBTITLE_UPGRADED = "<#{1}>UPGRADED {2#upper}</> <#{3}>{4#upper} CARD</>", -- Upgraded Rare Hostility card
				DETAILS_NOCARDSUBTITLE = "NONE",
                DETAILS_NO_XP = "This card has no XP but can be upgraded by other means",
				SUBCARDINFO_CAN_TRASH = "TRASH",
                SUBCARDINFO_UPGRADE = "UPGRADE READY",
				SUBCARDINFOTOOLTIP_UPGRADE = "This card is now ready to upgrade",
				SUBCARDINFO_CHARGES = "NO USES LEFT",
				SUBCARDINFOTOOLTIP_CHARGES = "This card is out of uses.",
				SUBCARDINFOTOOLTIP_INCEPTED = "This card was added to your deck by your opponent, or by one of your own cards.",
                SUBCARDINFO_CLASS_NEGOTIATION = "NEGOTIATION CARD",
                SUBCARDINFOTOOLTIP_CLASS_NEGOTIATION = "This card goes into your Negotiation deck",
                SUBCARDINFO_CLASS_BATTLE = "BATTLE CARD",
                SUBCARDINFOTOOLTIP_CLASS_BATTLE = "This card goes into your Battle deck",
                BATTLE = "Battle",
                NEGOTIATION = "Negotiation",
                TRASH = "TRASH",
                TRASH_CONFIRM_TITLE = "Trash {1}",
                TRASH_CONFIRM_BODY = "Do you want to trash this card? This action can't be undone.",
                FILTERS_BUTTON_TT = "<#TITLE><b>FILTERS</></>\nFilter what cards are shown",

                CONTROLS_LEFT = "<c img='l_all'> Select",
                CONTROLS_LEFT_FILTERS = "<c img='lb'> Filters",
                CONTROLS_LEFT_OTHER_DECK = "<c img='rb'> {1}",
                CONTROLS_RIGHT_PREVIEW = "{1#binding} Preview upgrades",
                CONTROLS_RIGHT_UPGRADE = "{1#binding} Upgrade",
                CONTROLS_RIGHT_TRASH = "{1#binding} Trash",
                CONTROLS_RIGHT_UPGRADES = "{1#binding} Potential upgrades",

			},

            CARDCOMPENDIUM = {
                UPGRADES_TITLE = "POTENTIAL UPGRADES",
                NAV_CARDS = "CARDS",
                NAV_CARDS_TT = "<b><#TITLE>{1} / {2} UNLOCKS</></b>\nYou've unlocked {3#percent} of cards.",
                NAV_PEOPLE = "PEOPLE",
                NAV_PEOPLE_TT = "<b><#TITLE>{1} / {2} UNLOCKS</></b>\nYou've unlocked {3#percent} of people-related unlocks. These include meeting each person and receiving their social boons/banes.",
                NAV_BOSS = "BOSSES",
                NAV_BOSS_TT = "<b><#TITLE>{1} / {2} UNLOCKS</></b>\nYou've unlocked {3#percent} of boss-related unlocks. These include meeting each boss and receiving their social boons/banes.",
                NAV_GRAFTS = "GRAFTS",
                NAV_GRAFTS_TT = "<b><#TITLE>{1} / {2} UNLOCKS</></b>\nYou've unlocked {3#percent} of graft-related unlocks. These include seeing and installing each graft.",
                NAV_METTLE = "METTLE",
                NAV_METTLE_TT = "<b><#TITLE>{1} / {2} UNLOCKED</></b>\nYou've unlocked {3#percent} of all mettle upgrades.",
                NAV_GRIFTS = "GRIFTS",
                NAV_GRIFTS_TT = "<b><#TITLE>{1} / {2} COMPLETED</></b>\nYou've completed {3#percent} of available grifts.",
                NAV_PROGRESS = "{1#percent}",
                CARD_LOCKED_TT = "<b><#TITLE>Locked Card</></b>\nThis card is locked. Doing more runs with this character will unlock more of their cards.",
                FILTER_CHARACTERS = "CHARACTERS",
                CARD_FILTER_SERIES_LOCKED_TITLE = "LOCKED",
                CARD_FILTER_SERIES_LOCKED_TT = "You haven't unlocked this character yet",
                CARD_FILTER_SERIES_TITLE = "{1} CARDS",
                CARD_FILTER_SERIES_SUBTITLE = "Unlocked",
                CARD_FILTER_SERIES_PROGRESS = "<b>{1}</>/{2}",
                CARD_FILTER_SERIES_TT = "<b><#TITLE>{1}</></b>\n{2}",
                CARD_FILTER_SERIES_PLAYER_TT = "Cards you can get when you play as {1}.\n<#SUBTITLE>You've unlocked <b>{2}/{3}</> of this character's unlockable cards.</>",
                CARD_FILTER_SERIES_NPC = "ENEMY CARDS",
                CARD_FILTER_SERIES_NPC_TT = "Cards that enemies incept into your deck",
                CARD_FILTER_SERIES_GENERAL = "OTHER CARDS",
                CARD_FILTER_SERIES_GENERAL_TT = "Cards that aren't specific to a particular character",
                GRAFT_FILTER_SERIES_TITLE = "{1} GRAFTS",
                GRAFT_FILTER_SERIES_SUBTITLE = "Unlocked",
                GRAFT_FILTER_SERIES_PROGRESS = "<b>{1}</>/{2}",
                GRAFT_FILTER_SERIES_TT = "<b><#TITLE>{1}</></b>\n{2}",
                GRAFT_FILTER_SERIES_PLAYER_TT = "Grafts you can get when you play as {1}.\n<#SUBTITLE>You've seen <b>{2}</> and installed <b>{3}</> out of this character's <b>{4}</> grafts.</>",
                GRAFT_FILTER_SERIES_NPC = "ENEMY",
                GRAFT_FILTER_SERIES_NPC_TT = "Grafts that enemies give you",
                GRAFT_FILTER_SERIES_GENERAL = "OTHER",
                GRAFT_FILTER_SERIES_GENERAL_TT = "Grafts that aren't specific to a particular character",
                FILTER_SEARCH = "SEARCH",
                FILTER_SEARCH_DEFAULT_STRING = "Search...",
                CARD_FILTER_MINIGAME = "CARD CATEGORY",
                CARD_FILTER_MINIGAME_TITLE_BATTLE = "BATTLE CARDS",
                CARD_FILTER_MINIGAME_TITLE_NEGOTIATION = "NEGOTIATION CARDS",
                CARD_FILTER_MINIGAME_SUBTITLE = "Unlocked",
                CARD_FILTER_MINIGAME_PROGRESS = "<b>{1}</>/{2}",
                METTLE_FILTER_SUBTITLE = "Unlocked",
                METTLE_FILTER_SERIES_TITLE = "{1}'S METTLE",
                METTLE_FILTER_SERIES_PLAYER_TT = "Mettle upgrades you can unlock when you play as {1}.\n<#SUBTITLE>You've unlocked <b>{2}/{3}</> of this character's unlockable mettle upgrades.</>",
                METTLE_FILTER_SERIES_TT = "<b><#TITLE>{1}</></b>\n{2}",
                METTLE_FILTER_SERIES_SUBTITLE = "Unlocked",
                METTLE_FILTER_SERIES_PROGRESS = "<b>{1}</>/{2}",
                METTLE_AMOUNT = "{1} has <#METTLE>{2#thousands}</> <p img='UI/mettle_screen.tex' scale=0.8> available. Look for the Mettle vendor during a run to unlock upgrades.",
                GRIFT_FILTER_SUBTITLE = "Completed",
                GRAFT_FILTER_MINIGAME = "GRAFT CATEGORY",
                GRAFT_FILTER_MINIGAME_TITLE_BATTLE = "BATTLE GRAFTS",
                GRAFT_FILTER_MINIGAME_TITLE_NEGOTIATION = "NEGOTIATION GRAFTS",
                GRAFT_FILTER_MINIGAME_BATTLE_TT = "<b><#TITLE>BATTLE GRAFTS</></b>\n<#SUBTITLE>You've seen <b>{1}</> and installed <b>{2}</> out of the <b>{3}</> Battle grafts.</>",
                GRAFT_FILTER_MINIGAME_NEGOTIATION_TT = "<b><#TITLE>NEGOTIATION GRAFTS</></b>\n<#SUBTITLE>You've seen <b>{1}</> and installed <b>{2}</> out of the <b>{3}</> Negotiation grafts.</>",
                CARD_FILTER_RARITY = "CARD RARITY",
                CARD_FILTER_RARITY_TT = "<b><#TITLE>{1} cards</></b>\n{2}",
                CARD_FILTER_RARITY_BASIC_TT = "Cards you start a run with",
                CARD_FILTER_RARITY_COMMON_TT = "Cards you are likely to get through a run",
                CARD_FILTER_RARITY_UNCOMMON_TT = "Cards you're less likely to get through a run",
                CARD_FILTER_RARITY_RARE_TT = "Cards you'll rarely get through a run",
                CARD_FILTER_RARITY_UNIQUE_TT = "Cards you're given through a run based on your actions, or that are spawned by other cards",
                GRAFT_FILTER_RARITY = "GRAFT RARITY",
                GRAFT_FILTER_RARITY_TT = "<b><#TITLE>{1} grafts</></b>\n{2}",
                GRAFT_FILTER_RARITY_COMMON_TT = "Grafts you are likely to get through a run",
                GRAFT_FILTER_RARITY_UNCOMMON_TT = "Grafts you're less likely to get through a run",
                GRAFT_FILTER_RARITY_RARE_TT = "Grafts you'll rarely get through a run",
                GRAFT_FILTER_RARITY_UNIQUE_TT = "Grafts you're given through a run based on your actions, or that are spawned by other cards",
                GRAFT_FILTER_RARITY_BOSS_TT = "Grafts you're given when you defeat a boss",
                GRAFT_FILTER_RARITY_COSMIC_TT = "Grafts that show up in dailies, or with mutators",
                FILTER_TYPE = "CARD TYPE",
                FILTER_TYPE_TT = "<b><#TITLE>{1} cards</></b>\n{2}",
                FILTER_TYPE_NEGOTIATION_HOSTILE_TT = "Cards that use more aggressive posture in negotiations",
                FILTER_TYPE_NEGOTIATION_DIPLOMACY_TT = "Cards that use finesse and poise in negotiations",
                FILTER_TYPE_NEGOTIATION_MANIPULATE_TT = "Cards that create arguments or influence negotiations in different ways",
                FILTER_TYPE_NEGOTIATION_BYSTANDER_TT = "",
                FILTER_TYPE_NEGOTIATION_STATUS_TT = "Cards that are applied to your character when they become injured, tired, or inebriated",
                FILTER_TYPE_NEGOTIATION_OPPONENT_TT = "",
                FILTER_TYPE_FIGHT_MELEE_TT = "Cards that deal damage",
                FILTER_TYPE_FIGHT_SKILL_TT = "Cards that create buffs or defense",
                FILTER_TYPE_FIGHT_SPECIAL_TT = "",
                FILTER_TYPE_ITEM_TT = "Special cards that usually have limited uses before being destroyed",
                FILTER_TYPE_PARASITE_TT = "Cards that represent the Bog getting under your skin, and may have positive and negative effects",
                FILTER_TYPE_FLOURISH_TT = "Cards that are unlocked by beating bosses at prestige levels, and can be played when your flourish bar is full",
                FILTER_TYPE_FIGHT_STATUS_TT = "Cards that are applied to your character when they become injured, tired, or inebriated",
                FILTER_TYPE_SCORE_TT = "Cards that grant points in the Daily Challenge",
                CARD_FILTER_SORT = "CARD SORTING",
                SORT_OPTION_DEFAULT = "Default",
                SORT_OPTION_NAME = "Card Name",
                SORT_OPTION_COST_DES = "Card Cost Descending",
                SORT_OPTION_COST_ASC = "Card Cost Ascending",
                SORT_OPTION_DAMAGE_DES = "Card Damage Descending",
                SORT_OPTION_DAMAGE_ASC = "Card Damage Ascending",
                SORT_OPTION_TYPE = "Card Type",
                SORT_OPTION_RARITY = "Card Rarity",
                SORT_OPTION_NOTUPGRADED = "Not Upgraded",
                PEOPLE_SORT = "PEOPLE SORTING",
                SORT_OPTION_AGENT_NAME = "Person Name",
                SORT_OPTION_AGENT_TITLE = "Person Title",
                SORT_OPTION_AGENT_FACTION = "Person Faction",
                SORT_OPTION_AGENT_UNLOCKABLE = "Unlockable Progress",
                BOSS_SORT = "BOSS SORTING",
                SORT_OPTION_BOSS_NAME = "Boss Name",
                SORT_OPTION_BOSS_TITLE = "Boss Title",
                SORT_OPTION_BOSS_FACTION = "Boss Faction",
                SORT_OPTION_BOSS_UNLOCKABLE = "Unlockable Progress",
                GRAFT_FILTER_SORT = "GRAFT SORTING",
                SORT_OPTION_GRAFT_NAME = "Graft Name",
                SORT_OPTION_GRAFT_RARITY = "Graft Rarity",
                SORT_OPTION_GRAFT_SEEN = "Graft Seen",
                SORT_OPTION_GRAFT_INSTALLED = "Graft Installed",
                FILTER_FACTION = "FACTION",
                FILTER_FACTION_PLAYER = "<b><#TITLE>Playable characters</>",
                FILTER_FACTION_TT = "<b><#TITLE>{1}</></b>\n{2}",
                AGENT_FILTER_OTHER = "OTHER",
                AGENT_FILTER_BOSS = "Show bosses",
                AGENT_FILTER_NONBOSS = "Show regular people",
                AGENT_FILTER_UNKNOWN = "Show unknown people",
                BOSS_FILTER_UNKNOWN = "Show unknown bosses",
                AGENT_LOCKED_NAME = "???",
                AGENT_LOCKED_TT = "<b><#TITLE>Unknown</></b>\nYou haven't met this person yet. When you meet them in game, their details will show here.",
                BOSS_LOCKED_TT = "<b><#TITLE>Unknown</></b>\nYou haven't met this boss yet. When you meet them in game, their details will show here.",
                AGENT_UNLOCKS_TT = "<b><#TITLE>{1}/{2} {3} Unlocks:</></b>\n{4}",
                AGENT_UNLOCKS_TT_SUCCESS = "<#BONUS>{1}</>",
                AGENT_UNLOCKS_TT_INCOMPLETE = "<#FF6363aa>{1}</>",
                AGENT_UNLOCKS_TT_MET = " - Met {1}",
                AGENT_UNLOCKS_TT_DEFEATED = " - Defeated {1}",
                AGENT_UNLOCKS_TT_BOON = " - Received Boon",
                AGENT_UNLOCKS_TT_BANE = " - Received Bane",
                AGENT_UNLOCKS_TT_LORE = " - Learned {1}/{2} lore details about {3}",
                BOON_TITLE = "SOCIAL BOON",
                BOON_UNKNOWN_NAME = "???",
                BOON_UNKNOWN_DESC = "You haven't received this social boon yet. Making this person love you in a run will unlock it.",
                BANE_TITLE = "SOCIAL BANE",
                BANE_UNKNOWN_NAME = "???",
                BANE_UNKNOWN_DESC = "You haven't received this social bane yet. Making this person hate you in a run will unlock it.",
                DEATH_LOOT_TITLE = "DEATH LOOT",
                DEATH_LOOT_DESC = "Gain this card whenever you murder {1}.",
                AGENT_SOCIAL_TAB = "BOON/BANE",
                AGENT_LORE_TAB = "LORE",
                AGENT_LORE_TAB_SUBTITLE = "Unlocked",
                AGENT_LORE_TAB_NO_UNLOCKS = "No unlockable lore",
                AGENT_LORE_LOCKED_TEXT = "<b><#TITLE>LOCKED</></b>\nInteracting with this person in different ways will allow you to learn new details about them.",
                AGENT_VOICE_TITLE = "VOICE",
                AGENT_VOICE_BTN = "Hear {1}'s voice",
                BOSS_ADVANCEMENT_TITLE_EMPTY = "PRESTIGE LEVEL",
                BOSS_ADVANCEMENT_TITLE = "PRESTIGE LEVEL {1}",
                BOSS_ADVANCEMENT_DESC_EMPTY = "You have never beaten {1.who}. Killing {1.himher} at each Prestige level will earn you Prestige Points.",
                BOSS_ADVANCEMENT_DESC = "The highest Prestige level you've beaten {1.name} at was <b>{2}</>. Killing {1.himher} at higher Prestige levels will earn you Prestige Points.",
                BOSS_ADVANCEMENT_DESC_MAX = "You have beaten {1.name} at the maximum Prestige level.",
                GRAFT_NEGOTIATION_TITLE = "NEGOTIATION GRAFT",
                GRAFT_BATTLE_TITLE = "BATTLE GRAFT",
                GRAFT_LOCKED_NAME = "???",
                GRAFT_LOCKED_TT = "<b><#TITLE>Unknown</></b>\nYou haven't seen this graft yet. When you find it in game, its details will show here.",
                GRAFT_SEEN = "Seen",
                GRAFT_SEEN_COUNTER = "{1#percent} Seen",
                GRAFT_INSTALLED = "Installed",
                GRAFT_INSTALL_COUNTER = "{1#percent} Installed",
                ORIGINAL_GRAFT_TITLE = "BASE GRAFT",
                UPGRADED_GRAFT_TITLE = "UPGRADED GRAFT",
                UPGRADED_GRAFT_SUBTITLE = "{1} When it reaches its max XP, you'll be able to install the upgraded one.",
                GRIFT_TITLE_COMPLETE = "<p img='UI/ic_checkmark.tex' scale=0.85> {1}",
                GRIFT_PROGRESS_TOTAL = "<i><b><#QUEST_LIGHT>{1#thousands}</></b><#GRIFTS>/{2#thousands}</></>",
                GRIFT_PROGRESS = "<#GRIFTS><i>{1#thousands}</></>",
                GRIFT_REWARD = "Next reward: {1}<p img='UI/ic_griftscompendium.tex' scale=0.9>",
                GRIFT_TT_SINGLEROW = "{1}<p img='UI/perks_icon.tex' scale=0.8>",
                GRIFT_TT_ROW = "{4}<#QUEST_LIGHT>{3}/{1#thousands}</>{5} ({2}<p img='UI/perks_icon.tex' scale=0.8>)",

                CONTROLS_LABEL_TAB_LEFT = "<c img='lb'>",
                CONTROLS_LABEL_TAB_RIGHT = "<c img='rb'>",
                CARD_COUNT = "{1} cards shown",
            },

            PICKLEGACY_SCREEN = {
                TITLE = "Game Over?",
                PERMA_DESC = "Your run has come to an untimely end...",
                BUTTON_BACK = "Skip Retry",
                BACK_DIALOG_TITLE = "Abandon run?",
                BACK_DIALOG_TEXT = "If you leave, this run will be abandoned and you'll need to start a new one.\nYour permanent unlocks remain across runs.",
                BACK_DIALOG_NO = "Cancel",
                BUTTON_CONTINUE = "Continue",

                RETRY_FROM_MORNING = "Retry From Morning",
                RETRY_DESC_DAY2 = "<#PENALTY>You must reach at least day 2!</>",
                RETRY_DESC_NO_LIMIT = "Return to the previous morning, and try again.",
                RETRY_DESC = "Return to the previous morning, and try again.\n\n<#PENALTY>You can only do this once per day!</>",
                RETRY_DESC_ALREADY_DONE = "<#PENALTY>You have already retried!</>",

                CONTROLS_LEFT = "<c img='l_all'> Select legacy",
                CONTROLS_RIGHT_CONTINUE = "<c img='a'> Pick legacy",
                CONTROLS_RIGHT_BACK = "<c img='b'> Leave to menu",
            },
			DRAFT_SCREEN = 
			{
				DRAFT_BOUNTY_TT = "You have passed up this card {1} {1*time|times}. Choose it now and get a bonus of {2#money}.",
                DRAFT_BOUNTY_LABEL = "Bonus: <p img='UI/ic_nav_shills.tex' scale=0.7>{1}",

                PANEL_GENERIC_SUBTITLE = "Pick 1 of {1} Cards",
                PANEL_COMBAT_SUBTITLE = "Pick 1 of {1} Battle Cards",
				PANEL_NEGOTIATION_SUBTITLE = "Pick 1 of {1} Negotiation Cards",
                DRAFT_CARDS = "Choose card {1} of {2}",

                MULLIGAN_SUBTITLE = "Choose up to {1} cards to replace ({2} {2*mulligan|mulligans} remaining)",
                NO_MULLIGANS_SUBTITLE = "No mulligans remaining",
                
                BATTLE_PACK_TITLE = "Choose a battle pack",
                NEGOTIATION_PACK_TITLE = "Choose a negotiation pack",
                DRAFT_PACKS = "{1} of {2}",
                DRAFT_MULLIGAN_TITLE = "Draft pack {1} of {2}",

				CONFIRM_BTN = "Accept card",
                CONFIRM_PACK_BTN = "Accept pack",
                CONFIRM_MULLIGAN_BTN = "Redraw {1} cards",

                MONEY_BTN_TITLE = "Decline",
                MONEY_BTN_SUBTITLE = "Gain {1#money} instead",
                MONEY_BTN_SUBTITLE_POINTS = "Gain {1#points_total} instead",
                MONEY_BTN_TT = "Skip the card and gain {1#money}\nThis might be the best option sometimes.",
                MONEY_BTN_TT_POINTS = "Skip the card and gain {1#points_total}\nThis might be the best option sometimes.",

				GENERIC_ADDCARD_TITLE = "Choose card to add",
                NEGOTIATION_ADDCARD_TITLE = "Choose Negotiation card to add",
				BATTLE_ADDCARD_TITLE = "Choose Battle card to add",

                UPGRADES_PREVIEW_INFO = "<#SUBTITLE>Use <p img='icons_mouse/rmb.tex' scale=0.8> to see card info.</>",

                CONTROLS_LEFT_SELECT = "<c img='l_all'> Select card",
                CONTROLS_RIGHT_ACCEPT = "<c img='x'> Pick card",
                CONTROLS_RIGHT_MONEY = "<c img='b'> Decline (Gain {1} shills instead)",
                CONTROLS_RIGHT_UPGRADES = "<c img='rt'> Preview card upgrades",
                

                NEGOTIATION_GRID_TITLE = "Negotiation Draft {1} / {2}",
                BATTLE_GRID_TITLE = "Battle Draft {1} / {2}",
                GRID_PICK_SUBTITLE = "{1} Cards selected",
                GRID_PICK_SUBTITLE_TOO_LITTLE = "{1} Cards selected <#PENALTY>(pick at least {2})</>",
                GRID_PICK_SUBTITLE_TOO_MANY = "{1} Cards selected <#PENALTY>(only pick at most {3})</>",
                GRID_PICK_BUTTON = "Accept Cards",


			},

			SLIDESHOW_SCREEN =
			{
				SKIP = "Press {1#binding} to skip"
			},

			TRAVEL_SCREEN =
			{
				PLAYER_PORTRAIT_TOOLTIP = "You are here!",

				LOCATION_SUBTITLE = "LOCATION",
                LOCATION_SUBTITLE_HOME = "HOME LOCATION",

                QUEST_OPPORTUNITY = "OPPORTUNITY",
                QUEST_CHALLENGING = "<p img='UI/danger_skull.tex' scale=0.9> CHALLENGING QUEST AVAILABLE",

                SELECT_LOCATION = "Travel",

                LOCATION_TT = "<b><#TITLE>{1}</></b>\n{2}",
			},

			UPGRADE_CARD_POPUP = { 
                TITLE = "UPGRADE CARD",
                CONFIRM_UPGRADE = "SELECT UPGRADE OPTION",
                PREVIEW_UPGRADE = "PREVIEW UPGRADE OPTIONS",
                WILD = "This card is WILD. Each time it levels up it takes a different upgrade path!",
                GRAFT_LIMIT = "Your installed graft <b><#TITLE>{1}</></> has lowered the number of card upgrade options you can pick.",
            },
            UPGRADE_GRAFT_POPUP = {
                ORIGINAL_GRAFT_TITLE = "INSTALLED GRAFT",
                UPGRADED_GRAFT_TITLE = "UPGRADED GRAFT",
                UPGRADED_GRAFT_SUBTITLE = "{1} When it reaches its max XP, you'll be able to install the upgraded one below.",
                UPGRADED_GRAFT_READY_SUBTITLE = "This graft has gained enough XP for its upgrade to be ready to install.",
                UPGRADE_BTN = "Install now",

                CONTROLS_UPGRADE = "{1#binding} Install Upgrade",
            },

			AGENT_STATUS_PORTRAIT =
			{
				COMBAT_STRENGTH = "<b><#TITLE>Battle Strength</></>\nPeople with higher battle strength are tougher in battle",
				RENOWN = "<b><#TITLE>Renown</></>\nPeople with higher renown are harder to negotiate with",
				HEALTH_TOOLTIP = "{1}/{2} Health",
			},

			QUEST_STATUS =
			{
				DROP_QUEST_TITLE = "Drop Quest",
				DROP_QUEST_DESC = "This will fail the quest, which may cause people to dislike you. Are you sure you want to do this?",
				DROP_QUEST_BTN = "DROP QUEST",

				NEW_TYPE = "NEW QUEST",
				ACTIVE_TYPE = "ACTIVE QUEST",
				FAILED_TYPE = "<#PENALTY>FAILED QUEST</>",
				COMPLETED_TYPE = "<#BONUS>COMPLETED QUEST</>",

				FAILED_DESC = "<#PENALTY>QUEST FAILED</>\n{1}",
				COMPLETED_DESC = "<#BONUS>QUEST COMPLETE</>\n{1}",
			},

			RESOLVE_INDICATOR = { TOOLTIP_PREFIX = "<#RESOLVE><b>Resolve</></>\n" },
			RESOLVE_TOOLTIP = "If you run out of resolve, you won't be able to negotiate.\n\nYou recover resolve when you sleep at night, when you consume certain beverages, and when you win fights.",
			HEALTH_TOOLTIP = "If you run out of health, you will die.\n\nYou recover health when you sleep at night and when you consume certain foods.",
			REWARDS_WIDGET =
			{
				REWARDS = "REWARDS",

                UPFRONT_TITLE = "Starting Bonus",
                UPFRONT_DESC = "Pick a card to help on the quest.",
                UPFRONT_TOOLTIP = "Gain a number of cards upfront, upon accepting this quest.",

                GRAFT_TITLE = "Graft",
                GRAFT_DESC = "Pick a graft from a random draw",
                GRAFT_TT = "Pick a new graft from a list",

                REMOVECARD_TITLE = "Remove Card",
                REMOVECARD_DESC = "Remove a card from one of your decks",
                REMOVECARD_TT = "Remove a card from one of your decks",

                FREEITEM_TITLE = "{1#card}",
                FREEITEM_DESC = "Get a new card: {1#card}",
                FREEITEM_TT = "Get a new card",

                EXTRACASH_TITLE = "Bonus Money",
                EXTRACASH_DESC = "Get a bonus payment of {1#money}",
                EXTRACASH_TT = "Lump sum bonus",

                METTLE_POINTS_TITLE = "Mettle",
                METTLE_POINTS_DESC = "Get {1} Mettle for {2}",
                METTLE_POINTS_TT = "Mettle to permanently improve your character",

                RESTORATION_TITLE = "Restoration",
                RESTORATION_DESC = "Restore <#HEALTH>{1} health</> or <#RESOLVE>{2} resolve</>",
                RESTORATION_TT = "Restore <#HEALTH>{1} health</> or <#RESOLVE>{2} resolve</>",

                UPGRADE_TITLE = "Upgrade Card",
                UPGRADE_DESC = "Upgrade a negotiation or battle card",
                UPGRADE_TT = "Upgrade a negotiation or battle card",


				MONEY_TOOLTIP = "Money made of plack.",
                METTLE_TOOLTIP = "A strange measure of your progress as a grifter.",

				BONUS_PERCENT = "REWARDS BONUS +{1#percent}",
				BONUS_PERCENT_DESC = "This person has a favorable opinion of you",

				PENALTY_PERCENT = "REWARDS PENALTY -{1#percent}",
				PENALTY_PERCENT_DESC = "This person has a unfavorable opinion of you",
			},

			TIME_INDICATOR =
			{
				TOOLTIP = "<b><#TITLE>Actions Available</></b>\nActions remaining this turn. End your turn to replenish this amount.",
				ACTIONS = "ACTIONS",
			},

			OPTION_PICKER = { SKIP = "Skip" },
			OPTION_INDICATOR = { REASON = "Reason: {1}" },

			TOOLTIP_CONVO_OPTION =
			{
				BASE_RESOLVE = "Base Resolve: {1%d}",
                MODIFIER_BONUS = "\t<i>{1} : <#BONUS>{2%+d} resolve</></>",
				MODIFIER_PENALTY = "\t<i>{1} : <#PENALTY>{2%+d} resolve</></>",
			},

			MONEY_INDICATOR = { TOOLTIP =  "<b><#MONEY>Shills</></b>\nShills are the currency of Havaria." },
            METTLE_INDICATOR = { TOOLTIP =  "<b><#METTLE>Mettle</></b>\nA unique measure of {1.name}'s skill and experience. Mettle can be exchanged for permanent upgrades from a mettle vendor." },
			
            NEGOTIATION_PANEL =
			{
				NEGOTIATION_SUCCESS = "Negotiation Success!",
				NEGOTIATION_FAILURE = "Negotiation Failure!",
                METTLE_GAIN = "Gain {1} Mettle!",

                TUTORIAL_TITLE = "Negotiation Tutorial",
                TUTORIAL_BODY = "You are about to negotiate for the first time. Would you like to see a quick tutorial? You can review it at any time from the pause menu.",

                CHARACTER_TUTORIAL_TITLE = "{1} Negotiation Tutorial",
                CHARACTER_TUTORIAL_BODY = "You are about to negotiate as {1} for the first time. Would you like to see a quick tutorial about their specific mechanics?",
                TUTORIAL_NO = "No",


				ENEMY_TURN = "Enemy Turn",
				PLAYER_TURN = "Player Turn",

                YOUR_RESOLVE = "Core Argument",
                YOUR_RESOLVE_DESC = "If your core argument's resolve reaches 0, you lose the negotiation!",

                THEIR_RESOLVE = "Core Argument",
                THEIR_RESOLVE_DESC = "Reduce your opponent's core argument's resolve to 0 to win the negotiation!",

				END_TURN = "<b><#TITLE>End Turn</></>\nPasses this turn and redraws your hand.\nYour actions will be restored at the beginning of your next turn.\n\nHotkey: {1#binding}",
				CONCEDE = "<b><#TITLE>Concede Negotiation</></>\nGive up and lose this negotiation.\n\nOnce you play a card, you cannot concede until the following turn.\nYou will gain: {unconvincing}.",

				CONCEDE_CONFIRM_BTN = "Concede",
				CONCEDE_CONFIRM_BTN_TOOLTIP = "Are you sure you want to concede this negotiation?",

                CONFIRM_BTN = "CONFIRM",

				CHOOSE_CARDS = "Choose {1} {1*card|cards}",

				ACTION_COST = "<b><#TITLE>Action Cost</></b>\nThis card will reduce your available actions by the amount shown.",
                ACTION_COST_MODIFIED = "\n\n<b>Modified by:</b>{1#concat_line}",
				STRENGTH_TOOLTIP = "<b><#TITLE>Strength</></b>\nThis card will reduce your opponent's resolve by a value in the range shown",
				EFFECT_DETAILS_TOOLTIP = "\n\n<b>Modifiers Applied:</b>\n{1}",

                CORE = "CORE ARGUMENT",
                ARGUMENT = "ARGUMENT",
                BOUNTY = "BOUNTY",
                RESOLVE = "RESOLVE",
                PERMANENT = "PERSONALITY",
                NO_RESOLVE = "INVULNERABLE",
                INCEPTION = "INCEPTION",
                STRENGTH = "STACKS",
                INTENT = "Intent",
                INTENT_INCEPTED = "Incepted Intent",
                INTENT_UNKNOWN = "Unknown intent!",
                INTENT_TURNS = "Occurs in {1} {1*turn|turns}",
                FREE_ACTION = "{1%+d} Action",
                DAMAGE_RECEIVED_TOOLTIP = "Will receive <#HEALTH>{1} damage</> from {2}",
                
                INTENT_DAMAGE_TT = "Will cause {1} resolve damage to one of your arguments.",
                INTENT_COMPOSURE_TT = "Will apply {COMPOSURE} to a random argument",
                INTENT_ARGUMENT_TT = "{1} is deploying an argument against you!",

                MODIFIER_HATE = "{1} hates you",
                MODIFIER_DISLIKE = "{1} dislikes you",
                MODIFIER_LIKE = "{1} likes you",
                MODIFIER_LOVE = "{1} loves you",
                MODIFIER_NONE = "{1} is neutral towards you",

                COMPOSURE_TT = "<b><#TITLE>Composure</></b>\nProtects arguments against incoming damage.",

                ARGUMENT_RESOLVE = "Resolve {1}/{2}",
                ARGUMENT_STRENGTH = "x{1}",
                ARGUMENT_DAMAGE_TT = "Targets an opponent argument each turn for {1}-{2} damage.",
                ARGUMENT_SELF_DAMAGE_TT = "Targets a friendly argument each turn for {1}-{2} damage.",
                ARGUMENT_AOE_DAMAGE_TT = "Targets all opponent arguments each turn for {1}-{2} damage.",
                ARGUMENT_RANDOM2_DAMAGE_TT = "Targets 2 opponent arguments each turn for {1}-{2} damage.",
                ARGUMENT_OLDEST = "<#PENALTY>{1} can manage only {2} arguments at once. This argument will be destroyed if a new argument or inception is created.</>",

                INTENT_WHEEL_TT = "<b><#TITLE>Intents</></b>\nThe effect of {1.name}'s intents will take place next turn. Some will create new arguments, and some damage your resolve directly.",
                ARGUMENT_WHEEL_TT = "<b><#TITLE>Arguments</></b>\nThese are the arguments {1.name} is using. You can target {1.hisher} arguments with argument-specific cards.",
                PLAYER_WHEEL_TT = "<b><#TITLE>Your Arguments</></b>\nThese are the arguments you are using. You can use some cards to spawn arguments, or even protect them from attacks.",

				TOOLTIP = "<b><#TITLE>Card Type</></b>\n{1}",
                STOLEN_CARD = "Card stolen: {1#card}",

                CONTROLS_RIGHT_ENDTURN = "{1#binding} End turn {2}",
                CONTROLS_RIGHT_CONCEDE = "{1#binding} Concede negotiation",
                CONTROLS_LEFT_INSPECT_CARDS = "{1#binding} Inspect Cards",
                CONTROLS_LEFT_INSPECT_ARGUMENTS = "{1#binding} Inspect Arguments",
                CONTROLS_LEFT_SWITCH_WHEEL = "{1#binding} Change wheel",

                CONTROLS_LEFT_INSPECT = "<c img='r_all'> Inspect",
                CONTROLS_LEFT_MOVE_INSPECT = "<c img='r_all'> Move Cursor",
                CONTROLS_LEFT_INSPECT_RELEASE = "{1#binding} Stop Inspecting",
			},

			PLAX_NAMEPLATE =
			{
				WITH_YOU = "Traveling with you",
				YOUR_CAPTIVE = "Your captive",
				YOUR_PET = "Your pet",

				PLAYER_LABEL = "YOU",
                PLAYER_TOOLTIP = "Resting here",
                PROPRIETOR_LABEL = "PROPRIETOR",
                PROPRIETOR_TOOLTIP = "Proprietor of the location",
                VENDOR_LABEL = "VENDOR",
                VENDOR_TOOLTIP = "Is a vendor",
				CAN_SHOP_HERE_TOOLTIP = "You can shop here",
				GUARDS_LABEL = "GUARD",
                GUARDS_TOOLTIP = "Guards this location",
                PATRON_LABEL = "PATRON",
                PATRON_TOOLTIP = "Is a patron here",
                VISITOR_LABEL = "VISITOR",
                VISITOR_TOOLTIP = "Is here to visit",
                PRISONER_LABEL = "PRISONER",
                PRISONER_TOOLTIP = "Is a prisoner",
                LABOUR_LABEL = "WORKER",
                LABOUR_TOOLTIP = "Works here",
                WAITING_PET_LABEL = "PET",
                WAITING_PET_TOOLTIP = "Your pet",
                JOB_BOARD_LABEL = "JOB BOARD",
                JOB_BOARD_TOOLTIP = "Has a listing of available jobs",
                RESTING_LABEL = "BYSTANDER",
                RESTING_TOOLTIP = "Just resting here",
                HEALER_LABEL = "HEALER",
                HEALER_TOOLTIP = "Provides healing products and services",
			},

			TOOLTIP_AGENT =
			{
				RELATIONSHIP = "Relationship: <#cbffef>{1}</>",
				ACTIVE_QUESTS = "ACTIVE QUESTS",
			},

            SAVING_SCREEN =
            {
                SAVING_TITLE = "SAVING...",
                SAVING_TITLE_INFO = "SAVING INDICATOR",
                SAVING_DESC = "Do not close the game or turn off your system while you see this.",
            },

			LOCATION_TOOLTIP =
			{
				CLOSED = "Closed",
			},

			UNIT_FRAME = {
                NAME_LABEL = "<#SUBTITLE><p img='icons_mouse/rmb.tex' scale=1> for more info</>",
                ABOUT_TO_SURRENDER_TOOLTIP = "Will {SURRENDER} this turn",
                ABOUT_TO_FLEE_TOOLTIP = "Will flee this turn",
                ABOUT_TO_DIE_TOOLTIP = "Will die this turn",
                DAMAGE_RECEIVED_TOOLTIP = "Will receive <#HEALTH>{1} damage</> from {2}",
                DAMAGE_RECEIVED_TOOLTIP_CONDITION = "Will receive <#HEALTH>{1} damage</> from: {2}",
				PIERCING_DAMAGE_RECEIVED_TOOLTIP = "Will receive <#HEALTH>{1} {PIERCING} damage</> from {2}",				
                STATUS_TOOLTIP = "A status effect will be applied by {1}!",
                HEAL_TOOLTIP = "A heal is being applied by {1}!",
                ATTACK_STATUS_TOOLTIP = "\nA status effect will also be applied!",
                CONDITION_BLOCKED = "IMMUNE",
                ATTACK_FLOATER = "<#{1}>{2}</>",
			},

            UNLOCK_INSPECTOR = {
                TITLE_UNLOCKED = "Unlocked Items",
                TITLE_NEW = "New Items Added to Pool!",

                COMBAT_CARDS_TITLE = "BATTLE CARDS",
                NEGOTIATION_CARDS_TITLE = "NEGOTIATION CARDS",
                OUTFIT_TITLE = "OUTFIT",

                TOGGLE_BTN_ENABLE = "Enable",
                TOGGLE_BTN_DISABLE = "Disable",

                TOGGLE_BTN_ACTIVE_TITLE = "ITEMS ACTIVE",
                TOGGLE_BTN_ACTIVE_SUBTITLE = "These cards will spawn in game",
                TOGGLE_BTN_DISABLED_TITLE = "ITEMS DISABLED",
                TOGGLE_BTN_DISABLED_SUBTITLE = "These cards won't spawn in game",

                CONTINUE_BTN = "Continue",

                CONTROLS_LEFT = "<c img='l_all'> View items",
                CONTROLS_RIGHT_TOGGLEON = "<c img='lt'> Enable",
                CONTROLS_RIGHT_TOGGLEOFF = "<c img='lt'> Disable",
                CONTROLS_RIGHT_CONTINUE = "<c img='x'> Continue",
                CONTROLS_RIGHT_BACK = "<c img='b'> Back",
            },

			CARDS_PANEL =
			{
                ACCEPT_SURRENDER = "ACCEPT SURRENDER" ,
                CONCEDE_BTN = "CONCEDE",
                UPGRADE_FILTER = "Cards ready to upgrade",
                CHARGES_FILTER = "Cards out of energy",
                INCEPTED_FILTER = "Cards temporarily added to your deck by your opponent or yourself",

                TURNS_COUNTER = "TURN {1}",

                SWAP = "Swap",
                DECK = "Draw",
                DISCARD = "Discard",
                TRASH = "Trash",
                CONTROLS_DECK = "<c img='lb' scale=1.5> DRAW",
                CONTROLS_DISCARD = "DISCARD <c img='rb' scale=1.5>",
                CANCEL_INFO_LABEL = "<#SUBTITLE><p img='icons_mouse/rmb.tex' scale=1> CANCEL</>",

                KEYBOARD_CONTINUE = "CLICK TO CONTINUE",
                CONTROLS_CONTINUE = "PRESS <c img='a'> TO CONTINUE",
                TOUCH_CONTINUE = "TAP TO CONTINUE",
			},

			CARD_WIDGET =
			{
                CARD_CLASS_BATTLE = "BATTLE CARD",
                CARD_CLASS_NEGOTIATION = "NEGOTIATION CARD",

				CARD_TYPE = 
				{
					HOSTILE = "Hostility",
					DIPLOMACY = "Diplomacy",
					MANIPULATE = "Manipulate",
					STATUS = "Status",
					OPPONENT = "Opponent",
                    FLOURISH = "Flourish",
                    PARASITE = "Parasite",
                    SCORE = "Score",
				},

                DETAILS_SUBTITLE = "<#{1}>{2#upper}</> <#{3}>{4#upper}</>", -- Example: "Rare Hostility". {1} is the rarity color, {2} is the rarity name, {3} is the type color, {4} is the type name

                TEMPORARY_BATTLE = "Exists for this battle only",
                TEMPORARY_NEGOTIATION = "Exists for this negotiation only",

                CHARGES_LABEL = "<#CARD_CHARGES>Available Uses</>",
                CHARGES_VALUE = "<#CARD_CHARGES>{1}/{2}</>",

                REMOVE_TIMER_VALUE = "{1#relative_time}",
                REMOVE_TIMER_LABEL = "Expires:",
                REMOVE_ON_REST_LABEL = "Removed upon sleep",

                UPGRADE_LABEL = "Upgrade Progress",
                UPGRADE_LABEL_READY = "Upgrade Ready!",
                UPGRADE_VALUE = "{1}/{2}",

                KEYWORD_ENTRY = "<b><#TITLE>{1}</></b>\n{2}\n",
			},


			CHARACTER_PORTRAIT =
			{
				CAPTIVE_TOOLTIP = "A captive of yours. They aren't happy about it.",
			},

			NEW_GAME_SCREEN =
            {
                CLOSE_BUTTON = "Main Menu",
                CUSTOM_GAME_BUTTON = "Custom game",
                START_BUTTON = "Start!",
                STORY_BUTTON = "Story mode",
                STORY_TT = "<b><#TITLE>Difficulty</></>\nStory mode",

                SAVE_TOO_OLD_TITLE = "Save compatibility",
                SAVE_TOO_OLD_BODY = [[We're sorry, but an Early Access update has made this save incompatible. Please delete it and start a new run. Your profile progress will not be lost.]],
                SAVE_MISSING_MODS = [[This save file requires mods that are not currently enabled.]],
                SAVE_MODS_REQUIRED = "Mods required: {1#listing}",
                CORRUPT_SAVE = "Corrupt save file",
                SIDEBAR_BACK_BUTTON = "Back",
                SIDEBAR_SELECT_CHARACTER_BUTTON = "Continue",

                SIDEBAR_MAIN_UPCOMING_FEATURE = "UPCOMING",
                SIDEBAR_MAIN_UPCOMING_TITLE = "LOCKED",
                SIDEBAR_MAIN_UPCOMING_SUBTITLE = "Upcoming Character",
                SIDEBAR_MAIN_UPCOMING_TEXT = "This character is still in development.",
                SIDEBAR_MAIN_LOCKED_TITLE = "LOCKED",
                SIDEBAR_MAIN_LOCKED_SUBTITLE = "Advanced Character",
                SIDEBAR_MAIN_LOCKED_TEXT = "Play more with the previous character to unlock this one.",
                SIDEBAR_MAIN_DAILY_TITLE = "DAILY CHALLENGE",
                SIDEBAR_MAIN_DAILY_SUBTITLE = "Time-limited event",
                SIDEBAR_MAIN_DAILY_TEXT = "Attempt a run of {1}'s story with these customizations:",
                SIDEBAR_MAIN_NEGOTIATION_TITLE = "NEGOTIATION",
                SIDEBAR_MAIN_NEGOTIATION_SUBTITLE = "<p img='UI/ic_nav_close.tex' scale=0.5> View Deck",
                SIDEBAR_MAIN_BATTLE_TITLE = "BATTLE",
                SIDEBAR_MAIN_BATTLE_SUBTITLE = "View Deck <p img='UI/ic_nav_accept.tex' scale=0.5>",
                SIDEBAR_MAIN_PRESTIGE_TITLE = "PRESTIGE",
                SIDEBAR_MAIN_PRESTIGE_PROGRESS = "{1}/{2}",--{1#percent}
                SIDEBAR_MAIN_PRESTIGE_LOCKED = "LOCKED",
                SIDEBAR_MAIN_PRESTIGE_NEW = "Higher prestige available",
                SIDEBAR_MAIN_UNLOCKS_TITLE = "CARD SETS",
                SIDEBAR_MAIN_UNLOCKS_SUBTITLE_ENABLED = "ALL SETS ACTIVE",
                SIDEBAR_MAIN_UNLOCKS_SUBTITLE = "{1} {1*SET|SETS} DISABLED",
                SIDEBAR_MAIN_UNLOCKS_PROGRESS = "{1}/{2}",
                SIDEBAR_MAIN_UNLOCKS_LOCKED = "LOCKED",
                SIDEBAR_MAIN_OUTFITS_TITLE = "OUTFITS",
                SIDEBAR_MAIN_PERKS_TITLE = "PERKS",
                SIDEBAR_MAIN_CUSTOM_TITLE = "CUSTOM GAME",
                SIDEBAR_MAIN_CUSTOM_ENABLED = "Custom options active",
                SIDEBAR_MAIN_CUSTOM_DISABLED = "No custom options active",
                SIDEBAR_MAIN_CUSTOM_SUBTITLE = "Activate these to customize your run. You won't unlock new Prestige levels or gain Achievements when playing a custom game.",
                SIDEBAR_CUSTOM_ACTIVE = "Active",
                SIDEBAR_CUSTOM_ACTIVE_BUTTON = "No new Prestige levels\nwill be unlocked on this run.\nAchievements are disabled.",
                SIDEBAR_MAIN_OUTFITS_PROGRESS = "{1}/{2}",
                SIDEBAR_MAIN_OUTFITS_LOCKED = "LOCKED",
                SIDEBAR_MAIN_OUTFITS_NEW = "New outfit available!",
                SIDEBAR_MAIN_MUTATORS_TITLE = "MUTATORS",
                SIDEBAR_MAIN_MUTATORS_SUBTITLE_NONE = "NONE ENABLED",
                SIDEBAR_MAIN_MUTATORS_SUBTITLE_LOCKED = "LOCKED",
                SIDEBAR_MAIN_MUTATORS_SUBTITLE_LOCKED_TT = "Complete all main stories to unlock mutators!",
                SIDEBAR_MAIN_MUTATORS_SUBTITLE = "{1} {1*MUTATOR|MUTATORS} ENABLED",
                SIDEBAR_MAIN_MUTATORS_ENABLED = "Mutators active!",
                SIDEBAR_MAIN_SAVEFILES_INFO_TOUCH = "Long press on a save file to delete it.",
                SIDEBAR_MAIN_SAVEFILES_INFO_CONTROLLER = "Use <c img='rt'> to delete save files.",
                SIDEBAR_MAIN_SAVEFILES_DELETE = "Delete this save file",
                SIDEBAR_MAIN_NEW_RUN = "START A NEW RUN",
                SIDEBAR_MAIN_CONTINUE_RUN = "CONTINUE AN EXISTING RUN",
                SIDEBAR_CHARACTERS_RUNS_IN_PROGRESS = "{2} {1} {2*run|runs} in progress",
                SIDEBAR_ACT_LOCKED = "LOCKED",
                SIDEBAR_ACT_LOCKED_DESC = "<i>You haven't unlocked this game mode yet.</>",
                SIDEBAR_ACT_DEVELOPMENT = "LOCKED",
                SIDEBAR_ACT_DEVELOPMENT_DESC = "<i>This game mode is in development, and not released yet.</>",
                SIDEBAR_ACT_DESC = "<i>{1}</>",
                SIDEBAR_ACT_STORY_TITLE = "{1}: Story Difficulty",
                SIDEBAR_ACT_STORY_DESC = "<i>Choose this mode if you want to experience the story with reduced difficulty and without permadeath.</>",
                SIDEBAR_MAIN_NEW_RUN_CANCEL = "<p img='UI/newgame_sidebar_back.tex'> BACK TO SAVEFILES",

                SIDEBAR_NEGOTIATION_TITLE = "NEGOTIATION DECK",
                SIDEBAR_NEGOTIATION_TEXT = "You start with this negotiation deck, and get the chance to upgrade, add and remove cards through your run.",
                SIDEBAR_NEGOTIATION_UPGRADE = "Use <p img='icons_mouse/rmb.tex'> to see card info.",
                SIDEBAR_NEGOTIATION_UPGRADE_CONTROLLER = "Use <c img='rt'> to see card info.",
                SIDEBAR_NEGOTIATION_UPGRADE_TOUCH = "Tap a card to see details.",

                SIDEBAR_BATTLE_TITLE = "BATTLE DECK",
                SIDEBAR_BATTLE_TEXT = "You start with this battle deck, and get the chance to upgrade, add and remove cards through your run.",
                SIDEBAR_BATTLE_UPGRADE = "Use <p img='icons_mouse/rmb.tex'> to see card info.",
                SIDEBAR_BATTLE_UPGRADE_CONTROLLER = "Use <c img='rt'> to see card info.",
                SIDEBAR_BATTLE_UPGRADE_TOUCH = "Tap a card to see details.",

                SIDEBAR_PRESTIGE_TITLE = "PRESTIGE",
                SIDEBAR_PRESTIGE_TEXT = "Playing higher prestige levels will make your run more challenging. Each level includes the modifiers from all previous levels. Higher levels earn you more XP.",
                SIDEBAR_PRESTIGE_NEW = "New",
                SIDEBAR_PRESTIGE_LOCKED_TITLE = "LOCKED",
                SIDEBAR_PRESTIGE_LOCKED_TEXT = "Complete the previous level to unlock this.",

                SIDEBAR_UNLOCKS_TITLE = "CARD SETS",
                SIDEBAR_UNLOCKS_TEXT = "These are card sets you unlock by playing {1}. You can toggle-off the ones you don't want to show in your run.",
                SIDEBAR_UNLOCKS_INFO = "Use <p img='icons_mouse/rmb.tex'> to show set info. <#PENALTY>{1} {1*set|sets} disabled.</>",
                SIDEBAR_UNLOCKS_INFO_CONTROLLER = "Use <c img='x'> to preview sets. <#PENALTY>{1} {1*set|sets} disabled.</>",
                SIDEBAR_UNLOCKS_INFO_TOUCH = "Long press on a set to preview it. <#PENALTY>{1} {1*set|sets} disabled.</>",
                SIDEBAR_UNLOCKS_STATUS_ENABLED = "ENABLED",
                SIDEBAR_UNLOCKS_STATUS_DISABLED = "DISABLED",
                SIDEBAR_UNLOCKS_STATUS_LOCKED = "LOCKED",
                SIDEBAR_UNLOCKS_SELECTALL = "Enable all",
                SIDEBAR_UNLOCKS_SELECTALL_CONTROLLER = "<c img='lt'> Enable all",
                SIDEBAR_UNLOCKS_UNSELECTALL = "Disable all",
                SIDEBAR_UNLOCKS_UNSELECTALL_CONTROLLER = "<c img='rt'> Disable all",

                SIDEBAR_OUTFITS_TITLE = "OUTFIT",
                SIDEBAR_OUTFITS_TEXT = "Pick {1}'s starting outfit. You can change it at home during your run.",
                SIDEBAR_OUTFITS_LOCKED = "LOCKED",

                SIDEBAR_MUTATORS_TITLE = "MUTATORS",
                SIDEBAR_MUTATORS_TEXT = "Customize your run with a few of these.",
                SIDEBAR_MUTATORS_INFO = "{1} {1*mutator|mutators} active.",
                SIDEBAR_MUTATORS_RANDOM = "Randomize 3",
                SIDEBAR_MUTATORS_RANDOM_CONTROLLER = "<c img='lt'> Randomize 3",
                SIDEBAR_MUTATORS_UNSELECT = "Unselect all",
                SIDEBAR_MUTATORS_UNSELECT_CONTROLLER = "<c img='rt'> Unselect all",
                

                SIDEBAR_MAIN_PERKS_SUBTITLE_LOCKED_TT = "Complete Grifts to get Perk Points!",
                SIDEBAR_MAIN_PERKS_SUBTITLE_LOCKED = "LOCKED",
                SIDEBAR_MAIN_PERKS_UNSELECTED = "{1}/{2} Selected",
                SIDEBAR_MAIN_PERKS_POINTS = "{1} Pts to spend!",
                SIDEBAR_MAIN_PERKS_AVAILABLE = "{1} Perks unlocked",
                
                SIDEBAR_PERKS_TITLE = "Select Perks",
                SIDEBAR_PERKS_BALANCE = "{1} <p img='UI/ic_perks_icon.tex' scale=0.7>",
                SIDEBAR_PERKS_SUBTITLE = "Perks are the tricks of the trade that grifters learn over the course of their adventures. Equipping different perks may influence how you play your run.\n\nUnlock new perks by completing new Grifts and spending your perk points here!",
                SIDEBAR_PERKS_TEXT = "{1}/{2} Perks selected.",
                SIDEBAR_PERKS_CLEAR_ALL = "Clear all slots",
                SIDEBAR_PERKS_CLEAR_SELECTED = "Clear slot",
                SIDEBAR_PERKS_GRIFTS = "<p img='UI/ic_perks_icon.tex' scale=0.7>  Show Grifts",
                SIDEBAR_PERKS_TIER = "TIER {1}",
                SIDEBAR_PERKS_TIER_UNLOCK = "<p img='UI/card_lock.tex' scale=0.7> Unlock {1} <#PERK>TIER {2}</> Perks to enable this tier.</>",
                SIDEBAR_PERKS_TIER_UNLOCK_LIMIT = "<p img='UI/card_lock.tex' scale=0.7> Unlock {1} <#PERK>TIER {2}</> Perks to enable this tier.\n<#TOOLTIP_TEXT>You can install at most {3} {3*Perk|Perks} from this tier per run.</>",
                SIDEBAR_PERKS_TIER_UNLOCKED_LIMIT = "{1} / {2} Perks unlocked\n<#TOOLTIP_TEXT>You can install at most {3} {3*Perk|Perks} from this tier per run.</>",
                SIDEBAR_PERKS_TIER_UNLOCKED = "{1} / {2} Perks unlocked</>",
                SIDEBAR_PERKS_SLOT_TITLE_EMPTY = "Empty Perk Slot",
                SIDEBAR_PERKS_SLOT_DESC_EMPTY = "Select this slot and then a Perk to activate it here",
                SIDEBAR_PERKS_SLOT_TITLE_LOCKED = "<p img='UI/card_lock.tex' scale=0.7> Locked Perk Slot",
                SIDEBAR_PERKS_SLOT_DESC_LOCKED = "Unlock this slot by unlocking {1} more {1*Perk|Perks}",
                SIDEBAR_PERKS_TIER_LIMIT_TITLE = "Tier Limit",
                SIDEBAR_PERKS_TIER_LIMIT_BODY = "You can only select up to {1} {1*perk|perks} from Tier {2}.",
                SIDEBAR_PERKS_ALREADY_SELECTED_TITLE = "Perk Already Selected",
                SIDEBAR_PERKS_ALREADY_SELECTED_BODY = "You already have the {1} perk selected.",
                CONTROLS_PERKS_CLEAR_ALL = "{1#binding} Clear all slots",
                CONTROLS_PERKS_CLEAR_SELECTED = "{1#binding} Clear selected perk",
                CONTROLS_PERKS_GRIFTS = "{1#binding} Show Grifts",

                ANIM_PROGRESS_PROGRESS = "UNLOCKED",
                ANIM_PROGRESS_VALUE = "{1#percent}",
                ANIM_PROGRESS_TOOLTIP = "<#TITLE>{1}'s overall unlock progress.</>\n{2}/{3} CARD SETS\n{4}/{5} OUTFITS",
                ANIM_PROGRESS_PRESTIGE = "{1}/{2} PRESTIGE ({3})",
                ANIM_PROGRESS_LOCKED = "LOCKED",
                ANIM_PROGRESS_DAILY_TITLE = "DAILY CHALLENGE",
                ANIM_PROGRESS_DAILY_TIME_LEFT = "1 HOUR 32 MINUTES LEFT",
                ANIM_PROGRESS_DAILY_COMPLETE = "COMPLETE!",
                
                SAVEFILE_TITLE = "{1}",
                SAVEFILE_TITLE_DEV = "DEV: {1} {2}",
                SAVEFILE_LEGACY = "{1} {1*GENERATION|GENERATIONS}",
                SAVEFILE_LEGACY_TT = "The number of times you were killed in this run.",
                SAVEFILE_MUTATORS = "{1} {1*MUTATOR|MUTATORS}",
                SAVEFILE_MUTATORS_TT = "The mutators active on this run.",

                CONTROLS_LABEL_TAB_CHARACTERS = "<c img='lb'><c img='rb'> Change character",
                CONTROLS_RIGHT_SAVEFILE_DELETE = "<c img='rt'> Delete save file",
                CONTROLS_RIGHT_CARD_PREVIEWUPGRADES = "<c img='rt'> Preview upgrades",
                CONTROLS_RIGHT_UNLOCK_CONTENTS = "<c img='rt'> View contents",
                CONTROLS_RIGHT_MUTATORS_RANDOM = "<c img='lt'> Randomize 3",
                CONTROLS_RIGHT_MUTATORS_UNSELECT = "<c img='rt'> Unselect all",
                CONTROLS_RIGHT_START = "<c img='x'> Start run",
                CONTROLS_RIGHT_EXIT = "<c img='b'> Back to Main menu",
                CONTROLS_RIGHT_BACK = "<c img='b'> Back",
            },

            CHARACTER_SELECT_SCREEN =
			{
				BACK = "Back",
                START = "Start",
                STARTTUTORIAL = "Replay Tutorial",
                STARTTUTORIAL_TT = "<b><#TITLE>Replay the Tutorial</></>\nThe tutorial doesn't have Difficulty levels, varying Starting Decks, or Outfits.\nCompleting the tutorial again doesn't award you further XP towards new unlockables.",
                LOCKED = "LOCKED",
                LOCKED_TT = "This character's story is locked",
                COMINGSOON = "COMING SOON",
                COMINGSOON_TT = "This character's story is still in development",
                ADVANCEMENT_TT = "<b><#ADVANCEMENT>Prestige</></>\nMaximum Prestige reached on this act so far.\nPlaying higher Prestige levels will earn you further rewards.",
			},

            NEGOTIATION_PREVIEW = {
                TITLE = "NEGOTIATION",
                DIFFICULTY = "OPPONENT STRENGTH",
                DIFFICULTY_BOSS = "<#PENALTY>BOSS LEVEL</>",
                RESOLVE = "{1} / {2}",
                RESOLVE_DESC = "RESOLVE",
                VS = "<i>VS</>",
                HIGH_THREAT = "<#PENALTY>HIGH THREAT</>",
            },

			BATTLE_PREVIEW_PANEL = { 
                TITLE = "BATTLE",
                VS = "<i>VS</>",
                CURRENT_HEALTH = "Current Health",
                CURRENT_MORALE = "Current Morale",
            },
			HEALTH_INDICATOR = {TOOLTIP =  "<b><#HEALTH>Health</></>\n"},
			HEALTH_BAR =
			{
				DEFEND_NUMBER_TOOLTIP = "<b><#QUEST>Defend</></>\nDamage is removed from <b>Defend</> before health. Defend expires at the start of your next turn.",
				DEFEND_ICON_TOOLTIP = "<b><#QUEST>Defend</></>\nDamage is removed from <b>Defend</> before health. Defend expires at the start of your next turn.",
				DEFEND_BAR_TOOLTIP = "<b><#QUEST>Defend</></>\nDamage is removed from <b>Defend</> before health. Defend expires at the start of your next turn.",
			},

            HINTS = {
                HATE = "Making people hate you makes you susceptible to ambushes and banes that affect your character.",
                LOVE = "Making friends love you with gifts or actions grants you strong passive benefits.",
                NEARBY = "Nearby friends will help you in negotiations.",
                OVERFLOW = "A deck that has too many cards is hard to pilot. Getting rid of cards keeps your deck healthy and lean!",
                DRINK = "Low on resolve? Drinking at bars can gain some back at a cost of becoming inebriated.",
                SLEEP = "Sleeping gains back health and resolve every night.",
                DECKS = "Not everyone in the Griftlands is reasonable, so be sure to balance your decks.",
                UPGRADE = "Upgrade cards by playing them.",
                VARIANTS = "Basic cards have a random set of upgrades. It's wild!",
                FASTMODE = "You can turn on Fast Mode in the options if you want a faster experience.",
            }

        },

        LOREM =
        {
            SHORT = "Lorem Ipsum",
            MED = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam quis tellus sodales, commodo metus varius, tristique ipsum.  Donec vel eleifend lacus, at placerat augue",
            LONG = "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Etiam quis tellus sodales, commodo metus varius, tristique ipsum. Donec vel eleifend lacus, at placerat augue. In enim ante, suscipit sit amet pulvinar ut, auctor ac turpis. Nulla bibendum ante nec varius imperdiet. Mauris rhoncus laoreet consequat. Nullam mollis sollicitudin massa sit amet pellentesque. Aenean ac dolor at sapien rhoncus commodo nec ut nulla. Praesent blandit rhoncus orci nec dignissim. Nunc risus diam, ultrices sit amet neque in, tempus blandit arcu.",
        },
        
        AREA_DESC =
        {
			OUTDOORS = "Outdoors",
        },

		CONVO_OPTION =
		{
			QUEST = "<#QUEST>Quest: {1}</>",

			BATTLE_SELF_DEFENSE = "This is self-defense",
			BATTLE_AGGRESSOR = "You are the aggressor",

			BATTLE_ADVANTAGE = "ADVANTAGE",
			BATTLE_ADVANTAGE_DESC = "You have first strike and a bonus action on the first turn.",
			BATTLE_ADVANTAGE_TT = "You have <b>Advantage</b>.\n<i>You will start the fight first and have 1 bonus action on the first turn.</i>",
			BATTLE_DISADVANTAGE = "DISADVANTAGE",
			BATTLE_DISADVANTAGE_DESC = "The enemy will get first strike",
			BATTLE_DISADVANTAGE_TT = "You have <b>Disadvantage</b>.\n<i>The enemy will start the fight first.</i>",
            BATTLE_NOBACKUP = "NO BACKUP",
            BATTLE_NOBACKUP_DESC = "You're fighting alone for this one!",
            AUTOLOSE_TITLE = "NO RESOLVE",
            AUTOLOSE_DESC = "You have no resolve and will automatically lose this negotiation",
            INTIMIDATION_TITLE = "INTIMIDATION",
            INTIMIDATION_DESC = "This is an intimidation attempt",
            PROVOCATION_TITLE = "PROVOCATION",
            PROVOCATION_DESC = "There are no draft rewards, and battle will ensue if you win.",
            NO_RUN_TITLE = "NO ESCAPE",
            NO_RUN_DESC = "You can not run from this fight once it starts. It's do or die!",
            ISOLATED_TITLE = "ISOLATED",
            ISOLATED_DESC = "You are in an isolated location. You can get away with murder here!",
            NOSURRENDER_TITLE = "NO SURRENDER",
            NOSURRENDER_DESC = "Your enemies will not surrender and are ready to fight to the death!",
            SURVIVAL_TITLE = "SURVIVAL",
            SURVIVAL_DESC = "Survive {1} {1*turn|turns} to win!",
            LOCATION_STATUS_TOOLTIP = "<b><#TITLE>{1}</></b>\n{2}\n",
            
			HEALTH_REQUIRED = "<#REQUIRES>{1#agent} currently has {2}/{3} health</>",

			BASIC_OPPORTUNITY = "Opportunity: <i>{1}</>",
			AGENT_OPPORTUNITY = "Opportunity: <i>{1} for {2#agent}</>",
		},

		ENCOUNTER =
		{
			LEAVE = "Leave",
            TRAVEL = "Open Map",
            CONTROLS_LEFT = "<c img='l_all'> Select",
            CONTROLS_RIGHT_CONTINUE = "{1#binding} Continue",
            CONTROLS_RIGHT_SKIP = "{1#binding} Skip",
            CONTROLS_RIGHT_TALK = "{1#binding} Talk to",
            CONTROLS_RIGHT_OPEN = "{1#binding} Pick",
            CONTROLS_RIGHT_CLOSELOCATION = "{1#binding} Open map",
            CONTROLS_RIGHT_CLOSECONVO = "{1#binding} Leave conversation",
		},
		
		GENERAL = 
		{
			ROOM_FMT = "{1}'s Room",
			TERRIBLE_HOUSE = "Flophouse",
		},

		CARD_ENGINE =
		{
			CHOOSE_CARDS = "Choose {1} {1*card|cards}",
            CHOOSE_MIN_CARDS = "Choose at least {1} {1*card|cards}",
            CHOOSE_MAX_CARDS = "Choose up to {1} {1*card|cards}",
            CHOOSE_SOME_CARDS = "Choose {1} to {2} {2*card|cards}",
			
            CHOOSE_DISCARDS = "Choose {1} {1*card|cards} to discard",
            CHOOSE_MIN_DISCARDS = "Choose at least {1} {1*card|cards} to discard",
            CHOOSE_MAX_DISCARDS = "Choose up to {1} {1*card|cards} to discard",
            CHOOSE_SOME_DISCARDS = "Choose {1} to {2} {2*card|cards} to discard",

			CHOOSE_EXPEND = "Choose {1} {1*card|cards} to expend",
            CHOOSE_MIN_EXPEND = "Choose at least {1} {1*card|cards} to expend",
            CHOOSE_MAX_EXPEND = "Choose up to {1} {1*card|cards} to expend",
            CHOOSE_SOME_EXPEND = "Choose {1} to {2} {2*card|cards} to expend",

            DECK_TOO_LARGE = "Hand full",
            CARDS_PLAYED = " ({1} cards played)",
            CARDS_DISCARDED = " ({1} cards discarded)",
            CARDS_IN_HAND = " ({1} cards in hand)",
            CHOOSE_SPENT_CARD = "Choose a card with spent uses",
            CHOOSE_MAX_CARDS_DUPLICATE = "Choose up to {1} {1*card|cards} to duplicate",
            CHOOSE_CARD_PREPARE = "Choose a card to prepare",

            SOURCE_CARD = "({1#card})",
            SOURCE_GRAFT = "({1#graft})",
            SOURCE_OTHER = "({1})",
		},

		CALENDAR =
		{
			DAY_FMT = "Day {1}",
			JUST_NOW = "Just now",

			DAY_PHASE =
			{
				NIGHT = "Night",
				NIGHT_COLOUR = "<#NIGHT>Night</>",

				DAY = "Daytime",
				DAY_COLOUR = "<#DAY>Daytime</>",

				DUSK = "Dusk",
				DUSK_COLOUR = "<#EVENING>Dusk</>",
			},

			TIMEDELTA =
			{
				WEEKS_AGO = "weeks ago",
				FORTNIGHT_AGO = "a fortnight ago",
				MORE_THAN_A_WEEK_AGO = "over a week ago",
				A_FEW_DAYS_AGO = "a few days ago",
				TWO_DAYS_AGO = "two days ago",
				YESTERDAY = "yesterday",
				EARLIER_TODAY = "earlier today",
				JUST_NOW = "just now",
				LATER_TODAY = "later today",
				TOMORROW = "tomorrow",
				IN_X_DAYS = "in {1} days",
			},
		},

        CHOOSE_CARDS_POPUP =
        {
            MINIMIZE_TITLE = "HIDE PANEL",
            MINIMIZE_DESC = "View cards in hand",
            RESTORE_TITLE = "RESTORE PANEL",
            RESTORE_DESC = "View card options",
            
            CANCEL_TITLE = "CANCEL",
            CANCEL_DESC = "",
        },

		NOTIFICATION = 
		{
            RESOLVE_UPGRADED = "Max Resolve Upgraded",
            RESOLVE_UPGRADED_DETAILS = "Increased by {1}",
            
            HEALTH_UPGRADED = "Max Health Upgraded",
            HEALTH_UPGRADED_DETAILS = "Increased by {1}",

            COMBAT_GRAFT_SLOT = "Additional Graft Slot",
            COMBAT_GRAFT_SLOT_DETAILS = "Additional battle graft slot available",

            NEGOTIATION_GRAFT_SLOT = "Additional Graft Slot",
            NEGOTIATION_GRAFT_SLOT_DETAILS = "Additional negotiation graft slot available",

			DECK_CHANGED_GAINED_NEGOTIATION =  "NEW NEGOTIATION CARD", 
            DECK_CHANGED_GAINED_BATTLE =  "NEW BATTLE CARD", 
            DECK_CHANGED_GAINED_DESC =  "Gained <!userdata_2>{1}</>",
			DECK_CHANGED_UPGRADED = "CARD UPGRADED",
            DECK_CHANGED_UPGRADED_DESC = "Upgraded <!userdata_2>{1}</>",
			DECK_CHANGED_REMOVED = "CARD REMOVED",
            DECK_CHANGED_REMOVED_DESC = "Removed <!userdata_2>{1}</>",

            CARD_GAIN_XP = "CARD EXPERIENCE INCREASED",
            CARD_GAIN_XP_DESC = "<!userdata_2>{1}</> gained {2} experience",
            CARD_GAIN_XP_UPGRADE_DESC = "<!userdata_2>{1}</> gained {2} experience\n<#QUEST>UPGRADE READY</>",

            GRAFT_ADDED = "NEW GRAFT",
            GRAFT_ADDED_DESC = "Installed {1#graft}",
            GRAFT_REMOVED = "GRAFT REMOVED",
            GRAFT_REMOVED_DESC = "Removed {1#graft}",
            GRAFT_UPGRADED = "GRAFT UPGRADED",
            GRAFT_UPGRADED_DESC = "Upgraded to {1#graft}",

            COIN_ADDED = "NEW COIN",
            COIN_ADDED_DESC = "Gained {1#graft}",

            GOOD_SOCIAL_GRAFT_ADDED_DESC = "Gained {1#graft}",
            GOOD_SOCIAL_GRAFT_REMOVED_DESC = "Lost {1#graft}",

            BAD_SOCIAL_GRAFT_ADDED_DESC = "Gained {1#graft}</>",
            BAD_SOCIAL_GRAFT_REMOVED_DESC = "Lost {1#graft}</>",

            FIRST_IMPRESSIONS = "{1#agent} is indifferent to you.",

			OPINION_REMEMBERS =  "{1#agent} Remembers: {2}",

			OPINION_NEW_RELATIONSHIP = "New Relationship",
            OPINION_NEW_RELATIONSHIP_DESC_HATED = "{1#agent} hates you",
            OPINION_NEW_RELATIONSHIP_DESC_DISLIKED = "{1#agent} dislikes you",
            OPINION_NEW_RELATIONSHIP_DESC_NEUTRAL = "{1#agent} is indifferent towards you",
            OPINION_NEW_RELATIONSHIP_DESC_LIKED = "{1#agent} likes you",
            OPINION_NEW_RELATIONSHIP_DESC_LOVED = "{1#agent} loves you",

			PARTY_MEMBER_ADDED = "NEW PARTY MEMBER",
			PARTY_MEMBER_ADDED_FMT = "{1#agent} joined the party",

			PARTY_MEMBER_REMOVED = "PARTY MEMBER LEFT",
			PARTY_MEMBER_REMOVED_FMT = "{1#agent} left the party",

            FRIEND_KILLED = "Your friend {1#agent} has been killed.",
            ENEMY_KILLED = "Your enemy {1#agent} has been killed.",

            GAINED_MONEY = "GAINED MONEY",
            GAINED_MONEY_FMT = "Gained {1#money}",
			LOST_MONEY = "LOST MONEY",
            LOST_MONEY_FMT = "Lost {1#money}",
			TOTAL_MONEY = "Total: {1#money}",

            GAINED_METTLE = "EARNED METTLE",
            GAINED_METTLE_FMT = "Gained {1#mettle}",
            TOTAL_METTLE = "Total: {1#mettle}",

			NEW_JOB_FMT_QUEST = "NEW JOB",
            NEW_JOB_FMT_QUEST_DESC = "Started {1#quest}",
			NEW_JOB_FMT_QUEST_DESC_AGENT = "Started {1#quest} for {2#agent}",

			COMPLETED_JOB = "JOB COMPLETED",
            COMPLETED_JOB_DESC = "Finished {1#quest}",
			FAILED_JOB_QUEST_REASON = "JOB FAILED",
            FAILED_JOB_QUEST_REASON_DESC = "Failed {1#quest}: {2}",
			FAILED_JOB_QUEST = "JOB FAILED",
            FAILED_JOB_QUEST_DESC = "Failed {1#quest}",

            BUTTON_OPEN_TT = "Show last notifications",
            BUTTON_CLOSE_TT = "Hide last notifications",

            GRIFT_COMPLETE = "Completed: {1}",
            GRIFT_COMPLETE_DETAILS = "Gained <#HILITE>{1}</> <p img='UI/perks_icon.tex'>",
		},

		ASPECT =
		{
			NEGOTIATION_CARD_INFO = "Adds <#HILITE>{negotiation.{2}} x{1}</> when negotiating",
			BATTLE_CARD_INFO = "Adds <#HILITE>{battle.{2}} x{1}</> when battling",
		},

		AGENT =
		{
			THE_FORMAT_STR = "the {1}",
			A_FORMAT_STR = "{1#a_an} {1}",
            IDENTITY_FORMAT_STR = "{1} {2}",
            SPECIES_FORMAT_STR = "{1} {2}",

			IS_YOUR_PET = "{1#agent} is your pet!",
			LIKES_YOU = "{1.Who} likes you!",
			DISLIKES_YOU = "{1.Who} dislikes you!",
		},

        SUPPORT_DESC =
		{
			CREW = "Is on your team",
            ESCORT = "Is on your team",
            HIRED = "Is hired by you",
            IS_YOUR_PET = "Is your pet",
			ORDERED = "Following orders",
            PAID_OFF = "Has been paid off",
            LIKES_YOU = "Likes you",
            LOVES_YOU = "Loves you",
            MANIPULATED_OUT = "Is manipulated",
            INTIMIDATED = "Is intimidated",
            LIKES_SUBJECT = "Likes {1.Who}",
            DISLIKES_SUBJECT = "Dislikes {1.Who}",
            PROTECT_WORKPLACE = "Guarding Location",
            DISLIKES_BOTH = "Dislikes you both",
            LIKES_YOU_BOTH = "Likes you both",
            MANIPULATED_IN = "Is manipulated",
            SAME_PARTY = "Party Member",
            ALLY = "Ally",
            DISLIKES_YOU = "Dislikes you",
			SYMPATHIZES_WITH = "Sympathizes with the {1}",
            PROTECTING_FACTION = "Protecting their faction",
            VIP = "Stays out of fights",
            BRIBED = "Is bribed",           
            TRY_TO_BREAK_FREE = "Fighting to escape",
		},

}

