local function HasMemory(memory, token, duration)
    local mem = memory and memory[token]
    local value
    if mem then
        value = mem.val or true
    else
        value = false
    end

    if duration and mem then
        local now = Now()
        if (now - mem.time) < duration then
            -- was recent: also return time remaining
            return value, (mem.time + duration) - now
        else
            -- not recent: return time passed
            return false, now - (mem.time + duration)
        end
    else
        --no duration passed in, return when it happened
        
        return value, mem and mem.time
    end
end

local function Remember(memory, token, val)
    assert( val ~= false ) -- can't distinguish this return value, so making it illegal.
    memory[token] = { val = val, time = Now() }
end

local function Forget(memory, token)
    if memory then
        memory[token] = nil
    end
end

return
{
    HasMemory = HasMemory,
    Remember = Remember,
    Forget = Forget
}
