require "prefab"
require "components/transform"
require "components/animcontroller"
require "components/animfighter"
require "components/soundemitter"
require "components/fxcontainer"
require "components/dronecontroller"
local paperdoll = require "paperdoll_util"

local glow = { colour = 0xF08C49FF, bloom = 0.2, threshold = 0.3 }

local function fn( ent, spawn_data )
    ent:AddComponent(Transform())
    ent:AddComponent(AnimController(-FIGHT_CAM_ANGLE))
    ent.cmp.AnimController:SetBuild(GetAnim( "anim/med_combat_drone_orb_build.zip" ))
    ent.cmp.AnimController:AddAnims(GetAnim( "anim/med_combat_drone_orb.zip" ))
    ent.cmp.AnimController:AddOverrideFile("anim/med_combat_drone_orb_build.zip") 
    ent.cmp.AnimController.animmodel:SetEffect( global_shaders.UI_ANIM )
    ent:AddComponent(SoundEmitter())
    ent:AddComponent(FXContainer())
    ent.cmp.AnimController:SetDepthState(DEPTH_TEST.LESSEQUAL, true)

    ent.cmp.Transform:SetLocalScale(1,1,1)
    ent.cmp.AnimController:SetGlowColour(glow.colour);
    ent.cmp.AnimController:SetGlowThresholdAndAmount(glow.threshold or 0.02, glow.bloom or 1.0);

    ent:AddComponent(DroneController(spawn_data.entity_to_follow, spawn_data.team, spawn_data.fighter))
    ent.cmp.DroneController:ShowDrone()
end


return {Prefab("andwanette_drone", fn)}