require "prefab"
require "components/transform"
require "components/planerenderer"
require "components/fightarrowrenderer"

local assets =
{
	arrow = engine.asset.Texture( "UI/arrow_target.tex")
}
local function fn( ent )

    ent:AddComponent(Transform())
    ent:AddComponent(FightArrowRenderer())

    ent.cmp.FightArrowRenderer:SetStretchPoints(123.0/700.0, 585.0/700.0);
    ent.cmp.FightArrowRenderer:SetLayerSpeeds(0.01, 0.08, 0.06)
    ent.cmp.FightArrowRenderer:SetLayerScale(2.0)
    ent.cmp.FightArrowRenderer:SetLayerAlphas(0.3, 0.2, 0.1)
    ent.cmp.FightArrowRenderer:SetMiddleUVSkew(0.03)
    ent.cmp.FightArrowRenderer:SetBloom(0.3)

    ent.cmp.FightArrowRenderer.model:SetLayer(RENDER_LAYER_GROUNDCOVER)
    ent.cmp.FightArrowRenderer.model:SetDepthState(DEPTH_TEST.LESSEQUAL, false, -0.02)

    ent:AddTag( "nodebug" )
end

return
{
	Prefab("fight_target_arrow", fn),
}
