
local listeners = {}


local cattable = {}
local LINE_NUMS = true
oldprint = print
print = function(...)

    if LINE_NUMS then
        local info = debug.getinfo(2, "Sl")
        local source = string.gsub(info.source, "@", "")
        local str = ""
        if source == "INP" then
            table.insert(cattable,">")
        else
            if info.source then
                table.insert(cattable, string.format("%s(%d,1)", source, info.currentline))
            end
        end
    end
    local num_args = select("#", ...)
    for k = 1, num_args do
        table.insert(cattable, tostring(select(k, ...)))

    end
	local catted = table.concat(cattable, '    ')
    table.clear(cattable)


    for k,v in pairs(listeners) do
    	k(catted)
    end

    
end

function AddPrintListener(listener)
	listeners[listener] = true
end

function RemovePrintListener(listener)
	listeners[listener] = nil
end

local engineprint = function(str)
	engine.inst:Print(str)
end


AddPrintListener(engineprint)

