StatUtil = class("StatUtil")

function StatUtil.AddedCard( card_id )
    StatUtil.IncContentStat("times_added", card_id)
end

function StatUtil.PlayedCard( card_id )
    StatUtil.IncContentStat("times_played", card_id)
end

function StatUtil.PresentedAtShop( card_id )
    StatUtil.IncContentStat("times_presented_at_shop", card_id)
end

function StatUtil.BoughtAtShop( card_id )
    StatUtil.IncContentStat("times_bought", card_id)
end

function StatUtil.PresentedCard( card_id )
    StatUtil.IncContentStat("times_presented", card_id)
end

function StatUtil.SelectedCard( card_id )
    StatUtil.IncContentStat("times_selected", card_id)
end

function StatUtil.UpgradedCard( card_id )
    StatUtil.IncContentStat("times_upgraded", card_id)
end

function StatUtil.RemovedCard( card_id )
    StatUtil.IncContentStat("times_removed", card_id)
end

function StatUtil.InstallGraft( graft_id )
    StatUtil.IncContentStat("times_installed", graft_id)
end

function StatUtil.CountStat( stat_id )
    local count = 0
    if TheGame:GetGameState() then
        local all_stats = TheGame:GetGameState():GetCardStats()
        for card_id, stats in pairs( all_stats ) do
            count = count + (stats[stat_id] or 0)
        end
    end
    return count
end

function StatUtil.IncContentStat(stat_id, content_id)
    if TheGame:GetGameState() then
        local all_stats = TheGame:GetGameState():GetCardStats()
        all_stats[content_id] = all_stats[content_id] or {}
        all_stats[content_id][stat_id] = all_stats[content_id][stat_id] and all_stats[content_id][stat_id] + 1 or 1
    end
end


function StatUtil.Reconcile(stat_table_1, stat_table_2)
    local t = {}

    for k,vv in pairs(stat_table_1) do
        t[k] = t[k] or {}
        for id,v in pairs(vv) do
            t[k][id] = t[k][id] and t[k][id] + v or v
        end
    end

    for k,vv in pairs(stat_table_2) do
        t[k] = t[k] or {}
        for id,v in pairs(vv) do
            t[k][id] = t[k][id] and t[k][id] + v or v
        end
    end

    return t
end

