local StringTable = class( "StringTable" )

function StringTable:init( id, strings )
	assert( id )
	assert( type(strings) == "table" )
	self.id = id
	self.strings = strings
end

function StringTable:SetModID( mod_id )
	self.mod_id = mod_id
end

function StringTable:GetModID()
	return self.mod_id
end

local function MergeStrings( t, t1 )
	for k, v in pairs( t1 ) do
		if t[k] == nil then
			t[k] = v
		elseif type(v) == "table" and type(t[k]) == "table" then
			MergeStrings( t[k], v )
		else
			print( "Overriding string table entry:", k, v )
			t[k] = v
		end
	end
end

function StringTable:HarvestStrings( strings )
	-- String tables merge.
	MergeStrings( strings, self.strings )
end

