require "ui/screens/infopopup"

local DEFAULT_TEXT_W = RES_X*.36
local WIPpopup = class( "Screen.WIPpopup", Screen.InfoPopup )

function WIPpopup:init( title, body, button, img, fn )
    WIPpopup._base.init( self, title, body, button, fn )

    self:GetTextWidget():CenterH():Spool()

    self.act_bg = self:AddChild( Widget.Image( img ) )
end

function WIPpopup:OnScreenModeChange( sm )
    WIPpopup._base.OnScreenModeChange( self, sm )

    self.panel:GetTitleWidget():SetAutoSize( DEFAULT_TEXT_W/LAYOUT_SCALE[sm] )
    self.panel:GetSubtitleWidget():SetAutoSize( DEFAULT_TEXT_W/LAYOUT_SCALE[sm] )

    self:Layout()
end

function WIPpopup:Layout()
    WIPpopup._base.Layout( self )
    if self.act_bg then
        self.panel:GetPanelWidget():Hide()
        local img_w, img_h = self.act_bg:GetSize()
        local screen_w, screen_h = TheGame:FE():GetScreenDims()
        screen_w = math.ceil( screen_w / TheGame:FE():GetBaseWidgetScale() )
        screen_h = math.ceil( screen_h / TheGame:FE():GetBaseWidgetScale() )
        self.act_bg:SetSize( screen_w, img_h * screen_w / img_w )
            :SendBehind( self.panel )
        local img_w, img_h = self.act_bg:GetSize()
        if img_h < screen_h then
            self.act_bg:SetSize( img_w * screen_h / img_h, screen_h )
        end

        self.panel:GetTitlesWidget():LayoutBounds( "center", "center", self.panel )
            :Offset( RES_X*0.25, SPACING.M1-200 )
        self.buttons:LayoutBounds( "center", "below", self.panel:GetTitlesWidget() )
            :Offset( 0, -SPACING.M05 )
    end
end


function DoSmithMessage()
    if TheGame:GetLocalSettings().ROBOTICS then
        engine.inst:Quit()
        return
    end

    local player = TheGame:GetGameState() and TheGame:GetGameState():GetPlayerAgent()
    local rook = player and player:GetContentID() == "ROOK"
    
    local img = engine.asset.Texture( "large/smith_end_screen.tex" )
    local popup = Screen.WIPpopup(LOC"UI.SMITH_ENDING.TITLE", LOC"UI.SMITH_ENDING.BODY", LOC"UI.SMITH_ENDING.BUTTON", img, function() TheGame:Win( GAMEOVER.ALPHA_VICTORY ) end )
    TheGame:FE():PushScreen(popup)
end