

function DebugTools_PlaxEditor(fe)
    require "ui/screens/plaxeditor"
    fe:SetScreen(Screen.PlaxEditor())
end

function DebugTools_ColourSettings()
    TheGame:GetDebug():CreatePanel( DebugColourSettings() )
end

function DebugTools_FightTest()
    TheGame:GetDebug():CreatePanel( DebugFightTest() )
end

function DebugTools_ConvoBuildDebug(fe)
    require "ui/screens/convobuilddebug"
    fe:SetScreen(Screen.ConvoBuildDebug())
end

function DebugTools_ParticleEditor(fe, particles_to_load, bg_to_load)
    require "ui/screens/particleeditorscreen"

    local screen = Screen.ParticleEditorScreen()
    
    if particles_to_load then
        screen:SetCurrentEffect(particles_to_load)
    end

    if bg_to_load then
        screen:SetCurrentBackground(bg_to_load)
    end

    fe:SetScreen(screen)
end

function DebugTools_NegotiationEditor(fe)
    require "ui/screens/negotiationscreen"
    fe:SetScreen(Screen.NegotiationScreen())
end

function DebugTools_BattleFXPlacer(fe)
    require "ui/screens/attacktester"
    fe:SetScreen(Screen.AttackTester())
end


-- fe = self:GetFE()
-- ui = ui system
-- fn = function to call before switching. This needs to be used to save the file in the current editor before switching to the next editor. See hwo this is used in the plaxeditor for reference.
function ShowDebugToolsMenu(fe, ui, fn)
    if ui:BeginMenu( "Editors" ) then
        ShowDebugToolsSubmenu(fe, ui, fn)
        ui:EndMenu()
    end
end

function ShowDebugToolsSubmenu(fe, ui, fn)
    if ui:MenuItem( "PLAX Editor" ) then
        if fn then
            fn(function() DebugTools_PlaxEditor(fe) end)
        else
            DebugTools_PlaxEditor(fe)
        end
    end        

    if ui:MenuItem( "Colour Settings" ) then
        DebugTools_ColourSettings()
    end

    if ui:MenuItem( "Build Test" ) then
        if fn then
            fn(function() DebugTools_ConvoBuildDebug(fe) end)
        else
            DebugTools_ConvoBuildDebug(fe)
        end            
    end

    if ui:MenuItem( "Fight Test" ) then
        DebugTools_FightTest()
    end

    if ui:MenuItem( "Battle FX Placer" ) then
        if fn then
            fn(function() DebugTools_BattleFXPlacer(fe) end)
        else
            DebugTools_BattleFXPlacer(fe)
        end      
    end

    if ui:MenuItem( "Particle Editor" ) then
        if fn then
            fn(function() DebugTools_ParticleEditor(fe) end)
        else
            DebugTools_ParticleEditor(fe)
        end            
    end

    if ui:MenuItem( "Negotiation Tester" ) then
        if fn then
            fn(function() DebugTools_NegotiationEditor(fe) end)
        else
            DebugTools_NegotiationEditor(fe)
        end            
    end
end
