local HologramTuning = class( "Screen.HologramTuning", Widget.Screen )


local HOLOGRAM_VALUES =
{
    scale = -1.0, 
   -- colour = 0x9900ffff,
    colour = 0x9900FFff,
    alpha = {0.7, 0.3, 2.0}, -- Alpha for each layer of the FX
    speed = {0.05, 0.07, 0.5},
    layersTexture = engine.asset.Texture("rgba/character_hover.tex"),

    glitchSpeed = 0.07, 
    glitchScale = 6.0,
    glitchTexture = engine.asset.Texture("glitch/holo_glitch.tex"),

    colormatrixHue = {1.0,0.5,3.0},
    colormatrixSaturation = 0.0,
    colormatrixBrightness = 0.0,
    colormatrixContrast = 1.5,

    -- hsvtable = {
    --     highlights = {
    --         colour = {
    --             0.22352941176471,
    --             0.36470588235294,
    --             1.0
    --         },
    --         hsv = {
    --             0.34900000691414,
    --             0.0,
    --             0.83399999141693
    --         }
    --     },
    --     midtones = {
    --         colour = {
    --             0.83137254901961,
    --             0.57647058823529,
    --             1.0
    --         },
    --         hsv = {
    --             0.49300000071526,
    --             0.0,
    --             0.63899999856949
    --         }
    --     },
    --     shadows = {
    --         colour = {
    --             0.91764705882353,
    --             0.84313725490196,
    --             1.0
    --         },
    --         hsv = {
    --             0.59799998998642,
    --             0.0,
    --             0.052999999374151
    --         }
    --     }
    -- },
}

function HologramTuning:init( title, body, button, img, fn )
    HologramTuning._base.init( self, title, body, button, fn )

    local plaxdata = Content.GetPlaxData( "EXT_Battlefield_1" )
    self.plax = Widget.Plax():SetAnchors( "center", "center" )
    self.plax:SetLayers( plaxdata.layers )
    self:AddChild(self.plax)

    self:AddCharacter(0.0, "KASHIO")
    self:AddCharacter(-300.0, "KASHIO")
    self:AddCharacter(300.0, "SAL")
end



function HologramTuning:AddCharacter(position, agentname)
    local character = self:AddChild( Widget.AnimatedCharacter() )
        :Refresh( Agent(agentname) )    
        :SetAnchors( "center", "center" )
        :SetPos(position, 0.0)
        :SetScale( 0.3 )

    local model = character.anim.model

    model:SetHologramEnabled(true)
    model:SetHologramGlitchSpeedAndScale(HOLOGRAM_VALUES.glitchSpeed, HOLOGRAM_VALUES.glitchScale)
    model:SetHologramGlitchTexture(HOLOGRAM_VALUES.glitchTexture)

    model:SetHologramLayerSpeeds(HOLOGRAM_VALUES.speed[1], HOLOGRAM_VALUES.speed[2], HOLOGRAM_VALUES.speed[3])
    model:SetHologramLayerScale(HOLOGRAM_VALUES.scale)
    model:SetHologramLayerAlphas(HOLOGRAM_VALUES.alpha[1], HOLOGRAM_VALUES.alpha[2], HOLOGRAM_VALUES.alpha[3])
    model:SetHologramLayerTexture(HOLOGRAM_VALUES.layersTexture)

    local r,g,b,a = HexColour(HOLOGRAM_VALUES.colour)
    model:SetHologramLayerColor(r, g, b, a)

    model:SetHologramHueSatBriCon(HOLOGRAM_VALUES.colormatrixHue[1], HOLOGRAM_VALUES.colormatrixHue[2], HOLOGRAM_VALUES.colormatrixHue[3], HOLOGRAM_VALUES.colormatrixSaturation, HOLOGRAM_VALUES.colormatrixBrightness, HOLOGRAM_VALUES.colormatrixContrast)

--    if HOLOGRAM_VALUES.hsvtable then
--       character:SetHSV(HOLOGRAM_VALUES.hsvtable, true)
--    end

end
