require "ui/widgets/screen"
require "ui/widgets/label"
require "ui/widgets/image"
require "ui/widgets/panelbutton"
require "ui/widgets/imagebutton"
require "ui/widgets/locationbutton"
require "ui/widgets/plax"

local DUDES = {"ADMIRALTY_GOON", "CHEMIST"}

local PlaxDemoScreen = class("Screen.PlaxDemoScreen", Widget.Screen)
PlaxDemoScreen.IS_EDITOR = true

function PlaxDemoScreen:init( plax_data, day_phase, no_characters )
    PlaxDemoScreen._base.init(self)

    self.plax = Widget.Plax():TrackMouse( true ):PostProcess( true )
    self.plax:SetDayPhase(day_phase)
    self.stage = Widget.CharacterStage()

    self:AddChildren
    {      
        self.plax,
        self.stage:SetAnchors("center", "bottom"):Offset(0, RES_Y/2),

        Widget():SetName("interface"):AddChildren{
            Widget.PanelButton():SetName("LEAVE"):SetText("Leave"):SetFn(function() self:GetFE():PopScreen( self ) end):SetPos(0, -RES_Y/2 + 50)
        },
    }
    
    self:SetAnchors( "center", "center" )

    self:RegisterHotkeyButton( Controls.Digital.MENU_CANCEL, self:FindChild( "LEAVE") )

    self.plax_data = plax_data
    assert( plax_data.layers )
    if no_characters then
        self.stage:Hide()
    end
    self:Refresh( false )
end

function PlaxDemoScreen:Refresh( hide_name )


    self.plax:SetLayers( self.plax_data.layers )
    self.plax:SetColourNames( self.plax_data.day_colour, self.plax_data.night_colour )
   
    if not self.plax_data.is_region then
        local agent = Agent( DUDES[math.random(#DUDES)] )
        self.stage:AddCharacter( agent, true )
        self.stage:SetPoseDef(agent, "conversation")

        local agent = Agent( DUDES[math.random(#DUDES)] )
        self.stage:AddCharacter( agent, false )
        self.stage:SetPoseDef(agent, "conversation")
    end

    for slot_id, slot in self.plax:Slots() do
        if slot.data.preview_agent then
            local agent = Agent( slot.data.preview_agent )
            self.plax:FillSlot(agent, slot_id)
        end
    end

    self.plax:UpdateAllHSV()
end


function PlaxDemoScreen:DoRender()
    self.plax:RenderToScene()
end
