require "ui/widgets/screen"

----------------------------------------------------------------------------------------
-- A splash screen notifying the player about the game-saving anim

local SignInScreen = class("Screen.SignInScreen", Widget.Screen)

SignInScreen.CONTROL_MAP = table.empty

function SignInScreen:init( on_done_fn )
    SignInScreen._base.init(self)
    
    self.is_popup = true
    self:SetupUnderlay( true )
    self:SetAnchors( "center", "center" )

    -- A container for all the background elements
    self.panel = self:AddChild( Widget.WidePanel( 150) )
        :SetTitles( LOC "UI.SIGN_IN_SCREEN.DESC" )

    self.smith_image_container = self:AddChild( Widget() )
    local img_scale = 0.41
    local img_w = 1000
    local img_h = 700
    self.smith_image_back = self.smith_image_container:AddChild( Widget.Image( engine.asset.Texture("battle/decks/smith_beta_back.tex") ) )
    self.smith_image_back:SetSize( img_w*img_scale, img_h*img_scale )
    self.smith_image_back:Bloom(0.2)
    self.smith_image = self.smith_image_container:AddChild( Widget.Image( engine.asset.Texture("battle/decks/smith_beta.tex") ) )
    self.smith_image:SetSize( img_w*img_scale, img_h*img_scale )
    self.smith_image:Bloom(0.03)


    self.smith_image_container:LayoutBounds( "center", "bottom", self.panel:GetBottomEdgeWidget() )
        :LayoutBounds( "before", nil, self.panel:GetTitlesWidget() )
        :Offset( 0, 2 )
end

function SignInScreen:HandleControlDown( control, device )
    if control:Has( Controls.Digital.MENU_ACCEPT ) then
        engine.inst:InitiateSignIn()
    end
end

function SignInScreen:OnSignIn()
    self:GetFE():PopScreen( self )
    self:GetFE():PushScreen( Screen.MainMenu() )
end
