require "ui/widget"

local assets = 
{
    grid = engine.asset.Texture ("UI/grid_wide.tex"),
    gradient = engine.asset.Texture ("UI/grid_fade.tex"),
}

local AnimatedGrid = class("Widget.AnimatedGrid", Widget)

function AnimatedGrid:init( width )
    AnimatedGrid._base.init( self )

    self.gradient = self:AddChild( Widget.Image( assets.gradient ) )
    self.grid = self:AddChild( Widget.Image( assets.grid ) )

    self:SetSize( width )
end

function AnimatedGrid:SetSize( w, h )

    self.width = w or RES_X

    local w, h = self.grid:GetSize()
    local scale = w / self.width

    self.height = h * scale

    self.grid:SetSize( self.width, self.height )
    self.gradient:SetSize( self.width, self.height * 1.5 ):LayoutBounds("center","bottom", self.grid)

    return self
end
