require "ui/widget"


local EmptyPanel = class("Widget.EmptyPanel", Widget)

function EmptyPanel:init( w, h )	
	EmptyPanel._base.init(self)
	self.w, self.h = w or 1, h or 1
end

function EmptyPanel:GetBoundingBox()
	return -self.w/2, -self.h/2, self.w/2, self.h/2
end

function EmptyPanel:GetSize()
	return self.w, self.h
end

function EmptyPanel:SetSize(w,h)
	if self.w ~= w or self.h ~= h then
		self.w, self.h = w, h
		self:InvalidateBBox()
	end
	return self
end

function EmptyPanel:ExpandSize( w, h )
	w = math.max( w or 0, self.w )
	h = math.max( h or 0, self.h )
	self:SetSize( w, h )
end
