require "ui/widget"
require "ui/widgets/label"
require "ui/widgets/spinner"

local LabelSpinner = class("Widget.LabelSpinner", Widget.Spinner)

function LabelSpinner:init( )
	LabelSpinner._base.init(self)
	self.font = "body"
	self.size = 20
	self.label = self:AddChild(Widget.Label( self.font, self.size))
	self.label:CenterH()
	self.label:SetGlyphColour(0x000000ff)
end

function LabelSpinner:SetTextColour(col)
	self.label:SetGlyphColour(col)
	return self
end

function LabelSpinner:SetSize( w, h )
	LabelSpinner._base.SetSize( self, w, h )
	self.label:SetRegionSize(w - 16, h - 16)
	return self
end

function LabelSpinner:SetFont(font, size)
	self.font = font
	self.size = size
	self.label:SetFont(font)
	self.label:SetFontSize(size)
	return self
end

function LabelSpinner:Clear()
	self:SetOptions()
	self.label:SetText("")
end

function LabelSpinner:UpdateState()

	LabelSpinner._base.UpdateState(self)

	if self.enabled then
		if self.options[self.idx] then
			local str = type(self.options[self.idx]) == "table" and self.options[self.idx].txt or self.options[self.idx]
			self.label:SetText(str)
			local tt = type(self.options[self.idx]) == "table" and self.options[self.idx].tt or ""
			self:SetToolTip(tt)
		end
	end

end
