local CIRCLE_SIZE = 32

local LocationNode = class("Widget.LocationNode", Widget)

function LocationNode:init(element)
    LocationNode._base.init(self)
    self.element = element
    self.img = self:AddChild(Widget.Image(global_images.circle):SetSize(CIRCLE_SIZE, CIRCLE_SIZE):SetTintColour(0xff0000ff))
    self.txt = self:AddChild(Widget.Label("title", 8))
    self:Refresh()
end

function LocationNode:Refresh()
    if self.element.location_name and self.element.location_name ~= "" then
        self.img:SetTintColour(0xff0000aa)
        self.txt:SetText(self.element.location_name)
        self.txt:Show()
        self.txt:LayoutBounds("center", "center", self.img)
    elseif self.element.location_tags and self.element.location_tags ~= "" then
        self.img:SetTintColour(0x00ff00aa)
        self.txt:SetText(self.element.location_tags)
        self.txt:Show()
        self.txt:LayoutBounds("center", "center", self.img)
    else
        self.img:SetTintColour(0xaaaaaaaa)
        self.txt:Hide()
    end
end