require "ui/widget"

local PolyLine = class("Widget.PolyLine", Widget)

function PolyLine:init( )
    PolyLine._base.init(self, engine.model.LineSegModel())
    self.nodebug = true
    self.w, self.h = 0, 0
end

function PolyLine:CreateRect(w, h, crossbar)
    self.model:Clear()
    self.model:AddLine(-w/2, -h/2, 0, w/2, -h/2, 0)
    self.model:AddLine(-w/2, h/2, 0, w/2, h/2, 0)
    self.model:AddLine(-w/2, h/2, 0, -w/2, -h/2, 0)
    self.model:AddLine(w/2, h/2, 0, w/2, -h/2, 0)

    if crossbar then
        self.model:AddLine(w/2, h/2, 0, -w/2, -h/2, 0)
        self.model:AddLine(-w/2, h/2, 0, w/2, -h/2, 0)
    end
    self.w, self.h = w, h
    return self
end

function PolyLine:GetBoundingBox()
    local w, h = self.w, self.h
    return -w/2, -h/2, w/2, h/2
end


function PolyLine:GetSize()
    return self.w, self.h
end

