require "ui/widgets/progressbar"
require "ui/widgets/label"

local ProgressImageBar = class("Widget.ProgressImageBar", Widget.ProgressBar)

function ProgressImageBar:init( w, h )
	ProgressImageBar._base.init(self,w,h)
end

function ProgressImageBar:SetMaskTexture( texture )
    self.container:SetStencilContext(true)

    for k,v in ipairs(self.container.children) do
        v:SetStencilTest(true)
    end

    self.portrait_mask = self.container:AddChild( Widget.Image( texture ) )
    self.portrait_mask:SetMask(true)
    self.portrait_mask:SendToBack()

    self:Layout()
end

function ProgressImageBar:Layout()
    ProgressImageBar._base.Layout(self)
    if self.portrait_mask then self.portrait_mask:SetSize(self.w, self.h) end
end