require "ui/widget"


local RadialProgress = class("Widget.RadialProgress", Widget)

function RadialProgress:init( dw, dh, tex )

    RadialProgress._base.init(self, engine.model.RadialProgressModel())

    self:SetSize(dw, dh)
    self:SetTexture(tex)
    
    self.blocks_mouse = true
end

function RadialProgress:OnRemoved()
    self.texture = nil
end


function RadialProgress:__tostring()
    return string.format("RadialProgress Widget (%2.2fx%2.2f)", self:GetSize())
end

function RadialProgress:SetBloom(b)
    self.model:SetBloom(b)
    return self
end

function RadialProgress:SetTint(r,g,b,a)
    self.model:SetTint(r,g,b,a)
    return self
end

function RadialProgress:GetBoundingBox()
    return self.model:GetBoundingBox()
end

function RadialProgress:SetSize(dw,dh)
    self.model:SetSize(dw, dh)
    self:MarkTransformDirty()
    self:InvalidateBBox()
    return self
end

function RadialProgress:GetSize()
    return self.model:GetSize()
end

function RadialProgress:SetTexture(texture)
    self.texture = texture
    self.model:SetTexture(texture)

    return self
end

function RadialProgress:SetProgress(zeroToOne)
    self.model:SetProgress(zeroToOne);
    return self
end

function RadialProgress:SetMask()
    self.model:SetColourWrite(false)
    self.model:SetEffect(global_shaders.UI_MASK)
    self:SetStencilWrite(STENCIL_MODES.SET)
    return self
end

function RadialProgress:SetSize(w, h)
    local current_w, current_h = self:GetSize()

    if current_w ~= w or current_h ~= h then
        w = w or current_w
        h = h or current_h

        self.model:SetSize(w, h)
        self:MarkTransformDirty()
        self:InvalidateBBox()
    end

    return self
end

function RadialProgress:Expand( dw, dh )
    local w, h = self:GetSize()
    self:SetSize( w + (dw or 0), h + (dh or 0) )
    return self
end

function RadialProgress:GetSize()
    return self.model:GetSize()
end

function RadialProgress:__tostring()
    return "radial progress"
end

    