require "ui/widget"
require "ui/widgets/image"

local assets = {
	square = engine.asset.Texture("images/square.tex")
}

local SolidBox = class("Widget.SolidBox", Widget)

function SolidBox:init( w, h, r, g, b, a)	
	SolidBox._base.init(self)
	--self.blocks_mouse = true
	self.image = self:AddChild(Widget.Image(assets.square, w, h))

	self.w, self.h = w or 1, h or 1
	
	--self.image.model:SetBlendMode(a and a < 0 and BLEND_MODE.BLENDED or BLEND_MODE.DISABLED)
	if r then
		self.image:SetTintColour(r,g,b,a)
	end
end

function SolidBox:GetBoundingBox()
	return -self.w/2, -self.h/2, self.w/2, self.h/2
end

function SolidBox:SizeToWidgets( padding, ... )
    local xmin, ymin, xmax, ymax = self.parent:CalculateBoundingBox( ... )
    if ymax > ymin then
        self:SetSize( (xmax - xmin) + padding, (ymax - ymin) + padding )
        self:SetPos( (xmin + xmax)/2, (ymin + ymax)/2 )
    end
end

function SolidBox:SetBloom(b)
	self.image:SetBloom(b)
	return self
end

function SolidBox:GetSize()
	return self.w, self.h
end

function SolidBox:SetColour(r,g,b,a)
	if r and not g and not b then
		r,g,b,a = HexColour(r)
	end
	--self.image.model:SetBlendMode(a and a < 0 and BLEND_MODE.BLENDED or BLEND_MODE.DISABLED)
	self.image:SetTintColour(r,g,b,a)
	return self
end

function SolidBox:SetSize(w,h)
	if self.w ~= w or self.h ~= h then
		local imw, imh = self.image:GetSize()
		self.w = w or self.w or 1
		self.h = h or self.h or 1
		self.image:SetScale(self.w/imw, self.h/imh)
	end
	return self
end

function SolidBox:ExpandSize( w, h )
	w = math.max( w or 0, self.w )
	h = math.max( h or 0, self.h )
	self:SetSize( w, h )
end
