require "ui/widgets/label"
require "ui/widgets/solidbox"

local SolidLabel = class("Widget.SolidLabel", Widget)

function SolidLabel:init( font, sz, txt )
	SolidLabel._base.init(self)

	self.bg = self:AddChild( Widget.SolidBox( 128, 64, 0, 0, 0, 0.5 ))
	self.label = self:AddChild( Widget.Label( font, sz, txt ))
	self.xpad, self.ypad = 12, 4

	self:Refresh()
end

function SolidLabel:SetMinSize( xmin, ymin )
	self.xmin, self.ymin = xmin, ymin
	return self
end

function SolidLabel:SetPadding( xpad, ypad )
	self.xpad, self.ypad = xpad, ypad
	return self
end

function SolidLabel:Refresh()
    local tw, th = self.label:GetRenderSize()
    self.bg:SetSize( math.max( self.xmin or 0, tw + self.xpad * 2 ), math.max( self.ymin or 0, th + self.ypad * 2 ))
end

function SolidLabel:SetText( txt )
	self.label:SetText( txt )
	self:Refresh()
	return self
end

function SolidLabel:SetGlyphColour( ... )
	self.label:SetGlyphColour( ... )
	return self
end

function SolidLabel:SetBGColour( ... )
	self.bg:SetColour( ... )
	return self
end

function SolidLabel:GetLabel()
	return self.label
end

