require "ui/widgets/panel"
require "ui/widgets/label"

--------------------------------------------------------------------
-- Basic tooltip, just a text label on a panelled background.

local Tooltip = class("Widget.Tooltip", Widget)

Tooltip.LAYOUT_SCALE =
{
    [SCREEN_MODE.MONITOR] = 1,
    [SCREEN_MODE.TV] = 1.5,
    [SCREEN_MODE.SMALL] = 1.5,
}

function Tooltip:init( width )
	Tooltip._base.init(self)
	self.bg = self:AddChild( Widget.Panel(global_images.tooltipbg) )
    self.bg:SetNineSliceBorderScale( 0.5 )
	self.text = self:AddChild( Widget.Label("tooltip", 22) )
		:SetAutoSize( width or DEFAULT_TT_WIDTH  )
		:SetWordWrap( true )
		:LeftAlign()
        :OverrideLineHeight( 18 )
		:SetGlyphColour( UICOLOURS.TOOLTIP_TEXT )
        :Bloom(0.1)
	self:Hide()
end

function Tooltip:DoLayout( txt )
	assert_warning( type(txt) == "string" or error(tostr(txt,2)))
	self.text:SetText(txt or "")
	self.bg:SizeToWidgets( 2, self.text )
end
