require "ui/widget"
require "ui/widgets/tooltip_card"

local TooltipAspect = class("Widget.TooltipAspect", Widget.Tooltip)

function TooltipAspect:init()
    TooltipAspect._base.init( self )

    self.card_keywords = {}
    self.keywords = self:AddChild( Widget.TooltipKeywords())
end

function TooltipAspect:PostFeature( feature_id, name, desc )
    self.card_keywords[ feature_id ] = { name = name, desc = desc }
end

function TooltipAspect:PostCard( feature_id, card )
    self.card_keywords[ feature_id ] = { card = card }
end

function TooltipAspect:DoLayout( aspect )
    local desc = aspect:FormatDesc( TheGame:GetGameState() )    

    table.clear( self.card_keywords )
    if desc then
        desc = CardEngine.ExtractKeywords( desc, self )
    end

    TooltipAspect._base.DoLayout( self, desc )

    self.keywords:DoLayout( self.card_keywords )
    self.keywords:LayoutBounds( "after", "top", self.bg )
end
