require "ui/widget"
require "ui/widgets/panel"
require "ui/widgets/label"

local panel_w = 412
local panel_h = 128
local padding = 8
local image_size = panel_h
local text_w = panel_w - image_size

local TooltipCodex = class("Widget.TooltipCodex", Widget)

function TooltipCodex:init()
	TooltipCodex._base.init(self)
	self.bg = self:AddChild(Widget.Panel(global_images.tooltipbg))
    self.bg:SetNineSliceBorderScale( 0.5 )

    self.contents = self:AddChild(Widget())

    self.title = Widget.Label("title", 26, "")
        :SetAutoSize( text_w )
        :SetWordWrap( true )
        :LeftAlign()
        :SetGlyphColour(UICOLOURS.BODYTEXT)
        :Bloom(0.1)
    self.text = Widget.Label("tooltip", 22)
        :SetAutoSize( text_w )
        :SetWordWrap( true )
        :LeftAlign()
        :OverrideLineHeight( 18 )
        :SetGlyphColour( UICOLOURS.TOOLTIP_TEXT )
        :Bloom(0.1)

    self.contents:AddChildren{
        self.title,
        self.text,
    }
	self:Hide()
end

function TooltipCodex:DoLayout( codex_item )
    
    local posX, posY;

    local title = codex_item:GetLocalizedTitle()
    if title then
        self.title:SetText( title ):Show()
        posX, posY = self.title:GetPos();
        self.text:SetText( codex_item:GetLocalizedBody() )
        self.text:LayoutBounds( "left", "below" )
            :Offset( 0, 2 )
    end

    self.contents:SetRegistration("center", "center")
    self.bg:SizeToWidgets( padding, self.contents )
    
end
