local CamShake = class( "CamShake" )

function CamShake:init( mag, speed, time )
    self.shake_mag = mag
    self.shake_time = 0
    self.shake_time_total = time
    self.shake_speed = speed
    self.shake_x, self.shake_y, self.shake_r, self.shake_s = 0, 0, 0, 0
end

function CamShake:UpdateShake( dt )
    self.shake_time = self.shake_time + dt
    if self.shake_time >= self.shake_time_total then
        self.shake_x, self.shake_y, self.shake_r, self.shake_s = 0, 0, 0, 0
    else
        local m = easing.inQuad( self.shake_time, self.shake_mag, -self.shake_mag, self.shake_time_total )
        local n = ( ( self.shake_time <= self.shake_time_total/2 ) and m or 1-m ) * 2 - 1 -- Goes from 1 to 0 and back to 1
        self.shake_x = m*math.cos( self.shake_time*self.shake_speed )
        self.shake_y = m*math.sin( self.shake_time*self.shake_speed )
        self.shake_r = n*math.sin( self.shake_time*self.shake_speed )
        self.shake_s = n*math.sin( self.shake_time*self.shake_speed )
    end

    return self.shake_x, self.shake_y, self.shake_r, self.shake_s
end

function CamShake:IsDone()
    return self.shake_time >= self.shake_time_total
end
