Twitch = class("Twitch")

Twitch.SERVER_URL = "http://localhost:8081/"

-- Send a request to the Twitch Extension, letting it know the game is connected
function Twitch.GameConnect( callback_fn )
    -- print( engine.inst:GetClientToken() )
    local client_token = engine.inst:GetClientToken()
    client_token = "pcl-usc^KU_VAGVAd2g^GL^NEIpEzS3dqe3Jbp3oQmrn3GXrVSIQJeP8Tp964c6LAQ="
    TheGame:GetStreamingProfile():SetTwitchToken( client_token )
    local url = Twitch.SERVER_URL .. "game/connect"
    engine.inst:GetURL( url, json.encode({ client_token = client_token }), 
        function( success, code, response )
            if success then
                Twitch.HandleResponse( response )
                if callback_fn then callback_fn(json.decode(response)) end
            end
        end
    )
end

function Twitch.MainMenuInitialConnection()
    if engine.inst:GetSetting("gameplay", "twitch_mode", 0) == 1 then
        Twitch.GameConnect( function(response)
            -- Handle response
            if response and response.error then
                if response.error == "NO_TWITCH_ID" then
                    -- Tell user to connect their twitch account to their Klei account
                    TheGame:FE():PushScreen(Screen.YesNoPopup(
                        LOC"UI.TWITCH.NO_TWITCH_POPUP_TITLE", 
                        LOC"UI.TWITCH.NO_TWITCH_POPUP_TEXT" ))
                        :SetFn( function(v)
                            if v == Screen.YesNoPopup.YES then 
                                engine.inst:OpenUrlInBrowser( "https://accounts.klei.com/account/info" )
                            end
                        end )
                else
                    -- Some other error. Show the user that too
                    TheGame:FE():PushScreen(Screen.InfoPopup( LOC"UI.TWITCH.ERROR_TWITCH_POPUP_TITLE", response.error ))
                end
            elseif response then
                -- It connected correctly. Move on quietly
                -- TheGame:FE():PushScreen(Screen.InfoPopup( LOC"UI.TWITCH.CONNECTED_POPUP_TITLE", LOC"UI.TWITCH.CONNECTED_POPUP_TEXT" ))
            end
        end )
    end
end

function Twitch.HandleResponse(response)
    print(response)
    if not response or (response and response.error) then return end

    -- Save KU
    if response.userID then TheGame:GetStreamingProfile():SetTwitchUserID( response.userID ) end
    -- Save Twitch ID
    if response.clientToken then TheGame:GetStreamingProfile():SetTwitchID( response.clientToken ) end
    -- Save Client Token for future requests
    if response.clientToken then TheGame:GetStreamingProfile():SetTwitchToken( response.clientToken ) end

    -- Save NPCNames data
    if response.npcnames then Twitch.OnNPCNamesChange( npcnames_data ) end
end

function Twitch.OnNPCNamesChange( npcnames_data )
    TheGame:GetStreamingProfile():SetTwitchNPCNamesData( npcnames_data )
    Twitch.npcnames = npcnames_data
    DBG( Twitch.npcnames )
end
