NetworkUtil = class("NetworkUtil")

--self.storage:SaveFile( self.filename, "return ".. serpent.block(self.values, {comment = false}), cb)


function NetworkUtil.GetMOTD(cb)
    -- Wait for the backend to come... online.
    if not engine.inst:IsOnline() then
        TheGame.scheduler:DoTaskInTime("motd", 1.0, NetworkUtil.GetMOTD, cb )
        return
    end

    local ret = {
        motd = nil,
        images = {},
    }

    local url = "https://klei-motd.s3.amazonaws.com/gl/motd.json"
    local cache_filename = "motd.lua"

    local function LoadImages()
        local function find_images(t, imgs)
            for k,v in pairs(t) do
                if k == "image" and type(v) == "string" and v ~= "" then
                    imgs[v] = "LOADING"
                elseif type(v) == "table" then
                    find_images(v, imgs)
                end
            end
        end

        find_images(ret.motd, ret.images)

        local pending = false
        
        local src_array = shallowcopy(ret.images)
        for k,v in pairs(src_array) do
            local file_id = k
            local cache_file_name = file_id:match("^.+/(.+)$")
            local full_name = cache_file_name and loc.format( "{1}", cache_file_name)
            if full_name then
                pending = true
                engine.inst:GetNetworkImage(file_id, full_name,
                    function(tex)
                        if tex then
                            ret.images[file_id] = tex 
                        else
                            ret.images[file_id] = nil 
                        end
                        
                        for j,v in pairs(ret.images) do
                            if type (v) == "string" then
                                return
                            end
                        end
                        cb(ret)
                    end)
            else
                ret.images[k] = nil
            end
        end

        if not pending then
            cb(ret)
        end
    end

    local function OnLoad(success, filedata)
        if success and filedata then
            local load_ok, motd = pcall(loadstring(filedata))
            if load_ok then
                ret.motd = motd
                ret.fresh = false
                LoadImages()
            end
        end
    end
    
    engine.inst:GetURL(url, nil,
        function( success, code, response )
            if success then
                local t 
                local ok = pcall(function() t = json.decode(response) end)
                if ok and t then
                    engine.cache:SaveFile( cache_filename, "return ".. serpent.block(t, {comment = false}), function() print ("JSON cache Saved") end)
                    ret.motd = t
                    ret.fresh = true
                    LoadImages()
                else
                    engine.cache:LoadFile( cache_filename, OnLoad )
                end
            else
                engine.cache:LoadFile( cache_filename, OnLoad )
            end
        end)
end


