local RingBuffer = class( "RingBuffer" )

function RingBuffer:init( size )
	self:Reset( size )
end

function RingBuffer:Reset( size )
	table.clear( self )
	self.size = size or 10
	self.idx = 1
	assert( self.size > 0 )
end

function RingBuffer:Resize( size )
	assert( size > 0 )
	self.size = size

    while #self > size do
        if self[ self.idx ] ~= nil then
	        table.remove( self, self.idx )
        else
	        table.remove( self, 1 )
	        self.idx = self.idx - 1
        end
    end
    if self.idx > size then
    	self.idx = self.idx - size
    end
end

function RingBuffer:Insert( v )
	self[ self.idx ] = v
	self.idx = (self.idx % self.size) + 1
end

function RingBuffer:GetItem( idx )
	if self[ idx ] ~= nil then
        -- Wrap: 1-based mod math is weird.
        idx = ((self.idx + idx - 2) % #self) + 1
    end

    return self[ idx ]
end

function RingBuffer:GetCount()
	return #self
end

function RingBuffer:Save()
	return self
end