-- Simple table recycler to aid in avoiding excessive gc load.

local TablePool = class("TablePool")

function TablePool:init( n )
	for i = 1, n do
		self[i] = {}
	end
	self.idx = 0
	self.tables_saved = 0
	self.stacks = {}
end

function TablePool:ObtainTable()
	if self[ self.idx + 1 ] == nil then
		LOGWARN( "Exceeded table pool size %d: was there a leak?", #self )
		self[ self.idx + 1 ] = {}
	end

	self.idx = self.idx + 1
	self.tables_saved = self.tables_saved + 1 -- Interesting programmer metric? :)

	-- helpful, but SLOW A.F.
	--self.stacks[ self.idx ] = debug.traceback()

	return self[ self.idx ]
end

function TablePool:ReleaseTable( t )
	assert( self.idx > 0 )

	table.clear( t )
	self[ self.idx ] = t
	--self.stacks[ self.idx ] = nil
	self.idx = self.idx - 1
end

