
class("Task")

function Task:init(deadline, taskfn, params)
	--local info = debug.getinfo(taskfn, "Sl")
    --self.deffile = info.source
    --self.defline = info.linedefined

	self.deadline = deadline
	self.fn = taskfn
	self.params = params
end

function Task:Trigger(time)
	--[[if (self.createdBy) then 
		print("Triggering task ", self, self.createdBy)
	end]]
	if self.fn then
		if self.params then
			self.fn(table.unpack(self.params))
		else
			self.fn()
		end
		
		if self.period then
			local over = time - self.deadline
			self.deadline = time + math.max(0, self.period - over)
			return true
		end
	end
end

function Task:__lt(task)
	return self.deadline < task.deadline
end

function Task:Running()
	return self.fn ~= nil
end

function Task:GetDeadline()
	return self.deadline
end

function Task:MakePeriodic(period)
	self.period = period
end

function Task:Cancel()
	--[[if (self.createdBy) then 
		print("Cancelling task ", self.src, self.line, self)
	end]]
	self.fn = nil
	--self.deadline = 0 -- you can't safely change this value while it's being used to sort the task heap
	self.params = nil
	self.period = nil
end

function Task:__tostring()
	return string.format("%s:%d %2.2fs [%s]", self.deffile or "", self.defline or 0, self.deadline, tostring(self.name))
end
