------------------------------------------------------------------------
-- Unlocks can be of the following types:
--
--      player_background: specifies the id of a starting character
--
--      battle_card: specifies the id of a Battle.Card
--
--      negotiation_card: specifies the id of a Negotiation.Card
--
--      graft_id: specifies the id of a graft
--
--      unlock_id: an arbitrary (not-clashing) string identifier for a "generic" unlock.
--          icon: a texture path to represent this generic unlock

--      deck_id: a starting deck


local SAL_TRACK = UnlockTrackDef{
    UnlockableDef{ 
    	--ONE
        id = "setup_crusher",
        name = "The Setup and The Crusher",
        negotiation_name = "The Setup",
        battle_name = "The Crusher",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 500,
        items = 
        {
            { negotiation_card = "rapid_fire"},
            { negotiation_card = "setup"},
            { negotiation_card = "elucidate"},
            { battle_card = "ghost_strike"},
            { battle_card = "burst"},
            { battle_card = "cross"},
        }
    },
    
    UnlockableDef{
    	--TWO
        id = "evoke_bloody",
        name = "Evoke and Bloody Mess",
        negotiation_name = "Evoke",
        battle_name = "Bloody Mess",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 1000,
        items = 
        {
            { negotiation_card = "ipso_facto"},
            { negotiation_card = "invective"},
            { negotiation_card = "abrupt_remark"},
            { battle_card = "leech"},
            { battle_card = "barnacle"},
            { battle_card = "bloodbath"},
            { outfit_id = "sal_outfit_01" },
        }
    },
    
    UnlockableDef{
    	--THREE
        id = "draw_fury",
    	name = "Big Draw and The Fury",
        negotiation_name = "Big Draw",
        battle_name = "The Fury",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 1600,
        items = 
        {
            { negotiation_card = "planning"},
            { negotiation_card = "solid_point"},
            { negotiation_card = "subtlety"},
            { battle_card = "breather"},
            { battle_card = "blade_fury"},
            { battle_card = "echo_strike"},
            { outfit_id = "sal_outfit_02" },
        }
    },

    UnlockableDef{
     	--FOUR
        id = "incept_overwhelm",
    	name = "Incept and Overwhelm",
        negotiation_name = "Incept",
        battle_name = "Overwhelm",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 2250,
        items = 
        {
            { negotiation_card = "seeds_of_doubt"},
            { negotiation_card = "exploit_weakness"},
            { negotiation_card = "bluster"},
            { battle_card = "over_extension"},
            { battle_card = "crushing_blow"},
            { battle_card = "brazen_attack"},
            { outfit_id = "sal_outfit_03" },
        }
    },

    UnlockableDef{
     	--FIVE
        id = "action_practice",
    	name = "Action and Practice",
        negotiation_name = "Action",
        battle_name = "Practice",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 2900,
        items = 
        {
            { negotiation_card = "reconsider"},
            { negotiation_card = "empathy"},
            { negotiation_card = "domineer"},
            { battle_card = "muscle_memory"},
            { battle_card = "slippery"},
            { battle_card = "focused_assault"},
        }
    }, 

    UnlockableDef{
     	--SIX
        id = "expend_reflexes",
    	name = "Expend and Reflexes",
        negotiation_name = "Expend",
        battle_name = "Reflexes",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 3600,
        items = 
        {
            { negotiation_card = "just_the_facts"},
            { negotiation_card = "scorched_earth"},
            { negotiation_card = "good_impression"},
            { battle_card = "psionic_feedback"},
            { battle_card = "survival_reflexes"},
            { battle_card = "into_the_night"},
        }
    },
    
    UnlockableDef{
     	--SEVEN
        id = "influence_discarded",
    	name = "Influence and Discarded",
        negotiation_name = "Influence",
        battle_name = "Discarded",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 4400,
        items = 
        {
            { negotiation_card = "tyrannize"},
            { negotiation_card = "beguile"},
            { negotiation_card = "magnetic_charm"},
            { battle_card = "kradeshi_barbstorm"},
            { battle_card = "active_defense"},
            { battle_card = "battle_scars"},
        }
    },
    
    UnlockableDef{
    	--EIGHT
        id = "aggression_options",
    	name = "Aggression and Options",
        negotiation_name = "Aggression",
        battle_name = "Options",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 5200,
        items = 
        {
            { negotiation_card = "heavy_handed"},
            { negotiation_card = "this_ends_now"},
            { negotiation_card = "bellow"},
            { battle_card = "slaughter"},
            { battle_card = "discharge"},
            { battle_card = "churn"},
        }
    },

    UnlockableDef{
    	--NINE
        id = "arguments_fights",
    	name = "Arguments and Bar Fights",
        negotiation_name = "Arguments",
        battle_name = "Bar Fights",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 6000,
        items = 
        {
            { negotiation_card = "agitation"},
            { negotiation_card = "collected"},
            { negotiation_card = "entrapment"},
            { battle_card = "drunken_master"},
            { battle_card = "improve_accuracy"},
            { battle_card = "wretched_strike"},
        }
    },

    UnlockableDef{
    	--TEN
        id = "distraction_masters",
    	name = "Distraction and Masters",
        negotiation_name = "Distraction",
        battle_name = "Masters",
        icon = "battle/decks/card_unlock_sal.tex",
        icon_locked = "battle/decks/card_unlock_sal_locked.tex",
        pts = 7000,
        items = 
        {
            { negotiation_card = "clean_slate"},
            { negotiation_card = "white_lie"},
            { negotiation_card = "deceive"},
            { battle_card = "deepstance"},
            { battle_card = "barbed_defense"},
            { battle_card = "ravenous"},
        }
    },
}


Content.AddUnlockTrack("SAL", SAL_TRACK)
